import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';
import 'package:test/test.dart';
import 'package:assimp/assimp.dart';
import 'package:assimp/src/bindings.dart';
import 'test_utils.dart';

// DO NOT EDIT (generated by tool/testgen)

void main() {
  prepareTest();

  test('size', () {
    expect(sizeOf<aiAnimMesh>(), equals(1200));
  });

  test('equals', () {
    final a = AnimMesh.fromNative(calloc<aiAnimMesh>());
    final b = AnimMesh.fromNative(calloc<aiAnimMesh>());
    expect(a, equals(a));
    expect(b, equals(b));
    expect(a, isNot(equals(b)));
    expect(b, isNot(equals(a)));
  });

  test('toString', () {
    expect(AnimMesh.fromNative(calloc<aiAnimMesh>()).toString(), matches(r'AnimMesh\(Pointer<aiAnimMesh>: address=0x[0-f]+\)'));
  });

  test('3mf', () {
    testScene('box.3mf', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
    });
    testScene('spider.3mf', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.animMeshes.length, isZero);
      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.animMeshes.length, isZero);
      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.animMeshes.length, isZero);
      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.animMeshes.length, isZero);
      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.animMeshes.length, isZero);
      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.animMeshes.length, isZero);
      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.animMeshes.length, isZero);
      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.animMeshes.length, isZero);
      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.animMeshes.length, isZero);
      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.animMeshes.length, isZero);
      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.animMeshes.length, isZero);
      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.animMeshes.length, isZero);
      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.animMeshes.length, isZero);
      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.animMeshes.length, isZero);
      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.animMeshes.length, isZero);
      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.animMeshes.length, isZero);
      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.animMeshes.length, isZero);
      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.animMeshes.length, isZero);
    });
  });

  test('fbx', () {
    testScene('huesitos.fbx', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
    });
  });

  test('collada', () {
    testScene('anims.dae', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.animMeshes.length, isZero);
      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.animMeshes.length, isZero);
      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.animMeshes.length, isZero);
      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.animMeshes.length, isZero);
      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.animMeshes.length, isZero);
      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.animMeshes.length, isZero);
      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.animMeshes.length, isZero);
      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.animMeshes.length, isZero);
      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.animMeshes.length, isZero);
      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.animMeshes.length, isZero);
      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.animMeshes.length, isZero);
      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.animMeshes.length, isZero);
      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.animMeshes.length, isZero);
      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.animMeshes.length, isZero);
      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.animMeshes.length, isZero);
      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.animMeshes.length, isZero);
      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.animMeshes.length, isZero);
      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.animMeshes.length, isZero);
      final mesh_19 = meshes.elementAt(19);
      expect(mesh_19.animMeshes.length, isZero);
      final mesh_20 = meshes.elementAt(20);
      expect(mesh_20.animMeshes.length, isZero);
      final mesh_21 = meshes.elementAt(21);
      expect(mesh_21.animMeshes.length, isZero);
      final mesh_22 = meshes.elementAt(22);
      expect(mesh_22.animMeshes.length, isZero);
      final mesh_23 = meshes.elementAt(23);
      expect(mesh_23.animMeshes.length, isZero);
      final mesh_24 = meshes.elementAt(24);
      expect(mesh_24.animMeshes.length, isZero);
      final mesh_25 = meshes.elementAt(25);
      expect(mesh_25.animMeshes.length, isZero);
      final mesh_26 = meshes.elementAt(26);
      expect(mesh_26.animMeshes.length, isZero);
      final mesh_27 = meshes.elementAt(27);
      expect(mesh_27.animMeshes.length, isZero);
      final mesh_28 = meshes.elementAt(28);
      expect(mesh_28.animMeshes.length, isZero);
      final mesh_29 = meshes.elementAt(29);
      expect(mesh_29.animMeshes.length, isZero);
      final mesh_30 = meshes.elementAt(30);
      expect(mesh_30.animMeshes.length, isZero);
      final mesh_31 = meshes.elementAt(31);
      expect(mesh_31.animMeshes.length, isZero);
      final mesh_32 = meshes.elementAt(32);
      expect(mesh_32.animMeshes.length, isZero);
      final mesh_33 = meshes.elementAt(33);
      expect(mesh_33.animMeshes.length, isZero);
      final mesh_34 = meshes.elementAt(34);
      expect(mesh_34.animMeshes.length, isZero);
      final mesh_35 = meshes.elementAt(35);
      expect(mesh_35.animMeshes.length, isZero);
      final mesh_36 = meshes.elementAt(36);
      expect(mesh_36.animMeshes.length, isZero);
      final mesh_37 = meshes.elementAt(37);
      expect(mesh_37.animMeshes.length, isZero);
      final mesh_38 = meshes.elementAt(38);
      expect(mesh_38.animMeshes.length, isZero);
      final mesh_39 = meshes.elementAt(39);
      expect(mesh_39.animMeshes.length, isZero);
      final mesh_40 = meshes.elementAt(40);
      expect(mesh_40.animMeshes.length, isZero);
      final mesh_41 = meshes.elementAt(41);
      expect(mesh_41.animMeshes.length, isZero);
      final mesh_42 = meshes.elementAt(42);
      expect(mesh_42.animMeshes.length, isZero);
      final mesh_43 = meshes.elementAt(43);
      expect(mesh_43.animMeshes.length, isZero);
      final mesh_44 = meshes.elementAt(44);
      expect(mesh_44.animMeshes.length, isZero);
      final mesh_45 = meshes.elementAt(45);
      expect(mesh_45.animMeshes.length, isZero);
      final mesh_46 = meshes.elementAt(46);
      expect(mesh_46.animMeshes.length, isZero);
      final mesh_47 = meshes.elementAt(47);
      expect(mesh_47.animMeshes.length, isZero);
      final mesh_48 = meshes.elementAt(48);
      expect(mesh_48.animMeshes.length, isZero);
      final mesh_49 = meshes.elementAt(49);
      expect(mesh_49.animMeshes.length, isZero);
      final mesh_50 = meshes.elementAt(50);
      expect(mesh_50.animMeshes.length, isZero);
      final mesh_51 = meshes.elementAt(51);
      expect(mesh_51.animMeshes.length, isZero);
      final mesh_52 = meshes.elementAt(52);
      expect(mesh_52.animMeshes.length, isZero);
      final mesh_53 = meshes.elementAt(53);
      expect(mesh_53.animMeshes.length, isZero);
      final mesh_54 = meshes.elementAt(54);
      expect(mesh_54.animMeshes.length, isZero);
      final mesh_55 = meshes.elementAt(55);
      expect(mesh_55.animMeshes.length, isZero);
      final mesh_56 = meshes.elementAt(56);
      expect(mesh_56.animMeshes.length, isZero);
      final mesh_57 = meshes.elementAt(57);
      expect(mesh_57.animMeshes.length, isZero);
      final mesh_58 = meshes.elementAt(58);
      expect(mesh_58.animMeshes.length, isZero);
      final mesh_59 = meshes.elementAt(59);
      expect(mesh_59.animMeshes.length, isZero);
      final mesh_60 = meshes.elementAt(60);
      expect(mesh_60.animMeshes.length, isZero);
      final mesh_61 = meshes.elementAt(61);
      expect(mesh_61.animMeshes.length, isZero);
      final mesh_62 = meshes.elementAt(62);
      expect(mesh_62.animMeshes.length, isZero);
      final mesh_63 = meshes.elementAt(63);
      expect(mesh_63.animMeshes.length, isZero);
    });
    testScene('lib.dae', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
    });
  });

  test('obj', () {
    testScene('spider.obj', (scene) {
      final meshes = scene.meshes;
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.animMeshes.length, isZero);
      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.animMeshes.length, isZero);
      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.animMeshes.length, isZero);
      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.animMeshes.length, isZero);
      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.animMeshes.length, isZero);
      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.animMeshes.length, isZero);
      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.animMeshes.length, isZero);
      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.animMeshes.length, isZero);
      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.animMeshes.length, isZero);
      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.animMeshes.length, isZero);
      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.animMeshes.length, isZero);
      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.animMeshes.length, isZero);
      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.animMeshes.length, isZero);
      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.animMeshes.length, isZero);
      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.animMeshes.length, isZero);
      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.animMeshes.length, isZero);
      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.animMeshes.length, isZero);
      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.animMeshes.length, isZero);
      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.animMeshes.length, isZero);
    });
  });

}
