import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';
import 'package:test/test.dart';
import 'package:assimp/assimp.dart';
import 'package:assimp/src/bindings.dart';
import 'test_utils.dart';

// DO NOT EDIT (generated by tool/testgen)

void main() {
  prepareTest();

  test('size', () {
    expect(sizeOf<aiBone>(), equals(1104));
  });

  test('equals', () {
    final a = Bone.fromNative(calloc<aiBone>());
    final b = Bone.fromNative(calloc<aiBone>());
    expect(a, equals(a));
    expect(b, equals(b));
    expect(a, isNot(equals(b)));
    expect(b, isNot(equals(a)));
  });

  test('toString', () {
    expect(Bone.fromNative(calloc<aiBone>()).toString(), matches(r'Bone\(Pointer<aiBone>: address=0x[0-f]+\)'));
  });

  test('3mf', () {
    testScene('box.3mf', (scene) {
    });
    testScene('spider.3mf', (scene) {
    });
  });

  test('fbx', () {
    testScene('huesitos.fbx', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final bone_0_0 = mesh_0.bones.elementAt(0);
      expect(bone_0_0.name, equals('Bone'));
      expect(bone_0_0.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0.00524867326, 0, 3.17865165e-08, 1, 1.25968385, 0, -0.999999821, 3.1786513e-08, -0.0253684521, 0, 0, 0, 1)));
      final weight_0_0_0 = bone_0_0.weights.elementAt(0);
      expect(weight_0_0_0.vertexId, equals(1));
      expect(weight_0_0_0.weight, moreOrLessEquals(0.971902728));
      final weight_0_0_1 = bone_0_0.weights.elementAt(1);
      expect(weight_0_0_1.vertexId, equals(22));
      expect(weight_0_0_1.weight, moreOrLessEquals(0.971902728));
      final weight_0_0_2 = bone_0_0.weights.elementAt(2);
      expect(weight_0_0_2.vertexId, equals(24));
      expect(weight_0_0_2.weight, moreOrLessEquals(0.971902728));
      final weight_0_0_3 = bone_0_0.weights.elementAt(3);
      expect(weight_0_0_3.vertexId, equals(53));
      expect(weight_0_0_3.weight, moreOrLessEquals(0.971902728));
      final weight_0_0_4 = bone_0_0.weights.elementAt(4);
      expect(weight_0_0_4.vertexId, equals(2));
      expect(weight_0_0_4.weight, moreOrLessEquals(0.972965896));
      final weight_0_0_5 = bone_0_0.weights.elementAt(5);
      expect(weight_0_0_5.vertexId, equals(4));
      expect(weight_0_0_5.weight, moreOrLessEquals(0.972965896));
      final weight_0_0_6 = bone_0_0.weights.elementAt(6);
      expect(weight_0_0_6.vertexId, equals(27));
      expect(weight_0_0_6.weight, moreOrLessEquals(0.972965896));
      final weight_0_0_7 = bone_0_0.weights.elementAt(7);
      expect(weight_0_0_7.vertexId, equals(28));
      expect(weight_0_0_7.weight, moreOrLessEquals(0.972965896));
      final weight_0_0_8 = bone_0_0.weights.elementAt(8);
      expect(weight_0_0_8.vertexId, equals(5));
      expect(weight_0_0_8.weight, moreOrLessEquals(0.975172937));
      final weight_0_0_9 = bone_0_0.weights.elementAt(9);
      expect(weight_0_0_9.vertexId, equals(7));
      expect(weight_0_0_9.weight, moreOrLessEquals(0.975172937));
      final weight_0_0_10 = bone_0_0.weights.elementAt(10);
      expect(weight_0_0_10.vertexId, equals(31));
      expect(weight_0_0_10.weight, moreOrLessEquals(0.975172937));
      final weight_0_0_11 = bone_0_0.weights.elementAt(11);
      expect(weight_0_0_11.vertexId, equals(32));
      expect(weight_0_0_11.weight, moreOrLessEquals(0.975172937));
      final weight_0_0_12 = bone_0_0.weights.elementAt(12);
      expect(weight_0_0_12.vertexId, equals(8));
      expect(weight_0_0_12.weight, moreOrLessEquals(0.976421416));
      final weight_0_0_13 = bone_0_0.weights.elementAt(13);
      expect(weight_0_0_13.vertexId, equals(10));
      expect(weight_0_0_13.weight, moreOrLessEquals(0.976421416));
      final weight_0_0_14 = bone_0_0.weights.elementAt(14);
      expect(weight_0_0_14.vertexId, equals(35));
      expect(weight_0_0_14.weight, moreOrLessEquals(0.976421416));
      final weight_0_0_15 = bone_0_0.weights.elementAt(15);
      expect(weight_0_0_15.vertexId, equals(36));
      expect(weight_0_0_15.weight, moreOrLessEquals(0.976421416));
      final weight_0_0_16 = bone_0_0.weights.elementAt(16);
      expect(weight_0_0_16.vertexId, equals(11));
      expect(weight_0_0_16.weight, moreOrLessEquals(0.976319969));
      final weight_0_0_17 = bone_0_0.weights.elementAt(17);
      expect(weight_0_0_17.vertexId, equals(13));
      expect(weight_0_0_17.weight, moreOrLessEquals(0.976319969));
      final weight_0_0_18 = bone_0_0.weights.elementAt(18);
      expect(weight_0_0_18.vertexId, equals(39));
      expect(weight_0_0_18.weight, moreOrLessEquals(0.976319969));
      final weight_0_0_19 = bone_0_0.weights.elementAt(19);
      expect(weight_0_0_19.vertexId, equals(40));
      expect(weight_0_0_19.weight, moreOrLessEquals(0.976319969));
      final weight_0_0_20 = bone_0_0.weights.elementAt(20);
      expect(weight_0_0_20.vertexId, equals(14));
      expect(weight_0_0_20.weight, moreOrLessEquals(0.975192904));
      final weight_0_0_21 = bone_0_0.weights.elementAt(21);
      expect(weight_0_0_21.vertexId, equals(16));
      expect(weight_0_0_21.weight, moreOrLessEquals(0.975192904));
      final weight_0_0_22 = bone_0_0.weights.elementAt(22);
      expect(weight_0_0_22.vertexId, equals(43));
      expect(weight_0_0_22.weight, moreOrLessEquals(0.975192904));
      final weight_0_0_23 = bone_0_0.weights.elementAt(23);
      expect(weight_0_0_23.vertexId, equals(44));
      expect(weight_0_0_23.weight, moreOrLessEquals(0.975192904));
      final weight_0_0_24 = bone_0_0.weights.elementAt(24);
      expect(weight_0_0_24.vertexId, equals(17));
      expect(weight_0_0_24.weight, moreOrLessEquals(0.973711014));
      final weight_0_0_25 = bone_0_0.weights.elementAt(25);
      expect(weight_0_0_25.vertexId, equals(19));
      expect(weight_0_0_25.weight, moreOrLessEquals(0.973711014));
      final weight_0_0_26 = bone_0_0.weights.elementAt(26);
      expect(weight_0_0_26.vertexId, equals(47));
      expect(weight_0_0_26.weight, moreOrLessEquals(0.973711014));
      final weight_0_0_27 = bone_0_0.weights.elementAt(27);
      expect(weight_0_0_27.vertexId, equals(48));
      expect(weight_0_0_27.weight, moreOrLessEquals(0.973711014));
      final weight_0_0_28 = bone_0_0.weights.elementAt(28);
      expect(weight_0_0_28.vertexId, equals(20));
      expect(weight_0_0_28.weight, moreOrLessEquals(0.972485065));
      final weight_0_0_29 = bone_0_0.weights.elementAt(29);
      expect(weight_0_0_29.vertexId, equals(21));
      expect(weight_0_0_29.weight, moreOrLessEquals(0.972485065));
      final weight_0_0_30 = bone_0_0.weights.elementAt(30);
      expect(weight_0_0_30.vertexId, equals(51));
      expect(weight_0_0_30.weight, moreOrLessEquals(0.972485065));
      final weight_0_0_31 = bone_0_0.weights.elementAt(31);
      expect(weight_0_0_31.vertexId, equals(54));
      expect(weight_0_0_31.weight, moreOrLessEquals(0.972485065));
      final weight_0_0_32 = bone_0_0.weights.elementAt(32);
      expect(weight_0_0_32.vertexId, equals(25));
      expect(weight_0_0_32.weight, moreOrLessEquals(0.895268381));
      final weight_0_0_33 = bone_0_0.weights.elementAt(33);
      expect(weight_0_0_33.vertexId, equals(52));
      expect(weight_0_0_33.weight, moreOrLessEquals(0.895268381));
      final weight_0_0_34 = bone_0_0.weights.elementAt(34);
      expect(weight_0_0_34.vertexId, equals(56));
      expect(weight_0_0_34.weight, moreOrLessEquals(0.895268381));
      final weight_0_0_35 = bone_0_0.weights.elementAt(35);
      expect(weight_0_0_35.vertexId, equals(85));
      expect(weight_0_0_35.weight, moreOrLessEquals(0.895268381));
      final weight_0_0_36 = bone_0_0.weights.elementAt(36);
      expect(weight_0_0_36.vertexId, equals(26));
      expect(weight_0_0_36.weight, moreOrLessEquals(0.897907257));
      final weight_0_0_37 = bone_0_0.weights.elementAt(37);
      expect(weight_0_0_37.vertexId, equals(29));
      expect(weight_0_0_37.weight, moreOrLessEquals(0.897907257));
      final weight_0_0_38 = bone_0_0.weights.elementAt(38);
      expect(weight_0_0_38.vertexId, equals(81));
      expect(weight_0_0_38.weight, moreOrLessEquals(0.897907257));
      final weight_0_0_39 = bone_0_0.weights.elementAt(39);
      expect(weight_0_0_39.vertexId, equals(84));
      expect(weight_0_0_39.weight, moreOrLessEquals(0.897907257));
      final weight_0_0_40 = bone_0_0.weights.elementAt(40);
      expect(weight_0_0_40.vertexId, equals(30));
      expect(weight_0_0_40.weight, moreOrLessEquals(0.906170368));
      final weight_0_0_41 = bone_0_0.weights.elementAt(41);
      expect(weight_0_0_41.vertexId, equals(33));
      expect(weight_0_0_41.weight, moreOrLessEquals(0.906170368));
      final weight_0_0_42 = bone_0_0.weights.elementAt(42);
      expect(weight_0_0_42.vertexId, equals(77));
      expect(weight_0_0_42.weight, moreOrLessEquals(0.906170368));
      final weight_0_0_43 = bone_0_0.weights.elementAt(43);
      expect(weight_0_0_43.vertexId, equals(80));
      expect(weight_0_0_43.weight, moreOrLessEquals(0.906170368));
      final weight_0_0_44 = bone_0_0.weights.elementAt(44);
      expect(weight_0_0_44.vertexId, equals(34));
      expect(weight_0_0_44.weight, moreOrLessEquals(0.90993768));
      final weight_0_0_45 = bone_0_0.weights.elementAt(45);
      expect(weight_0_0_45.vertexId, equals(37));
      expect(weight_0_0_45.weight, moreOrLessEquals(0.90993768));
      final weight_0_0_46 = bone_0_0.weights.elementAt(46);
      expect(weight_0_0_46.vertexId, equals(73));
      expect(weight_0_0_46.weight, moreOrLessEquals(0.90993768));
      final weight_0_0_47 = bone_0_0.weights.elementAt(47);
      expect(weight_0_0_47.vertexId, equals(76));
      expect(weight_0_0_47.weight, moreOrLessEquals(0.90993768));
      final weight_0_0_48 = bone_0_0.weights.elementAt(48);
      expect(weight_0_0_48.vertexId, equals(38));
      expect(weight_0_0_48.weight, moreOrLessEquals(0.909487426));
      final weight_0_0_49 = bone_0_0.weights.elementAt(49);
      expect(weight_0_0_49.vertexId, equals(41));
      expect(weight_0_0_49.weight, moreOrLessEquals(0.909487426));
      final weight_0_0_50 = bone_0_0.weights.elementAt(50);
      expect(weight_0_0_50.vertexId, equals(69));
      expect(weight_0_0_50.weight, moreOrLessEquals(0.909487426));
      final weight_0_0_51 = bone_0_0.weights.elementAt(51);
      expect(weight_0_0_51.vertexId, equals(72));
      expect(weight_0_0_51.weight, moreOrLessEquals(0.909487426));
      final weight_0_0_52 = bone_0_0.weights.elementAt(52);
      expect(weight_0_0_52.vertexId, equals(42));
      expect(weight_0_0_52.weight, moreOrLessEquals(0.906280935));
      final weight_0_0_53 = bone_0_0.weights.elementAt(53);
      expect(weight_0_0_53.vertexId, equals(45));
      expect(weight_0_0_53.weight, moreOrLessEquals(0.906280935));
      final weight_0_0_54 = bone_0_0.weights.elementAt(54);
      expect(weight_0_0_54.vertexId, equals(65));
      expect(weight_0_0_54.weight, moreOrLessEquals(0.906280935));
      final weight_0_0_55 = bone_0_0.weights.elementAt(55);
      expect(weight_0_0_55.vertexId, equals(68));
      expect(weight_0_0_55.weight, moreOrLessEquals(0.906280935));
      final weight_0_0_56 = bone_0_0.weights.elementAt(56);
      expect(weight_0_0_56.vertexId, equals(46));
      expect(weight_0_0_56.weight, moreOrLessEquals(0.902308047));
      final weight_0_0_57 = bone_0_0.weights.elementAt(57);
      expect(weight_0_0_57.vertexId, equals(49));
      expect(weight_0_0_57.weight, moreOrLessEquals(0.902308047));
      final weight_0_0_58 = bone_0_0.weights.elementAt(58);
      expect(weight_0_0_58.vertexId, equals(61));
      expect(weight_0_0_58.weight, moreOrLessEquals(0.902308047));
      final weight_0_0_59 = bone_0_0.weights.elementAt(59);
      expect(weight_0_0_59.vertexId, equals(64));
      expect(weight_0_0_59.weight, moreOrLessEquals(0.902308047));
      final weight_0_0_60 = bone_0_0.weights.elementAt(60);
      expect(weight_0_0_60.vertexId, equals(50));
      expect(weight_0_0_60.weight, moreOrLessEquals(0.898754597));
      final weight_0_0_61 = bone_0_0.weights.elementAt(61);
      expect(weight_0_0_61.vertexId, equals(55));
      expect(weight_0_0_61.weight, moreOrLessEquals(0.898754597));
      final weight_0_0_62 = bone_0_0.weights.elementAt(62);
      expect(weight_0_0_62.vertexId, equals(57));
      expect(weight_0_0_62.weight, moreOrLessEquals(0.898754597));
      final weight_0_0_63 = bone_0_0.weights.elementAt(63);
      expect(weight_0_0_63.vertexId, equals(60));
      expect(weight_0_0_63.weight, moreOrLessEquals(0.898754597));
      final weight_0_0_64 = bone_0_0.weights.elementAt(64);
      expect(weight_0_0_64.vertexId, isZero);
      expect(weight_0_0_64.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_65 = bone_0_0.weights.elementAt(65);
      expect(weight_0_0_65.vertexId, equals(3));
      expect(weight_0_0_65.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_66 = bone_0_0.weights.elementAt(66);
      expect(weight_0_0_66.vertexId, equals(6));
      expect(weight_0_0_66.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_67 = bone_0_0.weights.elementAt(67);
      expect(weight_0_0_67.vertexId, equals(9));
      expect(weight_0_0_67.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_68 = bone_0_0.weights.elementAt(68);
      expect(weight_0_0_68.vertexId, equals(12));
      expect(weight_0_0_68.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_69 = bone_0_0.weights.elementAt(69);
      expect(weight_0_0_69.vertexId, equals(15));
      expect(weight_0_0_69.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_70 = bone_0_0.weights.elementAt(70);
      expect(weight_0_0_70.vertexId, equals(18));
      expect(weight_0_0_70.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_71 = bone_0_0.weights.elementAt(71);
      expect(weight_0_0_71.vertexId, equals(23));
      expect(weight_0_0_71.weight, moreOrLessEquals(0.999931216));
      final weight_0_0_72 = bone_0_0.weights.elementAt(72);
      expect(weight_0_0_72.vertexId, equals(58));
      expect(weight_0_0_72.weight, moreOrLessEquals(0.131077185));
      final weight_0_0_73 = bone_0_0.weights.elementAt(73);
      expect(weight_0_0_73.vertexId, equals(63));
      expect(weight_0_0_73.weight, moreOrLessEquals(0.131077185));
      final weight_0_0_74 = bone_0_0.weights.elementAt(74);
      expect(weight_0_0_74.vertexId, equals(108));
      expect(weight_0_0_74.weight, moreOrLessEquals(0.131077185));
      final weight_0_0_75 = bone_0_0.weights.elementAt(75);
      expect(weight_0_0_75.vertexId, equals(113));
      expect(weight_0_0_75.weight, moreOrLessEquals(0.131077185));
      final weight_0_0_76 = bone_0_0.weights.elementAt(76);
      expect(weight_0_0_76.vertexId, equals(62));
      expect(weight_0_0_76.weight, moreOrLessEquals(0.141492993));
      final weight_0_0_77 = bone_0_0.weights.elementAt(77);
      expect(weight_0_0_77.vertexId, equals(67));
      expect(weight_0_0_77.weight, moreOrLessEquals(0.141492993));
      final weight_0_0_78 = bone_0_0.weights.elementAt(78);
      expect(weight_0_0_78.vertexId, equals(104));
      expect(weight_0_0_78.weight, moreOrLessEquals(0.141492993));
      final weight_0_0_79 = bone_0_0.weights.elementAt(79);
      expect(weight_0_0_79.vertexId, equals(109));
      expect(weight_0_0_79.weight, moreOrLessEquals(0.141492993));
      final weight_0_0_80 = bone_0_0.weights.elementAt(80);
      expect(weight_0_0_80.vertexId, equals(66));
      expect(weight_0_0_80.weight, moreOrLessEquals(0.141058624));
      final weight_0_0_81 = bone_0_0.weights.elementAt(81);
      expect(weight_0_0_81.vertexId, equals(71));
      expect(weight_0_0_81.weight, moreOrLessEquals(0.141058624));
      final weight_0_0_82 = bone_0_0.weights.elementAt(82);
      expect(weight_0_0_82.vertexId, equals(100));
      expect(weight_0_0_82.weight, moreOrLessEquals(0.141058624));
      final weight_0_0_83 = bone_0_0.weights.elementAt(83);
      expect(weight_0_0_83.vertexId, equals(105));
      expect(weight_0_0_83.weight, moreOrLessEquals(0.141058624));
      final weight_0_0_84 = bone_0_0.weights.elementAt(84);
      expect(weight_0_0_84.vertexId, equals(70));
      expect(weight_0_0_84.weight, moreOrLessEquals(0.13858372));
      final weight_0_0_85 = bone_0_0.weights.elementAt(85);
      expect(weight_0_0_85.vertexId, equals(75));
      expect(weight_0_0_85.weight, moreOrLessEquals(0.13858372));
      final weight_0_0_86 = bone_0_0.weights.elementAt(86);
      expect(weight_0_0_86.vertexId, equals(96));
      expect(weight_0_0_86.weight, moreOrLessEquals(0.13858372));
      final weight_0_0_87 = bone_0_0.weights.elementAt(87);
      expect(weight_0_0_87.vertexId, equals(101));
      expect(weight_0_0_87.weight, moreOrLessEquals(0.13858372));
      final weight_0_0_88 = bone_0_0.weights.elementAt(88);
      expect(weight_0_0_88.vertexId, equals(74));
      expect(weight_0_0_88.weight, moreOrLessEquals(0.135504544));
      final weight_0_0_89 = bone_0_0.weights.elementAt(89);
      expect(weight_0_0_89.vertexId, equals(79));
      expect(weight_0_0_89.weight, moreOrLessEquals(0.135504544));
      final weight_0_0_90 = bone_0_0.weights.elementAt(90);
      expect(weight_0_0_90.vertexId, equals(92));
      expect(weight_0_0_90.weight, moreOrLessEquals(0.135504544));
      final weight_0_0_91 = bone_0_0.weights.elementAt(91);
      expect(weight_0_0_91.vertexId, equals(97));
      expect(weight_0_0_91.weight, moreOrLessEquals(0.135504544));
      final weight_0_0_92 = bone_0_0.weights.elementAt(92);
      expect(weight_0_0_92.vertexId, equals(78));
      expect(weight_0_0_92.weight, moreOrLessEquals(0.124084622));
      final weight_0_0_93 = bone_0_0.weights.elementAt(93);
      expect(weight_0_0_93.vertexId, equals(83));
      expect(weight_0_0_93.weight, moreOrLessEquals(0.124084622));
      final weight_0_0_94 = bone_0_0.weights.elementAt(94);
      expect(weight_0_0_94.vertexId, equals(88));
      expect(weight_0_0_94.weight, moreOrLessEquals(0.124084622));
      final weight_0_0_95 = bone_0_0.weights.elementAt(95);
      expect(weight_0_0_95.vertexId, equals(93));
      expect(weight_0_0_95.weight, moreOrLessEquals(0.124084622));
      final weight_0_0_96 = bone_0_0.weights.elementAt(96);
      expect(weight_0_0_96.vertexId, equals(82));
      expect(weight_0_0_96.weight, moreOrLessEquals(0.0611660108));
      final weight_0_0_97 = bone_0_0.weights.elementAt(97);
      expect(weight_0_0_97.vertexId, equals(87));
      expect(weight_0_0_97.weight, moreOrLessEquals(0.0611660108));
      final weight_0_0_98 = bone_0_0.weights.elementAt(98);
      expect(weight_0_0_98.vertexId, equals(89));
      expect(weight_0_0_98.weight, moreOrLessEquals(0.0611660108));
      final weight_0_0_99 = bone_0_0.weights.elementAt(99);
      expect(weight_0_0_99.vertexId, equals(181));
      expect(weight_0_0_99.weight, moreOrLessEquals(0.0611660108));
      final weight_0_0_100 = bone_0_0.weights.elementAt(100);
      expect(weight_0_0_100.vertexId, equals(192));
      expect(weight_0_0_100.weight, moreOrLessEquals(0.0611660108));
      final weight_0_0_101 = bone_0_0.weights.elementAt(101);
      expect(weight_0_0_101.vertexId, equals(59));
      expect(weight_0_0_101.weight, moreOrLessEquals(0.0728005022));
      final weight_0_0_102 = bone_0_0.weights.elementAt(102);
      expect(weight_0_0_102.vertexId, equals(86));
      expect(weight_0_0_102.weight, moreOrLessEquals(0.0728005022));
      final weight_0_0_103 = bone_0_0.weights.elementAt(103);
      expect(weight_0_0_103.vertexId, equals(112));
      expect(weight_0_0_103.weight, moreOrLessEquals(0.0728005022));
      final weight_0_0_104 = bone_0_0.weights.elementAt(104);
      expect(weight_0_0_104.vertexId, equals(188));
      expect(weight_0_0_104.weight, moreOrLessEquals(0.0728005022));
      final weight_0_0_105 = bone_0_0.weights.elementAt(105);
      expect(weight_0_0_105.vertexId, equals(193));
      expect(weight_0_0_105.weight, moreOrLessEquals(0.0728005022));
      final bone_0_1 = mesh_0.bones.elementAt(1);
      expect(bone_0_1.name, equals('Bone.001'));
      expect(bone_0_1.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0.00524867326, 0, 3.17865165e-08, 1, 0.554673433, 0, -0.999999821, 3.1786513e-08, -0.0253684521, 0, 0, 0, 1)));
      final weight_0_1_0 = bone_0_1.weights.elementAt(0);
      expect(weight_0_1_0.vertexId, equals(30));
      expect(weight_0_1_0.weight, moreOrLessEquals(0.0548246168));
      final weight_0_1_1 = bone_0_1.weights.elementAt(1);
      expect(weight_0_1_1.vertexId, equals(33));
      expect(weight_0_1_1.weight, moreOrLessEquals(0.0548246168));
      final weight_0_1_2 = bone_0_1.weights.elementAt(2);
      expect(weight_0_1_2.vertexId, equals(77));
      expect(weight_0_1_2.weight, moreOrLessEquals(0.0548246168));
      final weight_0_1_3 = bone_0_1.weights.elementAt(3);
      expect(weight_0_1_3.vertexId, equals(80));
      expect(weight_0_1_3.weight, moreOrLessEquals(0.0548246168));
      final weight_0_1_4 = bone_0_1.weights.elementAt(4);
      expect(weight_0_1_4.vertexId, equals(34));
      expect(weight_0_1_4.weight, moreOrLessEquals(0.0683259517));
      final weight_0_1_5 = bone_0_1.weights.elementAt(5);
      expect(weight_0_1_5.vertexId, equals(37));
      expect(weight_0_1_5.weight, moreOrLessEquals(0.0683259517));
      final weight_0_1_6 = bone_0_1.weights.elementAt(6);
      expect(weight_0_1_6.vertexId, equals(73));
      expect(weight_0_1_6.weight, moreOrLessEquals(0.0683259517));
      final weight_0_1_7 = bone_0_1.weights.elementAt(7);
      expect(weight_0_1_7.vertexId, equals(76));
      expect(weight_0_1_7.weight, moreOrLessEquals(0.0683259517));
      final weight_0_1_8 = bone_0_1.weights.elementAt(8);
      expect(weight_0_1_8.vertexId, equals(38));
      expect(weight_0_1_8.weight, moreOrLessEquals(0.0730942041));
      final weight_0_1_9 = bone_0_1.weights.elementAt(9);
      expect(weight_0_1_9.vertexId, equals(41));
      expect(weight_0_1_9.weight, moreOrLessEquals(0.0730942041));
      final weight_0_1_10 = bone_0_1.weights.elementAt(10);
      expect(weight_0_1_10.vertexId, equals(69));
      expect(weight_0_1_10.weight, moreOrLessEquals(0.0730942041));
      final weight_0_1_11 = bone_0_1.weights.elementAt(11);
      expect(weight_0_1_11.vertexId, equals(72));
      expect(weight_0_1_11.weight, moreOrLessEquals(0.0730942041));
      final weight_0_1_12 = bone_0_1.weights.elementAt(12);
      expect(weight_0_1_12.vertexId, equals(42));
      expect(weight_0_1_12.weight, moreOrLessEquals(0.0752528459));
      final weight_0_1_13 = bone_0_1.weights.elementAt(13);
      expect(weight_0_1_13.vertexId, equals(45));
      expect(weight_0_1_13.weight, moreOrLessEquals(0.0752528459));
      final weight_0_1_14 = bone_0_1.weights.elementAt(14);
      expect(weight_0_1_14.vertexId, equals(65));
      expect(weight_0_1_14.weight, moreOrLessEquals(0.0752528459));
      final weight_0_1_15 = bone_0_1.weights.elementAt(15);
      expect(weight_0_1_15.vertexId, equals(68));
      expect(weight_0_1_15.weight, moreOrLessEquals(0.0752528459));
      final weight_0_1_16 = bone_0_1.weights.elementAt(16);
      expect(weight_0_1_16.vertexId, equals(46));
      expect(weight_0_1_16.weight, moreOrLessEquals(0.0730409846));
      final weight_0_1_17 = bone_0_1.weights.elementAt(17);
      expect(weight_0_1_17.vertexId, equals(49));
      expect(weight_0_1_17.weight, moreOrLessEquals(0.0730409846));
      final weight_0_1_18 = bone_0_1.weights.elementAt(18);
      expect(weight_0_1_18.vertexId, equals(61));
      expect(weight_0_1_18.weight, moreOrLessEquals(0.0730409846));
      final weight_0_1_19 = bone_0_1.weights.elementAt(19);
      expect(weight_0_1_19.vertexId, equals(64));
      expect(weight_0_1_19.weight, moreOrLessEquals(0.0730409846));
      final weight_0_1_20 = bone_0_1.weights.elementAt(20);
      expect(weight_0_1_20.vertexId, equals(50));
      expect(weight_0_1_20.weight, moreOrLessEquals(0.0585271232));
      final weight_0_1_21 = bone_0_1.weights.elementAt(21);
      expect(weight_0_1_21.vertexId, equals(55));
      expect(weight_0_1_21.weight, moreOrLessEquals(0.0585271232));
      final weight_0_1_22 = bone_0_1.weights.elementAt(22);
      expect(weight_0_1_22.vertexId, equals(57));
      expect(weight_0_1_22.weight, moreOrLessEquals(0.0585271232));
      final weight_0_1_23 = bone_0_1.weights.elementAt(23);
      expect(weight_0_1_23.vertexId, equals(60));
      expect(weight_0_1_23.weight, moreOrLessEquals(0.0585271232));
      final weight_0_1_24 = bone_0_1.weights.elementAt(24);
      expect(weight_0_1_24.vertexId, equals(58));
      expect(weight_0_1_24.weight, moreOrLessEquals(0.571286798));
      final weight_0_1_25 = bone_0_1.weights.elementAt(25);
      expect(weight_0_1_25.vertexId, equals(63));
      expect(weight_0_1_25.weight, moreOrLessEquals(0.571286798));
      final weight_0_1_26 = bone_0_1.weights.elementAt(26);
      expect(weight_0_1_26.vertexId, equals(108));
      expect(weight_0_1_26.weight, moreOrLessEquals(0.571286798));
      final weight_0_1_27 = bone_0_1.weights.elementAt(27);
      expect(weight_0_1_27.vertexId, equals(113));
      expect(weight_0_1_27.weight, moreOrLessEquals(0.571286798));
      final weight_0_1_28 = bone_0_1.weights.elementAt(28);
      expect(weight_0_1_28.vertexId, equals(62));
      expect(weight_0_1_28.weight, moreOrLessEquals(0.678142548));
      final weight_0_1_29 = bone_0_1.weights.elementAt(29);
      expect(weight_0_1_29.vertexId, equals(67));
      expect(weight_0_1_29.weight, moreOrLessEquals(0.678142548));
      final weight_0_1_30 = bone_0_1.weights.elementAt(30);
      expect(weight_0_1_30.vertexId, equals(104));
      expect(weight_0_1_30.weight, moreOrLessEquals(0.678142548));
      final weight_0_1_31 = bone_0_1.weights.elementAt(31);
      expect(weight_0_1_31.vertexId, equals(109));
      expect(weight_0_1_31.weight, moreOrLessEquals(0.678142548));
      final weight_0_1_32 = bone_0_1.weights.elementAt(32);
      expect(weight_0_1_32.vertexId, equals(66));
      expect(weight_0_1_32.weight, moreOrLessEquals(0.704944134));
      final weight_0_1_33 = bone_0_1.weights.elementAt(33);
      expect(weight_0_1_33.vertexId, equals(71));
      expect(weight_0_1_33.weight, moreOrLessEquals(0.704944134));
      final weight_0_1_34 = bone_0_1.weights.elementAt(34);
      expect(weight_0_1_34.vertexId, equals(100));
      expect(weight_0_1_34.weight, moreOrLessEquals(0.704944134));
      final weight_0_1_35 = bone_0_1.weights.elementAt(35);
      expect(weight_0_1_35.vertexId, equals(105));
      expect(weight_0_1_35.weight, moreOrLessEquals(0.704944134));
      final weight_0_1_36 = bone_0_1.weights.elementAt(36);
      expect(weight_0_1_36.vertexId, equals(70));
      expect(weight_0_1_36.weight, moreOrLessEquals(0.710419774));
      final weight_0_1_37 = bone_0_1.weights.elementAt(37);
      expect(weight_0_1_37.vertexId, equals(75));
      expect(weight_0_1_37.weight, moreOrLessEquals(0.710419774));
      final weight_0_1_38 = bone_0_1.weights.elementAt(38);
      expect(weight_0_1_38.vertexId, equals(96));
      expect(weight_0_1_38.weight, moreOrLessEquals(0.710419774));
      final weight_0_1_39 = bone_0_1.weights.elementAt(39);
      expect(weight_0_1_39.vertexId, equals(101));
      expect(weight_0_1_39.weight, moreOrLessEquals(0.710419774));
      final weight_0_1_40 = bone_0_1.weights.elementAt(40);
      expect(weight_0_1_40.vertexId, equals(74));
      expect(weight_0_1_40.weight, moreOrLessEquals(0.691895247));
      final weight_0_1_41 = bone_0_1.weights.elementAt(41);
      expect(weight_0_1_41.vertexId, equals(79));
      expect(weight_0_1_41.weight, moreOrLessEquals(0.691895247));
      final weight_0_1_42 = bone_0_1.weights.elementAt(42);
      expect(weight_0_1_42.vertexId, equals(92));
      expect(weight_0_1_42.weight, moreOrLessEquals(0.691895247));
      final weight_0_1_43 = bone_0_1.weights.elementAt(43);
      expect(weight_0_1_43.vertexId, equals(97));
      expect(weight_0_1_43.weight, moreOrLessEquals(0.691895247));
      final weight_0_1_44 = bone_0_1.weights.elementAt(44);
      expect(weight_0_1_44.vertexId, equals(78));
      expect(weight_0_1_44.weight, moreOrLessEquals(0.585408151));
      final weight_0_1_45 = bone_0_1.weights.elementAt(45);
      expect(weight_0_1_45.vertexId, equals(83));
      expect(weight_0_1_45.weight, moreOrLessEquals(0.585408151));
      final weight_0_1_46 = bone_0_1.weights.elementAt(46);
      expect(weight_0_1_46.vertexId, equals(88));
      expect(weight_0_1_46.weight, moreOrLessEquals(0.585408151));
      final weight_0_1_47 = bone_0_1.weights.elementAt(47);
      expect(weight_0_1_47.vertexId, equals(93));
      expect(weight_0_1_47.weight, moreOrLessEquals(0.585408151));
      final weight_0_1_48 = bone_0_1.weights.elementAt(48);
      expect(weight_0_1_48.vertexId, equals(82));
      expect(weight_0_1_48.weight, moreOrLessEquals(0.0624977984));
      final weight_0_1_49 = bone_0_1.weights.elementAt(49);
      expect(weight_0_1_49.vertexId, equals(87));
      expect(weight_0_1_49.weight, moreOrLessEquals(0.0624977984));
      final weight_0_1_50 = bone_0_1.weights.elementAt(50);
      expect(weight_0_1_50.vertexId, equals(89));
      expect(weight_0_1_50.weight, moreOrLessEquals(0.0624977984));
      final weight_0_1_51 = bone_0_1.weights.elementAt(51);
      expect(weight_0_1_51.vertexId, equals(181));
      expect(weight_0_1_51.weight, moreOrLessEquals(0.0624977984));
      final weight_0_1_52 = bone_0_1.weights.elementAt(52);
      expect(weight_0_1_52.vertexId, equals(192));
      expect(weight_0_1_52.weight, moreOrLessEquals(0.0624977984));
      final weight_0_1_53 = bone_0_1.weights.elementAt(53);
      expect(weight_0_1_53.vertexId, equals(59));
      expect(weight_0_1_53.weight, moreOrLessEquals(0.0724724606));
      final weight_0_1_54 = bone_0_1.weights.elementAt(54);
      expect(weight_0_1_54.vertexId, equals(86));
      expect(weight_0_1_54.weight, moreOrLessEquals(0.0724724606));
      final weight_0_1_55 = bone_0_1.weights.elementAt(55);
      expect(weight_0_1_55.vertexId, equals(112));
      expect(weight_0_1_55.weight, moreOrLessEquals(0.0724724606));
      final weight_0_1_56 = bone_0_1.weights.elementAt(56);
      expect(weight_0_1_56.vertexId, equals(188));
      expect(weight_0_1_56.weight, moreOrLessEquals(0.0724724606));
      final weight_0_1_57 = bone_0_1.weights.elementAt(57);
      expect(weight_0_1_57.vertexId, equals(193));
      expect(weight_0_1_57.weight, moreOrLessEquals(0.0724724606));
      final weight_0_1_58 = bone_0_1.weights.elementAt(58);
      expect(weight_0_1_58.vertexId, equals(91));
      expect(weight_0_1_58.weight, moreOrLessEquals(0.0751217827));
      final weight_0_1_59 = bone_0_1.weights.elementAt(59);
      expect(weight_0_1_59.vertexId, equals(94));
      expect(weight_0_1_59.weight, moreOrLessEquals(0.0751217827));
      final weight_0_1_60 = bone_0_1.weights.elementAt(60);
      expect(weight_0_1_60.vertexId, equals(137));
      expect(weight_0_1_60.weight, moreOrLessEquals(0.0751217827));
      final weight_0_1_61 = bone_0_1.weights.elementAt(61);
      expect(weight_0_1_61.vertexId, equals(140));
      expect(weight_0_1_61.weight, moreOrLessEquals(0.0751217827));
      final weight_0_1_62 = bone_0_1.weights.elementAt(62);
      expect(weight_0_1_62.vertexId, equals(95));
      expect(weight_0_1_62.weight, moreOrLessEquals(0.0961511135));
      final weight_0_1_63 = bone_0_1.weights.elementAt(63);
      expect(weight_0_1_63.vertexId, equals(98));
      expect(weight_0_1_63.weight, moreOrLessEquals(0.0961511135));
      final weight_0_1_64 = bone_0_1.weights.elementAt(64);
      expect(weight_0_1_64.vertexId, equals(133));
      expect(weight_0_1_64.weight, moreOrLessEquals(0.0961511135));
      final weight_0_1_65 = bone_0_1.weights.elementAt(65);
      expect(weight_0_1_65.vertexId, equals(136));
      expect(weight_0_1_65.weight, moreOrLessEquals(0.0961511135));
      final weight_0_1_66 = bone_0_1.weights.elementAt(66);
      expect(weight_0_1_66.vertexId, equals(99));
      expect(weight_0_1_66.weight, moreOrLessEquals(0.102429919));
      final weight_0_1_67 = bone_0_1.weights.elementAt(67);
      expect(weight_0_1_67.vertexId, equals(102));
      expect(weight_0_1_67.weight, moreOrLessEquals(0.102429919));
      final weight_0_1_68 = bone_0_1.weights.elementAt(68);
      expect(weight_0_1_68.vertexId, equals(129));
      expect(weight_0_1_68.weight, moreOrLessEquals(0.102429919));
      final weight_0_1_69 = bone_0_1.weights.elementAt(69);
      expect(weight_0_1_69.vertexId, equals(132));
      expect(weight_0_1_69.weight, moreOrLessEquals(0.102429919));
      final weight_0_1_70 = bone_0_1.weights.elementAt(70);
      expect(weight_0_1_70.vertexId, equals(103));
      expect(weight_0_1_70.weight, moreOrLessEquals(0.103828609));
      final weight_0_1_71 = bone_0_1.weights.elementAt(71);
      expect(weight_0_1_71.vertexId, equals(106));
      expect(weight_0_1_71.weight, moreOrLessEquals(0.103828609));
      final weight_0_1_72 = bone_0_1.weights.elementAt(72);
      expect(weight_0_1_72.vertexId, equals(125));
      expect(weight_0_1_72.weight, moreOrLessEquals(0.103828609));
      final weight_0_1_73 = bone_0_1.weights.elementAt(73);
      expect(weight_0_1_73.vertexId, equals(128));
      expect(weight_0_1_73.weight, moreOrLessEquals(0.103828609));
      final weight_0_1_74 = bone_0_1.weights.elementAt(74);
      expect(weight_0_1_74.vertexId, equals(107));
      expect(weight_0_1_74.weight, moreOrLessEquals(0.0990892574));
      final weight_0_1_75 = bone_0_1.weights.elementAt(75);
      expect(weight_0_1_75.vertexId, equals(110));
      expect(weight_0_1_75.weight, moreOrLessEquals(0.0990892574));
      final weight_0_1_76 = bone_0_1.weights.elementAt(76);
      expect(weight_0_1_76.vertexId, equals(121));
      expect(weight_0_1_76.weight, moreOrLessEquals(0.0990892574));
      final weight_0_1_77 = bone_0_1.weights.elementAt(77);
      expect(weight_0_1_77.vertexId, equals(124));
      expect(weight_0_1_77.weight, moreOrLessEquals(0.0990892574));
      final weight_0_1_78 = bone_0_1.weights.elementAt(78);
      expect(weight_0_1_78.vertexId, equals(111));
      expect(weight_0_1_78.weight, moreOrLessEquals(0.0770322531));
      final weight_0_1_79 = bone_0_1.weights.elementAt(79);
      expect(weight_0_1_79.vertexId, equals(114));
      expect(weight_0_1_79.weight, moreOrLessEquals(0.0770322531));
      final weight_0_1_80 = bone_0_1.weights.elementAt(80);
      expect(weight_0_1_80.vertexId, equals(117));
      expect(weight_0_1_80.weight, moreOrLessEquals(0.0770322531));
      final weight_0_1_81 = bone_0_1.weights.elementAt(81);
      expect(weight_0_1_81.vertexId, equals(120));
      expect(weight_0_1_81.weight, moreOrLessEquals(0.0770322531));
      final bone_0_2 = mesh_0.bones.elementAt(2);
      expect(bone_0_2.name, equals('Bone.002'));
      expect(bone_0_2.offset, matrix4MoreOrLessEquals(Matrix4(0.346061766, -0.938211441, 5.64879912e-08, -0.0219845772, 0.93821156, 0.346061707, 6.91357105e-09, 0.0137034655, -5.88830531e-08, 7.48468594e-08, 0.999999702, -0.85220027, 0, 0, 0, 1)));
      final weight_0_2_0 = bone_0_2.weights.elementAt(0);
      expect(weight_0_2_0.vertexId, equals(25));
      expect(weight_0_2_0.weight, moreOrLessEquals(0.0715973973));
      final weight_0_2_1 = bone_0_2.weights.elementAt(1);
      expect(weight_0_2_1.vertexId, equals(52));
      expect(weight_0_2_1.weight, moreOrLessEquals(0.0715973973));
      final weight_0_2_2 = bone_0_2.weights.elementAt(2);
      expect(weight_0_2_2.vertexId, equals(56));
      expect(weight_0_2_2.weight, moreOrLessEquals(0.0715973973));
      final weight_0_2_3 = bone_0_2.weights.elementAt(3);
      expect(weight_0_2_3.vertexId, equals(85));
      expect(weight_0_2_3.weight, moreOrLessEquals(0.0715973973));
      final weight_0_2_4 = bone_0_2.weights.elementAt(4);
      expect(weight_0_2_4.vertexId, equals(26));
      expect(weight_0_2_4.weight, moreOrLessEquals(0.0719645843));
      final weight_0_2_5 = bone_0_2.weights.elementAt(5);
      expect(weight_0_2_5.vertexId, equals(29));
      expect(weight_0_2_5.weight, moreOrLessEquals(0.0719645843));
      final weight_0_2_6 = bone_0_2.weights.elementAt(6);
      expect(weight_0_2_6.vertexId, equals(81));
      expect(weight_0_2_6.weight, moreOrLessEquals(0.0719645843));
      final weight_0_2_7 = bone_0_2.weights.elementAt(7);
      expect(weight_0_2_7.vertexId, equals(84));
      expect(weight_0_2_7.weight, moreOrLessEquals(0.0719645843));
      final weight_0_2_8 = bone_0_2.weights.elementAt(8);
      expect(weight_0_2_8.vertexId, equals(30));
      expect(weight_0_2_8.weight, moreOrLessEquals(0.00307268649));
      final weight_0_2_9 = bone_0_2.weights.elementAt(9);
      expect(weight_0_2_9.vertexId, equals(33));
      expect(weight_0_2_9.weight, moreOrLessEquals(0.00307268649));
      final weight_0_2_10 = bone_0_2.weights.elementAt(10);
      expect(weight_0_2_10.vertexId, equals(77));
      expect(weight_0_2_10.weight, moreOrLessEquals(0.00307268649));
      final weight_0_2_11 = bone_0_2.weights.elementAt(11);
      expect(weight_0_2_11.vertexId, equals(80));
      expect(weight_0_2_11.weight, moreOrLessEquals(0.00307268649));
      final weight_0_2_12 = bone_0_2.weights.elementAt(12);
      expect(weight_0_2_12.vertexId, equals(50));
      expect(weight_0_2_12.weight, moreOrLessEquals(0.00667777285));
      final weight_0_2_13 = bone_0_2.weights.elementAt(13);
      expect(weight_0_2_13.vertexId, equals(55));
      expect(weight_0_2_13.weight, moreOrLessEquals(0.00667777285));
      final weight_0_2_14 = bone_0_2.weights.elementAt(14);
      expect(weight_0_2_14.vertexId, equals(57));
      expect(weight_0_2_14.weight, moreOrLessEquals(0.00667777285));
      final weight_0_2_15 = bone_0_2.weights.elementAt(15);
      expect(weight_0_2_15.vertexId, equals(60));
      expect(weight_0_2_15.weight, moreOrLessEquals(0.00667777285));
      final weight_0_2_16 = bone_0_2.weights.elementAt(16);
      expect(weight_0_2_16.vertexId, equals(58));
      expect(weight_0_2_16.weight, moreOrLessEquals(0.171589211));
      final weight_0_2_17 = bone_0_2.weights.elementAt(17);
      expect(weight_0_2_17.vertexId, equals(63));
      expect(weight_0_2_17.weight, moreOrLessEquals(0.171589211));
      final weight_0_2_18 = bone_0_2.weights.elementAt(18);
      expect(weight_0_2_18.vertexId, equals(108));
      expect(weight_0_2_18.weight, moreOrLessEquals(0.171589211));
      final weight_0_2_19 = bone_0_2.weights.elementAt(19);
      expect(weight_0_2_19.vertexId, equals(113));
      expect(weight_0_2_19.weight, moreOrLessEquals(0.171589211));
      final weight_0_2_20 = bone_0_2.weights.elementAt(20);
      expect(weight_0_2_20.vertexId, equals(62));
      expect(weight_0_2_20.weight, moreOrLessEquals(0.0289672799));
      final weight_0_2_21 = bone_0_2.weights.elementAt(21);
      expect(weight_0_2_21.vertexId, equals(67));
      expect(weight_0_2_21.weight, moreOrLessEquals(0.0289672799));
      final weight_0_2_22 = bone_0_2.weights.elementAt(22);
      expect(weight_0_2_22.vertexId, equals(104));
      expect(weight_0_2_22.weight, moreOrLessEquals(0.0289672799));
      final weight_0_2_23 = bone_0_2.weights.elementAt(23);
      expect(weight_0_2_23.vertexId, equals(109));
      expect(weight_0_2_23.weight, moreOrLessEquals(0.0289672799));
      final weight_0_2_24 = bone_0_2.weights.elementAt(24);
      expect(weight_0_2_24.vertexId, equals(74));
      expect(weight_0_2_24.weight, moreOrLessEquals(0.0250949599));
      final weight_0_2_25 = bone_0_2.weights.elementAt(25);
      expect(weight_0_2_25.vertexId, equals(79));
      expect(weight_0_2_25.weight, moreOrLessEquals(0.0250949599));
      final weight_0_2_26 = bone_0_2.weights.elementAt(26);
      expect(weight_0_2_26.vertexId, equals(92));
      expect(weight_0_2_26.weight, moreOrLessEquals(0.0250949599));
      final weight_0_2_27 = bone_0_2.weights.elementAt(27);
      expect(weight_0_2_27.vertexId, equals(97));
      expect(weight_0_2_27.weight, moreOrLessEquals(0.0250949599));
      final weight_0_2_28 = bone_0_2.weights.elementAt(28);
      expect(weight_0_2_28.vertexId, equals(78));
      expect(weight_0_2_28.weight, moreOrLessEquals(0.171363056));
      final weight_0_2_29 = bone_0_2.weights.elementAt(29);
      expect(weight_0_2_29.vertexId, equals(83));
      expect(weight_0_2_29.weight, moreOrLessEquals(0.171363056));
      final weight_0_2_30 = bone_0_2.weights.elementAt(30);
      expect(weight_0_2_30.vertexId, equals(88));
      expect(weight_0_2_30.weight, moreOrLessEquals(0.171363056));
      final weight_0_2_31 = bone_0_2.weights.elementAt(31);
      expect(weight_0_2_31.vertexId, equals(93));
      expect(weight_0_2_31.weight, moreOrLessEquals(0.171363056));
      final weight_0_2_32 = bone_0_2.weights.elementAt(32);
      expect(weight_0_2_32.vertexId, equals(82));
      expect(weight_0_2_32.weight, moreOrLessEquals(0.787324548));
      final weight_0_2_33 = bone_0_2.weights.elementAt(33);
      expect(weight_0_2_33.vertexId, equals(87));
      expect(weight_0_2_33.weight, moreOrLessEquals(0.787324548));
      final weight_0_2_34 = bone_0_2.weights.elementAt(34);
      expect(weight_0_2_34.vertexId, equals(89));
      expect(weight_0_2_34.weight, moreOrLessEquals(0.787324548));
      final weight_0_2_35 = bone_0_2.weights.elementAt(35);
      expect(weight_0_2_35.vertexId, equals(181));
      expect(weight_0_2_35.weight, moreOrLessEquals(0.787324548));
      final weight_0_2_36 = bone_0_2.weights.elementAt(36);
      expect(weight_0_2_36.vertexId, equals(192));
      expect(weight_0_2_36.weight, moreOrLessEquals(0.787324548));
      final weight_0_2_37 = bone_0_2.weights.elementAt(37);
      expect(weight_0_2_37.vertexId, equals(59));
      expect(weight_0_2_37.weight, moreOrLessEquals(0.750162125));
      final weight_0_2_38 = bone_0_2.weights.elementAt(38);
      expect(weight_0_2_38.vertexId, equals(86));
      expect(weight_0_2_38.weight, moreOrLessEquals(0.750162125));
      final weight_0_2_39 = bone_0_2.weights.elementAt(39);
      expect(weight_0_2_39.vertexId, equals(112));
      expect(weight_0_2_39.weight, moreOrLessEquals(0.750162125));
      final weight_0_2_40 = bone_0_2.weights.elementAt(40);
      expect(weight_0_2_40.vertexId, equals(188));
      expect(weight_0_2_40.weight, moreOrLessEquals(0.750162125));
      final weight_0_2_41 = bone_0_2.weights.elementAt(41);
      expect(weight_0_2_41.vertexId, equals(193));
      expect(weight_0_2_41.weight, moreOrLessEquals(0.750162125));
      final weight_0_2_42 = bone_0_2.weights.elementAt(42);
      expect(weight_0_2_42.vertexId, equals(115));
      expect(weight_0_2_42.weight, moreOrLessEquals(0.74905467));
      final weight_0_2_43 = bone_0_2.weights.elementAt(43);
      expect(weight_0_2_43.vertexId, equals(116));
      expect(weight_0_2_43.weight, moreOrLessEquals(0.74905467));
      final weight_0_2_44 = bone_0_2.weights.elementAt(44);
      expect(weight_0_2_44.vertexId, equals(145));
      expect(weight_0_2_44.weight, moreOrLessEquals(0.74905467));
      final weight_0_2_45 = bone_0_2.weights.elementAt(45);
      expect(weight_0_2_45.vertexId, equals(184));
      expect(weight_0_2_45.weight, moreOrLessEquals(0.74905467));
      final weight_0_2_46 = bone_0_2.weights.elementAt(46);
      expect(weight_0_2_46.vertexId, equals(189));
      expect(weight_0_2_46.weight, moreOrLessEquals(0.74905467));
      final weight_0_2_47 = bone_0_2.weights.elementAt(47);
      expect(weight_0_2_47.vertexId, equals(90));
      expect(weight_0_2_47.weight, moreOrLessEquals(0.734883785));
      final weight_0_2_48 = bone_0_2.weights.elementAt(48);
      expect(weight_0_2_48.vertexId, equals(141));
      expect(weight_0_2_48.weight, moreOrLessEquals(0.734883785));
      final weight_0_2_49 = bone_0_2.weights.elementAt(49);
      expect(weight_0_2_49.vertexId, equals(144));
      expect(weight_0_2_49.weight, moreOrLessEquals(0.734883785));
      final weight_0_2_50 = bone_0_2.weights.elementAt(50);
      expect(weight_0_2_50.vertexId, equals(180));
      expect(weight_0_2_50.weight, moreOrLessEquals(0.734883785));
      final weight_0_2_51 = bone_0_2.weights.elementAt(51);
      expect(weight_0_2_51.vertexId, equals(185));
      expect(weight_0_2_51.weight, moreOrLessEquals(0.734883785));
      final weight_0_2_52 = bone_0_2.weights.elementAt(52);
      expect(weight_0_2_52.vertexId, equals(91));
      expect(weight_0_2_52.weight, moreOrLessEquals(0.162208587));
      final weight_0_2_53 = bone_0_2.weights.elementAt(53);
      expect(weight_0_2_53.vertexId, equals(94));
      expect(weight_0_2_53.weight, moreOrLessEquals(0.162208587));
      final weight_0_2_54 = bone_0_2.weights.elementAt(54);
      expect(weight_0_2_54.vertexId, equals(137));
      expect(weight_0_2_54.weight, moreOrLessEquals(0.162208587));
      final weight_0_2_55 = bone_0_2.weights.elementAt(55);
      expect(weight_0_2_55.vertexId, equals(140));
      expect(weight_0_2_55.weight, moreOrLessEquals(0.162208587));
      final weight_0_2_56 = bone_0_2.weights.elementAt(56);
      expect(weight_0_2_56.vertexId, equals(95));
      expect(weight_0_2_56.weight, moreOrLessEquals(0.0219624452));
      final weight_0_2_57 = bone_0_2.weights.elementAt(57);
      expect(weight_0_2_57.vertexId, equals(98));
      expect(weight_0_2_57.weight, moreOrLessEquals(0.0219624452));
      final weight_0_2_58 = bone_0_2.weights.elementAt(58);
      expect(weight_0_2_58.vertexId, equals(133));
      expect(weight_0_2_58.weight, moreOrLessEquals(0.0219624452));
      final weight_0_2_59 = bone_0_2.weights.elementAt(59);
      expect(weight_0_2_59.vertexId, equals(136));
      expect(weight_0_2_59.weight, moreOrLessEquals(0.0219624452));
      final weight_0_2_60 = bone_0_2.weights.elementAt(60);
      expect(weight_0_2_60.vertexId, equals(107));
      expect(weight_0_2_60.weight, moreOrLessEquals(0.0290445052));
      final weight_0_2_61 = bone_0_2.weights.elementAt(61);
      expect(weight_0_2_61.vertexId, equals(110));
      expect(weight_0_2_61.weight, moreOrLessEquals(0.0290445052));
      final weight_0_2_62 = bone_0_2.weights.elementAt(62);
      expect(weight_0_2_62.vertexId, equals(121));
      expect(weight_0_2_62.weight, moreOrLessEquals(0.0290445052));
      final weight_0_2_63 = bone_0_2.weights.elementAt(63);
      expect(weight_0_2_63.vertexId, equals(124));
      expect(weight_0_2_63.weight, moreOrLessEquals(0.0290445052));
      final weight_0_2_64 = bone_0_2.weights.elementAt(64);
      expect(weight_0_2_64.vertexId, equals(111));
      expect(weight_0_2_64.weight, moreOrLessEquals(0.171570361));
      final weight_0_2_65 = bone_0_2.weights.elementAt(65);
      expect(weight_0_2_65.vertexId, equals(114));
      expect(weight_0_2_65.weight, moreOrLessEquals(0.171570361));
      final weight_0_2_66 = bone_0_2.weights.elementAt(66);
      expect(weight_0_2_66.vertexId, equals(117));
      expect(weight_0_2_66.weight, moreOrLessEquals(0.171570361));
      final weight_0_2_67 = bone_0_2.weights.elementAt(67);
      expect(weight_0_2_67.vertexId, equals(120));
      expect(weight_0_2_67.weight, moreOrLessEquals(0.171570361));
      final weight_0_2_68 = bone_0_2.weights.elementAt(68);
      expect(weight_0_2_68.vertexId, equals(118));
      expect(weight_0_2_68.weight, moreOrLessEquals(0.019423794));
      final weight_0_2_69 = bone_0_2.weights.elementAt(69);
      expect(weight_0_2_69.vertexId, equals(123));
      expect(weight_0_2_69.weight, moreOrLessEquals(0.019423794));
      final weight_0_2_70 = bone_0_2.weights.elementAt(70);
      expect(weight_0_2_70.vertexId, equals(172));
      expect(weight_0_2_70.weight, moreOrLessEquals(0.019423794));
      final weight_0_2_71 = bone_0_2.weights.elementAt(71);
      expect(weight_0_2_71.vertexId, equals(177));
      expect(weight_0_2_71.weight, moreOrLessEquals(0.019423794));
      final weight_0_2_72 = bone_0_2.weights.elementAt(72);
      expect(weight_0_2_72.vertexId, equals(138));
      expect(weight_0_2_72.weight, moreOrLessEquals(0.0139479078));
      final weight_0_2_73 = bone_0_2.weights.elementAt(73);
      expect(weight_0_2_73.vertexId, equals(143));
      expect(weight_0_2_73.weight, moreOrLessEquals(0.0139479078));
      final weight_0_2_74 = bone_0_2.weights.elementAt(74);
      expect(weight_0_2_74.vertexId, equals(152));
      expect(weight_0_2_74.weight, moreOrLessEquals(0.0139479078));
      final weight_0_2_75 = bone_0_2.weights.elementAt(75);
      expect(weight_0_2_75.vertexId, equals(157));
      expect(weight_0_2_75.weight, moreOrLessEquals(0.0139479078));
      final weight_0_2_76 = bone_0_2.weights.elementAt(76);
      expect(weight_0_2_76.vertexId, equals(142));
      expect(weight_0_2_76.weight, moreOrLessEquals(0.0857003108));
      final weight_0_2_77 = bone_0_2.weights.elementAt(77);
      expect(weight_0_2_77.vertexId, equals(147));
      expect(weight_0_2_77.weight, moreOrLessEquals(0.0857003108));
      final weight_0_2_78 = bone_0_2.weights.elementAt(78);
      expect(weight_0_2_78.vertexId, equals(148));
      expect(weight_0_2_78.weight, moreOrLessEquals(0.0857003108));
      final weight_0_2_79 = bone_0_2.weights.elementAt(79);
      expect(weight_0_2_79.vertexId, equals(153));
      expect(weight_0_2_79.weight, moreOrLessEquals(0.0857003108));
      final weight_0_2_80 = bone_0_2.weights.elementAt(80);
      expect(weight_0_2_80.vertexId, equals(119));
      expect(weight_0_2_80.weight, moreOrLessEquals(0.0882032514));
      final weight_0_2_81 = bone_0_2.weights.elementAt(81);
      expect(weight_0_2_81.vertexId, equals(146));
      expect(weight_0_2_81.weight, moreOrLessEquals(0.0882032514));
      final weight_0_2_82 = bone_0_2.weights.elementAt(82);
      expect(weight_0_2_82.vertexId, equals(149));
      expect(weight_0_2_82.weight, moreOrLessEquals(0.0882032514));
      final weight_0_2_83 = bone_0_2.weights.elementAt(83);
      expect(weight_0_2_83.vertexId, equals(176));
      expect(weight_0_2_83.weight, moreOrLessEquals(0.0882032514));
      final weight_0_2_84 = bone_0_2.weights.elementAt(84);
      expect(weight_0_2_84.vertexId, equals(183));
      expect(weight_0_2_84.weight, moreOrLessEquals(0.0430032276));
      final weight_0_2_85 = bone_0_2.weights.elementAt(85);
      expect(weight_0_2_85.vertexId, equals(186));
      expect(weight_0_2_85.weight, moreOrLessEquals(0.0430032276));
      final weight_0_2_86 = bone_0_2.weights.elementAt(86);
      expect(weight_0_2_86.vertexId, equals(205));
      expect(weight_0_2_86.weight, moreOrLessEquals(0.0430032276));
      final weight_0_2_87 = bone_0_2.weights.elementAt(87);
      expect(weight_0_2_87.vertexId, equals(208));
      expect(weight_0_2_87.weight, moreOrLessEquals(0.0430032276));
      final weight_0_2_88 = bone_0_2.weights.elementAt(88);
      expect(weight_0_2_88.vertexId, equals(187));
      expect(weight_0_2_88.weight, moreOrLessEquals(0.0483572967));
      final weight_0_2_89 = bone_0_2.weights.elementAt(89);
      expect(weight_0_2_89.vertexId, equals(190));
      expect(weight_0_2_89.weight, moreOrLessEquals(0.0483572967));
      final weight_0_2_90 = bone_0_2.weights.elementAt(90);
      expect(weight_0_2_90.vertexId, equals(201));
      expect(weight_0_2_90.weight, moreOrLessEquals(0.0483572967));
      final weight_0_2_91 = bone_0_2.weights.elementAt(91);
      expect(weight_0_2_91.vertexId, equals(204));
      expect(weight_0_2_91.weight, moreOrLessEquals(0.0483572967));
      final weight_0_2_92 = bone_0_2.weights.elementAt(92);
      expect(weight_0_2_92.vertexId, equals(191));
      expect(weight_0_2_92.weight, moreOrLessEquals(0.0458444171));
      final weight_0_2_93 = bone_0_2.weights.elementAt(93);
      expect(weight_0_2_93.vertexId, equals(194));
      expect(weight_0_2_93.weight, moreOrLessEquals(0.0458444171));
      final weight_0_2_94 = bone_0_2.weights.elementAt(94);
      expect(weight_0_2_94.vertexId, equals(197));
      expect(weight_0_2_94.weight, moreOrLessEquals(0.0458444171));
      final weight_0_2_95 = bone_0_2.weights.elementAt(95);
      expect(weight_0_2_95.vertexId, equals(200));
      expect(weight_0_2_95.weight, moreOrLessEquals(0.0458444171));
      final weight_0_2_96 = bone_0_2.weights.elementAt(96);
      expect(weight_0_2_96.vertexId, equals(182));
      expect(weight_0_2_96.weight, moreOrLessEquals(0.0424015485));
      final weight_0_2_97 = bone_0_2.weights.elementAt(97);
      expect(weight_0_2_97.vertexId, equals(195));
      expect(weight_0_2_97.weight, moreOrLessEquals(0.0424015485));
      final weight_0_2_98 = bone_0_2.weights.elementAt(98);
      expect(weight_0_2_98.vertexId, equals(196));
      expect(weight_0_2_98.weight, moreOrLessEquals(0.0424015485));
      final weight_0_2_99 = bone_0_2.weights.elementAt(99);
      expect(weight_0_2_99.vertexId, equals(209));
      expect(weight_0_2_99.weight, moreOrLessEquals(0.0424015485));
      final bone_0_3 = mesh_0.bones.elementAt(3);
      expect(bone_0_3.name, equals('Bone.004'));
      expect(bone_0_3.offset, matrix4MoreOrLessEquals(Matrix4(0.393919647, -0.91914475, -3.37690231e-08, -0.0719015598, 0.919144869, 0.393919528, 7.32344407e-09, -0.967438221, -2.62773501e-08, -9.68178426e-09, 0.999999881, -0.85220027, 0, 0, 0, 1)));
      final weight_0_3_0 = bone_0_3.weights.elementAt(0);
      expect(weight_0_3_0.vertexId, equals(82));
      expect(weight_0_3_0.weight, moreOrLessEquals(0.0633678138));
      final weight_0_3_1 = bone_0_3.weights.elementAt(1);
      expect(weight_0_3_1.vertexId, equals(87));
      expect(weight_0_3_1.weight, moreOrLessEquals(0.0633678138));
      final weight_0_3_2 = bone_0_3.weights.elementAt(2);
      expect(weight_0_3_2.vertexId, equals(89));
      expect(weight_0_3_2.weight, moreOrLessEquals(0.0633678138));
      final weight_0_3_3 = bone_0_3.weights.elementAt(3);
      expect(weight_0_3_3.vertexId, equals(181));
      expect(weight_0_3_3.weight, moreOrLessEquals(0.0633678138));
      final weight_0_3_4 = bone_0_3.weights.elementAt(4);
      expect(weight_0_3_4.vertexId, equals(192));
      expect(weight_0_3_4.weight, moreOrLessEquals(0.0633678138));
      final weight_0_3_5 = bone_0_3.weights.elementAt(5);
      expect(weight_0_3_5.vertexId, equals(59));
      expect(weight_0_3_5.weight, moreOrLessEquals(0.0738955364));
      final weight_0_3_6 = bone_0_3.weights.elementAt(6);
      expect(weight_0_3_6.vertexId, equals(86));
      expect(weight_0_3_6.weight, moreOrLessEquals(0.0738955364));
      final weight_0_3_7 = bone_0_3.weights.elementAt(7);
      expect(weight_0_3_7.vertexId, equals(112));
      expect(weight_0_3_7.weight, moreOrLessEquals(0.0738955364));
      final weight_0_3_8 = bone_0_3.weights.elementAt(8);
      expect(weight_0_3_8.vertexId, equals(188));
      expect(weight_0_3_8.weight, moreOrLessEquals(0.0738955364));
      final weight_0_3_9 = bone_0_3.weights.elementAt(9);
      expect(weight_0_3_9.vertexId, equals(193));
      expect(weight_0_3_9.weight, moreOrLessEquals(0.0738955364));
      final weight_0_3_10 = bone_0_3.weights.elementAt(10);
      expect(weight_0_3_10.vertexId, equals(115));
      expect(weight_0_3_10.weight, moreOrLessEquals(0.0706515685));
      final weight_0_3_11 = bone_0_3.weights.elementAt(11);
      expect(weight_0_3_11.vertexId, equals(116));
      expect(weight_0_3_11.weight, moreOrLessEquals(0.0706515685));
      final weight_0_3_12 = bone_0_3.weights.elementAt(12);
      expect(weight_0_3_12.vertexId, equals(145));
      expect(weight_0_3_12.weight, moreOrLessEquals(0.0706515685));
      final weight_0_3_13 = bone_0_3.weights.elementAt(13);
      expect(weight_0_3_13.vertexId, equals(184));
      expect(weight_0_3_13.weight, moreOrLessEquals(0.0706515685));
      final weight_0_3_14 = bone_0_3.weights.elementAt(14);
      expect(weight_0_3_14.vertexId, equals(189));
      expect(weight_0_3_14.weight, moreOrLessEquals(0.0706515685));
      final weight_0_3_15 = bone_0_3.weights.elementAt(15);
      expect(weight_0_3_15.vertexId, equals(90));
      expect(weight_0_3_15.weight, moreOrLessEquals(0.0750491768));
      final weight_0_3_16 = bone_0_3.weights.elementAt(16);
      expect(weight_0_3_16.vertexId, equals(141));
      expect(weight_0_3_16.weight, moreOrLessEquals(0.0750491768));
      final weight_0_3_17 = bone_0_3.weights.elementAt(17);
      expect(weight_0_3_17.vertexId, equals(144));
      expect(weight_0_3_17.weight, moreOrLessEquals(0.0750491768));
      final weight_0_3_18 = bone_0_3.weights.elementAt(18);
      expect(weight_0_3_18.vertexId, equals(180));
      expect(weight_0_3_18.weight, moreOrLessEquals(0.0750491768));
      final weight_0_3_19 = bone_0_3.weights.elementAt(19);
      expect(weight_0_3_19.vertexId, equals(185));
      expect(weight_0_3_19.weight, moreOrLessEquals(0.0750491768));
      final weight_0_3_20 = bone_0_3.weights.elementAt(20);
      expect(weight_0_3_20.vertexId, equals(183));
      expect(weight_0_3_20.weight, moreOrLessEquals(0.903784573));
      final weight_0_3_21 = bone_0_3.weights.elementAt(21);
      expect(weight_0_3_21.vertexId, equals(186));
      expect(weight_0_3_21.weight, moreOrLessEquals(0.903784573));
      final weight_0_3_22 = bone_0_3.weights.elementAt(22);
      expect(weight_0_3_22.vertexId, equals(205));
      expect(weight_0_3_22.weight, moreOrLessEquals(0.903784573));
      final weight_0_3_23 = bone_0_3.weights.elementAt(23);
      expect(weight_0_3_23.vertexId, equals(208));
      expect(weight_0_3_23.weight, moreOrLessEquals(0.903784573));
      final weight_0_3_24 = bone_0_3.weights.elementAt(24);
      expect(weight_0_3_24.vertexId, equals(187));
      expect(weight_0_3_24.weight, moreOrLessEquals(0.890351474));
      final weight_0_3_25 = bone_0_3.weights.elementAt(25);
      expect(weight_0_3_25.vertexId, equals(190));
      expect(weight_0_3_25.weight, moreOrLessEquals(0.890351474));
      final weight_0_3_26 = bone_0_3.weights.elementAt(26);
      expect(weight_0_3_26.vertexId, equals(201));
      expect(weight_0_3_26.weight, moreOrLessEquals(0.890351474));
      final weight_0_3_27 = bone_0_3.weights.elementAt(27);
      expect(weight_0_3_27.vertexId, equals(204));
      expect(weight_0_3_27.weight, moreOrLessEquals(0.890351474));
      final weight_0_3_28 = bone_0_3.weights.elementAt(28);
      expect(weight_0_3_28.vertexId, equals(191));
      expect(weight_0_3_28.weight, moreOrLessEquals(0.893914163));
      final weight_0_3_29 = bone_0_3.weights.elementAt(29);
      expect(weight_0_3_29.vertexId, equals(194));
      expect(weight_0_3_29.weight, moreOrLessEquals(0.893914163));
      final weight_0_3_30 = bone_0_3.weights.elementAt(30);
      expect(weight_0_3_30.vertexId, equals(197));
      expect(weight_0_3_30.weight, moreOrLessEquals(0.893914163));
      final weight_0_3_31 = bone_0_3.weights.elementAt(31);
      expect(weight_0_3_31.vertexId, equals(200));
      expect(weight_0_3_31.weight, moreOrLessEquals(0.893914163));
      final weight_0_3_32 = bone_0_3.weights.elementAt(32);
      expect(weight_0_3_32.vertexId, equals(182));
      expect(weight_0_3_32.weight, moreOrLessEquals(0.908618391));
      final weight_0_3_33 = bone_0_3.weights.elementAt(33);
      expect(weight_0_3_33.vertexId, equals(195));
      expect(weight_0_3_33.weight, moreOrLessEquals(0.908618391));
      final weight_0_3_34 = bone_0_3.weights.elementAt(34);
      expect(weight_0_3_34.vertexId, equals(196));
      expect(weight_0_3_34.weight, moreOrLessEquals(0.908618391));
      final weight_0_3_35 = bone_0_3.weights.elementAt(35);
      expect(weight_0_3_35.vertexId, equals(209));
      expect(weight_0_3_35.weight, moreOrLessEquals(0.908618391));
      final weight_0_3_36 = bone_0_3.weights.elementAt(36);
      expect(weight_0_3_36.vertexId, equals(199));
      expect(weight_0_3_36.weight, moreOrLessEquals(0.00942982733));
      final weight_0_3_37 = bone_0_3.weights.elementAt(37);
      expect(weight_0_3_37.vertexId, equals(210));
      expect(weight_0_3_37.weight, moreOrLessEquals(0.00942982733));
      final weight_0_3_38 = bone_0_3.weights.elementAt(38);
      expect(weight_0_3_38.vertexId, equals(213));
      expect(weight_0_3_38.weight, moreOrLessEquals(0.00942982733));
      final weight_0_3_39 = bone_0_3.weights.elementAt(39);
      expect(weight_0_3_39.vertexId, equals(224));
      expect(weight_0_3_39.weight, moreOrLessEquals(0.00942982733));
      final weight_0_3_40 = bone_0_3.weights.elementAt(40);
      expect(weight_0_3_40.vertexId, equals(198));
      expect(weight_0_3_40.weight, moreOrLessEquals(0.0183341391));
      final weight_0_3_41 = bone_0_3.weights.elementAt(41);
      expect(weight_0_3_41.vertexId, equals(203));
      expect(weight_0_3_41.weight, moreOrLessEquals(0.0183341391));
      final weight_0_3_42 = bone_0_3.weights.elementAt(42);
      expect(weight_0_3_42.vertexId, equals(220));
      expect(weight_0_3_42.weight, moreOrLessEquals(0.0183341391));
      final weight_0_3_43 = bone_0_3.weights.elementAt(43);
      expect(weight_0_3_43.vertexId, equals(225));
      expect(weight_0_3_43.weight, moreOrLessEquals(0.0183341391));
      final weight_0_3_44 = bone_0_3.weights.elementAt(44);
      expect(weight_0_3_44.vertexId, equals(202));
      expect(weight_0_3_44.weight, moreOrLessEquals(0.0213911347));
      final weight_0_3_45 = bone_0_3.weights.elementAt(45);
      expect(weight_0_3_45.vertexId, equals(207));
      expect(weight_0_3_45.weight, moreOrLessEquals(0.0213911347));
      final weight_0_3_46 = bone_0_3.weights.elementAt(46);
      expect(weight_0_3_46.vertexId, equals(216));
      expect(weight_0_3_46.weight, moreOrLessEquals(0.0213911347));
      final weight_0_3_47 = bone_0_3.weights.elementAt(47);
      expect(weight_0_3_47.vertexId, equals(221));
      expect(weight_0_3_47.weight, moreOrLessEquals(0.0213911347));
      final weight_0_3_48 = bone_0_3.weights.elementAt(48);
      expect(weight_0_3_48.vertexId, equals(206));
      expect(weight_0_3_48.weight, moreOrLessEquals(0.0127583109));
      final weight_0_3_49 = bone_0_3.weights.elementAt(49);
      expect(weight_0_3_49.vertexId, equals(211));
      expect(weight_0_3_49.weight, moreOrLessEquals(0.0127583109));
      final weight_0_3_50 = bone_0_3.weights.elementAt(50);
      expect(weight_0_3_50.vertexId, equals(212));
      expect(weight_0_3_50.weight, moreOrLessEquals(0.0127583109));
      final weight_0_3_51 = bone_0_3.weights.elementAt(51);
      expect(weight_0_3_51.vertexId, equals(217));
      expect(weight_0_3_51.weight, moreOrLessEquals(0.0127583109));
      final bone_0_4 = mesh_0.bones.elementAt(4);
      expect(bone_0_4.name, equals('Bone.005'));
      expect(bone_0_4.offset, matrix4MoreOrLessEquals(Matrix4(0.470287293, -0.882513106, -3.49122899e-08, -0.255878448, 0.882513285, 0.470287144, 1.06970681e-08, -2.16323805, -2.58698236e-08, -1.15995675e-08, 0.999999762, -0.85220015, 0, 0, 0, 1)));
      final bone_0_5 = mesh_0.bones.elementAt(5);
      expect(bone_0_5.name, equals('Bone.006'));
      expect(bone_0_5.offset, matrix4MoreOrLessEquals(Matrix4(0.449819714, -0.893119216, -3.46541356e-08, -0.17591691, 0.893119335, 0.449819654, 9.80502524e-09, -3.47097492, -2.60172666e-08, -1.11190772e-08, 0.999999881, -0.85220027, 0, 0, 0, 1)));
      final weight_0_5_0 = bone_0_5.weights.elementAt(0);
      expect(weight_0_5_0.vertexId, equals(183));
      expect(weight_0_5_0.weight, moreOrLessEquals(0.0264320113));
      final weight_0_5_1 = bone_0_5.weights.elementAt(1);
      expect(weight_0_5_1.vertexId, equals(186));
      expect(weight_0_5_1.weight, moreOrLessEquals(0.0264320113));
      final weight_0_5_2 = bone_0_5.weights.elementAt(2);
      expect(weight_0_5_2.vertexId, equals(205));
      expect(weight_0_5_2.weight, moreOrLessEquals(0.0264320113));
      final weight_0_5_3 = bone_0_5.weights.elementAt(3);
      expect(weight_0_5_3.vertexId, equals(208));
      expect(weight_0_5_3.weight, moreOrLessEquals(0.0264320113));
      final weight_0_5_4 = bone_0_5.weights.elementAt(4);
      expect(weight_0_5_4.vertexId, equals(187));
      expect(weight_0_5_4.weight, moreOrLessEquals(0.0477088355));
      final weight_0_5_5 = bone_0_5.weights.elementAt(5);
      expect(weight_0_5_5.vertexId, equals(190));
      expect(weight_0_5_5.weight, moreOrLessEquals(0.0477088355));
      final weight_0_5_6 = bone_0_5.weights.elementAt(6);
      expect(weight_0_5_6.vertexId, equals(201));
      expect(weight_0_5_6.weight, moreOrLessEquals(0.0477088355));
      final weight_0_5_7 = bone_0_5.weights.elementAt(7);
      expect(weight_0_5_7.vertexId, equals(204));
      expect(weight_0_5_7.weight, moreOrLessEquals(0.0477088355));
      final weight_0_5_8 = bone_0_5.weights.elementAt(8);
      expect(weight_0_5_8.vertexId, equals(191));
      expect(weight_0_5_8.weight, moreOrLessEquals(0.0446615182));
      final weight_0_5_9 = bone_0_5.weights.elementAt(9);
      expect(weight_0_5_9.vertexId, equals(194));
      expect(weight_0_5_9.weight, moreOrLessEquals(0.0446615182));
      final weight_0_5_10 = bone_0_5.weights.elementAt(10);
      expect(weight_0_5_10.vertexId, equals(197));
      expect(weight_0_5_10.weight, moreOrLessEquals(0.0446615182));
      final weight_0_5_11 = bone_0_5.weights.elementAt(11);
      expect(weight_0_5_11.vertexId, equals(200));
      expect(weight_0_5_11.weight, moreOrLessEquals(0.0446615182));
      final weight_0_5_12 = bone_0_5.weights.elementAt(12);
      expect(weight_0_5_12.vertexId, equals(182));
      expect(weight_0_5_12.weight, moreOrLessEquals(0.0222832002));
      final weight_0_5_13 = bone_0_5.weights.elementAt(13);
      expect(weight_0_5_13.vertexId, equals(195));
      expect(weight_0_5_13.weight, moreOrLessEquals(0.0222832002));
      final weight_0_5_14 = bone_0_5.weights.elementAt(14);
      expect(weight_0_5_14.vertexId, equals(196));
      expect(weight_0_5_14.weight, moreOrLessEquals(0.0222832002));
      final weight_0_5_15 = bone_0_5.weights.elementAt(15);
      expect(weight_0_5_15.vertexId, equals(209));
      expect(weight_0_5_15.weight, moreOrLessEquals(0.0222832002));
      final weight_0_5_16 = bone_0_5.weights.elementAt(16);
      expect(weight_0_5_16.vertexId, equals(199));
      expect(weight_0_5_16.weight, moreOrLessEquals(0.968449414));
      final weight_0_5_17 = bone_0_5.weights.elementAt(17);
      expect(weight_0_5_17.vertexId, equals(210));
      expect(weight_0_5_17.weight, moreOrLessEquals(0.968449414));
      final weight_0_5_18 = bone_0_5.weights.elementAt(18);
      expect(weight_0_5_18.vertexId, equals(213));
      expect(weight_0_5_18.weight, moreOrLessEquals(0.968449414));
      final weight_0_5_19 = bone_0_5.weights.elementAt(19);
      expect(weight_0_5_19.vertexId, equals(224));
      expect(weight_0_5_19.weight, moreOrLessEquals(0.968449414));
      final weight_0_5_20 = bone_0_5.weights.elementAt(20);
      expect(weight_0_5_20.vertexId, equals(198));
      expect(weight_0_5_20.weight, moreOrLessEquals(0.963558495));
      final weight_0_5_21 = bone_0_5.weights.elementAt(21);
      expect(weight_0_5_21.vertexId, equals(203));
      expect(weight_0_5_21.weight, moreOrLessEquals(0.963558495));
      final weight_0_5_22 = bone_0_5.weights.elementAt(22);
      expect(weight_0_5_22.vertexId, equals(220));
      expect(weight_0_5_22.weight, moreOrLessEquals(0.963558495));
      final weight_0_5_23 = bone_0_5.weights.elementAt(23);
      expect(weight_0_5_23.vertexId, equals(225));
      expect(weight_0_5_23.weight, moreOrLessEquals(0.963558495));
      final weight_0_5_24 = bone_0_5.weights.elementAt(24);
      expect(weight_0_5_24.vertexId, equals(202));
      expect(weight_0_5_24.weight, moreOrLessEquals(0.961886823));
      final weight_0_5_25 = bone_0_5.weights.elementAt(25);
      expect(weight_0_5_25.vertexId, equals(207));
      expect(weight_0_5_25.weight, moreOrLessEquals(0.961886823));
      final weight_0_5_26 = bone_0_5.weights.elementAt(26);
      expect(weight_0_5_26.vertexId, equals(216));
      expect(weight_0_5_26.weight, moreOrLessEquals(0.961886823));
      final weight_0_5_27 = bone_0_5.weights.elementAt(27);
      expect(weight_0_5_27.vertexId, equals(221));
      expect(weight_0_5_27.weight, moreOrLessEquals(0.961886823));
      final weight_0_5_28 = bone_0_5.weights.elementAt(28);
      expect(weight_0_5_28.vertexId, equals(206));
      expect(weight_0_5_28.weight, moreOrLessEquals(0.966576099));
      final weight_0_5_29 = bone_0_5.weights.elementAt(29);
      expect(weight_0_5_29.vertexId, equals(211));
      expect(weight_0_5_29.weight, moreOrLessEquals(0.966576099));
      final weight_0_5_30 = bone_0_5.weights.elementAt(30);
      expect(weight_0_5_30.vertexId, equals(212));
      expect(weight_0_5_30.weight, moreOrLessEquals(0.966576099));
      final weight_0_5_31 = bone_0_5.weights.elementAt(31);
      expect(weight_0_5_31.vertexId, equals(217));
      expect(weight_0_5_31.weight, moreOrLessEquals(0.966576099));
      final weight_0_5_32 = bone_0_5.weights.elementAt(32);
      expect(weight_0_5_32.vertexId, equals(215));
      expect(weight_0_5_32.weight, moreOrLessEquals(0.997882187));
      final weight_0_5_33 = bone_0_5.weights.elementAt(33);
      expect(weight_0_5_33.vertexId, equals(218));
      expect(weight_0_5_33.weight, moreOrLessEquals(0.997882187));
      final weight_0_5_34 = bone_0_5.weights.elementAt(34);
      expect(weight_0_5_34.vertexId, equals(231));
      expect(weight_0_5_34.weight, moreOrLessEquals(0.997882187));
      final weight_0_5_35 = bone_0_5.weights.elementAt(35);
      expect(weight_0_5_35.vertexId, equals(219));
      expect(weight_0_5_35.weight, moreOrLessEquals(0.997022688));
      final weight_0_5_36 = bone_0_5.weights.elementAt(36);
      expect(weight_0_5_36.vertexId, equals(222));
      expect(weight_0_5_36.weight, moreOrLessEquals(0.997022688));
      final weight_0_5_37 = bone_0_5.weights.elementAt(37);
      expect(weight_0_5_37.vertexId, equals(230));
      expect(weight_0_5_37.weight, moreOrLessEquals(0.997022688));
      final weight_0_5_38 = bone_0_5.weights.elementAt(38);
      expect(weight_0_5_38.vertexId, equals(223));
      expect(weight_0_5_38.weight, moreOrLessEquals(0.997483134));
      final weight_0_5_39 = bone_0_5.weights.elementAt(39);
      expect(weight_0_5_39.vertexId, equals(226));
      expect(weight_0_5_39.weight, moreOrLessEquals(0.997483134));
      final weight_0_5_40 = bone_0_5.weights.elementAt(40);
      expect(weight_0_5_40.vertexId, equals(229));
      expect(weight_0_5_40.weight, moreOrLessEquals(0.997483134));
      final weight_0_5_41 = bone_0_5.weights.elementAt(41);
      expect(weight_0_5_41.vertexId, equals(214));
      expect(weight_0_5_41.weight, moreOrLessEquals(0.997850001));
      final weight_0_5_42 = bone_0_5.weights.elementAt(42);
      expect(weight_0_5_42.vertexId, equals(227));
      expect(weight_0_5_42.weight, moreOrLessEquals(0.997850001));
      final weight_0_5_43 = bone_0_5.weights.elementAt(43);
      expect(weight_0_5_43.vertexId, equals(228));
      expect(weight_0_5_43.weight, moreOrLessEquals(0.997850001));
      final bone_0_6 = mesh_0.bones.elementAt(6);
      expect(bone_0_6.name, equals('Bone.003'));
      expect(bone_0_6.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0.00524867326, 0, 3.17865165e-08, 1, -0.852200508, 0, -0.999999821, 3.1786513e-08, -0.0253686905, 0, 0, 0, 1)));
      final weight_0_6_0 = bone_0_6.weights.elementAt(0);
      expect(weight_0_6_0.vertexId, equals(58));
      expect(weight_0_6_0.weight, moreOrLessEquals(0.0902841017));
      final weight_0_6_1 = bone_0_6.weights.elementAt(1);
      expect(weight_0_6_1.vertexId, equals(63));
      expect(weight_0_6_1.weight, moreOrLessEquals(0.0902841017));
      final weight_0_6_2 = bone_0_6.weights.elementAt(2);
      expect(weight_0_6_2.vertexId, equals(108));
      expect(weight_0_6_2.weight, moreOrLessEquals(0.0902841017));
      final weight_0_6_3 = bone_0_6.weights.elementAt(3);
      expect(weight_0_6_3.vertexId, equals(113));
      expect(weight_0_6_3.weight, moreOrLessEquals(0.0902841017));
      final weight_0_6_4 = bone_0_6.weights.elementAt(4);
      expect(weight_0_6_4.vertexId, equals(62));
      expect(weight_0_6_4.weight, moreOrLessEquals(0.11616791));
      final weight_0_6_5 = bone_0_6.weights.elementAt(5);
      expect(weight_0_6_5.vertexId, equals(67));
      expect(weight_0_6_5.weight, moreOrLessEquals(0.11616791));
      final weight_0_6_6 = bone_0_6.weights.elementAt(6);
      expect(weight_0_6_6.vertexId, equals(104));
      expect(weight_0_6_6.weight, moreOrLessEquals(0.11616791));
      final weight_0_6_7 = bone_0_6.weights.elementAt(7);
      expect(weight_0_6_7.vertexId, equals(109));
      expect(weight_0_6_7.weight, moreOrLessEquals(0.11616791));
      final weight_0_6_8 = bone_0_6.weights.elementAt(8);
      expect(weight_0_6_8.vertexId, equals(66));
      expect(weight_0_6_8.weight, moreOrLessEquals(0.121720903));
      final weight_0_6_9 = bone_0_6.weights.elementAt(9);
      expect(weight_0_6_9.vertexId, equals(71));
      expect(weight_0_6_9.weight, moreOrLessEquals(0.121720903));
      final weight_0_6_10 = bone_0_6.weights.elementAt(10);
      expect(weight_0_6_10.vertexId, equals(100));
      expect(weight_0_6_10.weight, moreOrLessEquals(0.121720903));
      final weight_0_6_11 = bone_0_6.weights.elementAt(11);
      expect(weight_0_6_11.vertexId, equals(105));
      expect(weight_0_6_11.weight, moreOrLessEquals(0.121720903));
      final weight_0_6_12 = bone_0_6.weights.elementAt(12);
      expect(weight_0_6_12.vertexId, equals(70));
      expect(weight_0_6_12.weight, moreOrLessEquals(0.120097153));
      final weight_0_6_13 = bone_0_6.weights.elementAt(13);
      expect(weight_0_6_13.vertexId, equals(75));
      expect(weight_0_6_13.weight, moreOrLessEquals(0.120097153));
      final weight_0_6_14 = bone_0_6.weights.elementAt(14);
      expect(weight_0_6_14.vertexId, equals(96));
      expect(weight_0_6_14.weight, moreOrLessEquals(0.120097153));
      final weight_0_6_15 = bone_0_6.weights.elementAt(15);
      expect(weight_0_6_15.vertexId, equals(101));
      expect(weight_0_6_15.weight, moreOrLessEquals(0.120097153));
      final weight_0_6_16 = bone_0_6.weights.elementAt(16);
      expect(weight_0_6_16.vertexId, equals(74));
      expect(weight_0_6_16.weight, moreOrLessEquals(0.112759776));
      final weight_0_6_17 = bone_0_6.weights.elementAt(17);
      expect(weight_0_6_17.vertexId, equals(79));
      expect(weight_0_6_17.weight, moreOrLessEquals(0.112759776));
      final weight_0_6_18 = bone_0_6.weights.elementAt(18);
      expect(weight_0_6_18.vertexId, equals(92));
      expect(weight_0_6_18.weight, moreOrLessEquals(0.112759776));
      final weight_0_6_19 = bone_0_6.weights.elementAt(19);
      expect(weight_0_6_19.vertexId, equals(97));
      expect(weight_0_6_19.weight, moreOrLessEquals(0.112759776));
      final weight_0_6_20 = bone_0_6.weights.elementAt(20);
      expect(weight_0_6_20.vertexId, equals(78));
      expect(weight_0_6_20.weight, moreOrLessEquals(0.0878673717));
      final weight_0_6_21 = bone_0_6.weights.elementAt(21);
      expect(weight_0_6_21.vertexId, equals(83));
      expect(weight_0_6_21.weight, moreOrLessEquals(0.0878673717));
      final weight_0_6_22 = bone_0_6.weights.elementAt(22);
      expect(weight_0_6_22.vertexId, equals(88));
      expect(weight_0_6_22.weight, moreOrLessEquals(0.0878673717));
      final weight_0_6_23 = bone_0_6.weights.elementAt(23);
      expect(weight_0_6_23.vertexId, equals(93));
      expect(weight_0_6_23.weight, moreOrLessEquals(0.0878673717));
      final weight_0_6_24 = bone_0_6.weights.elementAt(24);
      expect(weight_0_6_24.vertexId, equals(115));
      expect(weight_0_6_24.weight, moreOrLessEquals(0.0829115212));
      final weight_0_6_25 = bone_0_6.weights.elementAt(25);
      expect(weight_0_6_25.vertexId, equals(116));
      expect(weight_0_6_25.weight, moreOrLessEquals(0.0829115212));
      final weight_0_6_26 = bone_0_6.weights.elementAt(26);
      expect(weight_0_6_26.vertexId, equals(145));
      expect(weight_0_6_26.weight, moreOrLessEquals(0.0829115212));
      final weight_0_6_27 = bone_0_6.weights.elementAt(27);
      expect(weight_0_6_27.vertexId, equals(184));
      expect(weight_0_6_27.weight, moreOrLessEquals(0.0829115212));
      final weight_0_6_28 = bone_0_6.weights.elementAt(28);
      expect(weight_0_6_28.vertexId, equals(189));
      expect(weight_0_6_28.weight, moreOrLessEquals(0.0829115212));
      final weight_0_6_29 = bone_0_6.weights.elementAt(29);
      expect(weight_0_6_29.vertexId, equals(90));
      expect(weight_0_6_29.weight, moreOrLessEquals(0.0896629691));
      final weight_0_6_30 = bone_0_6.weights.elementAt(30);
      expect(weight_0_6_30.vertexId, equals(141));
      expect(weight_0_6_30.weight, moreOrLessEquals(0.0896629691));
      final weight_0_6_31 = bone_0_6.weights.elementAt(31);
      expect(weight_0_6_31.vertexId, equals(144));
      expect(weight_0_6_31.weight, moreOrLessEquals(0.0896629691));
      final weight_0_6_32 = bone_0_6.weights.elementAt(32);
      expect(weight_0_6_32.vertexId, equals(180));
      expect(weight_0_6_32.weight, moreOrLessEquals(0.0896629691));
      final weight_0_6_33 = bone_0_6.weights.elementAt(33);
      expect(weight_0_6_33.vertexId, equals(185));
      expect(weight_0_6_33.weight, moreOrLessEquals(0.0896629691));
      final weight_0_6_34 = bone_0_6.weights.elementAt(34);
      expect(weight_0_6_34.vertexId, equals(91));
      expect(weight_0_6_34.weight, moreOrLessEquals(0.616640747));
      final weight_0_6_35 = bone_0_6.weights.elementAt(35);
      expect(weight_0_6_35.vertexId, equals(94));
      expect(weight_0_6_35.weight, moreOrLessEquals(0.616640747));
      final weight_0_6_36 = bone_0_6.weights.elementAt(36);
      expect(weight_0_6_36.vertexId, equals(137));
      expect(weight_0_6_36.weight, moreOrLessEquals(0.616640747));
      final weight_0_6_37 = bone_0_6.weights.elementAt(37);
      expect(weight_0_6_37.vertexId, equals(140));
      expect(weight_0_6_37.weight, moreOrLessEquals(0.616640747));
      final weight_0_6_38 = bone_0_6.weights.elementAt(38);
      expect(weight_0_6_38.vertexId, equals(95));
      expect(weight_0_6_38.weight, moreOrLessEquals(0.725346148));
      final weight_0_6_39 = bone_0_6.weights.elementAt(39);
      expect(weight_0_6_39.vertexId, equals(98));
      expect(weight_0_6_39.weight, moreOrLessEquals(0.725346148));
      final weight_0_6_40 = bone_0_6.weights.elementAt(40);
      expect(weight_0_6_40.vertexId, equals(133));
      expect(weight_0_6_40.weight, moreOrLessEquals(0.725346148));
      final weight_0_6_41 = bone_0_6.weights.elementAt(41);
      expect(weight_0_6_41.vertexId, equals(136));
      expect(weight_0_6_41.weight, moreOrLessEquals(0.725346148));
      final weight_0_6_42 = bone_0_6.weights.elementAt(42);
      expect(weight_0_6_42.vertexId, equals(99));
      expect(weight_0_6_42.weight, moreOrLessEquals(0.744682133));
      final weight_0_6_43 = bone_0_6.weights.elementAt(43);
      expect(weight_0_6_43.vertexId, equals(102));
      expect(weight_0_6_43.weight, moreOrLessEquals(0.744682133));
      final weight_0_6_44 = bone_0_6.weights.elementAt(44);
      expect(weight_0_6_44.vertexId, equals(129));
      expect(weight_0_6_44.weight, moreOrLessEquals(0.744682133));
      final weight_0_6_45 = bone_0_6.weights.elementAt(45);
      expect(weight_0_6_45.vertexId, equals(132));
      expect(weight_0_6_45.weight, moreOrLessEquals(0.744682133));
      final weight_0_6_46 = bone_0_6.weights.elementAt(46);
      expect(weight_0_6_46.vertexId, equals(103));
      expect(weight_0_6_46.weight, moreOrLessEquals(0.739443898));
      final weight_0_6_47 = bone_0_6.weights.elementAt(47);
      expect(weight_0_6_47.vertexId, equals(106));
      expect(weight_0_6_47.weight, moreOrLessEquals(0.739443898));
      final weight_0_6_48 = bone_0_6.weights.elementAt(48);
      expect(weight_0_6_48.vertexId, equals(125));
      expect(weight_0_6_48.weight, moreOrLessEquals(0.739443898));
      final weight_0_6_49 = bone_0_6.weights.elementAt(49);
      expect(weight_0_6_49.vertexId, equals(128));
      expect(weight_0_6_49.weight, moreOrLessEquals(0.739443898));
      final weight_0_6_50 = bone_0_6.weights.elementAt(50);
      expect(weight_0_6_50.vertexId, equals(107));
      expect(weight_0_6_50.weight, moreOrLessEquals(0.711667299));
      final weight_0_6_51 = bone_0_6.weights.elementAt(51);
      expect(weight_0_6_51.vertexId, equals(110));
      expect(weight_0_6_51.weight, moreOrLessEquals(0.711667299));
      final weight_0_6_52 = bone_0_6.weights.elementAt(52);
      expect(weight_0_6_52.vertexId, equals(121));
      expect(weight_0_6_52.weight, moreOrLessEquals(0.711667299));
      final weight_0_6_53 = bone_0_6.weights.elementAt(53);
      expect(weight_0_6_53.vertexId, equals(124));
      expect(weight_0_6_53.weight, moreOrLessEquals(0.711667299));
      final weight_0_6_54 = bone_0_6.weights.elementAt(54);
      expect(weight_0_6_54.vertexId, equals(111));
      expect(weight_0_6_54.weight, moreOrLessEquals(0.599676073));
      final weight_0_6_55 = bone_0_6.weights.elementAt(55);
      expect(weight_0_6_55.vertexId, equals(114));
      expect(weight_0_6_55.weight, moreOrLessEquals(0.599676073));
      final weight_0_6_56 = bone_0_6.weights.elementAt(56);
      expect(weight_0_6_56.vertexId, equals(117));
      expect(weight_0_6_56.weight, moreOrLessEquals(0.599676073));
      final weight_0_6_57 = bone_0_6.weights.elementAt(57);
      expect(weight_0_6_57.vertexId, equals(120));
      expect(weight_0_6_57.weight, moreOrLessEquals(0.599676073));
      final weight_0_6_58 = bone_0_6.weights.elementAt(58);
      expect(weight_0_6_58.vertexId, equals(118));
      expect(weight_0_6_58.weight, moreOrLessEquals(0.0763809681));
      final weight_0_6_59 = bone_0_6.weights.elementAt(59);
      expect(weight_0_6_59.vertexId, equals(123));
      expect(weight_0_6_59.weight, moreOrLessEquals(0.0763809681));
      final weight_0_6_60 = bone_0_6.weights.elementAt(60);
      expect(weight_0_6_60.vertexId, equals(172));
      expect(weight_0_6_60.weight, moreOrLessEquals(0.0763809681));
      final weight_0_6_61 = bone_0_6.weights.elementAt(61);
      expect(weight_0_6_61.vertexId, equals(177));
      expect(weight_0_6_61.weight, moreOrLessEquals(0.0763809681));
      final weight_0_6_62 = bone_0_6.weights.elementAt(62);
      expect(weight_0_6_62.vertexId, equals(122));
      expect(weight_0_6_62.weight, moreOrLessEquals(0.0955855697));
      final weight_0_6_63 = bone_0_6.weights.elementAt(63);
      expect(weight_0_6_63.vertexId, equals(127));
      expect(weight_0_6_63.weight, moreOrLessEquals(0.0955855697));
      final weight_0_6_64 = bone_0_6.weights.elementAt(64);
      expect(weight_0_6_64.vertexId, equals(168));
      expect(weight_0_6_64.weight, moreOrLessEquals(0.0955855697));
      final weight_0_6_65 = bone_0_6.weights.elementAt(65);
      expect(weight_0_6_65.vertexId, equals(173));
      expect(weight_0_6_65.weight, moreOrLessEquals(0.0955855697));
      final weight_0_6_66 = bone_0_6.weights.elementAt(66);
      expect(weight_0_6_66.vertexId, equals(126));
      expect(weight_0_6_66.weight, moreOrLessEquals(0.0997072607));
      final weight_0_6_67 = bone_0_6.weights.elementAt(67);
      expect(weight_0_6_67.vertexId, equals(131));
      expect(weight_0_6_67.weight, moreOrLessEquals(0.0997072607));
      final weight_0_6_68 = bone_0_6.weights.elementAt(68);
      expect(weight_0_6_68.vertexId, equals(164));
      expect(weight_0_6_68.weight, moreOrLessEquals(0.0997072607));
      final weight_0_6_69 = bone_0_6.weights.elementAt(69);
      expect(weight_0_6_69.vertexId, equals(169));
      expect(weight_0_6_69.weight, moreOrLessEquals(0.0997072607));
      final weight_0_6_70 = bone_0_6.weights.elementAt(70);
      expect(weight_0_6_70.vertexId, equals(130));
      expect(weight_0_6_70.weight, moreOrLessEquals(0.0982574522));
      final weight_0_6_71 = bone_0_6.weights.elementAt(71);
      expect(weight_0_6_71.vertexId, equals(135));
      expect(weight_0_6_71.weight, moreOrLessEquals(0.0982574522));
      final weight_0_6_72 = bone_0_6.weights.elementAt(72);
      expect(weight_0_6_72.vertexId, equals(160));
      expect(weight_0_6_72.weight, moreOrLessEquals(0.0982574522));
      final weight_0_6_73 = bone_0_6.weights.elementAt(73);
      expect(weight_0_6_73.vertexId, equals(165));
      expect(weight_0_6_73.weight, moreOrLessEquals(0.0982574522));
      final weight_0_6_74 = bone_0_6.weights.elementAt(74);
      expect(weight_0_6_74.vertexId, equals(134));
      expect(weight_0_6_74.weight, moreOrLessEquals(0.0925498754));
      final weight_0_6_75 = bone_0_6.weights.elementAt(75);
      expect(weight_0_6_75.vertexId, equals(139));
      expect(weight_0_6_75.weight, moreOrLessEquals(0.0925498754));
      final weight_0_6_76 = bone_0_6.weights.elementAt(76);
      expect(weight_0_6_76.vertexId, equals(156));
      expect(weight_0_6_76.weight, moreOrLessEquals(0.0925498754));
      final weight_0_6_77 = bone_0_6.weights.elementAt(77);
      expect(weight_0_6_77.vertexId, equals(161));
      expect(weight_0_6_77.weight, moreOrLessEquals(0.0925498754));
      final weight_0_6_78 = bone_0_6.weights.elementAt(78);
      expect(weight_0_6_78.vertexId, equals(138));
      expect(weight_0_6_78.weight, moreOrLessEquals(0.0744602233));
      final weight_0_6_79 = bone_0_6.weights.elementAt(79);
      expect(weight_0_6_79.vertexId, equals(143));
      expect(weight_0_6_79.weight, moreOrLessEquals(0.0744602233));
      final weight_0_6_80 = bone_0_6.weights.elementAt(80);
      expect(weight_0_6_80.vertexId, equals(152));
      expect(weight_0_6_80.weight, moreOrLessEquals(0.0744602233));
      final weight_0_6_81 = bone_0_6.weights.elementAt(81);
      expect(weight_0_6_81.vertexId, equals(157));
      expect(weight_0_6_81.weight, moreOrLessEquals(0.0744602233));
      final weight_0_6_82 = bone_0_6.weights.elementAt(82);
      expect(weight_0_6_82.vertexId, equals(142));
      expect(weight_0_6_82.weight, moreOrLessEquals(0.00579165667));
      final weight_0_6_83 = bone_0_6.weights.elementAt(83);
      expect(weight_0_6_83.vertexId, equals(147));
      expect(weight_0_6_83.weight, moreOrLessEquals(0.00579165667));
      final weight_0_6_84 = bone_0_6.weights.elementAt(84);
      expect(weight_0_6_84.vertexId, equals(148));
      expect(weight_0_6_84.weight, moreOrLessEquals(0.00579165667));
      final weight_0_6_85 = bone_0_6.weights.elementAt(85);
      expect(weight_0_6_85.vertexId, equals(153));
      expect(weight_0_6_85.weight, moreOrLessEquals(0.00579165667));
      final weight_0_6_86 = bone_0_6.weights.elementAt(86);
      expect(weight_0_6_86.vertexId, equals(119));
      expect(weight_0_6_86.weight, moreOrLessEquals(0.00616110861));
      final weight_0_6_87 = bone_0_6.weights.elementAt(87);
      expect(weight_0_6_87.vertexId, equals(146));
      expect(weight_0_6_87.weight, moreOrLessEquals(0.00616110861));
      final weight_0_6_88 = bone_0_6.weights.elementAt(88);
      expect(weight_0_6_88.vertexId, equals(149));
      expect(weight_0_6_88.weight, moreOrLessEquals(0.00616110861));
      final weight_0_6_89 = bone_0_6.weights.elementAt(89);
      expect(weight_0_6_89.vertexId, equals(176));
      expect(weight_0_6_89.weight, moreOrLessEquals(0.00616110861));
      final bone_0_7 = mesh_0.bones.elementAt(7);
      expect(bone_0_7.name, equals('Bone.007'));
      expect(bone_0_7.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0.00524867326, 0, 3.17865165e-08, 1, -2.10023332, 0, -0.999999821, 3.1786513e-08, -0.0253686905, 0, 0, 0, 1)));
      final weight_0_7_0 = bone_0_7.weights.elementAt(0);
      expect(weight_0_7_0.vertexId, equals(115));
      expect(weight_0_7_0.weight, moreOrLessEquals(0.0598585531));
      final weight_0_7_1 = bone_0_7.weights.elementAt(1);
      expect(weight_0_7_1.vertexId, equals(116));
      expect(weight_0_7_1.weight, moreOrLessEquals(0.0598585531));
      final weight_0_7_2 = bone_0_7.weights.elementAt(2);
      expect(weight_0_7_2.vertexId, equals(145));
      expect(weight_0_7_2.weight, moreOrLessEquals(0.0598585531));
      final weight_0_7_3 = bone_0_7.weights.elementAt(3);
      expect(weight_0_7_3.vertexId, equals(184));
      expect(weight_0_7_3.weight, moreOrLessEquals(0.0598585531));
      final weight_0_7_4 = bone_0_7.weights.elementAt(4);
      expect(weight_0_7_4.vertexId, equals(189));
      expect(weight_0_7_4.weight, moreOrLessEquals(0.0598585531));
      final weight_0_7_5 = bone_0_7.weights.elementAt(5);
      expect(weight_0_7_5.vertexId, equals(90));
      expect(weight_0_7_5.weight, moreOrLessEquals(0.0634111091));
      final weight_0_7_6 = bone_0_7.weights.elementAt(6);
      expect(weight_0_7_6.vertexId, equals(141));
      expect(weight_0_7_6.weight, moreOrLessEquals(0.0634111091));
      final weight_0_7_7 = bone_0_7.weights.elementAt(7);
      expect(weight_0_7_7.vertexId, equals(144));
      expect(weight_0_7_7.weight, moreOrLessEquals(0.0634111091));
      final weight_0_7_8 = bone_0_7.weights.elementAt(8);
      expect(weight_0_7_8.vertexId, equals(180));
      expect(weight_0_7_8.weight, moreOrLessEquals(0.0634111091));
      final weight_0_7_9 = bone_0_7.weights.elementAt(9);
      expect(weight_0_7_9.vertexId, equals(185));
      expect(weight_0_7_9.weight, moreOrLessEquals(0.0634111091));
      final weight_0_7_10 = bone_0_7.weights.elementAt(10);
      expect(weight_0_7_10.vertexId, equals(91));
      expect(weight_0_7_10.weight, moreOrLessEquals(0.0985107422));
      final weight_0_7_11 = bone_0_7.weights.elementAt(11);
      expect(weight_0_7_11.vertexId, equals(94));
      expect(weight_0_7_11.weight, moreOrLessEquals(0.0985107422));
      final weight_0_7_12 = bone_0_7.weights.elementAt(12);
      expect(weight_0_7_12.vertexId, equals(137));
      expect(weight_0_7_12.weight, moreOrLessEquals(0.0985107422));
      final weight_0_7_13 = bone_0_7.weights.elementAt(13);
      expect(weight_0_7_13.vertexId, equals(140));
      expect(weight_0_7_13.weight, moreOrLessEquals(0.0985107422));
      final weight_0_7_14 = bone_0_7.weights.elementAt(14);
      expect(weight_0_7_14.vertexId, equals(95));
      expect(weight_0_7_14.weight, moreOrLessEquals(0.104870558));
      final weight_0_7_15 = bone_0_7.weights.elementAt(15);
      expect(weight_0_7_15.vertexId, equals(98));
      expect(weight_0_7_15.weight, moreOrLessEquals(0.104870558));
      final weight_0_7_16 = bone_0_7.weights.elementAt(16);
      expect(weight_0_7_16.vertexId, equals(133));
      expect(weight_0_7_16.weight, moreOrLessEquals(0.104870558));
      final weight_0_7_17 = bone_0_7.weights.elementAt(17);
      expect(weight_0_7_17.vertexId, equals(136));
      expect(weight_0_7_17.weight, moreOrLessEquals(0.104870558));
      final weight_0_7_18 = bone_0_7.weights.elementAt(18);
      expect(weight_0_7_18.vertexId, equals(99));
      expect(weight_0_7_18.weight, moreOrLessEquals(0.106757946));
      final weight_0_7_19 = bone_0_7.weights.elementAt(19);
      expect(weight_0_7_19.vertexId, equals(102));
      expect(weight_0_7_19.weight, moreOrLessEquals(0.106757946));
      final weight_0_7_20 = bone_0_7.weights.elementAt(20);
      expect(weight_0_7_20.vertexId, equals(129));
      expect(weight_0_7_20.weight, moreOrLessEquals(0.106757946));
      final weight_0_7_21 = bone_0_7.weights.elementAt(21);
      expect(weight_0_7_21.vertexId, equals(132));
      expect(weight_0_7_21.weight, moreOrLessEquals(0.106757946));
      final weight_0_7_22 = bone_0_7.weights.elementAt(22);
      expect(weight_0_7_22.vertexId, equals(103));
      expect(weight_0_7_22.weight, moreOrLessEquals(0.108471327));
      final weight_0_7_23 = bone_0_7.weights.elementAt(23);
      expect(weight_0_7_23.vertexId, equals(106));
      expect(weight_0_7_23.weight, moreOrLessEquals(0.108471327));
      final weight_0_7_24 = bone_0_7.weights.elementAt(24);
      expect(weight_0_7_24.vertexId, equals(125));
      expect(weight_0_7_24.weight, moreOrLessEquals(0.108471327));
      final weight_0_7_25 = bone_0_7.weights.elementAt(25);
      expect(weight_0_7_25.vertexId, equals(128));
      expect(weight_0_7_25.weight, moreOrLessEquals(0.108471327));
      final weight_0_7_26 = bone_0_7.weights.elementAt(26);
      expect(weight_0_7_26.vertexId, equals(107));
      expect(weight_0_7_26.weight, moreOrLessEquals(0.108724579));
      final weight_0_7_27 = bone_0_7.weights.elementAt(27);
      expect(weight_0_7_27.vertexId, equals(110));
      expect(weight_0_7_27.weight, moreOrLessEquals(0.108724579));
      final weight_0_7_28 = bone_0_7.weights.elementAt(28);
      expect(weight_0_7_28.vertexId, equals(121));
      expect(weight_0_7_28.weight, moreOrLessEquals(0.108724579));
      final weight_0_7_29 = bone_0_7.weights.elementAt(29);
      expect(weight_0_7_29.vertexId, equals(124));
      expect(weight_0_7_29.weight, moreOrLessEquals(0.108724579));
      final weight_0_7_30 = bone_0_7.weights.elementAt(30);
      expect(weight_0_7_30.vertexId, equals(111));
      expect(weight_0_7_30.weight, moreOrLessEquals(0.101187535));
      final weight_0_7_31 = bone_0_7.weights.elementAt(31);
      expect(weight_0_7_31.vertexId, equals(114));
      expect(weight_0_7_31.weight, moreOrLessEquals(0.101187535));
      final weight_0_7_32 = bone_0_7.weights.elementAt(32);
      expect(weight_0_7_32.vertexId, equals(117));
      expect(weight_0_7_32.weight, moreOrLessEquals(0.101187535));
      final weight_0_7_33 = bone_0_7.weights.elementAt(33);
      expect(weight_0_7_33.vertexId, equals(120));
      expect(weight_0_7_33.weight, moreOrLessEquals(0.101187535));
      final weight_0_7_34 = bone_0_7.weights.elementAt(34);
      expect(weight_0_7_34.vertexId, equals(118));
      expect(weight_0_7_34.weight, moreOrLessEquals(0.758529603));
      final weight_0_7_35 = bone_0_7.weights.elementAt(35);
      expect(weight_0_7_35.vertexId, equals(123));
      expect(weight_0_7_35.weight, moreOrLessEquals(0.758529603));
      final weight_0_7_36 = bone_0_7.weights.elementAt(36);
      expect(weight_0_7_36.vertexId, equals(172));
      expect(weight_0_7_36.weight, moreOrLessEquals(0.758529603));
      final weight_0_7_37 = bone_0_7.weights.elementAt(37);
      expect(weight_0_7_37.vertexId, equals(177));
      expect(weight_0_7_37.weight, moreOrLessEquals(0.758529603));
      final weight_0_7_38 = bone_0_7.weights.elementAt(38);
      expect(weight_0_7_38.vertexId, equals(122));
      expect(weight_0_7_38.weight, moreOrLessEquals(0.762951732));
      final weight_0_7_39 = bone_0_7.weights.elementAt(39);
      expect(weight_0_7_39.vertexId, equals(127));
      expect(weight_0_7_39.weight, moreOrLessEquals(0.762951732));
      final weight_0_7_40 = bone_0_7.weights.elementAt(40);
      expect(weight_0_7_40.vertexId, equals(168));
      expect(weight_0_7_40.weight, moreOrLessEquals(0.762951732));
      final weight_0_7_41 = bone_0_7.weights.elementAt(41);
      expect(weight_0_7_41.vertexId, equals(173));
      expect(weight_0_7_41.weight, moreOrLessEquals(0.762951732));
      final weight_0_7_42 = bone_0_7.weights.elementAt(42);
      expect(weight_0_7_42.vertexId, equals(126));
      expect(weight_0_7_42.weight, moreOrLessEquals(0.768524528));
      final weight_0_7_43 = bone_0_7.weights.elementAt(43);
      expect(weight_0_7_43.vertexId, equals(131));
      expect(weight_0_7_43.weight, moreOrLessEquals(0.768524528));
      final weight_0_7_44 = bone_0_7.weights.elementAt(44);
      expect(weight_0_7_44.vertexId, equals(164));
      expect(weight_0_7_44.weight, moreOrLessEquals(0.768524528));
      final weight_0_7_45 = bone_0_7.weights.elementAt(45);
      expect(weight_0_7_45.vertexId, equals(169));
      expect(weight_0_7_45.weight, moreOrLessEquals(0.768524528));
      final weight_0_7_46 = bone_0_7.weights.elementAt(46);
      expect(weight_0_7_46.vertexId, equals(130));
      expect(weight_0_7_46.weight, moreOrLessEquals(0.772982895));
      final weight_0_7_47 = bone_0_7.weights.elementAt(47);
      expect(weight_0_7_47.vertexId, equals(135));
      expect(weight_0_7_47.weight, moreOrLessEquals(0.772982895));
      final weight_0_7_48 = bone_0_7.weights.elementAt(48);
      expect(weight_0_7_48.vertexId, equals(160));
      expect(weight_0_7_48.weight, moreOrLessEquals(0.772982895));
      final weight_0_7_49 = bone_0_7.weights.elementAt(49);
      expect(weight_0_7_49.vertexId, equals(165));
      expect(weight_0_7_49.weight, moreOrLessEquals(0.772982895));
      final weight_0_7_50 = bone_0_7.weights.elementAt(50);
      expect(weight_0_7_50.vertexId, equals(134));
      expect(weight_0_7_50.weight, moreOrLessEquals(0.773636401));
      final weight_0_7_51 = bone_0_7.weights.elementAt(51);
      expect(weight_0_7_51.vertexId, equals(139));
      expect(weight_0_7_51.weight, moreOrLessEquals(0.773636401));
      final weight_0_7_52 = bone_0_7.weights.elementAt(52);
      expect(weight_0_7_52.vertexId, equals(156));
      expect(weight_0_7_52.weight, moreOrLessEquals(0.773636401));
      final weight_0_7_53 = bone_0_7.weights.elementAt(53);
      expect(weight_0_7_53.vertexId, equals(161));
      expect(weight_0_7_53.weight, moreOrLessEquals(0.773636401));
      final weight_0_7_54 = bone_0_7.weights.elementAt(54);
      expect(weight_0_7_54.vertexId, equals(138));
      expect(weight_0_7_54.weight, moreOrLessEquals(0.769221127));
      final weight_0_7_55 = bone_0_7.weights.elementAt(55);
      expect(weight_0_7_55.vertexId, equals(143));
      expect(weight_0_7_55.weight, moreOrLessEquals(0.769221127));
      final weight_0_7_56 = bone_0_7.weights.elementAt(56);
      expect(weight_0_7_56.vertexId, equals(152));
      expect(weight_0_7_56.weight, moreOrLessEquals(0.769221127));
      final weight_0_7_57 = bone_0_7.weights.elementAt(57);
      expect(weight_0_7_57.vertexId, equals(157));
      expect(weight_0_7_57.weight, moreOrLessEquals(0.769221127));
      final weight_0_7_58 = bone_0_7.weights.elementAt(58);
      expect(weight_0_7_58.vertexId, equals(142));
      expect(weight_0_7_58.weight, moreOrLessEquals(0.760510802));
      final weight_0_7_59 = bone_0_7.weights.elementAt(59);
      expect(weight_0_7_59.vertexId, equals(147));
      expect(weight_0_7_59.weight, moreOrLessEquals(0.760510802));
      final weight_0_7_60 = bone_0_7.weights.elementAt(60);
      expect(weight_0_7_60.vertexId, equals(148));
      expect(weight_0_7_60.weight, moreOrLessEquals(0.760510802));
      final weight_0_7_61 = bone_0_7.weights.elementAt(61);
      expect(weight_0_7_61.vertexId, equals(153));
      expect(weight_0_7_61.weight, moreOrLessEquals(0.760510802));
      final weight_0_7_62 = bone_0_7.weights.elementAt(62);
      expect(weight_0_7_62.vertexId, equals(119));
      expect(weight_0_7_62.weight, moreOrLessEquals(0.755777001));
      final weight_0_7_63 = bone_0_7.weights.elementAt(63);
      expect(weight_0_7_63.vertexId, equals(146));
      expect(weight_0_7_63.weight, moreOrLessEquals(0.755777001));
      final weight_0_7_64 = bone_0_7.weights.elementAt(64);
      expect(weight_0_7_64.vertexId, equals(149));
      expect(weight_0_7_64.weight, moreOrLessEquals(0.755777001));
      final weight_0_7_65 = bone_0_7.weights.elementAt(65);
      expect(weight_0_7_65.vertexId, equals(176));
      expect(weight_0_7_65.weight, moreOrLessEquals(0.755777001));
      final weight_0_7_66 = bone_0_7.weights.elementAt(66);
      expect(weight_0_7_66.vertexId, equals(150));
      expect(weight_0_7_66.weight, moreOrLessEquals(0.137888253));
      final weight_0_7_67 = bone_0_7.weights.elementAt(67);
      expect(weight_0_7_67.vertexId, equals(179));
      expect(weight_0_7_67.weight, moreOrLessEquals(0.137888253));
      final weight_0_7_68 = bone_0_7.weights.elementAt(68);
      expect(weight_0_7_68.vertexId, equals(233));
      expect(weight_0_7_68.weight, moreOrLessEquals(0.137888253));
      final weight_0_7_69 = bone_0_7.weights.elementAt(69);
      expect(weight_0_7_69.vertexId, equals(253));
      expect(weight_0_7_69.weight, moreOrLessEquals(0.137888253));
      final weight_0_7_70 = bone_0_7.weights.elementAt(70);
      expect(weight_0_7_70.vertexId, equals(151));
      expect(weight_0_7_70.weight, moreOrLessEquals(0.136151865));
      final weight_0_7_71 = bone_0_7.weights.elementAt(71);
      expect(weight_0_7_71.vertexId, equals(154));
      expect(weight_0_7_71.weight, moreOrLessEquals(0.136151865));
      final weight_0_7_72 = bone_0_7.weights.elementAt(72);
      expect(weight_0_7_72.vertexId, equals(232));
      expect(weight_0_7_72.weight, moreOrLessEquals(0.136151865));
      final weight_0_7_73 = bone_0_7.weights.elementAt(73);
      expect(weight_0_7_73.vertexId, equals(236));
      expect(weight_0_7_73.weight, moreOrLessEquals(0.136151865));
      final weight_0_7_74 = bone_0_7.weights.elementAt(74);
      expect(weight_0_7_74.vertexId, equals(155));
      expect(weight_0_7_74.weight, moreOrLessEquals(0.134231791));
      final weight_0_7_75 = bone_0_7.weights.elementAt(75);
      expect(weight_0_7_75.vertexId, equals(158));
      expect(weight_0_7_75.weight, moreOrLessEquals(0.134231791));
      final weight_0_7_76 = bone_0_7.weights.elementAt(76);
      expect(weight_0_7_76.vertexId, equals(235));
      expect(weight_0_7_76.weight, moreOrLessEquals(0.134231791));
      final weight_0_7_77 = bone_0_7.weights.elementAt(77);
      expect(weight_0_7_77.vertexId, equals(239));
      expect(weight_0_7_77.weight, moreOrLessEquals(0.134231791));
      final weight_0_7_78 = bone_0_7.weights.elementAt(78);
      expect(weight_0_7_78.vertexId, equals(159));
      expect(weight_0_7_78.weight, moreOrLessEquals(0.132974342));
      final weight_0_7_79 = bone_0_7.weights.elementAt(79);
      expect(weight_0_7_79.vertexId, equals(162));
      expect(weight_0_7_79.weight, moreOrLessEquals(0.132974342));
      final weight_0_7_80 = bone_0_7.weights.elementAt(80);
      expect(weight_0_7_80.vertexId, equals(238));
      expect(weight_0_7_80.weight, moreOrLessEquals(0.132974342));
      final weight_0_7_81 = bone_0_7.weights.elementAt(81);
      expect(weight_0_7_81.vertexId, equals(242));
      expect(weight_0_7_81.weight, moreOrLessEquals(0.132974342));
      final weight_0_7_82 = bone_0_7.weights.elementAt(82);
      expect(weight_0_7_82.vertexId, equals(163));
      expect(weight_0_7_82.weight, moreOrLessEquals(0.133365199));
      final weight_0_7_83 = bone_0_7.weights.elementAt(83);
      expect(weight_0_7_83.vertexId, equals(166));
      expect(weight_0_7_83.weight, moreOrLessEquals(0.133365199));
      final weight_0_7_84 = bone_0_7.weights.elementAt(84);
      expect(weight_0_7_84.vertexId, equals(241));
      expect(weight_0_7_84.weight, moreOrLessEquals(0.133365199));
      final weight_0_7_85 = bone_0_7.weights.elementAt(85);
      expect(weight_0_7_85.vertexId, equals(245));
      expect(weight_0_7_85.weight, moreOrLessEquals(0.133365199));
      final weight_0_7_86 = bone_0_7.weights.elementAt(86);
      expect(weight_0_7_86.vertexId, equals(167));
      expect(weight_0_7_86.weight, moreOrLessEquals(0.13526471));
      final weight_0_7_87 = bone_0_7.weights.elementAt(87);
      expect(weight_0_7_87.vertexId, equals(170));
      expect(weight_0_7_87.weight, moreOrLessEquals(0.13526471));
      final weight_0_7_88 = bone_0_7.weights.elementAt(88);
      expect(weight_0_7_88.vertexId, equals(244));
      expect(weight_0_7_88.weight, moreOrLessEquals(0.13526471));
      final weight_0_7_89 = bone_0_7.weights.elementAt(89);
      expect(weight_0_7_89.vertexId, equals(248));
      expect(weight_0_7_89.weight, moreOrLessEquals(0.13526471));
      final weight_0_7_90 = bone_0_7.weights.elementAt(90);
      expect(weight_0_7_90.vertexId, equals(171));
      expect(weight_0_7_90.weight, moreOrLessEquals(0.13746959));
      final weight_0_7_91 = bone_0_7.weights.elementAt(91);
      expect(weight_0_7_91.vertexId, equals(174));
      expect(weight_0_7_91.weight, moreOrLessEquals(0.13746959));
      final weight_0_7_92 = bone_0_7.weights.elementAt(92);
      expect(weight_0_7_92.vertexId, equals(247));
      expect(weight_0_7_92.weight, moreOrLessEquals(0.13746959));
      final weight_0_7_93 = bone_0_7.weights.elementAt(93);
      expect(weight_0_7_93.vertexId, equals(251));
      expect(weight_0_7_93.weight, moreOrLessEquals(0.13746959));
      final weight_0_7_94 = bone_0_7.weights.elementAt(94);
      expect(weight_0_7_94.vertexId, equals(175));
      expect(weight_0_7_94.weight, moreOrLessEquals(0.138584509));
      final weight_0_7_95 = bone_0_7.weights.elementAt(95);
      expect(weight_0_7_95.vertexId, equals(178));
      expect(weight_0_7_95.weight, moreOrLessEquals(0.138584509));
      final weight_0_7_96 = bone_0_7.weights.elementAt(96);
      expect(weight_0_7_96.vertexId, equals(250));
      expect(weight_0_7_96.weight, moreOrLessEquals(0.138584509));
      final weight_0_7_97 = bone_0_7.weights.elementAt(97);
      expect(weight_0_7_97.vertexId, equals(254));
      expect(weight_0_7_97.weight, moreOrLessEquals(0.138584509));
      final bone_0_8 = mesh_0.bones.elementAt(8);
      expect(bone_0_8.name, equals('Bone.008'));
      expect(bone_0_8.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0.00524867326, 0, 3.17865165e-08, 1, -3.36339426, 0, -0.999999821, 3.1786513e-08, -0.0253684521, 0, 0, 0, 1)));
      final weight_0_8_0 = bone_0_8.weights.elementAt(0);
      expect(weight_0_8_0.vertexId, equals(118));
      expect(weight_0_8_0.weight, moreOrLessEquals(0.114331141));
      final weight_0_8_1 = bone_0_8.weights.elementAt(1);
      expect(weight_0_8_1.vertexId, equals(123));
      expect(weight_0_8_1.weight, moreOrLessEquals(0.114331141));
      final weight_0_8_2 = bone_0_8.weights.elementAt(2);
      expect(weight_0_8_2.vertexId, equals(172));
      expect(weight_0_8_2.weight, moreOrLessEquals(0.114331141));
      final weight_0_8_3 = bone_0_8.weights.elementAt(3);
      expect(weight_0_8_3.vertexId, equals(177));
      expect(weight_0_8_3.weight, moreOrLessEquals(0.114331141));
      final weight_0_8_4 = bone_0_8.weights.elementAt(4);
      expect(weight_0_8_4.vertexId, equals(122));
      expect(weight_0_8_4.weight, moreOrLessEquals(0.113242619));
      final weight_0_8_5 = bone_0_8.weights.elementAt(5);
      expect(weight_0_8_5.vertexId, equals(127));
      expect(weight_0_8_5.weight, moreOrLessEquals(0.113242619));
      final weight_0_8_6 = bone_0_8.weights.elementAt(6);
      expect(weight_0_8_6.vertexId, equals(168));
      expect(weight_0_8_6.weight, moreOrLessEquals(0.113242619));
      final weight_0_8_7 = bone_0_8.weights.elementAt(7);
      expect(weight_0_8_7.vertexId, equals(173));
      expect(weight_0_8_7.weight, moreOrLessEquals(0.113242619));
      final weight_0_8_8 = bone_0_8.weights.elementAt(8);
      expect(weight_0_8_8.vertexId, equals(126));
      expect(weight_0_8_8.weight, moreOrLessEquals(0.110910915));
      final weight_0_8_9 = bone_0_8.weights.elementAt(9);
      expect(weight_0_8_9.vertexId, equals(131));
      expect(weight_0_8_9.weight, moreOrLessEquals(0.110910915));
      final weight_0_8_10 = bone_0_8.weights.elementAt(10);
      expect(weight_0_8_10.vertexId, equals(164));
      expect(weight_0_8_10.weight, moreOrLessEquals(0.110910915));
      final weight_0_8_11 = bone_0_8.weights.elementAt(11);
      expect(weight_0_8_11.vertexId, equals(169));
      expect(weight_0_8_11.weight, moreOrLessEquals(0.110910915));
      final weight_0_8_12 = bone_0_8.weights.elementAt(12);
      expect(weight_0_8_12.vertexId, equals(130));
      expect(weight_0_8_12.weight, moreOrLessEquals(0.108814508));
      final weight_0_8_13 = bone_0_8.weights.elementAt(13);
      expect(weight_0_8_13.vertexId, equals(135));
      expect(weight_0_8_13.weight, moreOrLessEquals(0.108814508));
      final weight_0_8_14 = bone_0_8.weights.elementAt(14);
      expect(weight_0_8_14.vertexId, equals(160));
      expect(weight_0_8_14.weight, moreOrLessEquals(0.108814508));
      final weight_0_8_15 = bone_0_8.weights.elementAt(15);
      expect(weight_0_8_15.vertexId, equals(165));
      expect(weight_0_8_15.weight, moreOrLessEquals(0.108814508));
      final weight_0_8_16 = bone_0_8.weights.elementAt(16);
      expect(weight_0_8_16.vertexId, equals(134));
      expect(weight_0_8_16.weight, moreOrLessEquals(0.108256184));
      final weight_0_8_17 = bone_0_8.weights.elementAt(17);
      expect(weight_0_8_17.vertexId, equals(139));
      expect(weight_0_8_17.weight, moreOrLessEquals(0.108256184));
      final weight_0_8_18 = bone_0_8.weights.elementAt(18);
      expect(weight_0_8_18.vertexId, equals(156));
      expect(weight_0_8_18.weight, moreOrLessEquals(0.108256184));
      final weight_0_8_19 = bone_0_8.weights.elementAt(19);
      expect(weight_0_8_19.vertexId, equals(161));
      expect(weight_0_8_19.weight, moreOrLessEquals(0.108256184));
      final weight_0_8_20 = bone_0_8.weights.elementAt(20);
      expect(weight_0_8_20.vertexId, equals(138));
      expect(weight_0_8_20.weight, moreOrLessEquals(0.109468728));
      final weight_0_8_21 = bone_0_8.weights.elementAt(21);
      expect(weight_0_8_21.vertexId, equals(143));
      expect(weight_0_8_21.weight, moreOrLessEquals(0.109468728));
      final weight_0_8_22 = bone_0_8.weights.elementAt(22);
      expect(weight_0_8_22.vertexId, equals(152));
      expect(weight_0_8_22.weight, moreOrLessEquals(0.109468728));
      final weight_0_8_23 = bone_0_8.weights.elementAt(23);
      expect(weight_0_8_23.vertexId, equals(157));
      expect(weight_0_8_23.weight, moreOrLessEquals(0.109468728));
      final weight_0_8_24 = bone_0_8.weights.elementAt(24);
      expect(weight_0_8_24.vertexId, equals(142));
      expect(weight_0_8_24.weight, moreOrLessEquals(0.111386321));
      final weight_0_8_25 = bone_0_8.weights.elementAt(25);
      expect(weight_0_8_25.vertexId, equals(147));
      expect(weight_0_8_25.weight, moreOrLessEquals(0.111386321));
      final weight_0_8_26 = bone_0_8.weights.elementAt(26);
      expect(weight_0_8_26.vertexId, equals(148));
      expect(weight_0_8_26.weight, moreOrLessEquals(0.111386321));
      final weight_0_8_27 = bone_0_8.weights.elementAt(27);
      expect(weight_0_8_27.vertexId, equals(153));
      expect(weight_0_8_27.weight, moreOrLessEquals(0.111386321));
      final weight_0_8_28 = bone_0_8.weights.elementAt(28);
      expect(weight_0_8_28.vertexId, equals(119));
      expect(weight_0_8_28.weight, moreOrLessEquals(0.113313399));
      final weight_0_8_29 = bone_0_8.weights.elementAt(29);
      expect(weight_0_8_29.vertexId, equals(146));
      expect(weight_0_8_29.weight, moreOrLessEquals(0.113313399));
      final weight_0_8_30 = bone_0_8.weights.elementAt(30);
      expect(weight_0_8_30.vertexId, equals(149));
      expect(weight_0_8_30.weight, moreOrLessEquals(0.113313399));
      final weight_0_8_31 = bone_0_8.weights.elementAt(31);
      expect(weight_0_8_31.vertexId, equals(176));
      expect(weight_0_8_31.weight, moreOrLessEquals(0.113313399));
      final weight_0_8_32 = bone_0_8.weights.elementAt(32);
      expect(weight_0_8_32.vertexId, equals(150));
      expect(weight_0_8_32.weight, moreOrLessEquals(0.838596284));
      final weight_0_8_33 = bone_0_8.weights.elementAt(33);
      expect(weight_0_8_33.vertexId, equals(179));
      expect(weight_0_8_33.weight, moreOrLessEquals(0.838596284));
      final weight_0_8_34 = bone_0_8.weights.elementAt(34);
      expect(weight_0_8_34.vertexId, equals(233));
      expect(weight_0_8_34.weight, moreOrLessEquals(0.838596284));
      final weight_0_8_35 = bone_0_8.weights.elementAt(35);
      expect(weight_0_8_35.vertexId, equals(253));
      expect(weight_0_8_35.weight, moreOrLessEquals(0.838596284));
      final weight_0_8_36 = bone_0_8.weights.elementAt(36);
      expect(weight_0_8_36.vertexId, equals(151));
      expect(weight_0_8_36.weight, moreOrLessEquals(0.841123581));
      final weight_0_8_37 = bone_0_8.weights.elementAt(37);
      expect(weight_0_8_37.vertexId, equals(154));
      expect(weight_0_8_37.weight, moreOrLessEquals(0.841123581));
      final weight_0_8_38 = bone_0_8.weights.elementAt(38);
      expect(weight_0_8_38.vertexId, equals(232));
      expect(weight_0_8_38.weight, moreOrLessEquals(0.841123581));
      final weight_0_8_39 = bone_0_8.weights.elementAt(39);
      expect(weight_0_8_39.vertexId, equals(236));
      expect(weight_0_8_39.weight, moreOrLessEquals(0.841123581));
      final weight_0_8_40 = bone_0_8.weights.elementAt(40);
      expect(weight_0_8_40.vertexId, equals(155));
      expect(weight_0_8_40.weight, moreOrLessEquals(0.844430149));
      final weight_0_8_41 = bone_0_8.weights.elementAt(41);
      expect(weight_0_8_41.vertexId, equals(158));
      expect(weight_0_8_41.weight, moreOrLessEquals(0.844430149));
      final weight_0_8_42 = bone_0_8.weights.elementAt(42);
      expect(weight_0_8_42.vertexId, equals(235));
      expect(weight_0_8_42.weight, moreOrLessEquals(0.844430149));
      final weight_0_8_43 = bone_0_8.weights.elementAt(43);
      expect(weight_0_8_43.vertexId, equals(239));
      expect(weight_0_8_43.weight, moreOrLessEquals(0.844430149));
      final weight_0_8_44 = bone_0_8.weights.elementAt(44);
      expect(weight_0_8_44.vertexId, equals(159));
      expect(weight_0_8_44.weight, moreOrLessEquals(0.846506357));
      final weight_0_8_45 = bone_0_8.weights.elementAt(45);
      expect(weight_0_8_45.vertexId, equals(162));
      expect(weight_0_8_45.weight, moreOrLessEquals(0.846506357));
      final weight_0_8_46 = bone_0_8.weights.elementAt(46);
      expect(weight_0_8_46.vertexId, equals(238));
      expect(weight_0_8_46.weight, moreOrLessEquals(0.846506357));
      final weight_0_8_47 = bone_0_8.weights.elementAt(47);
      expect(weight_0_8_47.vertexId, equals(242));
      expect(weight_0_8_47.weight, moreOrLessEquals(0.846506357));
      final weight_0_8_48 = bone_0_8.weights.elementAt(48);
      expect(weight_0_8_48.vertexId, equals(163));
      expect(weight_0_8_48.weight, moreOrLessEquals(0.846072614));
      final weight_0_8_49 = bone_0_8.weights.elementAt(49);
      expect(weight_0_8_49.vertexId, equals(166));
      expect(weight_0_8_49.weight, moreOrLessEquals(0.846072614));
      final weight_0_8_50 = bone_0_8.weights.elementAt(50);
      expect(weight_0_8_50.vertexId, equals(241));
      expect(weight_0_8_50.weight, moreOrLessEquals(0.846072614));
      final weight_0_8_51 = bone_0_8.weights.elementAt(51);
      expect(weight_0_8_51.vertexId, equals(245));
      expect(weight_0_8_51.weight, moreOrLessEquals(0.846072614));
      final weight_0_8_52 = bone_0_8.weights.elementAt(52);
      expect(weight_0_8_52.vertexId, equals(167));
      expect(weight_0_8_52.weight, moreOrLessEquals(0.843432665));
      final weight_0_8_53 = bone_0_8.weights.elementAt(53);
      expect(weight_0_8_53.vertexId, equals(170));
      expect(weight_0_8_53.weight, moreOrLessEquals(0.843432665));
      final weight_0_8_54 = bone_0_8.weights.elementAt(54);
      expect(weight_0_8_54.vertexId, equals(244));
      expect(weight_0_8_54.weight, moreOrLessEquals(0.843432665));
      final weight_0_8_55 = bone_0_8.weights.elementAt(55);
      expect(weight_0_8_55.vertexId, equals(248));
      expect(weight_0_8_55.weight, moreOrLessEquals(0.843432665));
      final weight_0_8_56 = bone_0_8.weights.elementAt(56);
      expect(weight_0_8_56.vertexId, equals(171));
      expect(weight_0_8_56.weight, moreOrLessEquals(0.840216935));
      final weight_0_8_57 = bone_0_8.weights.elementAt(57);
      expect(weight_0_8_57.vertexId, equals(174));
      expect(weight_0_8_57.weight, moreOrLessEquals(0.840216935));
      final weight_0_8_58 = bone_0_8.weights.elementAt(58);
      expect(weight_0_8_58.vertexId, equals(247));
      expect(weight_0_8_58.weight, moreOrLessEquals(0.840216935));
      final weight_0_8_59 = bone_0_8.weights.elementAt(59);
      expect(weight_0_8_59.vertexId, equals(251));
      expect(weight_0_8_59.weight, moreOrLessEquals(0.840216935));
      final weight_0_8_60 = bone_0_8.weights.elementAt(60);
      expect(weight_0_8_60.vertexId, equals(175));
      expect(weight_0_8_60.weight, moreOrLessEquals(0.838256776));
      final weight_0_8_61 = bone_0_8.weights.elementAt(61);
      expect(weight_0_8_61.vertexId, equals(178));
      expect(weight_0_8_61.weight, moreOrLessEquals(0.838256776));
      final weight_0_8_62 = bone_0_8.weights.elementAt(62);
      expect(weight_0_8_62.vertexId, equals(250));
      expect(weight_0_8_62.weight, moreOrLessEquals(0.838256776));
      final weight_0_8_63 = bone_0_8.weights.elementAt(63);
      expect(weight_0_8_63.vertexId, equals(254));
      expect(weight_0_8_63.weight, moreOrLessEquals(0.838256776));
      final weight_0_8_64 = bone_0_8.weights.elementAt(64);
      expect(weight_0_8_64.vertexId, equals(234));
      expect(weight_0_8_64.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_65 = bone_0_8.weights.elementAt(65);
      expect(weight_0_8_65.vertexId, equals(237));
      expect(weight_0_8_65.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_66 = bone_0_8.weights.elementAt(66);
      expect(weight_0_8_66.vertexId, equals(240));
      expect(weight_0_8_66.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_67 = bone_0_8.weights.elementAt(67);
      expect(weight_0_8_67.vertexId, equals(243));
      expect(weight_0_8_67.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_68 = bone_0_8.weights.elementAt(68);
      expect(weight_0_8_68.vertexId, equals(246));
      expect(weight_0_8_68.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_69 = bone_0_8.weights.elementAt(69);
      expect(weight_0_8_69.vertexId, equals(249));
      expect(weight_0_8_69.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_70 = bone_0_8.weights.elementAt(70);
      expect(weight_0_8_70.vertexId, equals(252));
      expect(weight_0_8_70.weight, moreOrLessEquals(0.999480605));
      final weight_0_8_71 = bone_0_8.weights.elementAt(71);
      expect(weight_0_8_71.vertexId, equals(255));
      expect(weight_0_8_71.weight, moreOrLessEquals(0.999480605));
    });
  });

  test('collada', () {
    testScene('anims.dae', (scene) {
    });
    testScene('lib.dae', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final bone_0_0 = mesh_0.bones.elementAt(0);
      expect(bone_0_0.name, equals('id-bone-3'));
      expect(bone_0_0.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0, 0, 7.54979013e-08, 1, 1, 0, -1, 7.54979013e-08, 7.54979013e-08, 0, 0, 0, 1)));
      final weight_0_0_0 = bone_0_0.weights.elementAt(0);
      expect(weight_0_0_0.vertexId, isZero);
      expect(weight_0_0_0.weight, moreOrLessEquals(1));
      final weight_0_0_1 = bone_0_0.weights.elementAt(1);
      expect(weight_0_0_1.vertexId, equals(1));
      expect(weight_0_0_1.weight, moreOrLessEquals(1));
      final weight_0_0_2 = bone_0_0.weights.elementAt(2);
      expect(weight_0_0_2.vertexId, equals(2));
      expect(weight_0_0_2.weight, moreOrLessEquals(1));
      final weight_0_0_3 = bone_0_0.weights.elementAt(3);
      expect(weight_0_0_3.vertexId, equals(3));
      expect(weight_0_0_3.weight, moreOrLessEquals(1));
      final weight_0_0_4 = bone_0_0.weights.elementAt(4);
      expect(weight_0_0_4.vertexId, equals(8));
      expect(weight_0_0_4.weight, moreOrLessEquals(1));
      final weight_0_0_5 = bone_0_0.weights.elementAt(5);
      expect(weight_0_0_5.vertexId, equals(11));
      expect(weight_0_0_5.weight, moreOrLessEquals(1));
      final weight_0_0_6 = bone_0_0.weights.elementAt(6);
      expect(weight_0_0_6.vertexId, equals(12));
      expect(weight_0_0_6.weight, moreOrLessEquals(1));
      final weight_0_0_7 = bone_0_0.weights.elementAt(7);
      expect(weight_0_0_7.vertexId, equals(15));
      expect(weight_0_0_7.weight, moreOrLessEquals(1));
      final weight_0_0_8 = bone_0_0.weights.elementAt(8);
      expect(weight_0_0_8.vertexId, equals(16));
      expect(weight_0_0_8.weight, moreOrLessEquals(1));
      final weight_0_0_9 = bone_0_0.weights.elementAt(9);
      expect(weight_0_0_9.vertexId, equals(19));
      expect(weight_0_0_9.weight, moreOrLessEquals(1));
      final weight_0_0_10 = bone_0_0.weights.elementAt(10);
      expect(weight_0_0_10.vertexId, equals(21));
      expect(weight_0_0_10.weight, moreOrLessEquals(1));
      final weight_0_0_11 = bone_0_0.weights.elementAt(11);
      expect(weight_0_0_11.vertexId, equals(22));
      expect(weight_0_0_11.weight, moreOrLessEquals(1));
      final bone_0_1 = mesh_0.bones.elementAt(1);
      expect(bone_0_1.name, equals('id-bone-4'));
      expect(bone_0_1.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 0, 0, 7.54979013e-08, 1, -1, 0, -1, 7.54979013e-08, 7.54979013e-08, 0, 0, 0, 1)));
      final weight_0_1_0 = bone_0_1.weights.elementAt(0);
      expect(weight_0_1_0.vertexId, equals(4));
      expect(weight_0_1_0.weight, moreOrLessEquals(0.971074939));
      final weight_0_1_1 = bone_0_1.weights.elementAt(1);
      expect(weight_0_1_1.vertexId, equals(5));
      expect(weight_0_1_1.weight, moreOrLessEquals(1));
      final weight_0_1_2 = bone_0_1.weights.elementAt(2);
      expect(weight_0_1_2.vertexId, equals(6));
      expect(weight_0_1_2.weight, moreOrLessEquals(0.5));
      final weight_0_1_3 = bone_0_1.weights.elementAt(3);
      expect(weight_0_1_3.vertexId, equals(7));
      expect(weight_0_1_3.weight, moreOrLessEquals(0.499549448));
      final weight_0_1_4 = bone_0_1.weights.elementAt(4);
      expect(weight_0_1_4.vertexId, equals(9));
      expect(weight_0_1_4.weight, moreOrLessEquals(0.999867618));
      final weight_0_1_5 = bone_0_1.weights.elementAt(5);
      expect(weight_0_1_5.vertexId, equals(10));
      expect(weight_0_1_5.weight, moreOrLessEquals(1));
      final weight_0_1_6 = bone_0_1.weights.elementAt(6);
      expect(weight_0_1_6.vertexId, equals(13));
      expect(weight_0_1_6.weight, moreOrLessEquals(1));
      final weight_0_1_7 = bone_0_1.weights.elementAt(7);
      expect(weight_0_1_7.vertexId, equals(14));
      expect(weight_0_1_7.weight, moreOrLessEquals(1));
      final weight_0_1_8 = bone_0_1.weights.elementAt(8);
      expect(weight_0_1_8.vertexId, equals(17));
      expect(weight_0_1_8.weight, moreOrLessEquals(1));
      final weight_0_1_9 = bone_0_1.weights.elementAt(9);
      expect(weight_0_1_9.vertexId, equals(18));
      expect(weight_0_1_9.weight, moreOrLessEquals(0.971074939));
      final weight_0_1_10 = bone_0_1.weights.elementAt(10);
      expect(weight_0_1_10.vertexId, equals(20));
      expect(weight_0_1_10.weight, moreOrLessEquals(0.999867618));
      final weight_0_1_11 = bone_0_1.weights.elementAt(11);
      expect(weight_0_1_11.vertexId, equals(23));
      expect(weight_0_1_11.weight, moreOrLessEquals(0.971074939));
      final weight_0_1_12 = bone_0_1.weights.elementAt(12);
      expect(weight_0_1_12.vertexId, equals(24));
      expect(weight_0_1_12.weight, moreOrLessEquals(0.499549448));
      final weight_0_1_13 = bone_0_1.weights.elementAt(13);
      expect(weight_0_1_13.vertexId, equals(25));
      expect(weight_0_1_13.weight, moreOrLessEquals(0.5));
      final weight_0_1_14 = bone_0_1.weights.elementAt(14);
      expect(weight_0_1_14.vertexId, equals(28));
      expect(weight_0_1_14.weight, moreOrLessEquals(1));
      final weight_0_1_15 = bone_0_1.weights.elementAt(15);
      expect(weight_0_1_15.vertexId, equals(29));
      expect(weight_0_1_15.weight, moreOrLessEquals(1));
      final weight_0_1_16 = bone_0_1.weights.elementAt(16);
      expect(weight_0_1_16.vertexId, equals(30));
      expect(weight_0_1_16.weight, moreOrLessEquals(0.5));
      final weight_0_1_17 = bone_0_1.weights.elementAt(17);
      expect(weight_0_1_17.vertexId, equals(31));
      expect(weight_0_1_17.weight, moreOrLessEquals(0.5));
      final weight_0_1_18 = bone_0_1.weights.elementAt(18);
      expect(weight_0_1_18.vertexId, equals(32));
      expect(weight_0_1_18.weight, moreOrLessEquals(0.999867618));
      final weight_0_1_19 = bone_0_1.weights.elementAt(19);
      expect(weight_0_1_19.vertexId, equals(33));
      expect(weight_0_1_19.weight, moreOrLessEquals(0.971074939));
      final weight_0_1_20 = bone_0_1.weights.elementAt(20);
      expect(weight_0_1_20.vertexId, equals(34));
      expect(weight_0_1_20.weight, moreOrLessEquals(0.499549448));
      final weight_0_1_21 = bone_0_1.weights.elementAt(21);
      expect(weight_0_1_21.vertexId, equals(35));
      expect(weight_0_1_21.weight, moreOrLessEquals(0.5));
      final weight_0_1_22 = bone_0_1.weights.elementAt(22);
      expect(weight_0_1_22.vertexId, equals(36));
      expect(weight_0_1_22.weight, moreOrLessEquals(1));
      final weight_0_1_23 = bone_0_1.weights.elementAt(23);
      expect(weight_0_1_23.vertexId, equals(37));
      expect(weight_0_1_23.weight, moreOrLessEquals(0.999867618));
      final weight_0_1_24 = bone_0_1.weights.elementAt(24);
      expect(weight_0_1_24.vertexId, equals(38));
      expect(weight_0_1_24.weight, moreOrLessEquals(0.5));
      final weight_0_1_25 = bone_0_1.weights.elementAt(25);
      expect(weight_0_1_25.vertexId, equals(39));
      expect(weight_0_1_25.weight, moreOrLessEquals(0.5));
      final weight_0_1_26 = bone_0_1.weights.elementAt(26);
      expect(weight_0_1_26.vertexId, equals(44));
      expect(weight_0_1_26.weight, moreOrLessEquals(0.5));
      final weight_0_1_27 = bone_0_1.weights.elementAt(27);
      expect(weight_0_1_27.vertexId, equals(45));
      expect(weight_0_1_27.weight, moreOrLessEquals(0.5));
      final weight_0_1_28 = bone_0_1.weights.elementAt(28);
      expect(weight_0_1_28.vertexId, equals(48));
      expect(weight_0_1_28.weight, moreOrLessEquals(0.5));
      final weight_0_1_29 = bone_0_1.weights.elementAt(29);
      expect(weight_0_1_29.vertexId, equals(49));
      expect(weight_0_1_29.weight, moreOrLessEquals(0.499549448));
      final weight_0_1_30 = bone_0_1.weights.elementAt(30);
      expect(weight_0_1_30.vertexId, equals(52));
      expect(weight_0_1_30.weight, moreOrLessEquals(0.5));
      final weight_0_1_31 = bone_0_1.weights.elementAt(31);
      expect(weight_0_1_31.vertexId, equals(53));
      expect(weight_0_1_31.weight, moreOrLessEquals(0.5));
      final bone_0_2 = mesh_0.bones.elementAt(2);
      expect(bone_0_2.name, equals('id-bone-5'));
      expect(bone_0_2.offset, matrix4MoreOrLessEquals(Matrix4(1, 3.01991605e-07, 0, -9.11989261e-14, -2.27997315e-14, 7.54979013e-08, 1, -3, 3.01991605e-07, -1, 7.54979013e-08, 7.54978942e-08, 0, 0, 0, 1)));
      final weight_0_2_0 = bone_0_2.weights.elementAt(0);
      expect(weight_0_2_0.vertexId, equals(6));
      expect(weight_0_2_0.weight, moreOrLessEquals(0.5));
      final weight_0_2_1 = bone_0_2.weights.elementAt(1);
      expect(weight_0_2_1.vertexId, equals(7));
      expect(weight_0_2_1.weight, moreOrLessEquals(0.500450552));
      final weight_0_2_2 = bone_0_2.weights.elementAt(2);
      expect(weight_0_2_2.vertexId, equals(24));
      expect(weight_0_2_2.weight, moreOrLessEquals(0.500450552));
      final weight_0_2_3 = bone_0_2.weights.elementAt(3);
      expect(weight_0_2_3.vertexId, equals(25));
      expect(weight_0_2_3.weight, moreOrLessEquals(0.5));
      final weight_0_2_4 = bone_0_2.weights.elementAt(4);
      expect(weight_0_2_4.vertexId, equals(26));
      expect(weight_0_2_4.weight, moreOrLessEquals(0.5));
      final weight_0_2_5 = bone_0_2.weights.elementAt(5);
      expect(weight_0_2_5.vertexId, equals(27));
      expect(weight_0_2_5.weight, moreOrLessEquals(0.5));
      final weight_0_2_6 = bone_0_2.weights.elementAt(6);
      expect(weight_0_2_6.vertexId, equals(30));
      expect(weight_0_2_6.weight, moreOrLessEquals(0.5));
      final weight_0_2_7 = bone_0_2.weights.elementAt(7);
      expect(weight_0_2_7.vertexId, equals(31));
      expect(weight_0_2_7.weight, moreOrLessEquals(0.5));
      final weight_0_2_8 = bone_0_2.weights.elementAt(8);
      expect(weight_0_2_8.vertexId, equals(34));
      expect(weight_0_2_8.weight, moreOrLessEquals(0.500450552));
      final weight_0_2_9 = bone_0_2.weights.elementAt(9);
      expect(weight_0_2_9.vertexId, equals(35));
      expect(weight_0_2_9.weight, moreOrLessEquals(0.5));
      final weight_0_2_10 = bone_0_2.weights.elementAt(10);
      expect(weight_0_2_10.vertexId, equals(38));
      expect(weight_0_2_10.weight, moreOrLessEquals(0.5));
      final weight_0_2_11 = bone_0_2.weights.elementAt(11);
      expect(weight_0_2_11.vertexId, equals(39));
      expect(weight_0_2_11.weight, moreOrLessEquals(0.5));
      final weight_0_2_12 = bone_0_2.weights.elementAt(12);
      expect(weight_0_2_12.vertexId, equals(40));
      expect(weight_0_2_12.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_13 = bone_0_2.weights.elementAt(13);
      expect(weight_0_2_13.vertexId, equals(41));
      expect(weight_0_2_13.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_14 = bone_0_2.weights.elementAt(14);
      expect(weight_0_2_14.vertexId, equals(44));
      expect(weight_0_2_14.weight, moreOrLessEquals(0.5));
      final weight_0_2_15 = bone_0_2.weights.elementAt(15);
      expect(weight_0_2_15.vertexId, equals(45));
      expect(weight_0_2_15.weight, moreOrLessEquals(0.5));
      final weight_0_2_16 = bone_0_2.weights.elementAt(16);
      expect(weight_0_2_16.vertexId, equals(46));
      expect(weight_0_2_16.weight, moreOrLessEquals(0.49999994));
      final weight_0_2_17 = bone_0_2.weights.elementAt(17);
      expect(weight_0_2_17.vertexId, equals(47));
      expect(weight_0_2_17.weight, moreOrLessEquals(0.5));
      final weight_0_2_18 = bone_0_2.weights.elementAt(18);
      expect(weight_0_2_18.vertexId, equals(48));
      expect(weight_0_2_18.weight, moreOrLessEquals(0.5));
      final weight_0_2_19 = bone_0_2.weights.elementAt(19);
      expect(weight_0_2_19.vertexId, equals(49));
      expect(weight_0_2_19.weight, moreOrLessEquals(0.500450552));
      final weight_0_2_20 = bone_0_2.weights.elementAt(20);
      expect(weight_0_2_20.vertexId, equals(50));
      expect(weight_0_2_20.weight, moreOrLessEquals(0.5));
      final weight_0_2_21 = bone_0_2.weights.elementAt(21);
      expect(weight_0_2_21.vertexId, equals(51));
      expect(weight_0_2_21.weight, moreOrLessEquals(0.499814898));
      final weight_0_2_22 = bone_0_2.weights.elementAt(22);
      expect(weight_0_2_22.vertexId, equals(52));
      expect(weight_0_2_22.weight, moreOrLessEquals(0.5));
      final weight_0_2_23 = bone_0_2.weights.elementAt(23);
      expect(weight_0_2_23.vertexId, equals(53));
      expect(weight_0_2_23.weight, moreOrLessEquals(0.5));
      final weight_0_2_24 = bone_0_2.weights.elementAt(24);
      expect(weight_0_2_24.vertexId, equals(54));
      expect(weight_0_2_24.weight, moreOrLessEquals(0.499814898));
      final weight_0_2_25 = bone_0_2.weights.elementAt(25);
      expect(weight_0_2_25.vertexId, equals(55));
      expect(weight_0_2_25.weight, moreOrLessEquals(0.49999994));
      final weight_0_2_26 = bone_0_2.weights.elementAt(26);
      expect(weight_0_2_26.vertexId, equals(60));
      expect(weight_0_2_26.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_27 = bone_0_2.weights.elementAt(27);
      expect(weight_0_2_27.vertexId, equals(61));
      expect(weight_0_2_27.weight, moreOrLessEquals(0.333333284));
      final weight_0_2_28 = bone_0_2.weights.elementAt(28);
      expect(weight_0_2_28.vertexId, equals(64));
      expect(weight_0_2_28.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_29 = bone_0_2.weights.elementAt(29);
      expect(weight_0_2_29.vertexId, equals(65));
      expect(weight_0_2_29.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_30 = bone_0_2.weights.elementAt(30);
      expect(weight_0_2_30.vertexId, equals(68));
      expect(weight_0_2_30.weight, moreOrLessEquals(0.333333284));
      final weight_0_2_31 = bone_0_2.weights.elementAt(31);
      expect(weight_0_2_31.vertexId, equals(69));
      expect(weight_0_2_31.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_32 = bone_0_2.weights.elementAt(32);
      expect(weight_0_2_32.vertexId, equals(72));
      expect(weight_0_2_32.weight, moreOrLessEquals(0.5));
      final weight_0_2_33 = bone_0_2.weights.elementAt(33);
      expect(weight_0_2_33.vertexId, equals(73));
      expect(weight_0_2_33.weight, moreOrLessEquals(0.5));
      final weight_0_2_34 = bone_0_2.weights.elementAt(34);
      expect(weight_0_2_34.vertexId, equals(74));
      expect(weight_0_2_34.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_35 = bone_0_2.weights.elementAt(35);
      expect(weight_0_2_35.vertexId, equals(75));
      expect(weight_0_2_35.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_36 = bone_0_2.weights.elementAt(36);
      expect(weight_0_2_36.vertexId, equals(76));
      expect(weight_0_2_36.weight, moreOrLessEquals(0.5));
      final weight_0_2_37 = bone_0_2.weights.elementAt(37);
      expect(weight_0_2_37.vertexId, equals(77));
      expect(weight_0_2_37.weight, moreOrLessEquals(0.49999994));
      final weight_0_2_38 = bone_0_2.weights.elementAt(38);
      expect(weight_0_2_38.vertexId, equals(78));
      expect(weight_0_2_38.weight, moreOrLessEquals(0.333333284));
      final weight_0_2_39 = bone_0_2.weights.elementAt(39);
      expect(weight_0_2_39.vertexId, equals(79));
      expect(weight_0_2_39.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_40 = bone_0_2.weights.elementAt(40);
      expect(weight_0_2_40.vertexId, equals(80));
      expect(weight_0_2_40.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_41 = bone_0_2.weights.elementAt(41);
      expect(weight_0_2_41.vertexId, equals(81));
      expect(weight_0_2_41.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_42 = bone_0_2.weights.elementAt(42);
      expect(weight_0_2_42.vertexId, equals(82));
      expect(weight_0_2_42.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_43 = bone_0_2.weights.elementAt(43);
      expect(weight_0_2_43.vertexId, equals(83));
      expect(weight_0_2_43.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_44 = bone_0_2.weights.elementAt(44);
      expect(weight_0_2_44.vertexId, equals(84));
      expect(weight_0_2_44.weight, moreOrLessEquals(0.49999994));
      final weight_0_2_45 = bone_0_2.weights.elementAt(45);
      expect(weight_0_2_45.vertexId, equals(85));
      expect(weight_0_2_45.weight, moreOrLessEquals(0.499814898));
      final weight_0_2_46 = bone_0_2.weights.elementAt(46);
      expect(weight_0_2_46.vertexId, equals(86));
      expect(weight_0_2_46.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_47 = bone_0_2.weights.elementAt(47);
      expect(weight_0_2_47.vertexId, equals(87));
      expect(weight_0_2_47.weight, moreOrLessEquals(0.333333284));
      final weight_0_2_48 = bone_0_2.weights.elementAt(48);
      expect(weight_0_2_48.vertexId, equals(88));
      expect(weight_0_2_48.weight, moreOrLessEquals(0.499814838));
      final weight_0_2_49 = bone_0_2.weights.elementAt(49);
      expect(weight_0_2_49.vertexId, equals(89));
      expect(weight_0_2_49.weight, moreOrLessEquals(0.5));
      final weight_0_2_50 = bone_0_2.weights.elementAt(50);
      expect(weight_0_2_50.vertexId, equals(90));
      expect(weight_0_2_50.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_51 = bone_0_2.weights.elementAt(51);
      expect(weight_0_2_51.vertexId, equals(91));
      expect(weight_0_2_51.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_52 = bone_0_2.weights.elementAt(52);
      expect(weight_0_2_52.vertexId, equals(92));
      expect(weight_0_2_52.weight, moreOrLessEquals(0.5));
      final weight_0_2_53 = bone_0_2.weights.elementAt(53);
      expect(weight_0_2_53.vertexId, equals(93));
      expect(weight_0_2_53.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_54 = bone_0_2.weights.elementAt(54);
      expect(weight_0_2_54.vertexId, equals(94));
      expect(weight_0_2_54.weight, moreOrLessEquals(0.333333343));
      final weight_0_2_55 = bone_0_2.weights.elementAt(55);
      expect(weight_0_2_55.vertexId, equals(95));
      expect(weight_0_2_55.weight, moreOrLessEquals(0.5));
      final weight_0_2_56 = bone_0_2.weights.elementAt(56);
      expect(weight_0_2_56.vertexId, equals(96));
      expect(weight_0_2_56.weight, moreOrLessEquals(0.499814898));
      final weight_0_2_57 = bone_0_2.weights.elementAt(57);
      expect(weight_0_2_57.vertexId, equals(97));
      expect(weight_0_2_57.weight, moreOrLessEquals(0.5));
      final weight_0_2_58 = bone_0_2.weights.elementAt(58);
      expect(weight_0_2_58.vertexId, equals(98));
      expect(weight_0_2_58.weight, moreOrLessEquals(0.5));
      final weight_0_2_59 = bone_0_2.weights.elementAt(59);
      expect(weight_0_2_59.vertexId, equals(99));
      expect(weight_0_2_59.weight, moreOrLessEquals(0.499814838));
      final weight_0_2_60 = bone_0_2.weights.elementAt(60);
      expect(weight_0_2_60.vertexId, equals(100));
      expect(weight_0_2_60.weight, moreOrLessEquals(0.333171457));
      final weight_0_2_61 = bone_0_2.weights.elementAt(61);
      expect(weight_0_2_61.vertexId, equals(101));
      expect(weight_0_2_61.weight, moreOrLessEquals(0.499814898));
      final weight_0_2_62 = bone_0_2.weights.elementAt(62);
      expect(weight_0_2_62.vertexId, equals(102));
      expect(weight_0_2_62.weight, moreOrLessEquals(0.499814838));
      final weight_0_2_63 = bone_0_2.weights.elementAt(63);
      expect(weight_0_2_63.vertexId, equals(103));
      expect(weight_0_2_63.weight, moreOrLessEquals(0.333171457));
      final bone_0_3 = mesh_0.bones.elementAt(3);
      expect(bone_0_3.name, equals('id-bone-6'));
      expect(bone_0_3.offset, matrix4MoreOrLessEquals(Matrix4(1, 0, 0, 4.55994631e-14, 0, 7.54979013e-08, 1, -5, 0, -1, 7.54979013e-08, 7.54979226e-08, 0, 0, 0, 1)));
      final weight_0_3_0 = bone_0_3.weights.elementAt(0);
      expect(weight_0_3_0.vertexId, equals(26));
      expect(weight_0_3_0.weight, moreOrLessEquals(0.5));
      final weight_0_3_1 = bone_0_3.weights.elementAt(1);
      expect(weight_0_3_1.vertexId, equals(27));
      expect(weight_0_3_1.weight, moreOrLessEquals(0.5));
      final weight_0_3_2 = bone_0_3.weights.elementAt(2);
      expect(weight_0_3_2.vertexId, equals(40));
      expect(weight_0_3_2.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_3 = bone_0_3.weights.elementAt(3);
      expect(weight_0_3_3.vertexId, equals(41));
      expect(weight_0_3_3.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_4 = bone_0_3.weights.elementAt(4);
      expect(weight_0_3_4.vertexId, equals(42));
      expect(weight_0_3_4.weight, moreOrLessEquals(1));
      final weight_0_3_5 = bone_0_3.weights.elementAt(5);
      expect(weight_0_3_5.vertexId, equals(43));
      expect(weight_0_3_5.weight, moreOrLessEquals(1));
      final weight_0_3_6 = bone_0_3.weights.elementAt(6);
      expect(weight_0_3_6.vertexId, equals(46));
      expect(weight_0_3_6.weight, moreOrLessEquals(0.50000006));
      final weight_0_3_7 = bone_0_3.weights.elementAt(7);
      expect(weight_0_3_7.vertexId, equals(47));
      expect(weight_0_3_7.weight, moreOrLessEquals(0.5));
      final weight_0_3_8 = bone_0_3.weights.elementAt(8);
      expect(weight_0_3_8.vertexId, equals(50));
      expect(weight_0_3_8.weight, moreOrLessEquals(0.5));
      final weight_0_3_9 = bone_0_3.weights.elementAt(9);
      expect(weight_0_3_9.vertexId, equals(51));
      expect(weight_0_3_9.weight, moreOrLessEquals(0.500185013));
      final weight_0_3_10 = bone_0_3.weights.elementAt(10);
      expect(weight_0_3_10.vertexId, equals(54));
      expect(weight_0_3_10.weight, moreOrLessEquals(0.500185013));
      final weight_0_3_11 = bone_0_3.weights.elementAt(11);
      expect(weight_0_3_11.vertexId, equals(55));
      expect(weight_0_3_11.weight, moreOrLessEquals(0.50000006));
      final weight_0_3_12 = bone_0_3.weights.elementAt(12);
      expect(weight_0_3_12.vertexId, equals(56));
      expect(weight_0_3_12.weight, moreOrLessEquals(0.999976635));
      final weight_0_3_13 = bone_0_3.weights.elementAt(13);
      expect(weight_0_3_13.vertexId, equals(57));
      expect(weight_0_3_13.weight, moreOrLessEquals(1));
      final weight_0_3_14 = bone_0_3.weights.elementAt(14);
      expect(weight_0_3_14.vertexId, equals(58));
      expect(weight_0_3_14.weight, moreOrLessEquals(1));
      final weight_0_3_15 = bone_0_3.weights.elementAt(15);
      expect(weight_0_3_15.vertexId, equals(59));
      expect(weight_0_3_15.weight, moreOrLessEquals(1));
      final weight_0_3_16 = bone_0_3.weights.elementAt(16);
      expect(weight_0_3_16.vertexId, equals(60));
      expect(weight_0_3_16.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_17 = bone_0_3.weights.elementAt(17);
      expect(weight_0_3_17.vertexId, equals(61));
      expect(weight_0_3_17.weight, moreOrLessEquals(0.666666746));
      final weight_0_3_18 = bone_0_3.weights.elementAt(18);
      expect(weight_0_3_18.vertexId, equals(62));
      expect(weight_0_3_18.weight, moreOrLessEquals(1));
      final weight_0_3_19 = bone_0_3.weights.elementAt(19);
      expect(weight_0_3_19.vertexId, equals(63));
      expect(weight_0_3_19.weight, moreOrLessEquals(1));
      final weight_0_3_20 = bone_0_3.weights.elementAt(20);
      expect(weight_0_3_20.vertexId, equals(64));
      expect(weight_0_3_20.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_21 = bone_0_3.weights.elementAt(21);
      expect(weight_0_3_21.vertexId, equals(65));
      expect(weight_0_3_21.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_22 = bone_0_3.weights.elementAt(22);
      expect(weight_0_3_22.vertexId, equals(66));
      expect(weight_0_3_22.weight, moreOrLessEquals(1));
      final weight_0_3_23 = bone_0_3.weights.elementAt(23);
      expect(weight_0_3_23.vertexId, equals(67));
      expect(weight_0_3_23.weight, moreOrLessEquals(0.999976635));
      final weight_0_3_24 = bone_0_3.weights.elementAt(24);
      expect(weight_0_3_24.vertexId, equals(68));
      expect(weight_0_3_24.weight, moreOrLessEquals(0.666666746));
      final weight_0_3_25 = bone_0_3.weights.elementAt(25);
      expect(weight_0_3_25.vertexId, equals(69));
      expect(weight_0_3_25.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_26 = bone_0_3.weights.elementAt(26);
      expect(weight_0_3_26.vertexId, equals(70));
      expect(weight_0_3_26.weight, moreOrLessEquals(0.999976635));
      final weight_0_3_27 = bone_0_3.weights.elementAt(27);
      expect(weight_0_3_27.vertexId, equals(71));
      expect(weight_0_3_27.weight, moreOrLessEquals(1));
      final weight_0_3_28 = bone_0_3.weights.elementAt(28);
      expect(weight_0_3_28.vertexId, equals(72));
      expect(weight_0_3_28.weight, moreOrLessEquals(0.5));
      final weight_0_3_29 = bone_0_3.weights.elementAt(29);
      expect(weight_0_3_29.vertexId, equals(73));
      expect(weight_0_3_29.weight, moreOrLessEquals(0.5));
      final weight_0_3_30 = bone_0_3.weights.elementAt(30);
      expect(weight_0_3_30.vertexId, equals(74));
      expect(weight_0_3_30.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_31 = bone_0_3.weights.elementAt(31);
      expect(weight_0_3_31.vertexId, equals(75));
      expect(weight_0_3_31.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_32 = bone_0_3.weights.elementAt(32);
      expect(weight_0_3_32.vertexId, equals(76));
      expect(weight_0_3_32.weight, moreOrLessEquals(0.5));
      final weight_0_3_33 = bone_0_3.weights.elementAt(33);
      expect(weight_0_3_33.vertexId, equals(77));
      expect(weight_0_3_33.weight, moreOrLessEquals(0.50000006));
      final weight_0_3_34 = bone_0_3.weights.elementAt(34);
      expect(weight_0_3_34.vertexId, equals(78));
      expect(weight_0_3_34.weight, moreOrLessEquals(0.666666746));
      final weight_0_3_35 = bone_0_3.weights.elementAt(35);
      expect(weight_0_3_35.vertexId, equals(79));
      expect(weight_0_3_35.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_36 = bone_0_3.weights.elementAt(36);
      expect(weight_0_3_36.vertexId, equals(80));
      expect(weight_0_3_36.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_37 = bone_0_3.weights.elementAt(37);
      expect(weight_0_3_37.vertexId, equals(81));
      expect(weight_0_3_37.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_38 = bone_0_3.weights.elementAt(38);
      expect(weight_0_3_38.vertexId, equals(82));
      expect(weight_0_3_38.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_39 = bone_0_3.weights.elementAt(39);
      expect(weight_0_3_39.vertexId, equals(83));
      expect(weight_0_3_39.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_40 = bone_0_3.weights.elementAt(40);
      expect(weight_0_3_40.vertexId, equals(84));
      expect(weight_0_3_40.weight, moreOrLessEquals(0.50000006));
      final weight_0_3_41 = bone_0_3.weights.elementAt(41);
      expect(weight_0_3_41.vertexId, equals(85));
      expect(weight_0_3_41.weight, moreOrLessEquals(0.500185013));
      final weight_0_3_42 = bone_0_3.weights.elementAt(42);
      expect(weight_0_3_42.vertexId, equals(86));
      expect(weight_0_3_42.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_43 = bone_0_3.weights.elementAt(43);
      expect(weight_0_3_43.vertexId, equals(87));
      expect(weight_0_3_43.weight, moreOrLessEquals(0.666666746));
      final weight_0_3_44 = bone_0_3.weights.elementAt(44);
      expect(weight_0_3_44.vertexId, equals(88));
      expect(weight_0_3_44.weight, moreOrLessEquals(0.500185132));
      final weight_0_3_45 = bone_0_3.weights.elementAt(45);
      expect(weight_0_3_45.vertexId, equals(89));
      expect(weight_0_3_45.weight, moreOrLessEquals(0.5));
      final weight_0_3_46 = bone_0_3.weights.elementAt(46);
      expect(weight_0_3_46.vertexId, equals(90));
      expect(weight_0_3_46.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_47 = bone_0_3.weights.elementAt(47);
      expect(weight_0_3_47.vertexId, equals(91));
      expect(weight_0_3_47.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_48 = bone_0_3.weights.elementAt(48);
      expect(weight_0_3_48.vertexId, equals(92));
      expect(weight_0_3_48.weight, moreOrLessEquals(0.5));
      final weight_0_3_49 = bone_0_3.weights.elementAt(49);
      expect(weight_0_3_49.vertexId, equals(93));
      expect(weight_0_3_49.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_50 = bone_0_3.weights.elementAt(50);
      expect(weight_0_3_50.vertexId, equals(94));
      expect(weight_0_3_50.weight, moreOrLessEquals(0.666666687));
      final weight_0_3_51 = bone_0_3.weights.elementAt(51);
      expect(weight_0_3_51.vertexId, equals(95));
      expect(weight_0_3_51.weight, moreOrLessEquals(0.5));
      final weight_0_3_52 = bone_0_3.weights.elementAt(52);
      expect(weight_0_3_52.vertexId, equals(96));
      expect(weight_0_3_52.weight, moreOrLessEquals(0.500185013));
      final weight_0_3_53 = bone_0_3.weights.elementAt(53);
      expect(weight_0_3_53.vertexId, equals(97));
      expect(weight_0_3_53.weight, moreOrLessEquals(0.5));
      final weight_0_3_54 = bone_0_3.weights.elementAt(54);
      expect(weight_0_3_54.vertexId, equals(98));
      expect(weight_0_3_54.weight, moreOrLessEquals(0.5));
      final weight_0_3_55 = bone_0_3.weights.elementAt(55);
      expect(weight_0_3_55.vertexId, equals(99));
      expect(weight_0_3_55.weight, moreOrLessEquals(0.500185132));
      final weight_0_3_56 = bone_0_3.weights.elementAt(56);
      expect(weight_0_3_56.vertexId, equals(100));
      expect(weight_0_3_56.weight, moreOrLessEquals(0.666828513));
      final weight_0_3_57 = bone_0_3.weights.elementAt(57);
      expect(weight_0_3_57.vertexId, equals(101));
      expect(weight_0_3_57.weight, moreOrLessEquals(0.500185013));
      final weight_0_3_58 = bone_0_3.weights.elementAt(58);
      expect(weight_0_3_58.vertexId, equals(102));
      expect(weight_0_3_58.weight, moreOrLessEquals(0.500185132));
      final weight_0_3_59 = bone_0_3.weights.elementAt(59);
      expect(weight_0_3_59.vertexId, equals(103));
      expect(weight_0_3_59.weight, moreOrLessEquals(0.666828513));
    });
  });

  test('obj', () {
    testScene('spider.obj', (scene) {
    });
  });

}
