import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';
import 'package:test/test.dart';
import 'package:assimp/assimp.dart';
import 'package:assimp/src/bindings.dart';
import 'test_utils.dart';

// DO NOT EDIT (generated by tool/testgen)

void main() {
  prepareTest();

  test('size', () {
    expect(sizeOf<aiLight>(), equals(1132));
  });

  test('equals', () {
    final a = Light.fromNative(calloc<aiLight>());
    final b = Light.fromNative(calloc<aiLight>());
    expect(a, equals(a));
    expect(b, equals(b));
    expect(a, isNot(equals(b)));
    expect(b, isNot(equals(a)));
  });

  test('toString', () {
    expect(Light.fromNative(calloc<aiLight>()).toString(), matches(r'Light\(Pointer<aiLight>: address=0x[0-f]+\)'));
  });

  test('3mf', () {
    testScene('box.3mf', (scene) {
      final lights = scene.lights;
      expect(lights, isEmpty);
      expect(lights.length, isZero);
    });
    testScene('spider.3mf', (scene) {
      final lights = scene.lights;
      expect(lights, isEmpty);
      expect(lights.length, isZero);
    });
  });

  test('fbx', () {
    testScene('huesitos.fbx', (scene) {
      final lights = scene.lights;
      expect(lights, isNotEmpty);
      expect(lights.length, equals(1));
      final light_0 = lights.elementAt(0);
      expect(light_0.name, equals('Lamp'));
      expect(light_0.type, equals(LightSourceType.point));
      expect(light_0.position, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      expect(light_0.direction, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      expect(light_0.up, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      expect(light_0.attenuationConstant, isZero);
      expect(light_0.attenuationLinear, moreOrLessEquals(0.000666667067));
      expect(light_0.attenuationQuadratic, isZero);
      expect(light_0.colorDiffuse, vector3MoreOrLessEquals(Vector3(1, 1, 1)));
      expect(light_0.colorSpecular, vector3MoreOrLessEquals(Vector3(1, 1, 1)));
      expect(light_0.colorAmbient, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      expect(light_0.angleInnerCone, moreOrLessEquals(6.28318548));
      expect(light_0.angleOuterCone, moreOrLessEquals(6.28318548));
      expect(light_0.size.x, isZero);
      expect(light_0.size.y, isZero);
    });
  });

  test('collada', () {
    testScene('anims.dae', (scene) {
      final lights = scene.lights;
      expect(lights, isEmpty);
      expect(lights.length, isZero);
    });
    testScene('lib.dae', (scene) {
      final lights = scene.lights;
      expect(lights, isEmpty);
      expect(lights.length, isZero);
    });
  });

  test('obj', () {
    testScene('spider.obj', (scene) {
      final lights = scene.lights;
      expect(lights, isEmpty);
      expect(lights.length, isZero);
    });
  });

}
