import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';
import 'package:test/test.dart';
import 'package:assimp/assimp.dart';
import 'package:assimp/src/bindings.dart';
import 'test_utils.dart';

// DO NOT EDIT (generated by tool/testgen)

void main() {
  prepareTest();

  test('size', () {
    expect(sizeOf<aiFace>(), equals(16));
  });

  test('equals', () {
    final a = Face.fromNative(calloc<aiFace>());
    final b = Face.fromNative(calloc<aiFace>());
    expect(a, equals(a));
    expect(b, equals(b));
    expect(a, isNot(equals(b)));
    expect(b, isNot(equals(a)));
  });

  test('toString', () {
    expect(Face.fromNative(calloc<aiFace>()).toString(), matches(r'Face\(Pointer<aiFace>: address=0x[0-f]+\)'));
  });

  test('3mf', () {
    testScene('box.3mf', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([3, 2, 1]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([1, 0, 3]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([4, 5, 6]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([6, 7, 4]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([0, 1, 5]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([5, 4, 0]));
      final face_0_6 = mesh_0.faces.elementAt(6);
      expect(face_0_6.indices, equals([1, 2, 6]));
      final face_0_7 = mesh_0.faces.elementAt(7);
      expect(face_0_7.indices, equals([6, 5, 1]));
      final face_0_8 = mesh_0.faces.elementAt(8);
      expect(face_0_8.indices, equals([2, 3, 7]));
      final face_0_9 = mesh_0.faces.elementAt(9);
      expect(face_0_9.indices, equals([7, 6, 2]));
      final face_0_10 = mesh_0.faces.elementAt(10);
      expect(face_0_10.indices, equals([3, 0, 4]));
      final face_0_11 = mesh_0.faces.elementAt(11);
      expect(face_0_11.indices, equals([4, 7, 3]));
    });
    testScene('spider.3mf', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([2, 1, 0]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([2, 0, 3]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([5, 0, 4]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([0, 1, 4]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([5, 6, 0]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([3, 0, 6]));
      final face_0_6 = mesh_0.faces.elementAt(6);
      expect(face_0_6.indices, equals([7, 3, 6]));
      final face_0_7 = mesh_0.faces.elementAt(7);
      expect(face_0_7.indices, equals([7, 8, 3]));
      final face_0_8 = mesh_0.faces.elementAt(8);
      expect(face_0_8.indices, equals([7, 6, 9]));
      final face_0_9 = mesh_0.faces.elementAt(9);
      expect(face_0_9.indices, equals([5, 10, 6]));
      final face_0_10 = mesh_0.faces.elementAt(10);
      expect(face_0_10.indices, equals([9, 6, 10]));
      final face_0_11 = mesh_0.faces.elementAt(11);
      expect(face_0_11.indices, equals([5, 11, 10]));
      final face_0_12 = mesh_0.faces.elementAt(12);
      expect(face_0_12.indices, equals([5, 4, 11]));
      final face_0_13 = mesh_0.faces.elementAt(13);
      expect(face_0_13.indices, equals([12, 9, 10]));
      final face_0_14 = mesh_0.faces.elementAt(14);
      expect(face_0_14.indices, equals([12, 10, 13]));
      final face_0_15 = mesh_0.faces.elementAt(15);
      expect(face_0_15.indices, equals([10, 11, 13]));
      final face_0_16 = mesh_0.faces.elementAt(16);
      expect(face_0_16.indices, equals([15, 9, 14]));
      final face_0_17 = mesh_0.faces.elementAt(17);
      expect(face_0_17.indices, equals([12, 16, 9]));
      final face_0_18 = mesh_0.faces.elementAt(18);
      expect(face_0_18.indices, equals([14, 9, 16]));
      final face_0_19 = mesh_0.faces.elementAt(19);
      expect(face_0_19.indices, equals([12, 13, 17]));
      final face_0_20 = mesh_0.faces.elementAt(20);
      expect(face_0_20.indices, equals([12, 18, 16]));
      final face_0_21 = mesh_0.faces.elementAt(21);
      expect(face_0_21.indices, equals([19, 13, 11]));
      final face_0_22 = mesh_0.faces.elementAt(22);
      expect(face_0_22.indices, equals([19, 20, 13]));
      final face_0_23 = mesh_0.faces.elementAt(23);
      expect(face_0_23.indices, equals([17, 13, 20]));
      final face_0_24 = mesh_0.faces.elementAt(24);
      expect(face_0_24.indices, equals([21, 17, 20]));
      final face_0_25 = mesh_0.faces.elementAt(25);
      expect(face_0_25.indices, equals([21, 22, 17]));
      final face_0_26 = mesh_0.faces.elementAt(26);
      expect(face_0_26.indices, equals([16, 17, 23]));
      final face_0_27 = mesh_0.faces.elementAt(27);
      expect(face_0_27.indices, equals([24, 16, 23]));
      final face_0_28 = mesh_0.faces.elementAt(28);
      expect(face_0_28.indices, equals([24, 14, 16]));
      final face_0_29 = mesh_0.faces.elementAt(29);
      expect(face_0_29.indices, equals([15, 14, 25]));
      final face_0_30 = mesh_0.faces.elementAt(30);
      expect(face_0_30.indices, equals([21, 20, 26]));
      final face_0_31 = mesh_0.faces.elementAt(31);
      expect(face_0_31.indices, equals([19, 27, 20]));
      final face_0_32 = mesh_0.faces.elementAt(32);
      expect(face_0_32.indices, equals([20, 28, 26]));
      final face_0_33 = mesh_0.faces.elementAt(33);
      expect(face_0_33.indices, equals([19, 29, 27]));
      final face_0_34 = mesh_0.faces.elementAt(34);
      expect(face_0_34.indices, equals([19, 11, 29]));
      final face_0_35 = mesh_0.faces.elementAt(35);
      expect(face_0_35.indices, equals([31, 29, 30]));
      final face_0_36 = mesh_0.faces.elementAt(36);
      expect(face_0_36.indices, equals([11, 30, 29]));
      final face_0_37 = mesh_0.faces.elementAt(37);
      expect(face_0_37.indices, equals([31, 32, 29]));
      final face_0_38 = mesh_0.faces.elementAt(38);
      expect(face_0_38.indices, equals([33, 29, 32]));
      final face_0_39 = mesh_0.faces.elementAt(39);
      expect(face_0_39.indices, equals([31, 30, 34]));
      final face_0_40 = mesh_0.faces.elementAt(40);
      expect(face_0_40.indices, equals([37, 36, 35]));
      final face_0_41 = mesh_0.faces.elementAt(41);
      expect(face_0_41.indices, equals([37, 35, 38]));
      final face_0_42 = mesh_0.faces.elementAt(42);
      expect(face_0_42.indices, equals([40, 39, 35]));
      final face_0_43 = mesh_0.faces.elementAt(43);
      expect(face_0_43.indices, equals([39, 38, 35]));
      final face_0_44 = mesh_0.faces.elementAt(44);
      expect(face_0_44.indices, equals([42, 41, 38]));
      final face_0_45 = mesh_0.faces.elementAt(45);
      expect(face_0_45.indices, equals([44, 38, 43]));
      final face_0_46 = mesh_0.faces.elementAt(46);
      expect(face_0_46.indices, equals([41, 43, 38]));
      final face_0_47 = mesh_0.faces.elementAt(47);
      expect(face_0_47.indices, equals([42, 38, 39]));
      final face_0_48 = mesh_0.faces.elementAt(48);
      expect(face_0_48.indices, equals([40, 45, 39]));
      final face_0_49 = mesh_0.faces.elementAt(49);
      expect(face_0_49.indices, equals([42, 46, 41]));
      final face_0_50 = mesh_0.faces.elementAt(50);
      expect(face_0_50.indices, equals([42, 47, 46]));
      final face_0_51 = mesh_0.faces.elementAt(51);
      expect(face_0_51.indices, equals([42, 48, 47]));
      final face_0_52 = mesh_0.faces.elementAt(52);
      expect(face_0_52.indices, equals([50, 49, 46]));
      final face_0_53 = mesh_0.faces.elementAt(53);
      expect(face_0_53.indices, equals([49, 41, 46]));
      final face_0_54 = mesh_0.faces.elementAt(54);
      expect(face_0_54.indices, equals([50, 46, 51]));
      final face_0_55 = mesh_0.faces.elementAt(55);
      expect(face_0_55.indices, equals([51, 46, 47]));
      final face_0_56 = mesh_0.faces.elementAt(56);
      expect(face_0_56.indices, equals([52, 51, 47]));
      final face_0_57 = mesh_0.faces.elementAt(57);
      expect(face_0_57.indices, equals([52, 47, 53]));
      final face_0_58 = mesh_0.faces.elementAt(58);
      expect(face_0_58.indices, equals([54, 47, 48]));
      final face_0_59 = mesh_0.faces.elementAt(59);
      expect(face_0_59.indices, equals([52, 55, 51]));
      final face_0_60 = mesh_0.faces.elementAt(60);
      expect(face_0_60.indices, equals([50, 51, 56]));
      final face_0_61 = mesh_0.faces.elementAt(61);
      expect(face_0_61.indices, equals([55, 56, 51]));
      final face_0_62 = mesh_0.faces.elementAt(62);
      expect(face_0_62.indices, equals([50, 58, 57]));
      final face_0_63 = mesh_0.faces.elementAt(63);
      expect(face_0_63.indices, equals([50, 57, 49]));
      final face_0_64 = mesh_0.faces.elementAt(64);
      expect(face_0_64.indices, equals([60, 57, 59]));
      final face_0_65 = mesh_0.faces.elementAt(65);
      expect(face_0_65.indices, equals([58, 59, 57]));
      final face_0_66 = mesh_0.faces.elementAt(66);
      expect(face_0_66.indices, equals([60, 61, 57]));
      final face_0_67 = mesh_0.faces.elementAt(67);
      expect(face_0_67.indices, equals([61, 49, 57]));
      final face_0_68 = mesh_0.faces.elementAt(68);
      expect(face_0_68.indices, equals([60, 62, 61]));
      final face_0_69 = mesh_0.faces.elementAt(69);
      expect(face_0_69.indices, equals([64, 61, 63]));
      final face_0_70 = mesh_0.faces.elementAt(70);
      expect(face_0_70.indices, equals([61, 62, 63]));
      final face_0_71 = mesh_0.faces.elementAt(71);
      expect(face_0_71.indices, equals([64, 49, 61]));
      final face_0_72 = mesh_0.faces.elementAt(72);
      expect(face_0_72.indices, equals([64, 41, 49]));
      final face_0_73 = mesh_0.faces.elementAt(73);
      expect(face_0_73.indices, equals([64, 65, 43]));
      final face_0_74 = mesh_0.faces.elementAt(74);
      expect(face_0_74.indices, equals([64, 43, 41]));
      final face_0_75 = mesh_0.faces.elementAt(75);
      expect(face_0_75.indices, equals([67, 43, 66]));
      final face_0_76 = mesh_0.faces.elementAt(76);
      expect(face_0_76.indices, equals([43, 65, 66]));
      final face_0_77 = mesh_0.faces.elementAt(77);
      expect(face_0_77.indices, equals([69, 65, 68]));
      final face_0_78 = mesh_0.faces.elementAt(78);
      expect(face_0_78.indices, equals([69, 66, 65]));
      final face_0_79 = mesh_0.faces.elementAt(79);
      expect(face_0_79.indices, equals([67, 66, 70]));
      final mesh_1 = scene.meshes.elementAt(1);
      final face_1_0 = mesh_1.faces.elementAt(0);
      expect(face_1_0.indices, equals([2, 1, 0]));
      final face_1_1 = mesh_1.faces.elementAt(1);
      expect(face_1_1.indices, equals([0, 1, 3]));
      final face_1_2 = mesh_1.faces.elementAt(2);
      expect(face_1_2.indices, equals([6, 5, 4]));
      final face_1_3 = mesh_1.faces.elementAt(3);
      expect(face_1_3.indices, equals([6, 7, 5]));
      final face_1_4 = mesh_1.faces.elementAt(4);
      expect(face_1_4.indices, equals([6, 8, 7]));
      final face_1_5 = mesh_1.faces.elementAt(5);
      expect(face_1_5.indices, equals([6, 9, 8]));
      final face_1_6 = mesh_1.faces.elementAt(6);
      expect(face_1_6.indices, equals([6, 4, 9]));
      final face_1_7 = mesh_1.faces.elementAt(7);
      expect(face_1_7.indices, equals([11, 4, 10]));
      final face_1_8 = mesh_1.faces.elementAt(8);
      expect(face_1_8.indices, equals([11, 12, 4]));
      final face_1_9 = mesh_1.faces.elementAt(9);
      expect(face_1_9.indices, equals([9, 4, 12]));
      final face_1_10 = mesh_1.faces.elementAt(10);
      expect(face_1_10.indices, equals([14, 13, 9]));
      final face_1_11 = mesh_1.faces.elementAt(11);
      expect(face_1_11.indices, equals([8, 9, 13]));
      final face_1_12 = mesh_1.faces.elementAt(12);
      expect(face_1_12.indices, equals([14, 9, 12]));
      final face_1_13 = mesh_1.faces.elementAt(13);
      expect(face_1_13.indices, equals([14, 12, 15]));
      final face_1_14 = mesh_1.faces.elementAt(14);
      expect(face_1_14.indices, equals([14, 17, 16]));
      final face_1_15 = mesh_1.faces.elementAt(15);
      expect(face_1_15.indices, equals([14, 16, 13]));
      final face_1_16 = mesh_1.faces.elementAt(16);
      expect(face_1_16.indices, equals([18, 8, 13]));
      final face_1_17 = mesh_1.faces.elementAt(17);
      expect(face_1_17.indices, equals([18, 13, 19]));
      final face_1_18 = mesh_1.faces.elementAt(18);
      expect(face_1_18.indices, equals([19, 13, 16]));
      final face_1_19 = mesh_1.faces.elementAt(19);
      expect(face_1_19.indices, equals([20, 19, 16]));
      final face_1_20 = mesh_1.faces.elementAt(20);
      expect(face_1_20.indices, equals([18, 19, 21]));
      final face_1_21 = mesh_1.faces.elementAt(21);
      expect(face_1_21.indices, equals([20, 22, 19]));
      final face_1_22 = mesh_1.faces.elementAt(22);
      expect(face_1_22.indices, equals([18, 23, 8]));
      final face_1_23 = mesh_1.faces.elementAt(23);
      expect(face_1_23.indices, equals([18, 21, 23]));
      final face_1_24 = mesh_1.faces.elementAt(24);
      expect(face_1_24.indices, equals([24, 23, 21]));
      final face_1_25 = mesh_1.faces.elementAt(25);
      expect(face_1_25.indices, equals([25, 7, 23]));
      final face_1_26 = mesh_1.faces.elementAt(26);
      expect(face_1_26.indices, equals([23, 7, 8]));
      final face_1_27 = mesh_1.faces.elementAt(27);
      expect(face_1_27.indices, equals([25, 23, 24]));
      final face_1_28 = mesh_1.faces.elementAt(28);
      expect(face_1_28.indices, equals([25, 24, 26]));
      final face_1_29 = mesh_1.faces.elementAt(29);
      expect(face_1_29.indices, equals([28, 24, 27]));
      final face_1_30 = mesh_1.faces.elementAt(30);
      expect(face_1_30.indices, equals([25, 29, 7]));
      final face_1_31 = mesh_1.faces.elementAt(31);
      expect(face_1_31.indices, equals([25, 30, 29]));
      final face_1_32 = mesh_1.faces.elementAt(32);
      expect(face_1_32.indices, equals([29, 5, 7]));
      final face_1_33 = mesh_1.faces.elementAt(33);
      expect(face_1_33.indices, equals([32, 31, 29]));
      final face_1_34 = mesh_1.faces.elementAt(34);
      expect(face_1_34.indices, equals([34, 22, 33]));
      final face_1_35 = mesh_1.faces.elementAt(35);
      expect(face_1_35.indices, equals([33, 36, 35]));
      final face_1_36 = mesh_1.faces.elementAt(36);
      expect(face_1_36.indices, equals([38, 37, 10]));
      final face_1_37 = mesh_1.faces.elementAt(37);
      expect(face_1_37.indices, equals([40, 37, 39]));
      final face_1_38 = mesh_1.faces.elementAt(38);
      expect(face_1_38.indices, equals([43, 42, 41]));
      final face_1_39 = mesh_1.faces.elementAt(39);
      expect(face_1_39.indices, equals([45, 44, 41]));
      final face_1_40 = mesh_1.faces.elementAt(40);
      expect(face_1_40.indices, equals([45, 46, 44]));
      final face_1_41 = mesh_1.faces.elementAt(41);
      expect(face_1_41.indices, equals([48, 44, 47]));
      final face_1_42 = mesh_1.faces.elementAt(42);
      expect(face_1_42.indices, equals([50, 42, 49]));
      final face_1_43 = mesh_1.faces.elementAt(43);
      expect(face_1_43.indices, equals([53, 52, 51]));
      final face_1_44 = mesh_1.faces.elementAt(44);
      expect(face_1_44.indices, equals([56, 55, 54]));
      final face_1_45 = mesh_1.faces.elementAt(45);
      expect(face_1_45.indices, equals([59, 58, 57]));
      final face_1_46 = mesh_1.faces.elementAt(46);
      expect(face_1_46.indices, equals([62, 61, 60]));
      final face_1_47 = mesh_1.faces.elementAt(47);
      expect(face_1_47.indices, equals([64, 61, 63]));
      final face_1_48 = mesh_1.faces.elementAt(48);
      expect(face_1_48.indices, equals([66, 65, 63]));
      final face_1_49 = mesh_1.faces.elementAt(49);
      expect(face_1_49.indices, equals([64, 63, 67]));
      final face_1_50 = mesh_1.faces.elementAt(50);
      expect(face_1_50.indices, equals([70, 69, 68]));
      final face_1_51 = mesh_1.faces.elementAt(51);
      expect(face_1_51.indices, equals([69, 71, 68]));
      final face_1_52 = mesh_1.faces.elementAt(52);
      expect(face_1_52.indices, equals([74, 73, 72]));
      final face_1_53 = mesh_1.faces.elementAt(53);
      expect(face_1_53.indices, equals([76, 73, 75]));
      final face_1_54 = mesh_1.faces.elementAt(54);
      expect(face_1_54.indices, equals([79, 78, 77]));
      final face_1_55 = mesh_1.faces.elementAt(55);
      expect(face_1_55.indices, equals([82, 81, 80]));
      final face_1_56 = mesh_1.faces.elementAt(56);
      expect(face_1_56.indices, equals([85, 84, 83]));
      final face_1_57 = mesh_1.faces.elementAt(57);
      expect(face_1_57.indices, equals([87, 86, 83]));
      final face_1_58 = mesh_1.faces.elementAt(58);
      expect(face_1_58.indices, equals([87, 89, 88]));
      final face_1_59 = mesh_1.faces.elementAt(59);
      expect(face_1_59.indices, equals([92, 91, 90]));
      final mesh_2 = scene.meshes.elementAt(2);
      final face_2_0 = mesh_2.faces.elementAt(0);
      expect(face_2_0.indices, equals([2, 1, 0]));
      final face_2_1 = mesh_2.faces.elementAt(1);
      expect(face_2_1.indices, equals([5, 4, 3]));
      final face_2_2 = mesh_2.faces.elementAt(2);
      expect(face_2_2.indices, equals([8, 7, 6]));
      final face_2_3 = mesh_2.faces.elementAt(3);
      expect(face_2_3.indices, equals([8, 6, 9]));
      final face_2_4 = mesh_2.faces.elementAt(4);
      expect(face_2_4.indices, equals([7, 10, 6]));
      final face_2_5 = mesh_2.faces.elementAt(5);
      expect(face_2_5.indices, equals([10, 11, 6]));
      final face_2_6 = mesh_2.faces.elementAt(6);
      expect(face_2_6.indices, equals([6, 11, 12]));
      final face_2_7 = mesh_2.faces.elementAt(7);
      expect(face_2_7.indices, equals([6, 12, 13]));
      final face_2_8 = mesh_2.faces.elementAt(8);
      expect(face_2_8.indices, equals([15, 14, 12]));
      final face_2_9 = mesh_2.faces.elementAt(9);
      expect(face_2_9.indices, equals([14, 16, 12]));
      final face_2_10 = mesh_2.faces.elementAt(10);
      expect(face_2_10.indices, equals([13, 12, 17]));
      final face_2_11 = mesh_2.faces.elementAt(11);
      expect(face_2_11.indices, equals([12, 18, 17]));
      final face_2_12 = mesh_2.faces.elementAt(12);
      expect(face_2_12.indices, equals([12, 16, 19]));
      final face_2_13 = mesh_2.faces.elementAt(13);
      expect(face_2_13.indices, equals([12, 19, 20]));
      final face_2_14 = mesh_2.faces.elementAt(14);
      expect(face_2_14.indices, equals([6, 13, 21]));
      final face_2_15 = mesh_2.faces.elementAt(15);
      expect(face_2_15.indices, equals([21, 13, 17]));
      final face_2_16 = mesh_2.faces.elementAt(16);
      expect(face_2_16.indices, equals([9, 6, 21]));
      final face_2_17 = mesh_2.faces.elementAt(17);
      expect(face_2_17.indices, equals([21, 17, 22]));
      final face_2_18 = mesh_2.faces.elementAt(18);
      expect(face_2_18.indices, equals([22, 17, 23]));
      final face_2_19 = mesh_2.faces.elementAt(19);
      expect(face_2_19.indices, equals([17, 24, 23]));
      final face_2_20 = mesh_2.faces.elementAt(20);
      expect(face_2_20.indices, equals([23, 24, 25]));
      final face_2_21 = mesh_2.faces.elementAt(21);
      expect(face_2_21.indices, equals([23, 25, 26]));
      final face_2_22 = mesh_2.faces.elementAt(22);
      expect(face_2_22.indices, equals([17, 27, 24]));
      final face_2_23 = mesh_2.faces.elementAt(23);
      expect(face_2_23.indices, equals([24, 27, 25]));
      final face_2_24 = mesh_2.faces.elementAt(24);
      expect(face_2_24.indices, equals([17, 18, 27]));
      final face_2_25 = mesh_2.faces.elementAt(25);
      expect(face_2_25.indices, equals([27, 28, 25]));
      final face_2_26 = mesh_2.faces.elementAt(26);
      expect(face_2_26.indices, equals([30, 29, 28]));
      final face_2_27 = mesh_2.faces.elementAt(27);
      expect(face_2_27.indices, equals([25, 28, 31]));
      final face_2_28 = mesh_2.faces.elementAt(28);
      expect(face_2_28.indices, equals([28, 29, 32]));
      final face_2_29 = mesh_2.faces.elementAt(29);
      expect(face_2_29.indices, equals([20, 19, 30]));
      final face_2_30 = mesh_2.faces.elementAt(30);
      expect(face_2_30.indices, equals([30, 33, 29]));
      final face_2_31 = mesh_2.faces.elementAt(31);
      expect(face_2_31.indices, equals([16, 34, 19]));
      final face_2_32 = mesh_2.faces.elementAt(32);
      expect(face_2_32.indices, equals([34, 35, 19]));
      final face_2_33 = mesh_2.faces.elementAt(33);
      expect(face_2_33.indices, equals([19, 33, 36]));
      final face_2_34 = mesh_2.faces.elementAt(34);
      expect(face_2_34.indices, equals([19, 37, 33]));
      final face_2_35 = mesh_2.faces.elementAt(35);
      expect(face_2_35.indices, equals([33, 37, 29]));
      final face_2_36 = mesh_2.faces.elementAt(36);
      expect(face_2_36.indices, equals([38, 35, 37]));
      final face_2_37 = mesh_2.faces.elementAt(37);
      expect(face_2_37.indices, equals([35, 39, 37]));
      final face_2_38 = mesh_2.faces.elementAt(38);
      expect(face_2_38.indices, equals([37, 40, 29]));
      final face_2_39 = mesh_2.faces.elementAt(39);
      expect(face_2_39.indices, equals([37, 41, 40]));
      final face_2_40 = mesh_2.faces.elementAt(40);
      expect(face_2_40.indices, equals([34, 39, 35]));
      final face_2_41 = mesh_2.faces.elementAt(41);
      expect(face_2_41.indices, equals([34, 42, 39]));
      final face_2_42 = mesh_2.faces.elementAt(42);
      expect(face_2_42.indices, equals([42, 43, 39]));
      final face_2_43 = mesh_2.faces.elementAt(43);
      expect(face_2_43.indices, equals([43, 44, 39]));
      final face_2_44 = mesh_2.faces.elementAt(44);
      expect(face_2_44.indices, equals([39, 46, 45]));
      final face_2_45 = mesh_2.faces.elementAt(45);
      expect(face_2_45.indices, equals([39, 44, 47]));
      final face_2_46 = mesh_2.faces.elementAt(46);
      expect(face_2_46.indices, equals([39, 47, 46]));
      final face_2_47 = mesh_2.faces.elementAt(47);
      expect(face_2_47.indices, equals([49, 48, 43]));
      final face_2_48 = mesh_2.faces.elementAt(48);
      expect(face_2_48.indices, equals([49, 43, 50]));
      final face_2_49 = mesh_2.faces.elementAt(49);
      expect(face_2_49.indices, equals([51, 48, 49]));
      final face_2_50 = mesh_2.faces.elementAt(50);
      expect(face_2_50.indices, equals([53, 52, 49]));
      final face_2_51 = mesh_2.faces.elementAt(51);
      expect(face_2_51.indices, equals([52, 51, 49]));
      final face_2_52 = mesh_2.faces.elementAt(52);
      expect(face_2_52.indices, equals([54, 49, 34]));
      final face_2_53 = mesh_2.faces.elementAt(53);
      expect(face_2_53.indices, equals([49, 50, 34]));
      final face_2_54 = mesh_2.faces.elementAt(54);
      expect(face_2_54.indices, equals([55, 53, 14]));
      final face_2_55 = mesh_2.faces.elementAt(55);
      expect(face_2_55.indices, equals([53, 54, 14]));
      final face_2_56 = mesh_2.faces.elementAt(56);
      expect(face_2_56.indices, equals([53, 56, 54]));
      final face_2_57 = mesh_2.faces.elementAt(57);
      expect(face_2_57.indices, equals([14, 54, 34]));
      final face_2_58 = mesh_2.faces.elementAt(58);
      expect(face_2_58.indices, equals([14, 34, 16]));
      final face_2_59 = mesh_2.faces.elementAt(59);
      expect(face_2_59.indices, equals([57, 55, 14]));
      final face_2_60 = mesh_2.faces.elementAt(60);
      expect(face_2_60.indices, equals([57, 58, 15]));
      final face_2_61 = mesh_2.faces.elementAt(61);
      expect(face_2_61.indices, equals([46, 47, 59]));
      final face_2_62 = mesh_2.faces.elementAt(62);
      expect(face_2_62.indices, equals([47, 60, 59]));
      final face_2_63 = mesh_2.faces.elementAt(63);
      expect(face_2_63.indices, equals([45, 46, 59]));
      final face_2_64 = mesh_2.faces.elementAt(64);
      expect(face_2_64.indices, equals([40, 59, 61]));
      final face_2_65 = mesh_2.faces.elementAt(65);
      expect(face_2_65.indices, equals([59, 62, 61]));
      final face_2_66 = mesh_2.faces.elementAt(66);
      expect(face_2_66.indices, equals([59, 60, 63]));
      final face_2_67 = mesh_2.faces.elementAt(67);
      expect(face_2_67.indices, equals([59, 63, 62]));
      final face_2_68 = mesh_2.faces.elementAt(68);
      expect(face_2_68.indices, equals([29, 40, 61]));
      final face_2_69 = mesh_2.faces.elementAt(69);
      expect(face_2_69.indices, equals([29, 64, 32]));
      final face_2_70 = mesh_2.faces.elementAt(70);
      expect(face_2_70.indices, equals([29, 61, 64]));
      final face_2_71 = mesh_2.faces.elementAt(71);
      expect(face_2_71.indices, equals([32, 64, 65]));
      final face_2_72 = mesh_2.faces.elementAt(72);
      expect(face_2_72.indices, equals([64, 61, 65]));
      final face_2_73 = mesh_2.faces.elementAt(73);
      expect(face_2_73.indices, equals([31, 65, 66]));
      final face_2_74 = mesh_2.faces.elementAt(74);
      expect(face_2_74.indices, equals([61, 67, 65]));
      final face_2_75 = mesh_2.faces.elementAt(75);
      expect(face_2_75.indices, equals([25, 31, 68]));
      final face_2_76 = mesh_2.faces.elementAt(76);
      expect(face_2_76.indices, equals([68, 31, 69]));
      final face_2_77 = mesh_2.faces.elementAt(77);
      expect(face_2_77.indices, equals([31, 70, 69]));
      final face_2_78 = mesh_2.faces.elementAt(78);
      expect(face_2_78.indices, equals([25, 68, 71]));
      final face_2_79 = mesh_2.faces.elementAt(79);
      expect(face_2_79.indices, equals([71, 68, 69]));
      final face_2_80 = mesh_2.faces.elementAt(80);
      expect(face_2_80.indices, equals([26, 25, 71]));
      final face_2_81 = mesh_2.faces.elementAt(81);
      expect(face_2_81.indices, equals([71, 69, 72]));
      final face_2_82 = mesh_2.faces.elementAt(82);
      expect(face_2_82.indices, equals([61, 62, 73]));
      final face_2_83 = mesh_2.faces.elementAt(83);
      expect(face_2_83.indices, equals([61, 73, 67]));
      final face_2_84 = mesh_2.faces.elementAt(84);
      expect(face_2_84.indices, equals([62, 63, 73]));
      final face_2_85 = mesh_2.faces.elementAt(85);
      expect(face_2_85.indices, equals([63, 74, 73]));
      final face_2_86 = mesh_2.faces.elementAt(86);
      expect(face_2_86.indices, equals([77, 76, 75]));
      final face_2_87 = mesh_2.faces.elementAt(87);
      expect(face_2_87.indices, equals([80, 79, 78]));
      final face_2_88 = mesh_2.faces.elementAt(88);
      expect(face_2_88.indices, equals([83, 82, 81]));
      final face_2_89 = mesh_2.faces.elementAt(89);
      expect(face_2_89.indices, equals([86, 85, 84]));
      final face_2_90 = mesh_2.faces.elementAt(90);
      expect(face_2_90.indices, equals([89, 88, 87]));
      final face_2_91 = mesh_2.faces.elementAt(91);
      expect(face_2_91.indices, equals([92, 91, 90]));
      final face_2_92 = mesh_2.faces.elementAt(92);
      expect(face_2_92.indices, equals([95, 94, 93]));
      final face_2_93 = mesh_2.faces.elementAt(93);
      expect(face_2_93.indices, equals([98, 97, 96]));
      final face_2_94 = mesh_2.faces.elementAt(94);
      expect(face_2_94.indices, equals([101, 100, 99]));
      final face_2_95 = mesh_2.faces.elementAt(95);
      expect(face_2_95.indices, equals([104, 103, 102]));
      final face_2_96 = mesh_2.faces.elementAt(96);
      expect(face_2_96.indices, equals([107, 106, 105]));
      final face_2_97 = mesh_2.faces.elementAt(97);
      expect(face_2_97.indices, equals([110, 109, 108]));
      final mesh_3 = scene.meshes.elementAt(3);
      final face_3_0 = mesh_3.faces.elementAt(0);
      expect(face_3_0.indices, equals([2, 1, 0]));
      final face_3_1 = mesh_3.faces.elementAt(1);
      expect(face_3_1.indices, equals([5, 4, 3]));
      final face_3_2 = mesh_3.faces.elementAt(2);
      expect(face_3_2.indices, equals([8, 7, 6]));
      final face_3_3 = mesh_3.faces.elementAt(3);
      expect(face_3_3.indices, equals([9, 8, 6]));
      final face_3_4 = mesh_3.faces.elementAt(4);
      expect(face_3_4.indices, equals([8, 10, 7]));
      final face_3_5 = mesh_3.faces.elementAt(5);
      expect(face_3_5.indices, equals([8, 11, 10]));
      final face_3_6 = mesh_3.faces.elementAt(6);
      expect(face_3_6.indices, equals([12, 8, 9]));
      final face_3_7 = mesh_3.faces.elementAt(7);
      expect(face_3_7.indices, equals([12, 13, 8]));
      final face_3_8 = mesh_3.faces.elementAt(8);
      expect(face_3_8.indices, equals([14, 11, 8]));
      final face_3_9 = mesh_3.faces.elementAt(9);
      expect(face_3_9.indices, equals([13, 14, 8]));
      final face_3_10 = mesh_3.faces.elementAt(10);
      expect(face_3_10.indices, equals([11, 16, 15]));
      final face_3_11 = mesh_3.faces.elementAt(11);
      expect(face_3_11.indices, equals([14, 17, 11]));
      final face_3_12 = mesh_3.faces.elementAt(12);
      expect(face_3_12.indices, equals([14, 18, 17]));
      final face_3_13 = mesh_3.faces.elementAt(13);
      expect(face_3_13.indices, equals([19, 14, 13]));
      final face_3_14 = mesh_3.faces.elementAt(14);
      expect(face_3_14.indices, equals([19, 20, 14]));
      final face_3_15 = mesh_3.faces.elementAt(15);
      expect(face_3_15.indices, equals([21, 18, 14]));
      final face_3_16 = mesh_3.faces.elementAt(16);
      expect(face_3_16.indices, equals([19, 13, 12]));
      final face_3_17 = mesh_3.faces.elementAt(17);
      expect(face_3_17.indices, equals([22, 19, 12]));
      final face_3_18 = mesh_3.faces.elementAt(18);
      expect(face_3_18.indices, equals([23, 19, 22]));
      final face_3_19 = mesh_3.faces.elementAt(19);
      expect(face_3_19.indices, equals([23, 24, 19]));
      final face_3_20 = mesh_3.faces.elementAt(20);
      expect(face_3_20.indices, equals([25, 20, 19]));
      final face_3_21 = mesh_3.faces.elementAt(21);
      expect(face_3_21.indices, equals([24, 25, 19]));
      final face_3_22 = mesh_3.faces.elementAt(22);
      expect(face_3_22.indices, equals([26, 24, 23]));
      final face_3_23 = mesh_3.faces.elementAt(23);
      expect(face_3_23.indices, equals([27, 26, 23]));
      final face_3_24 = mesh_3.faces.elementAt(24);
      expect(face_3_24.indices, equals([26, 25, 24]));
      final face_3_25 = mesh_3.faces.elementAt(25);
      expect(face_3_25.indices, equals([26, 28, 25]));
      final face_3_26 = mesh_3.faces.elementAt(26);
      expect(face_3_26.indices, equals([29, 26, 27]));
      final face_3_27 = mesh_3.faces.elementAt(27);
      expect(face_3_27.indices, equals([29, 30, 26]));
      final face_3_28 = mesh_3.faces.elementAt(28);
      expect(face_3_28.indices, equals([31, 28, 26]));
      final face_3_29 = mesh_3.faces.elementAt(29);
      expect(face_3_29.indices, equals([30, 31, 26]));
      final face_3_30 = mesh_3.faces.elementAt(30);
      expect(face_3_30.indices, equals([28, 33, 32]));
      final face_3_31 = mesh_3.faces.elementAt(31);
      expect(face_3_31.indices, equals([34, 33, 28]));
      final face_3_32 = mesh_3.faces.elementAt(32);
      expect(face_3_32.indices, equals([32, 21, 35]));
      final face_3_33 = mesh_3.faces.elementAt(33);
      expect(face_3_33.indices, equals([33, 36, 32]));
      final face_3_34 = mesh_3.faces.elementAt(34);
      expect(face_3_34.indices, equals([35, 21, 37]));
      final face_3_35 = mesh_3.faces.elementAt(35);
      expect(face_3_35.indices, equals([38, 36, 21]));
      final face_3_36 = mesh_3.faces.elementAt(36);
      expect(face_3_36.indices, equals([36, 40, 39]));
      final face_3_37 = mesh_3.faces.elementAt(37);
      expect(face_3_37.indices, equals([33, 40, 36]));
      final face_3_38 = mesh_3.faces.elementAt(38);
      expect(face_3_38.indices, equals([39, 41, 18]));
      final face_3_39 = mesh_3.faces.elementAt(39);
      expect(face_3_39.indices, equals([39, 42, 41]));
      final face_3_40 = mesh_3.faces.elementAt(40);
      expect(face_3_40.indices, equals([18, 41, 17]));
      final face_3_41 = mesh_3.faces.elementAt(41);
      expect(face_3_41.indices, equals([17, 43, 15]));
      final face_3_42 = mesh_3.faces.elementAt(42);
      expect(face_3_42.indices, equals([17, 45, 44]));
      final face_3_43 = mesh_3.faces.elementAt(43);
      expect(face_3_43.indices, equals([17, 46, 45]));
      final face_3_44 = mesh_3.faces.elementAt(44);
      expect(face_3_44.indices, equals([41, 46, 17]));
      final face_3_45 = mesh_3.faces.elementAt(45);
      expect(face_3_45.indices, equals([48, 47, 45]));
      final face_3_46 = mesh_3.faces.elementAt(46);
      expect(face_3_46.indices, equals([46, 49, 45]));
      final face_3_47 = mesh_3.faces.elementAt(47);
      expect(face_3_47.indices, equals([41, 49, 46]));
      final face_3_48 = mesh_3.faces.elementAt(48);
      expect(face_3_48.indices, equals([41, 50, 48]));
      final face_3_49 = mesh_3.faces.elementAt(49);
      expect(face_3_49.indices, equals([52, 51, 41]));
      final face_3_50 = mesh_3.faces.elementAt(50);
      expect(face_3_50.indices, equals([42, 52, 41]));
      final face_3_51 = mesh_3.faces.elementAt(51);
      expect(face_3_51.indices, equals([50, 53, 48]));
      final face_3_52 = mesh_3.faces.elementAt(52);
      expect(face_3_52.indices, equals([53, 54, 48]));
      final face_3_53 = mesh_3.faces.elementAt(53);
      expect(face_3_53.indices, equals([52, 53, 51]));
      final face_3_54 = mesh_3.faces.elementAt(54);
      expect(face_3_54.indices, equals([52, 55, 53]));
      final face_3_55 = mesh_3.faces.elementAt(55);
      expect(face_3_55.indices, equals([48, 54, 56]));
      final face_3_56 = mesh_3.faces.elementAt(56);
      expect(face_3_56.indices, equals([48, 56, 47]));
      final face_3_57 = mesh_3.faces.elementAt(57);
      expect(face_3_57.indices, equals([40, 52, 42]));
      final face_3_58 = mesh_3.faces.elementAt(58);
      expect(face_3_58.indices, equals([58, 57, 52]));
      final face_3_59 = mesh_3.faces.elementAt(59);
      expect(face_3_59.indices, equals([59, 55, 52]));
      final face_3_60 = mesh_3.faces.elementAt(60);
      expect(face_3_60.indices, equals([57, 59, 52]));
      final face_3_61 = mesh_3.faces.elementAt(61);
      expect(face_3_61.indices, equals([40, 42, 60]));
      final face_3_62 = mesh_3.faces.elementAt(62);
      expect(face_3_62.indices, equals([33, 61, 40]));
      final face_3_63 = mesh_3.faces.elementAt(63);
      expect(face_3_63.indices, equals([62, 57, 40]));
      final face_3_64 = mesh_3.faces.elementAt(64);
      expect(face_3_64.indices, equals([61, 63, 40]));
      final face_3_65 = mesh_3.faces.elementAt(65);
      expect(face_3_65.indices, equals([62, 59, 57]));
      final face_3_66 = mesh_3.faces.elementAt(66);
      expect(face_3_66.indices, equals([62, 64, 59]));
      final face_3_67 = mesh_3.faces.elementAt(67);
      expect(face_3_67.indices, equals([66, 65, 62]));
      final face_3_68 = mesh_3.faces.elementAt(68);
      expect(face_3_68.indices, equals([67, 64, 62]));
      final face_3_69 = mesh_3.faces.elementAt(69);
      expect(face_3_69.indices, equals([65, 67, 62]));
      final face_3_70 = mesh_3.faces.elementAt(70);
      expect(face_3_70.indices, equals([68, 65, 66]));
      final face_3_71 = mesh_3.faces.elementAt(71);
      expect(face_3_71.indices, equals([68, 67, 65]));
      final face_3_72 = mesh_3.faces.elementAt(72);
      expect(face_3_72.indices, equals([68, 69, 67]));
      final face_3_73 = mesh_3.faces.elementAt(73);
      expect(face_3_73.indices, equals([70, 68, 66]));
      final face_3_74 = mesh_3.faces.elementAt(74);
      expect(face_3_74.indices, equals([71, 70, 66]));
      final face_3_75 = mesh_3.faces.elementAt(75);
      expect(face_3_75.indices, equals([71, 66, 72]));
      final face_3_76 = mesh_3.faces.elementAt(76);
      expect(face_3_76.indices, equals([72, 66, 33]));
      final face_3_77 = mesh_3.faces.elementAt(77);
      expect(face_3_77.indices, equals([66, 61, 33]));
      final face_3_78 = mesh_3.faces.elementAt(78);
      expect(face_3_78.indices, equals([66, 63, 61]));
      final face_3_79 = mesh_3.faces.elementAt(79);
      expect(face_3_79.indices, equals([34, 73, 33]));
      final face_3_80 = mesh_3.faces.elementAt(80);
      expect(face_3_80.indices, equals([74, 73, 34]));
      final face_3_81 = mesh_3.faces.elementAt(81);
      expect(face_3_81.indices, equals([76, 75, 34]));
      final face_3_82 = mesh_3.faces.elementAt(82);
      expect(face_3_82.indices, equals([77, 30, 29]));
      final face_3_83 = mesh_3.faces.elementAt(83);
      expect(face_3_83.indices, equals([77, 31, 30]));
      final face_3_84 = mesh_3.faces.elementAt(84);
      expect(face_3_84.indices, equals([78, 77, 29]));
      final face_3_85 = mesh_3.faces.elementAt(85);
      expect(face_3_85.indices, equals([80, 79, 31]));
      final face_3_86 = mesh_3.faces.elementAt(86);
      expect(face_3_86.indices, equals([83, 82, 81]));
      final face_3_87 = mesh_3.faces.elementAt(87);
      expect(face_3_87.indices, equals([86, 85, 84]));
      final face_3_88 = mesh_3.faces.elementAt(88);
      expect(face_3_88.indices, equals([89, 88, 87]));
      final face_3_89 = mesh_3.faces.elementAt(89);
      expect(face_3_89.indices, equals([92, 91, 90]));
      final face_3_90 = mesh_3.faces.elementAt(90);
      expect(face_3_90.indices, equals([95, 94, 93]));
      final face_3_91 = mesh_3.faces.elementAt(91);
      expect(face_3_91.indices, equals([98, 97, 96]));
      final face_3_92 = mesh_3.faces.elementAt(92);
      expect(face_3_92.indices, equals([101, 100, 99]));
      final face_3_93 = mesh_3.faces.elementAt(93);
      expect(face_3_93.indices, equals([104, 103, 102]));
      final face_3_94 = mesh_3.faces.elementAt(94);
      expect(face_3_94.indices, equals([107, 106, 105]));
      final face_3_95 = mesh_3.faces.elementAt(95);
      expect(face_3_95.indices, equals([110, 109, 108]));
      final face_3_96 = mesh_3.faces.elementAt(96);
      expect(face_3_96.indices, equals([113, 112, 111]));
      final face_3_97 = mesh_3.faces.elementAt(97);
      expect(face_3_97.indices, equals([116, 115, 114]));
      final mesh_4 = scene.meshes.elementAt(4);
      final face_4_0 = mesh_4.faces.elementAt(0);
      expect(face_4_0.indices, equals([2, 1, 0]));
      final face_4_1 = mesh_4.faces.elementAt(1);
      expect(face_4_1.indices, equals([5, 4, 3]));
      final face_4_2 = mesh_4.faces.elementAt(2);
      expect(face_4_2.indices, equals([8, 7, 6]));
      final face_4_3 = mesh_4.faces.elementAt(3);
      expect(face_4_3.indices, equals([8, 6, 9]));
      final face_4_4 = mesh_4.faces.elementAt(4);
      expect(face_4_4.indices, equals([7, 10, 6]));
      final face_4_5 = mesh_4.faces.elementAt(5);
      expect(face_4_5.indices, equals([10, 11, 6]));
      final face_4_6 = mesh_4.faces.elementAt(6);
      expect(face_4_6.indices, equals([13, 12, 11]));
      final face_4_7 = mesh_4.faces.elementAt(7);
      expect(face_4_7.indices, equals([6, 11, 14]));
      final face_4_8 = mesh_4.faces.elementAt(8);
      expect(face_4_8.indices, equals([11, 15, 14]));
      final face_4_9 = mesh_4.faces.elementAt(9);
      expect(face_4_9.indices, equals([13, 16, 15]));
      final face_4_10 = mesh_4.faces.elementAt(10);
      expect(face_4_10.indices, equals([16, 17, 15]));
      final face_4_11 = mesh_4.faces.elementAt(11);
      expect(face_4_11.indices, equals([17, 18, 15]));
      final face_4_12 = mesh_4.faces.elementAt(12);
      expect(face_4_12.indices, equals([15, 19, 14]));
      final face_4_13 = mesh_4.faces.elementAt(13);
      expect(face_4_13.indices, equals([15, 18, 20]));
      final face_4_14 = mesh_4.faces.elementAt(14);
      expect(face_4_14.indices, equals([15, 20, 19]));
      final face_4_15 = mesh_4.faces.elementAt(15);
      expect(face_4_15.indices, equals([17, 22, 21]));
      final face_4_16 = mesh_4.faces.elementAt(16);
      expect(face_4_16.indices, equals([17, 23, 18]));
      final face_4_17 = mesh_4.faces.elementAt(17);
      expect(face_4_17.indices, equals([18, 23, 20]));
      final face_4_18 = mesh_4.faces.elementAt(18);
      expect(face_4_18.indices, equals([19, 20, 24]));
      final face_4_19 = mesh_4.faces.elementAt(19);
      expect(face_4_19.indices, equals([20, 25, 24]));
      final face_4_20 = mesh_4.faces.elementAt(20);
      expect(face_4_20.indices, equals([20, 27, 26]));
      final face_4_21 = mesh_4.faces.elementAt(21);
      expect(face_4_21.indices, equals([20, 26, 25]));
      final face_4_22 = mesh_4.faces.elementAt(22);
      expect(face_4_22.indices, equals([14, 19, 24]));
      final face_4_23 = mesh_4.faces.elementAt(23);
      expect(face_4_23.indices, equals([6, 14, 28]));
      final face_4_24 = mesh_4.faces.elementAt(24);
      expect(face_4_24.indices, equals([28, 14, 29]));
      final face_4_25 = mesh_4.faces.elementAt(25);
      expect(face_4_25.indices, equals([14, 30, 29]));
      final face_4_26 = mesh_4.faces.elementAt(26);
      expect(face_4_26.indices, equals([6, 28, 31]));
      final face_4_27 = mesh_4.faces.elementAt(27);
      expect(face_4_27.indices, equals([31, 28, 29]));
      final face_4_28 = mesh_4.faces.elementAt(28);
      expect(face_4_28.indices, equals([9, 6, 31]));
      final face_4_29 = mesh_4.faces.elementAt(29);
      expect(face_4_29.indices, equals([31, 29, 32]));
      final face_4_30 = mesh_4.faces.elementAt(30);
      expect(face_4_30.indices, equals([32, 29, 33]));
      final face_4_31 = mesh_4.faces.elementAt(31);
      expect(face_4_31.indices, equals([29, 34, 33]));
      final face_4_32 = mesh_4.faces.elementAt(32);
      expect(face_4_32.indices, equals([29, 30, 35]));
      final face_4_33 = mesh_4.faces.elementAt(33);
      expect(face_4_33.indices, equals([29, 35, 34]));
      final face_4_34 = mesh_4.faces.elementAt(34);
      expect(face_4_34.indices, equals([33, 34, 36]));
      final face_4_35 = mesh_4.faces.elementAt(35);
      expect(face_4_35.indices, equals([33, 36, 37]));
      final face_4_36 = mesh_4.faces.elementAt(36);
      expect(face_4_36.indices, equals([34, 35, 36]));
      final face_4_37 = mesh_4.faces.elementAt(37);
      expect(face_4_37.indices, equals([38, 24, 35]));
      final face_4_38 = mesh_4.faces.elementAt(38);
      expect(face_4_38.indices, equals([35, 39, 36]));
      final face_4_39 = mesh_4.faces.elementAt(39);
      expect(face_4_39.indices, equals([40, 24, 38]));
      final face_4_40 = mesh_4.faces.elementAt(40);
      expect(face_4_40.indices, equals([24, 42, 41]));
      final face_4_41 = mesh_4.faces.elementAt(41);
      expect(face_4_41.indices, equals([24, 43, 42]));
      final face_4_42 = mesh_4.faces.elementAt(42);
      expect(face_4_42.indices, equals([41, 42, 44]));
      final face_4_43 = mesh_4.faces.elementAt(43);
      expect(face_4_43.indices, equals([42, 43, 44]));
      final face_4_44 = mesh_4.faces.elementAt(44);
      expect(face_4_44.indices, equals([45, 44, 39]));
      final face_4_45 = mesh_4.faces.elementAt(45);
      expect(face_4_45.indices, equals([43, 46, 44]));
      final face_4_46 = mesh_4.faces.elementAt(46);
      expect(face_4_46.indices, equals([39, 44, 47]));
      final face_4_47 = mesh_4.faces.elementAt(47);
      expect(face_4_47.indices, equals([44, 48, 47]));
      final face_4_48 = mesh_4.faces.elementAt(48);
      expect(face_4_48.indices, equals([44, 46, 49]));
      final face_4_49 = mesh_4.faces.elementAt(49);
      expect(face_4_49.indices, equals([44, 49, 48]));
      final face_4_50 = mesh_4.faces.elementAt(50);
      expect(face_4_50.indices, equals([43, 50, 46]));
      final face_4_51 = mesh_4.faces.elementAt(51);
      expect(face_4_51.indices, equals([46, 50, 49]));
      final face_4_52 = mesh_4.faces.elementAt(52);
      expect(face_4_52.indices, equals([52, 51, 49]));
      final face_4_53 = mesh_4.faces.elementAt(53);
      expect(face_4_53.indices, equals([48, 49, 53]));
      final face_4_54 = mesh_4.faces.elementAt(54);
      expect(face_4_54.indices, equals([49, 54, 53]));
      final face_4_55 = mesh_4.faces.elementAt(55);
      expect(face_4_55.indices, equals([49, 51, 55]));
      final face_4_56 = mesh_4.faces.elementAt(56);
      expect(face_4_56.indices, equals([49, 55, 54]));
      final face_4_57 = mesh_4.faces.elementAt(57);
      expect(face_4_57.indices, equals([47, 48, 53]));
      final face_4_58 = mesh_4.faces.elementAt(58);
      expect(face_4_58.indices, equals([47, 57, 56]));
      final face_4_59 = mesh_4.faces.elementAt(59);
      expect(face_4_59.indices, equals([51, 58, 55]));
      final face_4_60 = mesh_4.faces.elementAt(60);
      expect(face_4_60.indices, equals([58, 59, 55]));
      final face_4_61 = mesh_4.faces.elementAt(61);
      expect(face_4_61.indices, equals([52, 58, 51]));
      final face_4_62 = mesh_4.faces.elementAt(62);
      expect(face_4_62.indices, equals([52, 60, 58]));
      final face_4_63 = mesh_4.faces.elementAt(63);
      expect(face_4_63.indices, equals([61, 60, 52]));
      final face_4_64 = mesh_4.faces.elementAt(64);
      expect(face_4_64.indices, equals([26, 62, 61]));
      final face_4_65 = mesh_4.faces.elementAt(65);
      expect(face_4_65.indices, equals([26, 61, 63]));
      final face_4_66 = mesh_4.faces.elementAt(66);
      expect(face_4_66.indices, equals([63, 61, 52]));
      final face_4_67 = mesh_4.faces.elementAt(67);
      expect(face_4_67.indices, equals([64, 62, 26]));
      final face_4_68 = mesh_4.faces.elementAt(68);
      expect(face_4_68.indices, equals([27, 64, 26]));
      final face_4_69 = mesh_4.faces.elementAt(69);
      expect(face_4_69.indices, equals([25, 26, 43]));
      final face_4_70 = mesh_4.faces.elementAt(70);
      expect(face_4_70.indices, equals([26, 63, 43]));
      final face_4_71 = mesh_4.faces.elementAt(71);
      expect(face_4_71.indices, equals([43, 63, 52]));
      final face_4_72 = mesh_4.faces.elementAt(72);
      expect(face_4_72.indices, equals([65, 25, 43]));
      final face_4_73 = mesh_4.faces.elementAt(73);
      expect(face_4_73.indices, equals([21, 66, 64]));
      final face_4_74 = mesh_4.faces.elementAt(74);
      expect(face_4_74.indices, equals([21, 64, 67]));
      final face_4_75 = mesh_4.faces.elementAt(75);
      expect(face_4_75.indices, equals([68, 66, 21]));
      final face_4_76 = mesh_4.faces.elementAt(76);
      expect(face_4_76.indices, equals([22, 68, 21]));
      final face_4_77 = mesh_4.faces.elementAt(77);
      expect(face_4_77.indices, equals([21, 67, 69]));
      final face_4_78 = mesh_4.faces.elementAt(78);
      expect(face_4_78.indices, equals([36, 39, 70]));
      final face_4_79 = mesh_4.faces.elementAt(79);
      expect(face_4_79.indices, equals([36, 70, 71]));
      final face_4_80 = mesh_4.faces.elementAt(80);
      expect(face_4_80.indices, equals([71, 70, 72]));
      final face_4_81 = mesh_4.faces.elementAt(81);
      expect(face_4_81.indices, equals([70, 74, 73]));
      final face_4_82 = mesh_4.faces.elementAt(82);
      expect(face_4_82.indices, equals([37, 36, 75]));
      final face_4_83 = mesh_4.faces.elementAt(83);
      expect(face_4_83.indices, equals([36, 71, 75]));
      final face_4_84 = mesh_4.faces.elementAt(84);
      expect(face_4_84.indices, equals([75, 71, 72]));
      final face_4_85 = mesh_4.faces.elementAt(85);
      expect(face_4_85.indices, equals([75, 72, 76]));
      final face_4_86 = mesh_4.faces.elementAt(86);
      expect(face_4_86.indices, equals([79, 78, 77]));
      final face_4_87 = mesh_4.faces.elementAt(87);
      expect(face_4_87.indices, equals([82, 81, 80]));
      final face_4_88 = mesh_4.faces.elementAt(88);
      expect(face_4_88.indices, equals([85, 84, 83]));
      final face_4_89 = mesh_4.faces.elementAt(89);
      expect(face_4_89.indices, equals([88, 87, 86]));
      final face_4_90 = mesh_4.faces.elementAt(90);
      expect(face_4_90.indices, equals([91, 90, 89]));
      final face_4_91 = mesh_4.faces.elementAt(91);
      expect(face_4_91.indices, equals([94, 93, 92]));
      final face_4_92 = mesh_4.faces.elementAt(92);
      expect(face_4_92.indices, equals([97, 96, 95]));
      final face_4_93 = mesh_4.faces.elementAt(93);
      expect(face_4_93.indices, equals([100, 99, 98]));
      final face_4_94 = mesh_4.faces.elementAt(94);
      expect(face_4_94.indices, equals([103, 102, 101]));
      final face_4_95 = mesh_4.faces.elementAt(95);
      expect(face_4_95.indices, equals([106, 105, 104]));
      final face_4_96 = mesh_4.faces.elementAt(96);
      expect(face_4_96.indices, equals([109, 108, 107]));
      final face_4_97 = mesh_4.faces.elementAt(97);
      expect(face_4_97.indices, equals([112, 111, 110]));
      final mesh_5 = scene.meshes.elementAt(5);
      final face_5_0 = mesh_5.faces.elementAt(0);
      expect(face_5_0.indices, equals([2, 1, 0]));
      final face_5_1 = mesh_5.faces.elementAt(1);
      expect(face_5_1.indices, equals([5, 4, 3]));
      final face_5_2 = mesh_5.faces.elementAt(2);
      expect(face_5_2.indices, equals([8, 7, 6]));
      final face_5_3 = mesh_5.faces.elementAt(3);
      expect(face_5_3.indices, equals([9, 8, 6]));
      final face_5_4 = mesh_5.faces.elementAt(4);
      expect(face_5_4.indices, equals([8, 10, 7]));
      final face_5_5 = mesh_5.faces.elementAt(5);
      expect(face_5_5.indices, equals([8, 11, 10]));
      final face_5_6 = mesh_5.faces.elementAt(6);
      expect(face_5_6.indices, equals([12, 8, 9]));
      final face_5_7 = mesh_5.faces.elementAt(7);
      expect(face_5_7.indices, equals([12, 13, 8]));
      final face_5_8 = mesh_5.faces.elementAt(8);
      expect(face_5_8.indices, equals([14, 11, 8]));
      final face_5_9 = mesh_5.faces.elementAt(9);
      expect(face_5_9.indices, equals([13, 14, 8]));
      final face_5_10 = mesh_5.faces.elementAt(10);
      expect(face_5_10.indices, equals([11, 16, 15]));
      final face_5_11 = mesh_5.faces.elementAt(11);
      expect(face_5_11.indices, equals([14, 17, 11]));
      final face_5_12 = mesh_5.faces.elementAt(12);
      expect(face_5_12.indices, equals([14, 18, 17]));
      final face_5_13 = mesh_5.faces.elementAt(13);
      expect(face_5_13.indices, equals([19, 14, 13]));
      final face_5_14 = mesh_5.faces.elementAt(14);
      expect(face_5_14.indices, equals([19, 20, 14]));
      final face_5_15 = mesh_5.faces.elementAt(15);
      expect(face_5_15.indices, equals([21, 18, 14]));
      final face_5_16 = mesh_5.faces.elementAt(16);
      expect(face_5_16.indices, equals([19, 13, 12]));
      final face_5_17 = mesh_5.faces.elementAt(17);
      expect(face_5_17.indices, equals([22, 19, 12]));
      final face_5_18 = mesh_5.faces.elementAt(18);
      expect(face_5_18.indices, equals([23, 19, 22]));
      final face_5_19 = mesh_5.faces.elementAt(19);
      expect(face_5_19.indices, equals([23, 24, 19]));
      final face_5_20 = mesh_5.faces.elementAt(20);
      expect(face_5_20.indices, equals([25, 20, 19]));
      final face_5_21 = mesh_5.faces.elementAt(21);
      expect(face_5_21.indices, equals([24, 25, 19]));
      final face_5_22 = mesh_5.faces.elementAt(22);
      expect(face_5_22.indices, equals([26, 24, 23]));
      final face_5_23 = mesh_5.faces.elementAt(23);
      expect(face_5_23.indices, equals([27, 26, 23]));
      final face_5_24 = mesh_5.faces.elementAt(24);
      expect(face_5_24.indices, equals([26, 25, 24]));
      final face_5_25 = mesh_5.faces.elementAt(25);
      expect(face_5_25.indices, equals([25, 21, 28]));
      final face_5_26 = mesh_5.faces.elementAt(26);
      expect(face_5_26.indices, equals([26, 29, 25]));
      final face_5_27 = mesh_5.faces.elementAt(27);
      expect(face_5_27.indices, equals([30, 26, 27]));
      final face_5_28 = mesh_5.faces.elementAt(28);
      expect(face_5_28.indices, equals([30, 31, 26]));
      final face_5_29 = mesh_5.faces.elementAt(29);
      expect(face_5_29.indices, equals([32, 29, 26]));
      final face_5_30 = mesh_5.faces.elementAt(30);
      expect(face_5_30.indices, equals([31, 32, 26]));
      final face_5_31 = mesh_5.faces.elementAt(31);
      expect(face_5_31.indices, equals([29, 34, 33]));
      final face_5_32 = mesh_5.faces.elementAt(32);
      expect(face_5_32.indices, equals([35, 34, 29]));
      final face_5_33 = mesh_5.faces.elementAt(33);
      expect(face_5_33.indices, equals([35, 36, 34]));
      final face_5_34 = mesh_5.faces.elementAt(34);
      expect(face_5_34.indices, equals([37, 36, 35]));
      final face_5_35 = mesh_5.faces.elementAt(35);
      expect(face_5_35.indices, equals([38, 37, 35]));
      final face_5_36 = mesh_5.faces.elementAt(36);
      expect(face_5_36.indices, equals([36, 39, 34]));
      final face_5_37 = mesh_5.faces.elementAt(37);
      expect(face_5_37.indices, equals([37, 39, 36]));
      final face_5_38 = mesh_5.faces.elementAt(38);
      expect(face_5_38.indices, equals([37, 40, 39]));
      final face_5_39 = mesh_5.faces.elementAt(39);
      expect(face_5_39.indices, equals([39, 41, 34]));
      final face_5_40 = mesh_5.faces.elementAt(40);
      expect(face_5_40.indices, equals([39, 42, 41]));
      final face_5_41 = mesh_5.faces.elementAt(41);
      expect(face_5_41.indices, equals([39, 43, 42]));
      final face_5_42 = mesh_5.faces.elementAt(42);
      expect(face_5_42.indices, equals([44, 43, 39]));
      final face_5_43 = mesh_5.faces.elementAt(43);
      expect(face_5_43.indices, equals([40, 45, 39]));
      final face_5_44 = mesh_5.faces.elementAt(44);
      expect(face_5_44.indices, equals([34, 41, 46]));
      final face_5_45 = mesh_5.faces.elementAt(45);
      expect(face_5_45.indices, equals([41, 42, 46]));
      final face_5_46 = mesh_5.faces.elementAt(46);
      expect(face_5_46.indices, equals([48, 47, 42]));
      final face_5_47 = mesh_5.faces.elementAt(47);
      expect(face_5_47.indices, equals([43, 48, 42]));
      final face_5_48 = mesh_5.faces.elementAt(48);
      expect(face_5_48.indices, equals([44, 48, 43]));
      final face_5_49 = mesh_5.faces.elementAt(49);
      expect(face_5_49.indices, equals([44, 49, 48]));
      final face_5_50 = mesh_5.faces.elementAt(50);
      expect(face_5_50.indices, equals([51, 47, 50]));
      final face_5_51 = mesh_5.faces.elementAt(51);
      expect(face_5_51.indices, equals([50, 53, 52]));
      final face_5_52 = mesh_5.faces.elementAt(52);
      expect(face_5_52.indices, equals([54, 50, 52]));
      final face_5_53 = mesh_5.faces.elementAt(53);
      expect(face_5_53.indices, equals([51, 50, 54]));
      final face_5_54 = mesh_5.faces.elementAt(54);
      expect(face_5_54.indices, equals([51, 54, 55]));
      final face_5_55 = mesh_5.faces.elementAt(55);
      expect(face_5_55.indices, equals([55, 54, 52]));
      final face_5_56 = mesh_5.faces.elementAt(56);
      expect(face_5_56.indices, equals([52, 57, 56]));
      final face_5_57 = mesh_5.faces.elementAt(57);
      expect(face_5_57.indices, equals([58, 52, 56]));
      final face_5_58 = mesh_5.faces.elementAt(58);
      expect(face_5_58.indices, equals([52, 59, 57]));
      final face_5_59 = mesh_5.faces.elementAt(59);
      expect(face_5_59.indices, equals([52, 53, 59]));
      final face_5_60 = mesh_5.faces.elementAt(60);
      expect(face_5_60.indices, equals([21, 58, 56]));
      final face_5_61 = mesh_5.faces.elementAt(61);
      expect(face_5_61.indices, equals([46, 58, 60]));
      final face_5_62 = mesh_5.faces.elementAt(62);
      expect(face_5_62.indices, equals([46, 61, 58]));
      final face_5_63 = mesh_5.faces.elementAt(63);
      expect(face_5_63.indices, equals([28, 21, 62]));
      final face_5_64 = mesh_5.faces.elementAt(64);
      expect(face_5_64.indices, equals([21, 56, 18]));
      final face_5_65 = mesh_5.faces.elementAt(65);
      expect(face_5_65.indices, equals([64, 63, 21]));
      final face_5_66 = mesh_5.faces.elementAt(66);
      expect(face_5_66.indices, equals([63, 46, 21]));
      final face_5_67 = mesh_5.faces.elementAt(67);
      expect(face_5_67.indices, equals([34, 46, 63]));
      final face_5_68 = mesh_5.faces.elementAt(68);
      expect(face_5_68.indices, equals([34, 63, 64]));
      final face_5_69 = mesh_5.faces.elementAt(69);
      expect(face_5_69.indices, equals([56, 65, 17]));
      final face_5_70 = mesh_5.faces.elementAt(70);
      expect(face_5_70.indices, equals([18, 56, 17]));
      final face_5_71 = mesh_5.faces.elementAt(71);
      expect(face_5_71.indices, equals([56, 66, 65]));
      final face_5_72 = mesh_5.faces.elementAt(72);
      expect(face_5_72.indices, equals([17, 67, 15]));
      final face_5_73 = mesh_5.faces.elementAt(73);
      expect(face_5_73.indices, equals([17, 68, 67]));
      final face_5_74 = mesh_5.faces.elementAt(74);
      expect(face_5_74.indices, equals([17, 65, 68]));
      final face_5_75 = mesh_5.faces.elementAt(75);
      expect(face_5_75.indices, equals([65, 66, 68]));
      final face_5_76 = mesh_5.faces.elementAt(76);
      expect(face_5_76.indices, equals([70, 69, 68]));
      final face_5_77 = mesh_5.faces.elementAt(77);
      expect(face_5_77.indices, equals([70, 71, 69]));
      final face_5_78 = mesh_5.faces.elementAt(78);
      expect(face_5_78.indices, equals([70, 72, 71]));
      final face_5_79 = mesh_5.faces.elementAt(79);
      expect(face_5_79.indices, equals([74, 73, 70]));
      final face_5_80 = mesh_5.faces.elementAt(80);
      expect(face_5_80.indices, equals([59, 72, 70]));
      final face_5_81 = mesh_5.faces.elementAt(81);
      expect(face_5_81.indices, equals([73, 59, 70]));
      final face_5_82 = mesh_5.faces.elementAt(82);
      expect(face_5_82.indices, equals([75, 31, 30]));
      final face_5_83 = mesh_5.faces.elementAt(83);
      expect(face_5_83.indices, equals([75, 32, 31]));
      final face_5_84 = mesh_5.faces.elementAt(84);
      expect(face_5_84.indices, equals([76, 75, 30]));
      final face_5_85 = mesh_5.faces.elementAt(85);
      expect(face_5_85.indices, equals([78, 77, 32]));
      final face_5_86 = mesh_5.faces.elementAt(86);
      expect(face_5_86.indices, equals([81, 80, 79]));
      final face_5_87 = mesh_5.faces.elementAt(87);
      expect(face_5_87.indices, equals([84, 83, 82]));
      final face_5_88 = mesh_5.faces.elementAt(88);
      expect(face_5_88.indices, equals([87, 86, 85]));
      final face_5_89 = mesh_5.faces.elementAt(89);
      expect(face_5_89.indices, equals([90, 89, 88]));
      final face_5_90 = mesh_5.faces.elementAt(90);
      expect(face_5_90.indices, equals([93, 92, 91]));
      final face_5_91 = mesh_5.faces.elementAt(91);
      expect(face_5_91.indices, equals([96, 95, 94]));
      final face_5_92 = mesh_5.faces.elementAt(92);
      expect(face_5_92.indices, equals([99, 98, 97]));
      final face_5_93 = mesh_5.faces.elementAt(93);
      expect(face_5_93.indices, equals([102, 101, 100]));
      final face_5_94 = mesh_5.faces.elementAt(94);
      expect(face_5_94.indices, equals([105, 104, 103]));
      final face_5_95 = mesh_5.faces.elementAt(95);
      expect(face_5_95.indices, equals([108, 107, 106]));
      final face_5_96 = mesh_5.faces.elementAt(96);
      expect(face_5_96.indices, equals([111, 110, 109]));
      final face_5_97 = mesh_5.faces.elementAt(97);
      expect(face_5_97.indices, equals([114, 113, 112]));
      final mesh_6 = scene.meshes.elementAt(6);
      final face_6_0 = mesh_6.faces.elementAt(0);
      expect(face_6_0.indices, equals([2, 1, 0]));
      final face_6_1 = mesh_6.faces.elementAt(1);
      expect(face_6_1.indices, equals([5, 4, 3]));
      final face_6_2 = mesh_6.faces.elementAt(2);
      expect(face_6_2.indices, equals([8, 7, 6]));
      final face_6_3 = mesh_6.faces.elementAt(3);
      expect(face_6_3.indices, equals([9, 8, 6]));
      final face_6_4 = mesh_6.faces.elementAt(4);
      expect(face_6_4.indices, equals([8, 10, 7]));
      final face_6_5 = mesh_6.faces.elementAt(5);
      expect(face_6_5.indices, equals([8, 11, 10]));
      final face_6_6 = mesh_6.faces.elementAt(6);
      expect(face_6_6.indices, equals([12, 8, 9]));
      final face_6_7 = mesh_6.faces.elementAt(7);
      expect(face_6_7.indices, equals([12, 13, 8]));
      final face_6_8 = mesh_6.faces.elementAt(8);
      expect(face_6_8.indices, equals([14, 11, 8]));
      final face_6_9 = mesh_6.faces.elementAt(9);
      expect(face_6_9.indices, equals([13, 14, 8]));
      final face_6_10 = mesh_6.faces.elementAt(10);
      expect(face_6_10.indices, equals([15, 13, 12]));
      final face_6_11 = mesh_6.faces.elementAt(11);
      expect(face_6_11.indices, equals([16, 15, 12]));
      final face_6_12 = mesh_6.faces.elementAt(12);
      expect(face_6_12.indices, equals([15, 14, 13]));
      final face_6_13 = mesh_6.faces.elementAt(13);
      expect(face_6_13.indices, equals([15, 17, 14]));
      final face_6_14 = mesh_6.faces.elementAt(14);
      expect(face_6_14.indices, equals([18, 15, 16]));
      final face_6_15 = mesh_6.faces.elementAt(15);
      expect(face_6_15.indices, equals([18, 19, 15]));
      final face_6_16 = mesh_6.faces.elementAt(16);
      expect(face_6_16.indices, equals([20, 17, 15]));
      final face_6_17 = mesh_6.faces.elementAt(17);
      expect(face_6_17.indices, equals([19, 20, 15]));
      final face_6_18 = mesh_6.faces.elementAt(18);
      expect(face_6_18.indices, equals([21, 19, 18]));
      final face_6_19 = mesh_6.faces.elementAt(19);
      expect(face_6_19.indices, equals([22, 21, 18]));
      final face_6_20 = mesh_6.faces.elementAt(20);
      expect(face_6_20.indices, equals([21, 20, 19]));
      final face_6_21 = mesh_6.faces.elementAt(21);
      expect(face_6_21.indices, equals([21, 23, 20]));
      final face_6_22 = mesh_6.faces.elementAt(22);
      expect(face_6_22.indices, equals([24, 21, 22]));
      final face_6_23 = mesh_6.faces.elementAt(23);
      expect(face_6_23.indices, equals([24, 25, 21]));
      final face_6_24 = mesh_6.faces.elementAt(24);
      expect(face_6_24.indices, equals([26, 23, 21]));
      final face_6_25 = mesh_6.faces.elementAt(25);
      expect(face_6_25.indices, equals([25, 26, 21]));
      final face_6_26 = mesh_6.faces.elementAt(26);
      expect(face_6_26.indices, equals([23, 28, 27]));
      final face_6_27 = mesh_6.faces.elementAt(27);
      expect(face_6_27.indices, equals([29, 28, 23]));
      final face_6_28 = mesh_6.faces.elementAt(28);
      expect(face_6_28.indices, equals([27, 31, 30]));
      final face_6_29 = mesh_6.faces.elementAt(29);
      expect(face_6_29.indices, equals([28, 32, 27]));
      final face_6_30 = mesh_6.faces.elementAt(30);
      expect(face_6_30.indices, equals([30, 31, 14]));
      final face_6_31 = mesh_6.faces.elementAt(31);
      expect(face_6_31.indices, equals([14, 34, 33]));
      final face_6_32 = mesh_6.faces.elementAt(32);
      expect(face_6_32.indices, equals([14, 35, 34]));
      final face_6_33 = mesh_6.faces.elementAt(33);
      expect(face_6_33.indices, equals([31, 35, 14]));
      final face_6_34 = mesh_6.faces.elementAt(34);
      expect(face_6_34.indices, equals([33, 37, 36]));
      final face_6_35 = mesh_6.faces.elementAt(35);
      expect(face_6_35.indices, equals([34, 38, 36]));
      final face_6_36 = mesh_6.faces.elementAt(36);
      expect(face_6_36.indices, equals([34, 39, 38]));
      final face_6_37 = mesh_6.faces.elementAt(37);
      expect(face_6_37.indices, equals([34, 40, 39]));
      final face_6_38 = mesh_6.faces.elementAt(38);
      expect(face_6_38.indices, equals([41, 40, 34]));
      final face_6_39 = mesh_6.faces.elementAt(39);
      expect(face_6_39.indices, equals([35, 41, 34]));
      final face_6_40 = mesh_6.faces.elementAt(40);
      expect(face_6_40.indices, equals([31, 41, 35]));
      final face_6_41 = mesh_6.faces.elementAt(41);
      expect(face_6_41.indices, equals([41, 42, 40]));
      final face_6_42 = mesh_6.faces.elementAt(42);
      expect(face_6_42.indices, equals([41, 43, 42]));
      final face_6_43 = mesh_6.faces.elementAt(43);
      expect(face_6_43.indices, equals([31, 44, 41]));
      final face_6_44 = mesh_6.faces.elementAt(44);
      expect(face_6_44.indices, equals([45, 43, 41]));
      final face_6_45 = mesh_6.faces.elementAt(45);
      expect(face_6_45.indices, equals([44, 45, 41]));
      final face_6_46 = mesh_6.faces.elementAt(46);
      expect(face_6_46.indices, equals([40, 42, 39]));
      final face_6_47 = mesh_6.faces.elementAt(47);
      expect(face_6_47.indices, equals([42, 46, 39]));
      final face_6_48 = mesh_6.faces.elementAt(48);
      expect(face_6_48.indices, equals([42, 47, 46]));
      final face_6_49 = mesh_6.faces.elementAt(49);
      expect(face_6_49.indices, equals([42, 48, 47]));
      final face_6_50 = mesh_6.faces.elementAt(50);
      expect(face_6_50.indices, equals([49, 48, 42]));
      final face_6_51 = mesh_6.faces.elementAt(51);
      expect(face_6_51.indices, equals([43, 49, 42]));
      final face_6_52 = mesh_6.faces.elementAt(52);
      expect(face_6_52.indices, equals([45, 49, 43]));
      final face_6_53 = mesh_6.faces.elementAt(53);
      expect(face_6_53.indices, equals([45, 50, 49]));
      final face_6_54 = mesh_6.faces.elementAt(54);
      expect(face_6_54.indices, equals([51, 50, 45]));
      final face_6_55 = mesh_6.faces.elementAt(55);
      expect(face_6_55.indices, equals([52, 51, 45]));
      final face_6_56 = mesh_6.faces.elementAt(56);
      expect(face_6_56.indices, equals([53, 51, 52]));
      final face_6_57 = mesh_6.faces.elementAt(57);
      expect(face_6_57.indices, equals([53, 54, 51]));
      final face_6_58 = mesh_6.faces.elementAt(58);
      expect(face_6_58.indices, equals([55, 52, 45]));
      final face_6_59 = mesh_6.faces.elementAt(59);
      expect(face_6_59.indices, equals([53, 52, 55]));
      final face_6_60 = mesh_6.faces.elementAt(60);
      expect(face_6_60.indices, equals([55, 45, 44]));
      final face_6_61 = mesh_6.faces.elementAt(61);
      expect(face_6_61.indices, equals([55, 44, 56]));
      final face_6_62 = mesh_6.faces.elementAt(62);
      expect(face_6_62.indices, equals([32, 55, 31]));
      final face_6_63 = mesh_6.faces.elementAt(63);
      expect(face_6_63.indices, equals([28, 55, 32]));
      final face_6_64 = mesh_6.faces.elementAt(64);
      expect(face_6_64.indices, equals([28, 57, 55]));
      final face_6_65 = mesh_6.faces.elementAt(65);
      expect(face_6_65.indices, equals([57, 53, 55]));
      final face_6_66 = mesh_6.faces.elementAt(66);
      expect(face_6_66.indices, equals([58, 32, 31]));
      final face_6_67 = mesh_6.faces.elementAt(67);
      expect(face_6_67.indices, equals([59, 57, 28]));
      final face_6_68 = mesh_6.faces.elementAt(68);
      expect(face_6_68.indices, equals([59, 53, 57]));
      final face_6_69 = mesh_6.faces.elementAt(69);
      expect(face_6_69.indices, equals([29, 60, 28]));
      final face_6_70 = mesh_6.faces.elementAt(70);
      expect(face_6_70.indices, equals([60, 59, 28]));
      final face_6_71 = mesh_6.faces.elementAt(71);
      expect(face_6_71.indices, equals([61, 60, 29]));
      final face_6_72 = mesh_6.faces.elementAt(72);
      expect(face_6_72.indices, equals([61, 59, 60]));
      final face_6_73 = mesh_6.faces.elementAt(73);
      expect(face_6_73.indices, equals([59, 62, 53]));
      final face_6_74 = mesh_6.faces.elementAt(74);
      expect(face_6_74.indices, equals([61, 63, 59]));
      final face_6_75 = mesh_6.faces.elementAt(75);
      expect(face_6_75.indices, equals([64, 62, 59]));
      final face_6_76 = mesh_6.faces.elementAt(76);
      expect(face_6_76.indices, equals([63, 64, 59]));
      final face_6_77 = mesh_6.faces.elementAt(77);
      expect(face_6_77.indices, equals([65, 61, 26]));
      final face_6_78 = mesh_6.faces.elementAt(78);
      expect(face_6_78.indices, equals([66, 26, 25]));
      final face_6_79 = mesh_6.faces.elementAt(79);
      expect(face_6_79.indices, equals([66, 67, 26]));
      final face_6_80 = mesh_6.faces.elementAt(80);
      expect(face_6_80.indices, equals([66, 25, 24]));
      final face_6_81 = mesh_6.faces.elementAt(81);
      expect(face_6_81.indices, equals([68, 66, 24]));
      final face_6_82 = mesh_6.faces.elementAt(82);
      expect(face_6_82.indices, equals([64, 69, 62]));
      final face_6_83 = mesh_6.faces.elementAt(83);
      expect(face_6_83.indices, equals([64, 70, 69]));
      final face_6_84 = mesh_6.faces.elementAt(84);
      expect(face_6_84.indices, equals([69, 54, 53]));
      final face_6_85 = mesh_6.faces.elementAt(85);
      expect(face_6_85.indices, equals([62, 69, 53]));
      final face_6_86 = mesh_6.faces.elementAt(86);
      expect(face_6_86.indices, equals([73, 72, 71]));
      final face_6_87 = mesh_6.faces.elementAt(87);
      expect(face_6_87.indices, equals([76, 75, 74]));
      final face_6_88 = mesh_6.faces.elementAt(88);
      expect(face_6_88.indices, equals([79, 78, 77]));
      final face_6_89 = mesh_6.faces.elementAt(89);
      expect(face_6_89.indices, equals([82, 81, 80]));
      final face_6_90 = mesh_6.faces.elementAt(90);
      expect(face_6_90.indices, equals([85, 84, 83]));
      final face_6_91 = mesh_6.faces.elementAt(91);
      expect(face_6_91.indices, equals([88, 87, 86]));
      final face_6_92 = mesh_6.faces.elementAt(92);
      expect(face_6_92.indices, equals([91, 90, 89]));
      final face_6_93 = mesh_6.faces.elementAt(93);
      expect(face_6_93.indices, equals([94, 93, 92]));
      final face_6_94 = mesh_6.faces.elementAt(94);
      expect(face_6_94.indices, equals([97, 96, 95]));
      final face_6_95 = mesh_6.faces.elementAt(95);
      expect(face_6_95.indices, equals([100, 99, 98]));
      final face_6_96 = mesh_6.faces.elementAt(96);
      expect(face_6_96.indices, equals([103, 102, 101]));
      final face_6_97 = mesh_6.faces.elementAt(97);
      expect(face_6_97.indices, equals([106, 105, 104]));
      final mesh_7 = scene.meshes.elementAt(7);
      final face_7_0 = mesh_7.faces.elementAt(0);
      expect(face_7_0.indices, equals([2, 1, 0]));
      final face_7_1 = mesh_7.faces.elementAt(1);
      expect(face_7_1.indices, equals([5, 4, 3]));
      final face_7_2 = mesh_7.faces.elementAt(2);
      expect(face_7_2.indices, equals([8, 7, 6]));
      final face_7_3 = mesh_7.faces.elementAt(3);
      expect(face_7_3.indices, equals([8, 6, 9]));
      final face_7_4 = mesh_7.faces.elementAt(4);
      expect(face_7_4.indices, equals([7, 10, 6]));
      final face_7_5 = mesh_7.faces.elementAt(5);
      expect(face_7_5.indices, equals([10, 11, 6]));
      final face_7_6 = mesh_7.faces.elementAt(6);
      expect(face_7_6.indices, equals([6, 11, 12]));
      final face_7_7 = mesh_7.faces.elementAt(7);
      expect(face_7_7.indices, equals([6, 12, 13]));
      final face_7_8 = mesh_7.faces.elementAt(8);
      expect(face_7_8.indices, equals([15, 14, 12]));
      final face_7_9 = mesh_7.faces.elementAt(9);
      expect(face_7_9.indices, equals([14, 16, 12]));
      final face_7_10 = mesh_7.faces.elementAt(10);
      expect(face_7_10.indices, equals([13, 12, 17]));
      final face_7_11 = mesh_7.faces.elementAt(11);
      expect(face_7_11.indices, equals([12, 18, 17]));
      final face_7_12 = mesh_7.faces.elementAt(12);
      expect(face_7_12.indices, equals([12, 16, 19]));
      final face_7_13 = mesh_7.faces.elementAt(13);
      expect(face_7_13.indices, equals([12, 19, 20]));
      final face_7_14 = mesh_7.faces.elementAt(14);
      expect(face_7_14.indices, equals([6, 13, 21]));
      final face_7_15 = mesh_7.faces.elementAt(15);
      expect(face_7_15.indices, equals([21, 13, 17]));
      final face_7_16 = mesh_7.faces.elementAt(16);
      expect(face_7_16.indices, equals([9, 6, 21]));
      final face_7_17 = mesh_7.faces.elementAt(17);
      expect(face_7_17.indices, equals([21, 17, 22]));
      final face_7_18 = mesh_7.faces.elementAt(18);
      expect(face_7_18.indices, equals([22, 17, 23]));
      final face_7_19 = mesh_7.faces.elementAt(19);
      expect(face_7_19.indices, equals([17, 24, 23]));
      final face_7_20 = mesh_7.faces.elementAt(20);
      expect(face_7_20.indices, equals([23, 24, 25]));
      final face_7_21 = mesh_7.faces.elementAt(21);
      expect(face_7_21.indices, equals([23, 25, 26]));
      final face_7_22 = mesh_7.faces.elementAt(22);
      expect(face_7_22.indices, equals([17, 27, 24]));
      final face_7_23 = mesh_7.faces.elementAt(23);
      expect(face_7_23.indices, equals([24, 27, 25]));
      final face_7_24 = mesh_7.faces.elementAt(24);
      expect(face_7_24.indices, equals([17, 18, 27]));
      final face_7_25 = mesh_7.faces.elementAt(25);
      expect(face_7_25.indices, equals([27, 28, 25]));
      final face_7_26 = mesh_7.faces.elementAt(26);
      expect(face_7_26.indices, equals([30, 29, 28]));
      final face_7_27 = mesh_7.faces.elementAt(27);
      expect(face_7_27.indices, equals([25, 28, 31]));
      final face_7_28 = mesh_7.faces.elementAt(28);
      expect(face_7_28.indices, equals([28, 29, 32]));
      final face_7_29 = mesh_7.faces.elementAt(29);
      expect(face_7_29.indices, equals([20, 19, 30]));
      final face_7_30 = mesh_7.faces.elementAt(30);
      expect(face_7_30.indices, equals([30, 33, 29]));
      final face_7_31 = mesh_7.faces.elementAt(31);
      expect(face_7_31.indices, equals([16, 34, 19]));
      final face_7_32 = mesh_7.faces.elementAt(32);
      expect(face_7_32.indices, equals([34, 35, 19]));
      final face_7_33 = mesh_7.faces.elementAt(33);
      expect(face_7_33.indices, equals([19, 33, 36]));
      final face_7_34 = mesh_7.faces.elementAt(34);
      expect(face_7_34.indices, equals([19, 37, 33]));
      final face_7_35 = mesh_7.faces.elementAt(35);
      expect(face_7_35.indices, equals([33, 37, 29]));
      final face_7_36 = mesh_7.faces.elementAt(36);
      expect(face_7_36.indices, equals([37, 38, 29]));
      final face_7_37 = mesh_7.faces.elementAt(37);
      expect(face_7_37.indices, equals([29, 39, 32]));
      final face_7_38 = mesh_7.faces.elementAt(38);
      expect(face_7_38.indices, equals([29, 38, 40]));
      final face_7_39 = mesh_7.faces.elementAt(39);
      expect(face_7_39.indices, equals([29, 40, 39]));
      final face_7_40 = mesh_7.faces.elementAt(40);
      expect(face_7_40.indices, equals([37, 41, 38]));
      final face_7_41 = mesh_7.faces.elementAt(41);
      expect(face_7_41.indices, equals([38, 41, 40]));
      final face_7_42 = mesh_7.faces.elementAt(42);
      expect(face_7_42.indices, equals([41, 42, 40]));
      final face_7_43 = mesh_7.faces.elementAt(43);
      expect(face_7_43.indices, equals([39, 40, 43]));
      final face_7_44 = mesh_7.faces.elementAt(44);
      expect(face_7_44.indices, equals([40, 44, 43]));
      final face_7_45 = mesh_7.faces.elementAt(45);
      expect(face_7_45.indices, equals([40, 42, 45]));
      final face_7_46 = mesh_7.faces.elementAt(46);
      expect(face_7_46.indices, equals([40, 45, 44]));
      final face_7_47 = mesh_7.faces.elementAt(47);
      expect(face_7_47.indices, equals([32, 39, 43]));
      final face_7_48 = mesh_7.faces.elementAt(48);
      expect(face_7_48.indices, equals([31, 43, 46]));
      final face_7_49 = mesh_7.faces.elementAt(49);
      expect(face_7_49.indices, equals([25, 31, 47]));
      final face_7_50 = mesh_7.faces.elementAt(50);
      expect(face_7_50.indices, equals([47, 31, 48]));
      final face_7_51 = mesh_7.faces.elementAt(51);
      expect(face_7_51.indices, equals([31, 49, 48]));
      final face_7_52 = mesh_7.faces.elementAt(52);
      expect(face_7_52.indices, equals([25, 47, 50]));
      final face_7_53 = mesh_7.faces.elementAt(53);
      expect(face_7_53.indices, equals([50, 47, 48]));
      final face_7_54 = mesh_7.faces.elementAt(54);
      expect(face_7_54.indices, equals([26, 25, 50]));
      final face_7_55 = mesh_7.faces.elementAt(55);
      expect(face_7_55.indices, equals([50, 48, 51]));
      final face_7_56 = mesh_7.faces.elementAt(56);
      expect(face_7_56.indices, equals([42, 52, 45]));
      final face_7_57 = mesh_7.faces.elementAt(57);
      expect(face_7_57.indices, equals([52, 53, 45]));
      final face_7_58 = mesh_7.faces.elementAt(58);
      expect(face_7_58.indices, equals([41, 54, 52]));
      final face_7_59 = mesh_7.faces.elementAt(59);
      expect(face_7_59.indices, equals([41, 52, 42]));
      final face_7_60 = mesh_7.faces.elementAt(60);
      expect(face_7_60.indices, equals([55, 54, 41]));
      final face_7_61 = mesh_7.faces.elementAt(61);
      expect(face_7_61.indices, equals([37, 56, 41]));
      final face_7_62 = mesh_7.faces.elementAt(62);
      expect(face_7_62.indices, equals([56, 55, 41]));
      final face_7_63 = mesh_7.faces.elementAt(63);
      expect(face_7_63.indices, equals([58, 57, 55]));
      final face_7_64 = mesh_7.faces.elementAt(64);
      expect(face_7_64.indices, equals([58, 55, 56]));
      final face_7_65 = mesh_7.faces.elementAt(65);
      expect(face_7_65.indices, equals([58, 56, 37]));
      final face_7_66 = mesh_7.faces.elementAt(66);
      expect(face_7_66.indices, equals([59, 35, 37]));
      final face_7_67 = mesh_7.faces.elementAt(67);
      expect(face_7_67.indices, equals([35, 58, 37]));
      final face_7_68 = mesh_7.faces.elementAt(68);
      expect(face_7_68.indices, equals([34, 60, 58]));
      final face_7_69 = mesh_7.faces.elementAt(69);
      expect(face_7_69.indices, equals([34, 58, 35]));
      final face_7_70 = mesh_7.faces.elementAt(70);
      expect(face_7_70.indices, equals([60, 61, 58]));
      final face_7_71 = mesh_7.faces.elementAt(71);
      expect(face_7_71.indices, equals([61, 57, 58]));
      final face_7_72 = mesh_7.faces.elementAt(72);
      expect(face_7_72.indices, equals([62, 60, 34]));
      final face_7_73 = mesh_7.faces.elementAt(73);
      expect(face_7_73.indices, equals([62, 61, 60]));
      final face_7_74 = mesh_7.faces.elementAt(74);
      expect(face_7_74.indices, equals([14, 63, 34]));
      final face_7_75 = mesh_7.faces.elementAt(75);
      expect(face_7_75.indices, equals([14, 34, 16]));
      final face_7_76 = mesh_7.faces.elementAt(76);
      expect(face_7_76.indices, equals([63, 62, 34]));
      final face_7_77 = mesh_7.faces.elementAt(77);
      expect(face_7_77.indices, equals([64, 63, 14]));
      final face_7_78 = mesh_7.faces.elementAt(78);
      expect(face_7_78.indices, equals([64, 62, 63]));
      final face_7_79 = mesh_7.faces.elementAt(79);
      expect(face_7_79.indices, equals([66, 65, 14]));
      final face_7_80 = mesh_7.faces.elementAt(80);
      expect(face_7_80.indices, equals([65, 64, 14]));
      final face_7_81 = mesh_7.faces.elementAt(81);
      expect(face_7_81.indices, equals([64, 67, 62]));
      final face_7_82 = mesh_7.faces.elementAt(82);
      expect(face_7_82.indices, equals([67, 68, 62]));
      final face_7_83 = mesh_7.faces.elementAt(83);
      expect(face_7_83.indices, equals([68, 69, 62]));
      final face_7_84 = mesh_7.faces.elementAt(84);
      expect(face_7_84.indices, equals([62, 69, 61]));
      final face_7_85 = mesh_7.faces.elementAt(85);
      expect(face_7_85.indices, equals([66, 70, 15]));
      final face_7_86 = mesh_7.faces.elementAt(86);
      expect(face_7_86.indices, equals([73, 72, 71]));
      final face_7_87 = mesh_7.faces.elementAt(87);
      expect(face_7_87.indices, equals([76, 75, 74]));
      final face_7_88 = mesh_7.faces.elementAt(88);
      expect(face_7_88.indices, equals([79, 78, 77]));
      final face_7_89 = mesh_7.faces.elementAt(89);
      expect(face_7_89.indices, equals([82, 81, 80]));
      final face_7_90 = mesh_7.faces.elementAt(90);
      expect(face_7_90.indices, equals([85, 84, 83]));
      final face_7_91 = mesh_7.faces.elementAt(91);
      expect(face_7_91.indices, equals([88, 87, 86]));
      final face_7_92 = mesh_7.faces.elementAt(92);
      expect(face_7_92.indices, equals([91, 90, 89]));
      final face_7_93 = mesh_7.faces.elementAt(93);
      expect(face_7_93.indices, equals([94, 93, 92]));
      final face_7_94 = mesh_7.faces.elementAt(94);
      expect(face_7_94.indices, equals([97, 96, 95]));
      final face_7_95 = mesh_7.faces.elementAt(95);
      expect(face_7_95.indices, equals([100, 99, 98]));
      final face_7_96 = mesh_7.faces.elementAt(96);
      expect(face_7_96.indices, equals([103, 102, 101]));
      final face_7_97 = mesh_7.faces.elementAt(97);
      expect(face_7_97.indices, equals([106, 105, 104]));
      final mesh_8 = scene.meshes.elementAt(8);
      final face_8_0 = mesh_8.faces.elementAt(0);
      expect(face_8_0.indices, equals([2, 1, 0]));
      final face_8_1 = mesh_8.faces.elementAt(1);
      expect(face_8_1.indices, equals([5, 4, 3]));
      final face_8_2 = mesh_8.faces.elementAt(2);
      expect(face_8_2.indices, equals([8, 7, 6]));
      final face_8_3 = mesh_8.faces.elementAt(3);
      expect(face_8_3.indices, equals([9, 8, 6]));
      final face_8_4 = mesh_8.faces.elementAt(4);
      expect(face_8_4.indices, equals([8, 10, 7]));
      final face_8_5 = mesh_8.faces.elementAt(5);
      expect(face_8_5.indices, equals([8, 11, 10]));
      final face_8_6 = mesh_8.faces.elementAt(6);
      expect(face_8_6.indices, equals([12, 8, 9]));
      final face_8_7 = mesh_8.faces.elementAt(7);
      expect(face_8_7.indices, equals([12, 13, 8]));
      final face_8_8 = mesh_8.faces.elementAt(8);
      expect(face_8_8.indices, equals([14, 11, 8]));
      final face_8_9 = mesh_8.faces.elementAt(9);
      expect(face_8_9.indices, equals([13, 14, 8]));
      final face_8_10 = mesh_8.faces.elementAt(10);
      expect(face_8_10.indices, equals([11, 16, 15]));
      final face_8_11 = mesh_8.faces.elementAt(11);
      expect(face_8_11.indices, equals([14, 17, 11]));
      final face_8_12 = mesh_8.faces.elementAt(12);
      expect(face_8_12.indices, equals([14, 18, 17]));
      final face_8_13 = mesh_8.faces.elementAt(13);
      expect(face_8_13.indices, equals([19, 14, 13]));
      final face_8_14 = mesh_8.faces.elementAt(14);
      expect(face_8_14.indices, equals([19, 20, 14]));
      final face_8_15 = mesh_8.faces.elementAt(15);
      expect(face_8_15.indices, equals([21, 18, 14]));
      final face_8_16 = mesh_8.faces.elementAt(16);
      expect(face_8_16.indices, equals([19, 13, 12]));
      final face_8_17 = mesh_8.faces.elementAt(17);
      expect(face_8_17.indices, equals([22, 19, 12]));
      final face_8_18 = mesh_8.faces.elementAt(18);
      expect(face_8_18.indices, equals([23, 19, 22]));
      final face_8_19 = mesh_8.faces.elementAt(19);
      expect(face_8_19.indices, equals([23, 24, 19]));
      final face_8_20 = mesh_8.faces.elementAt(20);
      expect(face_8_20.indices, equals([25, 20, 19]));
      final face_8_21 = mesh_8.faces.elementAt(21);
      expect(face_8_21.indices, equals([24, 25, 19]));
      final face_8_22 = mesh_8.faces.elementAt(22);
      expect(face_8_22.indices, equals([26, 24, 23]));
      final face_8_23 = mesh_8.faces.elementAt(23);
      expect(face_8_23.indices, equals([27, 26, 23]));
      final face_8_24 = mesh_8.faces.elementAt(24);
      expect(face_8_24.indices, equals([26, 25, 24]));
      final face_8_25 = mesh_8.faces.elementAt(25);
      expect(face_8_25.indices, equals([25, 21, 28]));
      final face_8_26 = mesh_8.faces.elementAt(26);
      expect(face_8_26.indices, equals([26, 29, 25]));
      final face_8_27 = mesh_8.faces.elementAt(27);
      expect(face_8_27.indices, equals([30, 26, 27]));
      final face_8_28 = mesh_8.faces.elementAt(28);
      expect(face_8_28.indices, equals([30, 31, 26]));
      final face_8_29 = mesh_8.faces.elementAt(29);
      expect(face_8_29.indices, equals([32, 29, 26]));
      final face_8_30 = mesh_8.faces.elementAt(30);
      expect(face_8_30.indices, equals([31, 32, 26]));
      final face_8_31 = mesh_8.faces.elementAt(31);
      expect(face_8_31.indices, equals([29, 34, 33]));
      final face_8_32 = mesh_8.faces.elementAt(32);
      expect(face_8_32.indices, equals([35, 34, 29]));
      final face_8_33 = mesh_8.faces.elementAt(33);
      expect(face_8_33.indices, equals([35, 36, 34]));
      final face_8_34 = mesh_8.faces.elementAt(34);
      expect(face_8_34.indices, equals([37, 36, 35]));
      final face_8_35 = mesh_8.faces.elementAt(35);
      expect(face_8_35.indices, equals([39, 38, 35]));
      final face_8_36 = mesh_8.faces.elementAt(36);
      expect(face_8_36.indices, equals([36, 40, 34]));
      final face_8_37 = mesh_8.faces.elementAt(37);
      expect(face_8_37.indices, equals([37, 40, 36]));
      final face_8_38 = mesh_8.faces.elementAt(38);
      expect(face_8_38.indices, equals([37, 41, 40]));
      final face_8_39 = mesh_8.faces.elementAt(39);
      expect(face_8_39.indices, equals([40, 42, 34]));
      final face_8_40 = mesh_8.faces.elementAt(40);
      expect(face_8_40.indices, equals([40, 43, 42]));
      final face_8_41 = mesh_8.faces.elementAt(41);
      expect(face_8_41.indices, equals([40, 45, 44]));
      final face_8_42 = mesh_8.faces.elementAt(42);
      expect(face_8_42.indices, equals([46, 45, 40]));
      final face_8_43 = mesh_8.faces.elementAt(43);
      expect(face_8_43.indices, equals([41, 46, 40]));
      final face_8_44 = mesh_8.faces.elementAt(44);
      expect(face_8_44.indices, equals([34, 42, 47]));
      final face_8_45 = mesh_8.faces.elementAt(45);
      expect(face_8_45.indices, equals([42, 43, 47]));
      final face_8_46 = mesh_8.faces.elementAt(46);
      expect(face_8_46.indices, equals([34, 49, 48]));
      final face_8_47 = mesh_8.faces.elementAt(47);
      expect(face_8_47.indices, equals([34, 47, 49]));
      final face_8_48 = mesh_8.faces.elementAt(48);
      expect(face_8_48.indices, equals([48, 49, 21]));
      final face_8_49 = mesh_8.faces.elementAt(49);
      expect(face_8_49.indices, equals([49, 47, 21]));
      final face_8_50 = mesh_8.faces.elementAt(50);
      expect(face_8_50.indices, equals([28, 21, 50]));
      final face_8_51 = mesh_8.faces.elementAt(51);
      expect(face_8_51.indices, equals([21, 51, 18]));
      final face_8_52 = mesh_8.faces.elementAt(52);
      expect(face_8_52.indices, equals([21, 52, 51]));
      final face_8_53 = mesh_8.faces.elementAt(53);
      expect(face_8_53.indices, equals([18, 51, 17]));
      final face_8_54 = mesh_8.faces.elementAt(54);
      expect(face_8_54.indices, equals([51, 53, 17]));
      final face_8_55 = mesh_8.faces.elementAt(55);
      expect(face_8_55.indices, equals([51, 54, 53]));
      final face_8_56 = mesh_8.faces.elementAt(56);
      expect(face_8_56.indices, equals([56, 55, 51]));
      final face_8_57 = mesh_8.faces.elementAt(57);
      expect(face_8_57.indices, equals([52, 56, 51]));
      final face_8_58 = mesh_8.faces.elementAt(58);
      expect(face_8_58.indices, equals([47, 52, 57]));
      final face_8_59 = mesh_8.faces.elementAt(59);
      expect(face_8_59.indices, equals([47, 56, 52]));
      final face_8_60 = mesh_8.faces.elementAt(60);
      expect(face_8_60.indices, equals([47, 58, 56]));
      final face_8_61 = mesh_8.faces.elementAt(61);
      expect(face_8_61.indices, equals([44, 58, 47]));
      final face_8_62 = mesh_8.faces.elementAt(62);
      expect(face_8_62.indices, equals([58, 59, 56]));
      final face_8_63 = mesh_8.faces.elementAt(63);
      expect(face_8_63.indices, equals([44, 59, 58]));
      final face_8_64 = mesh_8.faces.elementAt(64);
      expect(face_8_64.indices, equals([56, 60, 55]));
      final face_8_65 = mesh_8.faces.elementAt(65);
      expect(face_8_65.indices, equals([56, 61, 60]));
      final face_8_66 = mesh_8.faces.elementAt(66);
      expect(face_8_66.indices, equals([59, 61, 56]));
      final face_8_67 = mesh_8.faces.elementAt(67);
      expect(face_8_67.indices, equals([44, 62, 59]));
      final face_8_68 = mesh_8.faces.elementAt(68);
      expect(face_8_68.indices, equals([63, 62, 44]));
      final face_8_69 = mesh_8.faces.elementAt(69);
      expect(face_8_69.indices, equals([45, 63, 44]));
      final face_8_70 = mesh_8.faces.elementAt(70);
      expect(face_8_70.indices, equals([46, 63, 45]));
      final face_8_71 = mesh_8.faces.elementAt(71);
      expect(face_8_71.indices, equals([46, 64, 63]));
      final face_8_72 = mesh_8.faces.elementAt(72);
      expect(face_8_72.indices, equals([60, 66, 65]));
      final face_8_73 = mesh_8.faces.elementAt(73);
      expect(face_8_73.indices, equals([67, 60, 65]));
      final face_8_74 = mesh_8.faces.elementAt(74);
      expect(face_8_74.indices, equals([65, 69, 68]));
      final face_8_75 = mesh_8.faces.elementAt(75);
      expect(face_8_75.indices, equals([65, 70, 69]));
      final face_8_76 = mesh_8.faces.elementAt(76);
      expect(face_8_76.indices, equals([65, 66, 70]));
      final face_8_77 = mesh_8.faces.elementAt(77);
      expect(face_8_77.indices, equals([71, 67, 65]));
      final face_8_78 = mesh_8.faces.elementAt(78);
      expect(face_8_78.indices, equals([17, 68, 72]));
      final face_8_79 = mesh_8.faces.elementAt(79);
      expect(face_8_79.indices, equals([17, 53, 68]));
      final face_8_80 = mesh_8.faces.elementAt(80);
      expect(face_8_80.indices, equals([53, 54, 68]));
      final face_8_81 = mesh_8.faces.elementAt(81);
      expect(face_8_81.indices, equals([17, 72, 15]));
      final face_8_82 = mesh_8.faces.elementAt(82);
      expect(face_8_82.indices, equals([73, 31, 30]));
      final face_8_83 = mesh_8.faces.elementAt(83);
      expect(face_8_83.indices, equals([73, 32, 31]));
      final face_8_84 = mesh_8.faces.elementAt(84);
      expect(face_8_84.indices, equals([74, 73, 30]));
      final face_8_85 = mesh_8.faces.elementAt(85);
      expect(face_8_85.indices, equals([76, 75, 32]));
      final face_8_86 = mesh_8.faces.elementAt(86);
      expect(face_8_86.indices, equals([79, 78, 77]));
      final face_8_87 = mesh_8.faces.elementAt(87);
      expect(face_8_87.indices, equals([82, 81, 80]));
      final face_8_88 = mesh_8.faces.elementAt(88);
      expect(face_8_88.indices, equals([85, 84, 83]));
      final face_8_89 = mesh_8.faces.elementAt(89);
      expect(face_8_89.indices, equals([88, 87, 86]));
      final face_8_90 = mesh_8.faces.elementAt(90);
      expect(face_8_90.indices, equals([91, 90, 89]));
      final face_8_91 = mesh_8.faces.elementAt(91);
      expect(face_8_91.indices, equals([94, 93, 92]));
      final face_8_92 = mesh_8.faces.elementAt(92);
      expect(face_8_92.indices, equals([97, 96, 95]));
      final face_8_93 = mesh_8.faces.elementAt(93);
      expect(face_8_93.indices, equals([100, 99, 98]));
      final face_8_94 = mesh_8.faces.elementAt(94);
      expect(face_8_94.indices, equals([103, 102, 101]));
      final face_8_95 = mesh_8.faces.elementAt(95);
      expect(face_8_95.indices, equals([106, 105, 104]));
      final face_8_96 = mesh_8.faces.elementAt(96);
      expect(face_8_96.indices, equals([109, 108, 107]));
      final face_8_97 = mesh_8.faces.elementAt(97);
      expect(face_8_97.indices, equals([112, 111, 110]));
      final mesh_9 = scene.meshes.elementAt(9);
      final face_9_0 = mesh_9.faces.elementAt(0);
      expect(face_9_0.indices, equals([2, 1, 0]));
      final face_9_1 = mesh_9.faces.elementAt(1);
      expect(face_9_1.indices, equals([5, 4, 3]));
      final face_9_2 = mesh_9.faces.elementAt(2);
      expect(face_9_2.indices, equals([8, 7, 6]));
      final face_9_3 = mesh_9.faces.elementAt(3);
      expect(face_9_3.indices, equals([8, 6, 9]));
      final face_9_4 = mesh_9.faces.elementAt(4);
      expect(face_9_4.indices, equals([7, 10, 6]));
      final face_9_5 = mesh_9.faces.elementAt(5);
      expect(face_9_5.indices, equals([10, 11, 6]));
      final face_9_6 = mesh_9.faces.elementAt(6);
      expect(face_9_6.indices, equals([13, 12, 11]));
      final face_9_7 = mesh_9.faces.elementAt(7);
      expect(face_9_7.indices, equals([6, 11, 14]));
      final face_9_8 = mesh_9.faces.elementAt(8);
      expect(face_9_8.indices, equals([11, 15, 14]));
      final face_9_9 = mesh_9.faces.elementAt(9);
      expect(face_9_9.indices, equals([13, 16, 15]));
      final face_9_10 = mesh_9.faces.elementAt(10);
      expect(face_9_10.indices, equals([16, 17, 15]));
      final face_9_11 = mesh_9.faces.elementAt(11);
      expect(face_9_11.indices, equals([17, 18, 15]));
      final face_9_12 = mesh_9.faces.elementAt(12);
      expect(face_9_12.indices, equals([15, 19, 14]));
      final face_9_13 = mesh_9.faces.elementAt(13);
      expect(face_9_13.indices, equals([15, 18, 20]));
      final face_9_14 = mesh_9.faces.elementAt(14);
      expect(face_9_14.indices, equals([15, 20, 19]));
      final face_9_15 = mesh_9.faces.elementAt(15);
      expect(face_9_15.indices, equals([17, 22, 21]));
      final face_9_16 = mesh_9.faces.elementAt(16);
      expect(face_9_16.indices, equals([17, 23, 18]));
      final face_9_17 = mesh_9.faces.elementAt(17);
      expect(face_9_17.indices, equals([18, 23, 20]));
      final face_9_18 = mesh_9.faces.elementAt(18);
      expect(face_9_18.indices, equals([19, 20, 24]));
      final face_9_19 = mesh_9.faces.elementAt(19);
      expect(face_9_19.indices, equals([20, 25, 24]));
      final face_9_20 = mesh_9.faces.elementAt(20);
      expect(face_9_20.indices, equals([20, 27, 26]));
      final face_9_21 = mesh_9.faces.elementAt(21);
      expect(face_9_21.indices, equals([20, 26, 25]));
      final face_9_22 = mesh_9.faces.elementAt(22);
      expect(face_9_22.indices, equals([14, 19, 24]));
      final face_9_23 = mesh_9.faces.elementAt(23);
      expect(face_9_23.indices, equals([6, 14, 28]));
      final face_9_24 = mesh_9.faces.elementAt(24);
      expect(face_9_24.indices, equals([28, 14, 29]));
      final face_9_25 = mesh_9.faces.elementAt(25);
      expect(face_9_25.indices, equals([14, 30, 29]));
      final face_9_26 = mesh_9.faces.elementAt(26);
      expect(face_9_26.indices, equals([6, 28, 31]));
      final face_9_27 = mesh_9.faces.elementAt(27);
      expect(face_9_27.indices, equals([31, 28, 29]));
      final face_9_28 = mesh_9.faces.elementAt(28);
      expect(face_9_28.indices, equals([9, 6, 31]));
      final face_9_29 = mesh_9.faces.elementAt(29);
      expect(face_9_29.indices, equals([31, 29, 32]));
      final face_9_30 = mesh_9.faces.elementAt(30);
      expect(face_9_30.indices, equals([32, 29, 33]));
      final face_9_31 = mesh_9.faces.elementAt(31);
      expect(face_9_31.indices, equals([29, 34, 33]));
      final face_9_32 = mesh_9.faces.elementAt(32);
      expect(face_9_32.indices, equals([29, 30, 35]));
      final face_9_33 = mesh_9.faces.elementAt(33);
      expect(face_9_33.indices, equals([29, 35, 34]));
      final face_9_34 = mesh_9.faces.elementAt(34);
      expect(face_9_34.indices, equals([33, 34, 36]));
      final face_9_35 = mesh_9.faces.elementAt(35);
      expect(face_9_35.indices, equals([33, 36, 37]));
      final face_9_36 = mesh_9.faces.elementAt(36);
      expect(face_9_36.indices, equals([34, 35, 36]));
      final face_9_37 = mesh_9.faces.elementAt(37);
      expect(face_9_37.indices, equals([38, 24, 35]));
      final face_9_38 = mesh_9.faces.elementAt(38);
      expect(face_9_38.indices, equals([35, 39, 36]));
      final face_9_39 = mesh_9.faces.elementAt(39);
      expect(face_9_39.indices, equals([40, 24, 38]));
      final face_9_40 = mesh_9.faces.elementAt(40);
      expect(face_9_40.indices, equals([24, 42, 41]));
      final face_9_41 = mesh_9.faces.elementAt(41);
      expect(face_9_41.indices, equals([24, 43, 42]));
      final face_9_42 = mesh_9.faces.elementAt(42);
      expect(face_9_42.indices, equals([41, 42, 44]));
      final face_9_43 = mesh_9.faces.elementAt(43);
      expect(face_9_43.indices, equals([42, 43, 44]));
      final face_9_44 = mesh_9.faces.elementAt(44);
      expect(face_9_44.indices, equals([45, 44, 39]));
      final face_9_45 = mesh_9.faces.elementAt(45);
      expect(face_9_45.indices, equals([43, 46, 44]));
      final face_9_46 = mesh_9.faces.elementAt(46);
      expect(face_9_46.indices, equals([39, 44, 47]));
      final face_9_47 = mesh_9.faces.elementAt(47);
      expect(face_9_47.indices, equals([44, 48, 47]));
      final face_9_48 = mesh_9.faces.elementAt(48);
      expect(face_9_48.indices, equals([44, 46, 49]));
      final face_9_49 = mesh_9.faces.elementAt(49);
      expect(face_9_49.indices, equals([44, 49, 48]));
      final face_9_50 = mesh_9.faces.elementAt(50);
      expect(face_9_50.indices, equals([43, 50, 46]));
      final face_9_51 = mesh_9.faces.elementAt(51);
      expect(face_9_51.indices, equals([46, 50, 49]));
      final face_9_52 = mesh_9.faces.elementAt(52);
      expect(face_9_52.indices, equals([52, 51, 49]));
      final face_9_53 = mesh_9.faces.elementAt(53);
      expect(face_9_53.indices, equals([48, 49, 53]));
      final face_9_54 = mesh_9.faces.elementAt(54);
      expect(face_9_54.indices, equals([49, 54, 53]));
      final face_9_55 = mesh_9.faces.elementAt(55);
      expect(face_9_55.indices, equals([49, 51, 55]));
      final face_9_56 = mesh_9.faces.elementAt(56);
      expect(face_9_56.indices, equals([49, 55, 54]));
      final face_9_57 = mesh_9.faces.elementAt(57);
      expect(face_9_57.indices, equals([47, 48, 53]));
      final face_9_58 = mesh_9.faces.elementAt(58);
      expect(face_9_58.indices, equals([47, 57, 56]));
      final face_9_59 = mesh_9.faces.elementAt(59);
      expect(face_9_59.indices, equals([51, 58, 55]));
      final face_9_60 = mesh_9.faces.elementAt(60);
      expect(face_9_60.indices, equals([58, 59, 55]));
      final face_9_61 = mesh_9.faces.elementAt(61);
      expect(face_9_61.indices, equals([52, 58, 51]));
      final face_9_62 = mesh_9.faces.elementAt(62);
      expect(face_9_62.indices, equals([52, 60, 58]));
      final face_9_63 = mesh_9.faces.elementAt(63);
      expect(face_9_63.indices, equals([61, 60, 52]));
      final face_9_64 = mesh_9.faces.elementAt(64);
      expect(face_9_64.indices, equals([26, 62, 61]));
      final face_9_65 = mesh_9.faces.elementAt(65);
      expect(face_9_65.indices, equals([26, 61, 63]));
      final face_9_66 = mesh_9.faces.elementAt(66);
      expect(face_9_66.indices, equals([63, 61, 52]));
      final face_9_67 = mesh_9.faces.elementAt(67);
      expect(face_9_67.indices, equals([64, 62, 26]));
      final face_9_68 = mesh_9.faces.elementAt(68);
      expect(face_9_68.indices, equals([27, 64, 26]));
      final face_9_69 = mesh_9.faces.elementAt(69);
      expect(face_9_69.indices, equals([25, 26, 43]));
      final face_9_70 = mesh_9.faces.elementAt(70);
      expect(face_9_70.indices, equals([26, 63, 43]));
      final face_9_71 = mesh_9.faces.elementAt(71);
      expect(face_9_71.indices, equals([43, 63, 52]));
      final face_9_72 = mesh_9.faces.elementAt(72);
      expect(face_9_72.indices, equals([65, 25, 43]));
      final face_9_73 = mesh_9.faces.elementAt(73);
      expect(face_9_73.indices, equals([21, 66, 64]));
      final face_9_74 = mesh_9.faces.elementAt(74);
      expect(face_9_74.indices, equals([21, 64, 67]));
      final face_9_75 = mesh_9.faces.elementAt(75);
      expect(face_9_75.indices, equals([68, 66, 21]));
      final face_9_76 = mesh_9.faces.elementAt(76);
      expect(face_9_76.indices, equals([22, 68, 21]));
      final face_9_77 = mesh_9.faces.elementAt(77);
      expect(face_9_77.indices, equals([21, 67, 69]));
      final face_9_78 = mesh_9.faces.elementAt(78);
      expect(face_9_78.indices, equals([36, 39, 70]));
      final face_9_79 = mesh_9.faces.elementAt(79);
      expect(face_9_79.indices, equals([36, 70, 71]));
      final face_9_80 = mesh_9.faces.elementAt(80);
      expect(face_9_80.indices, equals([71, 70, 72]));
      final face_9_81 = mesh_9.faces.elementAt(81);
      expect(face_9_81.indices, equals([70, 74, 73]));
      final face_9_82 = mesh_9.faces.elementAt(82);
      expect(face_9_82.indices, equals([37, 36, 75]));
      final face_9_83 = mesh_9.faces.elementAt(83);
      expect(face_9_83.indices, equals([36, 71, 75]));
      final face_9_84 = mesh_9.faces.elementAt(84);
      expect(face_9_84.indices, equals([75, 71, 72]));
      final face_9_85 = mesh_9.faces.elementAt(85);
      expect(face_9_85.indices, equals([75, 72, 76]));
      final face_9_86 = mesh_9.faces.elementAt(86);
      expect(face_9_86.indices, equals([79, 78, 77]));
      final face_9_87 = mesh_9.faces.elementAt(87);
      expect(face_9_87.indices, equals([82, 81, 80]));
      final face_9_88 = mesh_9.faces.elementAt(88);
      expect(face_9_88.indices, equals([85, 84, 83]));
      final face_9_89 = mesh_9.faces.elementAt(89);
      expect(face_9_89.indices, equals([88, 87, 86]));
      final face_9_90 = mesh_9.faces.elementAt(90);
      expect(face_9_90.indices, equals([91, 90, 89]));
      final face_9_91 = mesh_9.faces.elementAt(91);
      expect(face_9_91.indices, equals([94, 93, 92]));
      final face_9_92 = mesh_9.faces.elementAt(92);
      expect(face_9_92.indices, equals([97, 96, 95]));
      final face_9_93 = mesh_9.faces.elementAt(93);
      expect(face_9_93.indices, equals([100, 99, 98]));
      final face_9_94 = mesh_9.faces.elementAt(94);
      expect(face_9_94.indices, equals([103, 102, 101]));
      final face_9_95 = mesh_9.faces.elementAt(95);
      expect(face_9_95.indices, equals([106, 105, 104]));
      final face_9_96 = mesh_9.faces.elementAt(96);
      expect(face_9_96.indices, equals([109, 108, 107]));
      final face_9_97 = mesh_9.faces.elementAt(97);
      expect(face_9_97.indices, equals([112, 111, 110]));
      final mesh_10 = scene.meshes.elementAt(10);
      final face_10_0 = mesh_10.faces.elementAt(0);
      expect(face_10_0.indices, equals([0, 0, 0]));
      final face_10_1 = mesh_10.faces.elementAt(1);
      expect(face_10_1.indices, equals([2, 1, 0]));
      final face_10_2 = mesh_10.faces.elementAt(2);
      expect(face_10_2.indices, equals([0, 0, 0]));
      final face_10_3 = mesh_10.faces.elementAt(3);
      expect(face_10_3.indices, equals([0, 1, 3]));
      final face_10_4 = mesh_10.faces.elementAt(4);
      expect(face_10_4.indices, equals([0, 0, 0]));
      final face_10_5 = mesh_10.faces.elementAt(5);
      expect(face_10_5.indices, equals([3, 4, 0]));
      final face_10_6 = mesh_10.faces.elementAt(6);
      expect(face_10_6.indices, equals([0, 0, 0]));
      final face_10_7 = mesh_10.faces.elementAt(7);
      expect(face_10_7.indices, equals([0, 4, 5]));
      final face_10_8 = mesh_10.faces.elementAt(8);
      expect(face_10_8.indices, equals([0, 0, 0]));
      final face_10_9 = mesh_10.faces.elementAt(9);
      expect(face_10_9.indices, equals([5, 6, 0]));
      final face_10_10 = mesh_10.faces.elementAt(10);
      expect(face_10_10.indices, equals([0, 0, 0]));
      final face_10_11 = mesh_10.faces.elementAt(11);
      expect(face_10_11.indices, equals([0, 6, 7]));
      final face_10_12 = mesh_10.faces.elementAt(12);
      expect(face_10_12.indices, equals([0, 0, 0]));
      final face_10_13 = mesh_10.faces.elementAt(13);
      expect(face_10_13.indices, equals([7, 8, 2]));
      final face_10_14 = mesh_10.faces.elementAt(14);
      expect(face_10_14.indices, equals([11, 10, 9]));
      final face_10_15 = mesh_10.faces.elementAt(15);
      expect(face_10_15.indices, equals([9, 10, 12]));
      final face_10_16 = mesh_10.faces.elementAt(16);
      expect(face_10_16.indices, equals([12, 10, 13]));
      final face_10_17 = mesh_10.faces.elementAt(17);
      expect(face_10_17.indices, equals([13, 10, 14]));
      final face_10_18 = mesh_10.faces.elementAt(18);
      expect(face_10_18.indices, equals([14, 10, 15]));
      final face_10_19 = mesh_10.faces.elementAt(19);
      expect(face_10_19.indices, equals([15, 10, 16]));
      final face_10_20 = mesh_10.faces.elementAt(20);
      expect(face_10_20.indices, equals([16, 10, 11]));
      final face_10_21 = mesh_10.faces.elementAt(21);
      expect(face_10_21.indices, equals([19, 18, 17]));
      final face_10_22 = mesh_10.faces.elementAt(22);
      expect(face_10_22.indices, equals([18, 20, 17]));
      final face_10_23 = mesh_10.faces.elementAt(23);
      expect(face_10_23.indices, equals([22, 21, 18]));
      final face_10_24 = mesh_10.faces.elementAt(24);
      expect(face_10_24.indices, equals([21, 23, 18]));
      final face_10_25 = mesh_10.faces.elementAt(25);
      expect(face_10_25.indices, equals([23, 24, 18]));
      final face_10_26 = mesh_10.faces.elementAt(26);
      expect(face_10_26.indices, equals([20, 25, 17]));
      final face_10_27 = mesh_10.faces.elementAt(27);
      expect(face_10_27.indices, equals([17, 25, 26]));
      final face_10_28 = mesh_10.faces.elementAt(28);
      expect(face_10_28.indices, equals([17, 26, 27]));
      final face_10_29 = mesh_10.faces.elementAt(29);
      expect(face_10_29.indices, equals([17, 27, 28]));
      final face_10_30 = mesh_10.faces.elementAt(30);
      expect(face_10_30.indices, equals([29, 23, 21]));
      final face_10_31 = mesh_10.faces.elementAt(31);
      expect(face_10_31.indices, equals([29, 21, 22]));
      final face_10_32 = mesh_10.faces.elementAt(32);
      expect(face_10_32.indices, equals([32, 31, 30]));
      final face_10_33 = mesh_10.faces.elementAt(33);
      expect(face_10_33.indices, equals([31, 33, 30]));
      final face_10_34 = mesh_10.faces.elementAt(34);
      expect(face_10_34.indices, equals([33, 34, 30]));
      final face_10_35 = mesh_10.faces.elementAt(35);
      expect(face_10_35.indices, equals([30, 36, 35]));
      final face_10_36 = mesh_10.faces.elementAt(36);
      expect(face_10_36.indices, equals([30, 34, 37]));
      final face_10_37 = mesh_10.faces.elementAt(37);
      expect(face_10_37.indices, equals([30, 37, 36]));
      final face_10_38 = mesh_10.faces.elementAt(38);
      expect(face_10_38.indices, equals([35, 36, 38]));
      final face_10_39 = mesh_10.faces.elementAt(39);
      expect(face_10_39.indices, equals([36, 37, 38]));
      final face_10_40 = mesh_10.faces.elementAt(40);
      expect(face_10_40.indices, equals([37, 39, 38]));
      final face_10_41 = mesh_10.faces.elementAt(41);
      expect(face_10_41.indices, equals([38, 41, 40]));
      final mesh_11 = scene.meshes.elementAt(11);
      final face_11_0 = mesh_11.faces.elementAt(0);
      expect(face_11_0.indices, equals([0, 0, 0]));
      final face_11_1 = mesh_11.faces.elementAt(1);
      expect(face_11_1.indices, equals([2, 1, 0]));
      final face_11_2 = mesh_11.faces.elementAt(2);
      expect(face_11_2.indices, equals([0, 0, 0]));
      final face_11_3 = mesh_11.faces.elementAt(3);
      expect(face_11_3.indices, equals([0, 1, 3]));
      final face_11_4 = mesh_11.faces.elementAt(4);
      expect(face_11_4.indices, equals([0, 0, 0]));
      final face_11_5 = mesh_11.faces.elementAt(5);
      expect(face_11_5.indices, equals([3, 4, 0]));
      final face_11_6 = mesh_11.faces.elementAt(6);
      expect(face_11_6.indices, equals([0, 0, 0]));
      final face_11_7 = mesh_11.faces.elementAt(7);
      expect(face_11_7.indices, equals([0, 4, 5]));
      final face_11_8 = mesh_11.faces.elementAt(8);
      expect(face_11_8.indices, equals([0, 0, 0]));
      final face_11_9 = mesh_11.faces.elementAt(9);
      expect(face_11_9.indices, equals([5, 6, 0]));
      final face_11_10 = mesh_11.faces.elementAt(10);
      expect(face_11_10.indices, equals([0, 0, 0]));
      final face_11_11 = mesh_11.faces.elementAt(11);
      expect(face_11_11.indices, equals([0, 6, 7]));
      final face_11_12 = mesh_11.faces.elementAt(12);
      expect(face_11_12.indices, equals([0, 0, 0]));
      final face_11_13 = mesh_11.faces.elementAt(13);
      expect(face_11_13.indices, equals([7, 8, 2]));
      final face_11_14 = mesh_11.faces.elementAt(14);
      expect(face_11_14.indices, equals([11, 10, 9]));
      final face_11_15 = mesh_11.faces.elementAt(15);
      expect(face_11_15.indices, equals([9, 10, 12]));
      final face_11_16 = mesh_11.faces.elementAt(16);
      expect(face_11_16.indices, equals([12, 10, 13]));
      final face_11_17 = mesh_11.faces.elementAt(17);
      expect(face_11_17.indices, equals([13, 10, 14]));
      final face_11_18 = mesh_11.faces.elementAt(18);
      expect(face_11_18.indices, equals([14, 10, 15]));
      final face_11_19 = mesh_11.faces.elementAt(19);
      expect(face_11_19.indices, equals([15, 10, 16]));
      final face_11_20 = mesh_11.faces.elementAt(20);
      expect(face_11_20.indices, equals([16, 10, 11]));
      final face_11_21 = mesh_11.faces.elementAt(21);
      expect(face_11_21.indices, equals([19, 18, 17]));
      final face_11_22 = mesh_11.faces.elementAt(22);
      expect(face_11_22.indices, equals([18, 20, 17]));
      final face_11_23 = mesh_11.faces.elementAt(23);
      expect(face_11_23.indices, equals([20, 21, 17]));
      final face_11_24 = mesh_11.faces.elementAt(24);
      expect(face_11_24.indices, equals([23, 22, 18]));
      final face_11_25 = mesh_11.faces.elementAt(25);
      expect(face_11_25.indices, equals([22, 24, 18]));
      final face_11_26 = mesh_11.faces.elementAt(26);
      expect(face_11_26.indices, equals([24, 20, 18]));
      final face_11_27 = mesh_11.faces.elementAt(27);
      expect(face_11_27.indices, equals([25, 22, 23]));
      final face_11_28 = mesh_11.faces.elementAt(28);
      expect(face_11_28.indices, equals([26, 24, 22]));
      final face_11_29 = mesh_11.faces.elementAt(29);
      expect(face_11_29.indices, equals([26, 27, 24]));
      final face_11_30 = mesh_11.faces.elementAt(30);
      expect(face_11_30.indices, equals([29, 28, 26]));
      final face_11_31 = mesh_11.faces.elementAt(31);
      expect(face_11_31.indices, equals([28, 30, 26]));
      final face_11_32 = mesh_11.faces.elementAt(32);
      expect(face_11_32.indices, equals([30, 27, 26]));
      final face_11_33 = mesh_11.faces.elementAt(33);
      expect(face_11_33.indices, equals([33, 32, 31]));
      final face_11_34 = mesh_11.faces.elementAt(34);
      expect(face_11_34.indices, equals([33, 35, 34]));
      final face_11_35 = mesh_11.faces.elementAt(35);
      expect(face_11_35.indices, equals([33, 34, 32]));
      final face_11_36 = mesh_11.faces.elementAt(36);
      expect(face_11_36.indices, equals([38, 37, 36]));
      final face_11_37 = mesh_11.faces.elementAt(37);
      expect(face_11_37.indices, equals([37, 39, 36]));
      final face_11_38 = mesh_11.faces.elementAt(38);
      expect(face_11_38.indices, equals([39, 40, 36]));
      final face_11_39 = mesh_11.faces.elementAt(39);
      expect(face_11_39.indices, equals([36, 42, 41]));
      final face_11_40 = mesh_11.faces.elementAt(40);
      expect(face_11_40.indices, equals([36, 40, 43]));
      final face_11_41 = mesh_11.faces.elementAt(41);
      expect(face_11_41.indices, equals([36, 43, 42]));
      final mesh_12 = scene.meshes.elementAt(12);
      final face_12_0 = mesh_12.faces.elementAt(0);
      expect(face_12_0.indices, equals([2, 1, 0]));
      final face_12_1 = mesh_12.faces.elementAt(1);
      expect(face_12_1.indices, equals([2, 3, 1]));
      final face_12_2 = mesh_12.faces.elementAt(2);
      expect(face_12_2.indices, equals([5, 0, 4]));
      final face_12_3 = mesh_12.faces.elementAt(3);
      expect(face_12_3.indices, equals([0, 1, 4]));
      final face_12_4 = mesh_12.faces.elementAt(4);
      expect(face_12_4.indices, equals([4, 1, 3]));
      final face_12_5 = mesh_12.faces.elementAt(5);
      expect(face_12_5.indices, equals([4, 3, 6]));
      final face_12_6 = mesh_12.faces.elementAt(6);
      expect(face_12_6.indices, equals([7, 5, 4]));
      final face_12_7 = mesh_12.faces.elementAt(7);
      expect(face_12_7.indices, equals([7, 4, 8]));
      final face_12_8 = mesh_12.faces.elementAt(8);
      expect(face_12_8.indices, equals([8, 4, 9]));
      final face_12_9 = mesh_12.faces.elementAt(9);
      expect(face_12_9.indices, equals([4, 6, 9]));
      final face_12_10 = mesh_12.faces.elementAt(10);
      expect(face_12_10.indices, equals([11, 7, 10]));
      final face_12_11 = mesh_12.faces.elementAt(11);
      expect(face_12_11.indices, equals([7, 8, 10]));
      final face_12_12 = mesh_12.faces.elementAt(12);
      expect(face_12_12.indices, equals([10, 8, 12]));
      final face_12_13 = mesh_12.faces.elementAt(13);
      expect(face_12_13.indices, equals([14, 12, 13]));
      final face_12_14 = mesh_12.faces.elementAt(14);
      expect(face_12_14.indices, equals([15, 14, 13]));
      final face_12_15 = mesh_12.faces.elementAt(15);
      expect(face_12_15.indices, equals([15, 13, 16]));
      final face_12_16 = mesh_12.faces.elementAt(16);
      expect(face_12_16.indices, equals([13, 18, 17]));
      final face_12_17 = mesh_12.faces.elementAt(17);
      expect(face_12_17.indices, equals([19, 15, 16]));
      final face_12_18 = mesh_12.faces.elementAt(18);
      expect(face_12_18.indices, equals([22, 21, 20]));
      final face_12_19 = mesh_12.faces.elementAt(19);
      expect(face_12_19.indices, equals([22, 23, 21]));
      final face_12_20 = mesh_12.faces.elementAt(20);
      expect(face_12_20.indices, equals([22, 24, 23]));
      final face_12_21 = mesh_12.faces.elementAt(21);
      expect(face_12_21.indices, equals([26, 20, 25]));
      final face_12_22 = mesh_12.faces.elementAt(22);
      expect(face_12_22.indices, equals([20, 21, 25]));
      final face_12_23 = mesh_12.faces.elementAt(23);
      expect(face_12_23.indices, equals([25, 21, 23]));
      final face_12_24 = mesh_12.faces.elementAt(24);
      expect(face_12_24.indices, equals([25, 23, 27]));
      final face_12_25 = mesh_12.faces.elementAt(25);
      expect(face_12_25.indices, equals([27, 23, 28]));
      final face_12_26 = mesh_12.faces.elementAt(26);
      expect(face_12_26.indices, equals([23, 24, 28]));
      final face_12_27 = mesh_12.faces.elementAt(27);
      expect(face_12_27.indices, equals([30, 29, 24]));
      final face_12_28 = mesh_12.faces.elementAt(28);
      expect(face_12_28.indices, equals([28, 24, 29]));
      final face_12_29 = mesh_12.faces.elementAt(29);
      expect(face_12_29.indices, equals([28, 29, 31]));
      final face_12_30 = mesh_12.faces.elementAt(30);
      expect(face_12_30.indices, equals([28, 31, 32]));
      final face_12_31 = mesh_12.faces.elementAt(31);
      expect(face_12_31.indices, equals([34, 33, 32]));
      final face_12_32 = mesh_12.faces.elementAt(32);
      expect(face_12_32.indices, equals([34, 32, 35]));
      final face_12_33 = mesh_12.faces.elementAt(33);
      expect(face_12_33.indices, equals([33, 28, 32]));
      final face_12_34 = mesh_12.faces.elementAt(34);
      expect(face_12_34.indices, equals([34, 35, 36]));
      final face_12_35 = mesh_12.faces.elementAt(35);
      expect(face_12_35.indices, equals([38, 37, 36]));
      final face_12_36 = mesh_12.faces.elementAt(36);
      expect(face_12_36.indices, equals([37, 34, 36]));
      final face_12_37 = mesh_12.faces.elementAt(37);
      expect(face_12_37.indices, equals([38, 40, 39]));
      final face_12_38 = mesh_12.faces.elementAt(38);
      expect(face_12_38.indices, equals([40, 41, 39]));
      final face_12_39 = mesh_12.faces.elementAt(39);
      expect(face_12_39.indices, equals([39, 42, 34]));
      final face_12_40 = mesh_12.faces.elementAt(40);
      expect(face_12_40.indices, equals([44, 43, 41]));
      final face_12_41 = mesh_12.faces.elementAt(41);
      expect(face_12_41.indices, equals([41, 43, 45]));
      final face_12_42 = mesh_12.faces.elementAt(42);
      expect(face_12_42.indices, equals([41, 45, 42]));
      final face_12_43 = mesh_12.faces.elementAt(43);
      expect(face_12_43.indices, equals([42, 45, 34]));
      final face_12_44 = mesh_12.faces.elementAt(44);
      expect(face_12_44.indices, equals([47, 34, 46]));
      final face_12_45 = mesh_12.faces.elementAt(45);
      expect(face_12_45.indices, equals([45, 33, 34]));
      final face_12_46 = mesh_12.faces.elementAt(46);
      expect(face_12_46.indices, equals([48, 47, 46]));
      final face_12_47 = mesh_12.faces.elementAt(47);
      expect(face_12_47.indices, equals([49, 25, 45]));
      final face_12_48 = mesh_12.faces.elementAt(48);
      expect(face_12_48.indices, equals([25, 27, 45]));
      final face_12_49 = mesh_12.faces.elementAt(49);
      expect(face_12_49.indices, equals([50, 33, 45]));
      final face_12_50 = mesh_12.faces.elementAt(50);
      expect(face_12_50.indices, equals([51, 50, 45]));
      final face_12_51 = mesh_12.faces.elementAt(51);
      expect(face_12_51.indices, equals([52, 51, 45]));
      final face_12_52 = mesh_12.faces.elementAt(52);
      expect(face_12_52.indices, equals([45, 27, 53]));
      final face_12_53 = mesh_12.faces.elementAt(53);
      expect(face_12_53.indices, equals([54, 26, 25]));
      final face_12_54 = mesh_12.faces.elementAt(54);
      expect(face_12_54.indices, equals([54, 25, 49]));
      final face_12_55 = mesh_12.faces.elementAt(55);
      expect(face_12_55.indices, equals([27, 28, 55]));
      final face_12_56 = mesh_12.faces.elementAt(56);
      expect(face_12_56.indices, equals([55, 56, 27]));
      final face_12_57 = mesh_12.faces.elementAt(57);
      expect(face_12_57.indices, equals([56, 53, 27]));
      final face_12_58 = mesh_12.faces.elementAt(58);
      expect(face_12_58.indices, equals([56, 55, 57]));
      final face_12_59 = mesh_12.faces.elementAt(59);
      expect(face_12_59.indices, equals([58, 57, 55]));
      final face_12_60 = mesh_12.faces.elementAt(60);
      expect(face_12_60.indices, equals([55, 59, 58]));
      final face_12_61 = mesh_12.faces.elementAt(61);
      expect(face_12_61.indices, equals([59, 55, 28]));
      final face_12_62 = mesh_12.faces.elementAt(62);
      expect(face_12_62.indices, equals([53, 56, 57]));
      final face_12_63 = mesh_12.faces.elementAt(63);
      expect(face_12_63.indices, equals([53, 57, 60]));
      final face_12_64 = mesh_12.faces.elementAt(64);
      expect(face_12_64.indices, equals([60, 61, 53]));
      final face_12_65 = mesh_12.faces.elementAt(65);
      expect(face_12_65.indices, equals([61, 62, 52]));
      final face_12_66 = mesh_12.faces.elementAt(66);
      expect(face_12_66.indices, equals([61, 52, 53]));
      final face_12_67 = mesh_12.faces.elementAt(67);
      expect(face_12_67.indices, equals([51, 52, 62]));
      final face_12_68 = mesh_12.faces.elementAt(68);
      expect(face_12_68.indices, equals([52, 53, 63]));
      final face_12_69 = mesh_12.faces.elementAt(69);
      expect(face_12_69.indices, equals([62, 64, 50]));
      final face_12_70 = mesh_12.faces.elementAt(70);
      expect(face_12_70.indices, equals([50, 51, 62]));
      final face_12_71 = mesh_12.faces.elementAt(71);
      expect(face_12_71.indices, equals([50, 65, 33]));
      final face_12_72 = mesh_12.faces.elementAt(72);
      expect(face_12_72.indices, equals([65, 50, 64]));
      final face_12_73 = mesh_12.faces.elementAt(73);
      expect(face_12_73.indices, equals([64, 66, 65]));
      final face_12_74 = mesh_12.faces.elementAt(74);
      expect(face_12_74.indices, equals([33, 65, 67]));
      final face_12_75 = mesh_12.faces.elementAt(75);
      expect(face_12_75.indices, equals([66, 68, 33]));
      final face_12_76 = mesh_12.faces.elementAt(76);
      expect(face_12_76.indices, equals([68, 28, 33]));
      final face_12_77 = mesh_12.faces.elementAt(77);
      expect(face_12_77.indices, equals([68, 69, 66]));
      final face_12_78 = mesh_12.faces.elementAt(78);
      expect(face_12_78.indices, equals([70, 68, 69]));
      final face_12_79 = mesh_12.faces.elementAt(79);
      expect(face_12_79.indices, equals([68, 70, 28]));
      final face_12_80 = mesh_12.faces.elementAt(80);
      expect(face_12_80.indices, equals([70, 71, 28]));
      final face_12_81 = mesh_12.faces.elementAt(81);
      expect(face_12_81.indices, equals([71, 59, 28]));
      final face_12_82 = mesh_12.faces.elementAt(82);
      expect(face_12_82.indices, equals([71, 70, 72]));
      final face_12_83 = mesh_12.faces.elementAt(83);
      expect(face_12_83.indices, equals([73, 72, 70]));
      final face_12_84 = mesh_12.faces.elementAt(84);
      expect(face_12_84.indices, equals([59, 71, 74]));
      final face_12_85 = mesh_12.faces.elementAt(85);
      expect(face_12_85.indices, equals([72, 74, 71]));
      final face_12_86 = mesh_12.faces.elementAt(86);
      expect(face_12_86.indices, equals([75, 58, 59]));
      final face_12_87 = mesh_12.faces.elementAt(87);
      expect(face_12_87.indices, equals([74, 75, 59]));
      final face_12_88 = mesh_12.faces.elementAt(88);
      expect(face_12_88.indices, equals([77, 44, 76]));
      final face_12_89 = mesh_12.faces.elementAt(89);
      expect(face_12_89.indices, equals([77, 76, 78]));
      final mesh_13 = scene.meshes.elementAt(13);
      final face_13_0 = mesh_13.faces.elementAt(0);
      expect(face_13_0.indices, equals([2, 1, 0]));
      final face_13_1 = mesh_13.faces.elementAt(1);
      expect(face_13_1.indices, equals([2, 0, 3]));
      final face_13_2 = mesh_13.faces.elementAt(2);
      expect(face_13_2.indices, equals([2, 3, 4]));
      final face_13_3 = mesh_13.faces.elementAt(3);
      expect(face_13_3.indices, equals([2, 4, 5]));
      final face_13_4 = mesh_13.faces.elementAt(4);
      expect(face_13_4.indices, equals([0, 1, 6]));
      final face_13_5 = mesh_13.faces.elementAt(5);
      expect(face_13_5.indices, equals([7, 0, 6]));
      final face_13_6 = mesh_13.faces.elementAt(6);
      expect(face_13_6.indices, equals([7, 8, 0]));
      final face_13_7 = mesh_13.faces.elementAt(7);
      expect(face_13_7.indices, equals([3, 0, 8]));
      final face_13_8 = mesh_13.faces.elementAt(8);
      expect(face_13_8.indices, equals([9, 3, 8]));
      final face_13_9 = mesh_13.faces.elementAt(9);
      expect(face_13_9.indices, equals([9, 10, 3]));
      final face_13_10 = mesh_13.faces.elementAt(10);
      expect(face_13_10.indices, equals([4, 3, 10]));
      final face_13_11 = mesh_13.faces.elementAt(11);
      expect(face_13_11.indices, equals([9, 8, 11]));
      final face_13_12 = mesh_13.faces.elementAt(12);
      expect(face_13_12.indices, equals([7, 12, 8]));
      final face_13_13 = mesh_13.faces.elementAt(13);
      expect(face_13_13.indices, equals([11, 8, 12]));
      final face_13_14 = mesh_13.faces.elementAt(14);
      expect(face_13_14.indices, equals([9, 13, 10]));
      final face_13_15 = mesh_13.faces.elementAt(15);
      expect(face_13_15.indices, equals([14, 4, 10]));
      final face_13_16 = mesh_13.faces.elementAt(16);
      expect(face_13_16.indices, equals([14, 10, 15]));
      final face_13_17 = mesh_13.faces.elementAt(17);
      expect(face_13_17.indices, equals([15, 10, 13]));
      final face_13_18 = mesh_13.faces.elementAt(18);
      expect(face_13_18.indices, equals([14, 16, 4]));
      final face_13_19 = mesh_13.faces.elementAt(19);
      expect(face_13_19.indices, equals([5, 4, 16]));
      final mesh_14 = scene.meshes.elementAt(14);
      final face_14_0 = mesh_14.faces.elementAt(0);
      expect(face_14_0.indices, equals([2, 1, 0]));
      final face_14_1 = mesh_14.faces.elementAt(1);
      expect(face_14_1.indices, equals([4, 2, 3]));
      final face_14_2 = mesh_14.faces.elementAt(2);
      expect(face_14_2.indices, equals([4, 1, 2]));
      final face_14_3 = mesh_14.faces.elementAt(3);
      expect(face_14_3.indices, equals([1, 5, 0]));
      final face_14_4 = mesh_14.faces.elementAt(4);
      expect(face_14_4.indices, equals([5, 1, 4]));
      final face_14_5 = mesh_14.faces.elementAt(5);
      expect(face_14_5.indices, equals([4, 3, 6]));
      final face_14_6 = mesh_14.faces.elementAt(6);
      expect(face_14_6.indices, equals([7, 4, 6]));
      final face_14_7 = mesh_14.faces.elementAt(7);
      expect(face_14_7.indices, equals([8, 4, 7]));
      final face_14_8 = mesh_14.faces.elementAt(8);
      expect(face_14_8.indices, equals([8, 9, 4]));
      final face_14_9 = mesh_14.faces.elementAt(9);
      expect(face_14_9.indices, equals([9, 5, 4]));
      final face_14_10 = mesh_14.faces.elementAt(10);
      expect(face_14_10.indices, equals([11, 6, 10]));
      final face_14_11 = mesh_14.faces.elementAt(11);
      expect(face_14_11.indices, equals([11, 7, 6]));
      final face_14_12 = mesh_14.faces.elementAt(12);
      expect(face_14_12.indices, equals([12, 7, 11]));
      final face_14_13 = mesh_14.faces.elementAt(13);
      expect(face_14_13.indices, equals([14, 12, 13]));
      final face_14_14 = mesh_14.faces.elementAt(14);
      expect(face_14_14.indices, equals([14, 13, 15]));
      final face_14_15 = mesh_14.faces.elementAt(15);
      expect(face_14_15.indices, equals([16, 14, 15]));
      final face_14_16 = mesh_14.faces.elementAt(16);
      expect(face_14_16.indices, equals([18, 17, 14]));
      final face_14_17 = mesh_14.faces.elementAt(17);
      expect(face_14_17.indices, equals([16, 15, 19]));
      final face_14_18 = mesh_14.faces.elementAt(18);
      expect(face_14_18.indices, equals([22, 21, 20]));
      final face_14_19 = mesh_14.faces.elementAt(19);
      expect(face_14_19.indices, equals([24, 22, 23]));
      final face_14_20 = mesh_14.faces.elementAt(20);
      expect(face_14_20.indices, equals([24, 21, 22]));
      final face_14_21 = mesh_14.faces.elementAt(21);
      expect(face_14_21.indices, equals([21, 25, 20]));
      final face_14_22 = mesh_14.faces.elementAt(22);
      expect(face_14_22.indices, equals([25, 26, 20]));
      final face_14_23 = mesh_14.faces.elementAt(23);
      expect(face_14_23.indices, equals([25, 21, 24]));
      final face_14_24 = mesh_14.faces.elementAt(24);
      expect(face_14_24.indices, equals([27, 25, 24]));
      final face_14_25 = mesh_14.faces.elementAt(25);
      expect(face_14_25.indices, equals([28, 25, 27]));
      final face_14_26 = mesh_14.faces.elementAt(26);
      expect(face_14_26.indices, equals([28, 26, 25]));
      final face_14_27 = mesh_14.faces.elementAt(27);
      expect(face_14_27.indices, equals([26, 30, 29]));
      final face_14_28 = mesh_14.faces.elementAt(28);
      expect(face_14_28.indices, equals([30, 26, 28]));
      final face_14_29 = mesh_14.faces.elementAt(29);
      expect(face_14_29.indices, equals([31, 30, 28]));
      final face_14_30 = mesh_14.faces.elementAt(30);
      expect(face_14_30.indices, equals([32, 31, 28]));
      final face_14_31 = mesh_14.faces.elementAt(31);
      expect(face_14_31.indices, equals([32, 34, 33]));
      final face_14_32 = mesh_14.faces.elementAt(32);
      expect(face_14_32.indices, equals([35, 32, 33]));
      final face_14_33 = mesh_14.faces.elementAt(33);
      expect(face_14_33.indices, equals([32, 28, 34]));
      final face_14_34 = mesh_14.faces.elementAt(34);
      expect(face_14_34.indices, equals([36, 35, 33]));
      final face_14_35 = mesh_14.faces.elementAt(35);
      expect(face_14_35.indices, equals([36, 38, 37]));
      final face_14_36 = mesh_14.faces.elementAt(36);
      expect(face_14_36.indices, equals([36, 33, 38]));
      final face_14_37 = mesh_14.faces.elementAt(37);
      expect(face_14_37.indices, equals([40, 39, 37]));
      final face_14_38 = mesh_14.faces.elementAt(38);
      expect(face_14_38.indices, equals([40, 41, 39]));
      final face_14_39 = mesh_14.faces.elementAt(39);
      expect(face_14_39.indices, equals([33, 42, 40]));
      final face_14_40 = mesh_14.faces.elementAt(40);
      expect(face_14_40.indices, equals([42, 43, 41]));
      final face_14_41 = mesh_14.faces.elementAt(41);
      expect(face_14_41.indices, equals([33, 43, 42]));
      final face_14_42 = mesh_14.faces.elementAt(42);
      expect(face_14_42.indices, equals([41, 45, 44]));
      final face_14_43 = mesh_14.faces.elementAt(43);
      expect(face_14_43.indices, equals([43, 45, 41]));
      final face_14_44 = mesh_14.faces.elementAt(44);
      expect(face_14_44.indices, equals([47, 44, 46]));
      final face_14_45 = mesh_14.faces.elementAt(45);
      expect(face_14_45.indices, equals([48, 47, 46]));
      final face_14_46 = mesh_14.faces.elementAt(46);
      expect(face_14_46.indices, equals([33, 34, 43]));
      final face_14_47 = mesh_14.faces.elementAt(47);
      expect(face_14_47.indices, equals([43, 24, 49]));
      final face_14_48 = mesh_14.faces.elementAt(48);
      expect(face_14_48.indices, equals([43, 27, 24]));
      final face_14_49 = mesh_14.faces.elementAt(49);
      expect(face_14_49.indices, equals([43, 34, 50]));
      final face_14_50 = mesh_14.faces.elementAt(50);
      expect(face_14_50.indices, equals([43, 50, 51]));
      final face_14_51 = mesh_14.faces.elementAt(51);
      expect(face_14_51.indices, equals([43, 51, 52]));
      final face_14_52 = mesh_14.faces.elementAt(52);
      expect(face_14_52.indices, equals([53, 27, 43]));
      final face_14_53 = mesh_14.faces.elementAt(53);
      expect(face_14_53.indices, equals([55, 33, 54]));
      final face_14_54 = mesh_14.faces.elementAt(54);
      expect(face_14_54.indices, equals([55, 54, 56]));
      final face_14_55 = mesh_14.faces.elementAt(55);
      expect(face_14_55.indices, equals([53, 58, 57]));
      final face_14_56 = mesh_14.faces.elementAt(56);
      expect(face_14_56.indices, equals([53, 52, 58]));
      final face_14_57 = mesh_14.faces.elementAt(57);
      expect(face_14_57.indices, equals([57, 59, 53]));
      final face_14_58 = mesh_14.faces.elementAt(58);
      expect(face_14_58.indices, equals([59, 60, 53]));
      final face_14_59 = mesh_14.faces.elementAt(59);
      expect(face_14_59.indices, equals([27, 53, 60]));
      final face_14_60 = mesh_14.faces.elementAt(60);
      expect(face_14_60.indices, equals([61, 53, 52]));
      final face_14_61 = mesh_14.faces.elementAt(61);
      expect(face_14_61.indices, equals([52, 62, 58]));
      final face_14_62 = mesh_14.faces.elementAt(62);
      expect(face_14_62.indices, equals([50, 63, 62]));
      final face_14_63 = mesh_14.faces.elementAt(63);
      expect(face_14_63.indices, equals([62, 51, 50]));
      final face_14_64 = mesh_14.faces.elementAt(64);
      expect(face_14_64.indices, equals([62, 52, 51]));
      final face_14_65 = mesh_14.faces.elementAt(65);
      expect(face_14_65.indices, equals([63, 50, 64]));
      final face_14_66 = mesh_14.faces.elementAt(66);
      expect(face_14_66.indices, equals([64, 65, 63]));
      final face_14_67 = mesh_14.faces.elementAt(67);
      expect(face_14_67.indices, equals([34, 64, 50]));
      final face_14_68 = mesh_14.faces.elementAt(68);
      expect(face_14_68.indices, equals([66, 64, 34]));
      final face_14_69 = mesh_14.faces.elementAt(69);
      expect(face_14_69.indices, equals([34, 67, 65]));
      final face_14_70 = mesh_14.faces.elementAt(70);
      expect(face_14_70.indices, equals([34, 28, 67]));
      final face_14_71 = mesh_14.faces.elementAt(71);
      expect(face_14_71.indices, equals([65, 68, 67]));
      final face_14_72 = mesh_14.faces.elementAt(72);
      expect(face_14_72.indices, equals([68, 67, 69]));
      final face_14_73 = mesh_14.faces.elementAt(73);
      expect(face_14_73.indices, equals([28, 69, 67]));
      final face_14_74 = mesh_14.faces.elementAt(74);
      expect(face_14_74.indices, equals([28, 70, 69]));
      final face_14_75 = mesh_14.faces.elementAt(75);
      expect(face_14_75.indices, equals([28, 71, 70]));
      final face_14_76 = mesh_14.faces.elementAt(76);
      expect(face_14_76.indices, equals([28, 72, 71]));
      final face_14_77 = mesh_14.faces.elementAt(77);
      expect(face_14_77.indices, equals([72, 28, 27]));
      final face_14_78 = mesh_14.faces.elementAt(78);
      expect(face_14_78.indices, equals([73, 69, 70]));
      final face_14_79 = mesh_14.faces.elementAt(79);
      expect(face_14_79.indices, equals([69, 73, 74]));
      final face_14_80 = mesh_14.faces.elementAt(80);
      expect(face_14_80.indices, equals([75, 70, 71]));
      final face_14_81 = mesh_14.faces.elementAt(81);
      expect(face_14_81.indices, equals([70, 75, 73]));
      final face_14_82 = mesh_14.faces.elementAt(82);
      expect(face_14_82.indices, equals([76, 71, 72]));
      final face_14_83 = mesh_14.faces.elementAt(83);
      expect(face_14_83.indices, equals([71, 76, 77]));
      final face_14_84 = mesh_14.faces.elementAt(84);
      expect(face_14_84.indices, equals([71, 77, 75]));
      final face_14_85 = mesh_14.faces.elementAt(85);
      expect(face_14_85.indices, equals([72, 59, 76]));
      final face_14_86 = mesh_14.faces.elementAt(86);
      expect(face_14_86.indices, equals([59, 72, 60]));
      final face_14_87 = mesh_14.faces.elementAt(87);
      expect(face_14_87.indices, equals([27, 60, 72]));
      final face_14_88 = mesh_14.faces.elementAt(88);
      expect(face_14_88.indices, equals([24, 23, 78]));
      final face_14_89 = mesh_14.faces.elementAt(89);
      expect(face_14_89.indices, equals([49, 24, 78]));
      final mesh_15 = scene.meshes.elementAt(15);
      final face_15_0 = mesh_15.faces.elementAt(0);
      expect(face_15_0.indices, equals([0, 0, 0]));
      final face_15_1 = mesh_15.faces.elementAt(1);
      expect(face_15_1.indices, equals([0, 2, 1]));
      final face_15_2 = mesh_15.faces.elementAt(2);
      expect(face_15_2.indices, equals([0, 0, 0]));
      final face_15_3 = mesh_15.faces.elementAt(3);
      expect(face_15_3.indices, equals([3, 2, 0]));
      final face_15_4 = mesh_15.faces.elementAt(4);
      expect(face_15_4.indices, equals([0, 0, 0]));
      final face_15_5 = mesh_15.faces.elementAt(5);
      expect(face_15_5.indices, equals([0, 4, 3]));
      final face_15_6 = mesh_15.faces.elementAt(6);
      expect(face_15_6.indices, equals([0, 0, 0]));
      final face_15_7 = mesh_15.faces.elementAt(7);
      expect(face_15_7.indices, equals([5, 4, 0]));
      final face_15_8 = mesh_15.faces.elementAt(8);
      expect(face_15_8.indices, equals([0, 0, 0]));
      final face_15_9 = mesh_15.faces.elementAt(9);
      expect(face_15_9.indices, equals([0, 6, 5]));
      final face_15_10 = mesh_15.faces.elementAt(10);
      expect(face_15_10.indices, equals([0, 0, 0]));
      final face_15_11 = mesh_15.faces.elementAt(11);
      expect(face_15_11.indices, equals([7, 6, 0]));
      final face_15_12 = mesh_15.faces.elementAt(12);
      expect(face_15_12.indices, equals([0, 0, 0]));
      final face_15_13 = mesh_15.faces.elementAt(13);
      expect(face_15_13.indices, equals([1, 8, 7]));
      final face_15_14 = mesh_15.faces.elementAt(14);
      expect(face_15_14.indices, equals([11, 10, 9]));
      final face_15_15 = mesh_15.faces.elementAt(15);
      expect(face_15_15.indices, equals([12, 10, 11]));
      final face_15_16 = mesh_15.faces.elementAt(16);
      expect(face_15_16.indices, equals([13, 10, 12]));
      final face_15_17 = mesh_15.faces.elementAt(17);
      expect(face_15_17.indices, equals([14, 10, 13]));
      final face_15_18 = mesh_15.faces.elementAt(18);
      expect(face_15_18.indices, equals([15, 10, 14]));
      final face_15_19 = mesh_15.faces.elementAt(19);
      expect(face_15_19.indices, equals([16, 10, 15]));
      final face_15_20 = mesh_15.faces.elementAt(20);
      expect(face_15_20.indices, equals([9, 10, 16]));
      final face_15_21 = mesh_15.faces.elementAt(21);
      expect(face_15_21.indices, equals([19, 18, 17]));
      final face_15_22 = mesh_15.faces.elementAt(22);
      expect(face_15_22.indices, equals([19, 20, 18]));
      final face_15_23 = mesh_15.faces.elementAt(23);
      expect(face_15_23.indices, equals([19, 21, 20]));
      final face_15_24 = mesh_15.faces.elementAt(24);
      expect(face_15_24.indices, equals([23, 22, 19]));
      final face_15_25 = mesh_15.faces.elementAt(25);
      expect(face_15_25.indices, equals([24, 21, 19]));
      final face_15_26 = mesh_15.faces.elementAt(26);
      expect(face_15_26.indices, equals([22, 24, 19]));
      final face_15_27 = mesh_15.faces.elementAt(27);
      expect(face_15_27.indices, equals([18, 26, 25]));
      final face_15_28 = mesh_15.faces.elementAt(28);
      expect(face_15_28.indices, equals([18, 27, 26]));
      final face_15_29 = mesh_15.faces.elementAt(29);
      expect(face_15_29.indices, equals([18, 28, 27]));
      final face_15_30 = mesh_15.faces.elementAt(30);
      expect(face_15_30.indices, equals([25, 26, 29]));
      final face_15_31 = mesh_15.faces.elementAt(31);
      expect(face_15_31.indices, equals([26, 27, 29]));
      final face_15_32 = mesh_15.faces.elementAt(32);
      expect(face_15_32.indices, equals([32, 31, 30]));
      final face_15_33 = mesh_15.faces.elementAt(33);
      expect(face_15_33.indices, equals([32, 33, 31]));
      final face_15_34 = mesh_15.faces.elementAt(34);
      expect(face_15_34.indices, equals([32, 34, 33]));
      final face_15_35 = mesh_15.faces.elementAt(35);
      expect(face_15_35.indices, equals([36, 35, 32]));
      final face_15_36 = mesh_15.faces.elementAt(36);
      expect(face_15_36.indices, equals([37, 34, 32]));
      final face_15_37 = mesh_15.faces.elementAt(37);
      expect(face_15_37.indices, equals([35, 37, 32]));
      final face_15_38 = mesh_15.faces.elementAt(38);
      expect(face_15_38.indices, equals([38, 35, 36]));
      final face_15_39 = mesh_15.faces.elementAt(39);
      expect(face_15_39.indices, equals([38, 37, 35]));
      final face_15_40 = mesh_15.faces.elementAt(40);
      expect(face_15_40.indices, equals([38, 39, 37]));
      final face_15_41 = mesh_15.faces.elementAt(41);
      expect(face_15_41.indices, equals([41, 40, 38]));
      final mesh_16 = scene.meshes.elementAt(16);
      final face_16_0 = mesh_16.faces.elementAt(0);
      expect(face_16_0.indices, equals([0, 0, 0]));
      final face_16_1 = mesh_16.faces.elementAt(1);
      expect(face_16_1.indices, equals([0, 2, 1]));
      final face_16_2 = mesh_16.faces.elementAt(2);
      expect(face_16_2.indices, equals([0, 0, 0]));
      final face_16_3 = mesh_16.faces.elementAt(3);
      expect(face_16_3.indices, equals([3, 2, 0]));
      final face_16_4 = mesh_16.faces.elementAt(4);
      expect(face_16_4.indices, equals([0, 0, 0]));
      final face_16_5 = mesh_16.faces.elementAt(5);
      expect(face_16_5.indices, equals([0, 4, 3]));
      final face_16_6 = mesh_16.faces.elementAt(6);
      expect(face_16_6.indices, equals([0, 0, 0]));
      final face_16_7 = mesh_16.faces.elementAt(7);
      expect(face_16_7.indices, equals([5, 4, 0]));
      final face_16_8 = mesh_16.faces.elementAt(8);
      expect(face_16_8.indices, equals([0, 0, 0]));
      final face_16_9 = mesh_16.faces.elementAt(9);
      expect(face_16_9.indices, equals([0, 6, 5]));
      final face_16_10 = mesh_16.faces.elementAt(10);
      expect(face_16_10.indices, equals([0, 0, 0]));
      final face_16_11 = mesh_16.faces.elementAt(11);
      expect(face_16_11.indices, equals([7, 6, 0]));
      final face_16_12 = mesh_16.faces.elementAt(12);
      expect(face_16_12.indices, equals([0, 0, 0]));
      final face_16_13 = mesh_16.faces.elementAt(13);
      expect(face_16_13.indices, equals([1, 8, 7]));
      final face_16_14 = mesh_16.faces.elementAt(14);
      expect(face_16_14.indices, equals([11, 10, 9]));
      final face_16_15 = mesh_16.faces.elementAt(15);
      expect(face_16_15.indices, equals([12, 10, 11]));
      final face_16_16 = mesh_16.faces.elementAt(16);
      expect(face_16_16.indices, equals([13, 10, 12]));
      final face_16_17 = mesh_16.faces.elementAt(17);
      expect(face_16_17.indices, equals([14, 10, 13]));
      final face_16_18 = mesh_16.faces.elementAt(18);
      expect(face_16_18.indices, equals([15, 10, 14]));
      final face_16_19 = mesh_16.faces.elementAt(19);
      expect(face_16_19.indices, equals([16, 10, 15]));
      final face_16_20 = mesh_16.faces.elementAt(20);
      expect(face_16_20.indices, equals([9, 10, 16]));
      final face_16_21 = mesh_16.faces.elementAt(21);
      expect(face_16_21.indices, equals([19, 18, 17]));
      final face_16_22 = mesh_16.faces.elementAt(22);
      expect(face_16_22.indices, equals([19, 20, 18]));
      final face_16_23 = mesh_16.faces.elementAt(23);
      expect(face_16_23.indices, equals([19, 21, 20]));
      final face_16_24 = mesh_16.faces.elementAt(24);
      expect(face_16_24.indices, equals([18, 23, 22]));
      final face_16_25 = mesh_16.faces.elementAt(25);
      expect(face_16_25.indices, equals([18, 24, 23]));
      final face_16_26 = mesh_16.faces.elementAt(26);
      expect(face_16_26.indices, equals([18, 20, 24]));
      final face_16_27 = mesh_16.faces.elementAt(27);
      expect(face_16_27.indices, equals([22, 23, 25]));
      final face_16_28 = mesh_16.faces.elementAt(28);
      expect(face_16_28.indices, equals([23, 24, 26]));
      final face_16_29 = mesh_16.faces.elementAt(29);
      expect(face_16_29.indices, equals([24, 27, 26]));
      final face_16_30 = mesh_16.faces.elementAt(30);
      expect(face_16_30.indices, equals([26, 29, 28]));
      final face_16_31 = mesh_16.faces.elementAt(31);
      expect(face_16_31.indices, equals([26, 30, 29]));
      final face_16_32 = mesh_16.faces.elementAt(32);
      expect(face_16_32.indices, equals([26, 27, 30]));
      final face_16_33 = mesh_16.faces.elementAt(33);
      expect(face_16_33.indices, equals([33, 32, 31]));
      final face_16_34 = mesh_16.faces.elementAt(34);
      expect(face_16_34.indices, equals([35, 34, 31]));
      final face_16_35 = mesh_16.faces.elementAt(35);
      expect(face_16_35.indices, equals([32, 35, 31]));
      final face_16_36 = mesh_16.faces.elementAt(36);
      expect(face_16_36.indices, equals([38, 37, 36]));
      final face_16_37 = mesh_16.faces.elementAt(37);
      expect(face_16_37.indices, equals([38, 39, 37]));
      final face_16_38 = mesh_16.faces.elementAt(38);
      expect(face_16_38.indices, equals([38, 40, 39]));
      final face_16_39 = mesh_16.faces.elementAt(39);
      expect(face_16_39.indices, equals([42, 41, 38]));
      final face_16_40 = mesh_16.faces.elementAt(40);
      expect(face_16_40.indices, equals([43, 40, 38]));
      final face_16_41 = mesh_16.faces.elementAt(41);
      expect(face_16_41.indices, equals([41, 43, 38]));
      final mesh_17 = scene.meshes.elementAt(17);
      final face_17_0 = mesh_17.faces.elementAt(0);
      expect(face_17_0.indices, equals([2, 1, 0]));
      final face_17_1 = mesh_17.faces.elementAt(1);
      expect(face_17_1.indices, equals([4, 3, 1]));
      final face_17_2 = mesh_17.faces.elementAt(2);
      expect(face_17_2.indices, equals([7, 6, 5]));
      final face_17_3 = mesh_17.faces.elementAt(3);
      expect(face_17_3.indices, equals([7, 5, 8]));
      final face_17_4 = mesh_17.faces.elementAt(4);
      expect(face_17_4.indices, equals([10, 5, 9]));
      final face_17_5 = mesh_17.faces.elementAt(5);
      expect(face_17_5.indices, equals([5, 6, 9]));
      final face_17_6 = mesh_17.faces.elementAt(6);
      expect(face_17_6.indices, equals([10, 11, 5]));
      final face_17_7 = mesh_17.faces.elementAt(7);
      expect(face_17_7.indices, equals([5, 11, 8]));
      final face_17_8 = mesh_17.faces.elementAt(8);
      expect(face_17_8.indices, equals([10, 9, 12]));
      final face_17_9 = mesh_17.faces.elementAt(9);
      expect(face_17_9.indices, equals([10, 13, 11]));
      final face_17_10 = mesh_17.faces.elementAt(10);
      expect(face_17_10.indices, equals([10, 12, 13]));
      final face_17_11 = mesh_17.faces.elementAt(11);
      expect(face_17_11.indices, equals([15, 14, 11]));
      final face_17_12 = mesh_17.faces.elementAt(12);
      expect(face_17_12.indices, equals([15, 11, 16]));
      final face_17_13 = mesh_17.faces.elementAt(13);
      expect(face_17_13.indices, equals([11, 13, 16]));
      final face_17_14 = mesh_17.faces.elementAt(14);
      expect(face_17_14.indices, equals([17, 16, 13]));
      final face_17_15 = mesh_17.faces.elementAt(15);
      expect(face_17_15.indices, equals([17, 13, 18]));
      final face_17_16 = mesh_17.faces.elementAt(16);
      expect(face_17_16.indices, equals([13, 12, 18]));
      final face_17_17 = mesh_17.faces.elementAt(17);
      expect(face_17_17.indices, equals([19, 18, 12]));
      final face_17_18 = mesh_17.faces.elementAt(18);
      expect(face_17_18.indices, equals([19, 20, 18]));
      final face_17_19 = mesh_17.faces.elementAt(19);
      expect(face_17_19.indices, equals([17, 18, 21]));
      final face_17_20 = mesh_17.faces.elementAt(20);
      expect(face_17_20.indices, equals([18, 20, 21]));
      final face_17_21 = mesh_17.faces.elementAt(21);
      expect(face_17_21.indices, equals([17, 21, 22]));
      final face_17_22 = mesh_17.faces.elementAt(22);
      expect(face_17_22.indices, equals([17, 22, 16]));
      final face_17_23 = mesh_17.faces.elementAt(23);
      expect(face_17_23.indices, equals([15, 16, 23]));
      final face_17_24 = mesh_17.faces.elementAt(24);
      expect(face_17_24.indices, equals([22, 23, 16]));
      final face_17_25 = mesh_17.faces.elementAt(25);
      expect(face_17_25.indices, equals([25, 22, 24]));
      final face_17_26 = mesh_17.faces.elementAt(26);
      expect(face_17_26.indices, equals([22, 21, 24]));
      final face_17_27 = mesh_17.faces.elementAt(27);
      expect(face_17_27.indices, equals([25, 23, 22]));
      final face_17_28 = mesh_17.faces.elementAt(28);
      expect(face_17_28.indices, equals([26, 21, 20]));
      final face_17_29 = mesh_17.faces.elementAt(29);
      expect(face_17_29.indices, equals([26, 24, 21]));
      final face_17_30 = mesh_17.faces.elementAt(30);
      expect(face_17_30.indices, equals([28, 27, 23]));
      final face_17_31 = mesh_17.faces.elementAt(31);
      expect(face_17_31.indices, equals([15, 23, 29]));
      final face_17_32 = mesh_17.faces.elementAt(32);
      expect(face_17_32.indices, equals([23, 27, 29]));
      final face_17_33 = mesh_17.faces.elementAt(33);
      expect(face_17_33.indices, equals([30, 29, 27]));
      final face_17_34 = mesh_17.faces.elementAt(34);
      expect(face_17_34.indices, equals([15, 29, 14]));
      final face_17_35 = mesh_17.faces.elementAt(35);
      expect(face_17_35.indices, equals([14, 29, 31]));
      final face_17_36 = mesh_17.faces.elementAt(36);
      expect(face_17_36.indices, equals([32, 14, 31]));
      final face_17_37 = mesh_17.faces.elementAt(37);
      expect(face_17_37.indices, equals([35, 34, 33]));
      final mesh_18 = scene.meshes.elementAt(18);
      final face_18_0 = mesh_18.faces.elementAt(0);
      expect(face_18_0.indices, equals([2, 1, 0]));
      final face_18_1 = mesh_18.faces.elementAt(1);
      expect(face_18_1.indices, equals([1, 4, 3]));
      final face_18_2 = mesh_18.faces.elementAt(2);
      expect(face_18_2.indices, equals([7, 6, 5]));
      final face_18_3 = mesh_18.faces.elementAt(3);
      expect(face_18_3.indices, equals([9, 7, 8]));
      final face_18_4 = mesh_18.faces.elementAt(4);
      expect(face_18_4.indices, equals([9, 6, 7]));
      final face_18_5 = mesh_18.faces.elementAt(5);
      expect(face_18_5.indices, equals([7, 10, 8]));
      final face_18_6 = mesh_18.faces.elementAt(6);
      expect(face_18_6.indices, equals([11, 7, 5]));
      final face_18_7 = mesh_18.faces.elementAt(7);
      expect(face_18_7.indices, equals([11, 10, 7]));
      final face_18_8 = mesh_18.faces.elementAt(8);
      expect(face_18_8.indices, equals([12, 9, 8]));
      final face_18_9 = mesh_18.faces.elementAt(9);
      expect(face_18_9.indices, equals([10, 13, 8]));
      final face_18_10 = mesh_18.faces.elementAt(10);
      expect(face_18_10.indices, equals([13, 12, 8]));
      final face_18_11 = mesh_18.faces.elementAt(11);
      expect(face_18_11.indices, equals([10, 15, 14]));
      final face_18_12 = mesh_18.faces.elementAt(12);
      expect(face_18_12.indices, equals([16, 10, 14]));
      final face_18_13 = mesh_18.faces.elementAt(13);
      expect(face_18_13.indices, equals([16, 13, 10]));
      final face_18_14 = mesh_18.faces.elementAt(14);
      expect(face_18_14.indices, equals([13, 16, 17]));
      final face_18_15 = mesh_18.faces.elementAt(15);
      expect(face_18_15.indices, equals([18, 13, 17]));
      final face_18_16 = mesh_18.faces.elementAt(16);
      expect(face_18_16.indices, equals([18, 12, 13]));
      final face_18_17 = mesh_18.faces.elementAt(17);
      expect(face_18_17.indices, equals([12, 18, 19]));
      final face_18_18 = mesh_18.faces.elementAt(18);
      expect(face_18_18.indices, equals([18, 20, 19]));
      final face_18_19 = mesh_18.faces.elementAt(19);
      expect(face_18_19.indices, equals([21, 18, 17]));
      final face_18_20 = mesh_18.faces.elementAt(20);
      expect(face_18_20.indices, equals([21, 20, 18]));
      final face_18_21 = mesh_18.faces.elementAt(21);
      expect(face_18_21.indices, equals([22, 21, 17]));
      final face_18_22 = mesh_18.faces.elementAt(22);
      expect(face_18_22.indices, equals([16, 22, 17]));
      final face_18_23 = mesh_18.faces.elementAt(23);
      expect(face_18_23.indices, equals([23, 16, 14]));
      final face_18_24 = mesh_18.faces.elementAt(24);
      expect(face_18_24.indices, equals([16, 23, 22]));
      final face_18_25 = mesh_18.faces.elementAt(25);
      expect(face_18_25.indices, equals([25, 22, 24]));
      final face_18_26 = mesh_18.faces.elementAt(26);
      expect(face_18_26.indices, equals([25, 21, 22]));
      final face_18_27 = mesh_18.faces.elementAt(27);
      expect(face_18_27.indices, equals([22, 23, 24]));
      final face_18_28 = mesh_18.faces.elementAt(28);
      expect(face_18_28.indices, equals([20, 21, 26]));
      final face_18_29 = mesh_18.faces.elementAt(29);
      expect(face_18_29.indices, equals([21, 25, 26]));
      final face_18_30 = mesh_18.faces.elementAt(30);
      expect(face_18_30.indices, equals([23, 28, 27]));
      final face_18_31 = mesh_18.faces.elementAt(31);
      expect(face_18_31.indices, equals([29, 23, 14]));
      final face_18_32 = mesh_18.faces.elementAt(32);
      expect(face_18_32.indices, equals([29, 28, 23]));
      final face_18_33 = mesh_18.faces.elementAt(33);
      expect(face_18_33.indices, equals([28, 29, 30]));
      final face_18_34 = mesh_18.faces.elementAt(34);
      expect(face_18_34.indices, equals([15, 29, 14]));
      final face_18_35 = mesh_18.faces.elementAt(35);
      expect(face_18_35.indices, equals([31, 29, 15]));
      final face_18_36 = mesh_18.faces.elementAt(36);
      expect(face_18_36.indices, equals([31, 15, 32]));
      final face_18_37 = mesh_18.faces.elementAt(37);
      expect(face_18_37.indices, equals([35, 34, 33]));
    });
  });

  test('fbx', () {
    testScene('huesitos.fbx', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([0, 1, 2]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([3, 4, 5]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([6, 7, 8]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([9, 10, 11]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([12, 13, 14]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([15, 16, 17]));
      final face_0_6 = mesh_0.faces.elementAt(6);
      expect(face_0_6.indices, equals([18, 19, 20]));
      final face_0_7 = mesh_0.faces.elementAt(7);
      expect(face_0_7.indices, equals([21, 22, 23]));
      final face_0_8 = mesh_0.faces.elementAt(8);
      expect(face_0_8.indices, equals([24, 25, 26, 27]));
      final face_0_9 = mesh_0.faces.elementAt(9);
      expect(face_0_9.indices, equals([28, 29, 30, 31]));
      final face_0_10 = mesh_0.faces.elementAt(10);
      expect(face_0_10.indices, equals([32, 33, 34, 35]));
      final face_0_11 = mesh_0.faces.elementAt(11);
      expect(face_0_11.indices, equals([36, 37, 38, 39]));
      final face_0_12 = mesh_0.faces.elementAt(12);
      expect(face_0_12.indices, equals([40, 41, 42, 43]));
      final face_0_13 = mesh_0.faces.elementAt(13);
      expect(face_0_13.indices, equals([44, 45, 46, 47]));
      final face_0_14 = mesh_0.faces.elementAt(14);
      expect(face_0_14.indices, equals([48, 49, 50, 51]));
      final face_0_15 = mesh_0.faces.elementAt(15);
      expect(face_0_15.indices, equals([52, 53, 54, 55]));
      final face_0_16 = mesh_0.faces.elementAt(16);
      expect(face_0_16.indices, equals([56, 57, 58, 59]));
      final face_0_17 = mesh_0.faces.elementAt(17);
      expect(face_0_17.indices, equals([60, 61, 62, 63]));
      final face_0_18 = mesh_0.faces.elementAt(18);
      expect(face_0_18.indices, equals([64, 65, 66, 67]));
      final face_0_19 = mesh_0.faces.elementAt(19);
      expect(face_0_19.indices, equals([68, 69, 70, 71]));
      final face_0_20 = mesh_0.faces.elementAt(20);
      expect(face_0_20.indices, equals([72, 73, 74, 75]));
      final face_0_21 = mesh_0.faces.elementAt(21);
      expect(face_0_21.indices, equals([76, 77, 78, 79]));
      final face_0_22 = mesh_0.faces.elementAt(22);
      expect(face_0_22.indices, equals([80, 81, 82, 83]));
      final face_0_23 = mesh_0.faces.elementAt(23);
      expect(face_0_23.indices, equals([84, 85, 86, 87]));
      final face_0_24 = mesh_0.faces.elementAt(24);
      expect(face_0_24.indices, equals([88, 89, 90, 91]));
      final face_0_25 = mesh_0.faces.elementAt(25);
      expect(face_0_25.indices, equals([92, 93, 94, 95]));
      final face_0_26 = mesh_0.faces.elementAt(26);
      expect(face_0_26.indices, equals([96, 97, 98, 99]));
      final face_0_27 = mesh_0.faces.elementAt(27);
      expect(face_0_27.indices, equals([100, 101, 102, 103]));
      final face_0_28 = mesh_0.faces.elementAt(28);
      expect(face_0_28.indices, equals([104, 105, 106, 107]));
      final face_0_29 = mesh_0.faces.elementAt(29);
      expect(face_0_29.indices, equals([108, 109, 110, 111]));
      final face_0_30 = mesh_0.faces.elementAt(30);
      expect(face_0_30.indices, equals([112, 113, 114, 115]));
      final face_0_31 = mesh_0.faces.elementAt(31);
      expect(face_0_31.indices, equals([116, 117, 118, 119]));
      final face_0_32 = mesh_0.faces.elementAt(32);
      expect(face_0_32.indices, equals([120, 121, 122, 123]));
      final face_0_33 = mesh_0.faces.elementAt(33);
      expect(face_0_33.indices, equals([124, 125, 126, 127]));
      final face_0_34 = mesh_0.faces.elementAt(34);
      expect(face_0_34.indices, equals([128, 129, 130, 131]));
      final face_0_35 = mesh_0.faces.elementAt(35);
      expect(face_0_35.indices, equals([132, 133, 134, 135]));
      final face_0_36 = mesh_0.faces.elementAt(36);
      expect(face_0_36.indices, equals([136, 137, 138, 139]));
      final face_0_37 = mesh_0.faces.elementAt(37);
      expect(face_0_37.indices, equals([140, 141, 142, 143]));
      final face_0_38 = mesh_0.faces.elementAt(38);
      expect(face_0_38.indices, equals([144, 145, 146, 147]));
      final face_0_39 = mesh_0.faces.elementAt(39);
      expect(face_0_39.indices, equals([148, 149, 150, 151]));
      final face_0_40 = mesh_0.faces.elementAt(40);
      expect(face_0_40.indices, equals([152, 153, 154, 155]));
      final face_0_41 = mesh_0.faces.elementAt(41);
      expect(face_0_41.indices, equals([156, 157, 158, 159]));
      final face_0_42 = mesh_0.faces.elementAt(42);
      expect(face_0_42.indices, equals([160, 161, 162, 163]));
      final face_0_43 = mesh_0.faces.elementAt(43);
      expect(face_0_43.indices, equals([164, 165, 166, 167]));
      final face_0_44 = mesh_0.faces.elementAt(44);
      expect(face_0_44.indices, equals([168, 169, 170, 171]));
      final face_0_45 = mesh_0.faces.elementAt(45);
      expect(face_0_45.indices, equals([172, 173, 174, 175]));
      final face_0_46 = mesh_0.faces.elementAt(46);
      expect(face_0_46.indices, equals([176, 177, 178, 179]));
      final face_0_47 = mesh_0.faces.elementAt(47);
      expect(face_0_47.indices, equals([180, 181, 182, 183]));
      final face_0_48 = mesh_0.faces.elementAt(48);
      expect(face_0_48.indices, equals([184, 185, 186, 187]));
      final face_0_49 = mesh_0.faces.elementAt(49);
      expect(face_0_49.indices, equals([188, 189, 190, 191]));
      final face_0_50 = mesh_0.faces.elementAt(50);
      expect(face_0_50.indices, equals([192, 193, 194, 195]));
      final face_0_51 = mesh_0.faces.elementAt(51);
      expect(face_0_51.indices, equals([196, 197, 198, 199]));
      final face_0_52 = mesh_0.faces.elementAt(52);
      expect(face_0_52.indices, equals([200, 201, 202, 203]));
      final face_0_53 = mesh_0.faces.elementAt(53);
      expect(face_0_53.indices, equals([204, 205, 206, 207]));
      final face_0_54 = mesh_0.faces.elementAt(54);
      expect(face_0_54.indices, equals([208, 209, 210, 211]));
      final face_0_55 = mesh_0.faces.elementAt(55);
      expect(face_0_55.indices, equals([212, 213, 214, 215]));
      final face_0_56 = mesh_0.faces.elementAt(56);
      expect(face_0_56.indices, equals([216, 217, 218, 219]));
      final face_0_57 = mesh_0.faces.elementAt(57);
      expect(face_0_57.indices, equals([220, 221, 222, 223]));
      final face_0_58 = mesh_0.faces.elementAt(58);
      expect(face_0_58.indices, equals([224, 225, 226, 227]));
      final face_0_59 = mesh_0.faces.elementAt(59);
      expect(face_0_59.indices, equals([228, 229, 230, 231]));
      final face_0_60 = mesh_0.faces.elementAt(60);
      expect(face_0_60.indices, equals([232, 233, 234]));
      final face_0_61 = mesh_0.faces.elementAt(61);
      expect(face_0_61.indices, equals([235, 236, 237]));
      final face_0_62 = mesh_0.faces.elementAt(62);
      expect(face_0_62.indices, equals([238, 239, 240]));
      final face_0_63 = mesh_0.faces.elementAt(63);
      expect(face_0_63.indices, equals([241, 242, 243]));
      final face_0_64 = mesh_0.faces.elementAt(64);
      expect(face_0_64.indices, equals([244, 245, 246]));
      final face_0_65 = mesh_0.faces.elementAt(65);
      expect(face_0_65.indices, equals([247, 248, 249]));
      final face_0_66 = mesh_0.faces.elementAt(66);
      expect(face_0_66.indices, equals([250, 251, 252]));
      final face_0_67 = mesh_0.faces.elementAt(67);
      expect(face_0_67.indices, equals([253, 254, 255]));
    });
  });

  test('collada', () {
    testScene('anims.dae', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([0, 1, 2, 3]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([4, 5, 6, 7]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([8, 9, 10, 11]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([12, 13, 14, 15]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([16, 17, 18, 19]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([20, 21, 22, 23]));
      final mesh_1 = scene.meshes.elementAt(1);
      final face_1_0 = mesh_1.faces.elementAt(0);
      expect(face_1_0.indices, equals([0, 1, 2, 3]));
      final face_1_1 = mesh_1.faces.elementAt(1);
      expect(face_1_1.indices, equals([4, 5, 6, 7]));
      final face_1_2 = mesh_1.faces.elementAt(2);
      expect(face_1_2.indices, equals([8, 9, 10, 11]));
      final face_1_3 = mesh_1.faces.elementAt(3);
      expect(face_1_3.indices, equals([12, 13, 14, 15]));
      final face_1_4 = mesh_1.faces.elementAt(4);
      expect(face_1_4.indices, equals([16, 17, 18, 19]));
      final face_1_5 = mesh_1.faces.elementAt(5);
      expect(face_1_5.indices, equals([20, 21, 22, 23]));
      final mesh_2 = scene.meshes.elementAt(2);
      final face_2_0 = mesh_2.faces.elementAt(0);
      expect(face_2_0.indices, equals([0, 1, 2, 3]));
      final face_2_1 = mesh_2.faces.elementAt(1);
      expect(face_2_1.indices, equals([4, 5, 6, 7]));
      final face_2_2 = mesh_2.faces.elementAt(2);
      expect(face_2_2.indices, equals([8, 9, 10, 11]));
      final face_2_3 = mesh_2.faces.elementAt(3);
      expect(face_2_3.indices, equals([12, 13, 14, 15]));
      final face_2_4 = mesh_2.faces.elementAt(4);
      expect(face_2_4.indices, equals([16, 17, 18, 19]));
      final face_2_5 = mesh_2.faces.elementAt(5);
      expect(face_2_5.indices, equals([20, 21, 22, 23]));
      final mesh_3 = scene.meshes.elementAt(3);
      final face_3_0 = mesh_3.faces.elementAt(0);
      expect(face_3_0.indices, equals([0, 1, 2, 3]));
      final face_3_1 = mesh_3.faces.elementAt(1);
      expect(face_3_1.indices, equals([4, 5, 6, 7]));
      final face_3_2 = mesh_3.faces.elementAt(2);
      expect(face_3_2.indices, equals([8, 9, 10, 11]));
      final face_3_3 = mesh_3.faces.elementAt(3);
      expect(face_3_3.indices, equals([12, 13, 14, 15]));
      final face_3_4 = mesh_3.faces.elementAt(4);
      expect(face_3_4.indices, equals([16, 17, 18, 19]));
      final face_3_5 = mesh_3.faces.elementAt(5);
      expect(face_3_5.indices, equals([20, 21, 22, 23]));
      final mesh_4 = scene.meshes.elementAt(4);
      final face_4_0 = mesh_4.faces.elementAt(0);
      expect(face_4_0.indices, equals([0, 1, 2, 3]));
      final face_4_1 = mesh_4.faces.elementAt(1);
      expect(face_4_1.indices, equals([4, 5, 6, 7]));
      final face_4_2 = mesh_4.faces.elementAt(2);
      expect(face_4_2.indices, equals([8, 9, 10, 11]));
      final face_4_3 = mesh_4.faces.elementAt(3);
      expect(face_4_3.indices, equals([12, 13, 14, 15]));
      final face_4_4 = mesh_4.faces.elementAt(4);
      expect(face_4_4.indices, equals([16, 17, 18, 19]));
      final face_4_5 = mesh_4.faces.elementAt(5);
      expect(face_4_5.indices, equals([20, 21, 22, 23]));
      final mesh_5 = scene.meshes.elementAt(5);
      final face_5_0 = mesh_5.faces.elementAt(0);
      expect(face_5_0.indices, equals([0, 1, 2, 3]));
      final face_5_1 = mesh_5.faces.elementAt(1);
      expect(face_5_1.indices, equals([4, 5, 6, 7]));
      final face_5_2 = mesh_5.faces.elementAt(2);
      expect(face_5_2.indices, equals([8, 9, 10, 11]));
      final face_5_3 = mesh_5.faces.elementAt(3);
      expect(face_5_3.indices, equals([12, 13, 14, 15]));
      final face_5_4 = mesh_5.faces.elementAt(4);
      expect(face_5_4.indices, equals([16, 17, 18, 19]));
      final face_5_5 = mesh_5.faces.elementAt(5);
      expect(face_5_5.indices, equals([20, 21, 22, 23]));
      final mesh_6 = scene.meshes.elementAt(6);
      final face_6_0 = mesh_6.faces.elementAt(0);
      expect(face_6_0.indices, equals([0, 1, 2, 3]));
      final face_6_1 = mesh_6.faces.elementAt(1);
      expect(face_6_1.indices, equals([4, 5, 6, 7]));
      final face_6_2 = mesh_6.faces.elementAt(2);
      expect(face_6_2.indices, equals([8, 9, 10, 11]));
      final face_6_3 = mesh_6.faces.elementAt(3);
      expect(face_6_3.indices, equals([12, 13, 14, 15]));
      final face_6_4 = mesh_6.faces.elementAt(4);
      expect(face_6_4.indices, equals([16, 17, 18, 19]));
      final face_6_5 = mesh_6.faces.elementAt(5);
      expect(face_6_5.indices, equals([20, 21, 22, 23]));
      final mesh_7 = scene.meshes.elementAt(7);
      final face_7_0 = mesh_7.faces.elementAt(0);
      expect(face_7_0.indices, equals([0, 1, 2, 3]));
      final face_7_1 = mesh_7.faces.elementAt(1);
      expect(face_7_1.indices, equals([4, 5, 6, 7]));
      final face_7_2 = mesh_7.faces.elementAt(2);
      expect(face_7_2.indices, equals([8, 9, 10, 11]));
      final face_7_3 = mesh_7.faces.elementAt(3);
      expect(face_7_3.indices, equals([12, 13, 14, 15]));
      final face_7_4 = mesh_7.faces.elementAt(4);
      expect(face_7_4.indices, equals([16, 17, 18, 19]));
      final face_7_5 = mesh_7.faces.elementAt(5);
      expect(face_7_5.indices, equals([20, 21, 22, 23]));
      final mesh_8 = scene.meshes.elementAt(8);
      final face_8_0 = mesh_8.faces.elementAt(0);
      expect(face_8_0.indices, equals([0, 1, 2, 3]));
      final face_8_1 = mesh_8.faces.elementAt(1);
      expect(face_8_1.indices, equals([4, 5, 6, 7]));
      final face_8_2 = mesh_8.faces.elementAt(2);
      expect(face_8_2.indices, equals([8, 9, 10, 11]));
      final face_8_3 = mesh_8.faces.elementAt(3);
      expect(face_8_3.indices, equals([12, 13, 14, 15]));
      final face_8_4 = mesh_8.faces.elementAt(4);
      expect(face_8_4.indices, equals([16, 17, 18, 19]));
      final face_8_5 = mesh_8.faces.elementAt(5);
      expect(face_8_5.indices, equals([20, 21, 22, 23]));
      final mesh_9 = scene.meshes.elementAt(9);
      final face_9_0 = mesh_9.faces.elementAt(0);
      expect(face_9_0.indices, equals([0, 1, 2, 3]));
      final face_9_1 = mesh_9.faces.elementAt(1);
      expect(face_9_1.indices, equals([4, 5, 6, 7]));
      final face_9_2 = mesh_9.faces.elementAt(2);
      expect(face_9_2.indices, equals([8, 9, 10, 11]));
      final face_9_3 = mesh_9.faces.elementAt(3);
      expect(face_9_3.indices, equals([12, 13, 14, 15]));
      final face_9_4 = mesh_9.faces.elementAt(4);
      expect(face_9_4.indices, equals([16, 17, 18, 19]));
      final face_9_5 = mesh_9.faces.elementAt(5);
      expect(face_9_5.indices, equals([20, 21, 22, 23]));
      final mesh_10 = scene.meshes.elementAt(10);
      final face_10_0 = mesh_10.faces.elementAt(0);
      expect(face_10_0.indices, equals([0, 1, 2, 3]));
      final face_10_1 = mesh_10.faces.elementAt(1);
      expect(face_10_1.indices, equals([4, 5, 6, 7]));
      final face_10_2 = mesh_10.faces.elementAt(2);
      expect(face_10_2.indices, equals([8, 9, 10, 11]));
      final face_10_3 = mesh_10.faces.elementAt(3);
      expect(face_10_3.indices, equals([12, 13, 14, 15]));
      final face_10_4 = mesh_10.faces.elementAt(4);
      expect(face_10_4.indices, equals([16, 17, 18, 19]));
      final face_10_5 = mesh_10.faces.elementAt(5);
      expect(face_10_5.indices, equals([20, 21, 22, 23]));
      final mesh_11 = scene.meshes.elementAt(11);
      final face_11_0 = mesh_11.faces.elementAt(0);
      expect(face_11_0.indices, equals([0, 1, 2, 3]));
      final face_11_1 = mesh_11.faces.elementAt(1);
      expect(face_11_1.indices, equals([4, 5, 6, 7]));
      final face_11_2 = mesh_11.faces.elementAt(2);
      expect(face_11_2.indices, equals([8, 9, 10, 11]));
      final face_11_3 = mesh_11.faces.elementAt(3);
      expect(face_11_3.indices, equals([12, 13, 14, 15]));
      final face_11_4 = mesh_11.faces.elementAt(4);
      expect(face_11_4.indices, equals([16, 17, 18, 19]));
      final face_11_5 = mesh_11.faces.elementAt(5);
      expect(face_11_5.indices, equals([20, 21, 22, 23]));
      final mesh_12 = scene.meshes.elementAt(12);
      final face_12_0 = mesh_12.faces.elementAt(0);
      expect(face_12_0.indices, equals([0, 1, 2, 3]));
      final face_12_1 = mesh_12.faces.elementAt(1);
      expect(face_12_1.indices, equals([4, 5, 6, 7]));
      final face_12_2 = mesh_12.faces.elementAt(2);
      expect(face_12_2.indices, equals([8, 9, 10, 11]));
      final face_12_3 = mesh_12.faces.elementAt(3);
      expect(face_12_3.indices, equals([12, 13, 14, 15]));
      final face_12_4 = mesh_12.faces.elementAt(4);
      expect(face_12_4.indices, equals([16, 17, 18, 19]));
      final face_12_5 = mesh_12.faces.elementAt(5);
      expect(face_12_5.indices, equals([20, 21, 22, 23]));
      final mesh_13 = scene.meshes.elementAt(13);
      final face_13_0 = mesh_13.faces.elementAt(0);
      expect(face_13_0.indices, equals([0, 1, 2, 3]));
      final face_13_1 = mesh_13.faces.elementAt(1);
      expect(face_13_1.indices, equals([4, 5, 6, 7]));
      final face_13_2 = mesh_13.faces.elementAt(2);
      expect(face_13_2.indices, equals([8, 9, 10, 11]));
      final face_13_3 = mesh_13.faces.elementAt(3);
      expect(face_13_3.indices, equals([12, 13, 14, 15]));
      final face_13_4 = mesh_13.faces.elementAt(4);
      expect(face_13_4.indices, equals([16, 17, 18, 19]));
      final face_13_5 = mesh_13.faces.elementAt(5);
      expect(face_13_5.indices, equals([20, 21, 22, 23]));
      final mesh_14 = scene.meshes.elementAt(14);
      final face_14_0 = mesh_14.faces.elementAt(0);
      expect(face_14_0.indices, equals([0, 1, 2, 3]));
      final face_14_1 = mesh_14.faces.elementAt(1);
      expect(face_14_1.indices, equals([4, 5, 6, 7]));
      final face_14_2 = mesh_14.faces.elementAt(2);
      expect(face_14_2.indices, equals([8, 9, 10, 11]));
      final face_14_3 = mesh_14.faces.elementAt(3);
      expect(face_14_3.indices, equals([12, 13, 14, 15]));
      final face_14_4 = mesh_14.faces.elementAt(4);
      expect(face_14_4.indices, equals([16, 17, 18, 19]));
      final face_14_5 = mesh_14.faces.elementAt(5);
      expect(face_14_5.indices, equals([20, 21, 22, 23]));
      final mesh_15 = scene.meshes.elementAt(15);
      final face_15_0 = mesh_15.faces.elementAt(0);
      expect(face_15_0.indices, equals([0, 1, 2, 3]));
      final face_15_1 = mesh_15.faces.elementAt(1);
      expect(face_15_1.indices, equals([4, 5, 6, 7]));
      final face_15_2 = mesh_15.faces.elementAt(2);
      expect(face_15_2.indices, equals([8, 9, 10, 11]));
      final face_15_3 = mesh_15.faces.elementAt(3);
      expect(face_15_3.indices, equals([12, 13, 14, 15]));
      final face_15_4 = mesh_15.faces.elementAt(4);
      expect(face_15_4.indices, equals([16, 17, 18, 19]));
      final face_15_5 = mesh_15.faces.elementAt(5);
      expect(face_15_5.indices, equals([20, 21, 22, 23]));
      final mesh_16 = scene.meshes.elementAt(16);
      final face_16_0 = mesh_16.faces.elementAt(0);
      expect(face_16_0.indices, equals([0, 1, 2, 3]));
      final face_16_1 = mesh_16.faces.elementAt(1);
      expect(face_16_1.indices, equals([4, 5, 6, 7]));
      final face_16_2 = mesh_16.faces.elementAt(2);
      expect(face_16_2.indices, equals([8, 9, 10, 11]));
      final face_16_3 = mesh_16.faces.elementAt(3);
      expect(face_16_3.indices, equals([12, 13, 14, 15]));
      final face_16_4 = mesh_16.faces.elementAt(4);
      expect(face_16_4.indices, equals([16, 17, 18, 19]));
      final face_16_5 = mesh_16.faces.elementAt(5);
      expect(face_16_5.indices, equals([20, 21, 22, 23]));
      final mesh_17 = scene.meshes.elementAt(17);
      final face_17_0 = mesh_17.faces.elementAt(0);
      expect(face_17_0.indices, equals([0, 1, 2, 3]));
      final face_17_1 = mesh_17.faces.elementAt(1);
      expect(face_17_1.indices, equals([4, 5, 6, 7]));
      final face_17_2 = mesh_17.faces.elementAt(2);
      expect(face_17_2.indices, equals([8, 9, 10, 11]));
      final face_17_3 = mesh_17.faces.elementAt(3);
      expect(face_17_3.indices, equals([12, 13, 14, 15]));
      final face_17_4 = mesh_17.faces.elementAt(4);
      expect(face_17_4.indices, equals([16, 17, 18, 19]));
      final face_17_5 = mesh_17.faces.elementAt(5);
      expect(face_17_5.indices, equals([20, 21, 22, 23]));
      final mesh_18 = scene.meshes.elementAt(18);
      final face_18_0 = mesh_18.faces.elementAt(0);
      expect(face_18_0.indices, equals([0, 1, 2, 3]));
      final face_18_1 = mesh_18.faces.elementAt(1);
      expect(face_18_1.indices, equals([4, 5, 6, 7]));
      final face_18_2 = mesh_18.faces.elementAt(2);
      expect(face_18_2.indices, equals([8, 9, 10, 11]));
      final face_18_3 = mesh_18.faces.elementAt(3);
      expect(face_18_3.indices, equals([12, 13, 14, 15]));
      final face_18_4 = mesh_18.faces.elementAt(4);
      expect(face_18_4.indices, equals([16, 17, 18, 19]));
      final face_18_5 = mesh_18.faces.elementAt(5);
      expect(face_18_5.indices, equals([20, 21, 22, 23]));
      final mesh_19 = scene.meshes.elementAt(19);
      final face_19_0 = mesh_19.faces.elementAt(0);
      expect(face_19_0.indices, equals([0, 1, 2, 3]));
      final face_19_1 = mesh_19.faces.elementAt(1);
      expect(face_19_1.indices, equals([4, 5, 6, 7]));
      final face_19_2 = mesh_19.faces.elementAt(2);
      expect(face_19_2.indices, equals([8, 9, 10, 11]));
      final face_19_3 = mesh_19.faces.elementAt(3);
      expect(face_19_3.indices, equals([12, 13, 14, 15]));
      final face_19_4 = mesh_19.faces.elementAt(4);
      expect(face_19_4.indices, equals([16, 17, 18, 19]));
      final face_19_5 = mesh_19.faces.elementAt(5);
      expect(face_19_5.indices, equals([20, 21, 22, 23]));
      final mesh_20 = scene.meshes.elementAt(20);
      final face_20_0 = mesh_20.faces.elementAt(0);
      expect(face_20_0.indices, equals([0, 1, 2, 3]));
      final face_20_1 = mesh_20.faces.elementAt(1);
      expect(face_20_1.indices, equals([4, 5, 6, 7]));
      final face_20_2 = mesh_20.faces.elementAt(2);
      expect(face_20_2.indices, equals([8, 9, 10, 11]));
      final face_20_3 = mesh_20.faces.elementAt(3);
      expect(face_20_3.indices, equals([12, 13, 14, 15]));
      final face_20_4 = mesh_20.faces.elementAt(4);
      expect(face_20_4.indices, equals([16, 17, 18, 19]));
      final face_20_5 = mesh_20.faces.elementAt(5);
      expect(face_20_5.indices, equals([20, 21, 22, 23]));
      final mesh_21 = scene.meshes.elementAt(21);
      final face_21_0 = mesh_21.faces.elementAt(0);
      expect(face_21_0.indices, equals([0, 1, 2, 3]));
      final face_21_1 = mesh_21.faces.elementAt(1);
      expect(face_21_1.indices, equals([4, 5, 6, 7]));
      final face_21_2 = mesh_21.faces.elementAt(2);
      expect(face_21_2.indices, equals([8, 9, 10, 11]));
      final face_21_3 = mesh_21.faces.elementAt(3);
      expect(face_21_3.indices, equals([12, 13, 14, 15]));
      final face_21_4 = mesh_21.faces.elementAt(4);
      expect(face_21_4.indices, equals([16, 17, 18, 19]));
      final face_21_5 = mesh_21.faces.elementAt(5);
      expect(face_21_5.indices, equals([20, 21, 22, 23]));
      final mesh_22 = scene.meshes.elementAt(22);
      final face_22_0 = mesh_22.faces.elementAt(0);
      expect(face_22_0.indices, equals([0, 1, 2, 3]));
      final face_22_1 = mesh_22.faces.elementAt(1);
      expect(face_22_1.indices, equals([4, 5, 6, 7]));
      final face_22_2 = mesh_22.faces.elementAt(2);
      expect(face_22_2.indices, equals([8, 9, 10, 11]));
      final face_22_3 = mesh_22.faces.elementAt(3);
      expect(face_22_3.indices, equals([12, 13, 14, 15]));
      final face_22_4 = mesh_22.faces.elementAt(4);
      expect(face_22_4.indices, equals([16, 17, 18, 19]));
      final face_22_5 = mesh_22.faces.elementAt(5);
      expect(face_22_5.indices, equals([20, 21, 22, 23]));
      final mesh_23 = scene.meshes.elementAt(23);
      final face_23_0 = mesh_23.faces.elementAt(0);
      expect(face_23_0.indices, equals([0, 1, 2, 3]));
      final face_23_1 = mesh_23.faces.elementAt(1);
      expect(face_23_1.indices, equals([4, 5, 6, 7]));
      final face_23_2 = mesh_23.faces.elementAt(2);
      expect(face_23_2.indices, equals([8, 9, 10, 11]));
      final face_23_3 = mesh_23.faces.elementAt(3);
      expect(face_23_3.indices, equals([12, 13, 14, 15]));
      final face_23_4 = mesh_23.faces.elementAt(4);
      expect(face_23_4.indices, equals([16, 17, 18, 19]));
      final face_23_5 = mesh_23.faces.elementAt(5);
      expect(face_23_5.indices, equals([20, 21, 22, 23]));
      final mesh_24 = scene.meshes.elementAt(24);
      final face_24_0 = mesh_24.faces.elementAt(0);
      expect(face_24_0.indices, equals([0, 1, 2, 3]));
      final face_24_1 = mesh_24.faces.elementAt(1);
      expect(face_24_1.indices, equals([4, 5, 6, 7]));
      final face_24_2 = mesh_24.faces.elementAt(2);
      expect(face_24_2.indices, equals([8, 9, 10, 11]));
      final face_24_3 = mesh_24.faces.elementAt(3);
      expect(face_24_3.indices, equals([12, 13, 14, 15]));
      final face_24_4 = mesh_24.faces.elementAt(4);
      expect(face_24_4.indices, equals([16, 17, 18, 19]));
      final face_24_5 = mesh_24.faces.elementAt(5);
      expect(face_24_5.indices, equals([20, 21, 22, 23]));
      final mesh_25 = scene.meshes.elementAt(25);
      final face_25_0 = mesh_25.faces.elementAt(0);
      expect(face_25_0.indices, equals([0, 1, 2, 3]));
      final face_25_1 = mesh_25.faces.elementAt(1);
      expect(face_25_1.indices, equals([4, 5, 6, 7]));
      final face_25_2 = mesh_25.faces.elementAt(2);
      expect(face_25_2.indices, equals([8, 9, 10, 11]));
      final face_25_3 = mesh_25.faces.elementAt(3);
      expect(face_25_3.indices, equals([12, 13, 14, 15]));
      final face_25_4 = mesh_25.faces.elementAt(4);
      expect(face_25_4.indices, equals([16, 17, 18, 19]));
      final face_25_5 = mesh_25.faces.elementAt(5);
      expect(face_25_5.indices, equals([20, 21, 22, 23]));
      final mesh_26 = scene.meshes.elementAt(26);
      final face_26_0 = mesh_26.faces.elementAt(0);
      expect(face_26_0.indices, equals([0, 1, 2, 3]));
      final face_26_1 = mesh_26.faces.elementAt(1);
      expect(face_26_1.indices, equals([4, 5, 6, 7]));
      final face_26_2 = mesh_26.faces.elementAt(2);
      expect(face_26_2.indices, equals([8, 9, 10, 11]));
      final face_26_3 = mesh_26.faces.elementAt(3);
      expect(face_26_3.indices, equals([12, 13, 14, 15]));
      final face_26_4 = mesh_26.faces.elementAt(4);
      expect(face_26_4.indices, equals([16, 17, 18, 19]));
      final face_26_5 = mesh_26.faces.elementAt(5);
      expect(face_26_5.indices, equals([20, 21, 22, 23]));
      final mesh_27 = scene.meshes.elementAt(27);
      final face_27_0 = mesh_27.faces.elementAt(0);
      expect(face_27_0.indices, equals([0, 1, 2, 3]));
      final face_27_1 = mesh_27.faces.elementAt(1);
      expect(face_27_1.indices, equals([4, 5, 6, 7]));
      final face_27_2 = mesh_27.faces.elementAt(2);
      expect(face_27_2.indices, equals([8, 9, 10, 11]));
      final face_27_3 = mesh_27.faces.elementAt(3);
      expect(face_27_3.indices, equals([12, 13, 14, 15]));
      final face_27_4 = mesh_27.faces.elementAt(4);
      expect(face_27_4.indices, equals([16, 17, 18, 19]));
      final face_27_5 = mesh_27.faces.elementAt(5);
      expect(face_27_5.indices, equals([20, 21, 22, 23]));
      final mesh_28 = scene.meshes.elementAt(28);
      final face_28_0 = mesh_28.faces.elementAt(0);
      expect(face_28_0.indices, equals([0, 1, 2, 3]));
      final face_28_1 = mesh_28.faces.elementAt(1);
      expect(face_28_1.indices, equals([4, 5, 6, 7]));
      final face_28_2 = mesh_28.faces.elementAt(2);
      expect(face_28_2.indices, equals([8, 9, 10, 11]));
      final face_28_3 = mesh_28.faces.elementAt(3);
      expect(face_28_3.indices, equals([12, 13, 14, 15]));
      final face_28_4 = mesh_28.faces.elementAt(4);
      expect(face_28_4.indices, equals([16, 17, 18, 19]));
      final face_28_5 = mesh_28.faces.elementAt(5);
      expect(face_28_5.indices, equals([20, 21, 22, 23]));
      final mesh_29 = scene.meshes.elementAt(29);
      final face_29_0 = mesh_29.faces.elementAt(0);
      expect(face_29_0.indices, equals([0, 1, 2, 3]));
      final face_29_1 = mesh_29.faces.elementAt(1);
      expect(face_29_1.indices, equals([4, 5, 6, 7]));
      final face_29_2 = mesh_29.faces.elementAt(2);
      expect(face_29_2.indices, equals([8, 9, 10, 11]));
      final face_29_3 = mesh_29.faces.elementAt(3);
      expect(face_29_3.indices, equals([12, 13, 14, 15]));
      final face_29_4 = mesh_29.faces.elementAt(4);
      expect(face_29_4.indices, equals([16, 17, 18, 19]));
      final face_29_5 = mesh_29.faces.elementAt(5);
      expect(face_29_5.indices, equals([20, 21, 22, 23]));
      final mesh_30 = scene.meshes.elementAt(30);
      final face_30_0 = mesh_30.faces.elementAt(0);
      expect(face_30_0.indices, equals([0, 1, 2, 3]));
      final face_30_1 = mesh_30.faces.elementAt(1);
      expect(face_30_1.indices, equals([4, 5, 6, 7]));
      final face_30_2 = mesh_30.faces.elementAt(2);
      expect(face_30_2.indices, equals([8, 9, 10, 11]));
      final face_30_3 = mesh_30.faces.elementAt(3);
      expect(face_30_3.indices, equals([12, 13, 14, 15]));
      final face_30_4 = mesh_30.faces.elementAt(4);
      expect(face_30_4.indices, equals([16, 17, 18, 19]));
      final face_30_5 = mesh_30.faces.elementAt(5);
      expect(face_30_5.indices, equals([20, 21, 22, 23]));
      final mesh_31 = scene.meshes.elementAt(31);
      final face_31_0 = mesh_31.faces.elementAt(0);
      expect(face_31_0.indices, equals([0, 1, 2, 3]));
      final face_31_1 = mesh_31.faces.elementAt(1);
      expect(face_31_1.indices, equals([4, 5, 6, 7]));
      final face_31_2 = mesh_31.faces.elementAt(2);
      expect(face_31_2.indices, equals([8, 9, 10, 11]));
      final face_31_3 = mesh_31.faces.elementAt(3);
      expect(face_31_3.indices, equals([12, 13, 14, 15]));
      final face_31_4 = mesh_31.faces.elementAt(4);
      expect(face_31_4.indices, equals([16, 17, 18, 19]));
      final face_31_5 = mesh_31.faces.elementAt(5);
      expect(face_31_5.indices, equals([20, 21, 22, 23]));
      final mesh_32 = scene.meshes.elementAt(32);
      final face_32_0 = mesh_32.faces.elementAt(0);
      expect(face_32_0.indices, equals([0, 1, 2, 3]));
      final face_32_1 = mesh_32.faces.elementAt(1);
      expect(face_32_1.indices, equals([4, 5, 6, 7]));
      final face_32_2 = mesh_32.faces.elementAt(2);
      expect(face_32_2.indices, equals([8, 9, 10, 11]));
      final face_32_3 = mesh_32.faces.elementAt(3);
      expect(face_32_3.indices, equals([12, 13, 14, 15]));
      final face_32_4 = mesh_32.faces.elementAt(4);
      expect(face_32_4.indices, equals([16, 17, 18, 19]));
      final face_32_5 = mesh_32.faces.elementAt(5);
      expect(face_32_5.indices, equals([20, 21, 22, 23]));
      final mesh_33 = scene.meshes.elementAt(33);
      final face_33_0 = mesh_33.faces.elementAt(0);
      expect(face_33_0.indices, equals([0, 1, 2, 3]));
      final face_33_1 = mesh_33.faces.elementAt(1);
      expect(face_33_1.indices, equals([4, 5, 6, 7]));
      final face_33_2 = mesh_33.faces.elementAt(2);
      expect(face_33_2.indices, equals([8, 9, 10, 11]));
      final face_33_3 = mesh_33.faces.elementAt(3);
      expect(face_33_3.indices, equals([12, 13, 14, 15]));
      final face_33_4 = mesh_33.faces.elementAt(4);
      expect(face_33_4.indices, equals([16, 17, 18, 19]));
      final face_33_5 = mesh_33.faces.elementAt(5);
      expect(face_33_5.indices, equals([20, 21, 22, 23]));
      final mesh_34 = scene.meshes.elementAt(34);
      final face_34_0 = mesh_34.faces.elementAt(0);
      expect(face_34_0.indices, equals([0, 1, 2, 3]));
      final face_34_1 = mesh_34.faces.elementAt(1);
      expect(face_34_1.indices, equals([4, 5, 6, 7]));
      final face_34_2 = mesh_34.faces.elementAt(2);
      expect(face_34_2.indices, equals([8, 9, 10, 11]));
      final face_34_3 = mesh_34.faces.elementAt(3);
      expect(face_34_3.indices, equals([12, 13, 14, 15]));
      final face_34_4 = mesh_34.faces.elementAt(4);
      expect(face_34_4.indices, equals([16, 17, 18, 19]));
      final face_34_5 = mesh_34.faces.elementAt(5);
      expect(face_34_5.indices, equals([20, 21, 22, 23]));
      final mesh_35 = scene.meshes.elementAt(35);
      final face_35_0 = mesh_35.faces.elementAt(0);
      expect(face_35_0.indices, equals([0, 1, 2, 3]));
      final face_35_1 = mesh_35.faces.elementAt(1);
      expect(face_35_1.indices, equals([4, 5, 6, 7]));
      final face_35_2 = mesh_35.faces.elementAt(2);
      expect(face_35_2.indices, equals([8, 9, 10, 11]));
      final face_35_3 = mesh_35.faces.elementAt(3);
      expect(face_35_3.indices, equals([12, 13, 14, 15]));
      final face_35_4 = mesh_35.faces.elementAt(4);
      expect(face_35_4.indices, equals([16, 17, 18, 19]));
      final face_35_5 = mesh_35.faces.elementAt(5);
      expect(face_35_5.indices, equals([20, 21, 22, 23]));
      final mesh_36 = scene.meshes.elementAt(36);
      final face_36_0 = mesh_36.faces.elementAt(0);
      expect(face_36_0.indices, equals([0, 1, 2, 3]));
      final face_36_1 = mesh_36.faces.elementAt(1);
      expect(face_36_1.indices, equals([4, 5, 6, 7]));
      final face_36_2 = mesh_36.faces.elementAt(2);
      expect(face_36_2.indices, equals([8, 9, 10, 11]));
      final face_36_3 = mesh_36.faces.elementAt(3);
      expect(face_36_3.indices, equals([12, 13, 14, 15]));
      final face_36_4 = mesh_36.faces.elementAt(4);
      expect(face_36_4.indices, equals([16, 17, 18, 19]));
      final face_36_5 = mesh_36.faces.elementAt(5);
      expect(face_36_5.indices, equals([20, 21, 22, 23]));
      final mesh_37 = scene.meshes.elementAt(37);
      final face_37_0 = mesh_37.faces.elementAt(0);
      expect(face_37_0.indices, equals([0, 1, 2, 3]));
      final face_37_1 = mesh_37.faces.elementAt(1);
      expect(face_37_1.indices, equals([4, 5, 6, 7]));
      final face_37_2 = mesh_37.faces.elementAt(2);
      expect(face_37_2.indices, equals([8, 9, 10, 11]));
      final face_37_3 = mesh_37.faces.elementAt(3);
      expect(face_37_3.indices, equals([12, 13, 14, 15]));
      final face_37_4 = mesh_37.faces.elementAt(4);
      expect(face_37_4.indices, equals([16, 17, 18, 19]));
      final face_37_5 = mesh_37.faces.elementAt(5);
      expect(face_37_5.indices, equals([20, 21, 22, 23]));
      final mesh_38 = scene.meshes.elementAt(38);
      final face_38_0 = mesh_38.faces.elementAt(0);
      expect(face_38_0.indices, equals([0, 1, 2, 3]));
      final face_38_1 = mesh_38.faces.elementAt(1);
      expect(face_38_1.indices, equals([4, 5, 6, 7]));
      final face_38_2 = mesh_38.faces.elementAt(2);
      expect(face_38_2.indices, equals([8, 9, 10, 11]));
      final face_38_3 = mesh_38.faces.elementAt(3);
      expect(face_38_3.indices, equals([12, 13, 14, 15]));
      final face_38_4 = mesh_38.faces.elementAt(4);
      expect(face_38_4.indices, equals([16, 17, 18, 19]));
      final face_38_5 = mesh_38.faces.elementAt(5);
      expect(face_38_5.indices, equals([20, 21, 22, 23]));
      final mesh_39 = scene.meshes.elementAt(39);
      final face_39_0 = mesh_39.faces.elementAt(0);
      expect(face_39_0.indices, equals([0, 1, 2, 3]));
      final face_39_1 = mesh_39.faces.elementAt(1);
      expect(face_39_1.indices, equals([4, 5, 6, 7]));
      final face_39_2 = mesh_39.faces.elementAt(2);
      expect(face_39_2.indices, equals([8, 9, 10, 11]));
      final face_39_3 = mesh_39.faces.elementAt(3);
      expect(face_39_3.indices, equals([12, 13, 14, 15]));
      final face_39_4 = mesh_39.faces.elementAt(4);
      expect(face_39_4.indices, equals([16, 17, 18, 19]));
      final face_39_5 = mesh_39.faces.elementAt(5);
      expect(face_39_5.indices, equals([20, 21, 22, 23]));
      final mesh_40 = scene.meshes.elementAt(40);
      final face_40_0 = mesh_40.faces.elementAt(0);
      expect(face_40_0.indices, equals([0, 1, 2, 3]));
      final face_40_1 = mesh_40.faces.elementAt(1);
      expect(face_40_1.indices, equals([4, 5, 6, 7]));
      final face_40_2 = mesh_40.faces.elementAt(2);
      expect(face_40_2.indices, equals([8, 9, 10, 11]));
      final face_40_3 = mesh_40.faces.elementAt(3);
      expect(face_40_3.indices, equals([12, 13, 14, 15]));
      final face_40_4 = mesh_40.faces.elementAt(4);
      expect(face_40_4.indices, equals([16, 17, 18, 19]));
      final face_40_5 = mesh_40.faces.elementAt(5);
      expect(face_40_5.indices, equals([20, 21, 22, 23]));
      final mesh_41 = scene.meshes.elementAt(41);
      final face_41_0 = mesh_41.faces.elementAt(0);
      expect(face_41_0.indices, equals([0, 1, 2, 3]));
      final face_41_1 = mesh_41.faces.elementAt(1);
      expect(face_41_1.indices, equals([4, 5, 6, 7]));
      final face_41_2 = mesh_41.faces.elementAt(2);
      expect(face_41_2.indices, equals([8, 9, 10, 11]));
      final face_41_3 = mesh_41.faces.elementAt(3);
      expect(face_41_3.indices, equals([12, 13, 14, 15]));
      final face_41_4 = mesh_41.faces.elementAt(4);
      expect(face_41_4.indices, equals([16, 17, 18, 19]));
      final face_41_5 = mesh_41.faces.elementAt(5);
      expect(face_41_5.indices, equals([20, 21, 22, 23]));
      final mesh_42 = scene.meshes.elementAt(42);
      final face_42_0 = mesh_42.faces.elementAt(0);
      expect(face_42_0.indices, equals([0, 1, 2, 3]));
      final face_42_1 = mesh_42.faces.elementAt(1);
      expect(face_42_1.indices, equals([4, 5, 6, 7]));
      final face_42_2 = mesh_42.faces.elementAt(2);
      expect(face_42_2.indices, equals([8, 9, 10, 11]));
      final face_42_3 = mesh_42.faces.elementAt(3);
      expect(face_42_3.indices, equals([12, 13, 14, 15]));
      final face_42_4 = mesh_42.faces.elementAt(4);
      expect(face_42_4.indices, equals([16, 17, 18, 19]));
      final face_42_5 = mesh_42.faces.elementAt(5);
      expect(face_42_5.indices, equals([20, 21, 22, 23]));
      final mesh_43 = scene.meshes.elementAt(43);
      final face_43_0 = mesh_43.faces.elementAt(0);
      expect(face_43_0.indices, equals([0, 1, 2, 3]));
      final face_43_1 = mesh_43.faces.elementAt(1);
      expect(face_43_1.indices, equals([4, 5, 6, 7]));
      final face_43_2 = mesh_43.faces.elementAt(2);
      expect(face_43_2.indices, equals([8, 9, 10, 11]));
      final face_43_3 = mesh_43.faces.elementAt(3);
      expect(face_43_3.indices, equals([12, 13, 14, 15]));
      final face_43_4 = mesh_43.faces.elementAt(4);
      expect(face_43_4.indices, equals([16, 17, 18, 19]));
      final face_43_5 = mesh_43.faces.elementAt(5);
      expect(face_43_5.indices, equals([20, 21, 22, 23]));
      final mesh_44 = scene.meshes.elementAt(44);
      final face_44_0 = mesh_44.faces.elementAt(0);
      expect(face_44_0.indices, equals([0, 1, 2, 3]));
      final face_44_1 = mesh_44.faces.elementAt(1);
      expect(face_44_1.indices, equals([4, 5, 6, 7]));
      final face_44_2 = mesh_44.faces.elementAt(2);
      expect(face_44_2.indices, equals([8, 9, 10, 11]));
      final face_44_3 = mesh_44.faces.elementAt(3);
      expect(face_44_3.indices, equals([12, 13, 14, 15]));
      final face_44_4 = mesh_44.faces.elementAt(4);
      expect(face_44_4.indices, equals([16, 17, 18, 19]));
      final face_44_5 = mesh_44.faces.elementAt(5);
      expect(face_44_5.indices, equals([20, 21, 22, 23]));
      final mesh_45 = scene.meshes.elementAt(45);
      final face_45_0 = mesh_45.faces.elementAt(0);
      expect(face_45_0.indices, equals([0, 1, 2, 3]));
      final face_45_1 = mesh_45.faces.elementAt(1);
      expect(face_45_1.indices, equals([4, 5, 6, 7]));
      final face_45_2 = mesh_45.faces.elementAt(2);
      expect(face_45_2.indices, equals([8, 9, 10, 11]));
      final face_45_3 = mesh_45.faces.elementAt(3);
      expect(face_45_3.indices, equals([12, 13, 14, 15]));
      final face_45_4 = mesh_45.faces.elementAt(4);
      expect(face_45_4.indices, equals([16, 17, 18, 19]));
      final face_45_5 = mesh_45.faces.elementAt(5);
      expect(face_45_5.indices, equals([20, 21, 22, 23]));
      final mesh_46 = scene.meshes.elementAt(46);
      final face_46_0 = mesh_46.faces.elementAt(0);
      expect(face_46_0.indices, equals([0, 1, 2, 3]));
      final face_46_1 = mesh_46.faces.elementAt(1);
      expect(face_46_1.indices, equals([4, 5, 6, 7]));
      final face_46_2 = mesh_46.faces.elementAt(2);
      expect(face_46_2.indices, equals([8, 9, 10, 11]));
      final face_46_3 = mesh_46.faces.elementAt(3);
      expect(face_46_3.indices, equals([12, 13, 14, 15]));
      final face_46_4 = mesh_46.faces.elementAt(4);
      expect(face_46_4.indices, equals([16, 17, 18, 19]));
      final face_46_5 = mesh_46.faces.elementAt(5);
      expect(face_46_5.indices, equals([20, 21, 22, 23]));
      final mesh_47 = scene.meshes.elementAt(47);
      final face_47_0 = mesh_47.faces.elementAt(0);
      expect(face_47_0.indices, equals([0, 1, 2, 3]));
      final face_47_1 = mesh_47.faces.elementAt(1);
      expect(face_47_1.indices, equals([4, 5, 6, 7]));
      final face_47_2 = mesh_47.faces.elementAt(2);
      expect(face_47_2.indices, equals([8, 9, 10, 11]));
      final face_47_3 = mesh_47.faces.elementAt(3);
      expect(face_47_3.indices, equals([12, 13, 14, 15]));
      final face_47_4 = mesh_47.faces.elementAt(4);
      expect(face_47_4.indices, equals([16, 17, 18, 19]));
      final face_47_5 = mesh_47.faces.elementAt(5);
      expect(face_47_5.indices, equals([20, 21, 22, 23]));
      final mesh_48 = scene.meshes.elementAt(48);
      final face_48_0 = mesh_48.faces.elementAt(0);
      expect(face_48_0.indices, equals([0, 1, 2, 3]));
      final face_48_1 = mesh_48.faces.elementAt(1);
      expect(face_48_1.indices, equals([4, 5, 6, 7]));
      final face_48_2 = mesh_48.faces.elementAt(2);
      expect(face_48_2.indices, equals([8, 9, 10, 11]));
      final face_48_3 = mesh_48.faces.elementAt(3);
      expect(face_48_3.indices, equals([12, 13, 14, 15]));
      final face_48_4 = mesh_48.faces.elementAt(4);
      expect(face_48_4.indices, equals([16, 17, 18, 19]));
      final face_48_5 = mesh_48.faces.elementAt(5);
      expect(face_48_5.indices, equals([20, 21, 22, 23]));
      final mesh_49 = scene.meshes.elementAt(49);
      final face_49_0 = mesh_49.faces.elementAt(0);
      expect(face_49_0.indices, equals([0, 1, 2, 3]));
      final face_49_1 = mesh_49.faces.elementAt(1);
      expect(face_49_1.indices, equals([4, 5, 6, 7]));
      final face_49_2 = mesh_49.faces.elementAt(2);
      expect(face_49_2.indices, equals([8, 9, 10, 11]));
      final face_49_3 = mesh_49.faces.elementAt(3);
      expect(face_49_3.indices, equals([12, 13, 14, 15]));
      final face_49_4 = mesh_49.faces.elementAt(4);
      expect(face_49_4.indices, equals([16, 17, 18, 19]));
      final face_49_5 = mesh_49.faces.elementAt(5);
      expect(face_49_5.indices, equals([20, 21, 22, 23]));
      final mesh_50 = scene.meshes.elementAt(50);
      final face_50_0 = mesh_50.faces.elementAt(0);
      expect(face_50_0.indices, equals([0, 1, 2, 3]));
      final face_50_1 = mesh_50.faces.elementAt(1);
      expect(face_50_1.indices, equals([4, 5, 6, 7]));
      final face_50_2 = mesh_50.faces.elementAt(2);
      expect(face_50_2.indices, equals([8, 9, 10, 11]));
      final face_50_3 = mesh_50.faces.elementAt(3);
      expect(face_50_3.indices, equals([12, 13, 14, 15]));
      final face_50_4 = mesh_50.faces.elementAt(4);
      expect(face_50_4.indices, equals([16, 17, 18, 19]));
      final face_50_5 = mesh_50.faces.elementAt(5);
      expect(face_50_5.indices, equals([20, 21, 22, 23]));
      final mesh_51 = scene.meshes.elementAt(51);
      final face_51_0 = mesh_51.faces.elementAt(0);
      expect(face_51_0.indices, equals([0, 1, 2, 3]));
      final face_51_1 = mesh_51.faces.elementAt(1);
      expect(face_51_1.indices, equals([4, 5, 6, 7]));
      final face_51_2 = mesh_51.faces.elementAt(2);
      expect(face_51_2.indices, equals([8, 9, 10, 11]));
      final face_51_3 = mesh_51.faces.elementAt(3);
      expect(face_51_3.indices, equals([12, 13, 14, 15]));
      final face_51_4 = mesh_51.faces.elementAt(4);
      expect(face_51_4.indices, equals([16, 17, 18, 19]));
      final face_51_5 = mesh_51.faces.elementAt(5);
      expect(face_51_5.indices, equals([20, 21, 22, 23]));
      final mesh_52 = scene.meshes.elementAt(52);
      final face_52_0 = mesh_52.faces.elementAt(0);
      expect(face_52_0.indices, equals([0, 1, 2, 3]));
      final face_52_1 = mesh_52.faces.elementAt(1);
      expect(face_52_1.indices, equals([4, 5, 6, 7]));
      final face_52_2 = mesh_52.faces.elementAt(2);
      expect(face_52_2.indices, equals([8, 9, 10, 11]));
      final face_52_3 = mesh_52.faces.elementAt(3);
      expect(face_52_3.indices, equals([12, 13, 14, 15]));
      final face_52_4 = mesh_52.faces.elementAt(4);
      expect(face_52_4.indices, equals([16, 17, 18, 19]));
      final face_52_5 = mesh_52.faces.elementAt(5);
      expect(face_52_5.indices, equals([20, 21, 22, 23]));
      final mesh_53 = scene.meshes.elementAt(53);
      final face_53_0 = mesh_53.faces.elementAt(0);
      expect(face_53_0.indices, equals([0, 1, 2, 3]));
      final face_53_1 = mesh_53.faces.elementAt(1);
      expect(face_53_1.indices, equals([4, 5, 6, 7]));
      final face_53_2 = mesh_53.faces.elementAt(2);
      expect(face_53_2.indices, equals([8, 9, 10, 11]));
      final face_53_3 = mesh_53.faces.elementAt(3);
      expect(face_53_3.indices, equals([12, 13, 14, 15]));
      final face_53_4 = mesh_53.faces.elementAt(4);
      expect(face_53_4.indices, equals([16, 17, 18, 19]));
      final face_53_5 = mesh_53.faces.elementAt(5);
      expect(face_53_5.indices, equals([20, 21, 22, 23]));
      final mesh_54 = scene.meshes.elementAt(54);
      final face_54_0 = mesh_54.faces.elementAt(0);
      expect(face_54_0.indices, equals([0, 1, 2, 3]));
      final face_54_1 = mesh_54.faces.elementAt(1);
      expect(face_54_1.indices, equals([4, 5, 6, 7]));
      final face_54_2 = mesh_54.faces.elementAt(2);
      expect(face_54_2.indices, equals([8, 9, 10, 11]));
      final face_54_3 = mesh_54.faces.elementAt(3);
      expect(face_54_3.indices, equals([12, 13, 14, 15]));
      final face_54_4 = mesh_54.faces.elementAt(4);
      expect(face_54_4.indices, equals([16, 17, 18, 19]));
      final face_54_5 = mesh_54.faces.elementAt(5);
      expect(face_54_5.indices, equals([20, 21, 22, 23]));
      final mesh_55 = scene.meshes.elementAt(55);
      final face_55_0 = mesh_55.faces.elementAt(0);
      expect(face_55_0.indices, equals([0, 1, 2, 3]));
      final face_55_1 = mesh_55.faces.elementAt(1);
      expect(face_55_1.indices, equals([4, 5, 6, 7]));
      final face_55_2 = mesh_55.faces.elementAt(2);
      expect(face_55_2.indices, equals([8, 9, 10, 11]));
      final face_55_3 = mesh_55.faces.elementAt(3);
      expect(face_55_3.indices, equals([12, 13, 14, 15]));
      final face_55_4 = mesh_55.faces.elementAt(4);
      expect(face_55_4.indices, equals([16, 17, 18, 19]));
      final face_55_5 = mesh_55.faces.elementAt(5);
      expect(face_55_5.indices, equals([20, 21, 22, 23]));
      final mesh_56 = scene.meshes.elementAt(56);
      final face_56_0 = mesh_56.faces.elementAt(0);
      expect(face_56_0.indices, equals([0, 1, 2, 3]));
      final face_56_1 = mesh_56.faces.elementAt(1);
      expect(face_56_1.indices, equals([4, 5, 6, 7]));
      final face_56_2 = mesh_56.faces.elementAt(2);
      expect(face_56_2.indices, equals([8, 9, 10, 11]));
      final face_56_3 = mesh_56.faces.elementAt(3);
      expect(face_56_3.indices, equals([12, 13, 14, 15]));
      final face_56_4 = mesh_56.faces.elementAt(4);
      expect(face_56_4.indices, equals([16, 17, 18, 19]));
      final face_56_5 = mesh_56.faces.elementAt(5);
      expect(face_56_5.indices, equals([20, 21, 22, 23]));
      final mesh_57 = scene.meshes.elementAt(57);
      final face_57_0 = mesh_57.faces.elementAt(0);
      expect(face_57_0.indices, equals([0, 1, 2, 3]));
      final face_57_1 = mesh_57.faces.elementAt(1);
      expect(face_57_1.indices, equals([4, 5, 6, 7]));
      final face_57_2 = mesh_57.faces.elementAt(2);
      expect(face_57_2.indices, equals([8, 9, 10, 11]));
      final face_57_3 = mesh_57.faces.elementAt(3);
      expect(face_57_3.indices, equals([12, 13, 14, 15]));
      final face_57_4 = mesh_57.faces.elementAt(4);
      expect(face_57_4.indices, equals([16, 17, 18, 19]));
      final face_57_5 = mesh_57.faces.elementAt(5);
      expect(face_57_5.indices, equals([20, 21, 22, 23]));
      final mesh_58 = scene.meshes.elementAt(58);
      final face_58_0 = mesh_58.faces.elementAt(0);
      expect(face_58_0.indices, equals([0, 1, 2, 3]));
      final face_58_1 = mesh_58.faces.elementAt(1);
      expect(face_58_1.indices, equals([4, 5, 6, 7]));
      final face_58_2 = mesh_58.faces.elementAt(2);
      expect(face_58_2.indices, equals([8, 9, 10, 11]));
      final face_58_3 = mesh_58.faces.elementAt(3);
      expect(face_58_3.indices, equals([12, 13, 14, 15]));
      final face_58_4 = mesh_58.faces.elementAt(4);
      expect(face_58_4.indices, equals([16, 17, 18, 19]));
      final face_58_5 = mesh_58.faces.elementAt(5);
      expect(face_58_5.indices, equals([20, 21, 22, 23]));
      final mesh_59 = scene.meshes.elementAt(59);
      final face_59_0 = mesh_59.faces.elementAt(0);
      expect(face_59_0.indices, equals([0, 1, 2, 3]));
      final face_59_1 = mesh_59.faces.elementAt(1);
      expect(face_59_1.indices, equals([4, 5, 6, 7]));
      final face_59_2 = mesh_59.faces.elementAt(2);
      expect(face_59_2.indices, equals([8, 9, 10, 11]));
      final face_59_3 = mesh_59.faces.elementAt(3);
      expect(face_59_3.indices, equals([12, 13, 14, 15]));
      final face_59_4 = mesh_59.faces.elementAt(4);
      expect(face_59_4.indices, equals([16, 17, 18, 19]));
      final face_59_5 = mesh_59.faces.elementAt(5);
      expect(face_59_5.indices, equals([20, 21, 22, 23]));
      final mesh_60 = scene.meshes.elementAt(60);
      final face_60_0 = mesh_60.faces.elementAt(0);
      expect(face_60_0.indices, equals([0, 1, 2, 3]));
      final face_60_1 = mesh_60.faces.elementAt(1);
      expect(face_60_1.indices, equals([4, 5, 6, 7]));
      final face_60_2 = mesh_60.faces.elementAt(2);
      expect(face_60_2.indices, equals([8, 9, 10, 11]));
      final face_60_3 = mesh_60.faces.elementAt(3);
      expect(face_60_3.indices, equals([12, 13, 14, 15]));
      final face_60_4 = mesh_60.faces.elementAt(4);
      expect(face_60_4.indices, equals([16, 17, 18, 19]));
      final face_60_5 = mesh_60.faces.elementAt(5);
      expect(face_60_5.indices, equals([20, 21, 22, 23]));
      final mesh_61 = scene.meshes.elementAt(61);
      final face_61_0 = mesh_61.faces.elementAt(0);
      expect(face_61_0.indices, equals([0, 1, 2, 3]));
      final face_61_1 = mesh_61.faces.elementAt(1);
      expect(face_61_1.indices, equals([4, 5, 6, 7]));
      final face_61_2 = mesh_61.faces.elementAt(2);
      expect(face_61_2.indices, equals([8, 9, 10, 11]));
      final face_61_3 = mesh_61.faces.elementAt(3);
      expect(face_61_3.indices, equals([12, 13, 14, 15]));
      final face_61_4 = mesh_61.faces.elementAt(4);
      expect(face_61_4.indices, equals([16, 17, 18, 19]));
      final face_61_5 = mesh_61.faces.elementAt(5);
      expect(face_61_5.indices, equals([20, 21, 22, 23]));
      final mesh_62 = scene.meshes.elementAt(62);
      final face_62_0 = mesh_62.faces.elementAt(0);
      expect(face_62_0.indices, equals([0, 1, 2, 3]));
      final face_62_1 = mesh_62.faces.elementAt(1);
      expect(face_62_1.indices, equals([4, 5, 6, 7]));
      final face_62_2 = mesh_62.faces.elementAt(2);
      expect(face_62_2.indices, equals([8, 9, 10, 11]));
      final face_62_3 = mesh_62.faces.elementAt(3);
      expect(face_62_3.indices, equals([12, 13, 14, 15]));
      final face_62_4 = mesh_62.faces.elementAt(4);
      expect(face_62_4.indices, equals([16, 17, 18, 19]));
      final face_62_5 = mesh_62.faces.elementAt(5);
      expect(face_62_5.indices, equals([20, 21, 22, 23]));
      final mesh_63 = scene.meshes.elementAt(63);
      final face_63_0 = mesh_63.faces.elementAt(0);
      expect(face_63_0.indices, equals([0, 1, 2, 3]));
      final face_63_1 = mesh_63.faces.elementAt(1);
      expect(face_63_1.indices, equals([4, 5, 6, 7]));
      final face_63_2 = mesh_63.faces.elementAt(2);
      expect(face_63_2.indices, equals([8, 9, 10, 11]));
      final face_63_3 = mesh_63.faces.elementAt(3);
      expect(face_63_3.indices, equals([12, 13, 14, 15]));
      final face_63_4 = mesh_63.faces.elementAt(4);
      expect(face_63_4.indices, equals([16, 17, 18, 19]));
      final face_63_5 = mesh_63.faces.elementAt(5);
      expect(face_63_5.indices, equals([20, 21, 22, 23]));
    });
    testScene('lib.dae', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([0, 1, 2, 3]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([4, 5, 6, 7]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([8, 9, 10, 11]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([12, 13, 14, 15]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([16, 17, 18, 19]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([20, 21, 22, 23]));
      final face_0_6 = mesh_0.faces.elementAt(6);
      expect(face_0_6.indices, equals([24, 25, 26, 27]));
      final face_0_7 = mesh_0.faces.elementAt(7);
      expect(face_0_7.indices, equals([28, 29, 30, 31]));
      final face_0_8 = mesh_0.faces.elementAt(8);
      expect(face_0_8.indices, equals([32, 33, 34, 35]));
      final face_0_9 = mesh_0.faces.elementAt(9);
      expect(face_0_9.indices, equals([36, 37, 38, 39]));
      final face_0_10 = mesh_0.faces.elementAt(10);
      expect(face_0_10.indices, equals([40, 41, 42, 43]));
      final face_0_11 = mesh_0.faces.elementAt(11);
      expect(face_0_11.indices, equals([44, 45, 46, 47]));
      final face_0_12 = mesh_0.faces.elementAt(12);
      expect(face_0_12.indices, equals([48, 49, 50, 51]));
      final face_0_13 = mesh_0.faces.elementAt(13);
      expect(face_0_13.indices, equals([52, 53, 54, 55]));
      final face_0_14 = mesh_0.faces.elementAt(14);
      expect(face_0_14.indices, equals([56, 57, 58, 59]));
      final face_0_15 = mesh_0.faces.elementAt(15);
      expect(face_0_15.indices, equals([60, 61, 62, 63]));
      final face_0_16 = mesh_0.faces.elementAt(16);
      expect(face_0_16.indices, equals([64, 65, 66, 67]));
      final face_0_17 = mesh_0.faces.elementAt(17);
      expect(face_0_17.indices, equals([68, 69, 70, 71]));
      final face_0_18 = mesh_0.faces.elementAt(18);
      expect(face_0_18.indices, equals([72, 73, 74, 75]));
      final face_0_19 = mesh_0.faces.elementAt(19);
      expect(face_0_19.indices, equals([76, 77, 78, 79]));
      final face_0_20 = mesh_0.faces.elementAt(20);
      expect(face_0_20.indices, equals([80, 81, 82, 83]));
      final face_0_21 = mesh_0.faces.elementAt(21);
      expect(face_0_21.indices, equals([84, 85, 86, 87]));
      final face_0_22 = mesh_0.faces.elementAt(22);
      expect(face_0_22.indices, equals([88, 89, 90, 91]));
      final face_0_23 = mesh_0.faces.elementAt(23);
      expect(face_0_23.indices, equals([92, 93, 94, 95]));
      final face_0_24 = mesh_0.faces.elementAt(24);
      expect(face_0_24.indices, equals([96, 97, 98, 99]));
      final face_0_25 = mesh_0.faces.elementAt(25);
      expect(face_0_25.indices, equals([100, 101, 102, 103]));
    });
  });

  test('obj', () {
    testScene('spider.obj', (scene) {
      final mesh_0 = scene.meshes.elementAt(0);
      final face_0_0 = mesh_0.faces.elementAt(0);
      expect(face_0_0.indices, equals([0, 1, 2]));
      final face_0_1 = mesh_0.faces.elementAt(1);
      expect(face_0_1.indices, equals([3, 4, 5]));
      final face_0_2 = mesh_0.faces.elementAt(2);
      expect(face_0_2.indices, equals([6, 7, 8]));
      final face_0_3 = mesh_0.faces.elementAt(3);
      expect(face_0_3.indices, equals([9, 10, 11]));
      final face_0_4 = mesh_0.faces.elementAt(4);
      expect(face_0_4.indices, equals([12, 13, 14]));
      final face_0_5 = mesh_0.faces.elementAt(5);
      expect(face_0_5.indices, equals([15, 16, 17]));
      final face_0_6 = mesh_0.faces.elementAt(6);
      expect(face_0_6.indices, equals([18, 19, 20]));
      final face_0_7 = mesh_0.faces.elementAt(7);
      expect(face_0_7.indices, equals([21, 22, 23]));
      final face_0_8 = mesh_0.faces.elementAt(8);
      expect(face_0_8.indices, equals([24, 25, 26]));
      final face_0_9 = mesh_0.faces.elementAt(9);
      expect(face_0_9.indices, equals([27, 28, 29]));
      final face_0_10 = mesh_0.faces.elementAt(10);
      expect(face_0_10.indices, equals([30, 31, 32]));
      final face_0_11 = mesh_0.faces.elementAt(11);
      expect(face_0_11.indices, equals([33, 34, 35]));
      final face_0_12 = mesh_0.faces.elementAt(12);
      expect(face_0_12.indices, equals([36, 37, 38]));
      final face_0_13 = mesh_0.faces.elementAt(13);
      expect(face_0_13.indices, equals([39, 40, 41]));
      final face_0_14 = mesh_0.faces.elementAt(14);
      expect(face_0_14.indices, equals([42, 43, 44]));
      final face_0_15 = mesh_0.faces.elementAt(15);
      expect(face_0_15.indices, equals([45, 46, 47]));
      final face_0_16 = mesh_0.faces.elementAt(16);
      expect(face_0_16.indices, equals([48, 49, 50]));
      final face_0_17 = mesh_0.faces.elementAt(17);
      expect(face_0_17.indices, equals([51, 52, 53]));
      final face_0_18 = mesh_0.faces.elementAt(18);
      expect(face_0_18.indices, equals([54, 55, 56]));
      final face_0_19 = mesh_0.faces.elementAt(19);
      expect(face_0_19.indices, equals([57, 58, 59]));
      final face_0_20 = mesh_0.faces.elementAt(20);
      expect(face_0_20.indices, equals([60, 61, 62]));
      final face_0_21 = mesh_0.faces.elementAt(21);
      expect(face_0_21.indices, equals([63, 64, 65]));
      final face_0_22 = mesh_0.faces.elementAt(22);
      expect(face_0_22.indices, equals([66, 67, 68]));
      final face_0_23 = mesh_0.faces.elementAt(23);
      expect(face_0_23.indices, equals([69, 70, 71]));
      final face_0_24 = mesh_0.faces.elementAt(24);
      expect(face_0_24.indices, equals([72, 73, 74]));
      final face_0_25 = mesh_0.faces.elementAt(25);
      expect(face_0_25.indices, equals([75, 76, 77]));
      final face_0_26 = mesh_0.faces.elementAt(26);
      expect(face_0_26.indices, equals([78, 79, 80]));
      final face_0_27 = mesh_0.faces.elementAt(27);
      expect(face_0_27.indices, equals([81, 82, 83]));
      final face_0_28 = mesh_0.faces.elementAt(28);
      expect(face_0_28.indices, equals([84, 85, 86]));
      final face_0_29 = mesh_0.faces.elementAt(29);
      expect(face_0_29.indices, equals([87, 88, 89]));
      final face_0_30 = mesh_0.faces.elementAt(30);
      expect(face_0_30.indices, equals([90, 91, 92]));
      final face_0_31 = mesh_0.faces.elementAt(31);
      expect(face_0_31.indices, equals([93, 94, 95]));
      final face_0_32 = mesh_0.faces.elementAt(32);
      expect(face_0_32.indices, equals([96, 97, 98]));
      final face_0_33 = mesh_0.faces.elementAt(33);
      expect(face_0_33.indices, equals([99, 100, 101]));
      final face_0_34 = mesh_0.faces.elementAt(34);
      expect(face_0_34.indices, equals([102, 103, 104]));
      final face_0_35 = mesh_0.faces.elementAt(35);
      expect(face_0_35.indices, equals([105, 106, 107]));
      final face_0_36 = mesh_0.faces.elementAt(36);
      expect(face_0_36.indices, equals([108, 109, 110]));
      final face_0_37 = mesh_0.faces.elementAt(37);
      expect(face_0_37.indices, equals([111, 112, 113]));
      final face_0_38 = mesh_0.faces.elementAt(38);
      expect(face_0_38.indices, equals([114, 115, 116]));
      final face_0_39 = mesh_0.faces.elementAt(39);
      expect(face_0_39.indices, equals([117, 118, 119]));
      final face_0_40 = mesh_0.faces.elementAt(40);
      expect(face_0_40.indices, equals([120, 121, 122]));
      final face_0_41 = mesh_0.faces.elementAt(41);
      expect(face_0_41.indices, equals([123, 124, 125]));
      final face_0_42 = mesh_0.faces.elementAt(42);
      expect(face_0_42.indices, equals([126, 127, 128]));
      final face_0_43 = mesh_0.faces.elementAt(43);
      expect(face_0_43.indices, equals([129, 130, 131]));
      final face_0_44 = mesh_0.faces.elementAt(44);
      expect(face_0_44.indices, equals([132, 133, 134]));
      final face_0_45 = mesh_0.faces.elementAt(45);
      expect(face_0_45.indices, equals([135, 136, 137]));
      final face_0_46 = mesh_0.faces.elementAt(46);
      expect(face_0_46.indices, equals([138, 139, 140]));
      final face_0_47 = mesh_0.faces.elementAt(47);
      expect(face_0_47.indices, equals([141, 142, 143]));
      final face_0_48 = mesh_0.faces.elementAt(48);
      expect(face_0_48.indices, equals([144, 145, 146]));
      final face_0_49 = mesh_0.faces.elementAt(49);
      expect(face_0_49.indices, equals([147, 148, 149]));
      final face_0_50 = mesh_0.faces.elementAt(50);
      expect(face_0_50.indices, equals([150, 151, 152]));
      final face_0_51 = mesh_0.faces.elementAt(51);
      expect(face_0_51.indices, equals([153, 154, 155]));
      final face_0_52 = mesh_0.faces.elementAt(52);
      expect(face_0_52.indices, equals([156, 157, 158]));
      final face_0_53 = mesh_0.faces.elementAt(53);
      expect(face_0_53.indices, equals([159, 160, 161]));
      final face_0_54 = mesh_0.faces.elementAt(54);
      expect(face_0_54.indices, equals([162, 163, 164]));
      final face_0_55 = mesh_0.faces.elementAt(55);
      expect(face_0_55.indices, equals([165, 166, 167]));
      final face_0_56 = mesh_0.faces.elementAt(56);
      expect(face_0_56.indices, equals([168, 169, 170]));
      final face_0_57 = mesh_0.faces.elementAt(57);
      expect(face_0_57.indices, equals([171, 172, 173]));
      final face_0_58 = mesh_0.faces.elementAt(58);
      expect(face_0_58.indices, equals([174, 175, 176]));
      final face_0_59 = mesh_0.faces.elementAt(59);
      expect(face_0_59.indices, equals([177, 178, 179]));
      final face_0_60 = mesh_0.faces.elementAt(60);
      expect(face_0_60.indices, equals([180, 181, 182]));
      final face_0_61 = mesh_0.faces.elementAt(61);
      expect(face_0_61.indices, equals([183, 184, 185]));
      final face_0_62 = mesh_0.faces.elementAt(62);
      expect(face_0_62.indices, equals([186, 187, 188]));
      final face_0_63 = mesh_0.faces.elementAt(63);
      expect(face_0_63.indices, equals([189, 190, 191]));
      final face_0_64 = mesh_0.faces.elementAt(64);
      expect(face_0_64.indices, equals([192, 193, 194]));
      final face_0_65 = mesh_0.faces.elementAt(65);
      expect(face_0_65.indices, equals([195, 196, 197]));
      final face_0_66 = mesh_0.faces.elementAt(66);
      expect(face_0_66.indices, equals([198, 199, 200]));
      final face_0_67 = mesh_0.faces.elementAt(67);
      expect(face_0_67.indices, equals([201, 202, 203]));
      final face_0_68 = mesh_0.faces.elementAt(68);
      expect(face_0_68.indices, equals([204, 205, 206]));
      final face_0_69 = mesh_0.faces.elementAt(69);
      expect(face_0_69.indices, equals([207, 208, 209]));
      final face_0_70 = mesh_0.faces.elementAt(70);
      expect(face_0_70.indices, equals([210, 211, 212]));
      final face_0_71 = mesh_0.faces.elementAt(71);
      expect(face_0_71.indices, equals([213, 214, 215]));
      final face_0_72 = mesh_0.faces.elementAt(72);
      expect(face_0_72.indices, equals([216, 217, 218]));
      final face_0_73 = mesh_0.faces.elementAt(73);
      expect(face_0_73.indices, equals([219, 220, 221]));
      final face_0_74 = mesh_0.faces.elementAt(74);
      expect(face_0_74.indices, equals([222, 223, 224]));
      final face_0_75 = mesh_0.faces.elementAt(75);
      expect(face_0_75.indices, equals([225, 226, 227]));
      final face_0_76 = mesh_0.faces.elementAt(76);
      expect(face_0_76.indices, equals([228, 229, 230]));
      final face_0_77 = mesh_0.faces.elementAt(77);
      expect(face_0_77.indices, equals([231, 232, 233]));
      final face_0_78 = mesh_0.faces.elementAt(78);
      expect(face_0_78.indices, equals([234, 235, 236]));
      final face_0_79 = mesh_0.faces.elementAt(79);
      expect(face_0_79.indices, equals([237, 238, 239]));
      final mesh_1 = scene.meshes.elementAt(1);
      final face_1_0 = mesh_1.faces.elementAt(0);
      expect(face_1_0.indices, equals([0, 1, 2]));
      final face_1_1 = mesh_1.faces.elementAt(1);
      expect(face_1_1.indices, equals([3, 4, 5]));
      final face_1_2 = mesh_1.faces.elementAt(2);
      expect(face_1_2.indices, equals([6, 7, 8]));
      final face_1_3 = mesh_1.faces.elementAt(3);
      expect(face_1_3.indices, equals([9, 10, 11]));
      final face_1_4 = mesh_1.faces.elementAt(4);
      expect(face_1_4.indices, equals([12, 13, 14]));
      final face_1_5 = mesh_1.faces.elementAt(5);
      expect(face_1_5.indices, equals([15, 16, 17]));
      final face_1_6 = mesh_1.faces.elementAt(6);
      expect(face_1_6.indices, equals([18, 19, 20]));
      final face_1_7 = mesh_1.faces.elementAt(7);
      expect(face_1_7.indices, equals([21, 22, 23]));
      final face_1_8 = mesh_1.faces.elementAt(8);
      expect(face_1_8.indices, equals([24, 25, 26]));
      final face_1_9 = mesh_1.faces.elementAt(9);
      expect(face_1_9.indices, equals([27, 28, 29]));
      final face_1_10 = mesh_1.faces.elementAt(10);
      expect(face_1_10.indices, equals([30, 31, 32]));
      final face_1_11 = mesh_1.faces.elementAt(11);
      expect(face_1_11.indices, equals([33, 34, 35]));
      final face_1_12 = mesh_1.faces.elementAt(12);
      expect(face_1_12.indices, equals([36, 37, 38]));
      final face_1_13 = mesh_1.faces.elementAt(13);
      expect(face_1_13.indices, equals([39, 40, 41]));
      final face_1_14 = mesh_1.faces.elementAt(14);
      expect(face_1_14.indices, equals([42, 43, 44]));
      final face_1_15 = mesh_1.faces.elementAt(15);
      expect(face_1_15.indices, equals([45, 46, 47]));
      final face_1_16 = mesh_1.faces.elementAt(16);
      expect(face_1_16.indices, equals([48, 49, 50]));
      final face_1_17 = mesh_1.faces.elementAt(17);
      expect(face_1_17.indices, equals([51, 52, 53]));
      final face_1_18 = mesh_1.faces.elementAt(18);
      expect(face_1_18.indices, equals([54, 55, 56]));
      final face_1_19 = mesh_1.faces.elementAt(19);
      expect(face_1_19.indices, equals([57, 58, 59]));
      final face_1_20 = mesh_1.faces.elementAt(20);
      expect(face_1_20.indices, equals([60, 61, 62]));
      final face_1_21 = mesh_1.faces.elementAt(21);
      expect(face_1_21.indices, equals([63, 64, 65]));
      final face_1_22 = mesh_1.faces.elementAt(22);
      expect(face_1_22.indices, equals([66, 67, 68]));
      final face_1_23 = mesh_1.faces.elementAt(23);
      expect(face_1_23.indices, equals([69, 70, 71]));
      final face_1_24 = mesh_1.faces.elementAt(24);
      expect(face_1_24.indices, equals([72, 73, 74]));
      final face_1_25 = mesh_1.faces.elementAt(25);
      expect(face_1_25.indices, equals([75, 76, 77]));
      final face_1_26 = mesh_1.faces.elementAt(26);
      expect(face_1_26.indices, equals([78, 79, 80]));
      final face_1_27 = mesh_1.faces.elementAt(27);
      expect(face_1_27.indices, equals([81, 82, 83]));
      final face_1_28 = mesh_1.faces.elementAt(28);
      expect(face_1_28.indices, equals([84, 85, 86]));
      final face_1_29 = mesh_1.faces.elementAt(29);
      expect(face_1_29.indices, equals([87, 88, 89]));
      final face_1_30 = mesh_1.faces.elementAt(30);
      expect(face_1_30.indices, equals([90, 91, 92]));
      final face_1_31 = mesh_1.faces.elementAt(31);
      expect(face_1_31.indices, equals([93, 94, 95]));
      final face_1_32 = mesh_1.faces.elementAt(32);
      expect(face_1_32.indices, equals([96, 97, 98]));
      final face_1_33 = mesh_1.faces.elementAt(33);
      expect(face_1_33.indices, equals([99, 100, 101]));
      final face_1_34 = mesh_1.faces.elementAt(34);
      expect(face_1_34.indices, equals([102, 103, 104]));
      final face_1_35 = mesh_1.faces.elementAt(35);
      expect(face_1_35.indices, equals([105, 106, 107]));
      final face_1_36 = mesh_1.faces.elementAt(36);
      expect(face_1_36.indices, equals([108, 109, 110]));
      final face_1_37 = mesh_1.faces.elementAt(37);
      expect(face_1_37.indices, equals([111, 112, 113]));
      final face_1_38 = mesh_1.faces.elementAt(38);
      expect(face_1_38.indices, equals([114, 115, 116]));
      final face_1_39 = mesh_1.faces.elementAt(39);
      expect(face_1_39.indices, equals([117, 118, 119]));
      final face_1_40 = mesh_1.faces.elementAt(40);
      expect(face_1_40.indices, equals([120, 121, 122]));
      final face_1_41 = mesh_1.faces.elementAt(41);
      expect(face_1_41.indices, equals([123, 124, 125]));
      final face_1_42 = mesh_1.faces.elementAt(42);
      expect(face_1_42.indices, equals([126, 127, 128]));
      final face_1_43 = mesh_1.faces.elementAt(43);
      expect(face_1_43.indices, equals([129, 130, 131]));
      final face_1_44 = mesh_1.faces.elementAt(44);
      expect(face_1_44.indices, equals([132, 133, 134]));
      final face_1_45 = mesh_1.faces.elementAt(45);
      expect(face_1_45.indices, equals([135, 136, 137]));
      final face_1_46 = mesh_1.faces.elementAt(46);
      expect(face_1_46.indices, equals([138, 139, 140]));
      final face_1_47 = mesh_1.faces.elementAt(47);
      expect(face_1_47.indices, equals([141, 142, 143]));
      final face_1_48 = mesh_1.faces.elementAt(48);
      expect(face_1_48.indices, equals([144, 145, 146]));
      final face_1_49 = mesh_1.faces.elementAt(49);
      expect(face_1_49.indices, equals([147, 148, 149]));
      final face_1_50 = mesh_1.faces.elementAt(50);
      expect(face_1_50.indices, equals([150, 151, 152]));
      final face_1_51 = mesh_1.faces.elementAt(51);
      expect(face_1_51.indices, equals([153, 154, 155]));
      final face_1_52 = mesh_1.faces.elementAt(52);
      expect(face_1_52.indices, equals([156, 157, 158]));
      final face_1_53 = mesh_1.faces.elementAt(53);
      expect(face_1_53.indices, equals([159, 160, 161]));
      final face_1_54 = mesh_1.faces.elementAt(54);
      expect(face_1_54.indices, equals([162, 163, 164]));
      final face_1_55 = mesh_1.faces.elementAt(55);
      expect(face_1_55.indices, equals([165, 166, 167]));
      final face_1_56 = mesh_1.faces.elementAt(56);
      expect(face_1_56.indices, equals([168, 169, 170]));
      final face_1_57 = mesh_1.faces.elementAt(57);
      expect(face_1_57.indices, equals([171, 172, 173]));
      final face_1_58 = mesh_1.faces.elementAt(58);
      expect(face_1_58.indices, equals([174, 175, 176]));
      final face_1_59 = mesh_1.faces.elementAt(59);
      expect(face_1_59.indices, equals([177, 178, 179]));
      final mesh_2 = scene.meshes.elementAt(2);
      final face_2_0 = mesh_2.faces.elementAt(0);
      expect(face_2_0.indices, equals([0, 1, 2]));
      final face_2_1 = mesh_2.faces.elementAt(1);
      expect(face_2_1.indices, equals([3, 4, 5]));
      final face_2_2 = mesh_2.faces.elementAt(2);
      expect(face_2_2.indices, equals([6, 7, 8]));
      final face_2_3 = mesh_2.faces.elementAt(3);
      expect(face_2_3.indices, equals([9, 10, 11]));
      final face_2_4 = mesh_2.faces.elementAt(4);
      expect(face_2_4.indices, equals([12, 13, 14]));
      final face_2_5 = mesh_2.faces.elementAt(5);
      expect(face_2_5.indices, equals([15, 16, 17]));
      final face_2_6 = mesh_2.faces.elementAt(6);
      expect(face_2_6.indices, equals([18, 19, 20]));
      final face_2_7 = mesh_2.faces.elementAt(7);
      expect(face_2_7.indices, equals([21, 22, 23]));
      final face_2_8 = mesh_2.faces.elementAt(8);
      expect(face_2_8.indices, equals([24, 25, 26]));
      final face_2_9 = mesh_2.faces.elementAt(9);
      expect(face_2_9.indices, equals([27, 28, 29]));
      final face_2_10 = mesh_2.faces.elementAt(10);
      expect(face_2_10.indices, equals([30, 31, 32]));
      final face_2_11 = mesh_2.faces.elementAt(11);
      expect(face_2_11.indices, equals([33, 34, 35]));
      final face_2_12 = mesh_2.faces.elementAt(12);
      expect(face_2_12.indices, equals([36, 37, 38]));
      final face_2_13 = mesh_2.faces.elementAt(13);
      expect(face_2_13.indices, equals([39, 40, 41]));
      final face_2_14 = mesh_2.faces.elementAt(14);
      expect(face_2_14.indices, equals([42, 43, 44]));
      final face_2_15 = mesh_2.faces.elementAt(15);
      expect(face_2_15.indices, equals([45, 46, 47]));
      final face_2_16 = mesh_2.faces.elementAt(16);
      expect(face_2_16.indices, equals([48, 49, 50]));
      final face_2_17 = mesh_2.faces.elementAt(17);
      expect(face_2_17.indices, equals([51, 52, 53]));
      final face_2_18 = mesh_2.faces.elementAt(18);
      expect(face_2_18.indices, equals([54, 55, 56]));
      final face_2_19 = mesh_2.faces.elementAt(19);
      expect(face_2_19.indices, equals([57, 58, 59]));
      final face_2_20 = mesh_2.faces.elementAt(20);
      expect(face_2_20.indices, equals([60, 61, 62]));
      final face_2_21 = mesh_2.faces.elementAt(21);
      expect(face_2_21.indices, equals([63, 64, 65]));
      final face_2_22 = mesh_2.faces.elementAt(22);
      expect(face_2_22.indices, equals([66, 67, 68]));
      final face_2_23 = mesh_2.faces.elementAt(23);
      expect(face_2_23.indices, equals([69, 70, 71]));
      final face_2_24 = mesh_2.faces.elementAt(24);
      expect(face_2_24.indices, equals([72, 73, 74]));
      final face_2_25 = mesh_2.faces.elementAt(25);
      expect(face_2_25.indices, equals([75, 76, 77]));
      final face_2_26 = mesh_2.faces.elementAt(26);
      expect(face_2_26.indices, equals([78, 79, 80]));
      final face_2_27 = mesh_2.faces.elementAt(27);
      expect(face_2_27.indices, equals([81, 82, 83]));
      final face_2_28 = mesh_2.faces.elementAt(28);
      expect(face_2_28.indices, equals([84, 85, 86]));
      final face_2_29 = mesh_2.faces.elementAt(29);
      expect(face_2_29.indices, equals([87, 88, 89]));
      final face_2_30 = mesh_2.faces.elementAt(30);
      expect(face_2_30.indices, equals([90, 91, 92]));
      final face_2_31 = mesh_2.faces.elementAt(31);
      expect(face_2_31.indices, equals([93, 94, 95]));
      final face_2_32 = mesh_2.faces.elementAt(32);
      expect(face_2_32.indices, equals([96, 97, 98]));
      final face_2_33 = mesh_2.faces.elementAt(33);
      expect(face_2_33.indices, equals([99, 100, 101]));
      final face_2_34 = mesh_2.faces.elementAt(34);
      expect(face_2_34.indices, equals([102, 103, 104]));
      final face_2_35 = mesh_2.faces.elementAt(35);
      expect(face_2_35.indices, equals([105, 106, 107]));
      final face_2_36 = mesh_2.faces.elementAt(36);
      expect(face_2_36.indices, equals([108, 109, 110]));
      final face_2_37 = mesh_2.faces.elementAt(37);
      expect(face_2_37.indices, equals([111, 112, 113]));
      final face_2_38 = mesh_2.faces.elementAt(38);
      expect(face_2_38.indices, equals([114, 115, 116]));
      final face_2_39 = mesh_2.faces.elementAt(39);
      expect(face_2_39.indices, equals([117, 118, 119]));
      final face_2_40 = mesh_2.faces.elementAt(40);
      expect(face_2_40.indices, equals([120, 121, 122]));
      final face_2_41 = mesh_2.faces.elementAt(41);
      expect(face_2_41.indices, equals([123, 124, 125]));
      final face_2_42 = mesh_2.faces.elementAt(42);
      expect(face_2_42.indices, equals([126, 127, 128]));
      final face_2_43 = mesh_2.faces.elementAt(43);
      expect(face_2_43.indices, equals([129, 130, 131]));
      final face_2_44 = mesh_2.faces.elementAt(44);
      expect(face_2_44.indices, equals([132, 133, 134]));
      final face_2_45 = mesh_2.faces.elementAt(45);
      expect(face_2_45.indices, equals([135, 136, 137]));
      final face_2_46 = mesh_2.faces.elementAt(46);
      expect(face_2_46.indices, equals([138, 139, 140]));
      final face_2_47 = mesh_2.faces.elementAt(47);
      expect(face_2_47.indices, equals([141, 142, 143]));
      final face_2_48 = mesh_2.faces.elementAt(48);
      expect(face_2_48.indices, equals([144, 145, 146]));
      final face_2_49 = mesh_2.faces.elementAt(49);
      expect(face_2_49.indices, equals([147, 148, 149]));
      final face_2_50 = mesh_2.faces.elementAt(50);
      expect(face_2_50.indices, equals([150, 151, 152]));
      final face_2_51 = mesh_2.faces.elementAt(51);
      expect(face_2_51.indices, equals([153, 154, 155]));
      final face_2_52 = mesh_2.faces.elementAt(52);
      expect(face_2_52.indices, equals([156, 157, 158]));
      final face_2_53 = mesh_2.faces.elementAt(53);
      expect(face_2_53.indices, equals([159, 160, 161]));
      final face_2_54 = mesh_2.faces.elementAt(54);
      expect(face_2_54.indices, equals([162, 163, 164]));
      final face_2_55 = mesh_2.faces.elementAt(55);
      expect(face_2_55.indices, equals([165, 166, 167]));
      final face_2_56 = mesh_2.faces.elementAt(56);
      expect(face_2_56.indices, equals([168, 169, 170]));
      final face_2_57 = mesh_2.faces.elementAt(57);
      expect(face_2_57.indices, equals([171, 172, 173]));
      final face_2_58 = mesh_2.faces.elementAt(58);
      expect(face_2_58.indices, equals([174, 175, 176]));
      final face_2_59 = mesh_2.faces.elementAt(59);
      expect(face_2_59.indices, equals([177, 178, 179]));
      final face_2_60 = mesh_2.faces.elementAt(60);
      expect(face_2_60.indices, equals([180, 181, 182]));
      final face_2_61 = mesh_2.faces.elementAt(61);
      expect(face_2_61.indices, equals([183, 184, 185]));
      final face_2_62 = mesh_2.faces.elementAt(62);
      expect(face_2_62.indices, equals([186, 187, 188]));
      final face_2_63 = mesh_2.faces.elementAt(63);
      expect(face_2_63.indices, equals([189, 190, 191]));
      final face_2_64 = mesh_2.faces.elementAt(64);
      expect(face_2_64.indices, equals([192, 193, 194]));
      final face_2_65 = mesh_2.faces.elementAt(65);
      expect(face_2_65.indices, equals([195, 196, 197]));
      final face_2_66 = mesh_2.faces.elementAt(66);
      expect(face_2_66.indices, equals([198, 199, 200]));
      final face_2_67 = mesh_2.faces.elementAt(67);
      expect(face_2_67.indices, equals([201, 202, 203]));
      final face_2_68 = mesh_2.faces.elementAt(68);
      expect(face_2_68.indices, equals([204, 205, 206]));
      final face_2_69 = mesh_2.faces.elementAt(69);
      expect(face_2_69.indices, equals([207, 208, 209]));
      final face_2_70 = mesh_2.faces.elementAt(70);
      expect(face_2_70.indices, equals([210, 211, 212]));
      final face_2_71 = mesh_2.faces.elementAt(71);
      expect(face_2_71.indices, equals([213, 214, 215]));
      final face_2_72 = mesh_2.faces.elementAt(72);
      expect(face_2_72.indices, equals([216, 217, 218]));
      final face_2_73 = mesh_2.faces.elementAt(73);
      expect(face_2_73.indices, equals([219, 220, 221]));
      final face_2_74 = mesh_2.faces.elementAt(74);
      expect(face_2_74.indices, equals([222, 223, 224]));
      final face_2_75 = mesh_2.faces.elementAt(75);
      expect(face_2_75.indices, equals([225, 226, 227]));
      final face_2_76 = mesh_2.faces.elementAt(76);
      expect(face_2_76.indices, equals([228, 229, 230]));
      final face_2_77 = mesh_2.faces.elementAt(77);
      expect(face_2_77.indices, equals([231, 232, 233]));
      final face_2_78 = mesh_2.faces.elementAt(78);
      expect(face_2_78.indices, equals([234, 235, 236]));
      final face_2_79 = mesh_2.faces.elementAt(79);
      expect(face_2_79.indices, equals([237, 238, 239]));
      final face_2_80 = mesh_2.faces.elementAt(80);
      expect(face_2_80.indices, equals([240, 241, 242]));
      final face_2_81 = mesh_2.faces.elementAt(81);
      expect(face_2_81.indices, equals([243, 244, 245]));
      final face_2_82 = mesh_2.faces.elementAt(82);
      expect(face_2_82.indices, equals([246, 247, 248]));
      final face_2_83 = mesh_2.faces.elementAt(83);
      expect(face_2_83.indices, equals([249, 250, 251]));
      final face_2_84 = mesh_2.faces.elementAt(84);
      expect(face_2_84.indices, equals([252, 253, 254]));
      final face_2_85 = mesh_2.faces.elementAt(85);
      expect(face_2_85.indices, equals([255, 256, 257]));
      final face_2_86 = mesh_2.faces.elementAt(86);
      expect(face_2_86.indices, equals([258, 259, 260]));
      final face_2_87 = mesh_2.faces.elementAt(87);
      expect(face_2_87.indices, equals([261, 262, 263]));
      final face_2_88 = mesh_2.faces.elementAt(88);
      expect(face_2_88.indices, equals([264, 265, 266]));
      final face_2_89 = mesh_2.faces.elementAt(89);
      expect(face_2_89.indices, equals([267, 268, 269]));
      final face_2_90 = mesh_2.faces.elementAt(90);
      expect(face_2_90.indices, equals([270, 271, 272]));
      final face_2_91 = mesh_2.faces.elementAt(91);
      expect(face_2_91.indices, equals([273, 274, 275]));
      final face_2_92 = mesh_2.faces.elementAt(92);
      expect(face_2_92.indices, equals([276, 277, 278]));
      final face_2_93 = mesh_2.faces.elementAt(93);
      expect(face_2_93.indices, equals([279, 280, 281]));
      final face_2_94 = mesh_2.faces.elementAt(94);
      expect(face_2_94.indices, equals([282, 283, 284]));
      final face_2_95 = mesh_2.faces.elementAt(95);
      expect(face_2_95.indices, equals([285, 286, 287]));
      final face_2_96 = mesh_2.faces.elementAt(96);
      expect(face_2_96.indices, equals([288, 289, 290]));
      final face_2_97 = mesh_2.faces.elementAt(97);
      expect(face_2_97.indices, equals([291, 292, 293]));
      final mesh_3 = scene.meshes.elementAt(3);
      final face_3_0 = mesh_3.faces.elementAt(0);
      expect(face_3_0.indices, equals([0, 1, 2]));
      final face_3_1 = mesh_3.faces.elementAt(1);
      expect(face_3_1.indices, equals([3, 4, 5]));
      final face_3_2 = mesh_3.faces.elementAt(2);
      expect(face_3_2.indices, equals([6, 7, 8]));
      final face_3_3 = mesh_3.faces.elementAt(3);
      expect(face_3_3.indices, equals([9, 10, 11]));
      final face_3_4 = mesh_3.faces.elementAt(4);
      expect(face_3_4.indices, equals([12, 13, 14]));
      final face_3_5 = mesh_3.faces.elementAt(5);
      expect(face_3_5.indices, equals([15, 16, 17]));
      final face_3_6 = mesh_3.faces.elementAt(6);
      expect(face_3_6.indices, equals([18, 19, 20]));
      final face_3_7 = mesh_3.faces.elementAt(7);
      expect(face_3_7.indices, equals([21, 22, 23]));
      final face_3_8 = mesh_3.faces.elementAt(8);
      expect(face_3_8.indices, equals([24, 25, 26]));
      final face_3_9 = mesh_3.faces.elementAt(9);
      expect(face_3_9.indices, equals([27, 28, 29]));
      final face_3_10 = mesh_3.faces.elementAt(10);
      expect(face_3_10.indices, equals([30, 31, 32]));
      final face_3_11 = mesh_3.faces.elementAt(11);
      expect(face_3_11.indices, equals([33, 34, 35]));
      final face_3_12 = mesh_3.faces.elementAt(12);
      expect(face_3_12.indices, equals([36, 37, 38]));
      final face_3_13 = mesh_3.faces.elementAt(13);
      expect(face_3_13.indices, equals([39, 40, 41]));
      final face_3_14 = mesh_3.faces.elementAt(14);
      expect(face_3_14.indices, equals([42, 43, 44]));
      final face_3_15 = mesh_3.faces.elementAt(15);
      expect(face_3_15.indices, equals([45, 46, 47]));
      final face_3_16 = mesh_3.faces.elementAt(16);
      expect(face_3_16.indices, equals([48, 49, 50]));
      final face_3_17 = mesh_3.faces.elementAt(17);
      expect(face_3_17.indices, equals([51, 52, 53]));
      final face_3_18 = mesh_3.faces.elementAt(18);
      expect(face_3_18.indices, equals([54, 55, 56]));
      final face_3_19 = mesh_3.faces.elementAt(19);
      expect(face_3_19.indices, equals([57, 58, 59]));
      final face_3_20 = mesh_3.faces.elementAt(20);
      expect(face_3_20.indices, equals([60, 61, 62]));
      final face_3_21 = mesh_3.faces.elementAt(21);
      expect(face_3_21.indices, equals([63, 64, 65]));
      final face_3_22 = mesh_3.faces.elementAt(22);
      expect(face_3_22.indices, equals([66, 67, 68]));
      final face_3_23 = mesh_3.faces.elementAt(23);
      expect(face_3_23.indices, equals([69, 70, 71]));
      final face_3_24 = mesh_3.faces.elementAt(24);
      expect(face_3_24.indices, equals([72, 73, 74]));
      final face_3_25 = mesh_3.faces.elementAt(25);
      expect(face_3_25.indices, equals([75, 76, 77]));
      final face_3_26 = mesh_3.faces.elementAt(26);
      expect(face_3_26.indices, equals([78, 79, 80]));
      final face_3_27 = mesh_3.faces.elementAt(27);
      expect(face_3_27.indices, equals([81, 82, 83]));
      final face_3_28 = mesh_3.faces.elementAt(28);
      expect(face_3_28.indices, equals([84, 85, 86]));
      final face_3_29 = mesh_3.faces.elementAt(29);
      expect(face_3_29.indices, equals([87, 88, 89]));
      final face_3_30 = mesh_3.faces.elementAt(30);
      expect(face_3_30.indices, equals([90, 91, 92]));
      final face_3_31 = mesh_3.faces.elementAt(31);
      expect(face_3_31.indices, equals([93, 94, 95]));
      final face_3_32 = mesh_3.faces.elementAt(32);
      expect(face_3_32.indices, equals([96, 97, 98]));
      final face_3_33 = mesh_3.faces.elementAt(33);
      expect(face_3_33.indices, equals([99, 100, 101]));
      final face_3_34 = mesh_3.faces.elementAt(34);
      expect(face_3_34.indices, equals([102, 103, 104]));
      final face_3_35 = mesh_3.faces.elementAt(35);
      expect(face_3_35.indices, equals([105, 106, 107]));
      final face_3_36 = mesh_3.faces.elementAt(36);
      expect(face_3_36.indices, equals([108, 109, 110]));
      final face_3_37 = mesh_3.faces.elementAt(37);
      expect(face_3_37.indices, equals([111, 112, 113]));
      final face_3_38 = mesh_3.faces.elementAt(38);
      expect(face_3_38.indices, equals([114, 115, 116]));
      final face_3_39 = mesh_3.faces.elementAt(39);
      expect(face_3_39.indices, equals([117, 118, 119]));
      final face_3_40 = mesh_3.faces.elementAt(40);
      expect(face_3_40.indices, equals([120, 121, 122]));
      final face_3_41 = mesh_3.faces.elementAt(41);
      expect(face_3_41.indices, equals([123, 124, 125]));
      final face_3_42 = mesh_3.faces.elementAt(42);
      expect(face_3_42.indices, equals([126, 127, 128]));
      final face_3_43 = mesh_3.faces.elementAt(43);
      expect(face_3_43.indices, equals([129, 130, 131]));
      final face_3_44 = mesh_3.faces.elementAt(44);
      expect(face_3_44.indices, equals([132, 133, 134]));
      final face_3_45 = mesh_3.faces.elementAt(45);
      expect(face_3_45.indices, equals([135, 136, 137]));
      final face_3_46 = mesh_3.faces.elementAt(46);
      expect(face_3_46.indices, equals([138, 139, 140]));
      final face_3_47 = mesh_3.faces.elementAt(47);
      expect(face_3_47.indices, equals([141, 142, 143]));
      final face_3_48 = mesh_3.faces.elementAt(48);
      expect(face_3_48.indices, equals([144, 145, 146]));
      final face_3_49 = mesh_3.faces.elementAt(49);
      expect(face_3_49.indices, equals([147, 148, 149]));
      final face_3_50 = mesh_3.faces.elementAt(50);
      expect(face_3_50.indices, equals([150, 151, 152]));
      final face_3_51 = mesh_3.faces.elementAt(51);
      expect(face_3_51.indices, equals([153, 154, 155]));
      final face_3_52 = mesh_3.faces.elementAt(52);
      expect(face_3_52.indices, equals([156, 157, 158]));
      final face_3_53 = mesh_3.faces.elementAt(53);
      expect(face_3_53.indices, equals([159, 160, 161]));
      final face_3_54 = mesh_3.faces.elementAt(54);
      expect(face_3_54.indices, equals([162, 163, 164]));
      final face_3_55 = mesh_3.faces.elementAt(55);
      expect(face_3_55.indices, equals([165, 166, 167]));
      final face_3_56 = mesh_3.faces.elementAt(56);
      expect(face_3_56.indices, equals([168, 169, 170]));
      final face_3_57 = mesh_3.faces.elementAt(57);
      expect(face_3_57.indices, equals([171, 172, 173]));
      final face_3_58 = mesh_3.faces.elementAt(58);
      expect(face_3_58.indices, equals([174, 175, 176]));
      final face_3_59 = mesh_3.faces.elementAt(59);
      expect(face_3_59.indices, equals([177, 178, 179]));
      final face_3_60 = mesh_3.faces.elementAt(60);
      expect(face_3_60.indices, equals([180, 181, 182]));
      final face_3_61 = mesh_3.faces.elementAt(61);
      expect(face_3_61.indices, equals([183, 184, 185]));
      final face_3_62 = mesh_3.faces.elementAt(62);
      expect(face_3_62.indices, equals([186, 187, 188]));
      final face_3_63 = mesh_3.faces.elementAt(63);
      expect(face_3_63.indices, equals([189, 190, 191]));
      final face_3_64 = mesh_3.faces.elementAt(64);
      expect(face_3_64.indices, equals([192, 193, 194]));
      final face_3_65 = mesh_3.faces.elementAt(65);
      expect(face_3_65.indices, equals([195, 196, 197]));
      final face_3_66 = mesh_3.faces.elementAt(66);
      expect(face_3_66.indices, equals([198, 199, 200]));
      final face_3_67 = mesh_3.faces.elementAt(67);
      expect(face_3_67.indices, equals([201, 202, 203]));
      final face_3_68 = mesh_3.faces.elementAt(68);
      expect(face_3_68.indices, equals([204, 205, 206]));
      final face_3_69 = mesh_3.faces.elementAt(69);
      expect(face_3_69.indices, equals([207, 208, 209]));
      final face_3_70 = mesh_3.faces.elementAt(70);
      expect(face_3_70.indices, equals([210, 211, 212]));
      final face_3_71 = mesh_3.faces.elementAt(71);
      expect(face_3_71.indices, equals([213, 214, 215]));
      final face_3_72 = mesh_3.faces.elementAt(72);
      expect(face_3_72.indices, equals([216, 217, 218]));
      final face_3_73 = mesh_3.faces.elementAt(73);
      expect(face_3_73.indices, equals([219, 220, 221]));
      final face_3_74 = mesh_3.faces.elementAt(74);
      expect(face_3_74.indices, equals([222, 223, 224]));
      final face_3_75 = mesh_3.faces.elementAt(75);
      expect(face_3_75.indices, equals([225, 226, 227]));
      final face_3_76 = mesh_3.faces.elementAt(76);
      expect(face_3_76.indices, equals([228, 229, 230]));
      final face_3_77 = mesh_3.faces.elementAt(77);
      expect(face_3_77.indices, equals([231, 232, 233]));
      final face_3_78 = mesh_3.faces.elementAt(78);
      expect(face_3_78.indices, equals([234, 235, 236]));
      final face_3_79 = mesh_3.faces.elementAt(79);
      expect(face_3_79.indices, equals([237, 238, 239]));
      final face_3_80 = mesh_3.faces.elementAt(80);
      expect(face_3_80.indices, equals([240, 241, 242]));
      final face_3_81 = mesh_3.faces.elementAt(81);
      expect(face_3_81.indices, equals([243, 244, 245]));
      final face_3_82 = mesh_3.faces.elementAt(82);
      expect(face_3_82.indices, equals([246, 247, 248]));
      final face_3_83 = mesh_3.faces.elementAt(83);
      expect(face_3_83.indices, equals([249, 250, 251]));
      final face_3_84 = mesh_3.faces.elementAt(84);
      expect(face_3_84.indices, equals([252, 253, 254]));
      final face_3_85 = mesh_3.faces.elementAt(85);
      expect(face_3_85.indices, equals([255, 256, 257]));
      final face_3_86 = mesh_3.faces.elementAt(86);
      expect(face_3_86.indices, equals([258, 259, 260]));
      final face_3_87 = mesh_3.faces.elementAt(87);
      expect(face_3_87.indices, equals([261, 262, 263]));
      final face_3_88 = mesh_3.faces.elementAt(88);
      expect(face_3_88.indices, equals([264, 265, 266]));
      final face_3_89 = mesh_3.faces.elementAt(89);
      expect(face_3_89.indices, equals([267, 268, 269]));
      final face_3_90 = mesh_3.faces.elementAt(90);
      expect(face_3_90.indices, equals([270, 271, 272]));
      final face_3_91 = mesh_3.faces.elementAt(91);
      expect(face_3_91.indices, equals([273, 274, 275]));
      final face_3_92 = mesh_3.faces.elementAt(92);
      expect(face_3_92.indices, equals([276, 277, 278]));
      final face_3_93 = mesh_3.faces.elementAt(93);
      expect(face_3_93.indices, equals([279, 280, 281]));
      final face_3_94 = mesh_3.faces.elementAt(94);
      expect(face_3_94.indices, equals([282, 283, 284]));
      final face_3_95 = mesh_3.faces.elementAt(95);
      expect(face_3_95.indices, equals([285, 286, 287]));
      final face_3_96 = mesh_3.faces.elementAt(96);
      expect(face_3_96.indices, equals([288, 289, 290]));
      final face_3_97 = mesh_3.faces.elementAt(97);
      expect(face_3_97.indices, equals([291, 292, 293]));
      final mesh_4 = scene.meshes.elementAt(4);
      final face_4_0 = mesh_4.faces.elementAt(0);
      expect(face_4_0.indices, equals([0, 1, 2]));
      final face_4_1 = mesh_4.faces.elementAt(1);
      expect(face_4_1.indices, equals([3, 4, 5]));
      final face_4_2 = mesh_4.faces.elementAt(2);
      expect(face_4_2.indices, equals([6, 7, 8]));
      final face_4_3 = mesh_4.faces.elementAt(3);
      expect(face_4_3.indices, equals([9, 10, 11]));
      final face_4_4 = mesh_4.faces.elementAt(4);
      expect(face_4_4.indices, equals([12, 13, 14]));
      final face_4_5 = mesh_4.faces.elementAt(5);
      expect(face_4_5.indices, equals([15, 16, 17]));
      final face_4_6 = mesh_4.faces.elementAt(6);
      expect(face_4_6.indices, equals([18, 19, 20]));
      final face_4_7 = mesh_4.faces.elementAt(7);
      expect(face_4_7.indices, equals([21, 22, 23]));
      final face_4_8 = mesh_4.faces.elementAt(8);
      expect(face_4_8.indices, equals([24, 25, 26]));
      final face_4_9 = mesh_4.faces.elementAt(9);
      expect(face_4_9.indices, equals([27, 28, 29]));
      final face_4_10 = mesh_4.faces.elementAt(10);
      expect(face_4_10.indices, equals([30, 31, 32]));
      final face_4_11 = mesh_4.faces.elementAt(11);
      expect(face_4_11.indices, equals([33, 34, 35]));
      final face_4_12 = mesh_4.faces.elementAt(12);
      expect(face_4_12.indices, equals([36, 37, 38]));
      final face_4_13 = mesh_4.faces.elementAt(13);
      expect(face_4_13.indices, equals([39, 40, 41]));
      final face_4_14 = mesh_4.faces.elementAt(14);
      expect(face_4_14.indices, equals([42, 43, 44]));
      final face_4_15 = mesh_4.faces.elementAt(15);
      expect(face_4_15.indices, equals([45, 46, 47]));
      final face_4_16 = mesh_4.faces.elementAt(16);
      expect(face_4_16.indices, equals([48, 49, 50]));
      final face_4_17 = mesh_4.faces.elementAt(17);
      expect(face_4_17.indices, equals([51, 52, 53]));
      final face_4_18 = mesh_4.faces.elementAt(18);
      expect(face_4_18.indices, equals([54, 55, 56]));
      final face_4_19 = mesh_4.faces.elementAt(19);
      expect(face_4_19.indices, equals([57, 58, 59]));
      final face_4_20 = mesh_4.faces.elementAt(20);
      expect(face_4_20.indices, equals([60, 61, 62]));
      final face_4_21 = mesh_4.faces.elementAt(21);
      expect(face_4_21.indices, equals([63, 64, 65]));
      final face_4_22 = mesh_4.faces.elementAt(22);
      expect(face_4_22.indices, equals([66, 67, 68]));
      final face_4_23 = mesh_4.faces.elementAt(23);
      expect(face_4_23.indices, equals([69, 70, 71]));
      final face_4_24 = mesh_4.faces.elementAt(24);
      expect(face_4_24.indices, equals([72, 73, 74]));
      final face_4_25 = mesh_4.faces.elementAt(25);
      expect(face_4_25.indices, equals([75, 76, 77]));
      final face_4_26 = mesh_4.faces.elementAt(26);
      expect(face_4_26.indices, equals([78, 79, 80]));
      final face_4_27 = mesh_4.faces.elementAt(27);
      expect(face_4_27.indices, equals([81, 82, 83]));
      final face_4_28 = mesh_4.faces.elementAt(28);
      expect(face_4_28.indices, equals([84, 85, 86]));
      final face_4_29 = mesh_4.faces.elementAt(29);
      expect(face_4_29.indices, equals([87, 88, 89]));
      final face_4_30 = mesh_4.faces.elementAt(30);
      expect(face_4_30.indices, equals([90, 91, 92]));
      final face_4_31 = mesh_4.faces.elementAt(31);
      expect(face_4_31.indices, equals([93, 94, 95]));
      final face_4_32 = mesh_4.faces.elementAt(32);
      expect(face_4_32.indices, equals([96, 97, 98]));
      final face_4_33 = mesh_4.faces.elementAt(33);
      expect(face_4_33.indices, equals([99, 100, 101]));
      final face_4_34 = mesh_4.faces.elementAt(34);
      expect(face_4_34.indices, equals([102, 103, 104]));
      final face_4_35 = mesh_4.faces.elementAt(35);
      expect(face_4_35.indices, equals([105, 106, 107]));
      final face_4_36 = mesh_4.faces.elementAt(36);
      expect(face_4_36.indices, equals([108, 109, 110]));
      final face_4_37 = mesh_4.faces.elementAt(37);
      expect(face_4_37.indices, equals([111, 112, 113]));
      final face_4_38 = mesh_4.faces.elementAt(38);
      expect(face_4_38.indices, equals([114, 115, 116]));
      final face_4_39 = mesh_4.faces.elementAt(39);
      expect(face_4_39.indices, equals([117, 118, 119]));
      final face_4_40 = mesh_4.faces.elementAt(40);
      expect(face_4_40.indices, equals([120, 121, 122]));
      final face_4_41 = mesh_4.faces.elementAt(41);
      expect(face_4_41.indices, equals([123, 124, 125]));
      final face_4_42 = mesh_4.faces.elementAt(42);
      expect(face_4_42.indices, equals([126, 127, 128]));
      final face_4_43 = mesh_4.faces.elementAt(43);
      expect(face_4_43.indices, equals([129, 130, 131]));
      final face_4_44 = mesh_4.faces.elementAt(44);
      expect(face_4_44.indices, equals([132, 133, 134]));
      final face_4_45 = mesh_4.faces.elementAt(45);
      expect(face_4_45.indices, equals([135, 136, 137]));
      final face_4_46 = mesh_4.faces.elementAt(46);
      expect(face_4_46.indices, equals([138, 139, 140]));
      final face_4_47 = mesh_4.faces.elementAt(47);
      expect(face_4_47.indices, equals([141, 142, 143]));
      final face_4_48 = mesh_4.faces.elementAt(48);
      expect(face_4_48.indices, equals([144, 145, 146]));
      final face_4_49 = mesh_4.faces.elementAt(49);
      expect(face_4_49.indices, equals([147, 148, 149]));
      final face_4_50 = mesh_4.faces.elementAt(50);
      expect(face_4_50.indices, equals([150, 151, 152]));
      final face_4_51 = mesh_4.faces.elementAt(51);
      expect(face_4_51.indices, equals([153, 154, 155]));
      final face_4_52 = mesh_4.faces.elementAt(52);
      expect(face_4_52.indices, equals([156, 157, 158]));
      final face_4_53 = mesh_4.faces.elementAt(53);
      expect(face_4_53.indices, equals([159, 160, 161]));
      final face_4_54 = mesh_4.faces.elementAt(54);
      expect(face_4_54.indices, equals([162, 163, 164]));
      final face_4_55 = mesh_4.faces.elementAt(55);
      expect(face_4_55.indices, equals([165, 166, 167]));
      final face_4_56 = mesh_4.faces.elementAt(56);
      expect(face_4_56.indices, equals([168, 169, 170]));
      final face_4_57 = mesh_4.faces.elementAt(57);
      expect(face_4_57.indices, equals([171, 172, 173]));
      final face_4_58 = mesh_4.faces.elementAt(58);
      expect(face_4_58.indices, equals([174, 175, 176]));
      final face_4_59 = mesh_4.faces.elementAt(59);
      expect(face_4_59.indices, equals([177, 178, 179]));
      final face_4_60 = mesh_4.faces.elementAt(60);
      expect(face_4_60.indices, equals([180, 181, 182]));
      final face_4_61 = mesh_4.faces.elementAt(61);
      expect(face_4_61.indices, equals([183, 184, 185]));
      final face_4_62 = mesh_4.faces.elementAt(62);
      expect(face_4_62.indices, equals([186, 187, 188]));
      final face_4_63 = mesh_4.faces.elementAt(63);
      expect(face_4_63.indices, equals([189, 190, 191]));
      final face_4_64 = mesh_4.faces.elementAt(64);
      expect(face_4_64.indices, equals([192, 193, 194]));
      final face_4_65 = mesh_4.faces.elementAt(65);
      expect(face_4_65.indices, equals([195, 196, 197]));
      final face_4_66 = mesh_4.faces.elementAt(66);
      expect(face_4_66.indices, equals([198, 199, 200]));
      final face_4_67 = mesh_4.faces.elementAt(67);
      expect(face_4_67.indices, equals([201, 202, 203]));
      final face_4_68 = mesh_4.faces.elementAt(68);
      expect(face_4_68.indices, equals([204, 205, 206]));
      final face_4_69 = mesh_4.faces.elementAt(69);
      expect(face_4_69.indices, equals([207, 208, 209]));
      final face_4_70 = mesh_4.faces.elementAt(70);
      expect(face_4_70.indices, equals([210, 211, 212]));
      final face_4_71 = mesh_4.faces.elementAt(71);
      expect(face_4_71.indices, equals([213, 214, 215]));
      final face_4_72 = mesh_4.faces.elementAt(72);
      expect(face_4_72.indices, equals([216, 217, 218]));
      final face_4_73 = mesh_4.faces.elementAt(73);
      expect(face_4_73.indices, equals([219, 220, 221]));
      final face_4_74 = mesh_4.faces.elementAt(74);
      expect(face_4_74.indices, equals([222, 223, 224]));
      final face_4_75 = mesh_4.faces.elementAt(75);
      expect(face_4_75.indices, equals([225, 226, 227]));
      final face_4_76 = mesh_4.faces.elementAt(76);
      expect(face_4_76.indices, equals([228, 229, 230]));
      final face_4_77 = mesh_4.faces.elementAt(77);
      expect(face_4_77.indices, equals([231, 232, 233]));
      final face_4_78 = mesh_4.faces.elementAt(78);
      expect(face_4_78.indices, equals([234, 235, 236]));
      final face_4_79 = mesh_4.faces.elementAt(79);
      expect(face_4_79.indices, equals([237, 238, 239]));
      final face_4_80 = mesh_4.faces.elementAt(80);
      expect(face_4_80.indices, equals([240, 241, 242]));
      final face_4_81 = mesh_4.faces.elementAt(81);
      expect(face_4_81.indices, equals([243, 244, 245]));
      final face_4_82 = mesh_4.faces.elementAt(82);
      expect(face_4_82.indices, equals([246, 247, 248]));
      final face_4_83 = mesh_4.faces.elementAt(83);
      expect(face_4_83.indices, equals([249, 250, 251]));
      final face_4_84 = mesh_4.faces.elementAt(84);
      expect(face_4_84.indices, equals([252, 253, 254]));
      final face_4_85 = mesh_4.faces.elementAt(85);
      expect(face_4_85.indices, equals([255, 256, 257]));
      final face_4_86 = mesh_4.faces.elementAt(86);
      expect(face_4_86.indices, equals([258, 259, 260]));
      final face_4_87 = mesh_4.faces.elementAt(87);
      expect(face_4_87.indices, equals([261, 262, 263]));
      final face_4_88 = mesh_4.faces.elementAt(88);
      expect(face_4_88.indices, equals([264, 265, 266]));
      final face_4_89 = mesh_4.faces.elementAt(89);
      expect(face_4_89.indices, equals([267, 268, 269]));
      final face_4_90 = mesh_4.faces.elementAt(90);
      expect(face_4_90.indices, equals([270, 271, 272]));
      final face_4_91 = mesh_4.faces.elementAt(91);
      expect(face_4_91.indices, equals([273, 274, 275]));
      final face_4_92 = mesh_4.faces.elementAt(92);
      expect(face_4_92.indices, equals([276, 277, 278]));
      final face_4_93 = mesh_4.faces.elementAt(93);
      expect(face_4_93.indices, equals([279, 280, 281]));
      final face_4_94 = mesh_4.faces.elementAt(94);
      expect(face_4_94.indices, equals([282, 283, 284]));
      final face_4_95 = mesh_4.faces.elementAt(95);
      expect(face_4_95.indices, equals([285, 286, 287]));
      final face_4_96 = mesh_4.faces.elementAt(96);
      expect(face_4_96.indices, equals([288, 289, 290]));
      final face_4_97 = mesh_4.faces.elementAt(97);
      expect(face_4_97.indices, equals([291, 292, 293]));
      final mesh_5 = scene.meshes.elementAt(5);
      final face_5_0 = mesh_5.faces.elementAt(0);
      expect(face_5_0.indices, equals([0, 1, 2]));
      final face_5_1 = mesh_5.faces.elementAt(1);
      expect(face_5_1.indices, equals([3, 4, 5]));
      final face_5_2 = mesh_5.faces.elementAt(2);
      expect(face_5_2.indices, equals([6, 7, 8]));
      final face_5_3 = mesh_5.faces.elementAt(3);
      expect(face_5_3.indices, equals([9, 10, 11]));
      final face_5_4 = mesh_5.faces.elementAt(4);
      expect(face_5_4.indices, equals([12, 13, 14]));
      final face_5_5 = mesh_5.faces.elementAt(5);
      expect(face_5_5.indices, equals([15, 16, 17]));
      final face_5_6 = mesh_5.faces.elementAt(6);
      expect(face_5_6.indices, equals([18, 19, 20]));
      final face_5_7 = mesh_5.faces.elementAt(7);
      expect(face_5_7.indices, equals([21, 22, 23]));
      final face_5_8 = mesh_5.faces.elementAt(8);
      expect(face_5_8.indices, equals([24, 25, 26]));
      final face_5_9 = mesh_5.faces.elementAt(9);
      expect(face_5_9.indices, equals([27, 28, 29]));
      final face_5_10 = mesh_5.faces.elementAt(10);
      expect(face_5_10.indices, equals([30, 31, 32]));
      final face_5_11 = mesh_5.faces.elementAt(11);
      expect(face_5_11.indices, equals([33, 34, 35]));
      final face_5_12 = mesh_5.faces.elementAt(12);
      expect(face_5_12.indices, equals([36, 37, 38]));
      final face_5_13 = mesh_5.faces.elementAt(13);
      expect(face_5_13.indices, equals([39, 40, 41]));
      final face_5_14 = mesh_5.faces.elementAt(14);
      expect(face_5_14.indices, equals([42, 43, 44]));
      final face_5_15 = mesh_5.faces.elementAt(15);
      expect(face_5_15.indices, equals([45, 46, 47]));
      final face_5_16 = mesh_5.faces.elementAt(16);
      expect(face_5_16.indices, equals([48, 49, 50]));
      final face_5_17 = mesh_5.faces.elementAt(17);
      expect(face_5_17.indices, equals([51, 52, 53]));
      final face_5_18 = mesh_5.faces.elementAt(18);
      expect(face_5_18.indices, equals([54, 55, 56]));
      final face_5_19 = mesh_5.faces.elementAt(19);
      expect(face_5_19.indices, equals([57, 58, 59]));
      final face_5_20 = mesh_5.faces.elementAt(20);
      expect(face_5_20.indices, equals([60, 61, 62]));
      final face_5_21 = mesh_5.faces.elementAt(21);
      expect(face_5_21.indices, equals([63, 64, 65]));
      final face_5_22 = mesh_5.faces.elementAt(22);
      expect(face_5_22.indices, equals([66, 67, 68]));
      final face_5_23 = mesh_5.faces.elementAt(23);
      expect(face_5_23.indices, equals([69, 70, 71]));
      final face_5_24 = mesh_5.faces.elementAt(24);
      expect(face_5_24.indices, equals([72, 73, 74]));
      final face_5_25 = mesh_5.faces.elementAt(25);
      expect(face_5_25.indices, equals([75, 76, 77]));
      final face_5_26 = mesh_5.faces.elementAt(26);
      expect(face_5_26.indices, equals([78, 79, 80]));
      final face_5_27 = mesh_5.faces.elementAt(27);
      expect(face_5_27.indices, equals([81, 82, 83]));
      final face_5_28 = mesh_5.faces.elementAt(28);
      expect(face_5_28.indices, equals([84, 85, 86]));
      final face_5_29 = mesh_5.faces.elementAt(29);
      expect(face_5_29.indices, equals([87, 88, 89]));
      final face_5_30 = mesh_5.faces.elementAt(30);
      expect(face_5_30.indices, equals([90, 91, 92]));
      final face_5_31 = mesh_5.faces.elementAt(31);
      expect(face_5_31.indices, equals([93, 94, 95]));
      final face_5_32 = mesh_5.faces.elementAt(32);
      expect(face_5_32.indices, equals([96, 97, 98]));
      final face_5_33 = mesh_5.faces.elementAt(33);
      expect(face_5_33.indices, equals([99, 100, 101]));
      final face_5_34 = mesh_5.faces.elementAt(34);
      expect(face_5_34.indices, equals([102, 103, 104]));
      final face_5_35 = mesh_5.faces.elementAt(35);
      expect(face_5_35.indices, equals([105, 106, 107]));
      final face_5_36 = mesh_5.faces.elementAt(36);
      expect(face_5_36.indices, equals([108, 109, 110]));
      final face_5_37 = mesh_5.faces.elementAt(37);
      expect(face_5_37.indices, equals([111, 112, 113]));
      final face_5_38 = mesh_5.faces.elementAt(38);
      expect(face_5_38.indices, equals([114, 115, 116]));
      final face_5_39 = mesh_5.faces.elementAt(39);
      expect(face_5_39.indices, equals([117, 118, 119]));
      final face_5_40 = mesh_5.faces.elementAt(40);
      expect(face_5_40.indices, equals([120, 121, 122]));
      final face_5_41 = mesh_5.faces.elementAt(41);
      expect(face_5_41.indices, equals([123, 124, 125]));
      final face_5_42 = mesh_5.faces.elementAt(42);
      expect(face_5_42.indices, equals([126, 127, 128]));
      final face_5_43 = mesh_5.faces.elementAt(43);
      expect(face_5_43.indices, equals([129, 130, 131]));
      final face_5_44 = mesh_5.faces.elementAt(44);
      expect(face_5_44.indices, equals([132, 133, 134]));
      final face_5_45 = mesh_5.faces.elementAt(45);
      expect(face_5_45.indices, equals([135, 136, 137]));
      final face_5_46 = mesh_5.faces.elementAt(46);
      expect(face_5_46.indices, equals([138, 139, 140]));
      final face_5_47 = mesh_5.faces.elementAt(47);
      expect(face_5_47.indices, equals([141, 142, 143]));
      final face_5_48 = mesh_5.faces.elementAt(48);
      expect(face_5_48.indices, equals([144, 145, 146]));
      final face_5_49 = mesh_5.faces.elementAt(49);
      expect(face_5_49.indices, equals([147, 148, 149]));
      final face_5_50 = mesh_5.faces.elementAt(50);
      expect(face_5_50.indices, equals([150, 151, 152]));
      final face_5_51 = mesh_5.faces.elementAt(51);
      expect(face_5_51.indices, equals([153, 154, 155]));
      final face_5_52 = mesh_5.faces.elementAt(52);
      expect(face_5_52.indices, equals([156, 157, 158]));
      final face_5_53 = mesh_5.faces.elementAt(53);
      expect(face_5_53.indices, equals([159, 160, 161]));
      final face_5_54 = mesh_5.faces.elementAt(54);
      expect(face_5_54.indices, equals([162, 163, 164]));
      final face_5_55 = mesh_5.faces.elementAt(55);
      expect(face_5_55.indices, equals([165, 166, 167]));
      final face_5_56 = mesh_5.faces.elementAt(56);
      expect(face_5_56.indices, equals([168, 169, 170]));
      final face_5_57 = mesh_5.faces.elementAt(57);
      expect(face_5_57.indices, equals([171, 172, 173]));
      final face_5_58 = mesh_5.faces.elementAt(58);
      expect(face_5_58.indices, equals([174, 175, 176]));
      final face_5_59 = mesh_5.faces.elementAt(59);
      expect(face_5_59.indices, equals([177, 178, 179]));
      final face_5_60 = mesh_5.faces.elementAt(60);
      expect(face_5_60.indices, equals([180, 181, 182]));
      final face_5_61 = mesh_5.faces.elementAt(61);
      expect(face_5_61.indices, equals([183, 184, 185]));
      final face_5_62 = mesh_5.faces.elementAt(62);
      expect(face_5_62.indices, equals([186, 187, 188]));
      final face_5_63 = mesh_5.faces.elementAt(63);
      expect(face_5_63.indices, equals([189, 190, 191]));
      final face_5_64 = mesh_5.faces.elementAt(64);
      expect(face_5_64.indices, equals([192, 193, 194]));
      final face_5_65 = mesh_5.faces.elementAt(65);
      expect(face_5_65.indices, equals([195, 196, 197]));
      final face_5_66 = mesh_5.faces.elementAt(66);
      expect(face_5_66.indices, equals([198, 199, 200]));
      final face_5_67 = mesh_5.faces.elementAt(67);
      expect(face_5_67.indices, equals([201, 202, 203]));
      final face_5_68 = mesh_5.faces.elementAt(68);
      expect(face_5_68.indices, equals([204, 205, 206]));
      final face_5_69 = mesh_5.faces.elementAt(69);
      expect(face_5_69.indices, equals([207, 208, 209]));
      final face_5_70 = mesh_5.faces.elementAt(70);
      expect(face_5_70.indices, equals([210, 211, 212]));
      final face_5_71 = mesh_5.faces.elementAt(71);
      expect(face_5_71.indices, equals([213, 214, 215]));
      final face_5_72 = mesh_5.faces.elementAt(72);
      expect(face_5_72.indices, equals([216, 217, 218]));
      final face_5_73 = mesh_5.faces.elementAt(73);
      expect(face_5_73.indices, equals([219, 220, 221]));
      final face_5_74 = mesh_5.faces.elementAt(74);
      expect(face_5_74.indices, equals([222, 223, 224]));
      final face_5_75 = mesh_5.faces.elementAt(75);
      expect(face_5_75.indices, equals([225, 226, 227]));
      final face_5_76 = mesh_5.faces.elementAt(76);
      expect(face_5_76.indices, equals([228, 229, 230]));
      final face_5_77 = mesh_5.faces.elementAt(77);
      expect(face_5_77.indices, equals([231, 232, 233]));
      final face_5_78 = mesh_5.faces.elementAt(78);
      expect(face_5_78.indices, equals([234, 235, 236]));
      final face_5_79 = mesh_5.faces.elementAt(79);
      expect(face_5_79.indices, equals([237, 238, 239]));
      final face_5_80 = mesh_5.faces.elementAt(80);
      expect(face_5_80.indices, equals([240, 241, 242]));
      final face_5_81 = mesh_5.faces.elementAt(81);
      expect(face_5_81.indices, equals([243, 244, 245]));
      final face_5_82 = mesh_5.faces.elementAt(82);
      expect(face_5_82.indices, equals([246, 247, 248]));
      final face_5_83 = mesh_5.faces.elementAt(83);
      expect(face_5_83.indices, equals([249, 250, 251]));
      final face_5_84 = mesh_5.faces.elementAt(84);
      expect(face_5_84.indices, equals([252, 253, 254]));
      final face_5_85 = mesh_5.faces.elementAt(85);
      expect(face_5_85.indices, equals([255, 256, 257]));
      final face_5_86 = mesh_5.faces.elementAt(86);
      expect(face_5_86.indices, equals([258, 259, 260]));
      final face_5_87 = mesh_5.faces.elementAt(87);
      expect(face_5_87.indices, equals([261, 262, 263]));
      final face_5_88 = mesh_5.faces.elementAt(88);
      expect(face_5_88.indices, equals([264, 265, 266]));
      final face_5_89 = mesh_5.faces.elementAt(89);
      expect(face_5_89.indices, equals([267, 268, 269]));
      final face_5_90 = mesh_5.faces.elementAt(90);
      expect(face_5_90.indices, equals([270, 271, 272]));
      final face_5_91 = mesh_5.faces.elementAt(91);
      expect(face_5_91.indices, equals([273, 274, 275]));
      final face_5_92 = mesh_5.faces.elementAt(92);
      expect(face_5_92.indices, equals([276, 277, 278]));
      final face_5_93 = mesh_5.faces.elementAt(93);
      expect(face_5_93.indices, equals([279, 280, 281]));
      final face_5_94 = mesh_5.faces.elementAt(94);
      expect(face_5_94.indices, equals([282, 283, 284]));
      final face_5_95 = mesh_5.faces.elementAt(95);
      expect(face_5_95.indices, equals([285, 286, 287]));
      final face_5_96 = mesh_5.faces.elementAt(96);
      expect(face_5_96.indices, equals([288, 289, 290]));
      final face_5_97 = mesh_5.faces.elementAt(97);
      expect(face_5_97.indices, equals([291, 292, 293]));
      final mesh_6 = scene.meshes.elementAt(6);
      final face_6_0 = mesh_6.faces.elementAt(0);
      expect(face_6_0.indices, equals([0, 1, 2]));
      final face_6_1 = mesh_6.faces.elementAt(1);
      expect(face_6_1.indices, equals([3, 4, 5]));
      final face_6_2 = mesh_6.faces.elementAt(2);
      expect(face_6_2.indices, equals([6, 7, 8]));
      final face_6_3 = mesh_6.faces.elementAt(3);
      expect(face_6_3.indices, equals([9, 10, 11]));
      final face_6_4 = mesh_6.faces.elementAt(4);
      expect(face_6_4.indices, equals([12, 13, 14]));
      final face_6_5 = mesh_6.faces.elementAt(5);
      expect(face_6_5.indices, equals([15, 16, 17]));
      final face_6_6 = mesh_6.faces.elementAt(6);
      expect(face_6_6.indices, equals([18, 19, 20]));
      final face_6_7 = mesh_6.faces.elementAt(7);
      expect(face_6_7.indices, equals([21, 22, 23]));
      final face_6_8 = mesh_6.faces.elementAt(8);
      expect(face_6_8.indices, equals([24, 25, 26]));
      final face_6_9 = mesh_6.faces.elementAt(9);
      expect(face_6_9.indices, equals([27, 28, 29]));
      final face_6_10 = mesh_6.faces.elementAt(10);
      expect(face_6_10.indices, equals([30, 31, 32]));
      final face_6_11 = mesh_6.faces.elementAt(11);
      expect(face_6_11.indices, equals([33, 34, 35]));
      final face_6_12 = mesh_6.faces.elementAt(12);
      expect(face_6_12.indices, equals([36, 37, 38]));
      final face_6_13 = mesh_6.faces.elementAt(13);
      expect(face_6_13.indices, equals([39, 40, 41]));
      final face_6_14 = mesh_6.faces.elementAt(14);
      expect(face_6_14.indices, equals([42, 43, 44]));
      final face_6_15 = mesh_6.faces.elementAt(15);
      expect(face_6_15.indices, equals([45, 46, 47]));
      final face_6_16 = mesh_6.faces.elementAt(16);
      expect(face_6_16.indices, equals([48, 49, 50]));
      final face_6_17 = mesh_6.faces.elementAt(17);
      expect(face_6_17.indices, equals([51, 52, 53]));
      final face_6_18 = mesh_6.faces.elementAt(18);
      expect(face_6_18.indices, equals([54, 55, 56]));
      final face_6_19 = mesh_6.faces.elementAt(19);
      expect(face_6_19.indices, equals([57, 58, 59]));
      final face_6_20 = mesh_6.faces.elementAt(20);
      expect(face_6_20.indices, equals([60, 61, 62]));
      final face_6_21 = mesh_6.faces.elementAt(21);
      expect(face_6_21.indices, equals([63, 64, 65]));
      final face_6_22 = mesh_6.faces.elementAt(22);
      expect(face_6_22.indices, equals([66, 67, 68]));
      final face_6_23 = mesh_6.faces.elementAt(23);
      expect(face_6_23.indices, equals([69, 70, 71]));
      final face_6_24 = mesh_6.faces.elementAt(24);
      expect(face_6_24.indices, equals([72, 73, 74]));
      final face_6_25 = mesh_6.faces.elementAt(25);
      expect(face_6_25.indices, equals([75, 76, 77]));
      final face_6_26 = mesh_6.faces.elementAt(26);
      expect(face_6_26.indices, equals([78, 79, 80]));
      final face_6_27 = mesh_6.faces.elementAt(27);
      expect(face_6_27.indices, equals([81, 82, 83]));
      final face_6_28 = mesh_6.faces.elementAt(28);
      expect(face_6_28.indices, equals([84, 85, 86]));
      final face_6_29 = mesh_6.faces.elementAt(29);
      expect(face_6_29.indices, equals([87, 88, 89]));
      final face_6_30 = mesh_6.faces.elementAt(30);
      expect(face_6_30.indices, equals([90, 91, 92]));
      final face_6_31 = mesh_6.faces.elementAt(31);
      expect(face_6_31.indices, equals([93, 94, 95]));
      final face_6_32 = mesh_6.faces.elementAt(32);
      expect(face_6_32.indices, equals([96, 97, 98]));
      final face_6_33 = mesh_6.faces.elementAt(33);
      expect(face_6_33.indices, equals([99, 100, 101]));
      final face_6_34 = mesh_6.faces.elementAt(34);
      expect(face_6_34.indices, equals([102, 103, 104]));
      final face_6_35 = mesh_6.faces.elementAt(35);
      expect(face_6_35.indices, equals([105, 106, 107]));
      final face_6_36 = mesh_6.faces.elementAt(36);
      expect(face_6_36.indices, equals([108, 109, 110]));
      final face_6_37 = mesh_6.faces.elementAt(37);
      expect(face_6_37.indices, equals([111, 112, 113]));
      final face_6_38 = mesh_6.faces.elementAt(38);
      expect(face_6_38.indices, equals([114, 115, 116]));
      final face_6_39 = mesh_6.faces.elementAt(39);
      expect(face_6_39.indices, equals([117, 118, 119]));
      final face_6_40 = mesh_6.faces.elementAt(40);
      expect(face_6_40.indices, equals([120, 121, 122]));
      final face_6_41 = mesh_6.faces.elementAt(41);
      expect(face_6_41.indices, equals([123, 124, 125]));
      final face_6_42 = mesh_6.faces.elementAt(42);
      expect(face_6_42.indices, equals([126, 127, 128]));
      final face_6_43 = mesh_6.faces.elementAt(43);
      expect(face_6_43.indices, equals([129, 130, 131]));
      final face_6_44 = mesh_6.faces.elementAt(44);
      expect(face_6_44.indices, equals([132, 133, 134]));
      final face_6_45 = mesh_6.faces.elementAt(45);
      expect(face_6_45.indices, equals([135, 136, 137]));
      final face_6_46 = mesh_6.faces.elementAt(46);
      expect(face_6_46.indices, equals([138, 139, 140]));
      final face_6_47 = mesh_6.faces.elementAt(47);
      expect(face_6_47.indices, equals([141, 142, 143]));
      final face_6_48 = mesh_6.faces.elementAt(48);
      expect(face_6_48.indices, equals([144, 145, 146]));
      final face_6_49 = mesh_6.faces.elementAt(49);
      expect(face_6_49.indices, equals([147, 148, 149]));
      final face_6_50 = mesh_6.faces.elementAt(50);
      expect(face_6_50.indices, equals([150, 151, 152]));
      final face_6_51 = mesh_6.faces.elementAt(51);
      expect(face_6_51.indices, equals([153, 154, 155]));
      final face_6_52 = mesh_6.faces.elementAt(52);
      expect(face_6_52.indices, equals([156, 157, 158]));
      final face_6_53 = mesh_6.faces.elementAt(53);
      expect(face_6_53.indices, equals([159, 160, 161]));
      final face_6_54 = mesh_6.faces.elementAt(54);
      expect(face_6_54.indices, equals([162, 163, 164]));
      final face_6_55 = mesh_6.faces.elementAt(55);
      expect(face_6_55.indices, equals([165, 166, 167]));
      final face_6_56 = mesh_6.faces.elementAt(56);
      expect(face_6_56.indices, equals([168, 169, 170]));
      final face_6_57 = mesh_6.faces.elementAt(57);
      expect(face_6_57.indices, equals([171, 172, 173]));
      final face_6_58 = mesh_6.faces.elementAt(58);
      expect(face_6_58.indices, equals([174, 175, 176]));
      final face_6_59 = mesh_6.faces.elementAt(59);
      expect(face_6_59.indices, equals([177, 178, 179]));
      final face_6_60 = mesh_6.faces.elementAt(60);
      expect(face_6_60.indices, equals([180, 181, 182]));
      final face_6_61 = mesh_6.faces.elementAt(61);
      expect(face_6_61.indices, equals([183, 184, 185]));
      final face_6_62 = mesh_6.faces.elementAt(62);
      expect(face_6_62.indices, equals([186, 187, 188]));
      final face_6_63 = mesh_6.faces.elementAt(63);
      expect(face_6_63.indices, equals([189, 190, 191]));
      final face_6_64 = mesh_6.faces.elementAt(64);
      expect(face_6_64.indices, equals([192, 193, 194]));
      final face_6_65 = mesh_6.faces.elementAt(65);
      expect(face_6_65.indices, equals([195, 196, 197]));
      final face_6_66 = mesh_6.faces.elementAt(66);
      expect(face_6_66.indices, equals([198, 199, 200]));
      final face_6_67 = mesh_6.faces.elementAt(67);
      expect(face_6_67.indices, equals([201, 202, 203]));
      final face_6_68 = mesh_6.faces.elementAt(68);
      expect(face_6_68.indices, equals([204, 205, 206]));
      final face_6_69 = mesh_6.faces.elementAt(69);
      expect(face_6_69.indices, equals([207, 208, 209]));
      final face_6_70 = mesh_6.faces.elementAt(70);
      expect(face_6_70.indices, equals([210, 211, 212]));
      final face_6_71 = mesh_6.faces.elementAt(71);
      expect(face_6_71.indices, equals([213, 214, 215]));
      final face_6_72 = mesh_6.faces.elementAt(72);
      expect(face_6_72.indices, equals([216, 217, 218]));
      final face_6_73 = mesh_6.faces.elementAt(73);
      expect(face_6_73.indices, equals([219, 220, 221]));
      final face_6_74 = mesh_6.faces.elementAt(74);
      expect(face_6_74.indices, equals([222, 223, 224]));
      final face_6_75 = mesh_6.faces.elementAt(75);
      expect(face_6_75.indices, equals([225, 226, 227]));
      final face_6_76 = mesh_6.faces.elementAt(76);
      expect(face_6_76.indices, equals([228, 229, 230]));
      final face_6_77 = mesh_6.faces.elementAt(77);
      expect(face_6_77.indices, equals([231, 232, 233]));
      final face_6_78 = mesh_6.faces.elementAt(78);
      expect(face_6_78.indices, equals([234, 235, 236]));
      final face_6_79 = mesh_6.faces.elementAt(79);
      expect(face_6_79.indices, equals([237, 238, 239]));
      final face_6_80 = mesh_6.faces.elementAt(80);
      expect(face_6_80.indices, equals([240, 241, 242]));
      final face_6_81 = mesh_6.faces.elementAt(81);
      expect(face_6_81.indices, equals([243, 244, 245]));
      final face_6_82 = mesh_6.faces.elementAt(82);
      expect(face_6_82.indices, equals([246, 247, 248]));
      final face_6_83 = mesh_6.faces.elementAt(83);
      expect(face_6_83.indices, equals([249, 250, 251]));
      final face_6_84 = mesh_6.faces.elementAt(84);
      expect(face_6_84.indices, equals([252, 253, 254]));
      final face_6_85 = mesh_6.faces.elementAt(85);
      expect(face_6_85.indices, equals([255, 256, 257]));
      final face_6_86 = mesh_6.faces.elementAt(86);
      expect(face_6_86.indices, equals([258, 259, 260]));
      final face_6_87 = mesh_6.faces.elementAt(87);
      expect(face_6_87.indices, equals([261, 262, 263]));
      final face_6_88 = mesh_6.faces.elementAt(88);
      expect(face_6_88.indices, equals([264, 265, 266]));
      final face_6_89 = mesh_6.faces.elementAt(89);
      expect(face_6_89.indices, equals([267, 268, 269]));
      final face_6_90 = mesh_6.faces.elementAt(90);
      expect(face_6_90.indices, equals([270, 271, 272]));
      final face_6_91 = mesh_6.faces.elementAt(91);
      expect(face_6_91.indices, equals([273, 274, 275]));
      final face_6_92 = mesh_6.faces.elementAt(92);
      expect(face_6_92.indices, equals([276, 277, 278]));
      final face_6_93 = mesh_6.faces.elementAt(93);
      expect(face_6_93.indices, equals([279, 280, 281]));
      final face_6_94 = mesh_6.faces.elementAt(94);
      expect(face_6_94.indices, equals([282, 283, 284]));
      final face_6_95 = mesh_6.faces.elementAt(95);
      expect(face_6_95.indices, equals([285, 286, 287]));
      final face_6_96 = mesh_6.faces.elementAt(96);
      expect(face_6_96.indices, equals([288, 289, 290]));
      final face_6_97 = mesh_6.faces.elementAt(97);
      expect(face_6_97.indices, equals([291, 292, 293]));
      final mesh_7 = scene.meshes.elementAt(7);
      final face_7_0 = mesh_7.faces.elementAt(0);
      expect(face_7_0.indices, equals([0, 1, 2]));
      final face_7_1 = mesh_7.faces.elementAt(1);
      expect(face_7_1.indices, equals([3, 4, 5]));
      final face_7_2 = mesh_7.faces.elementAt(2);
      expect(face_7_2.indices, equals([6, 7, 8]));
      final face_7_3 = mesh_7.faces.elementAt(3);
      expect(face_7_3.indices, equals([9, 10, 11]));
      final face_7_4 = mesh_7.faces.elementAt(4);
      expect(face_7_4.indices, equals([12, 13, 14]));
      final face_7_5 = mesh_7.faces.elementAt(5);
      expect(face_7_5.indices, equals([15, 16, 17]));
      final face_7_6 = mesh_7.faces.elementAt(6);
      expect(face_7_6.indices, equals([18, 19, 20]));
      final face_7_7 = mesh_7.faces.elementAt(7);
      expect(face_7_7.indices, equals([21, 22, 23]));
      final face_7_8 = mesh_7.faces.elementAt(8);
      expect(face_7_8.indices, equals([24, 25, 26]));
      final face_7_9 = mesh_7.faces.elementAt(9);
      expect(face_7_9.indices, equals([27, 28, 29]));
      final face_7_10 = mesh_7.faces.elementAt(10);
      expect(face_7_10.indices, equals([30, 31, 32]));
      final face_7_11 = mesh_7.faces.elementAt(11);
      expect(face_7_11.indices, equals([33, 34, 35]));
      final face_7_12 = mesh_7.faces.elementAt(12);
      expect(face_7_12.indices, equals([36, 37, 38]));
      final face_7_13 = mesh_7.faces.elementAt(13);
      expect(face_7_13.indices, equals([39, 40, 41]));
      final face_7_14 = mesh_7.faces.elementAt(14);
      expect(face_7_14.indices, equals([42, 43, 44]));
      final face_7_15 = mesh_7.faces.elementAt(15);
      expect(face_7_15.indices, equals([45, 46, 47]));
      final face_7_16 = mesh_7.faces.elementAt(16);
      expect(face_7_16.indices, equals([48, 49, 50]));
      final face_7_17 = mesh_7.faces.elementAt(17);
      expect(face_7_17.indices, equals([51, 52, 53]));
      final face_7_18 = mesh_7.faces.elementAt(18);
      expect(face_7_18.indices, equals([54, 55, 56]));
      final face_7_19 = mesh_7.faces.elementAt(19);
      expect(face_7_19.indices, equals([57, 58, 59]));
      final face_7_20 = mesh_7.faces.elementAt(20);
      expect(face_7_20.indices, equals([60, 61, 62]));
      final face_7_21 = mesh_7.faces.elementAt(21);
      expect(face_7_21.indices, equals([63, 64, 65]));
      final face_7_22 = mesh_7.faces.elementAt(22);
      expect(face_7_22.indices, equals([66, 67, 68]));
      final face_7_23 = mesh_7.faces.elementAt(23);
      expect(face_7_23.indices, equals([69, 70, 71]));
      final face_7_24 = mesh_7.faces.elementAt(24);
      expect(face_7_24.indices, equals([72, 73, 74]));
      final face_7_25 = mesh_7.faces.elementAt(25);
      expect(face_7_25.indices, equals([75, 76, 77]));
      final face_7_26 = mesh_7.faces.elementAt(26);
      expect(face_7_26.indices, equals([78, 79, 80]));
      final face_7_27 = mesh_7.faces.elementAt(27);
      expect(face_7_27.indices, equals([81, 82, 83]));
      final face_7_28 = mesh_7.faces.elementAt(28);
      expect(face_7_28.indices, equals([84, 85, 86]));
      final face_7_29 = mesh_7.faces.elementAt(29);
      expect(face_7_29.indices, equals([87, 88, 89]));
      final face_7_30 = mesh_7.faces.elementAt(30);
      expect(face_7_30.indices, equals([90, 91, 92]));
      final face_7_31 = mesh_7.faces.elementAt(31);
      expect(face_7_31.indices, equals([93, 94, 95]));
      final face_7_32 = mesh_7.faces.elementAt(32);
      expect(face_7_32.indices, equals([96, 97, 98]));
      final face_7_33 = mesh_7.faces.elementAt(33);
      expect(face_7_33.indices, equals([99, 100, 101]));
      final face_7_34 = mesh_7.faces.elementAt(34);
      expect(face_7_34.indices, equals([102, 103, 104]));
      final face_7_35 = mesh_7.faces.elementAt(35);
      expect(face_7_35.indices, equals([105, 106, 107]));
      final face_7_36 = mesh_7.faces.elementAt(36);
      expect(face_7_36.indices, equals([108, 109, 110]));
      final face_7_37 = mesh_7.faces.elementAt(37);
      expect(face_7_37.indices, equals([111, 112, 113]));
      final face_7_38 = mesh_7.faces.elementAt(38);
      expect(face_7_38.indices, equals([114, 115, 116]));
      final face_7_39 = mesh_7.faces.elementAt(39);
      expect(face_7_39.indices, equals([117, 118, 119]));
      final face_7_40 = mesh_7.faces.elementAt(40);
      expect(face_7_40.indices, equals([120, 121, 122]));
      final face_7_41 = mesh_7.faces.elementAt(41);
      expect(face_7_41.indices, equals([123, 124, 125]));
      final face_7_42 = mesh_7.faces.elementAt(42);
      expect(face_7_42.indices, equals([126, 127, 128]));
      final face_7_43 = mesh_7.faces.elementAt(43);
      expect(face_7_43.indices, equals([129, 130, 131]));
      final face_7_44 = mesh_7.faces.elementAt(44);
      expect(face_7_44.indices, equals([132, 133, 134]));
      final face_7_45 = mesh_7.faces.elementAt(45);
      expect(face_7_45.indices, equals([135, 136, 137]));
      final face_7_46 = mesh_7.faces.elementAt(46);
      expect(face_7_46.indices, equals([138, 139, 140]));
      final face_7_47 = mesh_7.faces.elementAt(47);
      expect(face_7_47.indices, equals([141, 142, 143]));
      final face_7_48 = mesh_7.faces.elementAt(48);
      expect(face_7_48.indices, equals([144, 145, 146]));
      final face_7_49 = mesh_7.faces.elementAt(49);
      expect(face_7_49.indices, equals([147, 148, 149]));
      final face_7_50 = mesh_7.faces.elementAt(50);
      expect(face_7_50.indices, equals([150, 151, 152]));
      final face_7_51 = mesh_7.faces.elementAt(51);
      expect(face_7_51.indices, equals([153, 154, 155]));
      final face_7_52 = mesh_7.faces.elementAt(52);
      expect(face_7_52.indices, equals([156, 157, 158]));
      final face_7_53 = mesh_7.faces.elementAt(53);
      expect(face_7_53.indices, equals([159, 160, 161]));
      final face_7_54 = mesh_7.faces.elementAt(54);
      expect(face_7_54.indices, equals([162, 163, 164]));
      final face_7_55 = mesh_7.faces.elementAt(55);
      expect(face_7_55.indices, equals([165, 166, 167]));
      final face_7_56 = mesh_7.faces.elementAt(56);
      expect(face_7_56.indices, equals([168, 169, 170]));
      final face_7_57 = mesh_7.faces.elementAt(57);
      expect(face_7_57.indices, equals([171, 172, 173]));
      final face_7_58 = mesh_7.faces.elementAt(58);
      expect(face_7_58.indices, equals([174, 175, 176]));
      final face_7_59 = mesh_7.faces.elementAt(59);
      expect(face_7_59.indices, equals([177, 178, 179]));
      final face_7_60 = mesh_7.faces.elementAt(60);
      expect(face_7_60.indices, equals([180, 181, 182]));
      final face_7_61 = mesh_7.faces.elementAt(61);
      expect(face_7_61.indices, equals([183, 184, 185]));
      final face_7_62 = mesh_7.faces.elementAt(62);
      expect(face_7_62.indices, equals([186, 187, 188]));
      final face_7_63 = mesh_7.faces.elementAt(63);
      expect(face_7_63.indices, equals([189, 190, 191]));
      final face_7_64 = mesh_7.faces.elementAt(64);
      expect(face_7_64.indices, equals([192, 193, 194]));
      final face_7_65 = mesh_7.faces.elementAt(65);
      expect(face_7_65.indices, equals([195, 196, 197]));
      final face_7_66 = mesh_7.faces.elementAt(66);
      expect(face_7_66.indices, equals([198, 199, 200]));
      final face_7_67 = mesh_7.faces.elementAt(67);
      expect(face_7_67.indices, equals([201, 202, 203]));
      final face_7_68 = mesh_7.faces.elementAt(68);
      expect(face_7_68.indices, equals([204, 205, 206]));
      final face_7_69 = mesh_7.faces.elementAt(69);
      expect(face_7_69.indices, equals([207, 208, 209]));
      final face_7_70 = mesh_7.faces.elementAt(70);
      expect(face_7_70.indices, equals([210, 211, 212]));
      final face_7_71 = mesh_7.faces.elementAt(71);
      expect(face_7_71.indices, equals([213, 214, 215]));
      final face_7_72 = mesh_7.faces.elementAt(72);
      expect(face_7_72.indices, equals([216, 217, 218]));
      final face_7_73 = mesh_7.faces.elementAt(73);
      expect(face_7_73.indices, equals([219, 220, 221]));
      final face_7_74 = mesh_7.faces.elementAt(74);
      expect(face_7_74.indices, equals([222, 223, 224]));
      final face_7_75 = mesh_7.faces.elementAt(75);
      expect(face_7_75.indices, equals([225, 226, 227]));
      final face_7_76 = mesh_7.faces.elementAt(76);
      expect(face_7_76.indices, equals([228, 229, 230]));
      final face_7_77 = mesh_7.faces.elementAt(77);
      expect(face_7_77.indices, equals([231, 232, 233]));
      final face_7_78 = mesh_7.faces.elementAt(78);
      expect(face_7_78.indices, equals([234, 235, 236]));
      final face_7_79 = mesh_7.faces.elementAt(79);
      expect(face_7_79.indices, equals([237, 238, 239]));
      final face_7_80 = mesh_7.faces.elementAt(80);
      expect(face_7_80.indices, equals([240, 241, 242]));
      final face_7_81 = mesh_7.faces.elementAt(81);
      expect(face_7_81.indices, equals([243, 244, 245]));
      final face_7_82 = mesh_7.faces.elementAt(82);
      expect(face_7_82.indices, equals([246, 247, 248]));
      final face_7_83 = mesh_7.faces.elementAt(83);
      expect(face_7_83.indices, equals([249, 250, 251]));
      final face_7_84 = mesh_7.faces.elementAt(84);
      expect(face_7_84.indices, equals([252, 253, 254]));
      final face_7_85 = mesh_7.faces.elementAt(85);
      expect(face_7_85.indices, equals([255, 256, 257]));
      final face_7_86 = mesh_7.faces.elementAt(86);
      expect(face_7_86.indices, equals([258, 259, 260]));
      final face_7_87 = mesh_7.faces.elementAt(87);
      expect(face_7_87.indices, equals([261, 262, 263]));
      final face_7_88 = mesh_7.faces.elementAt(88);
      expect(face_7_88.indices, equals([264, 265, 266]));
      final face_7_89 = mesh_7.faces.elementAt(89);
      expect(face_7_89.indices, equals([267, 268, 269]));
      final face_7_90 = mesh_7.faces.elementAt(90);
      expect(face_7_90.indices, equals([270, 271, 272]));
      final face_7_91 = mesh_7.faces.elementAt(91);
      expect(face_7_91.indices, equals([273, 274, 275]));
      final face_7_92 = mesh_7.faces.elementAt(92);
      expect(face_7_92.indices, equals([276, 277, 278]));
      final face_7_93 = mesh_7.faces.elementAt(93);
      expect(face_7_93.indices, equals([279, 280, 281]));
      final face_7_94 = mesh_7.faces.elementAt(94);
      expect(face_7_94.indices, equals([282, 283, 284]));
      final face_7_95 = mesh_7.faces.elementAt(95);
      expect(face_7_95.indices, equals([285, 286, 287]));
      final face_7_96 = mesh_7.faces.elementAt(96);
      expect(face_7_96.indices, equals([288, 289, 290]));
      final face_7_97 = mesh_7.faces.elementAt(97);
      expect(face_7_97.indices, equals([291, 292, 293]));
      final mesh_8 = scene.meshes.elementAt(8);
      final face_8_0 = mesh_8.faces.elementAt(0);
      expect(face_8_0.indices, equals([0, 1, 2]));
      final face_8_1 = mesh_8.faces.elementAt(1);
      expect(face_8_1.indices, equals([3, 4, 5]));
      final face_8_2 = mesh_8.faces.elementAt(2);
      expect(face_8_2.indices, equals([6, 7, 8]));
      final face_8_3 = mesh_8.faces.elementAt(3);
      expect(face_8_3.indices, equals([9, 10, 11]));
      final face_8_4 = mesh_8.faces.elementAt(4);
      expect(face_8_4.indices, equals([12, 13, 14]));
      final face_8_5 = mesh_8.faces.elementAt(5);
      expect(face_8_5.indices, equals([15, 16, 17]));
      final face_8_6 = mesh_8.faces.elementAt(6);
      expect(face_8_6.indices, equals([18, 19, 20]));
      final face_8_7 = mesh_8.faces.elementAt(7);
      expect(face_8_7.indices, equals([21, 22, 23]));
      final face_8_8 = mesh_8.faces.elementAt(8);
      expect(face_8_8.indices, equals([24, 25, 26]));
      final face_8_9 = mesh_8.faces.elementAt(9);
      expect(face_8_9.indices, equals([27, 28, 29]));
      final face_8_10 = mesh_8.faces.elementAt(10);
      expect(face_8_10.indices, equals([30, 31, 32]));
      final face_8_11 = mesh_8.faces.elementAt(11);
      expect(face_8_11.indices, equals([33, 34, 35]));
      final face_8_12 = mesh_8.faces.elementAt(12);
      expect(face_8_12.indices, equals([36, 37, 38]));
      final face_8_13 = mesh_8.faces.elementAt(13);
      expect(face_8_13.indices, equals([39, 40, 41]));
      final face_8_14 = mesh_8.faces.elementAt(14);
      expect(face_8_14.indices, equals([42, 43, 44]));
      final face_8_15 = mesh_8.faces.elementAt(15);
      expect(face_8_15.indices, equals([45, 46, 47]));
      final face_8_16 = mesh_8.faces.elementAt(16);
      expect(face_8_16.indices, equals([48, 49, 50]));
      final face_8_17 = mesh_8.faces.elementAt(17);
      expect(face_8_17.indices, equals([51, 52, 53]));
      final face_8_18 = mesh_8.faces.elementAt(18);
      expect(face_8_18.indices, equals([54, 55, 56]));
      final face_8_19 = mesh_8.faces.elementAt(19);
      expect(face_8_19.indices, equals([57, 58, 59]));
      final face_8_20 = mesh_8.faces.elementAt(20);
      expect(face_8_20.indices, equals([60, 61, 62]));
      final face_8_21 = mesh_8.faces.elementAt(21);
      expect(face_8_21.indices, equals([63, 64, 65]));
      final face_8_22 = mesh_8.faces.elementAt(22);
      expect(face_8_22.indices, equals([66, 67, 68]));
      final face_8_23 = mesh_8.faces.elementAt(23);
      expect(face_8_23.indices, equals([69, 70, 71]));
      final face_8_24 = mesh_8.faces.elementAt(24);
      expect(face_8_24.indices, equals([72, 73, 74]));
      final face_8_25 = mesh_8.faces.elementAt(25);
      expect(face_8_25.indices, equals([75, 76, 77]));
      final face_8_26 = mesh_8.faces.elementAt(26);
      expect(face_8_26.indices, equals([78, 79, 80]));
      final face_8_27 = mesh_8.faces.elementAt(27);
      expect(face_8_27.indices, equals([81, 82, 83]));
      final face_8_28 = mesh_8.faces.elementAt(28);
      expect(face_8_28.indices, equals([84, 85, 86]));
      final face_8_29 = mesh_8.faces.elementAt(29);
      expect(face_8_29.indices, equals([87, 88, 89]));
      final face_8_30 = mesh_8.faces.elementAt(30);
      expect(face_8_30.indices, equals([90, 91, 92]));
      final face_8_31 = mesh_8.faces.elementAt(31);
      expect(face_8_31.indices, equals([93, 94, 95]));
      final face_8_32 = mesh_8.faces.elementAt(32);
      expect(face_8_32.indices, equals([96, 97, 98]));
      final face_8_33 = mesh_8.faces.elementAt(33);
      expect(face_8_33.indices, equals([99, 100, 101]));
      final face_8_34 = mesh_8.faces.elementAt(34);
      expect(face_8_34.indices, equals([102, 103, 104]));
      final face_8_35 = mesh_8.faces.elementAt(35);
      expect(face_8_35.indices, equals([105, 106, 107]));
      final face_8_36 = mesh_8.faces.elementAt(36);
      expect(face_8_36.indices, equals([108, 109, 110]));
      final face_8_37 = mesh_8.faces.elementAt(37);
      expect(face_8_37.indices, equals([111, 112, 113]));
      final face_8_38 = mesh_8.faces.elementAt(38);
      expect(face_8_38.indices, equals([114, 115, 116]));
      final face_8_39 = mesh_8.faces.elementAt(39);
      expect(face_8_39.indices, equals([117, 118, 119]));
      final face_8_40 = mesh_8.faces.elementAt(40);
      expect(face_8_40.indices, equals([120, 121, 122]));
      final face_8_41 = mesh_8.faces.elementAt(41);
      expect(face_8_41.indices, equals([123, 124, 125]));
      final face_8_42 = mesh_8.faces.elementAt(42);
      expect(face_8_42.indices, equals([126, 127, 128]));
      final face_8_43 = mesh_8.faces.elementAt(43);
      expect(face_8_43.indices, equals([129, 130, 131]));
      final face_8_44 = mesh_8.faces.elementAt(44);
      expect(face_8_44.indices, equals([132, 133, 134]));
      final face_8_45 = mesh_8.faces.elementAt(45);
      expect(face_8_45.indices, equals([135, 136, 137]));
      final face_8_46 = mesh_8.faces.elementAt(46);
      expect(face_8_46.indices, equals([138, 139, 140]));
      final face_8_47 = mesh_8.faces.elementAt(47);
      expect(face_8_47.indices, equals([141, 142, 143]));
      final face_8_48 = mesh_8.faces.elementAt(48);
      expect(face_8_48.indices, equals([144, 145, 146]));
      final face_8_49 = mesh_8.faces.elementAt(49);
      expect(face_8_49.indices, equals([147, 148, 149]));
      final face_8_50 = mesh_8.faces.elementAt(50);
      expect(face_8_50.indices, equals([150, 151, 152]));
      final face_8_51 = mesh_8.faces.elementAt(51);
      expect(face_8_51.indices, equals([153, 154, 155]));
      final face_8_52 = mesh_8.faces.elementAt(52);
      expect(face_8_52.indices, equals([156, 157, 158]));
      final face_8_53 = mesh_8.faces.elementAt(53);
      expect(face_8_53.indices, equals([159, 160, 161]));
      final face_8_54 = mesh_8.faces.elementAt(54);
      expect(face_8_54.indices, equals([162, 163, 164]));
      final face_8_55 = mesh_8.faces.elementAt(55);
      expect(face_8_55.indices, equals([165, 166, 167]));
      final face_8_56 = mesh_8.faces.elementAt(56);
      expect(face_8_56.indices, equals([168, 169, 170]));
      final face_8_57 = mesh_8.faces.elementAt(57);
      expect(face_8_57.indices, equals([171, 172, 173]));
      final face_8_58 = mesh_8.faces.elementAt(58);
      expect(face_8_58.indices, equals([174, 175, 176]));
      final face_8_59 = mesh_8.faces.elementAt(59);
      expect(face_8_59.indices, equals([177, 178, 179]));
      final face_8_60 = mesh_8.faces.elementAt(60);
      expect(face_8_60.indices, equals([180, 181, 182]));
      final face_8_61 = mesh_8.faces.elementAt(61);
      expect(face_8_61.indices, equals([183, 184, 185]));
      final face_8_62 = mesh_8.faces.elementAt(62);
      expect(face_8_62.indices, equals([186, 187, 188]));
      final face_8_63 = mesh_8.faces.elementAt(63);
      expect(face_8_63.indices, equals([189, 190, 191]));
      final face_8_64 = mesh_8.faces.elementAt(64);
      expect(face_8_64.indices, equals([192, 193, 194]));
      final face_8_65 = mesh_8.faces.elementAt(65);
      expect(face_8_65.indices, equals([195, 196, 197]));
      final face_8_66 = mesh_8.faces.elementAt(66);
      expect(face_8_66.indices, equals([198, 199, 200]));
      final face_8_67 = mesh_8.faces.elementAt(67);
      expect(face_8_67.indices, equals([201, 202, 203]));
      final face_8_68 = mesh_8.faces.elementAt(68);
      expect(face_8_68.indices, equals([204, 205, 206]));
      final face_8_69 = mesh_8.faces.elementAt(69);
      expect(face_8_69.indices, equals([207, 208, 209]));
      final face_8_70 = mesh_8.faces.elementAt(70);
      expect(face_8_70.indices, equals([210, 211, 212]));
      final face_8_71 = mesh_8.faces.elementAt(71);
      expect(face_8_71.indices, equals([213, 214, 215]));
      final face_8_72 = mesh_8.faces.elementAt(72);
      expect(face_8_72.indices, equals([216, 217, 218]));
      final face_8_73 = mesh_8.faces.elementAt(73);
      expect(face_8_73.indices, equals([219, 220, 221]));
      final face_8_74 = mesh_8.faces.elementAt(74);
      expect(face_8_74.indices, equals([222, 223, 224]));
      final face_8_75 = mesh_8.faces.elementAt(75);
      expect(face_8_75.indices, equals([225, 226, 227]));
      final face_8_76 = mesh_8.faces.elementAt(76);
      expect(face_8_76.indices, equals([228, 229, 230]));
      final face_8_77 = mesh_8.faces.elementAt(77);
      expect(face_8_77.indices, equals([231, 232, 233]));
      final face_8_78 = mesh_8.faces.elementAt(78);
      expect(face_8_78.indices, equals([234, 235, 236]));
      final face_8_79 = mesh_8.faces.elementAt(79);
      expect(face_8_79.indices, equals([237, 238, 239]));
      final face_8_80 = mesh_8.faces.elementAt(80);
      expect(face_8_80.indices, equals([240, 241, 242]));
      final face_8_81 = mesh_8.faces.elementAt(81);
      expect(face_8_81.indices, equals([243, 244, 245]));
      final face_8_82 = mesh_8.faces.elementAt(82);
      expect(face_8_82.indices, equals([246, 247, 248]));
      final face_8_83 = mesh_8.faces.elementAt(83);
      expect(face_8_83.indices, equals([249, 250, 251]));
      final face_8_84 = mesh_8.faces.elementAt(84);
      expect(face_8_84.indices, equals([252, 253, 254]));
      final face_8_85 = mesh_8.faces.elementAt(85);
      expect(face_8_85.indices, equals([255, 256, 257]));
      final face_8_86 = mesh_8.faces.elementAt(86);
      expect(face_8_86.indices, equals([258, 259, 260]));
      final face_8_87 = mesh_8.faces.elementAt(87);
      expect(face_8_87.indices, equals([261, 262, 263]));
      final face_8_88 = mesh_8.faces.elementAt(88);
      expect(face_8_88.indices, equals([264, 265, 266]));
      final face_8_89 = mesh_8.faces.elementAt(89);
      expect(face_8_89.indices, equals([267, 268, 269]));
      final face_8_90 = mesh_8.faces.elementAt(90);
      expect(face_8_90.indices, equals([270, 271, 272]));
      final face_8_91 = mesh_8.faces.elementAt(91);
      expect(face_8_91.indices, equals([273, 274, 275]));
      final face_8_92 = mesh_8.faces.elementAt(92);
      expect(face_8_92.indices, equals([276, 277, 278]));
      final face_8_93 = mesh_8.faces.elementAt(93);
      expect(face_8_93.indices, equals([279, 280, 281]));
      final face_8_94 = mesh_8.faces.elementAt(94);
      expect(face_8_94.indices, equals([282, 283, 284]));
      final face_8_95 = mesh_8.faces.elementAt(95);
      expect(face_8_95.indices, equals([285, 286, 287]));
      final face_8_96 = mesh_8.faces.elementAt(96);
      expect(face_8_96.indices, equals([288, 289, 290]));
      final face_8_97 = mesh_8.faces.elementAt(97);
      expect(face_8_97.indices, equals([291, 292, 293]));
      final mesh_9 = scene.meshes.elementAt(9);
      final face_9_0 = mesh_9.faces.elementAt(0);
      expect(face_9_0.indices, equals([0, 1, 2]));
      final face_9_1 = mesh_9.faces.elementAt(1);
      expect(face_9_1.indices, equals([3, 4, 5]));
      final face_9_2 = mesh_9.faces.elementAt(2);
      expect(face_9_2.indices, equals([6, 7, 8]));
      final face_9_3 = mesh_9.faces.elementAt(3);
      expect(face_9_3.indices, equals([9, 10, 11]));
      final face_9_4 = mesh_9.faces.elementAt(4);
      expect(face_9_4.indices, equals([12, 13, 14]));
      final face_9_5 = mesh_9.faces.elementAt(5);
      expect(face_9_5.indices, equals([15, 16, 17]));
      final face_9_6 = mesh_9.faces.elementAt(6);
      expect(face_9_6.indices, equals([18, 19, 20]));
      final face_9_7 = mesh_9.faces.elementAt(7);
      expect(face_9_7.indices, equals([21, 22, 23]));
      final face_9_8 = mesh_9.faces.elementAt(8);
      expect(face_9_8.indices, equals([24, 25, 26]));
      final face_9_9 = mesh_9.faces.elementAt(9);
      expect(face_9_9.indices, equals([27, 28, 29]));
      final face_9_10 = mesh_9.faces.elementAt(10);
      expect(face_9_10.indices, equals([30, 31, 32]));
      final face_9_11 = mesh_9.faces.elementAt(11);
      expect(face_9_11.indices, equals([33, 34, 35]));
      final face_9_12 = mesh_9.faces.elementAt(12);
      expect(face_9_12.indices, equals([36, 37, 38]));
      final face_9_13 = mesh_9.faces.elementAt(13);
      expect(face_9_13.indices, equals([39, 40, 41]));
      final face_9_14 = mesh_9.faces.elementAt(14);
      expect(face_9_14.indices, equals([42, 43, 44]));
      final face_9_15 = mesh_9.faces.elementAt(15);
      expect(face_9_15.indices, equals([45, 46, 47]));
      final face_9_16 = mesh_9.faces.elementAt(16);
      expect(face_9_16.indices, equals([48, 49, 50]));
      final face_9_17 = mesh_9.faces.elementAt(17);
      expect(face_9_17.indices, equals([51, 52, 53]));
      final face_9_18 = mesh_9.faces.elementAt(18);
      expect(face_9_18.indices, equals([54, 55, 56]));
      final face_9_19 = mesh_9.faces.elementAt(19);
      expect(face_9_19.indices, equals([57, 58, 59]));
      final face_9_20 = mesh_9.faces.elementAt(20);
      expect(face_9_20.indices, equals([60, 61, 62]));
      final face_9_21 = mesh_9.faces.elementAt(21);
      expect(face_9_21.indices, equals([63, 64, 65]));
      final face_9_22 = mesh_9.faces.elementAt(22);
      expect(face_9_22.indices, equals([66, 67, 68]));
      final face_9_23 = mesh_9.faces.elementAt(23);
      expect(face_9_23.indices, equals([69, 70, 71]));
      final face_9_24 = mesh_9.faces.elementAt(24);
      expect(face_9_24.indices, equals([72, 73, 74]));
      final face_9_25 = mesh_9.faces.elementAt(25);
      expect(face_9_25.indices, equals([75, 76, 77]));
      final face_9_26 = mesh_9.faces.elementAt(26);
      expect(face_9_26.indices, equals([78, 79, 80]));
      final face_9_27 = mesh_9.faces.elementAt(27);
      expect(face_9_27.indices, equals([81, 82, 83]));
      final face_9_28 = mesh_9.faces.elementAt(28);
      expect(face_9_28.indices, equals([84, 85, 86]));
      final face_9_29 = mesh_9.faces.elementAt(29);
      expect(face_9_29.indices, equals([87, 88, 89]));
      final face_9_30 = mesh_9.faces.elementAt(30);
      expect(face_9_30.indices, equals([90, 91, 92]));
      final face_9_31 = mesh_9.faces.elementAt(31);
      expect(face_9_31.indices, equals([93, 94, 95]));
      final face_9_32 = mesh_9.faces.elementAt(32);
      expect(face_9_32.indices, equals([96, 97, 98]));
      final face_9_33 = mesh_9.faces.elementAt(33);
      expect(face_9_33.indices, equals([99, 100, 101]));
      final face_9_34 = mesh_9.faces.elementAt(34);
      expect(face_9_34.indices, equals([102, 103, 104]));
      final face_9_35 = mesh_9.faces.elementAt(35);
      expect(face_9_35.indices, equals([105, 106, 107]));
      final face_9_36 = mesh_9.faces.elementAt(36);
      expect(face_9_36.indices, equals([108, 109, 110]));
      final face_9_37 = mesh_9.faces.elementAt(37);
      expect(face_9_37.indices, equals([111, 112, 113]));
      final face_9_38 = mesh_9.faces.elementAt(38);
      expect(face_9_38.indices, equals([114, 115, 116]));
      final face_9_39 = mesh_9.faces.elementAt(39);
      expect(face_9_39.indices, equals([117, 118, 119]));
      final face_9_40 = mesh_9.faces.elementAt(40);
      expect(face_9_40.indices, equals([120, 121, 122]));
      final face_9_41 = mesh_9.faces.elementAt(41);
      expect(face_9_41.indices, equals([123, 124, 125]));
      final face_9_42 = mesh_9.faces.elementAt(42);
      expect(face_9_42.indices, equals([126, 127, 128]));
      final face_9_43 = mesh_9.faces.elementAt(43);
      expect(face_9_43.indices, equals([129, 130, 131]));
      final face_9_44 = mesh_9.faces.elementAt(44);
      expect(face_9_44.indices, equals([132, 133, 134]));
      final face_9_45 = mesh_9.faces.elementAt(45);
      expect(face_9_45.indices, equals([135, 136, 137]));
      final face_9_46 = mesh_9.faces.elementAt(46);
      expect(face_9_46.indices, equals([138, 139, 140]));
      final face_9_47 = mesh_9.faces.elementAt(47);
      expect(face_9_47.indices, equals([141, 142, 143]));
      final face_9_48 = mesh_9.faces.elementAt(48);
      expect(face_9_48.indices, equals([144, 145, 146]));
      final face_9_49 = mesh_9.faces.elementAt(49);
      expect(face_9_49.indices, equals([147, 148, 149]));
      final face_9_50 = mesh_9.faces.elementAt(50);
      expect(face_9_50.indices, equals([150, 151, 152]));
      final face_9_51 = mesh_9.faces.elementAt(51);
      expect(face_9_51.indices, equals([153, 154, 155]));
      final face_9_52 = mesh_9.faces.elementAt(52);
      expect(face_9_52.indices, equals([156, 157, 158]));
      final face_9_53 = mesh_9.faces.elementAt(53);
      expect(face_9_53.indices, equals([159, 160, 161]));
      final face_9_54 = mesh_9.faces.elementAt(54);
      expect(face_9_54.indices, equals([162, 163, 164]));
      final face_9_55 = mesh_9.faces.elementAt(55);
      expect(face_9_55.indices, equals([165, 166, 167]));
      final face_9_56 = mesh_9.faces.elementAt(56);
      expect(face_9_56.indices, equals([168, 169, 170]));
      final face_9_57 = mesh_9.faces.elementAt(57);
      expect(face_9_57.indices, equals([171, 172, 173]));
      final face_9_58 = mesh_9.faces.elementAt(58);
      expect(face_9_58.indices, equals([174, 175, 176]));
      final face_9_59 = mesh_9.faces.elementAt(59);
      expect(face_9_59.indices, equals([177, 178, 179]));
      final face_9_60 = mesh_9.faces.elementAt(60);
      expect(face_9_60.indices, equals([180, 181, 182]));
      final face_9_61 = mesh_9.faces.elementAt(61);
      expect(face_9_61.indices, equals([183, 184, 185]));
      final face_9_62 = mesh_9.faces.elementAt(62);
      expect(face_9_62.indices, equals([186, 187, 188]));
      final face_9_63 = mesh_9.faces.elementAt(63);
      expect(face_9_63.indices, equals([189, 190, 191]));
      final face_9_64 = mesh_9.faces.elementAt(64);
      expect(face_9_64.indices, equals([192, 193, 194]));
      final face_9_65 = mesh_9.faces.elementAt(65);
      expect(face_9_65.indices, equals([195, 196, 197]));
      final face_9_66 = mesh_9.faces.elementAt(66);
      expect(face_9_66.indices, equals([198, 199, 200]));
      final face_9_67 = mesh_9.faces.elementAt(67);
      expect(face_9_67.indices, equals([201, 202, 203]));
      final face_9_68 = mesh_9.faces.elementAt(68);
      expect(face_9_68.indices, equals([204, 205, 206]));
      final face_9_69 = mesh_9.faces.elementAt(69);
      expect(face_9_69.indices, equals([207, 208, 209]));
      final face_9_70 = mesh_9.faces.elementAt(70);
      expect(face_9_70.indices, equals([210, 211, 212]));
      final face_9_71 = mesh_9.faces.elementAt(71);
      expect(face_9_71.indices, equals([213, 214, 215]));
      final face_9_72 = mesh_9.faces.elementAt(72);
      expect(face_9_72.indices, equals([216, 217, 218]));
      final face_9_73 = mesh_9.faces.elementAt(73);
      expect(face_9_73.indices, equals([219, 220, 221]));
      final face_9_74 = mesh_9.faces.elementAt(74);
      expect(face_9_74.indices, equals([222, 223, 224]));
      final face_9_75 = mesh_9.faces.elementAt(75);
      expect(face_9_75.indices, equals([225, 226, 227]));
      final face_9_76 = mesh_9.faces.elementAt(76);
      expect(face_9_76.indices, equals([228, 229, 230]));
      final face_9_77 = mesh_9.faces.elementAt(77);
      expect(face_9_77.indices, equals([231, 232, 233]));
      final face_9_78 = mesh_9.faces.elementAt(78);
      expect(face_9_78.indices, equals([234, 235, 236]));
      final face_9_79 = mesh_9.faces.elementAt(79);
      expect(face_9_79.indices, equals([237, 238, 239]));
      final face_9_80 = mesh_9.faces.elementAt(80);
      expect(face_9_80.indices, equals([240, 241, 242]));
      final face_9_81 = mesh_9.faces.elementAt(81);
      expect(face_9_81.indices, equals([243, 244, 245]));
      final face_9_82 = mesh_9.faces.elementAt(82);
      expect(face_9_82.indices, equals([246, 247, 248]));
      final face_9_83 = mesh_9.faces.elementAt(83);
      expect(face_9_83.indices, equals([249, 250, 251]));
      final face_9_84 = mesh_9.faces.elementAt(84);
      expect(face_9_84.indices, equals([252, 253, 254]));
      final face_9_85 = mesh_9.faces.elementAt(85);
      expect(face_9_85.indices, equals([255, 256, 257]));
      final face_9_86 = mesh_9.faces.elementAt(86);
      expect(face_9_86.indices, equals([258, 259, 260]));
      final face_9_87 = mesh_9.faces.elementAt(87);
      expect(face_9_87.indices, equals([261, 262, 263]));
      final face_9_88 = mesh_9.faces.elementAt(88);
      expect(face_9_88.indices, equals([264, 265, 266]));
      final face_9_89 = mesh_9.faces.elementAt(89);
      expect(face_9_89.indices, equals([267, 268, 269]));
      final face_9_90 = mesh_9.faces.elementAt(90);
      expect(face_9_90.indices, equals([270, 271, 272]));
      final face_9_91 = mesh_9.faces.elementAt(91);
      expect(face_9_91.indices, equals([273, 274, 275]));
      final face_9_92 = mesh_9.faces.elementAt(92);
      expect(face_9_92.indices, equals([276, 277, 278]));
      final face_9_93 = mesh_9.faces.elementAt(93);
      expect(face_9_93.indices, equals([279, 280, 281]));
      final face_9_94 = mesh_9.faces.elementAt(94);
      expect(face_9_94.indices, equals([282, 283, 284]));
      final face_9_95 = mesh_9.faces.elementAt(95);
      expect(face_9_95.indices, equals([285, 286, 287]));
      final face_9_96 = mesh_9.faces.elementAt(96);
      expect(face_9_96.indices, equals([288, 289, 290]));
      final face_9_97 = mesh_9.faces.elementAt(97);
      expect(face_9_97.indices, equals([291, 292, 293]));
      final mesh_10 = scene.meshes.elementAt(10);
      final face_10_0 = mesh_10.faces.elementAt(0);
      expect(face_10_0.indices, equals([0, 1, 2]));
      final face_10_1 = mesh_10.faces.elementAt(1);
      expect(face_10_1.indices, equals([3, 4, 5]));
      final face_10_2 = mesh_10.faces.elementAt(2);
      expect(face_10_2.indices, equals([6, 7, 8]));
      final face_10_3 = mesh_10.faces.elementAt(3);
      expect(face_10_3.indices, equals([9, 10, 11]));
      final face_10_4 = mesh_10.faces.elementAt(4);
      expect(face_10_4.indices, equals([12, 13, 14]));
      final face_10_5 = mesh_10.faces.elementAt(5);
      expect(face_10_5.indices, equals([15, 16, 17]));
      final face_10_6 = mesh_10.faces.elementAt(6);
      expect(face_10_6.indices, equals([18, 19, 20]));
      final face_10_7 = mesh_10.faces.elementAt(7);
      expect(face_10_7.indices, equals([21, 22, 23]));
      final face_10_8 = mesh_10.faces.elementAt(8);
      expect(face_10_8.indices, equals([24, 25, 26]));
      final face_10_9 = mesh_10.faces.elementAt(9);
      expect(face_10_9.indices, equals([27, 28, 29]));
      final face_10_10 = mesh_10.faces.elementAt(10);
      expect(face_10_10.indices, equals([30, 31, 32]));
      final face_10_11 = mesh_10.faces.elementAt(11);
      expect(face_10_11.indices, equals([33, 34, 35]));
      final face_10_12 = mesh_10.faces.elementAt(12);
      expect(face_10_12.indices, equals([36, 37, 38]));
      final face_10_13 = mesh_10.faces.elementAt(13);
      expect(face_10_13.indices, equals([39, 40, 41]));
      final face_10_14 = mesh_10.faces.elementAt(14);
      expect(face_10_14.indices, equals([42, 43, 44]));
      final face_10_15 = mesh_10.faces.elementAt(15);
      expect(face_10_15.indices, equals([45, 46, 47]));
      final face_10_16 = mesh_10.faces.elementAt(16);
      expect(face_10_16.indices, equals([48, 49, 50]));
      final face_10_17 = mesh_10.faces.elementAt(17);
      expect(face_10_17.indices, equals([51, 52, 53]));
      final face_10_18 = mesh_10.faces.elementAt(18);
      expect(face_10_18.indices, equals([54, 55, 56]));
      final face_10_19 = mesh_10.faces.elementAt(19);
      expect(face_10_19.indices, equals([57, 58, 59]));
      final face_10_20 = mesh_10.faces.elementAt(20);
      expect(face_10_20.indices, equals([60, 61, 62]));
      final face_10_21 = mesh_10.faces.elementAt(21);
      expect(face_10_21.indices, equals([63, 64, 65]));
      final face_10_22 = mesh_10.faces.elementAt(22);
      expect(face_10_22.indices, equals([66, 67, 68]));
      final face_10_23 = mesh_10.faces.elementAt(23);
      expect(face_10_23.indices, equals([69, 70, 71]));
      final face_10_24 = mesh_10.faces.elementAt(24);
      expect(face_10_24.indices, equals([72, 73, 74]));
      final face_10_25 = mesh_10.faces.elementAt(25);
      expect(face_10_25.indices, equals([75, 76, 77]));
      final face_10_26 = mesh_10.faces.elementAt(26);
      expect(face_10_26.indices, equals([78, 79, 80]));
      final face_10_27 = mesh_10.faces.elementAt(27);
      expect(face_10_27.indices, equals([81, 82, 83]));
      final face_10_28 = mesh_10.faces.elementAt(28);
      expect(face_10_28.indices, equals([84, 85, 86]));
      final face_10_29 = mesh_10.faces.elementAt(29);
      expect(face_10_29.indices, equals([87, 88, 89]));
      final face_10_30 = mesh_10.faces.elementAt(30);
      expect(face_10_30.indices, equals([90, 91, 92]));
      final face_10_31 = mesh_10.faces.elementAt(31);
      expect(face_10_31.indices, equals([93, 94, 95]));
      final face_10_32 = mesh_10.faces.elementAt(32);
      expect(face_10_32.indices, equals([96, 97, 98]));
      final face_10_33 = mesh_10.faces.elementAt(33);
      expect(face_10_33.indices, equals([99, 100, 101]));
      final face_10_34 = mesh_10.faces.elementAt(34);
      expect(face_10_34.indices, equals([102, 103, 104]));
      final face_10_35 = mesh_10.faces.elementAt(35);
      expect(face_10_35.indices, equals([105, 106, 107]));
      final face_10_36 = mesh_10.faces.elementAt(36);
      expect(face_10_36.indices, equals([108, 109, 110]));
      final face_10_37 = mesh_10.faces.elementAt(37);
      expect(face_10_37.indices, equals([111, 112, 113]));
      final face_10_38 = mesh_10.faces.elementAt(38);
      expect(face_10_38.indices, equals([114, 115, 116]));
      final face_10_39 = mesh_10.faces.elementAt(39);
      expect(face_10_39.indices, equals([117, 118, 119]));
      final face_10_40 = mesh_10.faces.elementAt(40);
      expect(face_10_40.indices, equals([120, 121, 122]));
      final face_10_41 = mesh_10.faces.elementAt(41);
      expect(face_10_41.indices, equals([123, 124, 125]));
      final mesh_11 = scene.meshes.elementAt(11);
      final face_11_0 = mesh_11.faces.elementAt(0);
      expect(face_11_0.indices, equals([0, 1, 2]));
      final face_11_1 = mesh_11.faces.elementAt(1);
      expect(face_11_1.indices, equals([3, 4, 5]));
      final face_11_2 = mesh_11.faces.elementAt(2);
      expect(face_11_2.indices, equals([6, 7, 8]));
      final face_11_3 = mesh_11.faces.elementAt(3);
      expect(face_11_3.indices, equals([9, 10, 11]));
      final face_11_4 = mesh_11.faces.elementAt(4);
      expect(face_11_4.indices, equals([12, 13, 14]));
      final face_11_5 = mesh_11.faces.elementAt(5);
      expect(face_11_5.indices, equals([15, 16, 17]));
      final face_11_6 = mesh_11.faces.elementAt(6);
      expect(face_11_6.indices, equals([18, 19, 20]));
      final face_11_7 = mesh_11.faces.elementAt(7);
      expect(face_11_7.indices, equals([21, 22, 23]));
      final face_11_8 = mesh_11.faces.elementAt(8);
      expect(face_11_8.indices, equals([24, 25, 26]));
      final face_11_9 = mesh_11.faces.elementAt(9);
      expect(face_11_9.indices, equals([27, 28, 29]));
      final face_11_10 = mesh_11.faces.elementAt(10);
      expect(face_11_10.indices, equals([30, 31, 32]));
      final face_11_11 = mesh_11.faces.elementAt(11);
      expect(face_11_11.indices, equals([33, 34, 35]));
      final face_11_12 = mesh_11.faces.elementAt(12);
      expect(face_11_12.indices, equals([36, 37, 38]));
      final face_11_13 = mesh_11.faces.elementAt(13);
      expect(face_11_13.indices, equals([39, 40, 41]));
      final face_11_14 = mesh_11.faces.elementAt(14);
      expect(face_11_14.indices, equals([42, 43, 44]));
      final face_11_15 = mesh_11.faces.elementAt(15);
      expect(face_11_15.indices, equals([45, 46, 47]));
      final face_11_16 = mesh_11.faces.elementAt(16);
      expect(face_11_16.indices, equals([48, 49, 50]));
      final face_11_17 = mesh_11.faces.elementAt(17);
      expect(face_11_17.indices, equals([51, 52, 53]));
      final face_11_18 = mesh_11.faces.elementAt(18);
      expect(face_11_18.indices, equals([54, 55, 56]));
      final face_11_19 = mesh_11.faces.elementAt(19);
      expect(face_11_19.indices, equals([57, 58, 59]));
      final face_11_20 = mesh_11.faces.elementAt(20);
      expect(face_11_20.indices, equals([60, 61, 62]));
      final face_11_21 = mesh_11.faces.elementAt(21);
      expect(face_11_21.indices, equals([63, 64, 65]));
      final face_11_22 = mesh_11.faces.elementAt(22);
      expect(face_11_22.indices, equals([66, 67, 68]));
      final face_11_23 = mesh_11.faces.elementAt(23);
      expect(face_11_23.indices, equals([69, 70, 71]));
      final face_11_24 = mesh_11.faces.elementAt(24);
      expect(face_11_24.indices, equals([72, 73, 74]));
      final face_11_25 = mesh_11.faces.elementAt(25);
      expect(face_11_25.indices, equals([75, 76, 77]));
      final face_11_26 = mesh_11.faces.elementAt(26);
      expect(face_11_26.indices, equals([78, 79, 80]));
      final face_11_27 = mesh_11.faces.elementAt(27);
      expect(face_11_27.indices, equals([81, 82, 83]));
      final face_11_28 = mesh_11.faces.elementAt(28);
      expect(face_11_28.indices, equals([84, 85, 86]));
      final face_11_29 = mesh_11.faces.elementAt(29);
      expect(face_11_29.indices, equals([87, 88, 89]));
      final face_11_30 = mesh_11.faces.elementAt(30);
      expect(face_11_30.indices, equals([90, 91, 92]));
      final face_11_31 = mesh_11.faces.elementAt(31);
      expect(face_11_31.indices, equals([93, 94, 95]));
      final face_11_32 = mesh_11.faces.elementAt(32);
      expect(face_11_32.indices, equals([96, 97, 98]));
      final face_11_33 = mesh_11.faces.elementAt(33);
      expect(face_11_33.indices, equals([99, 100, 101]));
      final face_11_34 = mesh_11.faces.elementAt(34);
      expect(face_11_34.indices, equals([102, 103, 104]));
      final face_11_35 = mesh_11.faces.elementAt(35);
      expect(face_11_35.indices, equals([105, 106, 107]));
      final face_11_36 = mesh_11.faces.elementAt(36);
      expect(face_11_36.indices, equals([108, 109, 110]));
      final face_11_37 = mesh_11.faces.elementAt(37);
      expect(face_11_37.indices, equals([111, 112, 113]));
      final face_11_38 = mesh_11.faces.elementAt(38);
      expect(face_11_38.indices, equals([114, 115, 116]));
      final face_11_39 = mesh_11.faces.elementAt(39);
      expect(face_11_39.indices, equals([117, 118, 119]));
      final face_11_40 = mesh_11.faces.elementAt(40);
      expect(face_11_40.indices, equals([120, 121, 122]));
      final face_11_41 = mesh_11.faces.elementAt(41);
      expect(face_11_41.indices, equals([123, 124, 125]));
      final mesh_12 = scene.meshes.elementAt(12);
      final face_12_0 = mesh_12.faces.elementAt(0);
      expect(face_12_0.indices, equals([0, 1, 2]));
      final face_12_1 = mesh_12.faces.elementAt(1);
      expect(face_12_1.indices, equals([3, 4, 5]));
      final face_12_2 = mesh_12.faces.elementAt(2);
      expect(face_12_2.indices, equals([6, 7, 8]));
      final face_12_3 = mesh_12.faces.elementAt(3);
      expect(face_12_3.indices, equals([9, 10, 11]));
      final face_12_4 = mesh_12.faces.elementAt(4);
      expect(face_12_4.indices, equals([12, 13, 14]));
      final face_12_5 = mesh_12.faces.elementAt(5);
      expect(face_12_5.indices, equals([15, 16, 17]));
      final face_12_6 = mesh_12.faces.elementAt(6);
      expect(face_12_6.indices, equals([18, 19, 20]));
      final face_12_7 = mesh_12.faces.elementAt(7);
      expect(face_12_7.indices, equals([21, 22, 23]));
      final face_12_8 = mesh_12.faces.elementAt(8);
      expect(face_12_8.indices, equals([24, 25, 26]));
      final face_12_9 = mesh_12.faces.elementAt(9);
      expect(face_12_9.indices, equals([27, 28, 29]));
      final face_12_10 = mesh_12.faces.elementAt(10);
      expect(face_12_10.indices, equals([30, 31, 32]));
      final face_12_11 = mesh_12.faces.elementAt(11);
      expect(face_12_11.indices, equals([33, 34, 35]));
      final face_12_12 = mesh_12.faces.elementAt(12);
      expect(face_12_12.indices, equals([36, 37, 38]));
      final face_12_13 = mesh_12.faces.elementAt(13);
      expect(face_12_13.indices, equals([39, 40, 41]));
      final face_12_14 = mesh_12.faces.elementAt(14);
      expect(face_12_14.indices, equals([42, 43, 44]));
      final face_12_15 = mesh_12.faces.elementAt(15);
      expect(face_12_15.indices, equals([45, 46, 47]));
      final face_12_16 = mesh_12.faces.elementAt(16);
      expect(face_12_16.indices, equals([48, 49, 50]));
      final face_12_17 = mesh_12.faces.elementAt(17);
      expect(face_12_17.indices, equals([51, 52, 53]));
      final face_12_18 = mesh_12.faces.elementAt(18);
      expect(face_12_18.indices, equals([54, 55, 56]));
      final face_12_19 = mesh_12.faces.elementAt(19);
      expect(face_12_19.indices, equals([57, 58, 59]));
      final face_12_20 = mesh_12.faces.elementAt(20);
      expect(face_12_20.indices, equals([60, 61, 62]));
      final face_12_21 = mesh_12.faces.elementAt(21);
      expect(face_12_21.indices, equals([63, 64, 65]));
      final face_12_22 = mesh_12.faces.elementAt(22);
      expect(face_12_22.indices, equals([66, 67, 68]));
      final face_12_23 = mesh_12.faces.elementAt(23);
      expect(face_12_23.indices, equals([69, 70, 71]));
      final face_12_24 = mesh_12.faces.elementAt(24);
      expect(face_12_24.indices, equals([72, 73, 74]));
      final face_12_25 = mesh_12.faces.elementAt(25);
      expect(face_12_25.indices, equals([75, 76, 77]));
      final face_12_26 = mesh_12.faces.elementAt(26);
      expect(face_12_26.indices, equals([78, 79, 80]));
      final face_12_27 = mesh_12.faces.elementAt(27);
      expect(face_12_27.indices, equals([81, 82, 83]));
      final face_12_28 = mesh_12.faces.elementAt(28);
      expect(face_12_28.indices, equals([84, 85, 86]));
      final face_12_29 = mesh_12.faces.elementAt(29);
      expect(face_12_29.indices, equals([87, 88, 89]));
      final face_12_30 = mesh_12.faces.elementAt(30);
      expect(face_12_30.indices, equals([90, 91, 92]));
      final face_12_31 = mesh_12.faces.elementAt(31);
      expect(face_12_31.indices, equals([93, 94, 95]));
      final face_12_32 = mesh_12.faces.elementAt(32);
      expect(face_12_32.indices, equals([96, 97, 98]));
      final face_12_33 = mesh_12.faces.elementAt(33);
      expect(face_12_33.indices, equals([99, 100, 101]));
      final face_12_34 = mesh_12.faces.elementAt(34);
      expect(face_12_34.indices, equals([102, 103, 104]));
      final face_12_35 = mesh_12.faces.elementAt(35);
      expect(face_12_35.indices, equals([105, 106, 107]));
      final face_12_36 = mesh_12.faces.elementAt(36);
      expect(face_12_36.indices, equals([108, 109, 110]));
      final face_12_37 = mesh_12.faces.elementAt(37);
      expect(face_12_37.indices, equals([111, 112, 113]));
      final face_12_38 = mesh_12.faces.elementAt(38);
      expect(face_12_38.indices, equals([114, 115, 116]));
      final face_12_39 = mesh_12.faces.elementAt(39);
      expect(face_12_39.indices, equals([117, 118, 119]));
      final face_12_40 = mesh_12.faces.elementAt(40);
      expect(face_12_40.indices, equals([120, 121, 122]));
      final face_12_41 = mesh_12.faces.elementAt(41);
      expect(face_12_41.indices, equals([123, 124, 125]));
      final face_12_42 = mesh_12.faces.elementAt(42);
      expect(face_12_42.indices, equals([126, 127, 128]));
      final face_12_43 = mesh_12.faces.elementAt(43);
      expect(face_12_43.indices, equals([129, 130, 131]));
      final face_12_44 = mesh_12.faces.elementAt(44);
      expect(face_12_44.indices, equals([132, 133, 134]));
      final face_12_45 = mesh_12.faces.elementAt(45);
      expect(face_12_45.indices, equals([135, 136, 137]));
      final face_12_46 = mesh_12.faces.elementAt(46);
      expect(face_12_46.indices, equals([138, 139, 140]));
      final face_12_47 = mesh_12.faces.elementAt(47);
      expect(face_12_47.indices, equals([141, 142, 143]));
      final face_12_48 = mesh_12.faces.elementAt(48);
      expect(face_12_48.indices, equals([144, 145, 146]));
      final face_12_49 = mesh_12.faces.elementAt(49);
      expect(face_12_49.indices, equals([147, 148, 149]));
      final face_12_50 = mesh_12.faces.elementAt(50);
      expect(face_12_50.indices, equals([150, 151, 152]));
      final face_12_51 = mesh_12.faces.elementAt(51);
      expect(face_12_51.indices, equals([153, 154, 155]));
      final face_12_52 = mesh_12.faces.elementAt(52);
      expect(face_12_52.indices, equals([156, 157, 158]));
      final face_12_53 = mesh_12.faces.elementAt(53);
      expect(face_12_53.indices, equals([159, 160, 161]));
      final face_12_54 = mesh_12.faces.elementAt(54);
      expect(face_12_54.indices, equals([162, 163, 164]));
      final face_12_55 = mesh_12.faces.elementAt(55);
      expect(face_12_55.indices, equals([165, 166, 167]));
      final face_12_56 = mesh_12.faces.elementAt(56);
      expect(face_12_56.indices, equals([168, 169, 170]));
      final face_12_57 = mesh_12.faces.elementAt(57);
      expect(face_12_57.indices, equals([171, 172, 173]));
      final face_12_58 = mesh_12.faces.elementAt(58);
      expect(face_12_58.indices, equals([174, 175, 176]));
      final face_12_59 = mesh_12.faces.elementAt(59);
      expect(face_12_59.indices, equals([177, 178, 179]));
      final face_12_60 = mesh_12.faces.elementAt(60);
      expect(face_12_60.indices, equals([180, 181, 182]));
      final face_12_61 = mesh_12.faces.elementAt(61);
      expect(face_12_61.indices, equals([183, 184, 185]));
      final face_12_62 = mesh_12.faces.elementAt(62);
      expect(face_12_62.indices, equals([186, 187, 188]));
      final face_12_63 = mesh_12.faces.elementAt(63);
      expect(face_12_63.indices, equals([189, 190, 191]));
      final face_12_64 = mesh_12.faces.elementAt(64);
      expect(face_12_64.indices, equals([192, 193, 194]));
      final face_12_65 = mesh_12.faces.elementAt(65);
      expect(face_12_65.indices, equals([195, 196, 197]));
      final face_12_66 = mesh_12.faces.elementAt(66);
      expect(face_12_66.indices, equals([198, 199, 200]));
      final face_12_67 = mesh_12.faces.elementAt(67);
      expect(face_12_67.indices, equals([201, 202, 203]));
      final face_12_68 = mesh_12.faces.elementAt(68);
      expect(face_12_68.indices, equals([204, 205, 206]));
      final face_12_69 = mesh_12.faces.elementAt(69);
      expect(face_12_69.indices, equals([207, 208, 209]));
      final face_12_70 = mesh_12.faces.elementAt(70);
      expect(face_12_70.indices, equals([210, 211, 212]));
      final face_12_71 = mesh_12.faces.elementAt(71);
      expect(face_12_71.indices, equals([213, 214, 215]));
      final face_12_72 = mesh_12.faces.elementAt(72);
      expect(face_12_72.indices, equals([216, 217, 218]));
      final face_12_73 = mesh_12.faces.elementAt(73);
      expect(face_12_73.indices, equals([219, 220, 221]));
      final face_12_74 = mesh_12.faces.elementAt(74);
      expect(face_12_74.indices, equals([222, 223, 224]));
      final face_12_75 = mesh_12.faces.elementAt(75);
      expect(face_12_75.indices, equals([225, 226, 227]));
      final face_12_76 = mesh_12.faces.elementAt(76);
      expect(face_12_76.indices, equals([228, 229, 230]));
      final face_12_77 = mesh_12.faces.elementAt(77);
      expect(face_12_77.indices, equals([231, 232, 233]));
      final face_12_78 = mesh_12.faces.elementAt(78);
      expect(face_12_78.indices, equals([234, 235, 236]));
      final face_12_79 = mesh_12.faces.elementAt(79);
      expect(face_12_79.indices, equals([237, 238, 239]));
      final face_12_80 = mesh_12.faces.elementAt(80);
      expect(face_12_80.indices, equals([240, 241, 242]));
      final face_12_81 = mesh_12.faces.elementAt(81);
      expect(face_12_81.indices, equals([243, 244, 245]));
      final face_12_82 = mesh_12.faces.elementAt(82);
      expect(face_12_82.indices, equals([246, 247, 248]));
      final face_12_83 = mesh_12.faces.elementAt(83);
      expect(face_12_83.indices, equals([249, 250, 251]));
      final face_12_84 = mesh_12.faces.elementAt(84);
      expect(face_12_84.indices, equals([252, 253, 254]));
      final face_12_85 = mesh_12.faces.elementAt(85);
      expect(face_12_85.indices, equals([255, 256, 257]));
      final face_12_86 = mesh_12.faces.elementAt(86);
      expect(face_12_86.indices, equals([258, 259, 260]));
      final face_12_87 = mesh_12.faces.elementAt(87);
      expect(face_12_87.indices, equals([261, 262, 263]));
      final face_12_88 = mesh_12.faces.elementAt(88);
      expect(face_12_88.indices, equals([264, 265, 266]));
      final face_12_89 = mesh_12.faces.elementAt(89);
      expect(face_12_89.indices, equals([267, 268, 269]));
      final mesh_13 = scene.meshes.elementAt(13);
      final face_13_0 = mesh_13.faces.elementAt(0);
      expect(face_13_0.indices, equals([0, 1, 2]));
      final face_13_1 = mesh_13.faces.elementAt(1);
      expect(face_13_1.indices, equals([3, 4, 5]));
      final face_13_2 = mesh_13.faces.elementAt(2);
      expect(face_13_2.indices, equals([6, 7, 8]));
      final face_13_3 = mesh_13.faces.elementAt(3);
      expect(face_13_3.indices, equals([9, 10, 11]));
      final face_13_4 = mesh_13.faces.elementAt(4);
      expect(face_13_4.indices, equals([12, 13, 14]));
      final face_13_5 = mesh_13.faces.elementAt(5);
      expect(face_13_5.indices, equals([15, 16, 17]));
      final face_13_6 = mesh_13.faces.elementAt(6);
      expect(face_13_6.indices, equals([18, 19, 20]));
      final face_13_7 = mesh_13.faces.elementAt(7);
      expect(face_13_7.indices, equals([21, 22, 23]));
      final face_13_8 = mesh_13.faces.elementAt(8);
      expect(face_13_8.indices, equals([24, 25, 26]));
      final face_13_9 = mesh_13.faces.elementAt(9);
      expect(face_13_9.indices, equals([27, 28, 29]));
      final face_13_10 = mesh_13.faces.elementAt(10);
      expect(face_13_10.indices, equals([30, 31, 32]));
      final face_13_11 = mesh_13.faces.elementAt(11);
      expect(face_13_11.indices, equals([33, 34, 35]));
      final face_13_12 = mesh_13.faces.elementAt(12);
      expect(face_13_12.indices, equals([36, 37, 38]));
      final face_13_13 = mesh_13.faces.elementAt(13);
      expect(face_13_13.indices, equals([39, 40, 41]));
      final face_13_14 = mesh_13.faces.elementAt(14);
      expect(face_13_14.indices, equals([42, 43, 44]));
      final face_13_15 = mesh_13.faces.elementAt(15);
      expect(face_13_15.indices, equals([45, 46, 47]));
      final face_13_16 = mesh_13.faces.elementAt(16);
      expect(face_13_16.indices, equals([48, 49, 50]));
      final face_13_17 = mesh_13.faces.elementAt(17);
      expect(face_13_17.indices, equals([51, 52, 53]));
      final face_13_18 = mesh_13.faces.elementAt(18);
      expect(face_13_18.indices, equals([54, 55, 56]));
      final face_13_19 = mesh_13.faces.elementAt(19);
      expect(face_13_19.indices, equals([57, 58, 59]));
      final mesh_14 = scene.meshes.elementAt(14);
      final face_14_0 = mesh_14.faces.elementAt(0);
      expect(face_14_0.indices, equals([0, 1, 2]));
      final face_14_1 = mesh_14.faces.elementAt(1);
      expect(face_14_1.indices, equals([3, 4, 5]));
      final face_14_2 = mesh_14.faces.elementAt(2);
      expect(face_14_2.indices, equals([6, 7, 8]));
      final face_14_3 = mesh_14.faces.elementAt(3);
      expect(face_14_3.indices, equals([9, 10, 11]));
      final face_14_4 = mesh_14.faces.elementAt(4);
      expect(face_14_4.indices, equals([12, 13, 14]));
      final face_14_5 = mesh_14.faces.elementAt(5);
      expect(face_14_5.indices, equals([15, 16, 17]));
      final face_14_6 = mesh_14.faces.elementAt(6);
      expect(face_14_6.indices, equals([18, 19, 20]));
      final face_14_7 = mesh_14.faces.elementAt(7);
      expect(face_14_7.indices, equals([21, 22, 23]));
      final face_14_8 = mesh_14.faces.elementAt(8);
      expect(face_14_8.indices, equals([24, 25, 26]));
      final face_14_9 = mesh_14.faces.elementAt(9);
      expect(face_14_9.indices, equals([27, 28, 29]));
      final face_14_10 = mesh_14.faces.elementAt(10);
      expect(face_14_10.indices, equals([30, 31, 32]));
      final face_14_11 = mesh_14.faces.elementAt(11);
      expect(face_14_11.indices, equals([33, 34, 35]));
      final face_14_12 = mesh_14.faces.elementAt(12);
      expect(face_14_12.indices, equals([36, 37, 38]));
      final face_14_13 = mesh_14.faces.elementAt(13);
      expect(face_14_13.indices, equals([39, 40, 41]));
      final face_14_14 = mesh_14.faces.elementAt(14);
      expect(face_14_14.indices, equals([42, 43, 44]));
      final face_14_15 = mesh_14.faces.elementAt(15);
      expect(face_14_15.indices, equals([45, 46, 47]));
      final face_14_16 = mesh_14.faces.elementAt(16);
      expect(face_14_16.indices, equals([48, 49, 50]));
      final face_14_17 = mesh_14.faces.elementAt(17);
      expect(face_14_17.indices, equals([51, 52, 53]));
      final face_14_18 = mesh_14.faces.elementAt(18);
      expect(face_14_18.indices, equals([54, 55, 56]));
      final face_14_19 = mesh_14.faces.elementAt(19);
      expect(face_14_19.indices, equals([57, 58, 59]));
      final face_14_20 = mesh_14.faces.elementAt(20);
      expect(face_14_20.indices, equals([60, 61, 62]));
      final face_14_21 = mesh_14.faces.elementAt(21);
      expect(face_14_21.indices, equals([63, 64, 65]));
      final face_14_22 = mesh_14.faces.elementAt(22);
      expect(face_14_22.indices, equals([66, 67, 68]));
      final face_14_23 = mesh_14.faces.elementAt(23);
      expect(face_14_23.indices, equals([69, 70, 71]));
      final face_14_24 = mesh_14.faces.elementAt(24);
      expect(face_14_24.indices, equals([72, 73, 74]));
      final face_14_25 = mesh_14.faces.elementAt(25);
      expect(face_14_25.indices, equals([75, 76, 77]));
      final face_14_26 = mesh_14.faces.elementAt(26);
      expect(face_14_26.indices, equals([78, 79, 80]));
      final face_14_27 = mesh_14.faces.elementAt(27);
      expect(face_14_27.indices, equals([81, 82, 83]));
      final face_14_28 = mesh_14.faces.elementAt(28);
      expect(face_14_28.indices, equals([84, 85, 86]));
      final face_14_29 = mesh_14.faces.elementAt(29);
      expect(face_14_29.indices, equals([87, 88, 89]));
      final face_14_30 = mesh_14.faces.elementAt(30);
      expect(face_14_30.indices, equals([90, 91, 92]));
      final face_14_31 = mesh_14.faces.elementAt(31);
      expect(face_14_31.indices, equals([93, 94, 95]));
      final face_14_32 = mesh_14.faces.elementAt(32);
      expect(face_14_32.indices, equals([96, 97, 98]));
      final face_14_33 = mesh_14.faces.elementAt(33);
      expect(face_14_33.indices, equals([99, 100, 101]));
      final face_14_34 = mesh_14.faces.elementAt(34);
      expect(face_14_34.indices, equals([102, 103, 104]));
      final face_14_35 = mesh_14.faces.elementAt(35);
      expect(face_14_35.indices, equals([105, 106, 107]));
      final face_14_36 = mesh_14.faces.elementAt(36);
      expect(face_14_36.indices, equals([108, 109, 110]));
      final face_14_37 = mesh_14.faces.elementAt(37);
      expect(face_14_37.indices, equals([111, 112, 113]));
      final face_14_38 = mesh_14.faces.elementAt(38);
      expect(face_14_38.indices, equals([114, 115, 116]));
      final face_14_39 = mesh_14.faces.elementAt(39);
      expect(face_14_39.indices, equals([117, 118, 119]));
      final face_14_40 = mesh_14.faces.elementAt(40);
      expect(face_14_40.indices, equals([120, 121, 122]));
      final face_14_41 = mesh_14.faces.elementAt(41);
      expect(face_14_41.indices, equals([123, 124, 125]));
      final face_14_42 = mesh_14.faces.elementAt(42);
      expect(face_14_42.indices, equals([126, 127, 128]));
      final face_14_43 = mesh_14.faces.elementAt(43);
      expect(face_14_43.indices, equals([129, 130, 131]));
      final face_14_44 = mesh_14.faces.elementAt(44);
      expect(face_14_44.indices, equals([132, 133, 134]));
      final face_14_45 = mesh_14.faces.elementAt(45);
      expect(face_14_45.indices, equals([135, 136, 137]));
      final face_14_46 = mesh_14.faces.elementAt(46);
      expect(face_14_46.indices, equals([138, 139, 140]));
      final face_14_47 = mesh_14.faces.elementAt(47);
      expect(face_14_47.indices, equals([141, 142, 143]));
      final face_14_48 = mesh_14.faces.elementAt(48);
      expect(face_14_48.indices, equals([144, 145, 146]));
      final face_14_49 = mesh_14.faces.elementAt(49);
      expect(face_14_49.indices, equals([147, 148, 149]));
      final face_14_50 = mesh_14.faces.elementAt(50);
      expect(face_14_50.indices, equals([150, 151, 152]));
      final face_14_51 = mesh_14.faces.elementAt(51);
      expect(face_14_51.indices, equals([153, 154, 155]));
      final face_14_52 = mesh_14.faces.elementAt(52);
      expect(face_14_52.indices, equals([156, 157, 158]));
      final face_14_53 = mesh_14.faces.elementAt(53);
      expect(face_14_53.indices, equals([159, 160, 161]));
      final face_14_54 = mesh_14.faces.elementAt(54);
      expect(face_14_54.indices, equals([162, 163, 164]));
      final face_14_55 = mesh_14.faces.elementAt(55);
      expect(face_14_55.indices, equals([165, 166, 167]));
      final face_14_56 = mesh_14.faces.elementAt(56);
      expect(face_14_56.indices, equals([168, 169, 170]));
      final face_14_57 = mesh_14.faces.elementAt(57);
      expect(face_14_57.indices, equals([171, 172, 173]));
      final face_14_58 = mesh_14.faces.elementAt(58);
      expect(face_14_58.indices, equals([174, 175, 176]));
      final face_14_59 = mesh_14.faces.elementAt(59);
      expect(face_14_59.indices, equals([177, 178, 179]));
      final face_14_60 = mesh_14.faces.elementAt(60);
      expect(face_14_60.indices, equals([180, 181, 182]));
      final face_14_61 = mesh_14.faces.elementAt(61);
      expect(face_14_61.indices, equals([183, 184, 185]));
      final face_14_62 = mesh_14.faces.elementAt(62);
      expect(face_14_62.indices, equals([186, 187, 188]));
      final face_14_63 = mesh_14.faces.elementAt(63);
      expect(face_14_63.indices, equals([189, 190, 191]));
      final face_14_64 = mesh_14.faces.elementAt(64);
      expect(face_14_64.indices, equals([192, 193, 194]));
      final face_14_65 = mesh_14.faces.elementAt(65);
      expect(face_14_65.indices, equals([195, 196, 197]));
      final face_14_66 = mesh_14.faces.elementAt(66);
      expect(face_14_66.indices, equals([198, 199, 200]));
      final face_14_67 = mesh_14.faces.elementAt(67);
      expect(face_14_67.indices, equals([201, 202, 203]));
      final face_14_68 = mesh_14.faces.elementAt(68);
      expect(face_14_68.indices, equals([204, 205, 206]));
      final face_14_69 = mesh_14.faces.elementAt(69);
      expect(face_14_69.indices, equals([207, 208, 209]));
      final face_14_70 = mesh_14.faces.elementAt(70);
      expect(face_14_70.indices, equals([210, 211, 212]));
      final face_14_71 = mesh_14.faces.elementAt(71);
      expect(face_14_71.indices, equals([213, 214, 215]));
      final face_14_72 = mesh_14.faces.elementAt(72);
      expect(face_14_72.indices, equals([216, 217, 218]));
      final face_14_73 = mesh_14.faces.elementAt(73);
      expect(face_14_73.indices, equals([219, 220, 221]));
      final face_14_74 = mesh_14.faces.elementAt(74);
      expect(face_14_74.indices, equals([222, 223, 224]));
      final face_14_75 = mesh_14.faces.elementAt(75);
      expect(face_14_75.indices, equals([225, 226, 227]));
      final face_14_76 = mesh_14.faces.elementAt(76);
      expect(face_14_76.indices, equals([228, 229, 230]));
      final face_14_77 = mesh_14.faces.elementAt(77);
      expect(face_14_77.indices, equals([231, 232, 233]));
      final face_14_78 = mesh_14.faces.elementAt(78);
      expect(face_14_78.indices, equals([234, 235, 236]));
      final face_14_79 = mesh_14.faces.elementAt(79);
      expect(face_14_79.indices, equals([237, 238, 239]));
      final face_14_80 = mesh_14.faces.elementAt(80);
      expect(face_14_80.indices, equals([240, 241, 242]));
      final face_14_81 = mesh_14.faces.elementAt(81);
      expect(face_14_81.indices, equals([243, 244, 245]));
      final face_14_82 = mesh_14.faces.elementAt(82);
      expect(face_14_82.indices, equals([246, 247, 248]));
      final face_14_83 = mesh_14.faces.elementAt(83);
      expect(face_14_83.indices, equals([249, 250, 251]));
      final face_14_84 = mesh_14.faces.elementAt(84);
      expect(face_14_84.indices, equals([252, 253, 254]));
      final face_14_85 = mesh_14.faces.elementAt(85);
      expect(face_14_85.indices, equals([255, 256, 257]));
      final face_14_86 = mesh_14.faces.elementAt(86);
      expect(face_14_86.indices, equals([258, 259, 260]));
      final face_14_87 = mesh_14.faces.elementAt(87);
      expect(face_14_87.indices, equals([261, 262, 263]));
      final face_14_88 = mesh_14.faces.elementAt(88);
      expect(face_14_88.indices, equals([264, 265, 266]));
      final face_14_89 = mesh_14.faces.elementAt(89);
      expect(face_14_89.indices, equals([267, 268, 269]));
      final mesh_15 = scene.meshes.elementAt(15);
      final face_15_0 = mesh_15.faces.elementAt(0);
      expect(face_15_0.indices, equals([0, 1, 2]));
      final face_15_1 = mesh_15.faces.elementAt(1);
      expect(face_15_1.indices, equals([3, 4, 5]));
      final face_15_2 = mesh_15.faces.elementAt(2);
      expect(face_15_2.indices, equals([6, 7, 8]));
      final face_15_3 = mesh_15.faces.elementAt(3);
      expect(face_15_3.indices, equals([9, 10, 11]));
      final face_15_4 = mesh_15.faces.elementAt(4);
      expect(face_15_4.indices, equals([12, 13, 14]));
      final face_15_5 = mesh_15.faces.elementAt(5);
      expect(face_15_5.indices, equals([15, 16, 17]));
      final face_15_6 = mesh_15.faces.elementAt(6);
      expect(face_15_6.indices, equals([18, 19, 20]));
      final face_15_7 = mesh_15.faces.elementAt(7);
      expect(face_15_7.indices, equals([21, 22, 23]));
      final face_15_8 = mesh_15.faces.elementAt(8);
      expect(face_15_8.indices, equals([24, 25, 26]));
      final face_15_9 = mesh_15.faces.elementAt(9);
      expect(face_15_9.indices, equals([27, 28, 29]));
      final face_15_10 = mesh_15.faces.elementAt(10);
      expect(face_15_10.indices, equals([30, 31, 32]));
      final face_15_11 = mesh_15.faces.elementAt(11);
      expect(face_15_11.indices, equals([33, 34, 35]));
      final face_15_12 = mesh_15.faces.elementAt(12);
      expect(face_15_12.indices, equals([36, 37, 38]));
      final face_15_13 = mesh_15.faces.elementAt(13);
      expect(face_15_13.indices, equals([39, 40, 41]));
      final face_15_14 = mesh_15.faces.elementAt(14);
      expect(face_15_14.indices, equals([42, 43, 44]));
      final face_15_15 = mesh_15.faces.elementAt(15);
      expect(face_15_15.indices, equals([45, 46, 47]));
      final face_15_16 = mesh_15.faces.elementAt(16);
      expect(face_15_16.indices, equals([48, 49, 50]));
      final face_15_17 = mesh_15.faces.elementAt(17);
      expect(face_15_17.indices, equals([51, 52, 53]));
      final face_15_18 = mesh_15.faces.elementAt(18);
      expect(face_15_18.indices, equals([54, 55, 56]));
      final face_15_19 = mesh_15.faces.elementAt(19);
      expect(face_15_19.indices, equals([57, 58, 59]));
      final face_15_20 = mesh_15.faces.elementAt(20);
      expect(face_15_20.indices, equals([60, 61, 62]));
      final face_15_21 = mesh_15.faces.elementAt(21);
      expect(face_15_21.indices, equals([63, 64, 65]));
      final face_15_22 = mesh_15.faces.elementAt(22);
      expect(face_15_22.indices, equals([66, 67, 68]));
      final face_15_23 = mesh_15.faces.elementAt(23);
      expect(face_15_23.indices, equals([69, 70, 71]));
      final face_15_24 = mesh_15.faces.elementAt(24);
      expect(face_15_24.indices, equals([72, 73, 74]));
      final face_15_25 = mesh_15.faces.elementAt(25);
      expect(face_15_25.indices, equals([75, 76, 77]));
      final face_15_26 = mesh_15.faces.elementAt(26);
      expect(face_15_26.indices, equals([78, 79, 80]));
      final face_15_27 = mesh_15.faces.elementAt(27);
      expect(face_15_27.indices, equals([81, 82, 83]));
      final face_15_28 = mesh_15.faces.elementAt(28);
      expect(face_15_28.indices, equals([84, 85, 86]));
      final face_15_29 = mesh_15.faces.elementAt(29);
      expect(face_15_29.indices, equals([87, 88, 89]));
      final face_15_30 = mesh_15.faces.elementAt(30);
      expect(face_15_30.indices, equals([90, 91, 92]));
      final face_15_31 = mesh_15.faces.elementAt(31);
      expect(face_15_31.indices, equals([93, 94, 95]));
      final face_15_32 = mesh_15.faces.elementAt(32);
      expect(face_15_32.indices, equals([96, 97, 98]));
      final face_15_33 = mesh_15.faces.elementAt(33);
      expect(face_15_33.indices, equals([99, 100, 101]));
      final face_15_34 = mesh_15.faces.elementAt(34);
      expect(face_15_34.indices, equals([102, 103, 104]));
      final face_15_35 = mesh_15.faces.elementAt(35);
      expect(face_15_35.indices, equals([105, 106, 107]));
      final face_15_36 = mesh_15.faces.elementAt(36);
      expect(face_15_36.indices, equals([108, 109, 110]));
      final face_15_37 = mesh_15.faces.elementAt(37);
      expect(face_15_37.indices, equals([111, 112, 113]));
      final face_15_38 = mesh_15.faces.elementAt(38);
      expect(face_15_38.indices, equals([114, 115, 116]));
      final face_15_39 = mesh_15.faces.elementAt(39);
      expect(face_15_39.indices, equals([117, 118, 119]));
      final face_15_40 = mesh_15.faces.elementAt(40);
      expect(face_15_40.indices, equals([120, 121, 122]));
      final face_15_41 = mesh_15.faces.elementAt(41);
      expect(face_15_41.indices, equals([123, 124, 125]));
      final mesh_16 = scene.meshes.elementAt(16);
      final face_16_0 = mesh_16.faces.elementAt(0);
      expect(face_16_0.indices, equals([0, 1, 2]));
      final face_16_1 = mesh_16.faces.elementAt(1);
      expect(face_16_1.indices, equals([3, 4, 5]));
      final face_16_2 = mesh_16.faces.elementAt(2);
      expect(face_16_2.indices, equals([6, 7, 8]));
      final face_16_3 = mesh_16.faces.elementAt(3);
      expect(face_16_3.indices, equals([9, 10, 11]));
      final face_16_4 = mesh_16.faces.elementAt(4);
      expect(face_16_4.indices, equals([12, 13, 14]));
      final face_16_5 = mesh_16.faces.elementAt(5);
      expect(face_16_5.indices, equals([15, 16, 17]));
      final face_16_6 = mesh_16.faces.elementAt(6);
      expect(face_16_6.indices, equals([18, 19, 20]));
      final face_16_7 = mesh_16.faces.elementAt(7);
      expect(face_16_7.indices, equals([21, 22, 23]));
      final face_16_8 = mesh_16.faces.elementAt(8);
      expect(face_16_8.indices, equals([24, 25, 26]));
      final face_16_9 = mesh_16.faces.elementAt(9);
      expect(face_16_9.indices, equals([27, 28, 29]));
      final face_16_10 = mesh_16.faces.elementAt(10);
      expect(face_16_10.indices, equals([30, 31, 32]));
      final face_16_11 = mesh_16.faces.elementAt(11);
      expect(face_16_11.indices, equals([33, 34, 35]));
      final face_16_12 = mesh_16.faces.elementAt(12);
      expect(face_16_12.indices, equals([36, 37, 38]));
      final face_16_13 = mesh_16.faces.elementAt(13);
      expect(face_16_13.indices, equals([39, 40, 41]));
      final face_16_14 = mesh_16.faces.elementAt(14);
      expect(face_16_14.indices, equals([42, 43, 44]));
      final face_16_15 = mesh_16.faces.elementAt(15);
      expect(face_16_15.indices, equals([45, 46, 47]));
      final face_16_16 = mesh_16.faces.elementAt(16);
      expect(face_16_16.indices, equals([48, 49, 50]));
      final face_16_17 = mesh_16.faces.elementAt(17);
      expect(face_16_17.indices, equals([51, 52, 53]));
      final face_16_18 = mesh_16.faces.elementAt(18);
      expect(face_16_18.indices, equals([54, 55, 56]));
      final face_16_19 = mesh_16.faces.elementAt(19);
      expect(face_16_19.indices, equals([57, 58, 59]));
      final face_16_20 = mesh_16.faces.elementAt(20);
      expect(face_16_20.indices, equals([60, 61, 62]));
      final face_16_21 = mesh_16.faces.elementAt(21);
      expect(face_16_21.indices, equals([63, 64, 65]));
      final face_16_22 = mesh_16.faces.elementAt(22);
      expect(face_16_22.indices, equals([66, 67, 68]));
      final face_16_23 = mesh_16.faces.elementAt(23);
      expect(face_16_23.indices, equals([69, 70, 71]));
      final face_16_24 = mesh_16.faces.elementAt(24);
      expect(face_16_24.indices, equals([72, 73, 74]));
      final face_16_25 = mesh_16.faces.elementAt(25);
      expect(face_16_25.indices, equals([75, 76, 77]));
      final face_16_26 = mesh_16.faces.elementAt(26);
      expect(face_16_26.indices, equals([78, 79, 80]));
      final face_16_27 = mesh_16.faces.elementAt(27);
      expect(face_16_27.indices, equals([81, 82, 83]));
      final face_16_28 = mesh_16.faces.elementAt(28);
      expect(face_16_28.indices, equals([84, 85, 86]));
      final face_16_29 = mesh_16.faces.elementAt(29);
      expect(face_16_29.indices, equals([87, 88, 89]));
      final face_16_30 = mesh_16.faces.elementAt(30);
      expect(face_16_30.indices, equals([90, 91, 92]));
      final face_16_31 = mesh_16.faces.elementAt(31);
      expect(face_16_31.indices, equals([93, 94, 95]));
      final face_16_32 = mesh_16.faces.elementAt(32);
      expect(face_16_32.indices, equals([96, 97, 98]));
      final face_16_33 = mesh_16.faces.elementAt(33);
      expect(face_16_33.indices, equals([99, 100, 101]));
      final face_16_34 = mesh_16.faces.elementAt(34);
      expect(face_16_34.indices, equals([102, 103, 104]));
      final face_16_35 = mesh_16.faces.elementAt(35);
      expect(face_16_35.indices, equals([105, 106, 107]));
      final face_16_36 = mesh_16.faces.elementAt(36);
      expect(face_16_36.indices, equals([108, 109, 110]));
      final face_16_37 = mesh_16.faces.elementAt(37);
      expect(face_16_37.indices, equals([111, 112, 113]));
      final face_16_38 = mesh_16.faces.elementAt(38);
      expect(face_16_38.indices, equals([114, 115, 116]));
      final face_16_39 = mesh_16.faces.elementAt(39);
      expect(face_16_39.indices, equals([117, 118, 119]));
      final face_16_40 = mesh_16.faces.elementAt(40);
      expect(face_16_40.indices, equals([120, 121, 122]));
      final face_16_41 = mesh_16.faces.elementAt(41);
      expect(face_16_41.indices, equals([123, 124, 125]));
      final mesh_17 = scene.meshes.elementAt(17);
      final face_17_0 = mesh_17.faces.elementAt(0);
      expect(face_17_0.indices, equals([0, 1, 2]));
      final face_17_1 = mesh_17.faces.elementAt(1);
      expect(face_17_1.indices, equals([3, 4, 5]));
      final face_17_2 = mesh_17.faces.elementAt(2);
      expect(face_17_2.indices, equals([6, 7, 8]));
      final face_17_3 = mesh_17.faces.elementAt(3);
      expect(face_17_3.indices, equals([9, 10, 11]));
      final face_17_4 = mesh_17.faces.elementAt(4);
      expect(face_17_4.indices, equals([12, 13, 14]));
      final face_17_5 = mesh_17.faces.elementAt(5);
      expect(face_17_5.indices, equals([15, 16, 17]));
      final face_17_6 = mesh_17.faces.elementAt(6);
      expect(face_17_6.indices, equals([18, 19, 20]));
      final face_17_7 = mesh_17.faces.elementAt(7);
      expect(face_17_7.indices, equals([21, 22, 23]));
      final face_17_8 = mesh_17.faces.elementAt(8);
      expect(face_17_8.indices, equals([24, 25, 26]));
      final face_17_9 = mesh_17.faces.elementAt(9);
      expect(face_17_9.indices, equals([27, 28, 29]));
      final face_17_10 = mesh_17.faces.elementAt(10);
      expect(face_17_10.indices, equals([30, 31, 32]));
      final face_17_11 = mesh_17.faces.elementAt(11);
      expect(face_17_11.indices, equals([33, 34, 35]));
      final face_17_12 = mesh_17.faces.elementAt(12);
      expect(face_17_12.indices, equals([36, 37, 38]));
      final face_17_13 = mesh_17.faces.elementAt(13);
      expect(face_17_13.indices, equals([39, 40, 41]));
      final face_17_14 = mesh_17.faces.elementAt(14);
      expect(face_17_14.indices, equals([42, 43, 44]));
      final face_17_15 = mesh_17.faces.elementAt(15);
      expect(face_17_15.indices, equals([45, 46, 47]));
      final face_17_16 = mesh_17.faces.elementAt(16);
      expect(face_17_16.indices, equals([48, 49, 50]));
      final face_17_17 = mesh_17.faces.elementAt(17);
      expect(face_17_17.indices, equals([51, 52, 53]));
      final face_17_18 = mesh_17.faces.elementAt(18);
      expect(face_17_18.indices, equals([54, 55, 56]));
      final face_17_19 = mesh_17.faces.elementAt(19);
      expect(face_17_19.indices, equals([57, 58, 59]));
      final face_17_20 = mesh_17.faces.elementAt(20);
      expect(face_17_20.indices, equals([60, 61, 62]));
      final face_17_21 = mesh_17.faces.elementAt(21);
      expect(face_17_21.indices, equals([63, 64, 65]));
      final face_17_22 = mesh_17.faces.elementAt(22);
      expect(face_17_22.indices, equals([66, 67, 68]));
      final face_17_23 = mesh_17.faces.elementAt(23);
      expect(face_17_23.indices, equals([69, 70, 71]));
      final face_17_24 = mesh_17.faces.elementAt(24);
      expect(face_17_24.indices, equals([72, 73, 74]));
      final face_17_25 = mesh_17.faces.elementAt(25);
      expect(face_17_25.indices, equals([75, 76, 77]));
      final face_17_26 = mesh_17.faces.elementAt(26);
      expect(face_17_26.indices, equals([78, 79, 80]));
      final face_17_27 = mesh_17.faces.elementAt(27);
      expect(face_17_27.indices, equals([81, 82, 83]));
      final face_17_28 = mesh_17.faces.elementAt(28);
      expect(face_17_28.indices, equals([84, 85, 86]));
      final face_17_29 = mesh_17.faces.elementAt(29);
      expect(face_17_29.indices, equals([87, 88, 89]));
      final face_17_30 = mesh_17.faces.elementAt(30);
      expect(face_17_30.indices, equals([90, 91, 92]));
      final face_17_31 = mesh_17.faces.elementAt(31);
      expect(face_17_31.indices, equals([93, 94, 95]));
      final face_17_32 = mesh_17.faces.elementAt(32);
      expect(face_17_32.indices, equals([96, 97, 98]));
      final face_17_33 = mesh_17.faces.elementAt(33);
      expect(face_17_33.indices, equals([99, 100, 101]));
      final face_17_34 = mesh_17.faces.elementAt(34);
      expect(face_17_34.indices, equals([102, 103, 104]));
      final face_17_35 = mesh_17.faces.elementAt(35);
      expect(face_17_35.indices, equals([105, 106, 107]));
      final face_17_36 = mesh_17.faces.elementAt(36);
      expect(face_17_36.indices, equals([108, 109, 110]));
      final face_17_37 = mesh_17.faces.elementAt(37);
      expect(face_17_37.indices, equals([111, 112, 113]));
      final mesh_18 = scene.meshes.elementAt(18);
      final face_18_0 = mesh_18.faces.elementAt(0);
      expect(face_18_0.indices, equals([0, 1, 2]));
      final face_18_1 = mesh_18.faces.elementAt(1);
      expect(face_18_1.indices, equals([3, 4, 5]));
      final face_18_2 = mesh_18.faces.elementAt(2);
      expect(face_18_2.indices, equals([6, 7, 8]));
      final face_18_3 = mesh_18.faces.elementAt(3);
      expect(face_18_3.indices, equals([9, 10, 11]));
      final face_18_4 = mesh_18.faces.elementAt(4);
      expect(face_18_4.indices, equals([12, 13, 14]));
      final face_18_5 = mesh_18.faces.elementAt(5);
      expect(face_18_5.indices, equals([15, 16, 17]));
      final face_18_6 = mesh_18.faces.elementAt(6);
      expect(face_18_6.indices, equals([18, 19, 20]));
      final face_18_7 = mesh_18.faces.elementAt(7);
      expect(face_18_7.indices, equals([21, 22, 23]));
      final face_18_8 = mesh_18.faces.elementAt(8);
      expect(face_18_8.indices, equals([24, 25, 26]));
      final face_18_9 = mesh_18.faces.elementAt(9);
      expect(face_18_9.indices, equals([27, 28, 29]));
      final face_18_10 = mesh_18.faces.elementAt(10);
      expect(face_18_10.indices, equals([30, 31, 32]));
      final face_18_11 = mesh_18.faces.elementAt(11);
      expect(face_18_11.indices, equals([33, 34, 35]));
      final face_18_12 = mesh_18.faces.elementAt(12);
      expect(face_18_12.indices, equals([36, 37, 38]));
      final face_18_13 = mesh_18.faces.elementAt(13);
      expect(face_18_13.indices, equals([39, 40, 41]));
      final face_18_14 = mesh_18.faces.elementAt(14);
      expect(face_18_14.indices, equals([42, 43, 44]));
      final face_18_15 = mesh_18.faces.elementAt(15);
      expect(face_18_15.indices, equals([45, 46, 47]));
      final face_18_16 = mesh_18.faces.elementAt(16);
      expect(face_18_16.indices, equals([48, 49, 50]));
      final face_18_17 = mesh_18.faces.elementAt(17);
      expect(face_18_17.indices, equals([51, 52, 53]));
      final face_18_18 = mesh_18.faces.elementAt(18);
      expect(face_18_18.indices, equals([54, 55, 56]));
      final face_18_19 = mesh_18.faces.elementAt(19);
      expect(face_18_19.indices, equals([57, 58, 59]));
      final face_18_20 = mesh_18.faces.elementAt(20);
      expect(face_18_20.indices, equals([60, 61, 62]));
      final face_18_21 = mesh_18.faces.elementAt(21);
      expect(face_18_21.indices, equals([63, 64, 65]));
      final face_18_22 = mesh_18.faces.elementAt(22);
      expect(face_18_22.indices, equals([66, 67, 68]));
      final face_18_23 = mesh_18.faces.elementAt(23);
      expect(face_18_23.indices, equals([69, 70, 71]));
      final face_18_24 = mesh_18.faces.elementAt(24);
      expect(face_18_24.indices, equals([72, 73, 74]));
      final face_18_25 = mesh_18.faces.elementAt(25);
      expect(face_18_25.indices, equals([75, 76, 77]));
      final face_18_26 = mesh_18.faces.elementAt(26);
      expect(face_18_26.indices, equals([78, 79, 80]));
      final face_18_27 = mesh_18.faces.elementAt(27);
      expect(face_18_27.indices, equals([81, 82, 83]));
      final face_18_28 = mesh_18.faces.elementAt(28);
      expect(face_18_28.indices, equals([84, 85, 86]));
      final face_18_29 = mesh_18.faces.elementAt(29);
      expect(face_18_29.indices, equals([87, 88, 89]));
      final face_18_30 = mesh_18.faces.elementAt(30);
      expect(face_18_30.indices, equals([90, 91, 92]));
      final face_18_31 = mesh_18.faces.elementAt(31);
      expect(face_18_31.indices, equals([93, 94, 95]));
      final face_18_32 = mesh_18.faces.elementAt(32);
      expect(face_18_32.indices, equals([96, 97, 98]));
      final face_18_33 = mesh_18.faces.elementAt(33);
      expect(face_18_33.indices, equals([99, 100, 101]));
      final face_18_34 = mesh_18.faces.elementAt(34);
      expect(face_18_34.indices, equals([102, 103, 104]));
      final face_18_35 = mesh_18.faces.elementAt(35);
      expect(face_18_35.indices, equals([105, 106, 107]));
      final face_18_36 = mesh_18.faces.elementAt(36);
      expect(face_18_36.indices, equals([108, 109, 110]));
      final face_18_37 = mesh_18.faces.elementAt(37);
      expect(face_18_37.indices, equals([111, 112, 113]));
    });
  });

}
