import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';
import 'package:test/test.dart';
import 'package:assimp/assimp.dart';
import 'package:assimp/src/bindings.dart';
import 'test_utils.dart';

// DO NOT EDIT (generated by tool/testgen)

void main() {
  prepareTest();

  test('size', () {
    expect(sizeOf<aiMesh>(), equals(1312));
  });

  test('equals', () {
    final a = Mesh.fromNative(calloc<aiMesh>());
    final b = Mesh.fromNative(calloc<aiMesh>());
    expect(a, equals(a));
    expect(b, equals(b));
    expect(a, isNot(equals(b)));
    expect(b, isNot(equals(a)));
  });

  test('toString', () {
    expect(Mesh.fromNative(calloc<aiMesh>()).toString(), matches(r'Mesh\(Pointer<aiMesh>: address=0x[0-f]+\)'));
  });

  test('3mf', () {
    testScene('box.3mf', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(1));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(4));
      expect(mesh_0.vertices.length, equals(8));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(10, 0, 0)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(10, 20, 0)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(0, 20, 0)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 30)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(10, 0, 30)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(10, 20, 30)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(0, 20, 30)));
      expect(mesh_0.normals.length, isZero);
      expect(mesh_0.tangents.length, isZero);
      expect(mesh_0.bitangents.length, isZero);
      expect(mesh_0.colors.length, isZero);
      expect(mesh_0.textureCoords.length, isZero);
      expect(mesh_0.uvComponents.length, isZero);
      expect(mesh_0.uvComponents, equals([]));
      expect(mesh_0.faces.length, equals(12));
      expect(mesh_0.bones.length, isZero);
      expect(mesh_0.materialIndex, isZero);
      expect(mesh_0.name, equals('1'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
    testScene('spider.3mf', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(19));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(4));
      expect(mesh_0.vertices.length, equals(71));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(4.56830978, 16.8570995, 5.61961985)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, 16.8696995)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(1.16038001, 4.51268005, 6.44917011)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(-6.44271994, 10.7774, -0.537528992)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(27.5207996, 27.0802994, 11.4516001)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(14.4022999, 32.8918991, 3.41482997)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237003, -4.34285021)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(-8.12036037, 15.6844997, -10.5)));
      final vertex_0_8 = mesh_0.vertices.elementAt(8);
      expect(vertex_0_8, vector3MoreOrLessEquals(Vector3(-9.8764801, 2.96156001, -10.5)));
      final vertex_0_9 = mesh_0.vertices.elementAt(9);
      expect(vertex_0_9, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237003, -16.6571007)));
      final vertex_0_10 = mesh_0.vertices.elementAt(10);
      expect(vertex_0_10, vector3MoreOrLessEquals(Vector3(12.9532003, 36.8732986, -11.5)));
      final vertex_0_11 = mesh_0.vertices.elementAt(11);
      expect(vertex_0_11, vector3MoreOrLessEquals(Vector3(30.5272999, 37.5040016, -2.73327994)));
      final vertex_0_12 = mesh_0.vertices.elementAt(12);
      expect(vertex_0_12, vector3MoreOrLessEquals(Vector3(14.4022999, 32.8918991, -26.4148006)));
      final vertex_0_13 = mesh_0.vertices.elementAt(13);
      expect(vertex_0_13, vector3MoreOrLessEquals(Vector3(30.5272999, 37.5040016, -20.2667007)));
      final vertex_0_14 = mesh_0.vertices.elementAt(14);
      expect(vertex_0_14, vector3MoreOrLessEquals(Vector3(-6.44271994, 10.7774, -20.4624996)));
      final vertex_0_15 = mesh_0.vertices.elementAt(15);
      expect(vertex_0_15, vector3MoreOrLessEquals(Vector3(-8.12036037, 15.6844997, -10.5)));
      final vertex_0_16 = mesh_0.vertices.elementAt(16);
      expect(vertex_0_16, vector3MoreOrLessEquals(Vector3(4.56830978, 16.8570995, -26.6196003)));
      final vertex_0_17 = mesh_0.vertices.elementAt(17);
      expect(vertex_0_17, vector3MoreOrLessEquals(Vector3(27.5207996, 27.0802994, -34.4515991)));
      final vertex_0_18 = mesh_0.vertices.elementAt(18);
      expect(vertex_0_18, vector3MoreOrLessEquals(Vector3(27.5207996, 27.0802994, -34.4515991)));
      final vertex_0_19 = mesh_0.vertices.elementAt(19);
      expect(vertex_0_19, vector3MoreOrLessEquals(Vector3(44.3013, 33.9646988, -11.5)));
      final vertex_0_20 = mesh_0.vertices.elementAt(20);
      expect(vertex_0_20, vector3MoreOrLessEquals(Vector3(45.0950012, 27.7108994, -25.6847992)));
      final vertex_0_21 = mesh_0.vertices.elementAt(21);
      expect(vertex_0_21, vector3MoreOrLessEquals(Vector3(39.1862984, 16.2310009, -35.6327019)));
      final vertex_0_22 = mesh_0.vertices.elementAt(22);
      expect(vertex_0_22, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, -39.8697014)));
      final vertex_0_23 = mesh_0.vertices.elementAt(23);
      expect(vertex_0_23, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, -39.8697014)));
      final vertex_0_24 = mesh_0.vertices.elementAt(24);
      expect(vertex_0_24, vector3MoreOrLessEquals(Vector3(1.16038001, 4.51268005, -27.4491997)));
      final vertex_0_25 = mesh_0.vertices.elementAt(25);
      expect(vertex_0_25, vector3MoreOrLessEquals(Vector3(-9.8764801, 2.96156001, -10.5)));
      final vertex_0_26 = mesh_0.vertices.elementAt(26);
      expect(vertex_0_26, vector3MoreOrLessEquals(Vector3(51.0918007, 11.2349005, -25.6847992)));
      final vertex_0_27 = mesh_0.vertices.elementAt(27);
      expect(vertex_0_27, vector3MoreOrLessEquals(Vector3(57.9361992, 30.2765007, -11.5)));
      final vertex_0_28 = mesh_0.vertices.elementAt(28);
      expect(vertex_0_28, vector3MoreOrLessEquals(Vector3(57.9361992, 30.2765007, -11.5)));
      final vertex_0_29 = mesh_0.vertices.elementAt(29);
      expect(vertex_0_29, vector3MoreOrLessEquals(Vector3(45.0950012, 27.7108994, 2.68484998)));
      final vertex_0_30 = mesh_0.vertices.elementAt(30);
      expect(vertex_0_30, vector3MoreOrLessEquals(Vector3(27.5207996, 27.0802994, 11.4516001)));
      final vertex_0_31 = mesh_0.vertices.elementAt(31);
      expect(vertex_0_31, vector3MoreOrLessEquals(Vector3(39.1862984, 16.2310009, 12.6327)));
      final vertex_0_32 = mesh_0.vertices.elementAt(32);
      expect(vertex_0_32, vector3MoreOrLessEquals(Vector3(51.0918007, 11.2349005, 2.68484998)));
      final vertex_0_33 = mesh_0.vertices.elementAt(33);
      expect(vertex_0_33, vector3MoreOrLessEquals(Vector3(57.9361992, 30.2765007, -11.5)));
      final vertex_0_34 = mesh_0.vertices.elementAt(34);
      expect(vertex_0_34, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, 16.8696995)));
      final vertex_0_35 = mesh_0.vertices.elementAt(35);
      expect(vertex_0_35, vector3MoreOrLessEquals(Vector3(51.0918007, 11.2349005, 2.68484998)));
      final vertex_0_36 = mesh_0.vertices.elementAt(36);
      expect(vertex_0_36, vector3MoreOrLessEquals(Vector3(57.9361992, 30.2765007, -11.5)));
      final vertex_0_37 = mesh_0.vertices.elementAt(37);
      expect(vertex_0_37, vector3MoreOrLessEquals(Vector3(54.5036011, 5.93402004, -11.5)));
      final vertex_0_38 = mesh_0.vertices.elementAt(38);
      expect(vertex_0_38, vector3MoreOrLessEquals(Vector3(46.2271004, -5.63088989, -2.73327994)));
      final vertex_0_39 = mesh_0.vertices.elementAt(39);
      expect(vertex_0_39, vector3MoreOrLessEquals(Vector3(37.2238007, 0.421530992, 11.4516001)));
      final vertex_0_40 = mesh_0.vertices.elementAt(40);
      expect(vertex_0_40, vector3MoreOrLessEquals(Vector3(39.1862984, 16.2310009, 12.6327)));
      final vertex_0_41 = mesh_0.vertices.elementAt(41);
      expect(vertex_0_41, vector3MoreOrLessEquals(Vector3(32.3591995, -16.4442997, -11.5)));
      final vertex_0_42 = mesh_0.vertices.elementAt(42);
      expect(vertex_0_42, vector3MoreOrLessEquals(Vector3(30.9099998, -12.4628, 3.41482997)));
      final vertex_0_43 = mesh_0.vertices.elementAt(43);
      expect(vertex_0_43, vector3MoreOrLessEquals(Vector3(46.2271004, -5.63088989, -20.2667007)));
      final vertex_0_44 = mesh_0.vertices.elementAt(44);
      expect(vertex_0_44, vector3MoreOrLessEquals(Vector3(54.5036011, 5.93402004, -11.5)));
      final vertex_0_45 = mesh_0.vertices.elementAt(45);
      expect(vertex_0_45, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, 16.8696995)));
      final vertex_0_46 = mesh_0.vertices.elementAt(46);
      expect(vertex_0_46, vector3MoreOrLessEquals(Vector3(4.4051199, -14.2299995, -4.34285021)));
      final vertex_0_47 = mesh_0.vertices.elementAt(47);
      expect(vertex_0_47, vector3MoreOrLessEquals(Vector3(7.83888006, -6.41418982, 5.61961985)));
      final vertex_0_48 = mesh_0.vertices.elementAt(48);
      expect(vertex_0_48, vector3MoreOrLessEquals(Vector3(37.2238007, 0.421530992, 11.4516001)));
      final vertex_0_49 = mesh_0.vertices.elementAt(49);
      expect(vertex_0_49, vector3MoreOrLessEquals(Vector3(4.4051199, -14.2299995, -16.6571007)));
      final vertex_0_50 = mesh_0.vertices.elementAt(50);
      expect(vertex_0_50, vector3MoreOrLessEquals(Vector3(-4.68148994, -8.78444004, -10.5)));
      final vertex_0_51 = mesh_0.vertices.elementAt(51);
      expect(vertex_0_51, vector3MoreOrLessEquals(Vector3(-4.42139006, -3.60505009, -0.537528992)));
      final vertex_0_52 = mesh_0.vertices.elementAt(52);
      expect(vertex_0_52, vector3MoreOrLessEquals(Vector3(1.16038001, 4.51268005, 6.44917011)));
      final vertex_0_53 = mesh_0.vertices.elementAt(53);
      expect(vertex_0_53, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, 16.8696995)));
      final vertex_0_54 = mesh_0.vertices.elementAt(54);
      expect(vertex_0_54, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, 16.8696995)));
      final vertex_0_55 = mesh_0.vertices.elementAt(55);
      expect(vertex_0_55, vector3MoreOrLessEquals(Vector3(-6.44271994, 10.7774, -0.537528992)));
      final vertex_0_56 = mesh_0.vertices.elementAt(56);
      expect(vertex_0_56, vector3MoreOrLessEquals(Vector3(-9.8764801, 2.96156001, -10.5)));
      final vertex_0_57 = mesh_0.vertices.elementAt(57);
      expect(vertex_0_57, vector3MoreOrLessEquals(Vector3(-4.42139006, -3.60505009, -20.4624996)));
      final vertex_0_58 = mesh_0.vertices.elementAt(58);
      expect(vertex_0_58, vector3MoreOrLessEquals(Vector3(-9.8764801, 2.96156001, -10.5)));
      final vertex_0_59 = mesh_0.vertices.elementAt(59);
      expect(vertex_0_59, vector3MoreOrLessEquals(Vector3(-6.44271994, 10.7774, -20.4624996)));
      final vertex_0_60 = mesh_0.vertices.elementAt(60);
      expect(vertex_0_60, vector3MoreOrLessEquals(Vector3(1.16038001, 4.51268005, -27.4491997)));
      final vertex_0_61 = mesh_0.vertices.elementAt(61);
      expect(vertex_0_61, vector3MoreOrLessEquals(Vector3(7.83888006, -6.41418982, -26.6196003)));
      final vertex_0_62 = mesh_0.vertices.elementAt(62);
      expect(vertex_0_62, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, -39.8697014)));
      final vertex_0_63 = mesh_0.vertices.elementAt(63);
      expect(vertex_0_63, vector3MoreOrLessEquals(Vector3(37.2238007, 0.421530992, -34.4515991)));
      final vertex_0_64 = mesh_0.vertices.elementAt(64);
      expect(vertex_0_64, vector3MoreOrLessEquals(Vector3(30.9099998, -12.4628, -26.4148006)));
      final vertex_0_65 = mesh_0.vertices.elementAt(65);
      expect(vertex_0_65, vector3MoreOrLessEquals(Vector3(37.2238007, 0.421530992, -34.4515991)));
      final vertex_0_66 = mesh_0.vertices.elementAt(66);
      expect(vertex_0_66, vector3MoreOrLessEquals(Vector3(51.0918007, 11.2349005, -25.6847992)));
      final vertex_0_67 = mesh_0.vertices.elementAt(67);
      expect(vertex_0_67, vector3MoreOrLessEquals(Vector3(54.5036011, 5.93402004, -11.5)));
      final vertex_0_68 = mesh_0.vertices.elementAt(68);
      expect(vertex_0_68, vector3MoreOrLessEquals(Vector3(22.6562004, 10.2145004, -39.8697014)));
      final vertex_0_69 = mesh_0.vertices.elementAt(69);
      expect(vertex_0_69, vector3MoreOrLessEquals(Vector3(39.1862984, 16.2310009, -35.6327019)));
      final vertex_0_70 = mesh_0.vertices.elementAt(70);
      expect(vertex_0_70, vector3MoreOrLessEquals(Vector3(57.9361992, 30.2765007, -11.5)));
      expect(mesh_0.normals.length, isZero);
      expect(mesh_0.tangents.length, isZero);
      expect(mesh_0.bitangents.length, isZero);
      expect(mesh_0.colors.length, isZero);
      expect(mesh_0.textureCoords.length, isZero);
      expect(mesh_0.uvComponents.length, isZero);
      expect(mesh_0.uvComponents, equals([]));
      expect(mesh_0.faces.length, equals(80));
      expect(mesh_0.bones.length, isZero);
      expect(mesh_0.materialIndex, equals(1));
      expect(mesh_0.name, equals('HLeib01'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.primitiveTypes, equals(4));
      expect(mesh_1.vertices.length, equals(93));
      final vertex_1_0 = mesh_1.vertices.elementAt(0);
      expect(vertex_1_0, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, 8.47976017)));
      final vertex_1_1 = mesh_1.vertices.elementAt(1);
      expect(vertex_1_1, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, 3.08141994)));
      final vertex_1_2 = mesh_1.vertices.elementAt(2);
      expect(vertex_1_2, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, 9.43076992)));
      final vertex_1_3 = mesh_1.vertices.elementAt(3);
      expect(vertex_1_3, vector3MoreOrLessEquals(Vector3(-18.8264008, 5.43588018, 0.583091021)));
      final vertex_1_4 = mesh_1.vertices.elementAt(4);
      expect(vertex_1_4, vector3MoreOrLessEquals(Vector3(-18.8264008, 5.43588018, 0.583091021)));
      final vertex_1_5 = mesh_1.vertices.elementAt(5);
      expect(vertex_1_5, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, 8.47976017)));
      final vertex_1_6 = mesh_1.vertices.elementAt(6);
      expect(vertex_1_6, vector3MoreOrLessEquals(Vector3(-24.4015007, 12.2247, -3.12268996)));
      final vertex_1_7 = mesh_1.vertices.elementAt(7);
      expect(vertex_1_7, vector3MoreOrLessEquals(Vector3(-35.5702019, 16.5986004, -2.94136)));
      final vertex_1_8 = mesh_1.vertices.elementAt(8);
      expect(vertex_1_8, vector3MoreOrLessEquals(Vector3(-23.7784996, 14.1422997, -10)));
      final vertex_1_9 = mesh_1.vertices.elementAt(9);
      expect(vertex_1_9, vector3MoreOrLessEquals(Vector3(-8.43229961, 6.44504976, -5.95762014)));
      final vertex_1_10 = mesh_1.vertices.elementAt(10);
      expect(vertex_1_10, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, 3.08141994)));
      final vertex_1_11 = mesh_1.vertices.elementAt(11);
      expect(vertex_1_11, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, 1.12772)));
      final vertex_1_12 = mesh_1.vertices.elementAt(12);
      expect(vertex_1_12, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -0.594703019)));
      final vertex_1_13 = mesh_1.vertices.elementAt(13);
      expect(vertex_1_13, vector3MoreOrLessEquals(Vector3(-8.43229961, 6.44504976, -14.0424004)));
      final vertex_1_14 = mesh_1.vertices.elementAt(14);
      expect(vertex_1_14, vector3MoreOrLessEquals(Vector3(-1.33709002, 1.10810995, -10)));
      final vertex_1_15 = mesh_1.vertices.elementAt(15);
      expect(vertex_1_15, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219999, -10)));
      final vertex_1_16 = mesh_1.vertices.elementAt(16);
      expect(vertex_1_16, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -19.4053001)));
      final vertex_1_17 = mesh_1.vertices.elementAt(17);
      expect(vertex_1_17, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219999, -10)));
      final vertex_1_18 = mesh_1.vertices.elementAt(18);
      expect(vertex_1_18, vector3MoreOrLessEquals(Vector3(-24.4015007, 12.2247, -16.8773003)));
      final vertex_1_19 = mesh_1.vertices.elementAt(19);
      expect(vertex_1_19, vector3MoreOrLessEquals(Vector3(-18.8264008, 5.43588018, -20.5830994)));
      final vertex_1_20 = mesh_1.vertices.elementAt(20);
      expect(vertex_1_20, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, -21.1277008)));
      final vertex_1_21 = mesh_1.vertices.elementAt(21);
      expect(vertex_1_21, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, -28.4797993)));
      final vertex_1_22 = mesh_1.vertices.elementAt(22);
      expect(vertex_1_22, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, -23.0813999)));
      final vertex_1_23 = mesh_1.vertices.elementAt(23);
      expect(vertex_1_23, vector3MoreOrLessEquals(Vector3(-35.5702019, 16.5986004, -17.0585995)));
      final vertex_1_24 = mesh_1.vertices.elementAt(24);
      expect(vertex_1_24, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, -21.4211006)));
      final vertex_1_25 = mesh_1.vertices.elementAt(25);
      expect(vertex_1_25, vector3MoreOrLessEquals(Vector3(-44.8446999, 15.2285004, -10)));
      final vertex_1_26 = mesh_1.vertices.elementAt(26);
      expect(vertex_1_26, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      final vertex_1_27 = mesh_1.vertices.elementAt(27);
      expect(vertex_1_27, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, -28.4797993)));
      final vertex_1_28 = mesh_1.vertices.elementAt(28);
      expect(vertex_1_28, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, -29.4307995)));
      final vertex_1_29 = mesh_1.vertices.elementAt(29);
      expect(vertex_1_29, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, 1.42112005)));
      final vertex_1_30 = mesh_1.vertices.elementAt(30);
      expect(vertex_1_30, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      final vertex_1_31 = mesh_1.vertices.elementAt(31);
      expect(vertex_1_31, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, 8.47976017)));
      final vertex_1_32 = mesh_1.vertices.elementAt(32);
      expect(vertex_1_32, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, 9.43076992)));
      final vertex_1_33 = mesh_1.vertices.elementAt(33);
      expect(vertex_1_33, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, -28.4797993)));
      final vertex_1_34 = mesh_1.vertices.elementAt(34);
      expect(vertex_1_34, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, -29.4307995)));
      final vertex_1_35 = mesh_1.vertices.elementAt(35);
      expect(vertex_1_35, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, -20.5830994)));
      final vertex_1_36 = mesh_1.vertices.elementAt(36);
      expect(vertex_1_36, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, -23.0813999)));
      final vertex_1_37 = mesh_1.vertices.elementAt(37);
      expect(vertex_1_37, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, 8.47976017)));
      final vertex_1_38 = mesh_1.vertices.elementAt(38);
      expect(vertex_1_38, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, 9.43076992)));
      final vertex_1_39 = mesh_1.vertices.elementAt(39);
      expect(vertex_1_39, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, 0.583091021)));
      final vertex_1_40 = mesh_1.vertices.elementAt(40);
      expect(vertex_1_40, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, 3.08141994)));
      final vertex_1_41 = mesh_1.vertices.elementAt(41);
      expect(vertex_1_41, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -0.594703019)));
      final vertex_1_42 = mesh_1.vertices.elementAt(42);
      expect(vertex_1_42, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219999, -10)));
      final vertex_1_43 = mesh_1.vertices.elementAt(43);
      expect(vertex_1_43, vector3MoreOrLessEquals(Vector3(-6.30518007, -14.1821003, -10)));
      final vertex_1_44 = mesh_1.vertices.elementAt(44);
      expect(vertex_1_44, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, 0.583091021)));
      final vertex_1_45 = mesh_1.vertices.elementAt(45);
      expect(vertex_1_45, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, 1.12772)));
      final vertex_1_46 = mesh_1.vertices.elementAt(46);
      expect(vertex_1_46, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, 3.08141994)));
      final vertex_1_47 = mesh_1.vertices.elementAt(47);
      expect(vertex_1_47, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, 8.47976017)));
      final vertex_1_48 = mesh_1.vertices.elementAt(48);
      expect(vertex_1_48, vector3MoreOrLessEquals(Vector3(-31.4988995, -9.61872005, -3.12268996)));
      final vertex_1_49 = mesh_1.vertices.elementAt(49);
      expect(vertex_1_49, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -19.4053001)));
      final vertex_1_50 = mesh_1.vertices.elementAt(50);
      expect(vertex_1_50, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -19.4053001)));
      final vertex_1_51 = mesh_1.vertices.elementAt(51);
      expect(vertex_1_51, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -0.594703019)));
      final vertex_1_52 = mesh_1.vertices.elementAt(52);
      expect(vertex_1_52, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -0.594703019)));
      final vertex_1_53 = mesh_1.vertices.elementAt(53);
      expect(vertex_1_53, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, 1.12772)));
      final vertex_1_54 = mesh_1.vertices.elementAt(54);
      expect(vertex_1_54, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -0.594703019)));
      final vertex_1_55 = mesh_1.vertices.elementAt(55);
      expect(vertex_1_55, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -0.594703019)));
      final vertex_1_56 = mesh_1.vertices.elementAt(56);
      expect(vertex_1_56, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219999, -10)));
      final vertex_1_57 = mesh_1.vertices.elementAt(57);
      expect(vertex_1_57, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -19.4053001)));
      final vertex_1_58 = mesh_1.vertices.elementAt(58);
      expect(vertex_1_58, vector3MoreOrLessEquals(Vector3(-3.30926991, -1.73521996, -19.4053001)));
      final vertex_1_59 = mesh_1.vertices.elementAt(59);
      expect(vertex_1_59, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, -21.1277008)));
      final vertex_1_60 = mesh_1.vertices.elementAt(60);
      expect(vertex_1_60, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219999, -10)));
      final vertex_1_61 = mesh_1.vertices.elementAt(61);
      expect(vertex_1_61, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -19.4053001)));
      final vertex_1_62 = mesh_1.vertices.elementAt(62);
      expect(vertex_1_62, vector3MoreOrLessEquals(Vector3(-6.30518007, -14.1821003, -10)));
      final vertex_1_63 = mesh_1.vertices.elementAt(63);
      expect(vertex_1_63, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, -20.5830994)));
      final vertex_1_64 = mesh_1.vertices.elementAt(64);
      expect(vertex_1_64, vector3MoreOrLessEquals(Vector3(-11.2213001, -4.13254976, -21.1277008)));
      final vertex_1_65 = mesh_1.vertices.elementAt(65);
      expect(vertex_1_65, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, -28.4797993)));
      final vertex_1_66 = mesh_1.vertices.elementAt(66);
      expect(vertex_1_66, vector3MoreOrLessEquals(Vector3(-31.4988995, -9.61872005, -16.8773003)));
      final vertex_1_67 = mesh_1.vertices.elementAt(67);
      expect(vertex_1_67, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, -23.0813999)));
      final vertex_1_68 = mesh_1.vertices.elementAt(68);
      expect(vertex_1_68, vector3MoreOrLessEquals(Vector3(-27.9501991, 1.30302, -23.0813999)));
      final vertex_1_69 = mesh_1.vertices.elementAt(69);
      expect(vertex_1_69, vector3MoreOrLessEquals(Vector3(-32.6259003, 10.8601999, -28.4797993)));
      final vertex_1_70 = mesh_1.vertices.elementAt(70);
      expect(vertex_1_70, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, -29.4307995)));
      final vertex_1_71 = mesh_1.vertices.elementAt(71);
      expect(vertex_1_71, vector3MoreOrLessEquals(Vector3(-18.8264008, 5.43588018, -20.5830994)));
      final vertex_1_72 = mesh_1.vertices.elementAt(72);
      expect(vertex_1_72, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, 8.47976017)));
      final vertex_1_73 = mesh_1.vertices.elementAt(73);
      expect(vertex_1_73, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, 1.42112005)));
      final vertex_1_74 = mesh_1.vertices.elementAt(74);
      expect(vertex_1_74, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, 9.43076992)));
      final vertex_1_75 = mesh_1.vertices.elementAt(75);
      expect(vertex_1_75, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      final vertex_1_76 = mesh_1.vertices.elementAt(76);
      expect(vertex_1_76, vector3MoreOrLessEquals(Vector3(-51.6475983, -5.70869017, -10)));
      final vertex_1_77 = mesh_1.vertices.elementAt(77);
      expect(vertex_1_77, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, 1.42112005)));
      final vertex_1_78 = mesh_1.vertices.elementAt(78);
      expect(vertex_1_78, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, 1.42112005)));
      final vertex_1_79 = mesh_1.vertices.elementAt(79);
      expect(vertex_1_79, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, 9.43076992)));
      final vertex_1_80 = mesh_1.vertices.elementAt(80);
      expect(vertex_1_80, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, 1.42112005)));
      final vertex_1_81 = mesh_1.vertices.elementAt(81);
      expect(vertex_1_81, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      final vertex_1_82 = mesh_1.vertices.elementAt(82);
      expect(vertex_1_82, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, 1.42112005)));
      final vertex_1_83 = mesh_1.vertices.elementAt(83);
      expect(vertex_1_83, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, -21.4211006)));
      final vertex_1_84 = mesh_1.vertices.elementAt(84);
      expect(vertex_1_84, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      final vertex_1_85 = mesh_1.vertices.elementAt(85);
      expect(vertex_1_85, vector3MoreOrLessEquals(Vector3(-51.6475983, -5.70869017, -10)));
      final vertex_1_86 = mesh_1.vertices.elementAt(86);
      expect(vertex_1_86, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, -28.4797993)));
      final vertex_1_87 = mesh_1.vertices.elementAt(87);
      expect(vertex_1_87, vector3MoreOrLessEquals(Vector3(-41.8566017, -0.754845977, -29.4307995)));
      final vertex_1_88 = mesh_1.vertices.elementAt(88);
      expect(vertex_1_88, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, -21.4211006)));
      final vertex_1_89 = mesh_1.vertices.elementAt(89);
      expect(vertex_1_89, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, -21.4211006)));
      final vertex_1_90 = mesh_1.vertices.elementAt(90);
      expect(vertex_1_90, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, -21.4211006)));
      final vertex_1_91 = mesh_1.vertices.elementAt(91);
      expect(vertex_1_91, vector3MoreOrLessEquals(Vector3(-44.882, 11.8872004, -21.4211006)));
      final vertex_1_92 = mesh_1.vertices.elementAt(92);
      expect(vertex_1_92, vector3MoreOrLessEquals(Vector3(-50.637001, 8.97539043, -10)));
      expect(mesh_1.normals.length, isZero);
      expect(mesh_1.tangents.length, isZero);
      expect(mesh_1.bitangents.length, isZero);
      expect(mesh_1.colors.length, isZero);
      expect(mesh_1.textureCoords.length, isZero);
      expect(mesh_1.uvComponents.length, isZero);
      expect(mesh_1.uvComponents, equals([]));
      expect(mesh_1.faces.length, equals(60));
      expect(mesh_1.bones.length, isZero);
      expect(mesh_1.materialIndex, isZero);
      expect(mesh_1.name, equals('OK'));
      expect(mesh_1.animMeshes.length, isZero);
      expect(mesh_1.morphingMethod, isZero);
      expect(mesh_1.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.primitiveTypes, equals(4));
      expect(mesh_2.vertices.length, equals(111));
      final vertex_2_0 = mesh_2.vertices.elementAt(0);
      expect(vertex_2_0, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_1 = mesh_2.vertices.elementAt(1);
      expect(vertex_2_1, vector3MoreOrLessEquals(Vector3(-41.9632988, -2.24616003, -18.4852009)));
      final vertex_2_2 = mesh_2.vertices.elementAt(2);
      expect(vertex_2_2, vector3MoreOrLessEquals(Vector3(-40.6715012, -3.4728899, -21.3691998)));
      final vertex_2_3 = mesh_2.vertices.elementAt(3);
      expect(vertex_2_3, vector3MoreOrLessEquals(Vector3(-87.9502029, -39.455101, -104.260002)));
      final vertex_2_4 = mesh_2.vertices.elementAt(4);
      expect(vertex_2_4, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_5 = mesh_2.vertices.elementAt(5);
      expect(vertex_2_5, vector3MoreOrLessEquals(Vector3(-87.6057968, -39.9835014, -104.351997)));
      final vertex_2_6 = mesh_2.vertices.elementAt(6);
      expect(vertex_2_6, vector3MoreOrLessEquals(Vector3(-47.1467018, 8.70438957, -37.6815987)));
      final vertex_2_7 = mesh_2.vertices.elementAt(7);
      expect(vertex_2_7, vector3MoreOrLessEquals(Vector3(-47.0984001, 7.38925982, -39.5849991)));
      final vertex_2_8 = mesh_2.vertices.elementAt(8);
      expect(vertex_2_8, vector3MoreOrLessEquals(Vector3(-40.6715012, -3.4728899, -21.3691998)));
      final vertex_2_9 = mesh_2.vertices.elementAt(9);
      expect(vertex_2_9, vector3MoreOrLessEquals(Vector3(-41.9632988, -2.24616003, -18.4852009)));
      final vertex_2_10 = mesh_2.vertices.elementAt(10);
      expect(vertex_2_10, vector3MoreOrLessEquals(Vector3(-55.4436989, 28.0170002, -51.0205994)));
      final vertex_2_11 = mesh_2.vertices.elementAt(11);
      expect(vertex_2_11, vector3MoreOrLessEquals(Vector3(-55.8050995, 29.5002995, -50.3605995)));
      final vertex_2_12 = mesh_2.vertices.elementAt(12);
      expect(vertex_2_12, vector3MoreOrLessEquals(Vector3(-56.9249992, 29.8274994, -49.5558014)));
      final vertex_2_13 = mesh_2.vertices.elementAt(13);
      expect(vertex_2_13, vector3MoreOrLessEquals(Vector3(-48.8624001, 8.96432018, -36.1506996)));
      final vertex_2_14 = mesh_2.vertices.elementAt(14);
      expect(vertex_2_14, vector3MoreOrLessEquals(Vector3(-57.9329987, 29.2078991, -55.0393982)));
      final vertex_2_15 = mesh_2.vertices.elementAt(15);
      expect(vertex_2_15, vector3MoreOrLessEquals(Vector3(-55.8050995, 29.5002995, -50.3605995)));
      final vertex_2_16 = mesh_2.vertices.elementAt(16);
      expect(vertex_2_16, vector3MoreOrLessEquals(Vector3(-60.0121994, 29.5601997, -54.0867004)));
      final vertex_2_17 = mesh_2.vertices.elementAt(17);
      expect(vertex_2_17, vector3MoreOrLessEquals(Vector3(-50.9534988, 7.97335005, -36.1450996)));
      final vertex_2_18 = mesh_2.vertices.elementAt(18);
      expect(vertex_2_18, vector3MoreOrLessEquals(Vector3(-57.9600983, 28.7520008, -49.2123985)));
      final vertex_2_19 = mesh_2.vertices.elementAt(19);
      expect(vertex_2_19, vector3MoreOrLessEquals(Vector3(-61.0848999, 28.3104, -52.4612999)));
      final vertex_2_20 = mesh_2.vertices.elementAt(20);
      expect(vertex_2_20, vector3MoreOrLessEquals(Vector3(-57.9600983, 28.7520008, -49.2123985)));
      final vertex_2_21 = mesh_2.vertices.elementAt(21);
      expect(vertex_2_21, vector3MoreOrLessEquals(Vector3(-45.274601, -1.92131996, -17.5625992)));
      final vertex_2_22 = mesh_2.vertices.elementAt(22);
      expect(vertex_2_22, vector3MoreOrLessEquals(Vector3(-48.1119003, -2.74296999, -19.2959995)));
      final vertex_2_23 = mesh_2.vertices.elementAt(23);
      expect(vertex_2_23, vector3MoreOrLessEquals(Vector3(-48.3386002, -4.09240007, -22.3801994)));
      final vertex_2_24 = mesh_2.vertices.elementAt(24);
      expect(vertex_2_24, vector3MoreOrLessEquals(Vector3(-51.8454018, 6.47770023, -37.6689987)));
      final vertex_2_25 = mesh_2.vertices.elementAt(25);
      expect(vertex_2_25, vector3MoreOrLessEquals(Vector3(-50.8665009, 5.60359001, -39.5749016)));
      final vertex_2_26 = mesh_2.vertices.elementAt(26);
      expect(vertex_2_26, vector3MoreOrLessEquals(Vector3(-45.7840004, -4.95347023, -24.4927006)));
      final vertex_2_27 = mesh_2.vertices.elementAt(27);
      expect(vertex_2_27, vector3MoreOrLessEquals(Vector3(-58.1310005, 27.0837994, -49.5889015)));
      final vertex_2_28 = mesh_2.vertices.elementAt(28);
      expect(vertex_2_28, vector3MoreOrLessEquals(Vector3(-57.3089981, 26.0790997, -50.4017982)));
      final vertex_2_29 = mesh_2.vertices.elementAt(29);
      expect(vertex_2_29, vector3MoreOrLessEquals(Vector3(-58.3460007, 25.2665997, -51.6731987)));
      final vertex_2_30 = mesh_2.vertices.elementAt(30);
      expect(vertex_2_30, vector3MoreOrLessEquals(Vector3(-58.1310005, 27.0837994, -49.5889015)));
      final vertex_2_31 = mesh_2.vertices.elementAt(31);
      expect(vertex_2_31, vector3MoreOrLessEquals(Vector3(-56.112999, 26.4944, -51.0390015)));
      final vertex_2_32 = mesh_2.vertices.elementAt(32);
      expect(vertex_2_32, vector3MoreOrLessEquals(Vector3(-56.112999, 26.4944, -51.0390015)));
      final vertex_2_33 = mesh_2.vertices.elementAt(33);
      expect(vertex_2_33, vector3MoreOrLessEquals(Vector3(-60.3432999, 26.3995991, -51.3871002)));
      final vertex_2_34 = mesh_2.vertices.elementAt(34);
      expect(vertex_2_34, vector3MoreOrLessEquals(Vector3(-72.0687027, 14.2065001, -79.3609009)));
      final vertex_2_35 = mesh_2.vertices.elementAt(35);
      expect(vertex_2_35, vector3MoreOrLessEquals(Vector3(-72.8724976, 13.6618004, -77.2603989)));
      final vertex_2_36 = mesh_2.vertices.elementAt(36);
      expect(vertex_2_36, vector3MoreOrLessEquals(Vector3(-58.1310005, 27.0837994, -49.5889015)));
      final vertex_2_37 = mesh_2.vertices.elementAt(37);
      expect(vertex_2_37, vector3MoreOrLessEquals(Vector3(-71.6996994, 12.8817997, -75.4244003)));
      final vertex_2_38 = mesh_2.vertices.elementAt(38);
      expect(vertex_2_38, vector3MoreOrLessEquals(Vector3(-61.0848999, 28.3104, -52.4612999)));
      final vertex_2_39 = mesh_2.vertices.elementAt(39);
      expect(vertex_2_39, vector3MoreOrLessEquals(Vector3(-83.2427979, -30.6490002, -99.5034027)));
      final vertex_2_40 = mesh_2.vertices.elementAt(40);
      expect(vertex_2_40, vector3MoreOrLessEquals(Vector3(-69.4332962, 12.4540005, -75.2353973)));
      final vertex_2_41 = mesh_2.vertices.elementAt(41);
      expect(vertex_2_41, vector3MoreOrLessEquals(Vector3(-81.2602997, -33.4161987, -99.5484009)));
      final vertex_2_42 = mesh_2.vertices.elementAt(42);
      expect(vertex_2_42, vector3MoreOrLessEquals(Vector3(-83.4747009, -29.5186005, -100.471001)));
      final vertex_2_43 = mesh_2.vertices.elementAt(43);
      expect(vertex_2_43, vector3MoreOrLessEquals(Vector3(-88.2350006, -39.3502007, -103.865997)));
      final vertex_2_44 = mesh_2.vertices.elementAt(44);
      expect(vertex_2_44, vector3MoreOrLessEquals(Vector3(-88.245697, -39.7476997, -103.466003)));
      final vertex_2_45 = mesh_2.vertices.elementAt(45);
      expect(vertex_2_45, vector3MoreOrLessEquals(Vector3(-71.6996994, 12.8817997, -75.4244003)));
      final vertex_2_46 = mesh_2.vertices.elementAt(46);
      expect(vertex_2_46, vector3MoreOrLessEquals(Vector3(-82.2572021, -32.3835983, -99.0929031)));
      final vertex_2_47 = mesh_2.vertices.elementAt(47);
      expect(vertex_2_47, vector3MoreOrLessEquals(Vector3(-87.9744034, -40.3484001, -103.362)));
      final vertex_2_48 = mesh_2.vertices.elementAt(48);
      expect(vertex_2_48, vector3MoreOrLessEquals(Vector3(-87.9502029, -39.455101, -104.260002)));
      final vertex_2_49 = mesh_2.vertices.elementAt(49);
      expect(vertex_2_49, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435001, -101.266998)));
      final vertex_2_50 = mesh_2.vertices.elementAt(50);
      expect(vertex_2_50, vector3MoreOrLessEquals(Vector3(-83.4747009, -29.5186005, -100.471001)));
      final vertex_2_51 = mesh_2.vertices.elementAt(51);
      expect(vertex_2_51, vector3MoreOrLessEquals(Vector3(-87.6057968, -39.9835014, -104.351997)));
      final vertex_2_52 = mesh_2.vertices.elementAt(52);
      expect(vertex_2_52, vector3MoreOrLessEquals(Vector3(-81.678299, -31.3792, -101.292)));
      final vertex_2_53 = mesh_2.vertices.elementAt(53);
      expect(vertex_2_53, vector3MoreOrLessEquals(Vector3(-67.9850006, 13.4356003, -79.020401)));
      final vertex_2_54 = mesh_2.vertices.elementAt(54);
      expect(vertex_2_54, vector3MoreOrLessEquals(Vector3(-69.8936005, 14.1057997, -80.1440964)));
      final vertex_2_55 = mesh_2.vertices.elementAt(55);
      expect(vertex_2_55, vector3MoreOrLessEquals(Vector3(-56.4129982, 27.5188007, -54.6021004)));
      final vertex_2_56 = mesh_2.vertices.elementAt(56);
      expect(vertex_2_56, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435001, -101.266998)));
      final vertex_2_57 = mesh_2.vertices.elementAt(57);
      expect(vertex_2_57, vector3MoreOrLessEquals(Vector3(-55.4436989, 28.0170002, -51.0205994)));
      final vertex_2_58 = mesh_2.vertices.elementAt(58);
      expect(vertex_2_58, vector3MoreOrLessEquals(Vector3(-57.9329987, 29.2078991, -55.0393982)));
      final vertex_2_59 = mesh_2.vertices.elementAt(59);
      expect(vertex_2_59, vector3MoreOrLessEquals(Vector3(-81.2602997, -33.4161987, -99.5484009)));
      final vertex_2_60 = mesh_2.vertices.elementAt(60);
      expect(vertex_2_60, vector3MoreOrLessEquals(Vector3(-87.6252975, -40.6997986, -103.630997)));
      final vertex_2_61 = mesh_2.vertices.elementAt(61);
      expect(vertex_2_61, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004004, -76.8358002)));
      final vertex_2_62 = mesh_2.vertices.elementAt(62);
      expect(vertex_2_62, vector3MoreOrLessEquals(Vector3(-81.0026016, -32.9692001, -100.527)));
      final vertex_2_63 = mesh_2.vertices.elementAt(63);
      expect(vertex_2_63, vector3MoreOrLessEquals(Vector3(-87.4611969, -40.5374985, -104.071999)));
      final vertex_2_64 = mesh_2.vertices.elementAt(64);
      expect(vertex_2_64, vector3MoreOrLessEquals(Vector3(-56.5968018, 25.7646999, -53.1040001)));
      final vertex_2_65 = mesh_2.vertices.elementAt(65);
      expect(vertex_2_65, vector3MoreOrLessEquals(Vector3(-56.4129982, 27.5188007, -54.6021004)));
      final vertex_2_66 = mesh_2.vertices.elementAt(66);
      expect(vertex_2_66, vector3MoreOrLessEquals(Vector3(-55.4436989, 28.0170002, -51.0205994)));
      final vertex_2_67 = mesh_2.vertices.elementAt(67);
      expect(vertex_2_67, vector3MoreOrLessEquals(Vector3(-67.9850006, 13.4356003, -79.020401)));
      final vertex_2_68 = mesh_2.vertices.elementAt(68);
      expect(vertex_2_68, vector3MoreOrLessEquals(Vector3(-48.7537994, 6.0092802, -40.4276009)));
      final vertex_2_69 = mesh_2.vertices.elementAt(69);
      expect(vertex_2_69, vector3MoreOrLessEquals(Vector3(-47.0984001, 7.38925982, -39.5849991)));
      final vertex_2_70 = mesh_2.vertices.elementAt(70);
      expect(vertex_2_70, vector3MoreOrLessEquals(Vector3(-55.4436989, 28.0170002, -51.0205994)));
      final vertex_2_71 = mesh_2.vertices.elementAt(71);
      expect(vertex_2_71, vector3MoreOrLessEquals(Vector3(-42.3718987, -4.67776012, -24.0426998)));
      final vertex_2_72 = mesh_2.vertices.elementAt(72);
      expect(vertex_2_72, vector3MoreOrLessEquals(Vector3(-40.6715012, -3.4728899, -21.3691998)));
      final vertex_2_73 = mesh_2.vertices.elementAt(73);
      expect(vertex_2_73, vector3MoreOrLessEquals(Vector3(-81.678299, -31.3792, -101.292)));
      final vertex_2_74 = mesh_2.vertices.elementAt(74);
      expect(vertex_2_74, vector3MoreOrLessEquals(Vector3(-87.6057968, -39.9835014, -104.351997)));
      final vertex_2_75 = mesh_2.vertices.elementAt(75);
      expect(vertex_2_75, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_76 = mesh_2.vertices.elementAt(76);
      expect(vertex_2_76, vector3MoreOrLessEquals(Vector3(-45.274601, -1.92131996, -17.5625992)));
      final vertex_2_77 = mesh_2.vertices.elementAt(77);
      expect(vertex_2_77, vector3MoreOrLessEquals(Vector3(-41.9632988, -2.24616003, -18.4852009)));
      final vertex_2_78 = mesh_2.vertices.elementAt(78);
      expect(vertex_2_78, vector3MoreOrLessEquals(Vector3(-88.2350006, -39.3502007, -103.865997)));
      final vertex_2_79 = mesh_2.vertices.elementAt(79);
      expect(vertex_2_79, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_80 = mesh_2.vertices.elementAt(80);
      expect(vertex_2_80, vector3MoreOrLessEquals(Vector3(-87.9502029, -39.455101, -104.260002)));
      final vertex_2_81 = mesh_2.vertices.elementAt(81);
      expect(vertex_2_81, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_82 = mesh_2.vertices.elementAt(82);
      expect(vertex_2_82, vector3MoreOrLessEquals(Vector3(-48.1119003, -2.74296999, -19.2959995)));
      final vertex_2_83 = mesh_2.vertices.elementAt(83);
      expect(vertex_2_83, vector3MoreOrLessEquals(Vector3(-45.274601, -1.92131996, -17.5625992)));
      final vertex_2_84 = mesh_2.vertices.elementAt(84);
      expect(vertex_2_84, vector3MoreOrLessEquals(Vector3(-88.245697, -39.7476997, -103.466003)));
      final vertex_2_85 = mesh_2.vertices.elementAt(85);
      expect(vertex_2_85, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_86 = mesh_2.vertices.elementAt(86);
      expect(vertex_2_86, vector3MoreOrLessEquals(Vector3(-88.2350006, -39.3502007, -103.865997)));
      final vertex_2_87 = mesh_2.vertices.elementAt(87);
      expect(vertex_2_87, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_88 = mesh_2.vertices.elementAt(88);
      expect(vertex_2_88, vector3MoreOrLessEquals(Vector3(-48.3386002, -4.09240007, -22.3801994)));
      final vertex_2_89 = mesh_2.vertices.elementAt(89);
      expect(vertex_2_89, vector3MoreOrLessEquals(Vector3(-48.1119003, -2.74296999, -19.2959995)));
      final vertex_2_90 = mesh_2.vertices.elementAt(90);
      expect(vertex_2_90, vector3MoreOrLessEquals(Vector3(-87.9744034, -40.3484001, -103.362)));
      final vertex_2_91 = mesh_2.vertices.elementAt(91);
      expect(vertex_2_91, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_92 = mesh_2.vertices.elementAt(92);
      expect(vertex_2_92, vector3MoreOrLessEquals(Vector3(-88.245697, -39.7476997, -103.466003)));
      final vertex_2_93 = mesh_2.vertices.elementAt(93);
      expect(vertex_2_93, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_94 = mesh_2.vertices.elementAt(94);
      expect(vertex_2_94, vector3MoreOrLessEquals(Vector3(-45.7840004, -4.95347023, -24.4927006)));
      final vertex_2_95 = mesh_2.vertices.elementAt(95);
      expect(vertex_2_95, vector3MoreOrLessEquals(Vector3(-48.3386002, -4.09240007, -22.3801994)));
      final vertex_2_96 = mesh_2.vertices.elementAt(96);
      expect(vertex_2_96, vector3MoreOrLessEquals(Vector3(-87.6252975, -40.6997986, -103.630997)));
      final vertex_2_97 = mesh_2.vertices.elementAt(97);
      expect(vertex_2_97, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_98 = mesh_2.vertices.elementAt(98);
      expect(vertex_2_98, vector3MoreOrLessEquals(Vector3(-87.9744034, -40.3484001, -103.362)));
      final vertex_2_99 = mesh_2.vertices.elementAt(99);
      expect(vertex_2_99, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_100 = mesh_2.vertices.elementAt(100);
      expect(vertex_2_100, vector3MoreOrLessEquals(Vector3(-42.3718987, -4.67776012, -24.0426998)));
      final vertex_2_101 = mesh_2.vertices.elementAt(101);
      expect(vertex_2_101, vector3MoreOrLessEquals(Vector3(-45.7840004, -4.95347023, -24.4927006)));
      final vertex_2_102 = mesh_2.vertices.elementAt(102);
      expect(vertex_2_102, vector3MoreOrLessEquals(Vector3(-87.4611969, -40.5374985, -104.071999)));
      final vertex_2_103 = mesh_2.vertices.elementAt(103);
      expect(vertex_2_103, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_104 = mesh_2.vertices.elementAt(104);
      expect(vertex_2_104, vector3MoreOrLessEquals(Vector3(-87.6252975, -40.6997986, -103.630997)));
      final vertex_2_105 = mesh_2.vertices.elementAt(105);
      expect(vertex_2_105, vector3MoreOrLessEquals(Vector3(-44.6450996, -3.44384003, -21.0897999)));
      final vertex_2_106 = mesh_2.vertices.elementAt(106);
      expect(vertex_2_106, vector3MoreOrLessEquals(Vector3(-40.6715012, -3.4728899, -21.3691998)));
      final vertex_2_107 = mesh_2.vertices.elementAt(107);
      expect(vertex_2_107, vector3MoreOrLessEquals(Vector3(-42.3718987, -4.67776012, -24.0426998)));
      final vertex_2_108 = mesh_2.vertices.elementAt(108);
      expect(vertex_2_108, vector3MoreOrLessEquals(Vector3(-87.6057968, -39.9835014, -104.351997)));
      final vertex_2_109 = mesh_2.vertices.elementAt(109);
      expect(vertex_2_109, vector3MoreOrLessEquals(Vector3(-87.8710022, -40.0175018, -103.858002)));
      final vertex_2_110 = mesh_2.vertices.elementAt(110);
      expect(vertex_2_110, vector3MoreOrLessEquals(Vector3(-87.4611969, -40.5374985, -104.071999)));
      expect(mesh_2.normals.length, isZero);
      expect(mesh_2.tangents.length, isZero);
      expect(mesh_2.bitangents.length, isZero);
      expect(mesh_2.colors.length, isZero);
      expect(mesh_2.textureCoords.length, isZero);
      expect(mesh_2.uvComponents.length, isZero);
      expect(mesh_2.uvComponents, equals([]));
      expect(mesh_2.faces.length, equals(98));
      expect(mesh_2.bones.length, isZero);
      expect(mesh_2.materialIndex, equals(2));
      expect(mesh_2.name, equals('Bein1Li'));
      expect(mesh_2.animMeshes.length, isZero);
      expect(mesh_2.morphingMethod, isZero);
      expect(mesh_2.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.primitiveTypes, equals(4));
      expect(mesh_3.vertices.length, equals(117));
      final vertex_3_0 = mesh_3.vertices.elementAt(0);
      expect(vertex_3_0, vector3MoreOrLessEquals(Vector3(-41.9600983, -3.15467, 1.81762004)));
      final vertex_3_1 = mesh_3.vertices.elementAt(1);
      expect(vertex_3_1, vector3MoreOrLessEquals(Vector3(-42.8380013, -1.82274997, -1.17338002)));
      final vertex_3_2 = mesh_3.vertices.elementAt(2);
      expect(vertex_3_2, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_3 = mesh_3.vertices.elementAt(3);
      expect(vertex_3_3, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327003, 57.5407982)));
      final vertex_3_4 = mesh_3.vertices.elementAt(4);
      expect(vertex_3_4, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_5 = mesh_3.vertices.elementAt(5);
      expect(vertex_3_5, vector3MoreOrLessEquals(Vector3(-92.2903976, -39.2116013, 57.3824997)));
      final vertex_3_6 = mesh_3.vertices.elementAt(6);
      expect(vertex_3_6, vector3MoreOrLessEquals(Vector3(-41.9600983, -3.15467, 1.81762004)));
      final vertex_3_7 = mesh_3.vertices.elementAt(7);
      expect(vertex_3_7, vector3MoreOrLessEquals(Vector3(-49.1963005, 7.80456018, 21.2935009)));
      final vertex_3_8 = mesh_3.vertices.elementAt(8);
      expect(vertex_3_8, vector3MoreOrLessEquals(Vector3(-49.3680992, 8.47675991, 19.0858994)));
      final vertex_3_9 = mesh_3.vertices.elementAt(9);
      expect(vertex_3_9, vector3MoreOrLessEquals(Vector3(-42.8380013, -1.82274997, -1.17338002)));
      final vertex_3_10 = mesh_3.vertices.elementAt(10);
      expect(vertex_3_10, vector3MoreOrLessEquals(Vector3(-54.2546997, 27.2728996, 30.4489002)));
      final vertex_3_11 = mesh_3.vertices.elementAt(11);
      expect(vertex_3_11, vector3MoreOrLessEquals(Vector3(-54.9258003, 28.3423996, 29.3661003)));
      final vertex_3_12 = mesh_3.vertices.elementAt(12);
      expect(vertex_3_12, vector3MoreOrLessEquals(Vector3(-45.9887009, -1.45012999, -2.5357399)));
      final vertex_3_13 = mesh_3.vertices.elementAt(13);
      expect(vertex_3_13, vector3MoreOrLessEquals(Vector3(-50.8849983, 7.78515005, 17.4810009)));
      final vertex_3_14 = mesh_3.vertices.elementAt(14);
      expect(vertex_3_14, vector3MoreOrLessEquals(Vector3(-55.9833984, 28.0876999, 28.4575996)));
      final vertex_3_15 = mesh_3.vertices.elementAt(15);
      expect(vertex_3_15, vector3MoreOrLessEquals(Vector3(-54.2546997, 27.2728996, 30.4489002)));
      final vertex_3_16 = mesh_3.vertices.elementAt(16);
      expect(vertex_3_16, vector3MoreOrLessEquals(Vector3(-57.4550018, 28.7061996, 33.8354988)));
      final vertex_3_17 = mesh_3.vertices.elementAt(17);
      expect(vertex_3_17, vector3MoreOrLessEquals(Vector3(-57.4550018, 28.7061996, 33.8354988)));
      final vertex_3_18 = mesh_3.vertices.elementAt(18);
      expect(vertex_3_18, vector3MoreOrLessEquals(Vector3(-59.4155998, 28.1469994, 32.7410011)));
      final vertex_3_19 = mesh_3.vertices.elementAt(19);
      expect(vertex_3_19, vector3MoreOrLessEquals(Vector3(-52.604599, 6.25054979, 17.6872997)));
      final vertex_3_20 = mesh_3.vertices.elementAt(20);
      expect(vertex_3_20, vector3MoreOrLessEquals(Vector3(-56.6311989, 26.7007008, 28.4076004)));
      final vertex_3_21 = mesh_3.vertices.elementAt(21);
      expect(vertex_3_21, vector3MoreOrLessEquals(Vector3(-59.8918991, 26.2415009, 31.5174007)));
      final vertex_3_22 = mesh_3.vertices.elementAt(22);
      expect(vertex_3_22, vector3MoreOrLessEquals(Vector3(-49.0396004, -2.31740999, -1.24353004)));
      final vertex_3_23 = mesh_3.vertices.elementAt(23);
      expect(vertex_3_23, vector3MoreOrLessEquals(Vector3(-49.6932983, -3.77150989, 1.73013997)));
      final vertex_3_24 = mesh_3.vertices.elementAt(24);
      expect(vertex_3_24, vector3MoreOrLessEquals(Vector3(-53.2322006, 5.02854013, 19.5494995)));
      final vertex_3_25 = mesh_3.vertices.elementAt(25);
      expect(vertex_3_25, vector3MoreOrLessEquals(Vector3(-56.3814011, 25.2257004, 29.2537003)));
      final vertex_3_26 = mesh_3.vertices.elementAt(26);
      expect(vertex_3_26, vector3MoreOrLessEquals(Vector3(-52.2949982, 5.03928995, 21.6653004)));
      final vertex_3_27 = mesh_3.vertices.elementAt(27);
      expect(vertex_3_27, vector3MoreOrLessEquals(Vector3(-47.4575996, -4.71747017, 4.14605999)));
      final vertex_3_28 = mesh_3.vertices.elementAt(28);
      expect(vertex_3_28, vector3MoreOrLessEquals(Vector3(-55.4220009, 24.7735004, 30.3588009)));
      final vertex_3_29 = mesh_3.vertices.elementAt(29);
      expect(vertex_3_29, vector3MoreOrLessEquals(Vector3(-44.0159988, -4.44294977, 4.18498993)));
      final vertex_3_30 = mesh_3.vertices.elementAt(30);
      expect(vertex_3_30, vector3MoreOrLessEquals(Vector3(-50.4989014, 6.27475023, 22.4414005)));
      final vertex_3_31 = mesh_3.vertices.elementAt(31);
      expect(vertex_3_31, vector3MoreOrLessEquals(Vector3(-54.4754982, 25.6846008, 30.8906002)));
      final vertex_3_32 = mesh_3.vertices.elementAt(32);
      expect(vertex_3_32, vector3MoreOrLessEquals(Vector3(-56.3814011, 25.2257004, 29.2537003)));
      final vertex_3_33 = mesh_3.vertices.elementAt(33);
      expect(vertex_3_33, vector3MoreOrLessEquals(Vector3(-56.3446999, 24.0645008, 31.7721004)));
      final vertex_3_34 = mesh_3.vertices.elementAt(34);
      expect(vertex_3_34, vector3MoreOrLessEquals(Vector3(-54.4754982, 25.6846008, 30.8906002)));
      final vertex_3_35 = mesh_3.vertices.elementAt(35);
      expect(vertex_3_35, vector3MoreOrLessEquals(Vector3(-56.6311989, 26.7007008, 28.4076004)));
      final vertex_3_36 = mesh_3.vertices.elementAt(36);
      expect(vertex_3_36, vector3MoreOrLessEquals(Vector3(-58.5251999, 24.4246006, 31.0862999)));
      final vertex_3_37 = mesh_3.vertices.elementAt(37);
      expect(vertex_3_37, vector3MoreOrLessEquals(Vector3(-55.9833984, 28.0876999, 28.4575996)));
      final vertex_3_38 = mesh_3.vertices.elementAt(38);
      expect(vertex_3_38, vector3MoreOrLessEquals(Vector3(-56.3814011, 25.2257004, 29.2537003)));
      final vertex_3_39 = mesh_3.vertices.elementAt(39);
      expect(vertex_3_39, vector3MoreOrLessEquals(Vector3(-59.8918991, 26.2415009, 31.5174007)));
      final vertex_3_40 = mesh_3.vertices.elementAt(40);
      expect(vertex_3_40, vector3MoreOrLessEquals(Vector3(-70.4100037, 6.51407003, 40.0833015)));
      final vertex_3_41 = mesh_3.vertices.elementAt(41);
      expect(vertex_3_41, vector3MoreOrLessEquals(Vector3(-71.615799, 8.6827898, 43.4343987)));
      final vertex_3_42 = mesh_3.vertices.elementAt(42);
      expect(vertex_3_42, vector3MoreOrLessEquals(Vector3(-71.9709015, 7.37398005, 41.5593987)));
      final vertex_3_43 = mesh_3.vertices.elementAt(43);
      expect(vertex_3_43, vector3MoreOrLessEquals(Vector3(-55.4864998, 27.4981003, 33.9768982)));
      final vertex_3_44 = mesh_3.vertices.elementAt(44);
      expect(vertex_3_44, vector3MoreOrLessEquals(Vector3(-55.4864998, 27.4981003, 33.9768982)));
      final vertex_3_45 = mesh_3.vertices.elementAt(45);
      expect(vertex_3_45, vector3MoreOrLessEquals(Vector3(-67.4682999, 9.10906029, 43.4963989)));
      final vertex_3_46 = mesh_3.vertices.elementAt(46);
      expect(vertex_3_46, vector3MoreOrLessEquals(Vector3(-69.6119995, 9.45497036, 44.2965012)));
      final vertex_3_47 = mesh_3.vertices.elementAt(47);
      expect(vertex_3_47, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746994, 52.6385002)));
      final vertex_3_48 = mesh_3.vertices.elementAt(48);
      expect(vertex_3_48, vector3MoreOrLessEquals(Vector3(-87.0141983, -30.5140991, 52.4220009)));
      final vertex_3_49 = mesh_3.vertices.elementAt(49);
      expect(vertex_3_49, vector3MoreOrLessEquals(Vector3(-87.0141983, -30.5140991, 52.4220009)));
      final vertex_3_50 = mesh_3.vertices.elementAt(50);
      expect(vertex_3_50, vector3MoreOrLessEquals(Vector3(-87.7561035, -30.2961998, 51.6310005)));
      final vertex_3_51 = mesh_3.vertices.elementAt(51);
      expect(vertex_3_51, vector3MoreOrLessEquals(Vector3(-87.7561035, -30.2961998, 51.6310005)));
      final vertex_3_52 = mesh_3.vertices.elementAt(52);
      expect(vertex_3_52, vector3MoreOrLessEquals(Vector3(-87.6384964, -31.5849991, 50.8610992)));
      final vertex_3_53 = mesh_3.vertices.elementAt(53);
      expect(vertex_3_53, vector3MoreOrLessEquals(Vector3(-92.6000977, -39.1617012, 56.9963989)));
      final vertex_3_54 = mesh_3.vertices.elementAt(54);
      expect(vertex_3_54, vector3MoreOrLessEquals(Vector3(-92.2903976, -39.2116013, 57.3824997)));
      final vertex_3_55 = mesh_3.vertices.elementAt(55);
      expect(vertex_3_55, vector3MoreOrLessEquals(Vector3(-92.6551971, -39.6206017, 56.6731987)));
      final vertex_3_56 = mesh_3.vertices.elementAt(56);
      expect(vertex_3_56, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327003, 57.5407982)));
      final vertex_3_57 = mesh_3.vertices.elementAt(57);
      expect(vertex_3_57, vector3MoreOrLessEquals(Vector3(-86.7500992, -33.4099998, 50.6920013)));
      final vertex_3_58 = mesh_3.vertices.elementAt(58);
      expect(vertex_3_58, vector3MoreOrLessEquals(Vector3(-70.4100037, 6.51407003, 40.0833015)));
      final vertex_3_59 = mesh_3.vertices.elementAt(59);
      expect(vertex_3_59, vector3MoreOrLessEquals(Vector3(-92.4143982, -40.2426987, 56.6562996)));
      final vertex_3_60 = mesh_3.vertices.elementAt(60);
      expect(vertex_3_60, vector3MoreOrLessEquals(Vector3(-59.8918991, 26.2415009, 31.5174007)));
      final vertex_3_61 = mesh_3.vertices.elementAt(61);
      expect(vertex_3_61, vector3MoreOrLessEquals(Vector3(-68.1082001, 6.75059986, 40.1178017)));
      final vertex_3_62 = mesh_3.vertices.elementAt(62);
      expect(vertex_3_62, vector3MoreOrLessEquals(Vector3(-85.759697, -34.3969994, 51.2510986)));
      final vertex_3_63 = mesh_3.vertices.elementAt(63);
      expect(vertex_3_63, vector3MoreOrLessEquals(Vector3(-85.759697, -34.3969994, 51.2510986)));
      final vertex_3_64 = mesh_3.vertices.elementAt(64);
      expect(vertex_3_64, vector3MoreOrLessEquals(Vector3(-92.0588989, -40.5596008, 56.9584007)));
      final vertex_3_65 = mesh_3.vertices.elementAt(65);
      expect(vertex_3_65, vector3MoreOrLessEquals(Vector3(-85.4132004, -33.8027, 52.1172981)));
      final vertex_3_66 = mesh_3.vertices.elementAt(66);
      expect(vertex_3_66, vector3MoreOrLessEquals(Vector3(-66.7991028, 7.90549994, 41.6366997)));
      final vertex_3_67 = mesh_3.vertices.elementAt(67);
      expect(vertex_3_67, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326988, 57.3521004)));
      final vertex_3_68 = mesh_3.vertices.elementAt(68);
      expect(vertex_3_68, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746994, 52.6385002)));
      final vertex_3_69 = mesh_3.vertices.elementAt(69);
      expect(vertex_3_69, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327003, 57.5407982)));
      final vertex_3_70 = mesh_3.vertices.elementAt(70);
      expect(vertex_3_70, vector3MoreOrLessEquals(Vector3(-67.4682999, 9.10906029, 43.4963989)));
      final vertex_3_71 = mesh_3.vertices.elementAt(71);
      expect(vertex_3_71, vector3MoreOrLessEquals(Vector3(-55.4864998, 27.4981003, 33.9768982)));
      final vertex_3_72 = mesh_3.vertices.elementAt(72);
      expect(vertex_3_72, vector3MoreOrLessEquals(Vector3(-54.9922981, 25.4323006, 33.0586014)));
      final vertex_3_73 = mesh_3.vertices.elementAt(73);
      expect(vertex_3_73, vector3MoreOrLessEquals(Vector3(-54.9922981, 25.4323006, 33.0586014)));
      final vertex_3_74 = mesh_3.vertices.elementAt(74);
      expect(vertex_3_74, vector3MoreOrLessEquals(Vector3(-55.4864998, 27.4981003, 33.9768982)));
      final vertex_3_75 = mesh_3.vertices.elementAt(75);
      expect(vertex_3_75, vector3MoreOrLessEquals(Vector3(-55.4864998, 27.4981003, 33.9768982)));
      final vertex_3_76 = mesh_3.vertices.elementAt(76);
      expect(vertex_3_76, vector3MoreOrLessEquals(Vector3(-54.2546997, 27.2728996, 30.4489002)));
      final vertex_3_77 = mesh_3.vertices.elementAt(77);
      expect(vertex_3_77, vector3MoreOrLessEquals(Vector3(-49.1963005, 7.80456018, 21.2935009)));
      final vertex_3_78 = mesh_3.vertices.elementAt(78);
      expect(vertex_3_78, vector3MoreOrLessEquals(Vector3(-41.9600983, -3.15467, 1.81762004)));
      final vertex_3_79 = mesh_3.vertices.elementAt(79);
      expect(vertex_3_79, vector3MoreOrLessEquals(Vector3(-54.2546997, 27.2728996, 30.4489002)));
      final vertex_3_80 = mesh_3.vertices.elementAt(80);
      expect(vertex_3_80, vector3MoreOrLessEquals(Vector3(-49.1963005, 7.80456018, 21.2935009)));
      final vertex_3_81 = mesh_3.vertices.elementAt(81);
      expect(vertex_3_81, vector3MoreOrLessEquals(Vector3(-42.8380013, -1.82274997, -1.17338002)));
      final vertex_3_82 = mesh_3.vertices.elementAt(82);
      expect(vertex_3_82, vector3MoreOrLessEquals(Vector3(-45.9887009, -1.45012999, -2.5357399)));
      final vertex_3_83 = mesh_3.vertices.elementAt(83);
      expect(vertex_3_83, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_84 = mesh_3.vertices.elementAt(84);
      expect(vertex_3_84, vector3MoreOrLessEquals(Vector3(-92.2903976, -39.2116013, 57.3824997)));
      final vertex_3_85 = mesh_3.vertices.elementAt(85);
      expect(vertex_3_85, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_86 = mesh_3.vertices.elementAt(86);
      expect(vertex_3_86, vector3MoreOrLessEquals(Vector3(-92.6000977, -39.1617012, 56.9963989)));
      final vertex_3_87 = mesh_3.vertices.elementAt(87);
      expect(vertex_3_87, vector3MoreOrLessEquals(Vector3(-45.9887009, -1.45012999, -2.5357399)));
      final vertex_3_88 = mesh_3.vertices.elementAt(88);
      expect(vertex_3_88, vector3MoreOrLessEquals(Vector3(-49.0396004, -2.31740999, -1.24353004)));
      final vertex_3_89 = mesh_3.vertices.elementAt(89);
      expect(vertex_3_89, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_90 = mesh_3.vertices.elementAt(90);
      expect(vertex_3_90, vector3MoreOrLessEquals(Vector3(-92.6000977, -39.1617012, 56.9963989)));
      final vertex_3_91 = mesh_3.vertices.elementAt(91);
      expect(vertex_3_91, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_92 = mesh_3.vertices.elementAt(92);
      expect(vertex_3_92, vector3MoreOrLessEquals(Vector3(-92.6551971, -39.6206017, 56.6731987)));
      final vertex_3_93 = mesh_3.vertices.elementAt(93);
      expect(vertex_3_93, vector3MoreOrLessEquals(Vector3(-49.0396004, -2.31740999, -1.24353004)));
      final vertex_3_94 = mesh_3.vertices.elementAt(94);
      expect(vertex_3_94, vector3MoreOrLessEquals(Vector3(-49.6932983, -3.77150989, 1.73013997)));
      final vertex_3_95 = mesh_3.vertices.elementAt(95);
      expect(vertex_3_95, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_96 = mesh_3.vertices.elementAt(96);
      expect(vertex_3_96, vector3MoreOrLessEquals(Vector3(-92.6551971, -39.6206017, 56.6731987)));
      final vertex_3_97 = mesh_3.vertices.elementAt(97);
      expect(vertex_3_97, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_98 = mesh_3.vertices.elementAt(98);
      expect(vertex_3_98, vector3MoreOrLessEquals(Vector3(-92.4143982, -40.2426987, 56.6562996)));
      final vertex_3_99 = mesh_3.vertices.elementAt(99);
      expect(vertex_3_99, vector3MoreOrLessEquals(Vector3(-49.6932983, -3.77150989, 1.73013997)));
      final vertex_3_100 = mesh_3.vertices.elementAt(100);
      expect(vertex_3_100, vector3MoreOrLessEquals(Vector3(-47.4575996, -4.71747017, 4.14605999)));
      final vertex_3_101 = mesh_3.vertices.elementAt(101);
      expect(vertex_3_101, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_102 = mesh_3.vertices.elementAt(102);
      expect(vertex_3_102, vector3MoreOrLessEquals(Vector3(-92.4143982, -40.2426987, 56.6562996)));
      final vertex_3_103 = mesh_3.vertices.elementAt(103);
      expect(vertex_3_103, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_104 = mesh_3.vertices.elementAt(104);
      expect(vertex_3_104, vector3MoreOrLessEquals(Vector3(-92.0588989, -40.5596008, 56.9584007)));
      final vertex_3_105 = mesh_3.vertices.elementAt(105);
      expect(vertex_3_105, vector3MoreOrLessEquals(Vector3(-47.4575996, -4.71747017, 4.14605999)));
      final vertex_3_106 = mesh_3.vertices.elementAt(106);
      expect(vertex_3_106, vector3MoreOrLessEquals(Vector3(-44.0159988, -4.44294977, 4.18498993)));
      final vertex_3_107 = mesh_3.vertices.elementAt(107);
      expect(vertex_3_107, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_108 = mesh_3.vertices.elementAt(108);
      expect(vertex_3_108, vector3MoreOrLessEquals(Vector3(-92.0588989, -40.5596008, 56.9584007)));
      final vertex_3_109 = mesh_3.vertices.elementAt(109);
      expect(vertex_3_109, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_110 = mesh_3.vertices.elementAt(110);
      expect(vertex_3_110, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326988, 57.3521004)));
      final vertex_3_111 = mesh_3.vertices.elementAt(111);
      expect(vertex_3_111, vector3MoreOrLessEquals(Vector3(-44.0159988, -4.44294977, 4.18498993)));
      final vertex_3_112 = mesh_3.vertices.elementAt(112);
      expect(vertex_3_112, vector3MoreOrLessEquals(Vector3(-41.9600983, -3.15467, 1.81762004)));
      final vertex_3_113 = mesh_3.vertices.elementAt(113);
      expect(vertex_3_113, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09667993, 0.989461005)));
      final vertex_3_114 = mesh_3.vertices.elementAt(114);
      expect(vertex_3_114, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326988, 57.3521004)));
      final vertex_3_115 = mesh_3.vertices.elementAt(115);
      expect(vertex_3_115, vector3MoreOrLessEquals(Vector3(-92.2621002, -39.8373985, 57.0798988)));
      final vertex_3_116 = mesh_3.vertices.elementAt(116);
      expect(vertex_3_116, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327003, 57.5407982)));
      expect(mesh_3.normals.length, isZero);
      expect(mesh_3.tangents.length, isZero);
      expect(mesh_3.bitangents.length, isZero);
      expect(mesh_3.colors.length, isZero);
      expect(mesh_3.textureCoords.length, isZero);
      expect(mesh_3.uvComponents.length, isZero);
      expect(mesh_3.uvComponents, equals([]));
      expect(mesh_3.faces.length, equals(98));
      expect(mesh_3.bones.length, isZero);
      expect(mesh_3.materialIndex, equals(2));
      expect(mesh_3.name, equals('Bein1Re'));
      expect(mesh_3.animMeshes.length, isZero);
      expect(mesh_3.morphingMethod, isZero);
      expect(mesh_3.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.primitiveTypes, equals(4));
      expect(mesh_4.vertices.length, equals(113));
      final vertex_4_0 = mesh_4.vertices.elementAt(0);
      expect(vertex_4_0, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_1 = mesh_4.vertices.elementAt(1);
      expect(vertex_4_1, vector3MoreOrLessEquals(Vector3(-34.3837013, -1.82274997, -16.6522007)));
      final vertex_4_2 = mesh_4.vertices.elementAt(2);
      expect(vertex_4_2, vector3MoreOrLessEquals(Vector3(-32.5358009, -3.15467, -19.1625004)));
      final vertex_4_3 = mesh_4.vertices.elementAt(3);
      expect(vertex_4_3, vector3MoreOrLessEquals(Vector3(-43.6941986, -41.0689011, -95.4345016)));
      final vertex_4_4 = mesh_4.vertices.elementAt(4);
      expect(vertex_4_4, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_5 = mesh_4.vertices.elementAt(5);
      expect(vertex_4_5, vector3MoreOrLessEquals(Vector3(-43.3857994, -41.5831985, -95.2186966)));
      final vertex_4_6 = mesh_4.vertices.elementAt(6);
      expect(vertex_4_6, vector3MoreOrLessEquals(Vector3(-36.3516006, 8.47675991, -37.1534004)));
      final vertex_4_7 = mesh_4.vertices.elementAt(7);
      expect(vertex_4_7, vector3MoreOrLessEquals(Vector3(-35.098999, 7.80456018, -38.9793015)));
      final vertex_4_8 = mesh_4.vertices.elementAt(8);
      expect(vertex_4_8, vector3MoreOrLessEquals(Vector3(-32.5358009, -3.15467, -19.1625004)));
      final vertex_4_9 = mesh_4.vertices.elementAt(9);
      expect(vertex_4_9, vector3MoreOrLessEquals(Vector3(-34.3837013, -1.82274997, -16.6522007)));
      final vertex_4_10 = mesh_4.vertices.elementAt(10);
      expect(vertex_4_10, vector3MoreOrLessEquals(Vector3(-37.5541, 27.2728996, -51.6328011)));
      final vertex_4_11 = mesh_4.vertices.elementAt(11);
      expect(vertex_4_11, vector3MoreOrLessEquals(Vector3(-38.6766014, 28.3423996, -51.0306015)));
      final vertex_4_12 = mesh_4.vertices.elementAt(12);
      expect(vertex_4_12, vector3MoreOrLessEquals(Vector3(-38.6323013, 28.7061996, -56.1659012)));
      final vertex_4_13 = mesh_4.vertices.elementAt(13);
      expect(vertex_4_13, vector3MoreOrLessEquals(Vector3(-37.5541, 27.2728996, -51.6328011)));
      final vertex_4_14 = mesh_4.vertices.elementAt(14);
      expect(vertex_4_14, vector3MoreOrLessEquals(Vector3(-40.0467987, 28.0876999, -50.7727013)));
      final vertex_4_15 = mesh_4.vertices.elementAt(15);
      expect(vertex_4_15, vector3MoreOrLessEquals(Vector3(-38.6323013, 28.7061996, -56.1659012)));
      final vertex_4_16 = mesh_4.vertices.elementAt(16);
      expect(vertex_4_16, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4981003, -55.3041)));
      final vertex_4_17 = mesh_4.vertices.elementAt(17);
      expect(vertex_4_17, vector3MoreOrLessEquals(Vector3(-39.3216019, 4.10905981, -79.2096024)));
      final vertex_4_18 = mesh_4.vertices.elementAt(18);
      expect(vertex_4_18, vector3MoreOrLessEquals(Vector3(-40.7779999, 4.45496988, -80.9742966)));
      final vertex_4_19 = mesh_4.vertices.elementAt(19);
      expect(vertex_4_19, vector3MoreOrLessEquals(Vector3(-40.8774986, 28.1469994, -56.1982994)));
      final vertex_4_20 = mesh_4.vertices.elementAt(20);
      expect(vertex_4_20, vector3MoreOrLessEquals(Vector3(-42.9444008, 3.68279004, -81.2296982)));
      final vertex_4_21 = mesh_4.vertices.elementAt(21);
      expect(vertex_4_21, vector3MoreOrLessEquals(Vector3(-41.6864014, -30.9585991, -90.7611008)));
      final vertex_4_22 = mesh_4.vertices.elementAt(22);
      expect(vertex_4_22, vector3MoreOrLessEquals(Vector3(-40.8771019, -32.4266014, -89.8897018)));
      final vertex_4_23 = mesh_4.vertices.elementAt(23);
      expect(vertex_4_23, vector3MoreOrLessEquals(Vector3(-41.6864014, -30.9585991, -90.7611008)));
      final vertex_4_24 = mesh_4.vertices.elementAt(24);
      expect(vertex_4_24, vector3MoreOrLessEquals(Vector3(-41.9017982, 26.2415009, -55.3768005)));
      final vertex_4_25 = mesh_4.vertices.elementAt(25);
      expect(vertex_4_25, vector3MoreOrLessEquals(Vector3(-44.1894989, 2.37398005, -79.7834015)));
      final vertex_4_26 = mesh_4.vertices.elementAt(26);
      expect(vertex_4_26, vector3MoreOrLessEquals(Vector3(-43.2233009, -31.6319008, -89.6850967)));
      final vertex_4_27 = mesh_4.vertices.elementAt(27);
      expect(vertex_4_27, vector3MoreOrLessEquals(Vector3(-42.7305984, -30.6049004, -90.6699982)));
      final vertex_4_28 = mesh_4.vertices.elementAt(28);
      expect(vertex_4_28, vector3MoreOrLessEquals(Vector3(-38.467701, 7.78515005, -36.5219002)));
      final vertex_4_29 = mesh_4.vertices.elementAt(29);
      expect(vertex_4_29, vector3MoreOrLessEquals(Vector3(-39.8538017, 6.25054979, -37.5603981)));
      final vertex_4_30 = mesh_4.vertices.elementAt(30);
      expect(vertex_4_30, vector3MoreOrLessEquals(Vector3(-40.6329002, 26.7007008, -51.053299)));
      final vertex_4_31 = mesh_4.vertices.elementAt(31);
      expect(vertex_4_31, vector3MoreOrLessEquals(Vector3(-37.8102989, -1.45012999, -16.4496002)));
      final vertex_4_32 = mesh_4.vertices.elementAt(32);
      expect(vertex_4_32, vector3MoreOrLessEquals(Vector3(-40.2352982, -2.31740999, -18.7073002)));
      final vertex_4_33 = mesh_4.vertices.elementAt(33);
      expect(vertex_4_33, vector3MoreOrLessEquals(Vector3(-39.8325005, -3.77150989, -21.7252007)));
      final vertex_4_34 = mesh_4.vertices.elementAt(34);
      expect(vertex_4_34, vector3MoreOrLessEquals(Vector3(-39.4662018, 5.02854013, -39.4869003)));
      final vertex_4_35 = mesh_4.vertices.elementAt(35);
      expect(vertex_4_35, vector3MoreOrLessEquals(Vector3(-39.9934998, 25.2257004, -51.6610985)));
      final vertex_4_36 = mesh_4.vertices.elementAt(36);
      expect(vertex_4_36, vector3MoreOrLessEquals(Vector3(-37.5966988, 5.03928995, -40.8506012)));
      final vertex_4_37 = mesh_4.vertices.elementAt(37);
      expect(vertex_4_37, vector3MoreOrLessEquals(Vector3(-36.9053993, -4.71747017, -23.2308006)));
      final vertex_4_38 = mesh_4.vertices.elementAt(38);
      expect(vertex_4_38, vector3MoreOrLessEquals(Vector3(-40.6329002, 26.7007008, -51.053299)));
      final vertex_4_39 = mesh_4.vertices.elementAt(39);
      expect(vertex_4_39, vector3MoreOrLessEquals(Vector3(-38.6100998, 24.7735004, -52.138401)));
      final vertex_4_40 = mesh_4.vertices.elementAt(40);
      expect(vertex_4_40, vector3MoreOrLessEquals(Vector3(-40.0467987, 28.0876999, -50.7727013)));
      final vertex_4_41 = mesh_4.vertices.elementAt(41);
      expect(vertex_4_41, vector3MoreOrLessEquals(Vector3(-39.9934998, 25.2257004, -51.6610985)));
      final vertex_4_42 = mesh_4.vertices.elementAt(42);
      expect(vertex_4_42, vector3MoreOrLessEquals(Vector3(-40.9337997, 24.4246006, -54.3200989)));
      final vertex_4_43 = mesh_4.vertices.elementAt(43);
      expect(vertex_4_43, vector3MoreOrLessEquals(Vector3(-43.5755997, 1.51407003, -77.7246017)));
      final vertex_4_44 = mesh_4.vertices.elementAt(44);
      expect(vertex_4_44, vector3MoreOrLessEquals(Vector3(-38.7024002, 24.0645008, -53.8237991)));
      final vertex_4_45 = mesh_4.vertices.elementAt(45);
      expect(vertex_4_45, vector3MoreOrLessEquals(Vector3(-39.9934998, 25.2257004, -51.6610985)));
      final vertex_4_46 = mesh_4.vertices.elementAt(46);
      expect(vertex_4_46, vector3MoreOrLessEquals(Vector3(-41.5651016, 1.75059998, -76.6035995)));
      final vertex_4_47 = mesh_4.vertices.elementAt(47);
      expect(vertex_4_47, vector3MoreOrLessEquals(Vector3(-37.5243988, 25.6846008, -52.1258011)));
      final vertex_4_48 = mesh_4.vertices.elementAt(48);
      expect(vertex_4_48, vector3MoreOrLessEquals(Vector3(-36.8880005, 25.4323006, -54.2616997)));
      final vertex_4_49 = mesh_4.vertices.elementAt(49);
      expect(vertex_4_49, vector3MoreOrLessEquals(Vector3(-39.6719017, 2.90549994, -77.2645035)));
      final vertex_4_50 = mesh_4.vertices.elementAt(50);
      expect(vertex_4_50, vector3MoreOrLessEquals(Vector3(-41.7649002, -34.2771988, -88.1149979)));
      final vertex_4_51 = mesh_4.vertices.elementAt(51);
      expect(vertex_4_51, vector3MoreOrLessEquals(Vector3(-40.9121017, -33.9034996, -88.7120972)));
      final vertex_4_52 = mesh_4.vertices.elementAt(52);
      expect(vertex_4_52, vector3MoreOrLessEquals(Vector3(-41.7649002, -34.2771988, -88.1149979)));
      final vertex_4_53 = mesh_4.vertices.elementAt(53);
      expect(vertex_4_53, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4981003, -55.3041)));
      final vertex_4_54 = mesh_4.vertices.elementAt(54);
      expect(vertex_4_54, vector3MoreOrLessEquals(Vector3(-39.3216019, 4.10905981, -79.2096024)));
      final vertex_4_55 = mesh_4.vertices.elementAt(55);
      expect(vertex_4_55, vector3MoreOrLessEquals(Vector3(-40.8771019, -32.4266014, -89.8897018)));
      final vertex_4_56 = mesh_4.vertices.elementAt(56);
      expect(vertex_4_56, vector3MoreOrLessEquals(Vector3(-37.5541, 27.2728996, -51.6328011)));
      final vertex_4_57 = mesh_4.vertices.elementAt(57);
      expect(vertex_4_57, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4981003, -55.3041)));
      final vertex_4_58 = mesh_4.vertices.elementAt(58);
      expect(vertex_4_58, vector3MoreOrLessEquals(Vector3(-43.4746017, -42.1016006, -94.858902)));
      final vertex_4_59 = mesh_4.vertices.elementAt(59);
      expect(vertex_4_59, vector3MoreOrLessEquals(Vector3(-43.3857994, -41.5831985, -95.2186966)));
      final vertex_4_60 = mesh_4.vertices.elementAt(60);
      expect(vertex_4_60, vector3MoreOrLessEquals(Vector3(-43.8936996, -42.233799, -94.6259003)));
      final vertex_4_61 = mesh_4.vertices.elementAt(61);
      expect(vertex_4_61, vector3MoreOrLessEquals(Vector3(-44.3275986, -41.8802986, -94.6952972)));
      final vertex_4_62 = mesh_4.vertices.elementAt(62);
      expect(vertex_4_62, vector3MoreOrLessEquals(Vector3(-44.449501, -41.3072014, -95.0147018)));
      final vertex_4_63 = mesh_4.vertices.elementAt(63);
      expect(vertex_4_63, vector3MoreOrLessEquals(Vector3(-42.793499, -33.266201, -88.5479965)));
      final vertex_4_64 = mesh_4.vertices.elementAt(64);
      expect(vertex_4_64, vector3MoreOrLessEquals(Vector3(-44.1677017, -40.9460983, -95.3436966)));
      final vertex_4_65 = mesh_4.vertices.elementAt(65);
      expect(vertex_4_65, vector3MoreOrLessEquals(Vector3(-41.9017982, 26.2415009, -55.3768005)));
      final vertex_4_66 = mesh_4.vertices.elementAt(66);
      expect(vertex_4_66, vector3MoreOrLessEquals(Vector3(-43.6941986, -41.0689011, -95.4345016)));
      final vertex_4_67 = mesh_4.vertices.elementAt(67);
      expect(vertex_4_67, vector3MoreOrLessEquals(Vector3(-42.7305984, -30.6049004, -90.6699982)));
      final vertex_4_68 = mesh_4.vertices.elementAt(68);
      expect(vertex_4_68, vector3MoreOrLessEquals(Vector3(-43.3857994, -41.5831985, -95.2186966)));
      final vertex_4_69 = mesh_4.vertices.elementAt(69);
      expect(vertex_4_69, vector3MoreOrLessEquals(Vector3(-42.9444008, 3.68279004, -81.2296982)));
      final vertex_4_70 = mesh_4.vertices.elementAt(70);
      expect(vertex_4_70, vector3MoreOrLessEquals(Vector3(-37.5243988, 25.6846008, -52.1258011)));
      final vertex_4_71 = mesh_4.vertices.elementAt(71);
      expect(vertex_4_71, vector3MoreOrLessEquals(Vector3(-35.6530991, 6.27475023, -40.6246986)));
      final vertex_4_72 = mesh_4.vertices.elementAt(72);
      expect(vertex_4_72, vector3MoreOrLessEquals(Vector3(-35.098999, 7.80456018, -38.9793015)));
      final vertex_4_73 = mesh_4.vertices.elementAt(73);
      expect(vertex_4_73, vector3MoreOrLessEquals(Vector3(-35.098999, 7.80456018, -38.9793015)));
      final vertex_4_74 = mesh_4.vertices.elementAt(74);
      expect(vertex_4_74, vector3MoreOrLessEquals(Vector3(-37.5541, 27.2728996, -51.6328011)));
      final vertex_4_75 = mesh_4.vertices.elementAt(75);
      expect(vertex_4_75, vector3MoreOrLessEquals(Vector3(-33.6580009, -4.44294977, -22.0902996)));
      final vertex_4_76 = mesh_4.vertices.elementAt(76);
      expect(vertex_4_76, vector3MoreOrLessEquals(Vector3(-32.5358009, -3.15467, -19.1625004)));
      final vertex_4_77 = mesh_4.vertices.elementAt(77);
      expect(vertex_4_77, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_78 = mesh_4.vertices.elementAt(78);
      expect(vertex_4_78, vector3MoreOrLessEquals(Vector3(-37.8102989, -1.45012999, -16.4496002)));
      final vertex_4_79 = mesh_4.vertices.elementAt(79);
      expect(vertex_4_79, vector3MoreOrLessEquals(Vector3(-34.3837013, -1.82274997, -16.6522007)));
      final vertex_4_80 = mesh_4.vertices.elementAt(80);
      expect(vertex_4_80, vector3MoreOrLessEquals(Vector3(-44.1677017, -40.9460983, -95.3436966)));
      final vertex_4_81 = mesh_4.vertices.elementAt(81);
      expect(vertex_4_81, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_82 = mesh_4.vertices.elementAt(82);
      expect(vertex_4_82, vector3MoreOrLessEquals(Vector3(-43.6941986, -41.0689011, -95.4345016)));
      final vertex_4_83 = mesh_4.vertices.elementAt(83);
      expect(vertex_4_83, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_84 = mesh_4.vertices.elementAt(84);
      expect(vertex_4_84, vector3MoreOrLessEquals(Vector3(-40.2352982, -2.31740999, -18.7073002)));
      final vertex_4_85 = mesh_4.vertices.elementAt(85);
      expect(vertex_4_85, vector3MoreOrLessEquals(Vector3(-37.8102989, -1.45012999, -16.4496002)));
      final vertex_4_86 = mesh_4.vertices.elementAt(86);
      expect(vertex_4_86, vector3MoreOrLessEquals(Vector3(-44.449501, -41.3072014, -95.0147018)));
      final vertex_4_87 = mesh_4.vertices.elementAt(87);
      expect(vertex_4_87, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_88 = mesh_4.vertices.elementAt(88);
      expect(vertex_4_88, vector3MoreOrLessEquals(Vector3(-44.1677017, -40.9460983, -95.3436966)));
      final vertex_4_89 = mesh_4.vertices.elementAt(89);
      expect(vertex_4_89, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_90 = mesh_4.vertices.elementAt(90);
      expect(vertex_4_90, vector3MoreOrLessEquals(Vector3(-39.8325005, -3.77150989, -21.7252007)));
      final vertex_4_91 = mesh_4.vertices.elementAt(91);
      expect(vertex_4_91, vector3MoreOrLessEquals(Vector3(-40.2352982, -2.31740999, -18.7073002)));
      final vertex_4_92 = mesh_4.vertices.elementAt(92);
      expect(vertex_4_92, vector3MoreOrLessEquals(Vector3(-44.3275986, -41.8802986, -94.6952972)));
      final vertex_4_93 = mesh_4.vertices.elementAt(93);
      expect(vertex_4_93, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_94 = mesh_4.vertices.elementAt(94);
      expect(vertex_4_94, vector3MoreOrLessEquals(Vector3(-44.449501, -41.3072014, -95.0147018)));
      final vertex_4_95 = mesh_4.vertices.elementAt(95);
      expect(vertex_4_95, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_96 = mesh_4.vertices.elementAt(96);
      expect(vertex_4_96, vector3MoreOrLessEquals(Vector3(-36.9053993, -4.71747017, -23.2308006)));
      final vertex_4_97 = mesh_4.vertices.elementAt(97);
      expect(vertex_4_97, vector3MoreOrLessEquals(Vector3(-39.8325005, -3.77150989, -21.7252007)));
      final vertex_4_98 = mesh_4.vertices.elementAt(98);
      expect(vertex_4_98, vector3MoreOrLessEquals(Vector3(-43.8936996, -42.233799, -94.6259003)));
      final vertex_4_99 = mesh_4.vertices.elementAt(99);
      expect(vertex_4_99, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_100 = mesh_4.vertices.elementAt(100);
      expect(vertex_4_100, vector3MoreOrLessEquals(Vector3(-44.3275986, -41.8802986, -94.6952972)));
      final vertex_4_101 = mesh_4.vertices.elementAt(101);
      expect(vertex_4_101, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_102 = mesh_4.vertices.elementAt(102);
      expect(vertex_4_102, vector3MoreOrLessEquals(Vector3(-33.6580009, -4.44294977, -22.0902996)));
      final vertex_4_103 = mesh_4.vertices.elementAt(103);
      expect(vertex_4_103, vector3MoreOrLessEquals(Vector3(-36.9053993, -4.71747017, -23.2308006)));
      final vertex_4_104 = mesh_4.vertices.elementAt(104);
      expect(vertex_4_104, vector3MoreOrLessEquals(Vector3(-43.4746017, -42.1016006, -94.858902)));
      final vertex_4_105 = mesh_4.vertices.elementAt(105);
      expect(vertex_4_105, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_106 = mesh_4.vertices.elementAt(106);
      expect(vertex_4_106, vector3MoreOrLessEquals(Vector3(-43.8936996, -42.233799, -94.6259003)));
      final vertex_4_107 = mesh_4.vertices.elementAt(107);
      expect(vertex_4_107, vector3MoreOrLessEquals(Vector3(-36.4802017, -3.09667993, -19.7168999)));
      final vertex_4_108 = mesh_4.vertices.elementAt(108);
      expect(vertex_4_108, vector3MoreOrLessEquals(Vector3(-32.5358009, -3.15467, -19.1625004)));
      final vertex_4_109 = mesh_4.vertices.elementAt(109);
      expect(vertex_4_109, vector3MoreOrLessEquals(Vector3(-33.6580009, -4.44294977, -22.0902996)));
      final vertex_4_110 = mesh_4.vertices.elementAt(110);
      expect(vertex_4_110, vector3MoreOrLessEquals(Vector3(-43.3857994, -41.5831985, -95.2186966)));
      final vertex_4_111 = mesh_4.vertices.elementAt(111);
      expect(vertex_4_111, vector3MoreOrLessEquals(Vector3(-43.9132996, -41.5886993, -95.0273972)));
      final vertex_4_112 = mesh_4.vertices.elementAt(112);
      expect(vertex_4_112, vector3MoreOrLessEquals(Vector3(-43.4746017, -42.1016006, -94.858902)));
      expect(mesh_4.normals.length, isZero);
      expect(mesh_4.tangents.length, isZero);
      expect(mesh_4.bitangents.length, isZero);
      expect(mesh_4.colors.length, isZero);
      expect(mesh_4.textureCoords.length, isZero);
      expect(mesh_4.uvComponents.length, isZero);
      expect(mesh_4.uvComponents, equals([]));
      expect(mesh_4.faces.length, equals(98));
      expect(mesh_4.bones.length, isZero);
      expect(mesh_4.materialIndex, equals(2));
      expect(mesh_4.name, equals('Bein2Li'));
      expect(mesh_4.animMeshes.length, isZero);
      expect(mesh_4.morphingMethod, isZero);
      expect(mesh_4.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.primitiveTypes, equals(4));
      expect(mesh_5.vertices.length, equals(115));
      final vertex_5_0 = mesh_5.vertices.elementAt(0);
      expect(vertex_5_0, vector3MoreOrLessEquals(Vector3(-32.2028008, -2.60241008, -2.72873998)));
      final vertex_5_1 = mesh_5.vertices.elementAt(1);
      expect(vertex_5_1, vector3MoreOrLessEquals(Vector3(-34.5023994, -1.65541995, -5.03219986)));
      final vertex_5_2 = mesh_5.vertices.elementAt(2);
      expect(vertex_5_2, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_3 = mesh_5.vertices.elementAt(3);
      expect(vertex_5_3, vector3MoreOrLessEquals(Vector3(-28.3271999, -39.1319008, 75.6947021)));
      final vertex_5_4 = mesh_5.vertices.elementAt(4);
      expect(vertex_5_4, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_5 = mesh_5.vertices.elementAt(5);
      expect(vertex_5_5, vector3MoreOrLessEquals(Vector3(-28.6963997, -38.6124001, 75.6980972)));
      final vertex_5_6 = mesh_5.vertices.elementAt(6);
      expect(vertex_5_6, vector3MoreOrLessEquals(Vector3(-32.2028008, -2.60241008, -2.72873998)));
      final vertex_5_7 = mesh_5.vertices.elementAt(7);
      expect(vertex_5_7, vector3MoreOrLessEquals(Vector3(-34.5764008, 8.10735989, 17.2474003)));
      final vertex_5_8 = mesh_5.vertices.elementAt(8);
      expect(vertex_5_8, vector3MoreOrLessEquals(Vector3(-36.1078987, 8.51988983, 15.5623999)));
      final vertex_5_9 = mesh_5.vertices.elementAt(9);
      expect(vertex_5_9, vector3MoreOrLessEquals(Vector3(-34.5023994, -1.65541995, -5.03219986)));
      final vertex_5_10 = mesh_5.vertices.elementAt(10);
      expect(vertex_5_10, vector3MoreOrLessEquals(Vector3(-39.0589981, 27.0855999, 30.0881996)));
      final vertex_5_11 = mesh_5.vertices.elementAt(11);
      expect(vertex_5_11, vector3MoreOrLessEquals(Vector3(-40.4062004, 27.9340992, 29.6065998)));
      final vertex_5_12 = mesh_5.vertices.elementAt(12);
      expect(vertex_5_12, vector3MoreOrLessEquals(Vector3(-37.9440994, -1.88390005, -4.87552977)));
      final vertex_5_13 = mesh_5.vertices.elementAt(13);
      expect(vertex_5_13, vector3MoreOrLessEquals(Vector3(-38.1253014, 7.46189022, 15.1555996)));
      final vertex_5_14 = mesh_5.vertices.elementAt(14);
      expect(vertex_5_14, vector3MoreOrLessEquals(Vector3(-41.7304993, 27.4419994, 29.4932995)));
      final vertex_5_15 = mesh_5.vertices.elementAt(15);
      expect(vertex_5_15, vector3MoreOrLessEquals(Vector3(-39.0589981, 27.0855999, 30.0881996)));
      final vertex_5_16 = mesh_5.vertices.elementAt(16);
      expect(vertex_5_16, vector3MoreOrLessEquals(Vector3(-39.8973007, 28.3932991, 34.7092018)));
      final vertex_5_17 = mesh_5.vertices.elementAt(17);
      expect(vertex_5_17, vector3MoreOrLessEquals(Vector3(-39.8973007, 28.3932991, 34.7092018)));
      final vertex_5_18 = mesh_5.vertices.elementAt(18);
      expect(vertex_5_18, vector3MoreOrLessEquals(Vector3(-41.9958, 27.4554005, 34.9761009)));
      final vertex_5_19 = mesh_5.vertices.elementAt(19);
      expect(vertex_5_19, vector3MoreOrLessEquals(Vector3(-39.1095009, 5.73008013, 16.3332996)));
      final vertex_5_20 = mesh_5.vertices.elementAt(20);
      expect(vertex_5_20, vector3MoreOrLessEquals(Vector3(-42.0346985, 25.9799004, 29.8337002)));
      final vertex_5_21 = mesh_5.vertices.elementAt(21);
      expect(vertex_5_21, vector3MoreOrLessEquals(Vector3(-42.7527008, 25.3869991, 34.266201)));
      final vertex_5_22 = mesh_5.vertices.elementAt(22);
      expect(vertex_5_22, vector3MoreOrLessEquals(Vector3(-39.9361, -3.11580992, -2.37666011)));
      final vertex_5_23 = mesh_5.vertices.elementAt(23);
      expect(vertex_5_23, vector3MoreOrLessEquals(Vector3(-38.9784012, -4.42348003, 0.582625985)));
      final vertex_5_24 = mesh_5.vertices.elementAt(24);
      expect(vertex_5_24, vector3MoreOrLessEquals(Vector3(-38.3193016, 4.62854004, 18.2087002)));
      final vertex_5_25 = mesh_5.vertices.elementAt(25);
      expect(vertex_5_25, vector3MoreOrLessEquals(Vector3(-41.0898018, 24.6487999, 30.3712997)));
      final vertex_5_26 = mesh_5.vertices.elementAt(26);
      expect(vertex_5_26, vector3MoreOrLessEquals(Vector3(-36.3498001, 4.98674011, 19.3696003)));
      final vertex_5_27 = mesh_5.vertices.elementAt(27);
      expect(vertex_5_27, vector3MoreOrLessEquals(Vector3(-35.7923012, -4.82222986, 1.77398002)));
      final vertex_5_28 = mesh_5.vertices.elementAt(28);
      expect(vertex_5_28, vector3MoreOrLessEquals(Vector3(-42.0346985, 25.9799004, 29.8337002)));
      final vertex_5_29 = mesh_5.vertices.elementAt(29);
      expect(vertex_5_29, vector3MoreOrLessEquals(Vector3(-39.6072006, 24.4510002, 30.7014008)));
      final vertex_5_30 = mesh_5.vertices.elementAt(30);
      expect(vertex_5_30, vector3MoreOrLessEquals(Vector3(-32.7769012, -4.01177979, 0.300282001)));
      final vertex_5_31 = mesh_5.vertices.elementAt(31);
      expect(vertex_5_31, vector3MoreOrLessEquals(Vector3(-34.6841011, 6.53496981, 18.9417)));
      final vertex_5_32 = mesh_5.vertices.elementAt(32);
      expect(vertex_5_32, vector3MoreOrLessEquals(Vector3(-38.7033997, 25.5354996, 30.5753994)));
      final vertex_5_33 = mesh_5.vertices.elementAt(33);
      expect(vertex_5_33, vector3MoreOrLessEquals(Vector3(-41.0898018, 24.6487999, 30.3712997)));
      final vertex_5_34 = mesh_5.vertices.elementAt(34);
      expect(vertex_5_34, vector3MoreOrLessEquals(Vector3(-39.401001, 23.7674007, 32.3871994)));
      final vertex_5_35 = mesh_5.vertices.elementAt(35);
      expect(vertex_5_35, vector3MoreOrLessEquals(Vector3(-38.7033997, 25.5354996, 30.5753994)));
      final vertex_5_36 = mesh_5.vertices.elementAt(36);
      expect(vertex_5_36, vector3MoreOrLessEquals(Vector3(-37.8163986, 25.4358006, 32.6330986)));
      final vertex_5_37 = mesh_5.vertices.elementAt(37);
      expect(vertex_5_37, vector3MoreOrLessEquals(Vector3(-38.0373001, 27.4944992, 33.6665001)));
      final vertex_5_38 = mesh_5.vertices.elementAt(38);
      expect(vertex_5_38, vector3MoreOrLessEquals(Vector3(-39.0589981, 27.0855999, 30.0881996)));
      final vertex_5_39 = mesh_5.vertices.elementAt(39);
      expect(vertex_5_39, vector3MoreOrLessEquals(Vector3(-34.8746986, 16.0338001, 44.8610992)));
      final vertex_5_40 = mesh_5.vertices.elementAt(40);
      expect(vertex_5_40, vector3MoreOrLessEquals(Vector3(-34.5404015, 17.3148994, 46.7589989)));
      final vertex_5_41 = mesh_5.vertices.elementAt(41);
      expect(vertex_5_41, vector3MoreOrLessEquals(Vector3(-36.5964012, 14.5574999, 44.4016991)));
      final vertex_5_42 = mesh_5.vertices.elementAt(42);
      expect(vertex_5_42, vector3MoreOrLessEquals(Vector3(-28.7395992, -36.042099, 65.8584976)));
      final vertex_5_43 = mesh_5.vertices.elementAt(43);
      expect(vertex_5_43, vector3MoreOrLessEquals(Vector3(-27.9076996, -35.3405991, 66.0570984)));
      final vertex_5_44 = mesh_5.vertices.elementAt(44);
      expect(vertex_5_44, vector3MoreOrLessEquals(Vector3(-28.0086994, -33.4840012, 66.3923035)));
      final vertex_5_45 = mesh_5.vertices.elementAt(45);
      expect(vertex_5_45, vector3MoreOrLessEquals(Vector3(-28.0086994, -33.4840012, 66.3923035)));
      final vertex_5_46 = mesh_5.vertices.elementAt(46);
      expect(vertex_5_46, vector3MoreOrLessEquals(Vector3(-38.4090996, 13.9976997, 45.726799)));
      final vertex_5_47 = mesh_5.vertices.elementAt(47);
      expect(vertex_5_47, vector3MoreOrLessEquals(Vector3(-28.7726994, -40.036499, 75.5681)));
      final vertex_5_48 = mesh_5.vertices.elementAt(48);
      expect(vertex_5_48, vector3MoreOrLessEquals(Vector3(-28.3610992, -39.7655983, 75.6369019)));
      final vertex_5_49 = mesh_5.vertices.elementAt(49);
      expect(vertex_5_49, vector3MoreOrLessEquals(Vector3(-28.3271999, -39.1319008, 75.6947021)));
      final vertex_5_50 = mesh_5.vertices.elementAt(50);
      expect(vertex_5_50, vector3MoreOrLessEquals(Vector3(-29.2518997, -39.7405014, 75.5401001)));
      final vertex_5_51 = mesh_5.vertices.elementAt(51);
      expect(vertex_5_51, vector3MoreOrLessEquals(Vector3(-28.7395992, -36.042099, 65.8584976)));
      final vertex_5_52 = mesh_5.vertices.elementAt(52);
      expect(vertex_5_52, vector3MoreOrLessEquals(Vector3(-30.4655991, -33.1344986, 66.2537003)));
      final vertex_5_53 = mesh_5.vertices.elementAt(53);
      expect(vertex_5_53, vector3MoreOrLessEquals(Vector3(-29.4379005, -39.1004982, 75.5740967)));
      final vertex_5_54 = mesh_5.vertices.elementAt(54);
      expect(vertex_5_54, vector3MoreOrLessEquals(Vector3(-29.8780003, -35.0602989, 65.9459)));
      final vertex_5_55 = mesh_5.vertices.elementAt(55);
      expect(vertex_5_55, vector3MoreOrLessEquals(Vector3(-38.4090996, 13.9976997, 45.726799)));
      final vertex_5_56 = mesh_5.vertices.elementAt(56);
      expect(vertex_5_56, vector3MoreOrLessEquals(Vector3(-37.8067017, 16.3061008, 49.1465988)));
      final vertex_5_57 = mesh_5.vertices.elementAt(57);
      expect(vertex_5_57, vector3MoreOrLessEquals(Vector3(-30.0599995, -31.7148991, 66.5498962)));
      final vertex_5_58 = mesh_5.vertices.elementAt(58);
      expect(vertex_5_58, vector3MoreOrLessEquals(Vector3(-38.9477005, 14.7758999, 47.838501)));
      final vertex_5_59 = mesh_5.vertices.elementAt(59);
      expect(vertex_5_59, vector3MoreOrLessEquals(Vector3(-29.1907005, -38.5984001, 75.6444016)));
      final vertex_5_60 = mesh_5.vertices.elementAt(60);
      expect(vertex_5_60, vector3MoreOrLessEquals(Vector3(-42.7527008, 25.3869991, 34.266201)));
      final vertex_5_61 = mesh_5.vertices.elementAt(61);
      expect(vertex_5_61, vector3MoreOrLessEquals(Vector3(-30.4655991, -33.1344986, 66.2537003)));
      final vertex_5_62 = mesh_5.vertices.elementAt(62);
      expect(vertex_5_62, vector3MoreOrLessEquals(Vector3(-41.7304993, 27.4419994, 29.4932995)));
      final vertex_5_63 = mesh_5.vertices.elementAt(63);
      expect(vertex_5_63, vector3MoreOrLessEquals(Vector3(-41.5979004, 23.7457008, 33.1139984)));
      final vertex_5_64 = mesh_5.vertices.elementAt(64);
      expect(vertex_5_64, vector3MoreOrLessEquals(Vector3(-41.0898018, 24.6487999, 30.3712997)));
      final vertex_5_65 = mesh_5.vertices.elementAt(65);
      expect(vertex_5_65, vector3MoreOrLessEquals(Vector3(-35.8451996, 17.4361, 48.6661987)));
      final vertex_5_66 = mesh_5.vertices.elementAt(66);
      expect(vertex_5_66, vector3MoreOrLessEquals(Vector3(-28.9666004, -31.8703995, 66.6116028)));
      final vertex_5_67 = mesh_5.vertices.elementAt(67);
      expect(vertex_5_67, vector3MoreOrLessEquals(Vector3(-38.0373001, 27.4944992, 33.6665001)));
      final vertex_5_68 = mesh_5.vertices.elementAt(68);
      expect(vertex_5_68, vector3MoreOrLessEquals(Vector3(-34.5404015, 17.3148994, 46.7589989)));
      final vertex_5_69 = mesh_5.vertices.elementAt(69);
      expect(vertex_5_69, vector3MoreOrLessEquals(Vector3(-28.0086994, -33.4840012, 66.3923035)));
      final vertex_5_70 = mesh_5.vertices.elementAt(70);
      expect(vertex_5_70, vector3MoreOrLessEquals(Vector3(-28.9666004, -31.8703995, 66.6116028)));
      final vertex_5_71 = mesh_5.vertices.elementAt(71);
      expect(vertex_5_71, vector3MoreOrLessEquals(Vector3(-28.3271999, -39.1319008, 75.6947021)));
      final vertex_5_72 = mesh_5.vertices.elementAt(72);
      expect(vertex_5_72, vector3MoreOrLessEquals(Vector3(-28.6963997, -38.6124001, 75.6980972)));
      final vertex_5_73 = mesh_5.vertices.elementAt(73);
      expect(vertex_5_73, vector3MoreOrLessEquals(Vector3(-30.0599995, -31.7148991, 66.5498962)));
      final vertex_5_74 = mesh_5.vertices.elementAt(74);
      expect(vertex_5_74, vector3MoreOrLessEquals(Vector3(-37.8067017, 16.3061008, 49.1465988)));
      final vertex_5_75 = mesh_5.vertices.elementAt(75);
      expect(vertex_5_75, vector3MoreOrLessEquals(Vector3(-34.5764008, 8.10735989, 17.2474003)));
      final vertex_5_76 = mesh_5.vertices.elementAt(76);
      expect(vertex_5_76, vector3MoreOrLessEquals(Vector3(-32.2028008, -2.60241008, -2.72873998)));
      final vertex_5_77 = mesh_5.vertices.elementAt(77);
      expect(vertex_5_77, vector3MoreOrLessEquals(Vector3(-39.0589981, 27.0855999, 30.0881996)));
      final vertex_5_78 = mesh_5.vertices.elementAt(78);
      expect(vertex_5_78, vector3MoreOrLessEquals(Vector3(-34.5764008, 8.10735989, 17.2474003)));
      final vertex_5_79 = mesh_5.vertices.elementAt(79);
      expect(vertex_5_79, vector3MoreOrLessEquals(Vector3(-34.5023994, -1.65541995, -5.03219986)));
      final vertex_5_80 = mesh_5.vertices.elementAt(80);
      expect(vertex_5_80, vector3MoreOrLessEquals(Vector3(-37.9440994, -1.88390005, -4.87552977)));
      final vertex_5_81 = mesh_5.vertices.elementAt(81);
      expect(vertex_5_81, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_82 = mesh_5.vertices.elementAt(82);
      expect(vertex_5_82, vector3MoreOrLessEquals(Vector3(-28.6963997, -38.6124001, 75.6980972)));
      final vertex_5_83 = mesh_5.vertices.elementAt(83);
      expect(vertex_5_83, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_84 = mesh_5.vertices.elementAt(84);
      expect(vertex_5_84, vector3MoreOrLessEquals(Vector3(-29.1907005, -38.5984001, 75.6444016)));
      final vertex_5_85 = mesh_5.vertices.elementAt(85);
      expect(vertex_5_85, vector3MoreOrLessEquals(Vector3(-37.9440994, -1.88390005, -4.87552977)));
      final vertex_5_86 = mesh_5.vertices.elementAt(86);
      expect(vertex_5_86, vector3MoreOrLessEquals(Vector3(-39.9361, -3.11580992, -2.37666011)));
      final vertex_5_87 = mesh_5.vertices.elementAt(87);
      expect(vertex_5_87, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_88 = mesh_5.vertices.elementAt(88);
      expect(vertex_5_88, vector3MoreOrLessEquals(Vector3(-29.1907005, -38.5984001, 75.6444016)));
      final vertex_5_89 = mesh_5.vertices.elementAt(89);
      expect(vertex_5_89, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_90 = mesh_5.vertices.elementAt(90);
      expect(vertex_5_90, vector3MoreOrLessEquals(Vector3(-29.4379005, -39.1004982, 75.5740967)));
      final vertex_5_91 = mesh_5.vertices.elementAt(91);
      expect(vertex_5_91, vector3MoreOrLessEquals(Vector3(-39.9361, -3.11580992, -2.37666011)));
      final vertex_5_92 = mesh_5.vertices.elementAt(92);
      expect(vertex_5_92, vector3MoreOrLessEquals(Vector3(-38.9784012, -4.42348003, 0.582625985)));
      final vertex_5_93 = mesh_5.vertices.elementAt(93);
      expect(vertex_5_93, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_94 = mesh_5.vertices.elementAt(94);
      expect(vertex_5_94, vector3MoreOrLessEquals(Vector3(-29.4379005, -39.1004982, 75.5740967)));
      final vertex_5_95 = mesh_5.vertices.elementAt(95);
      expect(vertex_5_95, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_96 = mesh_5.vertices.elementAt(96);
      expect(vertex_5_96, vector3MoreOrLessEquals(Vector3(-29.2518997, -39.7405014, 75.5401001)));
      final vertex_5_97 = mesh_5.vertices.elementAt(97);
      expect(vertex_5_97, vector3MoreOrLessEquals(Vector3(-38.9784012, -4.42348003, 0.582625985)));
      final vertex_5_98 = mesh_5.vertices.elementAt(98);
      expect(vertex_5_98, vector3MoreOrLessEquals(Vector3(-35.7923012, -4.82222986, 1.77398002)));
      final vertex_5_99 = mesh_5.vertices.elementAt(99);
      expect(vertex_5_99, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_100 = mesh_5.vertices.elementAt(100);
      expect(vertex_5_100, vector3MoreOrLessEquals(Vector3(-29.2518997, -39.7405014, 75.5401001)));
      final vertex_5_101 = mesh_5.vertices.elementAt(101);
      expect(vertex_5_101, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_102 = mesh_5.vertices.elementAt(102);
      expect(vertex_5_102, vector3MoreOrLessEquals(Vector3(-28.7726994, -40.036499, 75.5681)));
      final vertex_5_103 = mesh_5.vertices.elementAt(103);
      expect(vertex_5_103, vector3MoreOrLessEquals(Vector3(-35.7923012, -4.82222986, 1.77398002)));
      final vertex_5_104 = mesh_5.vertices.elementAt(104);
      expect(vertex_5_104, vector3MoreOrLessEquals(Vector3(-32.7769012, -4.01177979, 0.300282001)));
      final vertex_5_105 = mesh_5.vertices.elementAt(105);
      expect(vertex_5_105, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_106 = mesh_5.vertices.elementAt(106);
      expect(vertex_5_106, vector3MoreOrLessEquals(Vector3(-28.7726994, -40.036499, 75.5681)));
      final vertex_5_107 = mesh_5.vertices.elementAt(107);
      expect(vertex_5_107, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_108 = mesh_5.vertices.elementAt(108);
      expect(vertex_5_108, vector3MoreOrLessEquals(Vector3(-28.3610992, -39.7655983, 75.6369019)));
      final vertex_5_109 = mesh_5.vertices.elementAt(109);
      expect(vertex_5_109, vector3MoreOrLessEquals(Vector3(-32.7769012, -4.01177979, 0.300282001)));
      final vertex_5_110 = mesh_5.vertices.elementAt(110);
      expect(vertex_5_110, vector3MoreOrLessEquals(Vector3(-32.2028008, -2.60241008, -2.72873998)));
      final vertex_5_111 = mesh_5.vertices.elementAt(111);
      expect(vertex_5_111, vector3MoreOrLessEquals(Vector3(-36.019001, -3.21641994, -1.76515996)));
      final vertex_5_112 = mesh_5.vertices.elementAt(112);
      expect(vertex_5_112, vector3MoreOrLessEquals(Vector3(-28.3610992, -39.7655983, 75.6369019)));
      final vertex_5_113 = mesh_5.vertices.elementAt(113);
      expect(vertex_5_113, vector3MoreOrLessEquals(Vector3(-28.8624992, -39.283699, 75.6222992)));
      final vertex_5_114 = mesh_5.vertices.elementAt(114);
      expect(vertex_5_114, vector3MoreOrLessEquals(Vector3(-28.3271999, -39.1319008, 75.6947021)));
      expect(mesh_5.normals.length, isZero);
      expect(mesh_5.tangents.length, isZero);
      expect(mesh_5.bitangents.length, isZero);
      expect(mesh_5.colors.length, isZero);
      expect(mesh_5.textureCoords.length, isZero);
      expect(mesh_5.uvComponents.length, isZero);
      expect(mesh_5.uvComponents, equals([]));
      expect(mesh_5.faces.length, equals(98));
      expect(mesh_5.bones.length, isZero);
      expect(mesh_5.materialIndex, equals(2));
      expect(mesh_5.name, equals('Bein2Re'));
      expect(mesh_5.animMeshes.length, isZero);
      expect(mesh_5.morphingMethod, isZero);
      expect(mesh_5.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.primitiveTypes, equals(4));
      expect(mesh_6.vertices.length, equals(107));
      final vertex_6_0 = mesh_6.vertices.elementAt(0);
      expect(vertex_6_0, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -4.81346989)));
      final vertex_6_1 = mesh_6.vertices.elementAt(1);
      expect(vertex_6_1, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -5.88752985)));
      final vertex_6_2 = mesh_6.vertices.elementAt(2);
      expect(vertex_6_2, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_3 = mesh_6.vertices.elementAt(3);
      expect(vertex_6_3, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, 86.1981964)));
      final vertex_6_4 = mesh_6.vertices.elementAt(4);
      expect(vertex_6_4, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_5 = mesh_6.vertices.elementAt(5);
      expect(vertex_6_5, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, 86.5102005)));
      final vertex_6_6 = mesh_6.vertices.elementAt(6);
      expect(vertex_6_6, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -4.81346989)));
      final vertex_6_7 = mesh_6.vertices.elementAt(7);
      expect(vertex_6_7, vector3MoreOrLessEquals(Vector3(-14.8556004, 7.38925982, 12.4635)));
      final vertex_6_8 = mesh_6.vertices.elementAt(8);
      expect(vertex_6_8, vector3MoreOrLessEquals(Vector3(-16.2584, 8.70438957, 11.1759996)));
      final vertex_6_9 = mesh_6.vertices.elementAt(9);
      expect(vertex_6_9, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -5.88752985)));
      final vertex_6_10 = mesh_6.vertices.elementAt(10);
      expect(vertex_6_10, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, 26.4104004)));
      final vertex_6_11 = mesh_6.vertices.elementAt(11);
      expect(vertex_6_11, vector3MoreOrLessEquals(Vector3(-13.1525002, 29.5002995, 26.2119007)));
      final vertex_6_12 = mesh_6.vertices.elementAt(12);
      expect(vertex_6_12, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -4.14655018)));
      final vertex_6_13 = mesh_6.vertices.elementAt(13);
      expect(vertex_6_13, vector3MoreOrLessEquals(Vector3(-18.5513992, 8.96432018, 11.3466997)));
      final vertex_6_14 = mesh_6.vertices.elementAt(14);
      expect(vertex_6_14, vector3MoreOrLessEquals(Vector3(-14.5093002, 29.8274994, 26.4584007)));
      final vertex_6_15 = mesh_6.vertices.elementAt(15);
      expect(vertex_6_15, vector3MoreOrLessEquals(Vector3(-20.0081005, 7.97335005, 12.8470001)));
      final vertex_6_16 = mesh_6.vertices.elementAt(16);
      expect(vertex_6_16, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -0.901443005)));
      final vertex_6_17 = mesh_6.vertices.elementAt(17);
      expect(vertex_6_17, vector3MoreOrLessEquals(Vector3(-15.4755001, 28.7520008, 26.9645004)));
      final vertex_6_18 = mesh_6.vertices.elementAt(18);
      expect(vertex_6_18, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, 1.40408003)));
      final vertex_6_19 = mesh_6.vertices.elementAt(19);
      expect(vertex_6_19, vector3MoreOrLessEquals(Vector3(-19.5314007, 6.47770023, 14.5472002)));
      final vertex_6_20 = mesh_6.vertices.elementAt(20);
      expect(vertex_6_20, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, 27.3488998)));
      final vertex_6_21 = mesh_6.vertices.elementAt(21);
      expect(vertex_6_21, vector3MoreOrLessEquals(Vector3(-17.4804001, 5.60359001, 15.1669998)));
      final vertex_6_22 = mesh_6.vertices.elementAt(22);
      expect(vertex_6_22, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, 1.03394997)));
      final vertex_6_23 = mesh_6.vertices.elementAt(23);
      expect(vertex_6_23, vector3MoreOrLessEquals(Vector3(-14.1675997, 26.0790997, 27.3223)));
      final vertex_6_24 = mesh_6.vertices.elementAt(24);
      expect(vertex_6_24, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -1.73311996)));
      final vertex_6_25 = mesh_6.vertices.elementAt(25);
      expect(vertex_6_25, vector3MoreOrLessEquals(Vector3(-15.3993998, 6.0092802, 14.2396002)));
      final vertex_6_26 = mesh_6.vertices.elementAt(26);
      expect(vertex_6_26, vector3MoreOrLessEquals(Vector3(-12.8783998, 26.4944, 26.9046001)));
      final vertex_6_27 = mesh_6.vertices.elementAt(27);
      expect(vertex_6_27, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, 27.3488998)));
      final vertex_6_28 = mesh_6.vertices.elementAt(28);
      expect(vertex_6_28, vector3MoreOrLessEquals(Vector3(-13.9733, 25.2665997, 28.9514008)));
      final vertex_6_29 = mesh_6.vertices.elementAt(29);
      expect(vertex_6_29, vector3MoreOrLessEquals(Vector3(-12.8783998, 26.4944, 26.9046001)));
      final vertex_6_30 = mesh_6.vertices.elementAt(30);
      expect(vertex_6_30, vector3MoreOrLessEquals(Vector3(-15.4755001, 28.7520008, 26.9645004)));
      final vertex_6_31 = mesh_6.vertices.elementAt(31);
      expect(vertex_6_31, vector3MoreOrLessEquals(Vector3(-15.309, 28.3104, 31.469101)));
      final vertex_6_32 = mesh_6.vertices.elementAt(32);
      expect(vertex_6_32, vector3MoreOrLessEquals(Vector3(-15.5665998, 26.3995991, 30.1895008)));
      final vertex_6_33 = mesh_6.vertices.elementAt(33);
      expect(vertex_6_33, vector3MoreOrLessEquals(Vector3(-13.1525002, 29.5002995, 26.2119007)));
      final vertex_6_34 = mesh_6.vertices.elementAt(34);
      expect(vertex_6_34, vector3MoreOrLessEquals(Vector3(-11.2650003, 29.2078991, 30.9927998)));
      final vertex_6_35 = mesh_6.vertices.elementAt(35);
      expect(vertex_6_35, vector3MoreOrLessEquals(Vector3(-13.3945999, 29.5601997, 31.8265991)));
      final vertex_6_36 = mesh_6.vertices.elementAt(36);
      expect(vertex_6_36, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, 26.4104004)));
      final vertex_6_37 = mesh_6.vertices.elementAt(37);
      expect(vertex_6_37, vector3MoreOrLessEquals(Vector3(-11.2650003, 29.2078991, 30.9927998)));
      final vertex_6_38 = mesh_6.vertices.elementAt(38);
      expect(vertex_6_38, vector3MoreOrLessEquals(Vector3(-10.5236998, 27.5188007, 29.5956001)));
      final vertex_6_39 = mesh_6.vertices.elementAt(39);
      expect(vertex_6_39, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4356003, 54.8820992)));
      final vertex_6_40 = mesh_6.vertices.elementAt(40);
      expect(vertex_6_40, vector3MoreOrLessEquals(Vector3(-1.51470006, 14.1057997, 57.0357018)));
      final vertex_6_41 = mesh_6.vertices.elementAt(41);
      expect(vertex_6_41, vector3MoreOrLessEquals(Vector3(-3.58909011, 14.2065001, 58.0563011)));
      final vertex_6_42 = mesh_6.vertices.elementAt(42);
      expect(vertex_6_42, vector3MoreOrLessEquals(Vector3(3.38557005, -29.8435001, 80.7679977)));
      final vertex_6_43 = mesh_6.vertices.elementAt(43);
      expect(vertex_6_43, vector3MoreOrLessEquals(Vector3(2.44499993, -29.5186005, 81.2509995)));
      final vertex_6_44 = mesh_6.vertices.elementAt(44);
      expect(vertex_6_44, vector3MoreOrLessEquals(Vector3(-5.65842009, 13.6618004, 57.1753006)));
      final vertex_6_45 = mesh_6.vertices.elementAt(45);
      expect(vertex_6_45, vector3MoreOrLessEquals(Vector3(1.56248999, -30.6490002, 80.7919006)));
      final vertex_6_46 = mesh_6.vertices.elementAt(46);
      expect(vertex_6_46, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3792, 79.7064972)));
      final vertex_6_47 = mesh_6.vertices.elementAt(47);
      expect(vertex_6_47, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, 86.1981964)));
      final vertex_6_48 = mesh_6.vertices.elementAt(48);
      expect(vertex_6_48, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, 86.5102005)));
      final vertex_6_49 = mesh_6.vertices.elementAt(49);
      expect(vertex_6_49, vector3MoreOrLessEquals(Vector3(4.58776999, -39.3502007, 86.6912003)));
      final vertex_6_50 = mesh_6.vertices.elementAt(50);
      expect(vertex_6_50, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, 86.6048965)));
      final vertex_6_51 = mesh_6.vertices.elementAt(51);
      expect(vertex_6_51, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, 86.3162994)));
      final vertex_6_52 = mesh_6.vertices.elementAt(52);
      expect(vertex_6_52, vector3MoreOrLessEquals(Vector3(1.40261996, -32.3835983, 79.7362976)));
      final vertex_6_53 = mesh_6.vertices.elementAt(53);
      expect(vertex_6_53, vector3MoreOrLessEquals(Vector3(2.08576012, -33.4161987, 78.879097)));
      final vertex_6_54 = mesh_6.vertices.elementAt(54);
      expect(vertex_6_54, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, 86.0428009)));
      final vertex_6_55 = mesh_6.vertices.elementAt(55);
      expect(vertex_6_55, vector3MoreOrLessEquals(Vector3(-6.16439009, 12.8817997, 55.0563011)));
      final vertex_6_56 = mesh_6.vertices.elementAt(56);
      expect(vertex_6_56, vector3MoreOrLessEquals(Vector3(-15.309, 28.3104, 31.469101)));
      final vertex_6_57 = mesh_6.vertices.elementAt(57);
      expect(vertex_6_57, vector3MoreOrLessEquals(Vector3(-4.72602987, 12.4540005, 53.2947006)));
      final vertex_6_58 = mesh_6.vertices.elementAt(58);
      expect(vertex_6_58, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, 27.3488998)));
      final vertex_6_59 = mesh_6.vertices.elementAt(59);
      expect(vertex_6_59, vector3MoreOrLessEquals(Vector3(-2.42644, 12.7004004, 53.2173004)));
      final vertex_6_60 = mesh_6.vertices.elementAt(60);
      expect(vertex_6_60, vector3MoreOrLessEquals(Vector3(-11.7290001, 25.7646999, 28.6870995)));
      final vertex_6_61 = mesh_6.vertices.elementAt(61);
      expect(vertex_6_61, vector3MoreOrLessEquals(Vector3(-10.5236998, 27.5188007, 29.5956001)));
      final vertex_6_62 = mesh_6.vertices.elementAt(62);
      expect(vertex_6_62, vector3MoreOrLessEquals(Vector3(3.09747005, -32.9692001, 78.8658981)));
      final vertex_6_63 = mesh_6.vertices.elementAt(63);
      expect(vertex_6_63, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4356003, 54.8820992)));
      final vertex_6_64 = mesh_6.vertices.elementAt(64);
      expect(vertex_6_64, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3792, 79.7064972)));
      final vertex_6_65 = mesh_6.vertices.elementAt(65);
      expect(vertex_6_65, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, 26.4104004)));
      final vertex_6_66 = mesh_6.vertices.elementAt(66);
      expect(vertex_6_66, vector3MoreOrLessEquals(Vector3(-14.8556004, 7.38925982, 12.4635)));
      final vertex_6_67 = mesh_6.vertices.elementAt(67);
      expect(vertex_6_67, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, 26.4104004)));
      final vertex_6_68 = mesh_6.vertices.elementAt(68);
      expect(vertex_6_68, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -4.81346989)));
      final vertex_6_69 = mesh_6.vertices.elementAt(69);
      expect(vertex_6_69, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, 85.9901962)));
      final vertex_6_70 = mesh_6.vertices.elementAt(70);
      expect(vertex_6_70, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, 86.1981964)));
      final vertex_6_71 = mesh_6.vertices.elementAt(71);
      expect(vertex_6_71, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -5.88752985)));
      final vertex_6_72 = mesh_6.vertices.elementAt(72);
      expect(vertex_6_72, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -4.14655018)));
      final vertex_6_73 = mesh_6.vertices.elementAt(73);
      expect(vertex_6_73, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_74 = mesh_6.vertices.elementAt(74);
      expect(vertex_6_74, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, 86.5102005)));
      final vertex_6_75 = mesh_6.vertices.elementAt(75);
      expect(vertex_6_75, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_76 = mesh_6.vertices.elementAt(76);
      expect(vertex_6_76, vector3MoreOrLessEquals(Vector3(4.58776999, -39.3502007, 86.6912003)));
      final vertex_6_77 = mesh_6.vertices.elementAt(77);
      expect(vertex_6_77, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -4.14655018)));
      final vertex_6_78 = mesh_6.vertices.elementAt(78);
      expect(vertex_6_78, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -0.901443005)));
      final vertex_6_79 = mesh_6.vertices.elementAt(79);
      expect(vertex_6_79, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_80 = mesh_6.vertices.elementAt(80);
      expect(vertex_6_80, vector3MoreOrLessEquals(Vector3(4.58776999, -39.3502007, 86.6912003)));
      final vertex_6_81 = mesh_6.vertices.elementAt(81);
      expect(vertex_6_81, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_82 = mesh_6.vertices.elementAt(82);
      expect(vertex_6_82, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, 86.6048965)));
      final vertex_6_83 = mesh_6.vertices.elementAt(83);
      expect(vertex_6_83, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -0.901443005)));
      final vertex_6_84 = mesh_6.vertices.elementAt(84);
      expect(vertex_6_84, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, 1.40408003)));
      final vertex_6_85 = mesh_6.vertices.elementAt(85);
      expect(vertex_6_85, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_86 = mesh_6.vertices.elementAt(86);
      expect(vertex_6_86, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, 86.6048965)));
      final vertex_6_87 = mesh_6.vertices.elementAt(87);
      expect(vertex_6_87, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_88 = mesh_6.vertices.elementAt(88);
      expect(vertex_6_88, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, 86.3162994)));
      final vertex_6_89 = mesh_6.vertices.elementAt(89);
      expect(vertex_6_89, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, 1.40408003)));
      final vertex_6_90 = mesh_6.vertices.elementAt(90);
      expect(vertex_6_90, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, 1.03394997)));
      final vertex_6_91 = mesh_6.vertices.elementAt(91);
      expect(vertex_6_91, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_92 = mesh_6.vertices.elementAt(92);
      expect(vertex_6_92, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, 86.3162994)));
      final vertex_6_93 = mesh_6.vertices.elementAt(93);
      expect(vertex_6_93, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_94 = mesh_6.vertices.elementAt(94);
      expect(vertex_6_94, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, 86.0428009)));
      final vertex_6_95 = mesh_6.vertices.elementAt(95);
      expect(vertex_6_95, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, 1.03394997)));
      final vertex_6_96 = mesh_6.vertices.elementAt(96);
      expect(vertex_6_96, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -1.73311996)));
      final vertex_6_97 = mesh_6.vertices.elementAt(97);
      expect(vertex_6_97, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_98 = mesh_6.vertices.elementAt(98);
      expect(vertex_6_98, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, 86.0428009)));
      final vertex_6_99 = mesh_6.vertices.elementAt(99);
      expect(vertex_6_99, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_100 = mesh_6.vertices.elementAt(100);
      expect(vertex_6_100, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, 85.9901962)));
      final vertex_6_101 = mesh_6.vertices.elementAt(101);
      expect(vertex_6_101, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -1.73311996)));
      final vertex_6_102 = mesh_6.vertices.elementAt(102);
      expect(vertex_6_102, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -4.81346989)));
      final vertex_6_103 = mesh_6.vertices.elementAt(103);
      expect(vertex_6_103, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -2.14913988)));
      final vertex_6_104 = mesh_6.vertices.elementAt(104);
      expect(vertex_6_104, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, 85.9901962)));
      final vertex_6_105 = mesh_6.vertices.elementAt(105);
      expect(vertex_6_105, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, 86.3361969)));
      final vertex_6_106 = mesh_6.vertices.elementAt(106);
      expect(vertex_6_106, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, 86.1981964)));
      expect(mesh_6.normals.length, isZero);
      expect(mesh_6.tangents.length, isZero);
      expect(mesh_6.bitangents.length, isZero);
      expect(mesh_6.colors.length, isZero);
      expect(mesh_6.textureCoords.length, isZero);
      expect(mesh_6.uvComponents.length, isZero);
      expect(mesh_6.uvComponents, equals([]));
      expect(mesh_6.faces.length, equals(98));
      expect(mesh_6.bones.length, isZero);
      expect(mesh_6.materialIndex, equals(2));
      expect(mesh_6.name, equals('Bein3Re'));
      expect(mesh_6.animMeshes.length, isZero);
      expect(mesh_6.morphingMethod, isZero);
      expect(mesh_6.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.primitiveTypes, equals(4));
      expect(mesh_7.vertices.length, equals(107));
      final vertex_7_0 = mesh_7.vertices.elementAt(0);
      expect(vertex_7_0, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_1 = mesh_7.vertices.elementAt(1);
      expect(vertex_7_1, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -14.1125002)));
      final vertex_7_2 = mesh_7.vertices.elementAt(2);
      expect(vertex_7_2, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -15.1864996)));
      final vertex_7_3 = mesh_7.vertices.elementAt(3);
      expect(vertex_7_3, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, -106.510002)));
      final vertex_7_4 = mesh_7.vertices.elementAt(4);
      expect(vertex_7_4, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_5 = mesh_7.vertices.elementAt(5);
      expect(vertex_7_5, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, -106.197998)));
      final vertex_7_6 = mesh_7.vertices.elementAt(6);
      expect(vertex_7_6, vector3MoreOrLessEquals(Vector3(-16.2584, 8.70438957, -31.1760006)));
      final vertex_7_7 = mesh_7.vertices.elementAt(7);
      expect(vertex_7_7, vector3MoreOrLessEquals(Vector3(-14.8556004, 7.38925982, -32.463501)));
      final vertex_7_8 = mesh_7.vertices.elementAt(8);
      expect(vertex_7_8, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -15.1864996)));
      final vertex_7_9 = mesh_7.vertices.elementAt(9);
      expect(vertex_7_9, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -14.1125002)));
      final vertex_7_10 = mesh_7.vertices.elementAt(10);
      expect(vertex_7_10, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, -46.4104004)));
      final vertex_7_11 = mesh_7.vertices.elementAt(11);
      expect(vertex_7_11, vector3MoreOrLessEquals(Vector3(-13.1525002, 29.5002995, -46.2118988)));
      final vertex_7_12 = mesh_7.vertices.elementAt(12);
      expect(vertex_7_12, vector3MoreOrLessEquals(Vector3(-14.5093002, 29.8274994, -46.4584007)));
      final vertex_7_13 = mesh_7.vertices.elementAt(13);
      expect(vertex_7_13, vector3MoreOrLessEquals(Vector3(-18.5513992, 8.96432018, -31.3467007)));
      final vertex_7_14 = mesh_7.vertices.elementAt(14);
      expect(vertex_7_14, vector3MoreOrLessEquals(Vector3(-11.2650003, 29.2078991, -50.9928017)));
      final vertex_7_15 = mesh_7.vertices.elementAt(15);
      expect(vertex_7_15, vector3MoreOrLessEquals(Vector3(-13.1525002, 29.5002995, -46.2118988)));
      final vertex_7_16 = mesh_7.vertices.elementAt(16);
      expect(vertex_7_16, vector3MoreOrLessEquals(Vector3(-13.3945999, 29.5601997, -51.8265991)));
      final vertex_7_17 = mesh_7.vertices.elementAt(17);
      expect(vertex_7_17, vector3MoreOrLessEquals(Vector3(-20.0081005, 7.97335005, -32.8470001)));
      final vertex_7_18 = mesh_7.vertices.elementAt(18);
      expect(vertex_7_18, vector3MoreOrLessEquals(Vector3(-15.4755001, 28.7520008, -46.9645004)));
      final vertex_7_19 = mesh_7.vertices.elementAt(19);
      expect(vertex_7_19, vector3MoreOrLessEquals(Vector3(-15.309, 28.3104, -51.469101)));
      final vertex_7_20 = mesh_7.vertices.elementAt(20);
      expect(vertex_7_20, vector3MoreOrLessEquals(Vector3(-15.4755001, 28.7520008, -46.9645004)));
      final vertex_7_21 = mesh_7.vertices.elementAt(21);
      expect(vertex_7_21, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -15.8535004)));
      final vertex_7_22 = mesh_7.vertices.elementAt(22);
      expect(vertex_7_22, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -19.0986004)));
      final vertex_7_23 = mesh_7.vertices.elementAt(23);
      expect(vertex_7_23, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, -21.4041004)));
      final vertex_7_24 = mesh_7.vertices.elementAt(24);
      expect(vertex_7_24, vector3MoreOrLessEquals(Vector3(-19.5314007, 6.47770023, -34.5471992)));
      final vertex_7_25 = mesh_7.vertices.elementAt(25);
      expect(vertex_7_25, vector3MoreOrLessEquals(Vector3(-17.4804001, 5.60359001, -35.1669998)));
      final vertex_7_26 = mesh_7.vertices.elementAt(26);
      expect(vertex_7_26, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, -21.0340004)));
      final vertex_7_27 = mesh_7.vertices.elementAt(27);
      expect(vertex_7_27, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, -47.3488998)));
      final vertex_7_28 = mesh_7.vertices.elementAt(28);
      expect(vertex_7_28, vector3MoreOrLessEquals(Vector3(-14.1675997, 26.0790997, -47.3223)));
      final vertex_7_29 = mesh_7.vertices.elementAt(29);
      expect(vertex_7_29, vector3MoreOrLessEquals(Vector3(-13.9733, 25.2665997, -48.9514008)));
      final vertex_7_30 = mesh_7.vertices.elementAt(30);
      expect(vertex_7_30, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, -47.3488998)));
      final vertex_7_31 = mesh_7.vertices.elementAt(31);
      expect(vertex_7_31, vector3MoreOrLessEquals(Vector3(-12.8783998, 26.4944, -46.9045982)));
      final vertex_7_32 = mesh_7.vertices.elementAt(32);
      expect(vertex_7_32, vector3MoreOrLessEquals(Vector3(-12.8783998, 26.4944, -46.9045982)));
      final vertex_7_33 = mesh_7.vertices.elementAt(33);
      expect(vertex_7_33, vector3MoreOrLessEquals(Vector3(-15.5665998, 26.3995991, -50.1894989)));
      final vertex_7_34 = mesh_7.vertices.elementAt(34);
      expect(vertex_7_34, vector3MoreOrLessEquals(Vector3(-3.58909011, 14.2065001, -78.0562973)));
      final vertex_7_35 = mesh_7.vertices.elementAt(35);
      expect(vertex_7_35, vector3MoreOrLessEquals(Vector3(-5.65842009, 13.6618004, -77.1753006)));
      final vertex_7_36 = mesh_7.vertices.elementAt(36);
      expect(vertex_7_36, vector3MoreOrLessEquals(Vector3(-15.3233995, 27.0837994, -47.3488998)));
      final vertex_7_37 = mesh_7.vertices.elementAt(37);
      expect(vertex_7_37, vector3MoreOrLessEquals(Vector3(-6.16439009, 12.8817997, -75.0562973)));
      final vertex_7_38 = mesh_7.vertices.elementAt(38);
      expect(vertex_7_38, vector3MoreOrLessEquals(Vector3(-4.72602987, 12.4540005, -73.2947006)));
      final vertex_7_39 = mesh_7.vertices.elementAt(39);
      expect(vertex_7_39, vector3MoreOrLessEquals(Vector3(-11.7290001, 25.7646999, -48.6870995)));
      final vertex_7_40 = mesh_7.vertices.elementAt(40);
      expect(vertex_7_40, vector3MoreOrLessEquals(Vector3(-2.42644, 12.7004004, -73.2173004)));
      final vertex_7_41 = mesh_7.vertices.elementAt(41);
      expect(vertex_7_41, vector3MoreOrLessEquals(Vector3(2.08576012, -33.4161987, -98.879097)));
      final vertex_7_42 = mesh_7.vertices.elementAt(42);
      expect(vertex_7_42, vector3MoreOrLessEquals(Vector3(3.09747005, -32.9692001, -98.8658981)));
      final vertex_7_43 = mesh_7.vertices.elementAt(43);
      expect(vertex_7_43, vector3MoreOrLessEquals(Vector3(-10.5236998, 27.5188007, -49.5956001)));
      final vertex_7_44 = mesh_7.vertices.elementAt(44);
      expect(vertex_7_44, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4356003, -74.882103)));
      final vertex_7_45 = mesh_7.vertices.elementAt(45);
      expect(vertex_7_45, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3792, -99.7064972)));
      final vertex_7_46 = mesh_7.vertices.elementAt(46);
      expect(vertex_7_46, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, -46.4104004)));
      final vertex_7_47 = mesh_7.vertices.elementAt(47);
      expect(vertex_7_47, vector3MoreOrLessEquals(Vector3(-15.3993998, 6.0092802, -34.2396011)));
      final vertex_7_48 = mesh_7.vertices.elementAt(48);
      expect(vertex_7_48, vector3MoreOrLessEquals(Vector3(-14.8556004, 7.38925982, -32.463501)));
      final vertex_7_49 = mesh_7.vertices.elementAt(49);
      expect(vertex_7_49, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, -46.4104004)));
      final vertex_7_50 = mesh_7.vertices.elementAt(50);
      expect(vertex_7_50, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -18.2668991)));
      final vertex_7_51 = mesh_7.vertices.elementAt(51);
      expect(vertex_7_51, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -15.1864996)));
      final vertex_7_52 = mesh_7.vertices.elementAt(52);
      expect(vertex_7_52, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, -105.989998)));
      final vertex_7_53 = mesh_7.vertices.elementAt(53);
      expect(vertex_7_53, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, -106.197998)));
      final vertex_7_54 = mesh_7.vertices.elementAt(54);
      expect(vertex_7_54, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, -106.042999)));
      final vertex_7_55 = mesh_7.vertices.elementAt(55);
      expect(vertex_7_55, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, -106.316002)));
      final vertex_7_56 = mesh_7.vertices.elementAt(56);
      expect(vertex_7_56, vector3MoreOrLessEquals(Vector3(1.40261996, -32.3835983, -99.7362976)));
      final vertex_7_57 = mesh_7.vertices.elementAt(57);
      expect(vertex_7_57, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, -106.605003)));
      final vertex_7_58 = mesh_7.vertices.elementAt(58);
      expect(vertex_7_58, vector3MoreOrLessEquals(Vector3(1.56248999, -30.6490002, -100.792)));
      final vertex_7_59 = mesh_7.vertices.elementAt(59);
      expect(vertex_7_59, vector3MoreOrLessEquals(Vector3(-15.309, 28.3104, -51.469101)));
      final vertex_7_60 = mesh_7.vertices.elementAt(60);
      expect(vertex_7_60, vector3MoreOrLessEquals(Vector3(2.44499993, -29.5186005, -101.250999)));
      final vertex_7_61 = mesh_7.vertices.elementAt(61);
      expect(vertex_7_61, vector3MoreOrLessEquals(Vector3(4.58775997, -39.3502007, -106.691002)));
      final vertex_7_62 = mesh_7.vertices.elementAt(62);
      expect(vertex_7_62, vector3MoreOrLessEquals(Vector3(3.38557005, -29.8435001, -100.767998)));
      final vertex_7_63 = mesh_7.vertices.elementAt(63);
      expect(vertex_7_63, vector3MoreOrLessEquals(Vector3(-1.51470006, 14.1057997, -77.0356979)));
      final vertex_7_64 = mesh_7.vertices.elementAt(64);
      expect(vertex_7_64, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4356003, -74.882103)));
      final vertex_7_65 = mesh_7.vertices.elementAt(65);
      expect(vertex_7_65, vector3MoreOrLessEquals(Vector3(-10.5236998, 27.5188007, -49.5956001)));
      final vertex_7_66 = mesh_7.vertices.elementAt(66);
      expect(vertex_7_66, vector3MoreOrLessEquals(Vector3(-12.4266996, 28.0170002, -46.4104004)));
      final vertex_7_67 = mesh_7.vertices.elementAt(67);
      expect(vertex_7_67, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3792, -99.7064972)));
      final vertex_7_68 = mesh_7.vertices.elementAt(68);
      expect(vertex_7_68, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, -106.197998)));
      final vertex_7_69 = mesh_7.vertices.elementAt(69);
      expect(vertex_7_69, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, -106.510002)));
      final vertex_7_70 = mesh_7.vertices.elementAt(70);
      expect(vertex_7_70, vector3MoreOrLessEquals(Vector3(-11.2650003, 29.2078991, -50.9928017)));
      final vertex_7_71 = mesh_7.vertices.elementAt(71);
      expect(vertex_7_71, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_72 = mesh_7.vertices.elementAt(72);
      expect(vertex_7_72, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -15.8535004)));
      final vertex_7_73 = mesh_7.vertices.elementAt(73);
      expect(vertex_7_73, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616003, -14.1125002)));
      final vertex_7_74 = mesh_7.vertices.elementAt(74);
      expect(vertex_7_74, vector3MoreOrLessEquals(Vector3(4.58775997, -39.3502007, -106.691002)));
      final vertex_7_75 = mesh_7.vertices.elementAt(75);
      expect(vertex_7_75, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_76 = mesh_7.vertices.elementAt(76);
      expect(vertex_7_76, vector3MoreOrLessEquals(Vector3(5.03911018, -39.455101, -106.510002)));
      final vertex_7_77 = mesh_7.vertices.elementAt(77);
      expect(vertex_7_77, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_78 = mesh_7.vertices.elementAt(78);
      expect(vertex_7_78, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -19.0986004)));
      final vertex_7_79 = mesh_7.vertices.elementAt(79);
      expect(vertex_7_79, vector3MoreOrLessEquals(Vector3(-29.4302998, -1.92131996, -15.8535004)));
      final vertex_7_80 = mesh_7.vertices.elementAt(80);
      expect(vertex_7_80, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, -106.605003)));
      final vertex_7_81 = mesh_7.vertices.elementAt(81);
      expect(vertex_7_81, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_82 = mesh_7.vertices.elementAt(82);
      expect(vertex_7_82, vector3MoreOrLessEquals(Vector3(4.58775997, -39.3502007, -106.691002)));
      final vertex_7_83 = mesh_7.vertices.elementAt(83);
      expect(vertex_7_83, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_84 = mesh_7.vertices.elementAt(84);
      expect(vertex_7_84, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, -21.4041004)));
      final vertex_7_85 = mesh_7.vertices.elementAt(85);
      expect(vertex_7_85, vector3MoreOrLessEquals(Vector3(-30.1543007, -2.74296999, -19.0986004)));
      final vertex_7_86 = mesh_7.vertices.elementAt(86);
      expect(vertex_7_86, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, -106.316002)));
      final vertex_7_87 = mesh_7.vertices.elementAt(87);
      expect(vertex_7_87, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_88 = mesh_7.vertices.elementAt(88);
      expect(vertex_7_88, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7476997, -106.605003)));
      final vertex_7_89 = mesh_7.vertices.elementAt(89);
      expect(vertex_7_89, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_90 = mesh_7.vertices.elementAt(90);
      expect(vertex_7_90, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, -21.0340004)));
      final vertex_7_91 = mesh_7.vertices.elementAt(91);
      expect(vertex_7_91, vector3MoreOrLessEquals(Vector3(-28.0932999, -4.09240007, -21.4041004)));
      final vertex_7_92 = mesh_7.vertices.elementAt(92);
      expect(vertex_7_92, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, -106.042999)));
      final vertex_7_93 = mesh_7.vertices.elementAt(93);
      expect(vertex_7_93, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_94 = mesh_7.vertices.elementAt(94);
      expect(vertex_7_94, vector3MoreOrLessEquals(Vector3(4.1613102, -40.3484001, -106.316002)));
      final vertex_7_95 = mesh_7.vertices.elementAt(95);
      expect(vertex_7_95, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_96 = mesh_7.vertices.elementAt(96);
      expect(vertex_7_96, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -18.2668991)));
      final vertex_7_97 = mesh_7.vertices.elementAt(97);
      expect(vertex_7_97, vector3MoreOrLessEquals(Vector3(-24.7991009, -4.95347023, -21.0340004)));
      final vertex_7_98 = mesh_7.vertices.elementAt(98);
      expect(vertex_7_98, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, -105.989998)));
      final vertex_7_99 = mesh_7.vertices.elementAt(99);
      expect(vertex_7_99, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_100 = mesh_7.vertices.elementAt(100);
      expect(vertex_7_100, vector3MoreOrLessEquals(Vector3(4.50731993, -40.6997986, -106.042999)));
      final vertex_7_101 = mesh_7.vertices.elementAt(101);
      expect(vertex_7_101, vector3MoreOrLessEquals(Vector3(-26.4557991, -3.44384003, -17.8509007)));
      final vertex_7_102 = mesh_7.vertices.elementAt(102);
      expect(vertex_7_102, vector3MoreOrLessEquals(Vector3(-23.4944992, -3.4728899, -15.1864996)));
      final vertex_7_103 = mesh_7.vertices.elementAt(103);
      expect(vertex_7_103, vector3MoreOrLessEquals(Vector3(-22.7525005, -4.67776012, -18.2668991)));
      final vertex_7_104 = mesh_7.vertices.elementAt(104);
      expect(vertex_7_104, vector3MoreOrLessEquals(Vector3(5.2112298, -39.9835014, -106.197998)));
      final vertex_7_105 = mesh_7.vertices.elementAt(105);
      expect(vertex_7_105, vector3MoreOrLessEquals(Vector3(4.66834021, -40.0175018, -106.335999)));
      final vertex_7_106 = mesh_7.vertices.elementAt(106);
      expect(vertex_7_106, vector3MoreOrLessEquals(Vector3(4.9745698, -40.5374985, -105.989998)));
      expect(mesh_7.normals.length, isZero);
      expect(mesh_7.tangents.length, isZero);
      expect(mesh_7.bitangents.length, isZero);
      expect(mesh_7.colors.length, isZero);
      expect(mesh_7.textureCoords.length, isZero);
      expect(mesh_7.uvComponents.length, isZero);
      expect(mesh_7.uvComponents, equals([]));
      expect(mesh_7.faces.length, equals(98));
      expect(mesh_7.bones.length, isZero);
      expect(mesh_7.materialIndex, equals(2));
      expect(mesh_7.name, equals('Bein3Li'));
      expect(mesh_7.animMeshes.length, isZero);
      expect(mesh_7.morphingMethod, isZero);
      expect(mesh_7.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.primitiveTypes, equals(4));
      expect(mesh_8.vertices.length, equals(113));
      final vertex_8_0 = mesh_8.vertices.elementAt(0);
      expect(vertex_8_0, vector3MoreOrLessEquals(Vector3(-11.2052002, -7.28023005, -5.84187984)));
      final vertex_8_1 = mesh_8.vertices.elementAt(1);
      expect(vertex_8_1, vector3MoreOrLessEquals(Vector3(-14.1027002, -6.07577991, -7.12446022)));
      final vertex_8_2 = mesh_8.vertices.elementAt(2);
      expect(vertex_8_2, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_3 = mesh_8.vertices.elementAt(3);
      expect(vertex_8_3, vector3MoreOrLessEquals(Vector3(19.8971004, -38.155201, 68.0391006)));
      final vertex_8_4 = mesh_8.vertices.elementAt(4);
      expect(vertex_8_4, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_5 = mesh_8.vertices.elementAt(5);
      expect(vertex_8_5, vector3MoreOrLessEquals(Vector3(19.7499008, -37.6074982, 68.3299026)));
      final vertex_8_6 = mesh_8.vertices.elementAt(6);
      expect(vertex_8_6, vector3MoreOrLessEquals(Vector3(-11.2052002, -7.28023005, -5.84187984)));
      final vertex_8_7 = mesh_8.vertices.elementAt(7);
      expect(vertex_8_7, vector3MoreOrLessEquals(Vector3(-2.87765002, 5.51760006, 11.0768995)));
      final vertex_8_8 = mesh_8.vertices.elementAt(8);
      expect(vertex_8_8, vector3MoreOrLessEquals(Vector3(-4.9075098, 6.09363985, 10.1267996)));
      final vertex_8_9 = mesh_8.vertices.elementAt(9);
      expect(vertex_8_9, vector3MoreOrLessEquals(Vector3(-14.1027002, -6.07577991, -7.12446022)));
      final vertex_8_10 = mesh_8.vertices.elementAt(10);
      expect(vertex_8_10, vector3MoreOrLessEquals(Vector3(1.74566996, 26.1368999, 21.0077991)));
      final vertex_8_11 = mesh_8.vertices.elementAt(11);
      expect(vertex_8_11, vector3MoreOrLessEquals(Vector3(0.474552006, 27.2094002, 20.9797001)));
      final vertex_8_12 = mesh_8.vertices.elementAt(12);
      expect(vertex_8_12, vector3MoreOrLessEquals(Vector3(-17.1159992, -5.53336, -5.52841997)));
      final vertex_8_13 = mesh_8.vertices.elementAt(13);
      expect(vertex_8_13, vector3MoreOrLessEquals(Vector3(-7.03667021, 5.46706009, 10.7817001)));
      final vertex_8_14 = mesh_8.vertices.elementAt(14);
      expect(vertex_8_14, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091991, 21.5109005)));
      final vertex_8_15 = mesh_8.vertices.elementAt(15);
      expect(vertex_8_15, vector3MoreOrLessEquals(Vector3(1.74566996, 26.1368999, 21.0077991)));
      final vertex_8_16 = mesh_8.vertices.elementAt(16);
      expect(vertex_8_16, vector3MoreOrLessEquals(Vector3(3.23342991, 28.0240002, 25.2493992)));
      final vertex_8_17 = mesh_8.vertices.elementAt(17);
      expect(vertex_8_17, vector3MoreOrLessEquals(Vector3(3.23342991, 28.0240002, 25.2493992)));
      final vertex_8_18 = mesh_8.vertices.elementAt(18);
      expect(vertex_8_18, vector3MoreOrLessEquals(Vector3(1.34654999, 27.5951004, 26.5184994)));
      final vertex_8_19 = mesh_8.vertices.elementAt(19);
      expect(vertex_8_19, vector3MoreOrLessEquals(Vector3(-7.66181993, 4.10971022, 12.5486002)));
      final vertex_8_20 = mesh_8.vertices.elementAt(20);
      expect(vertex_8_20, vector3MoreOrLessEquals(Vector3(-1.17244005, 25.6870003, 22.2014008)));
      final vertex_8_21 = mesh_8.vertices.elementAt(21);
      expect(vertex_8_21, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839008, 26.5646992)));
      final vertex_8_22 = mesh_8.vertices.elementAt(22);
      expect(vertex_8_22, vector3MoreOrLessEquals(Vector3(-17.9759998, -6.06142998, -2.25556993)));
      final vertex_8_23 = mesh_8.vertices.elementAt(23);
      expect(vertex_8_23, vector3MoreOrLessEquals(Vector3(-16.0352001, -7.26234007, 0.229479)));
      final vertex_8_24 = mesh_8.vertices.elementAt(24);
      expect(vertex_8_24, vector3MoreOrLessEquals(Vector3(-6.31225014, 3.04368997, 14.0967999)));
      final vertex_8_25 = mesh_8.vertices.elementAt(25);
      expect(vertex_8_25, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2385998, 22.5312004)));
      final vertex_8_26 = mesh_8.vertices.elementAt(26);
      expect(vertex_8_26, vector3MoreOrLessEquals(Vector3(-4.00415993, 3.07171988, 14.2606001)));
      final vertex_8_27 = mesh_8.vertices.elementAt(27);
      expect(vertex_8_27, vector3MoreOrLessEquals(Vector3(-12.7550001, -8.23180008, 0.0555059984)));
      final vertex_8_28 = mesh_8.vertices.elementAt(28);
      expect(vertex_8_28, vector3MoreOrLessEquals(Vector3(-1.17244005, 25.6870003, 22.2014008)));
      final vertex_8_29 = mesh_8.vertices.elementAt(29);
      expect(vertex_8_29, vector3MoreOrLessEquals(Vector3(1.11807001, 23.7546005, 22.2520008)));
      final vertex_8_30 = mesh_8.vertices.elementAt(30);
      expect(vertex_8_30, vector3MoreOrLessEquals(Vector3(-10.6055002, -8.2397604, -2.64650011)));
      final vertex_8_31 = mesh_8.vertices.elementAt(31);
      expect(vertex_8_31, vector3MoreOrLessEquals(Vector3(-2.47562003, 4.17272997, 12.9166002)));
      final vertex_8_32 = mesh_8.vertices.elementAt(32);
      expect(vertex_8_32, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5993996, 21.5739994)));
      final vertex_8_33 = mesh_8.vertices.elementAt(33);
      expect(vertex_8_33, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2385998, 22.5312004)));
      final vertex_8_34 = mesh_8.vertices.elementAt(34);
      expect(vertex_8_34, vector3MoreOrLessEquals(Vector3(1.93285, 23.2038994, 23.7963009)));
      final vertex_8_35 = mesh_8.vertices.elementAt(35);
      expect(vertex_8_35, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5993996, 21.5739994)));
      final vertex_8_36 = mesh_8.vertices.elementAt(36);
      expect(vertex_8_36, vector3MoreOrLessEquals(Vector3(3.70362997, 24.5025997, 23.0664005)));
      final vertex_8_37 = mesh_8.vertices.elementAt(37);
      expect(vertex_8_37, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6476994, 23.7131004)));
      final vertex_8_38 = mesh_8.vertices.elementAt(38);
      expect(vertex_8_38, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6476994, 23.7131004)));
      final vertex_8_39 = mesh_8.vertices.elementAt(39);
      expect(vertex_8_39, vector3MoreOrLessEquals(Vector3(1.74566996, 26.1368999, 21.0077991)));
      final vertex_8_40 = mesh_8.vertices.elementAt(40);
      expect(vertex_8_40, vector3MoreOrLessEquals(Vector3(13.5324001, 4.29247999, 46.2888985)));
      final vertex_8_41 = mesh_8.vertices.elementAt(41);
      expect(vertex_8_41, vector3MoreOrLessEquals(Vector3(14.8601999, 5.64246988, 47.6189995)));
      final vertex_8_42 = mesh_8.vertices.elementAt(42);
      expect(vertex_8_42, vector3MoreOrLessEquals(Vector3(11.5766001, 3.19019008, 46.8498993)));
      final vertex_8_43 = mesh_8.vertices.elementAt(43);
      expect(vertex_8_43, vector3MoreOrLessEquals(Vector3(17.5072002, -31.6086998, 60.4299011)));
      final vertex_8_44 = mesh_8.vertices.elementAt(44);
      expect(vertex_8_44, vector3MoreOrLessEquals(Vector3(17.5072002, -31.6086998, 60.4299011)));
      final vertex_8_45 = mesh_8.vertices.elementAt(45);
      expect(vertex_8_45, vector3MoreOrLessEquals(Vector3(18.5468998, -31.2313995, 60.4449997)));
      final vertex_8_46 = mesh_8.vertices.elementAt(46);
      expect(vertex_8_46, vector3MoreOrLessEquals(Vector3(19.2007008, -29.6602001, 61.2653999)));
      final vertex_8_47 = mesh_8.vertices.elementAt(47);
      expect(vertex_8_47, vector3MoreOrLessEquals(Vector3(10.4657001, 3.16568995, 48.8796997)));
      final vertex_8_48 = mesh_8.vertices.elementAt(48);
      expect(vertex_8_48, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2385998, 22.5312004)));
      final vertex_8_49 = mesh_8.vertices.elementAt(49);
      expect(vertex_8_49, vector3MoreOrLessEquals(Vector3(0.303561985, 23.7297001, 25.3530998)));
      final vertex_8_50 = mesh_8.vertices.elementAt(50);
      expect(vertex_8_50, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091991, 21.5109005)));
      final vertex_8_51 = mesh_8.vertices.elementAt(51);
      expect(vertex_8_51, vector3MoreOrLessEquals(Vector3(12.8583002, 5.59826994, 51.2765007)));
      final vertex_8_52 = mesh_8.vertices.elementAt(52);
      expect(vertex_8_52, vector3MoreOrLessEquals(Vector3(11.0361004, 4.23739004, 50.8497009)));
      final vertex_8_53 = mesh_8.vertices.elementAt(53);
      expect(vertex_8_53, vector3MoreOrLessEquals(Vector3(14.5602999, 6.2235899, 49.8386993)));
      final vertex_8_54 = mesh_8.vertices.elementAt(54);
      expect(vertex_8_54, vector3MoreOrLessEquals(Vector3(18.9761009, -28.0781002, 62.2733994)));
      final vertex_8_55 = mesh_8.vertices.elementAt(55);
      expect(vertex_8_55, vector3MoreOrLessEquals(Vector3(18.0422993, -27.6765995, 62.7098007)));
      final vertex_8_56 = mesh_8.vertices.elementAt(56);
      expect(vertex_8_56, vector3MoreOrLessEquals(Vector3(17.1025009, -28.7579994, 62.2462006)));
      final vertex_8_57 = mesh_8.vertices.elementAt(57);
      expect(vertex_8_57, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839008, 26.5646992)));
      final vertex_8_58 = mesh_8.vertices.elementAt(58);
      expect(vertex_8_58, vector3MoreOrLessEquals(Vector3(16.8644009, -30.5079994, 61.2314987)));
      final vertex_8_59 = mesh_8.vertices.elementAt(59);
      expect(vertex_8_59, vector3MoreOrLessEquals(Vector3(18.8209991, -38.4449005, 68.1250992)));
      final vertex_8_60 = mesh_8.vertices.elementAt(60);
      expect(vertex_8_60, vector3MoreOrLessEquals(Vector3(19.3001995, -37.4672012, 68.4899979)));
      final vertex_8_61 = mesh_8.vertices.elementAt(61);
      expect(vertex_8_61, vector3MoreOrLessEquals(Vector3(18.8868999, -37.839901, 68.3988037)));
      final vertex_8_62 = mesh_8.vertices.elementAt(62);
      expect(vertex_8_62, vector3MoreOrLessEquals(Vector3(19.1522007, -38.8266983, 67.8748016)));
      final vertex_8_63 = mesh_8.vertices.elementAt(63);
      expect(vertex_8_63, vector3MoreOrLessEquals(Vector3(19.6310997, -38.6977997, 67.8366013)));
      final vertex_8_64 = mesh_8.vertices.elementAt(64);
      expect(vertex_8_64, vector3MoreOrLessEquals(Vector3(19.8971004, -38.155201, 68.0391006)));
      final vertex_8_65 = mesh_8.vertices.elementAt(65);
      expect(vertex_8_65, vector3MoreOrLessEquals(Vector3(18.9761009, -28.0781002, 62.2733994)));
      final vertex_8_66 = mesh_8.vertices.elementAt(66);
      expect(vertex_8_66, vector3MoreOrLessEquals(Vector3(19.7499008, -37.6074982, 68.3299026)));
      final vertex_8_67 = mesh_8.vertices.elementAt(67);
      expect(vertex_8_67, vector3MoreOrLessEquals(Vector3(18.0422993, -27.6765995, 62.7098007)));
      final vertex_8_68 = mesh_8.vertices.elementAt(68);
      expect(vertex_8_68, vector3MoreOrLessEquals(Vector3(14.8601999, 5.64246988, 47.6189995)));
      final vertex_8_69 = mesh_8.vertices.elementAt(69);
      expect(vertex_8_69, vector3MoreOrLessEquals(Vector3(19.2007008, -29.6602001, 61.2653999)));
      final vertex_8_70 = mesh_8.vertices.elementAt(70);
      expect(vertex_8_70, vector3MoreOrLessEquals(Vector3(19.8971004, -38.155201, 68.0391006)));
      final vertex_8_71 = mesh_8.vertices.elementAt(71);
      expect(vertex_8_71, vector3MoreOrLessEquals(Vector3(12.8583002, 5.59826994, 51.2765007)));
      final vertex_8_72 = mesh_8.vertices.elementAt(72);
      expect(vertex_8_72, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6476994, 23.7131004)));
      final vertex_8_73 = mesh_8.vertices.elementAt(73);
      expect(vertex_8_73, vector3MoreOrLessEquals(Vector3(-2.87765002, 5.51760006, 11.0768995)));
      final vertex_8_74 = mesh_8.vertices.elementAt(74);
      expect(vertex_8_74, vector3MoreOrLessEquals(Vector3(-11.2052002, -7.28023005, -5.84187984)));
      final vertex_8_75 = mesh_8.vertices.elementAt(75);
      expect(vertex_8_75, vector3MoreOrLessEquals(Vector3(1.74566996, 26.1368999, 21.0077991)));
      final vertex_8_76 = mesh_8.vertices.elementAt(76);
      expect(vertex_8_76, vector3MoreOrLessEquals(Vector3(-2.87765002, 5.51760006, 11.0768995)));
      final vertex_8_77 = mesh_8.vertices.elementAt(77);
      expect(vertex_8_77, vector3MoreOrLessEquals(Vector3(-14.1027002, -6.07577991, -7.12446022)));
      final vertex_8_78 = mesh_8.vertices.elementAt(78);
      expect(vertex_8_78, vector3MoreOrLessEquals(Vector3(-17.1159992, -5.53336, -5.52841997)));
      final vertex_8_79 = mesh_8.vertices.elementAt(79);
      expect(vertex_8_79, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_80 = mesh_8.vertices.elementAt(80);
      expect(vertex_8_80, vector3MoreOrLessEquals(Vector3(19.7499008, -37.6074982, 68.3299026)));
      final vertex_8_81 = mesh_8.vertices.elementAt(81);
      expect(vertex_8_81, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_82 = mesh_8.vertices.elementAt(82);
      expect(vertex_8_82, vector3MoreOrLessEquals(Vector3(19.3001995, -37.4672012, 68.4899979)));
      final vertex_8_83 = mesh_8.vertices.elementAt(83);
      expect(vertex_8_83, vector3MoreOrLessEquals(Vector3(-17.1159992, -5.53336, -5.52841997)));
      final vertex_8_84 = mesh_8.vertices.elementAt(84);
      expect(vertex_8_84, vector3MoreOrLessEquals(Vector3(-17.9759998, -6.06142998, -2.25556993)));
      final vertex_8_85 = mesh_8.vertices.elementAt(85);
      expect(vertex_8_85, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_86 = mesh_8.vertices.elementAt(86);
      expect(vertex_8_86, vector3MoreOrLessEquals(Vector3(19.3001995, -37.4672012, 68.4899979)));
      final vertex_8_87 = mesh_8.vertices.elementAt(87);
      expect(vertex_8_87, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_88 = mesh_8.vertices.elementAt(88);
      expect(vertex_8_88, vector3MoreOrLessEquals(Vector3(18.8868999, -37.839901, 68.3988037)));
      final vertex_8_89 = mesh_8.vertices.elementAt(89);
      expect(vertex_8_89, vector3MoreOrLessEquals(Vector3(-17.9759998, -6.06142998, -2.25556993)));
      final vertex_8_90 = mesh_8.vertices.elementAt(90);
      expect(vertex_8_90, vector3MoreOrLessEquals(Vector3(-16.0352001, -7.26234007, 0.229479)));
      final vertex_8_91 = mesh_8.vertices.elementAt(91);
      expect(vertex_8_91, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_92 = mesh_8.vertices.elementAt(92);
      expect(vertex_8_92, vector3MoreOrLessEquals(Vector3(18.8868999, -37.839901, 68.3988037)));
      final vertex_8_93 = mesh_8.vertices.elementAt(93);
      expect(vertex_8_93, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_94 = mesh_8.vertices.elementAt(94);
      expect(vertex_8_94, vector3MoreOrLessEquals(Vector3(18.8209991, -38.4449005, 68.1250992)));
      final vertex_8_95 = mesh_8.vertices.elementAt(95);
      expect(vertex_8_95, vector3MoreOrLessEquals(Vector3(-16.0352001, -7.26234007, 0.229479)));
      final vertex_8_96 = mesh_8.vertices.elementAt(96);
      expect(vertex_8_96, vector3MoreOrLessEquals(Vector3(-12.7550001, -8.23180008, 0.0555059984)));
      final vertex_8_97 = mesh_8.vertices.elementAt(97);
      expect(vertex_8_97, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_98 = mesh_8.vertices.elementAt(98);
      expect(vertex_8_98, vector3MoreOrLessEquals(Vector3(18.8209991, -38.4449005, 68.1250992)));
      final vertex_8_99 = mesh_8.vertices.elementAt(99);
      expect(vertex_8_99, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_100 = mesh_8.vertices.elementAt(100);
      expect(vertex_8_100, vector3MoreOrLessEquals(Vector3(19.1522007, -38.8266983, 67.8748016)));
      final vertex_8_101 = mesh_8.vertices.elementAt(101);
      expect(vertex_8_101, vector3MoreOrLessEquals(Vector3(-12.7550001, -8.23180008, 0.0555059984)));
      final vertex_8_102 = mesh_8.vertices.elementAt(102);
      expect(vertex_8_102, vector3MoreOrLessEquals(Vector3(-10.6055002, -8.2397604, -2.64650011)));
      final vertex_8_103 = mesh_8.vertices.elementAt(103);
      expect(vertex_8_103, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_104 = mesh_8.vertices.elementAt(104);
      expect(vertex_8_104, vector3MoreOrLessEquals(Vector3(19.1522007, -38.8266983, 67.8748016)));
      final vertex_8_105 = mesh_8.vertices.elementAt(105);
      expect(vertex_8_105, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_106 = mesh_8.vertices.elementAt(106);
      expect(vertex_8_106, vector3MoreOrLessEquals(Vector3(19.6310997, -38.6977997, 67.8366013)));
      final vertex_8_107 = mesh_8.vertices.elementAt(107);
      expect(vertex_8_107, vector3MoreOrLessEquals(Vector3(-10.6055002, -8.2397604, -2.64650011)));
      final vertex_8_108 = mesh_8.vertices.elementAt(108);
      expect(vertex_8_108, vector3MoreOrLessEquals(Vector3(-11.2052002, -7.28023005, -5.84187984)));
      final vertex_8_109 = mesh_8.vertices.elementAt(109);
      expect(vertex_8_109, vector3MoreOrLessEquals(Vector3(-14.2565002, -6.95493984, -3.3016901)));
      final vertex_8_110 = mesh_8.vertices.elementAt(110);
      expect(vertex_8_110, vector3MoreOrLessEquals(Vector3(19.6310997, -38.6977997, 67.8366013)));
      final vertex_8_111 = mesh_8.vertices.elementAt(111);
      expect(vertex_8_111, vector3MoreOrLessEquals(Vector3(19.3484001, -38.1484985, 68.1563034)));
      final vertex_8_112 = mesh_8.vertices.elementAt(112);
      expect(vertex_8_112, vector3MoreOrLessEquals(Vector3(19.8971004, -38.155201, 68.0391006)));
      expect(mesh_8.normals.length, isZero);
      expect(mesh_8.tangents.length, isZero);
      expect(mesh_8.bitangents.length, isZero);
      expect(mesh_8.colors.length, isZero);
      expect(mesh_8.textureCoords.length, isZero);
      expect(mesh_8.uvComponents.length, isZero);
      expect(mesh_8.uvComponents, equals([]));
      expect(mesh_8.faces.length, equals(98));
      expect(mesh_8.bones.length, isZero);
      expect(mesh_8.materialIndex, equals(2));
      expect(mesh_8.name, equals('Bein4Re'));
      expect(mesh_8.animMeshes.length, isZero);
      expect(mesh_8.morphingMethod, isZero);
      expect(mesh_8.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.primitiveTypes, equals(4));
      expect(mesh_9.vertices.length, equals(113));
      final vertex_9_0 = mesh_9.vertices.elementAt(0);
      expect(vertex_9_0, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_1 = mesh_9.vertices.elementAt(1);
      expect(vertex_9_1, vector3MoreOrLessEquals(Vector3(-15.4359999, -6.07577991, -12.2089005)));
      final vertex_9_2 = mesh_9.vertices.elementAt(2);
      expect(vertex_9_2, vector3MoreOrLessEquals(Vector3(-12.5384998, -7.28023005, -13.4914999)));
      final vertex_9_3 = mesh_9.vertices.elementAt(3);
      expect(vertex_9_3, vector3MoreOrLessEquals(Vector3(18.4165001, -37.6074982, -87.6632996)));
      final vertex_9_4 = mesh_9.vertices.elementAt(4);
      expect(vertex_9_4, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_5 = mesh_9.vertices.elementAt(5);
      expect(vertex_9_5, vector3MoreOrLessEquals(Vector3(18.5638008, -38.155201, -87.3724976)));
      final vertex_9_6 = mesh_9.vertices.elementAt(6);
      expect(vertex_9_6, vector3MoreOrLessEquals(Vector3(-6.24083996, 6.09363985, -29.4601994)));
      final vertex_9_7 = mesh_9.vertices.elementAt(7);
      expect(vertex_9_7, vector3MoreOrLessEquals(Vector3(-4.21097994, 5.51760006, -30.4102993)));
      final vertex_9_8 = mesh_9.vertices.elementAt(8);
      expect(vertex_9_8, vector3MoreOrLessEquals(Vector3(-12.5384998, -7.28023005, -13.4914999)));
      final vertex_9_9 = mesh_9.vertices.elementAt(9);
      expect(vertex_9_9, vector3MoreOrLessEquals(Vector3(-15.4359999, -6.07577991, -12.2089005)));
      final vertex_9_10 = mesh_9.vertices.elementAt(10);
      expect(vertex_9_10, vector3MoreOrLessEquals(Vector3(0.412342012, 26.1368999, -40.3410988)));
      final vertex_9_11 = mesh_9.vertices.elementAt(11);
      expect(vertex_9_11, vector3MoreOrLessEquals(Vector3(-0.858780026, 27.2094002, -40.3129997)));
      final vertex_9_12 = mesh_9.vertices.elementAt(12);
      expect(vertex_9_12, vector3MoreOrLessEquals(Vector3(1.90009999, 28.0240002, -44.5828018)));
      final vertex_9_13 = mesh_9.vertices.elementAt(13);
      expect(vertex_9_13, vector3MoreOrLessEquals(Vector3(0.412342012, 26.1368999, -40.3410988)));
      final vertex_9_14 = mesh_9.vertices.elementAt(14);
      expect(vertex_9_14, vector3MoreOrLessEquals(Vector3(-2.15746999, 27.0091991, -40.8442001)));
      final vertex_9_15 = mesh_9.vertices.elementAt(15);
      expect(vertex_9_15, vector3MoreOrLessEquals(Vector3(1.90009999, 28.0240002, -44.5828018)));
      final vertex_9_16 = mesh_9.vertices.elementAt(16);
      expect(vertex_9_16, vector3MoreOrLessEquals(Vector3(2.94912004, 26.6476994, -43.0465012)));
      final vertex_9_17 = mesh_9.vertices.elementAt(17);
      expect(vertex_9_17, vector3MoreOrLessEquals(Vector3(13.5269003, 5.64246988, -66.952301)));
      final vertex_9_18 = mesh_9.vertices.elementAt(18);
      expect(vertex_9_18, vector3MoreOrLessEquals(Vector3(13.2269001, 6.2235899, -69.1719971)));
      final vertex_9_19 = mesh_9.vertices.elementAt(19);
      expect(vertex_9_19, vector3MoreOrLessEquals(Vector3(0.0132219996, 27.5951004, -45.851799)));
      final vertex_9_20 = mesh_9.vertices.elementAt(20);
      expect(vertex_9_20, vector3MoreOrLessEquals(Vector3(11.5249996, 5.59826994, -70.6098022)));
      final vertex_9_21 = mesh_9.vertices.elementAt(21);
      expect(vertex_9_21, vector3MoreOrLessEquals(Vector3(17.6427002, -28.0781002, -81.6066971)));
      final vertex_9_22 = mesh_9.vertices.elementAt(22);
      expect(vertex_9_22, vector3MoreOrLessEquals(Vector3(17.8673, -29.6602001, -80.5987015)));
      final vertex_9_23 = mesh_9.vertices.elementAt(23);
      expect(vertex_9_23, vector3MoreOrLessEquals(Vector3(17.6427002, -28.0781002, -81.6066971)));
      final vertex_9_24 = mesh_9.vertices.elementAt(24);
      expect(vertex_9_24, vector3MoreOrLessEquals(Vector3(-1.29069996, 25.6839008, -45.8979988)));
      final vertex_9_25 = mesh_9.vertices.elementAt(25);
      expect(vertex_9_25, vector3MoreOrLessEquals(Vector3(9.70273018, 4.23739004, -70.1829987)));
      final vertex_9_26 = mesh_9.vertices.elementAt(26);
      expect(vertex_9_26, vector3MoreOrLessEquals(Vector3(15.7692003, -28.7579994, -81.5794983)));
      final vertex_9_27 = mesh_9.vertices.elementAt(27);
      expect(vertex_9_27, vector3MoreOrLessEquals(Vector3(16.7089005, -27.6765995, -82.0431976)));
      final vertex_9_28 = mesh_9.vertices.elementAt(28);
      expect(vertex_9_28, vector3MoreOrLessEquals(Vector3(-8.37001038, 5.46706009, -30.1151009)));
      final vertex_9_29 = mesh_9.vertices.elementAt(29);
      expect(vertex_9_29, vector3MoreOrLessEquals(Vector3(-8.99514961, 4.10971022, -31.8819008)));
      final vertex_9_30 = mesh_9.vertices.elementAt(30);
      expect(vertex_9_30, vector3MoreOrLessEquals(Vector3(-2.50576997, 25.6870003, -41.5346985)));
      final vertex_9_31 = mesh_9.vertices.elementAt(31);
      expect(vertex_9_31, vector3MoreOrLessEquals(Vector3(-18.4493008, -5.53336, -13.8049002)));
      final vertex_9_32 = mesh_9.vertices.elementAt(32);
      expect(vertex_9_32, vector3MoreOrLessEquals(Vector3(-19.3092995, -6.06142998, -17.0778008)));
      final vertex_9_33 = mesh_9.vertices.elementAt(33);
      expect(vertex_9_33, vector3MoreOrLessEquals(Vector3(-17.3684998, -7.26234007, -19.5627995)));
      final vertex_9_34 = mesh_9.vertices.elementAt(34);
      expect(vertex_9_34, vector3MoreOrLessEquals(Vector3(-7.64557981, 3.04368997, -33.4300995)));
      final vertex_9_35 = mesh_9.vertices.elementAt(35);
      expect(vertex_9_35, vector3MoreOrLessEquals(Vector3(-1.64139998, 24.2385998, -41.8646011)));
      final vertex_9_36 = mesh_9.vertices.elementAt(36);
      expect(vertex_9_36, vector3MoreOrLessEquals(Vector3(-5.33749008, 3.07171988, -33.5938988)));
      final vertex_9_37 = mesh_9.vertices.elementAt(37);
      expect(vertex_9_37, vector3MoreOrLessEquals(Vector3(-14.0882998, -8.23180008, -19.3887997)));
      final vertex_9_38 = mesh_9.vertices.elementAt(38);
      expect(vertex_9_38, vector3MoreOrLessEquals(Vector3(-2.50576997, 25.6870003, -41.5346985)));
      final vertex_9_39 = mesh_9.vertices.elementAt(39);
      expect(vertex_9_39, vector3MoreOrLessEquals(Vector3(-0.215265006, 23.7546005, -41.5853996)));
      final vertex_9_40 = mesh_9.vertices.elementAt(40);
      expect(vertex_9_40, vector3MoreOrLessEquals(Vector3(-2.15746999, 27.0091991, -40.8442001)));
      final vertex_9_41 = mesh_9.vertices.elementAt(41);
      expect(vertex_9_41, vector3MoreOrLessEquals(Vector3(-1.64139998, 24.2385998, -41.8646011)));
      final vertex_9_42 = mesh_9.vertices.elementAt(42);
      expect(vertex_9_42, vector3MoreOrLessEquals(Vector3(-1.02977002, 23.7297001, -44.6865005)));
      final vertex_9_43 = mesh_9.vertices.elementAt(43);
      expect(vertex_9_43, vector3MoreOrLessEquals(Vector3(9.1323204, 3.16568995, -68.2130966)));
      final vertex_9_44 = mesh_9.vertices.elementAt(44);
      expect(vertex_9_44, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2038994, -43.1296005)));
      final vertex_9_45 = mesh_9.vertices.elementAt(45);
      expect(vertex_9_45, vector3MoreOrLessEquals(Vector3(-1.64139998, 24.2385998, -41.8646011)));
      final vertex_9_46 = mesh_9.vertices.elementAt(46);
      expect(vertex_9_46, vector3MoreOrLessEquals(Vector3(10.2433004, 3.19019008, -66.183197)));
      final vertex_9_47 = mesh_9.vertices.elementAt(47);
      expect(vertex_9_47, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5993996, -40.9073982)));
      final vertex_9_48 = mesh_9.vertices.elementAt(48);
      expect(vertex_9_48, vector3MoreOrLessEquals(Vector3(2.37030005, 24.5025997, -42.3997002)));
      final vertex_9_49 = mesh_9.vertices.elementAt(49);
      expect(vertex_9_49, vector3MoreOrLessEquals(Vector3(12.1990004, 4.29247999, -65.6222)));
      final vertex_9_50 = mesh_9.vertices.elementAt(50);
      expect(vertex_9_50, vector3MoreOrLessEquals(Vector3(16.1739006, -31.6086998, -79.7631989)));
      final vertex_9_51 = mesh_9.vertices.elementAt(51);
      expect(vertex_9_51, vector3MoreOrLessEquals(Vector3(17.2136002, -31.2313995, -79.7782974)));
      final vertex_9_52 = mesh_9.vertices.elementAt(52);
      expect(vertex_9_52, vector3MoreOrLessEquals(Vector3(16.1739006, -31.6086998, -79.7631989)));
      final vertex_9_53 = mesh_9.vertices.elementAt(53);
      expect(vertex_9_53, vector3MoreOrLessEquals(Vector3(2.94912004, 26.6476994, -43.0465012)));
      final vertex_9_54 = mesh_9.vertices.elementAt(54);
      expect(vertex_9_54, vector3MoreOrLessEquals(Vector3(13.5269003, 5.64246988, -66.952301)));
      final vertex_9_55 = mesh_9.vertices.elementAt(55);
      expect(vertex_9_55, vector3MoreOrLessEquals(Vector3(17.8673, -29.6602001, -80.5987015)));
      final vertex_9_56 = mesh_9.vertices.elementAt(56);
      expect(vertex_9_56, vector3MoreOrLessEquals(Vector3(0.412342012, 26.1368999, -40.3410988)));
      final vertex_9_57 = mesh_9.vertices.elementAt(57);
      expect(vertex_9_57, vector3MoreOrLessEquals(Vector3(2.94912004, 26.6476994, -43.0465012)));
      final vertex_9_58 = mesh_9.vertices.elementAt(58);
      expect(vertex_9_58, vector3MoreOrLessEquals(Vector3(18.2978001, -38.6977997, -87.1699982)));
      final vertex_9_59 = mesh_9.vertices.elementAt(59);
      expect(vertex_9_59, vector3MoreOrLessEquals(Vector3(18.5638008, -38.155201, -87.3724976)));
      final vertex_9_60 = mesh_9.vertices.elementAt(60);
      expect(vertex_9_60, vector3MoreOrLessEquals(Vector3(17.8188992, -38.8266983, -87.2081985)));
      final vertex_9_61 = mesh_9.vertices.elementAt(61);
      expect(vertex_9_61, vector3MoreOrLessEquals(Vector3(17.4876995, -38.4449005, -87.4583969)));
      final vertex_9_62 = mesh_9.vertices.elementAt(62);
      expect(vertex_9_62, vector3MoreOrLessEquals(Vector3(17.5534992, -37.839901, -87.7321014)));
      final vertex_9_63 = mesh_9.vertices.elementAt(63);
      expect(vertex_9_63, vector3MoreOrLessEquals(Vector3(15.5311003, -30.5079994, -80.5649033)));
      final vertex_9_64 = mesh_9.vertices.elementAt(64);
      expect(vertex_9_64, vector3MoreOrLessEquals(Vector3(17.9668999, -37.4672012, -87.8233032)));
      final vertex_9_65 = mesh_9.vertices.elementAt(65);
      expect(vertex_9_65, vector3MoreOrLessEquals(Vector3(-1.29069996, 25.6839008, -45.8979988)));
      final vertex_9_66 = mesh_9.vertices.elementAt(66);
      expect(vertex_9_66, vector3MoreOrLessEquals(Vector3(18.4165001, -37.6074982, -87.6632996)));
      final vertex_9_67 = mesh_9.vertices.elementAt(67);
      expect(vertex_9_67, vector3MoreOrLessEquals(Vector3(16.7089005, -27.6765995, -82.0431976)));
      final vertex_9_68 = mesh_9.vertices.elementAt(68);
      expect(vertex_9_68, vector3MoreOrLessEquals(Vector3(18.5638008, -38.155201, -87.3724976)));
      final vertex_9_69 = mesh_9.vertices.elementAt(69);
      expect(vertex_9_69, vector3MoreOrLessEquals(Vector3(11.5249996, 5.59826994, -70.6098022)));
      final vertex_9_70 = mesh_9.vertices.elementAt(70);
      expect(vertex_9_70, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5993996, -40.9073982)));
      final vertex_9_71 = mesh_9.vertices.elementAt(71);
      expect(vertex_9_71, vector3MoreOrLessEquals(Vector3(-3.80894995, 4.17272997, -32.25)));
      final vertex_9_72 = mesh_9.vertices.elementAt(72);
      expect(vertex_9_72, vector3MoreOrLessEquals(Vector3(-4.21097994, 5.51760006, -30.4102993)));
      final vertex_9_73 = mesh_9.vertices.elementAt(73);
      expect(vertex_9_73, vector3MoreOrLessEquals(Vector3(-4.21097994, 5.51760006, -30.4102993)));
      final vertex_9_74 = mesh_9.vertices.elementAt(74);
      expect(vertex_9_74, vector3MoreOrLessEquals(Vector3(0.412342012, 26.1368999, -40.3410988)));
      final vertex_9_75 = mesh_9.vertices.elementAt(75);
      expect(vertex_9_75, vector3MoreOrLessEquals(Vector3(-11.9387999, -8.2397604, -16.6868)));
      final vertex_9_76 = mesh_9.vertices.elementAt(76);
      expect(vertex_9_76, vector3MoreOrLessEquals(Vector3(-12.5384998, -7.28023005, -13.4914999)));
      final vertex_9_77 = mesh_9.vertices.elementAt(77);
      expect(vertex_9_77, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_78 = mesh_9.vertices.elementAt(78);
      expect(vertex_9_78, vector3MoreOrLessEquals(Vector3(-18.4493008, -5.53336, -13.8049002)));
      final vertex_9_79 = mesh_9.vertices.elementAt(79);
      expect(vertex_9_79, vector3MoreOrLessEquals(Vector3(-15.4359999, -6.07577991, -12.2089005)));
      final vertex_9_80 = mesh_9.vertices.elementAt(80);
      expect(vertex_9_80, vector3MoreOrLessEquals(Vector3(17.9668999, -37.4672012, -87.8233032)));
      final vertex_9_81 = mesh_9.vertices.elementAt(81);
      expect(vertex_9_81, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_82 = mesh_9.vertices.elementAt(82);
      expect(vertex_9_82, vector3MoreOrLessEquals(Vector3(18.4165001, -37.6074982, -87.6632996)));
      final vertex_9_83 = mesh_9.vertices.elementAt(83);
      expect(vertex_9_83, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_84 = mesh_9.vertices.elementAt(84);
      expect(vertex_9_84, vector3MoreOrLessEquals(Vector3(-19.3092995, -6.06142998, -17.0778008)));
      final vertex_9_85 = mesh_9.vertices.elementAt(85);
      expect(vertex_9_85, vector3MoreOrLessEquals(Vector3(-18.4493008, -5.53336, -13.8049002)));
      final vertex_9_86 = mesh_9.vertices.elementAt(86);
      expect(vertex_9_86, vector3MoreOrLessEquals(Vector3(17.5534992, -37.839901, -87.7321014)));
      final vertex_9_87 = mesh_9.vertices.elementAt(87);
      expect(vertex_9_87, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_88 = mesh_9.vertices.elementAt(88);
      expect(vertex_9_88, vector3MoreOrLessEquals(Vector3(17.9668999, -37.4672012, -87.8233032)));
      final vertex_9_89 = mesh_9.vertices.elementAt(89);
      expect(vertex_9_89, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_90 = mesh_9.vertices.elementAt(90);
      expect(vertex_9_90, vector3MoreOrLessEquals(Vector3(-17.3684998, -7.26234007, -19.5627995)));
      final vertex_9_91 = mesh_9.vertices.elementAt(91);
      expect(vertex_9_91, vector3MoreOrLessEquals(Vector3(-19.3092995, -6.06142998, -17.0778008)));
      final vertex_9_92 = mesh_9.vertices.elementAt(92);
      expect(vertex_9_92, vector3MoreOrLessEquals(Vector3(17.4876995, -38.4449005, -87.4583969)));
      final vertex_9_93 = mesh_9.vertices.elementAt(93);
      expect(vertex_9_93, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_94 = mesh_9.vertices.elementAt(94);
      expect(vertex_9_94, vector3MoreOrLessEquals(Vector3(17.5534992, -37.839901, -87.7321014)));
      final vertex_9_95 = mesh_9.vertices.elementAt(95);
      expect(vertex_9_95, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_96 = mesh_9.vertices.elementAt(96);
      expect(vertex_9_96, vector3MoreOrLessEquals(Vector3(-14.0882998, -8.23180008, -19.3887997)));
      final vertex_9_97 = mesh_9.vertices.elementAt(97);
      expect(vertex_9_97, vector3MoreOrLessEquals(Vector3(-17.3684998, -7.26234007, -19.5627995)));
      final vertex_9_98 = mesh_9.vertices.elementAt(98);
      expect(vertex_9_98, vector3MoreOrLessEquals(Vector3(17.8188992, -38.8266983, -87.2081985)));
      final vertex_9_99 = mesh_9.vertices.elementAt(99);
      expect(vertex_9_99, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_100 = mesh_9.vertices.elementAt(100);
      expect(vertex_9_100, vector3MoreOrLessEquals(Vector3(17.4876995, -38.4449005, -87.4583969)));
      final vertex_9_101 = mesh_9.vertices.elementAt(101);
      expect(vertex_9_101, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_102 = mesh_9.vertices.elementAt(102);
      expect(vertex_9_102, vector3MoreOrLessEquals(Vector3(-11.9387999, -8.2397604, -16.6868)));
      final vertex_9_103 = mesh_9.vertices.elementAt(103);
      expect(vertex_9_103, vector3MoreOrLessEquals(Vector3(-14.0882998, -8.23180008, -19.3887997)));
      final vertex_9_104 = mesh_9.vertices.elementAt(104);
      expect(vertex_9_104, vector3MoreOrLessEquals(Vector3(18.2978001, -38.6977997, -87.1699982)));
      final vertex_9_105 = mesh_9.vertices.elementAt(105);
      expect(vertex_9_105, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_106 = mesh_9.vertices.elementAt(106);
      expect(vertex_9_106, vector3MoreOrLessEquals(Vector3(17.8188992, -38.8266983, -87.2081985)));
      final vertex_9_107 = mesh_9.vertices.elementAt(107);
      expect(vertex_9_107, vector3MoreOrLessEquals(Vector3(-15.5897999, -6.95493984, -16.031601)));
      final vertex_9_108 = mesh_9.vertices.elementAt(108);
      expect(vertex_9_108, vector3MoreOrLessEquals(Vector3(-12.5384998, -7.28023005, -13.4914999)));
      final vertex_9_109 = mesh_9.vertices.elementAt(109);
      expect(vertex_9_109, vector3MoreOrLessEquals(Vector3(-11.9387999, -8.2397604, -16.6868)));
      final vertex_9_110 = mesh_9.vertices.elementAt(110);
      expect(vertex_9_110, vector3MoreOrLessEquals(Vector3(18.5638008, -38.155201, -87.3724976)));
      final vertex_9_111 = mesh_9.vertices.elementAt(111);
      expect(vertex_9_111, vector3MoreOrLessEquals(Vector3(18.0149994, -38.1484985, -87.4896011)));
      final vertex_9_112 = mesh_9.vertices.elementAt(112);
      expect(vertex_9_112, vector3MoreOrLessEquals(Vector3(18.2978001, -38.6977997, -87.1699982)));
      expect(mesh_9.normals.length, isZero);
      expect(mesh_9.tangents.length, isZero);
      expect(mesh_9.bitangents.length, isZero);
      expect(mesh_9.colors.length, isZero);
      expect(mesh_9.textureCoords.length, isZero);
      expect(mesh_9.uvComponents.length, isZero);
      expect(mesh_9.uvComponents, equals([]));
      expect(mesh_9.faces.length, equals(98));
      expect(mesh_9.bones.length, isZero);
      expect(mesh_9.materialIndex, equals(2));
      expect(mesh_9.name, equals('Bein4Li'));
      expect(mesh_9.animMeshes.length, isZero);
      expect(mesh_9.morphingMethod, isZero);
      expect(mesh_9.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.primitiveTypes, equals(4));
      expect(mesh_10.vertices.length, equals(42));
      final vertex_10_0 = mesh_10.vertices.elementAt(0);
      expect(vertex_10_0, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_1 = mesh_10.vertices.elementAt(1);
      expect(vertex_10_1, vector3MoreOrLessEquals(Vector3(-64.8460007, 4.36871004, -2.07565999)));
      final vertex_10_2 = mesh_10.vertices.elementAt(2);
      expect(vertex_10_2, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_3 = mesh_10.vertices.elementAt(3);
      expect(vertex_10_3, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_4 = mesh_10.vertices.elementAt(4);
      expect(vertex_10_4, vector3MoreOrLessEquals(Vector3(-69.1192017, 4.23108006, -2.60710001)));
      final vertex_10_5 = mesh_10.vertices.elementAt(5);
      expect(vertex_10_5, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_6 = mesh_10.vertices.elementAt(6);
      expect(vertex_10_6, vector3MoreOrLessEquals(Vector3(-67.5429993, 2.95711994, -5.76915979)));
      final vertex_10_7 = mesh_10.vertices.elementAt(7);
      expect(vertex_10_7, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_8 = mesh_10.vertices.elementAt(8);
      expect(vertex_10_8, vector3MoreOrLessEquals(Vector3(-63.971199, 3.66170001, -3.83047009)));
      final vertex_10_9 = mesh_10.vertices.elementAt(9);
      expect(vertex_10_9, vector3MoreOrLessEquals(Vector3(-61.4476013, 8.19009972, -3.64703989)));
      final vertex_10_10 = mesh_10.vertices.elementAt(10);
      expect(vertex_10_10, vector3MoreOrLessEquals(Vector3(-62.9869003, 9.87084007, -6.3084898)));
      final vertex_10_11 = mesh_10.vertices.elementAt(11);
      expect(vertex_10_11, vector3MoreOrLessEquals(Vector3(-61.4964981, 6.34015989, -5.81228018)));
      final vertex_10_12 = mesh_10.vertices.elementAt(12);
      expect(vertex_10_12, vector3MoreOrLessEquals(Vector3(-62.5578003, 11.3056002, -3.48590994)));
      final vertex_10_13 = mesh_10.vertices.elementAt(13);
      expect(vertex_10_13, vector3MoreOrLessEquals(Vector3(-63.9911003, 13.3408003, -5.45025015)));
      final vertex_10_14 = mesh_10.vertices.elementAt(14);
      expect(vertex_10_14, vector3MoreOrLessEquals(Vector3(-64.6681976, 12.7629995, -8.06085968)));
      final vertex_10_15 = mesh_10.vertices.elementAt(15);
      expect(vertex_10_15, vector3MoreOrLessEquals(Vector3(-64.0792999, 10.0073996, -9.3519001)));
      final vertex_10_16 = mesh_10.vertices.elementAt(16);
      expect(vertex_10_16, vector3MoreOrLessEquals(Vector3(-62.6678009, 7.14898014, -8.35118008)));
      final vertex_10_17 = mesh_10.vertices.elementAt(17);
      expect(vertex_10_17, vector3MoreOrLessEquals(Vector3(-64.8460007, 4.36871004, -2.07565999)));
      final vertex_10_18 = mesh_10.vertices.elementAt(18);
      expect(vertex_10_18, vector3MoreOrLessEquals(Vector3(-63.971199, 3.66170001, -3.83047009)));
      final vertex_10_19 = mesh_10.vertices.elementAt(19);
      expect(vertex_10_19, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_20 = mesh_10.vertices.elementAt(20);
      expect(vertex_10_20, vector3MoreOrLessEquals(Vector3(-61.4964981, 6.34015989, -5.81228018)));
      final vertex_10_21 = mesh_10.vertices.elementAt(21);
      expect(vertex_10_21, vector3MoreOrLessEquals(Vector3(-65.1715012, 3.03350997, -5.47423983)));
      final vertex_10_22 = mesh_10.vertices.elementAt(22);
      expect(vertex_10_22, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_23 = mesh_10.vertices.elementAt(23);
      expect(vertex_10_23, vector3MoreOrLessEquals(Vector3(-62.6678009, 7.14898014, -8.35118008)));
      final vertex_10_24 = mesh_10.vertices.elementAt(24);
      expect(vertex_10_24, vector3MoreOrLessEquals(Vector3(-61.4964981, 6.34015989, -5.81228018)));
      final vertex_10_25 = mesh_10.vertices.elementAt(25);
      expect(vertex_10_25, vector3MoreOrLessEquals(Vector3(-61.4476013, 8.19009972, -3.64703989)));
      final vertex_10_26 = mesh_10.vertices.elementAt(26);
      expect(vertex_10_26, vector3MoreOrLessEquals(Vector3(-62.5578003, 11.3056002, -3.48590994)));
      final vertex_10_27 = mesh_10.vertices.elementAt(27);
      expect(vertex_10_27, vector3MoreOrLessEquals(Vector3(-67.1371002, 4.62208986, -1.53120005)));
      final vertex_10_28 = mesh_10.vertices.elementAt(28);
      expect(vertex_10_28, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_29 = mesh_10.vertices.elementAt(29);
      expect(vertex_10_29, vector3MoreOrLessEquals(Vector3(-67.5429993, 2.95711994, -5.76915979)));
      final vertex_10_30 = mesh_10.vertices.elementAt(30);
      expect(vertex_10_30, vector3MoreOrLessEquals(Vector3(-69.1192017, 4.23108006, -2.60710001)));
      final vertex_10_31 = mesh_10.vertices.elementAt(31);
      expect(vertex_10_31, vector3MoreOrLessEquals(Vector3(-67.1371002, 4.62208986, -1.53120005)));
      final vertex_10_32 = mesh_10.vertices.elementAt(32);
      expect(vertex_10_32, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_33 = mesh_10.vertices.elementAt(33);
      expect(vertex_10_33, vector3MoreOrLessEquals(Vector3(-62.5578003, 11.3056002, -3.48590994)));
      final vertex_10_34 = mesh_10.vertices.elementAt(34);
      expect(vertex_10_34, vector3MoreOrLessEquals(Vector3(-63.9911003, 13.3408003, -5.45025015)));
      final vertex_10_35 = mesh_10.vertices.elementAt(35);
      expect(vertex_10_35, vector3MoreOrLessEquals(Vector3(-66.7730026, -11.8856001, -0.202998996)));
      final vertex_10_36 = mesh_10.vertices.elementAt(36);
      expect(vertex_10_36, vector3MoreOrLessEquals(Vector3(-69.2998962, 3.49012995, -4.49316978)));
      final vertex_10_37 = mesh_10.vertices.elementAt(37);
      expect(vertex_10_37, vector3MoreOrLessEquals(Vector3(-64.6681976, 12.7629995, -8.06085968)));
      final vertex_10_38 = mesh_10.vertices.elementAt(38);
      expect(vertex_10_38, vector3MoreOrLessEquals(Vector3(-67.5429993, 2.95711994, -5.76915979)));
      final vertex_10_39 = mesh_10.vertices.elementAt(39);
      expect(vertex_10_39, vector3MoreOrLessEquals(Vector3(-64.0792999, 10.0073996, -9.3519001)));
      final vertex_10_40 = mesh_10.vertices.elementAt(40);
      expect(vertex_10_40, vector3MoreOrLessEquals(Vector3(-62.6678009, 7.14898014, -8.35118008)));
      final vertex_10_41 = mesh_10.vertices.elementAt(41);
      expect(vertex_10_41, vector3MoreOrLessEquals(Vector3(-64.0792999, 10.0073996, -9.3519001)));
      expect(mesh_10.normals.length, isZero);
      expect(mesh_10.tangents.length, isZero);
      expect(mesh_10.bitangents.length, isZero);
      expect(mesh_10.colors.length, isZero);
      expect(mesh_10.textureCoords.length, isZero);
      expect(mesh_10.uvComponents.length, isZero);
      expect(mesh_10.uvComponents, equals([]));
      expect(mesh_10.faces.length, equals(42));
      expect(mesh_10.bones.length, isZero);
      expect(mesh_10.materialIndex, equals(2));
      expect(mesh_10.name, equals('Zahn'));
      expect(mesh_10.animMeshes.length, isZero);
      expect(mesh_10.morphingMethod, isZero);
      expect(mesh_10.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.primitiveTypes, equals(4));
      expect(mesh_11.vertices.length, equals(44));
      final vertex_11_0 = mesh_11.vertices.elementAt(0);
      expect(vertex_11_0, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_1 = mesh_11.vertices.elementAt(1);
      expect(vertex_11_1, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.62837982, 1.95887005)));
      final vertex_11_2 = mesh_11.vertices.elementAt(2);
      expect(vertex_11_2, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_3 = mesh_11.vertices.elementAt(3);
      expect(vertex_11_3, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_4 = mesh_11.vertices.elementAt(4);
      expect(vertex_11_4, vector3MoreOrLessEquals(Vector3(-56.0517006, 7.15646982, 5.00228024)));
      final vertex_11_5 = mesh_11.vertices.elementAt(5);
      expect(vertex_11_5, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_6 = mesh_11.vertices.elementAt(6);
      expect(vertex_11_6, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.8892498, 4.82746983)));
      final vertex_11_7 = mesh_11.vertices.elementAt(7);
      expect(vertex_11_7, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_8 = mesh_11.vertices.elementAt(8);
      expect(vertex_11_8, vector3MoreOrLessEquals(Vector3(-59.6894989, 8.14494991, 1.86180997)));
      final vertex_11_9 = mesh_11.vertices.elementAt(9);
      expect(vertex_11_9, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.2797003, -2.97612)));
      final vertex_11_10 = mesh_11.vertices.elementAt(10);
      expect(vertex_11_10, vector3MoreOrLessEquals(Vector3(-55.2843018, 12.6177998, -0.764661014)));
      final vertex_11_11 = mesh_11.vertices.elementAt(11);
      expect(vertex_11_11, vector3MoreOrLessEquals(Vector3(-58.2126999, 12.0867996, -3.03211999)));
      final vertex_11_12 = mesh_11.vertices.elementAt(12);
      expect(vertex_11_12, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2333002, -1.25485003)));
      final vertex_11_13 = mesh_11.vertices.elementAt(13);
      expect(vertex_11_13, vector3MoreOrLessEquals(Vector3(-51.7578011, 11.9823999, 0.835560024)));
      final vertex_11_14 = mesh_11.vertices.elementAt(14);
      expect(vertex_11_14, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.21, 1.72101998)));
      final vertex_11_15 = mesh_11.vertices.elementAt(15);
      expect(vertex_11_15, vector3MoreOrLessEquals(Vector3(-56.6281013, 15.2386999, 0.734676003)));
      final vertex_11_16 = mesh_11.vertices.elementAt(16);
      expect(vertex_11_16, vector3MoreOrLessEquals(Vector3(-58.7103004, 14.2937002, -1.38064003)));
      final vertex_11_17 = mesh_11.vertices.elementAt(17);
      expect(vertex_11_17, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.62837982, 1.95887005)));
      final vertex_11_18 = mesh_11.vertices.elementAt(18);
      expect(vertex_11_18, vector3MoreOrLessEquals(Vector3(-59.6894989, 8.14494991, 1.86180997)));
      final vertex_11_19 = mesh_11.vertices.elementAt(19);
      expect(vertex_11_19, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_20 = mesh_11.vertices.elementAt(20);
      expect(vertex_11_20, vector3MoreOrLessEquals(Vector3(-58.2126999, 12.0867996, -3.03211999)));
      final vertex_11_21 = mesh_11.vertices.elementAt(21);
      expect(vertex_11_21, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.2797003, -2.97612)));
      final vertex_11_22 = mesh_11.vertices.elementAt(22);
      expect(vertex_11_22, vector3MoreOrLessEquals(Vector3(-60.2821007, 9.59619045, 3.13845992)));
      final vertex_11_23 = mesh_11.vertices.elementAt(23);
      expect(vertex_11_23, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_24 = mesh_11.vertices.elementAt(24);
      expect(vertex_11_24, vector3MoreOrLessEquals(Vector3(-58.7103004, 14.2937002, -1.38064003)));
      final vertex_11_25 = mesh_11.vertices.elementAt(25);
      expect(vertex_11_25, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.8892498, 4.82746983)));
      final vertex_11_26 = mesh_11.vertices.elementAt(26);
      expect(vertex_11_26, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.8892498, 4.82746983)));
      final vertex_11_27 = mesh_11.vertices.elementAt(27);
      expect(vertex_11_27, vector3MoreOrLessEquals(Vector3(-56.6281013, 15.2386999, 0.734676003)));
      final vertex_11_28 = mesh_11.vertices.elementAt(28);
      expect(vertex_11_28, vector3MoreOrLessEquals(Vector3(-57.3647995, 8.80348969, 5.65689993)));
      final vertex_11_29 = mesh_11.vertices.elementAt(29);
      expect(vertex_11_29, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_30 = mesh_11.vertices.elementAt(30);
      expect(vertex_11_30, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.21, 1.72101998)));
      final vertex_11_31 = mesh_11.vertices.elementAt(31);
      expect(vertex_11_31, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_32 = mesh_11.vertices.elementAt(32);
      expect(vertex_11_32, vector3MoreOrLessEquals(Vector3(-56.2969017, 6.18842983, 3.35650992)));
      final vertex_11_33 = mesh_11.vertices.elementAt(33);
      expect(vertex_11_33, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.62837982, 1.95887005)));
      final vertex_11_34 = mesh_11.vertices.elementAt(34);
      expect(vertex_11_34, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2333002, -1.25485003)));
      final vertex_11_35 = mesh_11.vertices.elementAt(35);
      expect(vertex_11_35, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.2797003, -2.97612)));
      final vertex_11_36 = mesh_11.vertices.elementAt(36);
      expect(vertex_11_36, vector3MoreOrLessEquals(Vector3(-56.0517006, 7.15646982, 5.00228024)));
      final vertex_11_37 = mesh_11.vertices.elementAt(37);
      expect(vertex_11_37, vector3MoreOrLessEquals(Vector3(-56.2969017, 6.18842983, 3.35650992)));
      final vertex_11_38 = mesh_11.vertices.elementAt(38);
      expect(vertex_11_38, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_39 = mesh_11.vertices.elementAt(39);
      expect(vertex_11_39, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2333002, -1.25485003)));
      final vertex_11_40 = mesh_11.vertices.elementAt(40);
      expect(vertex_11_40, vector3MoreOrLessEquals(Vector3(-51.7578011, 11.9823999, 0.835560024)));
      final vertex_11_41 = mesh_11.vertices.elementAt(41);
      expect(vertex_11_41, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.17992997, 10.0295)));
      final vertex_11_42 = mesh_11.vertices.elementAt(42);
      expect(vertex_11_42, vector3MoreOrLessEquals(Vector3(-57.3647995, 8.80348969, 5.65689993)));
      final vertex_11_43 = mesh_11.vertices.elementAt(43);
      expect(vertex_11_43, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.21, 1.72101998)));
      expect(mesh_11.normals.length, isZero);
      expect(mesh_11.tangents.length, isZero);
      expect(mesh_11.bitangents.length, isZero);
      expect(mesh_11.colors.length, isZero);
      expect(mesh_11.textureCoords.length, isZero);
      expect(mesh_11.uvComponents.length, isZero);
      expect(mesh_11.uvComponents, equals([]));
      expect(mesh_11.faces.length, equals(42));
      expect(mesh_11.bones.length, isZero);
      expect(mesh_11.materialIndex, equals(2));
      expect(mesh_11.name, equals('klZahn'));
      expect(mesh_11.animMeshes.length, isZero);
      expect(mesh_11.morphingMethod, isZero);
      expect(mesh_11.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.primitiveTypes, equals(4));
      expect(mesh_12.vertices.length, equals(79));
      final vertex_12_0 = mesh_12.vertices.elementAt(0);
      expect(vertex_12_0, vector3MoreOrLessEquals(Vector3(-43.2000008, 24.2518005, -9.94445038)));
      final vertex_12_1 = mesh_12.vertices.elementAt(1);
      expect(vertex_12_1, vector3MoreOrLessEquals(Vector3(-44.0037994, 24.2518005, -7.3365202)));
      final vertex_12_2 = mesh_12.vertices.elementAt(2);
      expect(vertex_12_2, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.94445038)));
      final vertex_12_3 = mesh_12.vertices.elementAt(3);
      expect(vertex_12_3, vector3MoreOrLessEquals(Vector3(-46.6444016, 24.2518005, -0.760711014)));
      final vertex_12_4 = mesh_12.vertices.elementAt(4);
      expect(vertex_12_4, vector3MoreOrLessEquals(Vector3(-40.6444016, 21.8859997, -0.760712981)));
      final vertex_12_5 = mesh_12.vertices.elementAt(5);
      expect(vertex_12_5, vector3MoreOrLessEquals(Vector3(-38.8077011, 21.8859997, -9.94445038)));
      final vertex_12_6 = mesh_12.vertices.elementAt(6);
      expect(vertex_12_6, vector3MoreOrLessEquals(Vector3(-44.4482994, 21.8859997, 2.54601002)));
      final vertex_12_7 = mesh_12.vertices.elementAt(7);
      expect(vertex_12_7, vector3MoreOrLessEquals(Vector3(-37.2000008, 18.6543999, -9.94445038)));
      final vertex_12_8 = mesh_12.vertices.elementAt(8);
      expect(vertex_12_8, vector3MoreOrLessEquals(Vector3(-39.2521019, 18.6543999, -0.0619199984)));
      final vertex_12_9 = mesh_12.vertices.elementAt(9);
      expect(vertex_12_9, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, 3.75635004)));
      final vertex_12_10 = mesh_12.vertices.elementAt(10);
      expect(vertex_12_10, vector3MoreOrLessEquals(Vector3(-45.4444008, 8.33333015, -0.0816269964)));
      final vertex_12_11 = mesh_12.vertices.elementAt(11);
      expect(vertex_12_11, vector3MoreOrLessEquals(Vector3(-43.6077003, 8.33333015, -9.94445038)));
      final vertex_12_12 = mesh_12.vertices.elementAt(12);
      expect(vertex_12_12, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, 3.75635004)));
      final vertex_12_13 = mesh_12.vertices.elementAt(13);
      expect(vertex_12_13, vector3MoreOrLessEquals(Vector3(-54, 10.6667004, 1.82244003)));
      final vertex_12_14 = mesh_12.vertices.elementAt(14);
      expect(vertex_12_14, vector3MoreOrLessEquals(Vector3(-48.8037987, 8.33333015, -0.944446981)));
      final vertex_12_15 = mesh_12.vertices.elementAt(15);
      expect(vertex_12_15, vector3MoreOrLessEquals(Vector3(-51, 3.94103003, -4.74829006)));
      final vertex_12_16 = mesh_12.vertices.elementAt(16);
      expect(vertex_12_16, vector3MoreOrLessEquals(Vector3(-54, 3.94103003, -3.9444499)));
      final vertex_12_17 = mesh_12.vertices.elementAt(17);
      expect(vertex_12_17, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -4.74829006)));
      final vertex_12_18 = mesh_12.vertices.elementAt(18);
      expect(vertex_12_18, vector3MoreOrLessEquals(Vector3(-59.1960983, 8.33333015, -0.944446981)));
      final vertex_12_19 = mesh_12.vertices.elementAt(19);
      expect(vertex_12_19, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.94445038)));
      final vertex_12_20 = mesh_12.vertices.elementAt(20);
      expect(vertex_12_20, vector3MoreOrLessEquals(Vector3(-46.6444016, 24.2518005, -0.760711014)));
      final vertex_12_21 = mesh_12.vertices.elementAt(21);
      expect(vertex_12_21, vector3MoreOrLessEquals(Vector3(-54, 24.7255993, -3.9444499)));
      final vertex_12_22 = mesh_12.vertices.elementAt(22);
      expect(vertex_12_22, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.94445038)));
      final vertex_12_23 = mesh_12.vertices.elementAt(23);
      expect(vertex_12_23, vector3MoreOrLessEquals(Vector3(-57, 24.7255993, -4.74829006)));
      final vertex_12_24 = mesh_12.vertices.elementAt(24);
      expect(vertex_12_24, vector3MoreOrLessEquals(Vector3(-59.1960983, 24.7255993, -6.9444499)));
      final vertex_12_25 = mesh_12.vertices.elementAt(25);
      expect(vertex_12_25, vector3MoreOrLessEquals(Vector3(-54, 20.3332996, 0.447858006)));
      final vertex_12_26 = mesh_12.vertices.elementAt(26);
      expect(vertex_12_26, vector3MoreOrLessEquals(Vector3(-44.4482994, 21.8859997, 2.54601002)));
      final vertex_12_27 = mesh_12.vertices.elementAt(27);
      expect(vertex_12_27, vector3MoreOrLessEquals(Vector3(-60.2933006, 19.4762001, -2.19914007)));
      final vertex_12_28 = mesh_12.vertices.elementAt(28);
      expect(vertex_12_28, vector3MoreOrLessEquals(Vector3(-63.0639, 19.4762001, -6.81023979)));
      final vertex_12_29 = mesh_12.vertices.elementAt(29);
      expect(vertex_12_29, vector3MoreOrLessEquals(Vector3(-60, 24.7255993, -9.94445038)));
      final vertex_12_30 = mesh_12.vertices.elementAt(30);
      expect(vertex_12_30, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.94445038)));
      final vertex_12_31 = mesh_12.vertices.elementAt(31);
      expect(vertex_12_31, vector3MoreOrLessEquals(Vector3(-64.3923035, 20.3332996, -9.94445038)));
      final vertex_12_32 = mesh_12.vertices.elementAt(32);
      expect(vertex_12_32, vector3MoreOrLessEquals(Vector3(-66.4000015, 12.3332996, -9.94445038)));
      final vertex_12_33 = mesh_12.vertices.elementAt(33);
      expect(vertex_12_33, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4762001, -6.36709023)));
      final vertex_12_34 = mesh_12.vertices.elementAt(34);
      expect(vertex_12_34, vector3MoreOrLessEquals(Vector3(-63, 8.33333015, -4.74829006)));
      final vertex_12_35 = mesh_12.vertices.elementAt(35);
      expect(vertex_12_35, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53334999, -9.94445038)));
      final vertex_12_36 = mesh_12.vertices.elementAt(36);
      expect(vertex_12_36, vector3MoreOrLessEquals(Vector3(-58.7999992, 5.77436018, -9.94445038)));
      final vertex_12_37 = mesh_12.vertices.elementAt(37);
      expect(vertex_12_37, vector3MoreOrLessEquals(Vector3(-57.9962006, 5.77436018, -6.9444499)));
      final vertex_12_38 = mesh_12.vertices.elementAt(38);
      expect(vertex_12_38, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.94445038)));
      final vertex_12_39 = mesh_12.vertices.elementAt(39);
      expect(vertex_12_39, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -4.74829006)));
      final vertex_12_40 = mesh_12.vertices.elementAt(40);
      expect(vertex_12_40, vector3MoreOrLessEquals(Vector3(-54, 3.94103003, -3.9444499)));
      final vertex_12_41 = mesh_12.vertices.elementAt(41);
      expect(vertex_12_41, vector3MoreOrLessEquals(Vector3(-54, 10.6667004, 1.82244003)));
      final vertex_12_42 = mesh_12.vertices.elementAt(42);
      expect(vertex_12_42, vector3MoreOrLessEquals(Vector3(-59.1960983, 8.33333015, -0.944446981)));
      final vertex_12_43 = mesh_12.vertices.elementAt(43);
      expect(vertex_12_43, vector3MoreOrLessEquals(Vector3(-54, 14.3332996, 2.0555501)));
      final vertex_12_44 = mesh_12.vertices.elementAt(44);
      expect(vertex_12_44, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, 3.75635004)));
      final vertex_12_45 = mesh_12.vertices.elementAt(45);
      expect(vertex_12_45, vector3MoreOrLessEquals(Vector3(-61.410099, 13.4762001, -1.04267001)));
      final vertex_12_46 = mesh_12.vertices.elementAt(46);
      expect(vertex_12_46, vector3MoreOrLessEquals(Vector3(-57.9962006, 5.77436018, -6.9444499)));
      final vertex_12_47 = mesh_12.vertices.elementAt(47);
      expect(vertex_12_47, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -4.74829006)));
      final vertex_12_48 = mesh_12.vertices.elementAt(48);
      expect(vertex_12_48, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.94445038)));
      final vertex_12_49 = mesh_12.vertices.elementAt(49);
      expect(vertex_12_49, vector3MoreOrLessEquals(Vector3(-54, 14.3332996, 2.0555501)));
      final vertex_12_50 = mesh_12.vertices.elementAt(50);
      expect(vertex_12_50, vector3MoreOrLessEquals(Vector3(-62.3711014, 14.4762001, -4.19187021)));
      final vertex_12_51 = mesh_12.vertices.elementAt(51);
      expect(vertex_12_51, vector3MoreOrLessEquals(Vector3(-61.6404991, 15.3094997, -2.69388008)));
      final vertex_12_52 = mesh_12.vertices.elementAt(52);
      expect(vertex_12_52, vector3MoreOrLessEquals(Vector3(-61.421299, 16.6429005, -2.24447989)));
      final vertex_12_53 = mesh_12.vertices.elementAt(53);
      expect(vertex_12_53, vector3MoreOrLessEquals(Vector3(-61.5675011, 17.8094997, -2.54408002)));
      final vertex_12_54 = mesh_12.vertices.elementAt(54);
      expect(vertex_12_54, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, 3.75635004)));
      final vertex_12_55 = mesh_12.vertices.elementAt(55);
      expect(vertex_12_55, vector3MoreOrLessEquals(Vector3(-62.2980995, 18.6429005, -4.04207993)));
      final vertex_12_56 = mesh_12.vertices.elementAt(56);
      expect(vertex_12_56, vector3MoreOrLessEquals(Vector3(-61.8596992, 18.4762001, -3.14327002)));
      final vertex_12_57 = mesh_12.vertices.elementAt(57);
      expect(vertex_12_57, vector3MoreOrLessEquals(Vector3(-61.7249985, 18.1557007, -3.36926007)));
      final vertex_12_58 = mesh_12.vertices.elementAt(58);
      expect(vertex_12_58, vector3MoreOrLessEquals(Vector3(-61.8941002, 18.0415993, -3.95885992)));
      final vertex_12_59 = mesh_12.vertices.elementAt(59);
      expect(vertex_12_59, vector3MoreOrLessEquals(Vector3(-62.7364998, 18.1429005, -4.94085979)));
      final vertex_12_60 = mesh_12.vertices.elementAt(60);
      expect(vertex_12_60, vector3MoreOrLessEquals(Vector3(-61.5825005, 17.6345005, -2.87214994)));
      final vertex_12_61 = mesh_12.vertices.elementAt(61);
      expect(vertex_12_61, vector3MoreOrLessEquals(Vector3(-61.5533981, 16.7451, -2.7708199)));
      final vertex_12_62 = mesh_12.vertices.elementAt(62);
      expect(vertex_12_62, vector3MoreOrLessEquals(Vector3(-61.7380981, 15.7371998, -3.41491008)));
      final vertex_12_63 = mesh_12.vertices.elementAt(63);
      expect(vertex_12_63, vector3MoreOrLessEquals(Vector3(-61.410099, 13.4762001, -1.04267001)));
      final vertex_12_64 = mesh_12.vertices.elementAt(64);
      expect(vertex_12_64, vector3MoreOrLessEquals(Vector3(-62.0774002, 15.0709, -4.59817982)));
      final vertex_12_65 = mesh_12.vertices.elementAt(65);
      expect(vertex_12_65, vector3MoreOrLessEquals(Vector3(-62.9556007, 14.6429005, -5.39026022)));
      final vertex_12_66 = mesh_12.vertices.elementAt(66);
      expect(vertex_12_66, vector3MoreOrLessEquals(Vector3(-62.3321991, 15.0618, -5.48682022)));
      final vertex_12_67 = mesh_12.vertices.elementAt(67);
      expect(vertex_12_67, vector3MoreOrLessEquals(Vector3(-62.3321991, 15.0618, -5.48682022)));
      final vertex_12_68 = mesh_12.vertices.elementAt(68);
      expect(vertex_12_68, vector3MoreOrLessEquals(Vector3(-63.3209, 15.1429005, -6.13925982)));
      final vertex_12_69 = mesh_12.vertices.elementAt(69);
      expect(vertex_12_69, vector3MoreOrLessEquals(Vector3(-62.3660011, 15.3991003, -5.6048398)));
      final vertex_12_70 = mesh_12.vertices.elementAt(70);
      expect(vertex_12_70, vector3MoreOrLessEquals(Vector3(-63.2478981, 16.3094997, -5.98945999)));
      final vertex_12_71 = mesh_12.vertices.elementAt(71);
      expect(vertex_12_71, vector3MoreOrLessEquals(Vector3(-62.9556007, 16.9762001, -5.39026022)));
      final vertex_12_72 = mesh_12.vertices.elementAt(72);
      expect(vertex_12_72, vector3MoreOrLessEquals(Vector3(-62.2019005, 16.1616993, -5.03227997)));
      final vertex_12_73 = mesh_12.vertices.elementAt(73);
      expect(vertex_12_73, vector3MoreOrLessEquals(Vector3(-62.3660011, 15.3991003, -5.6048398)));
      final vertex_12_74 = mesh_12.vertices.elementAt(74);
      expect(vertex_12_74, vector3MoreOrLessEquals(Vector3(-62.1185989, 16.9811001, -4.74191999)));
      final vertex_12_75 = mesh_12.vertices.elementAt(75);
      expect(vertex_12_75, vector3MoreOrLessEquals(Vector3(-62.0704002, 17.6996994, -4.5736599)));
      final vertex_12_76 = mesh_12.vertices.elementAt(76);
      expect(vertex_12_76, vector3MoreOrLessEquals(Vector3(-48.8037987, 8.33333015, -0.944446981)));
      final vertex_12_77 = mesh_12.vertices.elementAt(77);
      expect(vertex_12_77, vector3MoreOrLessEquals(Vector3(-45.4444008, 8.33333015, -0.0816269964)));
      final vertex_12_78 = mesh_12.vertices.elementAt(78);
      expect(vertex_12_78, vector3MoreOrLessEquals(Vector3(-51, 3.94103003, -4.74829006)));
      expect(mesh_12.normals.length, isZero);
      expect(mesh_12.tangents.length, isZero);
      expect(mesh_12.bitangents.length, isZero);
      expect(mesh_12.colors.length, isZero);
      expect(mesh_12.textureCoords.length, isZero);
      expect(mesh_12.uvComponents.length, isZero);
      expect(mesh_12.uvComponents, equals([]));
      expect(mesh_12.faces.length, equals(90));
      expect(mesh_12.bones.length, isZero);
      expect(mesh_12.materialIndex, isZero);
      expect(mesh_12.name, equals('Kopf'));
      expect(mesh_12.animMeshes.length, isZero);
      expect(mesh_12.morphingMethod, isZero);
      expect(mesh_12.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.primitiveTypes, equals(4));
      expect(mesh_13.vertices.length, equals(17));
      final vertex_13_0 = mesh_13.vertices.elementAt(0);
      expect(vertex_13_0, vector3MoreOrLessEquals(Vector3(-15.1822996, -14.3292999, -14.0424004)));
      final vertex_13_1 = mesh_13.vertices.elementAt(1);
      expect(vertex_13_1, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, -20.5830994)));
      final vertex_13_2 = mesh_13.vertices.elementAt(2);
      expect(vertex_13_2, vector3MoreOrLessEquals(Vector3(-31.4988995, -9.61872005, -16.8773003)));
      final vertex_13_3 = mesh_13.vertices.elementAt(3);
      expect(vertex_13_3, vector3MoreOrLessEquals(Vector3(-32.1218987, -11.5361996, -10)));
      final vertex_13_4 = mesh_13.vertices.elementAt(4);
      expect(vertex_13_4, vector3MoreOrLessEquals(Vector3(-44.9496994, -12.2685003, -17.0585995)));
      final vertex_13_5 = mesh_13.vertices.elementAt(5);
      expect(vertex_13_5, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, -28.4797993)));
      final vertex_13_6 = mesh_13.vertices.elementAt(6);
      expect(vertex_13_6, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -19.4053001)));
      final vertex_13_7 = mesh_13.vertices.elementAt(7);
      expect(vertex_13_7, vector3MoreOrLessEquals(Vector3(-6.30518007, -14.1821003, -10)));
      final vertex_13_8 = mesh_13.vertices.elementAt(8);
      expect(vertex_13_8, vector3MoreOrLessEquals(Vector3(-15.1822996, -14.3292999, -5.95762014)));
      final vertex_13_9 = mesh_13.vertices.elementAt(9);
      expect(vertex_13_9, vector3MoreOrLessEquals(Vector3(-31.4988995, -9.61872005, -3.12268996)));
      final vertex_13_10 = mesh_13.vertices.elementAt(10);
      expect(vertex_13_10, vector3MoreOrLessEquals(Vector3(-44.9496994, -12.2685003, -2.94136)));
      final vertex_13_11 = mesh_13.vertices.elementAt(11);
      expect(vertex_13_11, vector3MoreOrLessEquals(Vector3(-22.9981003, -7.40337992, 0.583091021)));
      final vertex_13_12 = mesh_13.vertices.elementAt(12);
      expect(vertex_13_12, vector3MoreOrLessEquals(Vector3(-6.22944021, -10.7226, -0.594703019)));
      final vertex_13_13 = mesh_13.vertices.elementAt(13);
      expect(vertex_13_13, vector3MoreOrLessEquals(Vector3(-39.1946983, -9.35671997, 8.47976017)));
      final vertex_13_14 = mesh_13.vertices.elementAt(14);
      expect(vertex_13_14, vector3MoreOrLessEquals(Vector3(-51.6475983, -5.70869017, -10)));
      final vertex_13_15 = mesh_13.vertices.elementAt(15);
      expect(vertex_13_15, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, 1.42112005)));
      final vertex_13_16 = mesh_13.vertices.elementAt(16);
      expect(vertex_13_16, vector3MoreOrLessEquals(Vector3(-49.7137985, -2.98358989, -21.4211006)));
      expect(mesh_13.normals.length, isZero);
      expect(mesh_13.tangents.length, isZero);
      expect(mesh_13.bitangents.length, isZero);
      expect(mesh_13.colors.length, isZero);
      expect(mesh_13.textureCoords.length, isZero);
      expect(mesh_13.uvComponents.length, isZero);
      expect(mesh_13.uvComponents, equals([]));
      expect(mesh_13.faces.length, equals(20));
      expect(mesh_13.bones.length, isZero);
      expect(mesh_13.materialIndex, isZero);
      expect(mesh_13.name, equals('Brust'));
      expect(mesh_13.animMeshes.length, isZero);
      expect(mesh_13.morphingMethod, isZero);
      expect(mesh_13.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.primitiveTypes, equals(4));
      expect(mesh_14.vertices.length, equals(79));
      final vertex_14_0 = mesh_14.vertices.elementAt(0);
      expect(vertex_14_0, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.98888969)));
      final vertex_14_1 = mesh_14.vertices.elementAt(1);
      expect(vertex_14_1, vector3MoreOrLessEquals(Vector3(-44.0037994, 24.2518005, -12.5967999)));
      final vertex_14_2 = mesh_14.vertices.elementAt(2);
      expect(vertex_14_2, vector3MoreOrLessEquals(Vector3(-43.2000008, 24.2518005, -9.98888969)));
      final vertex_14_3 = mesh_14.vertices.elementAt(3);
      expect(vertex_14_3, vector3MoreOrLessEquals(Vector3(-38.8077011, 21.8859997, -9.98888969)));
      final vertex_14_4 = mesh_14.vertices.elementAt(4);
      expect(vertex_14_4, vector3MoreOrLessEquals(Vector3(-40.6444016, 21.8859997, -19.1725998)));
      final vertex_14_5 = mesh_14.vertices.elementAt(5);
      expect(vertex_14_5, vector3MoreOrLessEquals(Vector3(-46.6444016, 24.2518005, -19.1725998)));
      final vertex_14_6 = mesh_14.vertices.elementAt(6);
      expect(vertex_14_6, vector3MoreOrLessEquals(Vector3(-37.2000008, 18.6543999, -9.98888969)));
      final vertex_14_7 = mesh_14.vertices.elementAt(7);
      expect(vertex_14_7, vector3MoreOrLessEquals(Vector3(-39.2521019, 18.6543999, -19.8714008)));
      final vertex_14_8 = mesh_14.vertices.elementAt(8);
      expect(vertex_14_8, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, -23.6896992)));
      final vertex_14_9 = mesh_14.vertices.elementAt(9);
      expect(vertex_14_9, vector3MoreOrLessEquals(Vector3(-44.4482994, 21.8859997, -22.4792995)));
      final vertex_14_10 = mesh_14.vertices.elementAt(10);
      expect(vertex_14_10, vector3MoreOrLessEquals(Vector3(-43.6077003, 8.33333015, -9.98888969)));
      final vertex_14_11 = mesh_14.vertices.elementAt(11);
      expect(vertex_14_11, vector3MoreOrLessEquals(Vector3(-45.4444008, 8.33333015, -19.8516998)));
      final vertex_14_12 = mesh_14.vertices.elementAt(12);
      expect(vertex_14_12, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, -23.6896992)));
      final vertex_14_13 = mesh_14.vertices.elementAt(13);
      expect(vertex_14_13, vector3MoreOrLessEquals(Vector3(-48.8037987, 8.33333015, -18.9888992)));
      final vertex_14_14 = mesh_14.vertices.elementAt(14);
      expect(vertex_14_14, vector3MoreOrLessEquals(Vector3(-54, 10.6667004, -21.7558002)));
      final vertex_14_15 = mesh_14.vertices.elementAt(15);
      expect(vertex_14_15, vector3MoreOrLessEquals(Vector3(-51, 3.94103003, -15.1850004)));
      final vertex_14_16 = mesh_14.vertices.elementAt(16);
      expect(vertex_14_16, vector3MoreOrLessEquals(Vector3(-54, 3.94103003, -15.9889002)));
      final vertex_14_17 = mesh_14.vertices.elementAt(17);
      expect(vertex_14_17, vector3MoreOrLessEquals(Vector3(-59.1960983, 8.33333015, -18.9888992)));
      final vertex_14_18 = mesh_14.vertices.elementAt(18);
      expect(vertex_14_18, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -15.1850004)));
      final vertex_14_19 = mesh_14.vertices.elementAt(19);
      expect(vertex_14_19, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.98888969)));
      final vertex_14_20 = mesh_14.vertices.elementAt(20);
      expect(vertex_14_20, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.98888969)));
      final vertex_14_21 = mesh_14.vertices.elementAt(21);
      expect(vertex_14_21, vector3MoreOrLessEquals(Vector3(-54, 24.7255993, -15.9889002)));
      final vertex_14_22 = mesh_14.vertices.elementAt(22);
      expect(vertex_14_22, vector3MoreOrLessEquals(Vector3(-46.6444016, 24.2518005, -19.1725998)));
      final vertex_14_23 = mesh_14.vertices.elementAt(23);
      expect(vertex_14_23, vector3MoreOrLessEquals(Vector3(-44.4482994, 21.8859997, -22.4792995)));
      final vertex_14_24 = mesh_14.vertices.elementAt(24);
      expect(vertex_14_24, vector3MoreOrLessEquals(Vector3(-54, 20.3332996, -20.3812008)));
      final vertex_14_25 = mesh_14.vertices.elementAt(25);
      expect(vertex_14_25, vector3MoreOrLessEquals(Vector3(-57, 24.7255993, -15.1850004)));
      final vertex_14_26 = mesh_14.vertices.elementAt(26);
      expect(vertex_14_26, vector3MoreOrLessEquals(Vector3(-59.1960983, 24.7255993, -12.9889002)));
      final vertex_14_27 = mesh_14.vertices.elementAt(27);
      expect(vertex_14_27, vector3MoreOrLessEquals(Vector3(-60.2933006, 19.4762001, -17.7341995)));
      final vertex_14_28 = mesh_14.vertices.elementAt(28);
      expect(vertex_14_28, vector3MoreOrLessEquals(Vector3(-63.0639, 19.4762001, -13.1231003)));
      final vertex_14_29 = mesh_14.vertices.elementAt(29);
      expect(vertex_14_29, vector3MoreOrLessEquals(Vector3(-54, 26.3332996, -9.98888969)));
      final vertex_14_30 = mesh_14.vertices.elementAt(30);
      expect(vertex_14_30, vector3MoreOrLessEquals(Vector3(-60, 24.7255993, -9.98888969)));
      final vertex_14_31 = mesh_14.vertices.elementAt(31);
      expect(vertex_14_31, vector3MoreOrLessEquals(Vector3(-64.3923035, 20.3332996, -9.98888969)));
      final vertex_14_32 = mesh_14.vertices.elementAt(32);
      expect(vertex_14_32, vector3MoreOrLessEquals(Vector3(-66.4000015, 12.3332996, -9.98888969)));
      final vertex_14_33 = mesh_14.vertices.elementAt(33);
      expect(vertex_14_33, vector3MoreOrLessEquals(Vector3(-63, 8.33333015, -15.1850004)));
      final vertex_14_34 = mesh_14.vertices.elementAt(34);
      expect(vertex_14_34, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4762001, -13.5662003)));
      final vertex_14_35 = mesh_14.vertices.elementAt(35);
      expect(vertex_14_35, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53334999, -9.98888969)));
      final vertex_14_36 = mesh_14.vertices.elementAt(36);
      expect(vertex_14_36, vector3MoreOrLessEquals(Vector3(-58.7999992, 5.77436018, -9.98888969)));
      final vertex_14_37 = mesh_14.vertices.elementAt(37);
      expect(vertex_14_37, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.98888969)));
      final vertex_14_38 = mesh_14.vertices.elementAt(38);
      expect(vertex_14_38, vector3MoreOrLessEquals(Vector3(-57.9962006, 5.77436018, -12.9889002)));
      final vertex_14_39 = mesh_14.vertices.elementAt(39);
      expect(vertex_14_39, vector3MoreOrLessEquals(Vector3(-54, 3.94103003, -15.9889002)));
      final vertex_14_40 = mesh_14.vertices.elementAt(40);
      expect(vertex_14_40, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -15.1850004)));
      final vertex_14_41 = mesh_14.vertices.elementAt(41);
      expect(vertex_14_41, vector3MoreOrLessEquals(Vector3(-54, 10.6667004, -21.7558002)));
      final vertex_14_42 = mesh_14.vertices.elementAt(42);
      expect(vertex_14_42, vector3MoreOrLessEquals(Vector3(-59.1960983, 8.33333015, -18.9888992)));
      final vertex_14_43 = mesh_14.vertices.elementAt(43);
      expect(vertex_14_43, vector3MoreOrLessEquals(Vector3(-61.410099, 13.4762001, -18.8906994)));
      final vertex_14_44 = mesh_14.vertices.elementAt(44);
      expect(vertex_14_44, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, -23.6896992)));
      final vertex_14_45 = mesh_14.vertices.elementAt(45);
      expect(vertex_14_45, vector3MoreOrLessEquals(Vector3(-54, 14.3332996, -21.9888992)));
      final vertex_14_46 = mesh_14.vertices.elementAt(46);
      expect(vertex_14_46, vector3MoreOrLessEquals(Vector3(-45.4444008, 8.33333015, -19.8516998)));
      final vertex_14_47 = mesh_14.vertices.elementAt(47);
      expect(vertex_14_47, vector3MoreOrLessEquals(Vector3(-48.8037987, 8.33333015, -18.9888992)));
      final vertex_14_48 = mesh_14.vertices.elementAt(48);
      expect(vertex_14_48, vector3MoreOrLessEquals(Vector3(-51, 3.94103003, -15.1850004)));
      final vertex_14_49 = mesh_14.vertices.elementAt(49);
      expect(vertex_14_49, vector3MoreOrLessEquals(Vector3(-54, 14.3332996, -21.9888992)));
      final vertex_14_50 = mesh_14.vertices.elementAt(50);
      expect(vertex_14_50, vector3MoreOrLessEquals(Vector3(-62.3711014, 14.4762001, -15.7414999)));
      final vertex_14_51 = mesh_14.vertices.elementAt(51);
      expect(vertex_14_51, vector3MoreOrLessEquals(Vector3(-61.6404991, 15.3094997, -17.2395)));
      final vertex_14_52 = mesh_14.vertices.elementAt(52);
      expect(vertex_14_52, vector3MoreOrLessEquals(Vector3(-61.421299, 16.6429005, -17.6889)));
      final vertex_14_53 = mesh_14.vertices.elementAt(53);
      expect(vertex_14_53, vector3MoreOrLessEquals(Vector3(-61.5675011, 17.8094997, -17.3892994)));
      final vertex_14_54 = mesh_14.vertices.elementAt(54);
      expect(vertex_14_54, vector3MoreOrLessEquals(Vector3(-55.7999992, 6.94103003, -15.1850004)));
      final vertex_14_55 = mesh_14.vertices.elementAt(55);
      expect(vertex_14_55, vector3MoreOrLessEquals(Vector3(-57.9962006, 5.77436018, -12.9889002)));
      final vertex_14_56 = mesh_14.vertices.elementAt(56);
      expect(vertex_14_56, vector3MoreOrLessEquals(Vector3(-54, 2.33332992, -9.98888969)));
      final vertex_14_57 = mesh_14.vertices.elementAt(57);
      expect(vertex_14_57, vector3MoreOrLessEquals(Vector3(-61.5825005, 17.6345005, -17.0611992)));
      final vertex_14_58 = mesh_14.vertices.elementAt(58);
      expect(vertex_14_58, vector3MoreOrLessEquals(Vector3(-61.5533981, 16.7451, -17.1625004)));
      final vertex_14_59 = mesh_14.vertices.elementAt(59);
      expect(vertex_14_59, vector3MoreOrLessEquals(Vector3(-61.7249985, 18.1557007, -16.5641003)));
      final vertex_14_60 = mesh_14.vertices.elementAt(60);
      expect(vertex_14_60, vector3MoreOrLessEquals(Vector3(-61.8596992, 18.4762001, -16.7901001)));
      final vertex_14_61 = mesh_14.vertices.elementAt(61);
      expect(vertex_14_61, vector3MoreOrLessEquals(Vector3(-61.410099, 13.4762001, -18.8906994)));
      final vertex_14_62 = mesh_14.vertices.elementAt(62);
      expect(vertex_14_62, vector3MoreOrLessEquals(Vector3(-61.7380981, 15.7371998, -16.5184002)));
      final vertex_14_63 = mesh_14.vertices.elementAt(63);
      expect(vertex_14_63, vector3MoreOrLessEquals(Vector3(-62.0774002, 15.0709, -15.3352003)));
      final vertex_14_64 = mesh_14.vertices.elementAt(64);
      expect(vertex_14_64, vector3MoreOrLessEquals(Vector3(-62.9556007, 14.6429005, -14.5431004)));
      final vertex_14_65 = mesh_14.vertices.elementAt(65);
      expect(vertex_14_65, vector3MoreOrLessEquals(Vector3(-62.3321991, 15.0618, -14.4464998)));
      final vertex_14_66 = mesh_14.vertices.elementAt(66);
      expect(vertex_14_66, vector3MoreOrLessEquals(Vector3(-62.3321991, 15.0618, -14.4464998)));
      final vertex_14_67 = mesh_14.vertices.elementAt(67);
      expect(vertex_14_67, vector3MoreOrLessEquals(Vector3(-63.3209, 15.1429005, -13.7940998)));
      final vertex_14_68 = mesh_14.vertices.elementAt(68);
      expect(vertex_14_68, vector3MoreOrLessEquals(Vector3(-62.3660011, 15.3991003, -14.3284998)));
      final vertex_14_69 = mesh_14.vertices.elementAt(69);
      expect(vertex_14_69, vector3MoreOrLessEquals(Vector3(-63.2478981, 16.3094997, -13.9439001)));
      final vertex_14_70 = mesh_14.vertices.elementAt(70);
      expect(vertex_14_70, vector3MoreOrLessEquals(Vector3(-62.9556007, 16.9762001, -14.5431004)));
      final vertex_14_71 = mesh_14.vertices.elementAt(71);
      expect(vertex_14_71, vector3MoreOrLessEquals(Vector3(-62.7364998, 18.1429005, -14.9925003)));
      final vertex_14_72 = mesh_14.vertices.elementAt(72);
      expect(vertex_14_72, vector3MoreOrLessEquals(Vector3(-62.2980995, 18.6429005, -15.8913002)));
      final vertex_14_73 = mesh_14.vertices.elementAt(73);
      expect(vertex_14_73, vector3MoreOrLessEquals(Vector3(-62.2019005, 16.1616993, -14.9011002)));
      final vertex_14_74 = mesh_14.vertices.elementAt(74);
      expect(vertex_14_74, vector3MoreOrLessEquals(Vector3(-62.3660011, 15.3991003, -14.3284998)));
      final vertex_14_75 = mesh_14.vertices.elementAt(75);
      expect(vertex_14_75, vector3MoreOrLessEquals(Vector3(-62.1185989, 16.9811001, -15.1913996)));
      final vertex_14_76 = mesh_14.vertices.elementAt(76);
      expect(vertex_14_76, vector3MoreOrLessEquals(Vector3(-61.8941002, 18.0415993, -15.9744997)));
      final vertex_14_77 = mesh_14.vertices.elementAt(77);
      expect(vertex_14_77, vector3MoreOrLessEquals(Vector3(-62.0704002, 17.6996994, -15.3597002)));
      final vertex_14_78 = mesh_14.vertices.elementAt(78);
      expect(vertex_14_78, vector3MoreOrLessEquals(Vector3(-43.6444016, 18.6543999, -23.6896992)));
      expect(mesh_14.normals.length, isZero);
      expect(mesh_14.tangents.length, isZero);
      expect(mesh_14.bitangents.length, isZero);
      expect(mesh_14.colors.length, isZero);
      expect(mesh_14.textureCoords.length, isZero);
      expect(mesh_14.uvComponents.length, isZero);
      expect(mesh_14.uvComponents, equals([]));
      expect(mesh_14.faces.length, equals(90));
      expect(mesh_14.bones.length, isZero);
      expect(mesh_14.materialIndex, isZero);
      expect(mesh_14.name, equals('Kopf2'));
      expect(mesh_14.animMeshes.length, isZero);
      expect(mesh_14.morphingMethod, isZero);
      expect(mesh_14.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.primitiveTypes, equals(4));
      expect(mesh_15.vertices.length, equals(42));
      final vertex_15_0 = mesh_15.vertices.elementAt(0);
      expect(vertex_15_0, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_1 = mesh_15.vertices.elementAt(1);
      expect(vertex_15_1, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_2 = mesh_15.vertices.elementAt(2);
      expect(vertex_15_2, vector3MoreOrLessEquals(Vector3(-64.6641998, 4.27780008, -18.2395)));
      final vertex_15_3 = mesh_15.vertices.elementAt(3);
      expect(vertex_15_3, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_4 = mesh_15.vertices.elementAt(4);
      expect(vertex_15_4, vector3MoreOrLessEquals(Vector3(-68.9374008, 4.1401701, -17.7080994)));
      final vertex_15_5 = mesh_15.vertices.elementAt(5);
      expect(vertex_15_5, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_6 = mesh_15.vertices.elementAt(6);
      expect(vertex_15_6, vector3MoreOrLessEquals(Vector3(-67.3611984, 2.86620998, -14.5459995)));
      final vertex_15_7 = mesh_15.vertices.elementAt(7);
      expect(vertex_15_7, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_8 = mesh_15.vertices.elementAt(8);
      expect(vertex_15_8, vector3MoreOrLessEquals(Vector3(-63.789299, 3.57079005, -16.4846992)));
      final vertex_15_9 = mesh_15.vertices.elementAt(9);
      expect(vertex_15_9, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924994, -14.5029001)));
      final vertex_15_10 = mesh_15.vertices.elementAt(10);
      expect(vertex_15_10, vector3MoreOrLessEquals(Vector3(-62.8050003, 9.77993011, -14.0066996)));
      final vertex_15_11 = mesh_15.vertices.elementAt(11);
      expect(vertex_15_11, vector3MoreOrLessEquals(Vector3(-61.2658005, 8.09918976, -16.6681004)));
      final vertex_15_12 = mesh_15.vertices.elementAt(12);
      expect(vertex_15_12, vector3MoreOrLessEquals(Vector3(-62.3759995, 11.2146997, -16.8292007)));
      final vertex_15_13 = mesh_15.vertices.elementAt(13);
      expect(vertex_15_13, vector3MoreOrLessEquals(Vector3(-63.8092995, 13.2498999, -14.8648996)));
      final vertex_15_14 = mesh_15.vertices.elementAt(14);
      expect(vertex_15_14, vector3MoreOrLessEquals(Vector3(-64.4863968, 12.6721001, -12.2543001)));
      final vertex_15_15 = mesh_15.vertices.elementAt(15);
      expect(vertex_15_15, vector3MoreOrLessEquals(Vector3(-63.8973999, 9.91648006, -10.9632998)));
      final vertex_15_16 = mesh_15.vertices.elementAt(16);
      expect(vertex_15_16, vector3MoreOrLessEquals(Vector3(-62.4859009, 7.05807018, -11.9639997)));
      final vertex_15_17 = mesh_15.vertices.elementAt(17);
      expect(vertex_15_17, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_18 = mesh_15.vertices.elementAt(18);
      expect(vertex_15_18, vector3MoreOrLessEquals(Vector3(-63.789299, 3.57079005, -16.4846992)));
      final vertex_15_19 = mesh_15.vertices.elementAt(19);
      expect(vertex_15_19, vector3MoreOrLessEquals(Vector3(-64.6641998, 4.27780008, -18.2395)));
      final vertex_15_20 = mesh_15.vertices.elementAt(20);
      expect(vertex_15_20, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924994, -14.5029001)));
      final vertex_15_21 = mesh_15.vertices.elementAt(21);
      expect(vertex_15_21, vector3MoreOrLessEquals(Vector3(-61.2658005, 8.09918976, -16.6681004)));
      final vertex_15_22 = mesh_15.vertices.elementAt(22);
      expect(vertex_15_22, vector3MoreOrLessEquals(Vector3(-66.9552994, 4.5311799, -18.7840004)));
      final vertex_15_23 = mesh_15.vertices.elementAt(23);
      expect(vertex_15_23, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_24 = mesh_15.vertices.elementAt(24);
      expect(vertex_15_24, vector3MoreOrLessEquals(Vector3(-62.3759995, 11.2146997, -16.8292007)));
      final vertex_15_25 = mesh_15.vertices.elementAt(25);
      expect(vertex_15_25, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_26 = mesh_15.vertices.elementAt(26);
      expect(vertex_15_26, vector3MoreOrLessEquals(Vector3(-64.9896011, 2.94260001, -14.8409004)));
      final vertex_15_27 = mesh_15.vertices.elementAt(27);
      expect(vertex_15_27, vector3MoreOrLessEquals(Vector3(-62.4859009, 7.05807018, -11.9639997)));
      final vertex_15_28 = mesh_15.vertices.elementAt(28);
      expect(vertex_15_28, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924994, -14.5029001)));
      final vertex_15_29 = mesh_15.vertices.elementAt(29);
      expect(vertex_15_29, vector3MoreOrLessEquals(Vector3(-67.3611984, 2.86620998, -14.5459995)));
      final vertex_15_30 = mesh_15.vertices.elementAt(30);
      expect(vertex_15_30, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_31 = mesh_15.vertices.elementAt(31);
      expect(vertex_15_31, vector3MoreOrLessEquals(Vector3(-66.9552994, 4.5311799, -18.7840004)));
      final vertex_15_32 = mesh_15.vertices.elementAt(32);
      expect(vertex_15_32, vector3MoreOrLessEquals(Vector3(-68.9374008, 4.1401701, -17.7080994)));
      final vertex_15_33 = mesh_15.vertices.elementAt(33);
      expect(vertex_15_33, vector3MoreOrLessEquals(Vector3(-62.3759995, 11.2146997, -16.8292007)));
      final vertex_15_34 = mesh_15.vertices.elementAt(34);
      expect(vertex_15_34, vector3MoreOrLessEquals(Vector3(-63.8092995, 13.2498999, -14.8648996)));
      final vertex_15_35 = mesh_15.vertices.elementAt(35);
      expect(vertex_15_35, vector3MoreOrLessEquals(Vector3(-69.1179962, 3.39921999, -15.8219995)));
      final vertex_15_36 = mesh_15.vertices.elementAt(36);
      expect(vertex_15_36, vector3MoreOrLessEquals(Vector3(-66.5912018, -11.9764996, -20.1121998)));
      final vertex_15_37 = mesh_15.vertices.elementAt(37);
      expect(vertex_15_37, vector3MoreOrLessEquals(Vector3(-64.4863968, 12.6721001, -12.2543001)));
      final vertex_15_38 = mesh_15.vertices.elementAt(38);
      expect(vertex_15_38, vector3MoreOrLessEquals(Vector3(-67.3611984, 2.86620998, -14.5459995)));
      final vertex_15_39 = mesh_15.vertices.elementAt(39);
      expect(vertex_15_39, vector3MoreOrLessEquals(Vector3(-63.8973999, 9.91648006, -10.9632998)));
      final vertex_15_40 = mesh_15.vertices.elementAt(40);
      expect(vertex_15_40, vector3MoreOrLessEquals(Vector3(-63.8973999, 9.91648006, -10.9632998)));
      final vertex_15_41 = mesh_15.vertices.elementAt(41);
      expect(vertex_15_41, vector3MoreOrLessEquals(Vector3(-62.4859009, 7.05807018, -11.9639997)));
      expect(mesh_15.normals.length, isZero);
      expect(mesh_15.tangents.length, isZero);
      expect(mesh_15.bitangents.length, isZero);
      expect(mesh_15.colors.length, isZero);
      expect(mesh_15.textureCoords.length, isZero);
      expect(mesh_15.uvComponents.length, isZero);
      expect(mesh_15.uvComponents, equals([]));
      expect(mesh_15.faces.length, equals(42));
      expect(mesh_15.bones.length, isZero);
      expect(mesh_15.materialIndex, equals(2));
      expect(mesh_15.name, equals('Zahn2'));
      expect(mesh_15.animMeshes.length, isZero);
      expect(mesh_15.morphingMethod, isZero);
      expect(mesh_15.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.primitiveTypes, equals(4));
      expect(mesh_16.vertices.length, equals(44));
      final vertex_16_0 = mesh_16.vertices.elementAt(0);
      expect(vertex_16_0, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_1 = mesh_16.vertices.elementAt(1);
      expect(vertex_16_1, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_2 = mesh_16.vertices.elementAt(2);
      expect(vertex_16_2, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.68291998, -20.6254997)));
      final vertex_16_3 = mesh_16.vertices.elementAt(3);
      expect(vertex_16_3, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_4 = mesh_16.vertices.elementAt(4);
      expect(vertex_16_4, vector3MoreOrLessEquals(Vector3(-56.0517006, 7.21100998, -23.6688995)));
      final vertex_16_5 = mesh_16.vertices.elementAt(5);
      expect(vertex_16_5, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_6 = mesh_16.vertices.elementAt(6);
      expect(vertex_16_6, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.94379044, -23.4941006)));
      final vertex_16_7 = mesh_16.vertices.elementAt(7);
      expect(vertex_16_7, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_8 = mesh_16.vertices.elementAt(8);
      expect(vertex_16_8, vector3MoreOrLessEquals(Vector3(-59.6894989, 8.19950008, -20.5284996)));
      final vertex_16_9 = mesh_16.vertices.elementAt(9);
      expect(vertex_16_9, vector3MoreOrLessEquals(Vector3(-58.2126999, 12.1413002, -15.6344995)));
      final vertex_16_10 = mesh_16.vertices.elementAt(10);
      expect(vertex_16_10, vector3MoreOrLessEquals(Vector3(-55.2843018, 12.6723003, -17.9020004)));
      final vertex_16_11 = mesh_16.vertices.elementAt(11);
      expect(vertex_16_11, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.3343, -15.6905003)));
      final vertex_16_12 = mesh_16.vertices.elementAt(12);
      expect(vertex_16_12, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2877998, -17.4118004)));
      final vertex_16_13 = mesh_16.vertices.elementAt(13);
      expect(vertex_16_13, vector3MoreOrLessEquals(Vector3(-51.7578011, 12.0368996, -19.5021992)));
      final vertex_16_14 = mesh_16.vertices.elementAt(14);
      expect(vertex_16_14, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.2645998, -20.3876991)));
      final vertex_16_15 = mesh_16.vertices.elementAt(15);
      expect(vertex_16_15, vector3MoreOrLessEquals(Vector3(-56.6281013, 15.2931995, -19.4013004)));
      final vertex_16_16 = mesh_16.vertices.elementAt(16);
      expect(vertex_16_16, vector3MoreOrLessEquals(Vector3(-58.7103004, 14.3483, -17.2859993)));
      final vertex_16_17 = mesh_16.vertices.elementAt(17);
      expect(vertex_16_17, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_18 = mesh_16.vertices.elementAt(18);
      expect(vertex_16_18, vector3MoreOrLessEquals(Vector3(-59.6894989, 8.19950008, -20.5284996)));
      final vertex_16_19 = mesh_16.vertices.elementAt(19);
      expect(vertex_16_19, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.68291998, -20.6254997)));
      final vertex_16_20 = mesh_16.vertices.elementAt(20);
      expect(vertex_16_20, vector3MoreOrLessEquals(Vector3(-58.2126999, 12.1413002, -15.6344995)));
      final vertex_16_21 = mesh_16.vertices.elementAt(21);
      expect(vertex_16_21, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.3343, -15.6905003)));
      final vertex_16_22 = mesh_16.vertices.elementAt(22);
      expect(vertex_16_22, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_23 = mesh_16.vertices.elementAt(23);
      expect(vertex_16_23, vector3MoreOrLessEquals(Vector3(-60.2821007, 9.65073967, -21.8050995)));
      final vertex_16_24 = mesh_16.vertices.elementAt(24);
      expect(vertex_16_24, vector3MoreOrLessEquals(Vector3(-58.7103004, 14.3483, -17.2859993)));
      final vertex_16_25 = mesh_16.vertices.elementAt(25);
      expect(vertex_16_25, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.94379044, -23.4941006)));
      final vertex_16_26 = mesh_16.vertices.elementAt(26);
      expect(vertex_16_26, vector3MoreOrLessEquals(Vector3(-59.2476006, 9.94379044, -23.4941006)));
      final vertex_16_27 = mesh_16.vertices.elementAt(27);
      expect(vertex_16_27, vector3MoreOrLessEquals(Vector3(-56.6281013, 15.2931995, -19.4013004)));
      final vertex_16_28 = mesh_16.vertices.elementAt(28);
      expect(vertex_16_28, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_29 = mesh_16.vertices.elementAt(29);
      expect(vertex_16_29, vector3MoreOrLessEquals(Vector3(-57.3647995, 8.85803032, -24.3236008)));
      final vertex_16_30 = mesh_16.vertices.elementAt(30);
      expect(vertex_16_30, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.2645998, -20.3876991)));
      final vertex_16_31 = mesh_16.vertices.elementAt(31);
      expect(vertex_16_31, vector3MoreOrLessEquals(Vector3(-57.9159012, 6.68291998, -20.6254997)));
      final vertex_16_32 = mesh_16.vertices.elementAt(32);
      expect(vertex_16_32, vector3MoreOrLessEquals(Vector3(-56.2969017, 6.24298, -22.0231991)));
      final vertex_16_33 = mesh_16.vertices.elementAt(33);
      expect(vertex_16_33, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_34 = mesh_16.vertices.elementAt(34);
      expect(vertex_16_34, vector3MoreOrLessEquals(Vector3(-55.5098991, 10.3343, -15.6905003)));
      final vertex_16_35 = mesh_16.vertices.elementAt(35);
      expect(vertex_16_35, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2877998, -17.4118004)));
      final vertex_16_36 = mesh_16.vertices.elementAt(36);
      expect(vertex_16_36, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_37 = mesh_16.vertices.elementAt(37);
      expect(vertex_16_37, vector3MoreOrLessEquals(Vector3(-56.2969017, 6.24298, -22.0231991)));
      final vertex_16_38 = mesh_16.vertices.elementAt(38);
      expect(vertex_16_38, vector3MoreOrLessEquals(Vector3(-56.0517006, 7.21100998, -23.6688995)));
      final vertex_16_39 = mesh_16.vertices.elementAt(39);
      expect(vertex_16_39, vector3MoreOrLessEquals(Vector3(-52.6371994, 10.2877998, -17.4118004)));
      final vertex_16_40 = mesh_16.vertices.elementAt(40);
      expect(vertex_16_40, vector3MoreOrLessEquals(Vector3(-51.7578011, 12.0368996, -19.5021992)));
      final vertex_16_41 = mesh_16.vertices.elementAt(41);
      expect(vertex_16_41, vector3MoreOrLessEquals(Vector3(-57.3647995, 8.85803032, -24.3236008)));
      final vertex_16_42 = mesh_16.vertices.elementAt(42);
      expect(vertex_16_42, vector3MoreOrLessEquals(Vector3(-66.7248001, 1.23447001, -28.6961002)));
      final vertex_16_43 = mesh_16.vertices.elementAt(43);
      expect(vertex_16_43, vector3MoreOrLessEquals(Vector3(-53.5340004, 14.2645998, -20.3876991)));
      expect(mesh_16.normals.length, isZero);
      expect(mesh_16.tangents.length, isZero);
      expect(mesh_16.bitangents.length, isZero);
      expect(mesh_16.colors.length, isZero);
      expect(mesh_16.textureCoords.length, isZero);
      expect(mesh_16.uvComponents.length, isZero);
      expect(mesh_16.uvComponents, equals([]));
      expect(mesh_16.faces.length, equals(42));
      expect(mesh_16.bones.length, isZero);
      expect(mesh_16.materialIndex, equals(2));
      expect(mesh_16.name, equals('klZahn2'));
      expect(mesh_16.animMeshes.length, isZero);
      expect(mesh_16.morphingMethod, isZero);
      expect(mesh_16.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.primitiveTypes, equals(4));
      expect(mesh_17.vertices.length, equals(36));
      final vertex_17_0 = mesh_17.vertices.elementAt(0);
      expect(vertex_17_0, vector3MoreOrLessEquals(Vector3(-59.4669991, 18.4067001, -2.53898001)));
      final vertex_17_1 = mesh_17.vertices.elementAt(1);
      expect(vertex_17_1, vector3MoreOrLessEquals(Vector3(-58.7435989, 17.5184994, -2.27169991)));
      final vertex_17_2 = mesh_17.vertices.elementAt(2);
      expect(vertex_17_2, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.6709003, -1.85302997)));
      final vertex_17_3 = mesh_17.vertices.elementAt(3);
      expect(vertex_17_3, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.6662006, -1.90547001)));
      final vertex_17_4 = mesh_17.vertices.elementAt(4);
      expect(vertex_17_4, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.6709003, -1.85302997)));
      final vertex_17_5 = mesh_17.vertices.elementAt(5);
      expect(vertex_17_5, vector3MoreOrLessEquals(Vector3(-60.6375999, 18.1035004, -2.33791995)));
      final vertex_17_6 = mesh_17.vertices.elementAt(6);
      expect(vertex_17_6, vector3MoreOrLessEquals(Vector3(-59.4669991, 18.4067001, -2.53898001)));
      final vertex_17_7 = mesh_17.vertices.elementAt(7);
      expect(vertex_17_7, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.6709003, -1.85302997)));
      final vertex_17_8 = mesh_17.vertices.elementAt(8);
      expect(vertex_17_8, vector3MoreOrLessEquals(Vector3(-60.6375999, 17.0277996, -1.94640005)));
      final vertex_17_9 = mesh_17.vertices.elementAt(9);
      expect(vertex_17_9, vector3MoreOrLessEquals(Vector3(-60.5751991, 18.6909008, -3.43183994)));
      final vertex_17_10 = mesh_17.vertices.elementAt(10);
      expect(vertex_17_10, vector3MoreOrLessEquals(Vector3(-61.5559006, 18.1541996, -3.37207007)));
      final vertex_17_11 = mesh_17.vertices.elementAt(11);
      expect(vertex_17_11, vector3MoreOrLessEquals(Vector3(-61.7458, 17.3118992, -2.8392601)));
      final vertex_17_12 = mesh_17.vertices.elementAt(12);
      expect(vertex_17_12, vector3MoreOrLessEquals(Vector3(-61.6449013, 18.2623005, -4.60926008)));
      final vertex_17_13 = mesh_17.vertices.elementAt(13);
      expect(vertex_17_13, vector3MoreOrLessEquals(Vector3(-62.3683014, 17.4101009, -4.24303007)));
      final vertex_17_14 = mesh_17.vertices.elementAt(14);
      expect(vertex_17_14, vector3MoreOrLessEquals(Vector3(-60.6375999, 17.0277996, -1.94640005)));
      final vertex_17_15 = mesh_17.vertices.elementAt(15);
      expect(vertex_17_15, vector3MoreOrLessEquals(Vector3(-61.5559006, 16.3241005, -2.70597005)));
      final vertex_17_16 = mesh_17.vertices.elementAt(16);
      expect(vertex_17_16, vector3MoreOrLessEquals(Vector3(-62.3683014, 16.3344002, -3.85151005)));
      final vertex_17_17 = mesh_17.vertices.elementAt(17);
      expect(vertex_17_17, vector3MoreOrLessEquals(Vector3(-62.6150017, 16.4911995, -5.09420013)));
      final vertex_17_18 = mesh_17.vertices.elementAt(18);
      expect(vertex_17_18, vector3MoreOrLessEquals(Vector3(-62.2673988, 17.2847996, -5.62151003)));
      final vertex_17_19 = mesh_17.vertices.elementAt(19);
      expect(vertex_17_19, vector3MoreOrLessEquals(Vector3(-61.384201, 17.9410992, -5.7172699)));
      final vertex_17_20 = mesh_17.vertices.elementAt(20);
      expect(vertex_17_20, vector3MoreOrLessEquals(Vector3(-61.4814987, 16.9839001, -6.44816017)));
      final vertex_17_21 = mesh_17.vertices.elementAt(21);
      expect(vertex_17_21, vector3MoreOrLessEquals(Vector3(-62.2050018, 16.1317005, -6.08192015)));
      final vertex_17_22 = mesh_17.vertices.elementAt(22);
      expect(vertex_17_22, vector3MoreOrLessEquals(Vector3(-62.2673988, 15.5443001, -4.98800993)));
      final vertex_17_23 = mesh_17.vertices.elementAt(23);
      expect(vertex_17_23, vector3MoreOrLessEquals(Vector3(-61.6449013, 15.4461002, -3.58422995)));
      final vertex_17_24 = mesh_17.vertices.elementAt(24);
      expect(vertex_17_24, vector3MoreOrLessEquals(Vector3(-61.4814987, 15.2433996, -5.81466007)));
      final vertex_17_25 = mesh_17.vertices.elementAt(25);
      expect(vertex_17_25, vector3MoreOrLessEquals(Vector3(-61.384201, 14.9799004, -4.63950014)));
      final vertex_17_26 = mesh_17.vertices.elementAt(26);
      expect(vertex_17_26, vector3MoreOrLessEquals(Vector3(-61.2780991, 15.9792995, -6.50058985)));
      final vertex_17_27 = mesh_17.vertices.elementAt(27);
      expect(vertex_17_27, vector3MoreOrLessEquals(Vector3(-60.4743004, 15.0845003, -3.54330993)));
      final vertex_17_28 = mesh_17.vertices.elementAt(28);
      expect(vertex_17_28, vector3MoreOrLessEquals(Vector3(-61.384201, 14.9799004, -4.63950014)));
      final vertex_17_29 = mesh_17.vertices.elementAt(29);
      expect(vertex_17_29, vector3MoreOrLessEquals(Vector3(-60.5751991, 15.8746004, -2.40682006)));
      final vertex_17_30 = mesh_17.vertices.elementAt(30);
      expect(vertex_17_30, vector3MoreOrLessEquals(Vector3(-59.5643997, 15.7089996, -2.63634992)));
      final vertex_17_31 = mesh_17.vertices.elementAt(31);
      expect(vertex_17_31, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.6662006, -1.90547001)));
      final vertex_17_32 = mesh_17.vertices.elementAt(32);
      expect(vertex_17_32, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.6709003, -1.85302997)));
      final vertex_17_33 = mesh_17.vertices.elementAt(33);
      expect(vertex_17_33, vector3MoreOrLessEquals(Vector3(-60.5751991, 15.8746004, -2.40682006)));
      final vertex_17_34 = mesh_17.vertices.elementAt(34);
      expect(vertex_17_34, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.6662006, -1.90547001)));
      final vertex_17_35 = mesh_17.vertices.elementAt(35);
      expect(vertex_17_35, vector3MoreOrLessEquals(Vector3(-59.5643997, 15.7089996, -2.63634992)));
      expect(mesh_17.normals.length, isZero);
      expect(mesh_17.tangents.length, isZero);
      expect(mesh_17.bitangents.length, isZero);
      expect(mesh_17.colors.length, isZero);
      expect(mesh_17.textureCoords.length, isZero);
      expect(mesh_17.uvComponents.length, isZero);
      expect(mesh_17.uvComponents, equals([]));
      expect(mesh_17.faces.length, equals(38));
      expect(mesh_17.bones.length, isZero);
      expect(mesh_17.materialIndex, equals(3));
      expect(mesh_17.name, equals('Auge'));
      expect(mesh_17.animMeshes.length, isZero);
      expect(mesh_17.morphingMethod, isZero);
      expect(mesh_17.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.primitiveTypes, equals(4));
      expect(mesh_18.vertices.length, equals(36));
      final vertex_18_0 = mesh_18.vertices.elementAt(0);
      expect(vertex_18_0, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.4041996, -17.8803005)));
      final vertex_18_1 = mesh_18.vertices.elementAt(1);
      expect(vertex_18_1, vector3MoreOrLessEquals(Vector3(-58.7435989, 17.2518005, -17.4615993)));
      final vertex_18_2 = mesh_18.vertices.elementAt(2);
      expect(vertex_18_2, vector3MoreOrLessEquals(Vector3(-59.4669991, 18.1401005, -17.1944008)));
      final vertex_18_3 = mesh_18.vertices.elementAt(3);
      expect(vertex_18_3, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.4041996, -17.8803005)));
      final vertex_18_4 = mesh_18.vertices.elementAt(4);
      expect(vertex_18_4, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.3995991, -17.8278999)));
      final vertex_18_5 = mesh_18.vertices.elementAt(5);
      expect(vertex_18_5, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.4041996, -17.8803005)));
      final vertex_18_6 = mesh_18.vertices.elementAt(6);
      expect(vertex_18_6, vector3MoreOrLessEquals(Vector3(-59.4669991, 18.1401005, -17.1944008)));
      final vertex_18_7 = mesh_18.vertices.elementAt(7);
      expect(vertex_18_7, vector3MoreOrLessEquals(Vector3(-60.6375999, 17.8367996, -17.3953991)));
      final vertex_18_8 = mesh_18.vertices.elementAt(8);
      expect(vertex_18_8, vector3MoreOrLessEquals(Vector3(-61.5559006, 17.8875999, -16.3612995)));
      final vertex_18_9 = mesh_18.vertices.elementAt(9);
      expect(vertex_18_9, vector3MoreOrLessEquals(Vector3(-60.5751991, 18.4242001, -16.3015003)));
      final vertex_18_10 = mesh_18.vertices.elementAt(10);
      expect(vertex_18_10, vector3MoreOrLessEquals(Vector3(-61.7458, 17.0452003, -16.8941002)));
      final vertex_18_11 = mesh_18.vertices.elementAt(11);
      expect(vertex_18_11, vector3MoreOrLessEquals(Vector3(-60.6375999, 16.7611008, -17.7868996)));
      final vertex_18_12 = mesh_18.vertices.elementAt(12);
      expect(vertex_18_12, vector3MoreOrLessEquals(Vector3(-61.6449013, 17.9957008, -15.1240997)));
      final vertex_18_13 = mesh_18.vertices.elementAt(13);
      expect(vertex_18_13, vector3MoreOrLessEquals(Vector3(-62.3683014, 17.1434002, -15.4903002)));
      final vertex_18_14 = mesh_18.vertices.elementAt(14);
      expect(vertex_18_14, vector3MoreOrLessEquals(Vector3(-61.5559006, 16.0575008, -17.0273991)));
      final vertex_18_15 = mesh_18.vertices.elementAt(15);
      expect(vertex_18_15, vector3MoreOrLessEquals(Vector3(-60.6375999, 16.7611008, -17.7868996)));
      final vertex_18_16 = mesh_18.vertices.elementAt(16);
      expect(vertex_18_16, vector3MoreOrLessEquals(Vector3(-62.3683014, 16.0676994, -15.8817997)));
      final vertex_18_17 = mesh_18.vertices.elementAt(17);
      expect(vertex_18_17, vector3MoreOrLessEquals(Vector3(-62.6150017, 16.2245007, -14.6391001)));
      final vertex_18_18 = mesh_18.vertices.elementAt(18);
      expect(vertex_18_18, vector3MoreOrLessEquals(Vector3(-62.2673988, 17.0181007, -14.1118002)));
      final vertex_18_19 = mesh_18.vertices.elementAt(19);
      expect(vertex_18_19, vector3MoreOrLessEquals(Vector3(-61.384201, 17.6744003, -14.0160999)));
      final vertex_18_20 = mesh_18.vertices.elementAt(20);
      expect(vertex_18_20, vector3MoreOrLessEquals(Vector3(-61.4814987, 16.7173004, -13.2852001)));
      final vertex_18_21 = mesh_18.vertices.elementAt(21);
      expect(vertex_18_21, vector3MoreOrLessEquals(Vector3(-62.2050018, 15.8649998, -13.6513996)));
      final vertex_18_22 = mesh_18.vertices.elementAt(22);
      expect(vertex_18_22, vector3MoreOrLessEquals(Vector3(-62.2673988, 15.2776003, -14.7453003)));
      final vertex_18_23 = mesh_18.vertices.elementAt(23);
      expect(vertex_18_23, vector3MoreOrLessEquals(Vector3(-61.6449013, 15.1794004, -16.1490993)));
      final vertex_18_24 = mesh_18.vertices.elementAt(24);
      expect(vertex_18_24, vector3MoreOrLessEquals(Vector3(-61.384201, 14.7132998, -15.0937996)));
      final vertex_18_25 = mesh_18.vertices.elementAt(25);
      expect(vertex_18_25, vector3MoreOrLessEquals(Vector3(-61.4814987, 14.9766998, -13.9187002)));
      final vertex_18_26 = mesh_18.vertices.elementAt(26);
      expect(vertex_18_26, vector3MoreOrLessEquals(Vector3(-61.2780991, 15.7125998, -13.2327003)));
      final vertex_18_27 = mesh_18.vertices.elementAt(27);
      expect(vertex_18_27, vector3MoreOrLessEquals(Vector3(-61.384201, 14.7132998, -15.0937996)));
      final vertex_18_28 = mesh_18.vertices.elementAt(28);
      expect(vertex_18_28, vector3MoreOrLessEquals(Vector3(-60.4743004, 14.8178997, -16.1900005)));
      final vertex_18_29 = mesh_18.vertices.elementAt(29);
      expect(vertex_18_29, vector3MoreOrLessEquals(Vector3(-60.5751991, 15.6079998, -17.3264999)));
      final vertex_18_30 = mesh_18.vertices.elementAt(30);
      expect(vertex_18_30, vector3MoreOrLessEquals(Vector3(-59.5643997, 15.4424, -17.0970001)));
      final vertex_18_31 = mesh_18.vertices.elementAt(31);
      expect(vertex_18_31, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.3995991, -17.8278999)));
      final vertex_18_32 = mesh_18.vertices.elementAt(32);
      expect(vertex_18_32, vector3MoreOrLessEquals(Vector3(-59.6705017, 17.4041996, -17.8803005)));
      final vertex_18_33 = mesh_18.vertices.elementAt(33);
      expect(vertex_18_33, vector3MoreOrLessEquals(Vector3(-59.5643997, 15.4424, -17.0970001)));
      final vertex_18_34 = mesh_18.vertices.elementAt(34);
      expect(vertex_18_34, vector3MoreOrLessEquals(Vector3(-59.4669991, 16.3995991, -17.8278999)));
      final vertex_18_35 = mesh_18.vertices.elementAt(35);
      expect(vertex_18_35, vector3MoreOrLessEquals(Vector3(-60.5751991, 15.6079998, -17.3264999)));
      expect(mesh_18.normals.length, isZero);
      expect(mesh_18.tangents.length, isZero);
      expect(mesh_18.bitangents.length, isZero);
      expect(mesh_18.colors.length, isZero);
      expect(mesh_18.textureCoords.length, isZero);
      expect(mesh_18.uvComponents.length, isZero);
      expect(mesh_18.uvComponents, equals([]));
      expect(mesh_18.faces.length, equals(38));
      expect(mesh_18.bones.length, isZero);
      expect(mesh_18.materialIndex, equals(3));
      expect(mesh_18.name, equals('Duplicate05'));
      expect(mesh_18.animMeshes.length, isZero);
      expect(mesh_18.morphingMethod, isZero);
      expect(mesh_18.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
  });

  test('fbx', () {
    testScene('huesitos.fbx', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(1));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(12));
      expect(mesh_0.vertices.length, equals(256));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(0.707106769, 0.707106769, -1.25619268)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(1, -4.37113883e-08, -1.25619268)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(1, -4.37113883e-08, -1.25619268)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(0.707106769, -0.707106769, -1.25619268)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(0.707106769, -0.707106769, -1.25619268)));
      final vertex_0_8 = mesh_0.vertices.elementAt(8);
      expect(vertex_0_8, vector3MoreOrLessEquals(Vector3(-8.74227766e-08, -1, -1.25619268)));
      final vertex_0_9 = mesh_0.vertices.elementAt(9);
      expect(vertex_0_9, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_10 = mesh_0.vertices.elementAt(10);
      expect(vertex_0_10, vector3MoreOrLessEquals(Vector3(-8.74227766e-08, -1, -1.25619268)));
      final vertex_0_11 = mesh_0.vertices.elementAt(11);
      expect(vertex_0_11, vector3MoreOrLessEquals(Vector3(-0.707106888, -0.70710665, -1.25619268)));
      final vertex_0_12 = mesh_0.vertices.elementAt(12);
      expect(vertex_0_12, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_13 = mesh_0.vertices.elementAt(13);
      expect(vertex_0_13, vector3MoreOrLessEquals(Vector3(-0.707106888, -0.70710665, -1.25619268)));
      final vertex_0_14 = mesh_0.vertices.elementAt(14);
      expect(vertex_0_14, vector3MoreOrLessEquals(Vector3(-1, 1.19248806e-08, -1.25619268)));
      final vertex_0_15 = mesh_0.vertices.elementAt(15);
      expect(vertex_0_15, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_16 = mesh_0.vertices.elementAt(16);
      expect(vertex_0_16, vector3MoreOrLessEquals(Vector3(-1, 1.19248806e-08, -1.25619268)));
      final vertex_0_17 = mesh_0.vertices.elementAt(17);
      expect(vertex_0_17, vector3MoreOrLessEquals(Vector3(-0.707106888, 0.70710665, -1.25619268)));
      final vertex_0_18 = mesh_0.vertices.elementAt(18);
      expect(vertex_0_18, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_19 = mesh_0.vertices.elementAt(19);
      expect(vertex_0_19, vector3MoreOrLessEquals(Vector3(-0.707106888, 0.70710665, -1.25619268)));
      final vertex_0_20 = mesh_0.vertices.elementAt(20);
      expect(vertex_0_20, vector3MoreOrLessEquals(Vector3(-3.01991605e-07, 1, -1.25619268)));
      final vertex_0_21 = mesh_0.vertices.elementAt(21);
      expect(vertex_0_21, vector3MoreOrLessEquals(Vector3(-3.01991605e-07, 1, -1.25619268)));
      final vertex_0_22 = mesh_0.vertices.elementAt(22);
      expect(vertex_0_22, vector3MoreOrLessEquals(Vector3(0.707106769, 0.707106769, -1.25619268)));
      final vertex_0_23 = mesh_0.vertices.elementAt(23);
      expect(vertex_0_23, vector3MoreOrLessEquals(Vector3(0, 0, -1.25619268)));
      final vertex_0_24 = mesh_0.vertices.elementAt(24);
      expect(vertex_0_24, vector3MoreOrLessEquals(Vector3(0.707106769, 0.707106769, -1.25619268)));
      final vertex_0_25 = mesh_0.vertices.elementAt(25);
      expect(vertex_0_25, vector3MoreOrLessEquals(Vector3(0.458786517, 0.458786964, -0.58084631)));
      final vertex_0_26 = mesh_0.vertices.elementAt(26);
      expect(vertex_0_26, vector3MoreOrLessEquals(Vector3(0.648822367, 5.20126946e-07, -0.58084631)));
      final vertex_0_27 = mesh_0.vertices.elementAt(27);
      expect(vertex_0_27, vector3MoreOrLessEquals(Vector3(1, -4.37113883e-08, -1.25619268)));
      final vertex_0_28 = mesh_0.vertices.elementAt(28);
      expect(vertex_0_28, vector3MoreOrLessEquals(Vector3(1, -4.37113883e-08, -1.25619268)));
      final vertex_0_29 = mesh_0.vertices.elementAt(29);
      expect(vertex_0_29, vector3MoreOrLessEquals(Vector3(0.648822367, 5.20126946e-07, -0.58084631)));
      final vertex_0_30 = mesh_0.vertices.elementAt(30);
      expect(vertex_0_30, vector3MoreOrLessEquals(Vector3(0.458786845, -0.458786428, -0.58084631)));
      final vertex_0_31 = mesh_0.vertices.elementAt(31);
      expect(vertex_0_31, vector3MoreOrLessEquals(Vector3(0.707106769, -0.707106769, -1.25619268)));
      final vertex_0_32 = mesh_0.vertices.elementAt(32);
      expect(vertex_0_32, vector3MoreOrLessEquals(Vector3(0.707106769, -0.707106769, -1.25619268)));
      final vertex_0_33 = mesh_0.vertices.elementAt(33);
      expect(vertex_0_33, vector3MoreOrLessEquals(Vector3(0.458786845, -0.458786428, -0.58084631)));
      final vertex_0_34 = mesh_0.vertices.elementAt(34);
      expect(vertex_0_34, vector3MoreOrLessEquals(Vector3(5.15844505e-08, -0.648822188, -0.58084631)));
      final vertex_0_35 = mesh_0.vertices.elementAt(35);
      expect(vertex_0_35, vector3MoreOrLessEquals(Vector3(-8.74227766e-08, -1, -1.25619268)));
      final vertex_0_36 = mesh_0.vertices.elementAt(36);
      expect(vertex_0_36, vector3MoreOrLessEquals(Vector3(-8.74227766e-08, -1, -1.25619268)));
      final vertex_0_37 = mesh_0.vertices.elementAt(37);
      expect(vertex_0_37, vector3MoreOrLessEquals(Vector3(5.15844505e-08, -0.648822188, -0.58084631)));
      final vertex_0_38 = mesh_0.vertices.elementAt(38);
      expect(vertex_0_38, vector3MoreOrLessEquals(Vector3(-0.458786756, -0.458786428, -0.58084631)));
      final vertex_0_39 = mesh_0.vertices.elementAt(39);
      expect(vertex_0_39, vector3MoreOrLessEquals(Vector3(-0.707106888, -0.70710665, -1.25619268)));
      final vertex_0_40 = mesh_0.vertices.elementAt(40);
      expect(vertex_0_40, vector3MoreOrLessEquals(Vector3(-0.707106888, -0.70710665, -1.25619268)));
      final vertex_0_41 = mesh_0.vertices.elementAt(41);
      expect(vertex_0_41, vector3MoreOrLessEquals(Vector3(-0.458786756, -0.458786428, -0.58084631)));
      final vertex_0_42 = mesh_0.vertices.elementAt(42);
      expect(vertex_0_42, vector3MoreOrLessEquals(Vector3(-0.648822308, 5.51075516e-07, -0.58084631)));
      final vertex_0_43 = mesh_0.vertices.elementAt(43);
      expect(vertex_0_43, vector3MoreOrLessEquals(Vector3(-1, 1.19248806e-08, -1.25619268)));
      final vertex_0_44 = mesh_0.vertices.elementAt(44);
      expect(vertex_0_44, vector3MoreOrLessEquals(Vector3(-1, 1.19248806e-08, -1.25619268)));
      final vertex_0_45 = mesh_0.vertices.elementAt(45);
      expect(vertex_0_45, vector3MoreOrLessEquals(Vector3(-0.648822308, 5.51075516e-07, -0.58084631)));
      final vertex_0_46 = mesh_0.vertices.elementAt(46);
      expect(vertex_0_46, vector3MoreOrLessEquals(Vector3(-0.45878616, 0.458787203, -0.58084631)));
      final vertex_0_47 = mesh_0.vertices.elementAt(47);
      expect(vertex_0_47, vector3MoreOrLessEquals(Vector3(-0.707106888, 0.70710665, -1.25619268)));
      final vertex_0_48 = mesh_0.vertices.elementAt(48);
      expect(vertex_0_48, vector3MoreOrLessEquals(Vector3(-0.707106888, 0.70710665, -1.25619268)));
      final vertex_0_49 = mesh_0.vertices.elementAt(49);
      expect(vertex_0_49, vector3MoreOrLessEquals(Vector3(-0.45878616, 0.458787203, -0.58084631)));
      final vertex_0_50 = mesh_0.vertices.elementAt(50);
      expect(vertex_0_50, vector3MoreOrLessEquals(Vector3(9.12711243e-07, 0.648822367, -0.58084631)));
      final vertex_0_51 = mesh_0.vertices.elementAt(51);
      expect(vertex_0_51, vector3MoreOrLessEquals(Vector3(-3.01991605e-07, 1, -1.25619268)));
      final vertex_0_52 = mesh_0.vertices.elementAt(52);
      expect(vertex_0_52, vector3MoreOrLessEquals(Vector3(0.458786517, 0.458786964, -0.58084631)));
      final vertex_0_53 = mesh_0.vertices.elementAt(53);
      expect(vertex_0_53, vector3MoreOrLessEquals(Vector3(0.707106769, 0.707106769, -1.25619268)));
      final vertex_0_54 = mesh_0.vertices.elementAt(54);
      expect(vertex_0_54, vector3MoreOrLessEquals(Vector3(-3.01991605e-07, 1, -1.25619268)));
      final vertex_0_55 = mesh_0.vertices.elementAt(55);
      expect(vertex_0_55, vector3MoreOrLessEquals(Vector3(9.12711243e-07, 0.648822367, -0.58084631)));
      final vertex_0_56 = mesh_0.vertices.elementAt(56);
      expect(vertex_0_56, vector3MoreOrLessEquals(Vector3(0.458786517, 0.458786964, -0.58084631)));
      final vertex_0_57 = mesh_0.vertices.elementAt(57);
      expect(vertex_0_57, vector3MoreOrLessEquals(Vector3(9.12711243e-07, 0.648822367, -0.58084631)));
      final vertex_0_58 = mesh_0.vertices.elementAt(58);
      expect(vertex_0_58, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 0.323788524)));
      final vertex_0_59 = mesh_0.vertices.elementAt(59);
      expect(vertex_0_59, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 0.323788524)));
      final vertex_0_60 = mesh_0.vertices.elementAt(60);
      expect(vertex_0_60, vector3MoreOrLessEquals(Vector3(9.12711243e-07, 0.648822367, -0.58084631)));
      final vertex_0_61 = mesh_0.vertices.elementAt(61);
      expect(vertex_0_61, vector3MoreOrLessEquals(Vector3(-0.45878616, 0.458787203, -0.58084631)));
      final vertex_0_62 = mesh_0.vertices.elementAt(62);
      expect(vertex_0_62, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 0.323788524)));
      final vertex_0_63 = mesh_0.vertices.elementAt(63);
      expect(vertex_0_63, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 0.323788524)));
      final vertex_0_64 = mesh_0.vertices.elementAt(64);
      expect(vertex_0_64, vector3MoreOrLessEquals(Vector3(-0.45878616, 0.458787203, -0.58084631)));
      final vertex_0_65 = mesh_0.vertices.elementAt(65);
      expect(vertex_0_65, vector3MoreOrLessEquals(Vector3(-0.648822308, 5.51075516e-07, -0.58084631)));
      final vertex_0_66 = mesh_0.vertices.elementAt(66);
      expect(vertex_0_66, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 0.323788524)));
      final vertex_0_67 = mesh_0.vertices.elementAt(67);
      expect(vertex_0_67, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 0.323788524)));
      final vertex_0_68 = mesh_0.vertices.elementAt(68);
      expect(vertex_0_68, vector3MoreOrLessEquals(Vector3(-0.648822308, 5.51075516e-07, -0.58084631)));
      final vertex_0_69 = mesh_0.vertices.elementAt(69);
      expect(vertex_0_69, vector3MoreOrLessEquals(Vector3(-0.458786756, -0.458786428, -0.58084631)));
      final vertex_0_70 = mesh_0.vertices.elementAt(70);
      expect(vertex_0_70, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 0.323788524)));
      final vertex_0_71 = mesh_0.vertices.elementAt(71);
      expect(vertex_0_71, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 0.323788524)));
      final vertex_0_72 = mesh_0.vertices.elementAt(72);
      expect(vertex_0_72, vector3MoreOrLessEquals(Vector3(-0.458786756, -0.458786428, -0.58084631)));
      final vertex_0_73 = mesh_0.vertices.elementAt(73);
      expect(vertex_0_73, vector3MoreOrLessEquals(Vector3(5.15844505e-08, -0.648822188, -0.58084631)));
      final vertex_0_74 = mesh_0.vertices.elementAt(74);
      expect(vertex_0_74, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 0.323788524)));
      final vertex_0_75 = mesh_0.vertices.elementAt(75);
      expect(vertex_0_75, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 0.323788524)));
      final vertex_0_76 = mesh_0.vertices.elementAt(76);
      expect(vertex_0_76, vector3MoreOrLessEquals(Vector3(5.15844505e-08, -0.648822188, -0.58084631)));
      final vertex_0_77 = mesh_0.vertices.elementAt(77);
      expect(vertex_0_77, vector3MoreOrLessEquals(Vector3(0.458786845, -0.458786428, -0.58084631)));
      final vertex_0_78 = mesh_0.vertices.elementAt(78);
      expect(vertex_0_78, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 0.323788524)));
      final vertex_0_79 = mesh_0.vertices.elementAt(79);
      expect(vertex_0_79, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 0.323788524)));
      final vertex_0_80 = mesh_0.vertices.elementAt(80);
      expect(vertex_0_80, vector3MoreOrLessEquals(Vector3(0.458786845, -0.458786428, -0.58084631)));
      final vertex_0_81 = mesh_0.vertices.elementAt(81);
      expect(vertex_0_81, vector3MoreOrLessEquals(Vector3(0.648822367, 5.20126946e-07, -0.58084631)));
      final vertex_0_82 = mesh_0.vertices.elementAt(82);
      expect(vertex_0_82, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 0.323788524)));
      final vertex_0_83 = mesh_0.vertices.elementAt(83);
      expect(vertex_0_83, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 0.323788524)));
      final vertex_0_84 = mesh_0.vertices.elementAt(84);
      expect(vertex_0_84, vector3MoreOrLessEquals(Vector3(0.648822367, 5.20126946e-07, -0.58084631)));
      final vertex_0_85 = mesh_0.vertices.elementAt(85);
      expect(vertex_0_85, vector3MoreOrLessEquals(Vector3(0.458786517, 0.458786964, -0.58084631)));
      final vertex_0_86 = mesh_0.vertices.elementAt(86);
      expect(vertex_0_86, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 0.323788524)));
      final vertex_0_87 = mesh_0.vertices.elementAt(87);
      expect(vertex_0_87, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 0.323788524)));
      final vertex_0_88 = mesh_0.vertices.elementAt(88);
      expect(vertex_0_88, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 0.323788524)));
      final vertex_0_89 = mesh_0.vertices.elementAt(89);
      expect(vertex_0_89, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 0.323788524)));
      final vertex_0_90 = mesh_0.vertices.elementAt(90);
      expect(vertex_0_90, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 1.40239155)));
      final vertex_0_91 = mesh_0.vertices.elementAt(91);
      expect(vertex_0_91, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 1.40239155)));
      final vertex_0_92 = mesh_0.vertices.elementAt(92);
      expect(vertex_0_92, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 0.323788524)));
      final vertex_0_93 = mesh_0.vertices.elementAt(93);
      expect(vertex_0_93, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 0.323788524)));
      final vertex_0_94 = mesh_0.vertices.elementAt(94);
      expect(vertex_0_94, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 1.40239155)));
      final vertex_0_95 = mesh_0.vertices.elementAt(95);
      expect(vertex_0_95, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 1.40239155)));
      final vertex_0_96 = mesh_0.vertices.elementAt(96);
      expect(vertex_0_96, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 0.323788524)));
      final vertex_0_97 = mesh_0.vertices.elementAt(97);
      expect(vertex_0_97, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 0.323788524)));
      final vertex_0_98 = mesh_0.vertices.elementAt(98);
      expect(vertex_0_98, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 1.40239155)));
      final vertex_0_99 = mesh_0.vertices.elementAt(99);
      expect(vertex_0_99, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 1.40239155)));
      final vertex_0_100 = mesh_0.vertices.elementAt(100);
      expect(vertex_0_100, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 0.323788524)));
      final vertex_0_101 = mesh_0.vertices.elementAt(101);
      expect(vertex_0_101, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 0.323788524)));
      final vertex_0_102 = mesh_0.vertices.elementAt(102);
      expect(vertex_0_102, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 1.40239155)));
      final vertex_0_103 = mesh_0.vertices.elementAt(103);
      expect(vertex_0_103, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 1.40239155)));
      final vertex_0_104 = mesh_0.vertices.elementAt(104);
      expect(vertex_0_104, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 0.323788524)));
      final vertex_0_105 = mesh_0.vertices.elementAt(105);
      expect(vertex_0_105, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 0.323788524)));
      final vertex_0_106 = mesh_0.vertices.elementAt(106);
      expect(vertex_0_106, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 1.40239155)));
      final vertex_0_107 = mesh_0.vertices.elementAt(107);
      expect(vertex_0_107, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 1.40239155)));
      final vertex_0_108 = mesh_0.vertices.elementAt(108);
      expect(vertex_0_108, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 0.323788524)));
      final vertex_0_109 = mesh_0.vertices.elementAt(109);
      expect(vertex_0_109, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 0.323788524)));
      final vertex_0_110 = mesh_0.vertices.elementAt(110);
      expect(vertex_0_110, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 1.40239155)));
      final vertex_0_111 = mesh_0.vertices.elementAt(111);
      expect(vertex_0_111, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 1.40239155)));
      final vertex_0_112 = mesh_0.vertices.elementAt(112);
      expect(vertex_0_112, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 0.323788524)));
      final vertex_0_113 = mesh_0.vertices.elementAt(113);
      expect(vertex_0_113, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 0.323788524)));
      final vertex_0_114 = mesh_0.vertices.elementAt(114);
      expect(vertex_0_114, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 1.40239155)));
      final vertex_0_115 = mesh_0.vertices.elementAt(115);
      expect(vertex_0_115, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 1.40239155)));
      final vertex_0_116 = mesh_0.vertices.elementAt(116);
      expect(vertex_0_116, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 1.40239155)));
      final vertex_0_117 = mesh_0.vertices.elementAt(117);
      expect(vertex_0_117, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 1.40239155)));
      final vertex_0_118 = mesh_0.vertices.elementAt(118);
      expect(vertex_0_118, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 2.55058193)));
      final vertex_0_119 = mesh_0.vertices.elementAt(119);
      expect(vertex_0_119, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 2.55058193)));
      final vertex_0_120 = mesh_0.vertices.elementAt(120);
      expect(vertex_0_120, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 1.40239155)));
      final vertex_0_121 = mesh_0.vertices.elementAt(121);
      expect(vertex_0_121, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 1.40239155)));
      final vertex_0_122 = mesh_0.vertices.elementAt(122);
      expect(vertex_0_122, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 2.55058193)));
      final vertex_0_123 = mesh_0.vertices.elementAt(123);
      expect(vertex_0_123, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 2.55058193)));
      final vertex_0_124 = mesh_0.vertices.elementAt(124);
      expect(vertex_0_124, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 1.40239155)));
      final vertex_0_125 = mesh_0.vertices.elementAt(125);
      expect(vertex_0_125, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 1.40239155)));
      final vertex_0_126 = mesh_0.vertices.elementAt(126);
      expect(vertex_0_126, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 2.55058193)));
      final vertex_0_127 = mesh_0.vertices.elementAt(127);
      expect(vertex_0_127, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 2.55058193)));
      final vertex_0_128 = mesh_0.vertices.elementAt(128);
      expect(vertex_0_128, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 1.40239155)));
      final vertex_0_129 = mesh_0.vertices.elementAt(129);
      expect(vertex_0_129, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 1.40239155)));
      final vertex_0_130 = mesh_0.vertices.elementAt(130);
      expect(vertex_0_130, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 2.55058193)));
      final vertex_0_131 = mesh_0.vertices.elementAt(131);
      expect(vertex_0_131, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 2.55058193)));
      final vertex_0_132 = mesh_0.vertices.elementAt(132);
      expect(vertex_0_132, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 1.40239155)));
      final vertex_0_133 = mesh_0.vertices.elementAt(133);
      expect(vertex_0_133, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 1.40239155)));
      final vertex_0_134 = mesh_0.vertices.elementAt(134);
      expect(vertex_0_134, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 2.55058193)));
      final vertex_0_135 = mesh_0.vertices.elementAt(135);
      expect(vertex_0_135, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 2.55058193)));
      final vertex_0_136 = mesh_0.vertices.elementAt(136);
      expect(vertex_0_136, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 1.40239155)));
      final vertex_0_137 = mesh_0.vertices.elementAt(137);
      expect(vertex_0_137, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 1.40239155)));
      final vertex_0_138 = mesh_0.vertices.elementAt(138);
      expect(vertex_0_138, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 2.55058193)));
      final vertex_0_139 = mesh_0.vertices.elementAt(139);
      expect(vertex_0_139, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 2.55058193)));
      final vertex_0_140 = mesh_0.vertices.elementAt(140);
      expect(vertex_0_140, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 1.40239155)));
      final vertex_0_141 = mesh_0.vertices.elementAt(141);
      expect(vertex_0_141, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 1.40239155)));
      final vertex_0_142 = mesh_0.vertices.elementAt(142);
      expect(vertex_0_142, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 2.55058193)));
      final vertex_0_143 = mesh_0.vertices.elementAt(143);
      expect(vertex_0_143, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 2.55058193)));
      final vertex_0_144 = mesh_0.vertices.elementAt(144);
      expect(vertex_0_144, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 1.40239155)));
      final vertex_0_145 = mesh_0.vertices.elementAt(145);
      expect(vertex_0_145, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 1.40239155)));
      final vertex_0_146 = mesh_0.vertices.elementAt(146);
      expect(vertex_0_146, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 2.55058193)));
      final vertex_0_147 = mesh_0.vertices.elementAt(147);
      expect(vertex_0_147, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 2.55058193)));
      final vertex_0_148 = mesh_0.vertices.elementAt(148);
      expect(vertex_0_148, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 2.55058193)));
      final vertex_0_149 = mesh_0.vertices.elementAt(149);
      expect(vertex_0_149, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 2.55058193)));
      final vertex_0_150 = mesh_0.vertices.elementAt(150);
      expect(vertex_0_150, vector3MoreOrLessEquals(Vector3(0.723669291, 0.723670006, 3.7596612)));
      final vertex_0_151 = mesh_0.vertices.elementAt(151);
      expect(vertex_0_151, vector3MoreOrLessEquals(Vector3(1.02342343, 6.23802634e-07, 3.7596612)));
      final vertex_0_152 = mesh_0.vertices.elementAt(152);
      expect(vertex_0_152, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 2.55058193)));
      final vertex_0_153 = mesh_0.vertices.elementAt(153);
      expect(vertex_0_153, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 2.55058193)));
      final vertex_0_154 = mesh_0.vertices.elementAt(154);
      expect(vertex_0_154, vector3MoreOrLessEquals(Vector3(1.02342343, 6.23802634e-07, 3.7596612)));
      final vertex_0_155 = mesh_0.vertices.elementAt(155);
      expect(vertex_0_155, vector3MoreOrLessEquals(Vector3(0.723669887, -0.723669469, 3.7596612)));
      final vertex_0_156 = mesh_0.vertices.elementAt(156);
      expect(vertex_0_156, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 2.55058193)));
      final vertex_0_157 = mesh_0.vertices.elementAt(157);
      expect(vertex_0_157, vector3MoreOrLessEquals(Vector3(0.707107008, -0.70710659, 2.55058193)));
      final vertex_0_158 = mesh_0.vertices.elementAt(158);
      expect(vertex_0_158, vector3MoreOrLessEquals(Vector3(0.723669887, -0.723669469, 3.7596612)));
      final vertex_0_159 = mesh_0.vertices.elementAt(159);
      expect(vertex_0_159, vector3MoreOrLessEquals(Vector3(-2.72860348e-08, -1.02342343, 3.7596612)));
      final vertex_0_160 = mesh_0.vertices.elementAt(160);
      expect(vertex_0_160, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 2.55058193)));
      final vertex_0_161 = mesh_0.vertices.elementAt(161);
      expect(vertex_0_161, vector3MoreOrLessEquals(Vector3(-2.38497613e-08, -1, 2.55058193)));
      final vertex_0_162 = mesh_0.vertices.elementAt(162);
      expect(vertex_0_162, vector3MoreOrLessEquals(Vector3(-2.72860348e-08, -1.02342343, 3.7596612)));
      final vertex_0_163 = mesh_0.vertices.elementAt(163);
      expect(vertex_0_163, vector3MoreOrLessEquals(Vector3(-0.723669887, -0.72366941, 3.7596612)));
      final vertex_0_164 = mesh_0.vertices.elementAt(164);
      expect(vertex_0_164, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 2.55058193)));
      final vertex_0_165 = mesh_0.vertices.elementAt(165);
      expect(vertex_0_165, vector3MoreOrLessEquals(Vector3(-0.707107008, -0.707106531, 2.55058193)));
      final vertex_0_166 = mesh_0.vertices.elementAt(166);
      expect(vertex_0_166, vector3MoreOrLessEquals(Vector3(-0.723669887, -0.72366941, 3.7596612)));
      final vertex_0_167 = mesh_0.vertices.elementAt(167);
      expect(vertex_0_167, vector3MoreOrLessEquals(Vector3(-1.02342343, 6.72619535e-07, 3.7596612)));
      final vertex_0_168 = mesh_0.vertices.elementAt(168);
      expect(vertex_0_168, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 2.55058193)));
      final vertex_0_169 = mesh_0.vertices.elementAt(169);
      expect(vertex_0_169, vector3MoreOrLessEquals(Vector3(-1, 6.6360758e-07, 2.55058193)));
      final vertex_0_170 = mesh_0.vertices.elementAt(170);
      expect(vertex_0_170, vector3MoreOrLessEquals(Vector3(-1.02342343, 6.72619535e-07, 3.7596612)));
      final vertex_0_171 = mesh_0.vertices.elementAt(171);
      expect(vertex_0_171, vector3MoreOrLessEquals(Vector3(-0.723668933, 0.723670363, 3.7596612)));
      final vertex_0_172 = mesh_0.vertices.elementAt(172);
      expect(vertex_0_172, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 2.55058193)));
      final vertex_0_173 = mesh_0.vertices.elementAt(173);
      expect(vertex_0_173, vector3MoreOrLessEquals(Vector3(-0.707106113, 0.707107484, 2.55058193)));
      final vertex_0_174 = mesh_0.vertices.elementAt(174);
      expect(vertex_0_174, vector3MoreOrLessEquals(Vector3(-0.723668933, 0.723670363, 3.7596612)));
      final vertex_0_175 = mesh_0.vertices.elementAt(175);
      expect(vertex_0_175, vector3MoreOrLessEquals(Vector3(1.33101719e-06, 1.02342343, 3.7596612)));
      final vertex_0_176 = mesh_0.vertices.elementAt(176);
      expect(vertex_0_176, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 2.55058193)));
      final vertex_0_177 = mesh_0.vertices.elementAt(177);
      expect(vertex_0_177, vector3MoreOrLessEquals(Vector3(1.30336548e-06, 1, 2.55058193)));
      final vertex_0_178 = mesh_0.vertices.elementAt(178);
      expect(vertex_0_178, vector3MoreOrLessEquals(Vector3(1.33101719e-06, 1.02342343, 3.7596612)));
      final vertex_0_179 = mesh_0.vertices.elementAt(179);
      expect(vertex_0_179, vector3MoreOrLessEquals(Vector3(0.723669291, 0.723670006, 3.7596612)));
      final vertex_0_180 = mesh_0.vertices.elementAt(180);
      expect(vertex_0_180, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 1.40239155)));
      final vertex_0_181 = mesh_0.vertices.elementAt(181);
      expect(vertex_0_181, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 0.323788524)));
      final vertex_0_182 = mesh_0.vertices.elementAt(182);
      expect(vertex_0_182, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 0.323788524)));
      final vertex_0_183 = mesh_0.vertices.elementAt(183);
      expect(vertex_0_183, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 1.40239155)));
      final vertex_0_184 = mesh_0.vertices.elementAt(184);
      expect(vertex_0_184, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 1.40239155)));
      final vertex_0_185 = mesh_0.vertices.elementAt(185);
      expect(vertex_0_185, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 1.40239155)));
      final vertex_0_186 = mesh_0.vertices.elementAt(186);
      expect(vertex_0_186, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 1.40239155)));
      final vertex_0_187 = mesh_0.vertices.elementAt(187);
      expect(vertex_0_187, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 1.40239155)));
      final vertex_0_188 = mesh_0.vertices.elementAt(188);
      expect(vertex_0_188, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 0.323788524)));
      final vertex_0_189 = mesh_0.vertices.elementAt(189);
      expect(vertex_0_189, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 1.40239155)));
      final vertex_0_190 = mesh_0.vertices.elementAt(190);
      expect(vertex_0_190, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 1.40239155)));
      final vertex_0_191 = mesh_0.vertices.elementAt(191);
      expect(vertex_0_191, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 0.323788524)));
      final vertex_0_192 = mesh_0.vertices.elementAt(192);
      expect(vertex_0_192, vector3MoreOrLessEquals(Vector3(1, 6.1590805e-07, 0.323788524)));
      final vertex_0_193 = mesh_0.vertices.elementAt(193);
      expect(vertex_0_193, vector3MoreOrLessEquals(Vector3(0.707106471, 0.707107127, 0.323788524)));
      final vertex_0_194 = mesh_0.vertices.elementAt(194);
      expect(vertex_0_194, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 0.323788524)));
      final vertex_0_195 = mesh_0.vertices.elementAt(195);
      expect(vertex_0_195, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 0.323788524)));
      final vertex_0_196 = mesh_0.vertices.elementAt(196);
      expect(vertex_0_196, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 0.323788524)));
      final vertex_0_197 = mesh_0.vertices.elementAt(197);
      expect(vertex_0_197, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 0.323788524)));
      final vertex_0_198 = mesh_0.vertices.elementAt(198);
      expect(vertex_0_198, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 0.443368107)));
      final vertex_0_199 = mesh_0.vertices.elementAt(199);
      expect(vertex_0_199, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 0.443368107)));
      final vertex_0_200 = mesh_0.vertices.elementAt(200);
      expect(vertex_0_200, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 0.323788524)));
      final vertex_0_201 = mesh_0.vertices.elementAt(201);
      expect(vertex_0_201, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 1.40239155)));
      final vertex_0_202 = mesh_0.vertices.elementAt(202);
      expect(vertex_0_202, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 1.282812)));
      final vertex_0_203 = mesh_0.vertices.elementAt(203);
      expect(vertex_0_203, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 0.443368107)));
      final vertex_0_204 = mesh_0.vertices.elementAt(204);
      expect(vertex_0_204, vector3MoreOrLessEquals(Vector3(1.8183589, 1.1674037, 1.40239155)));
      final vertex_0_205 = mesh_0.vertices.elementAt(205);
      expect(vertex_0_205, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 1.40239155)));
      final vertex_0_206 = mesh_0.vertices.elementAt(206);
      expect(vertex_0_206, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 1.282812)));
      final vertex_0_207 = mesh_0.vertices.elementAt(207);
      expect(vertex_0_207, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 1.282812)));
      final vertex_0_208 = mesh_0.vertices.elementAt(208);
      expect(vertex_0_208, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 1.40239155)));
      final vertex_0_209 = mesh_0.vertices.elementAt(209);
      expect(vertex_0_209, vector3MoreOrLessEquals(Vector3(2.11125231, 0.460297257, 0.323788524)));
      final vertex_0_210 = mesh_0.vertices.elementAt(210);
      expect(vertex_0_210, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 0.443368107)));
      final vertex_0_211 = mesh_0.vertices.elementAt(211);
      expect(vertex_0_211, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 1.282812)));
      final vertex_0_212 = mesh_0.vertices.elementAt(212);
      expect(vertex_0_212, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 1.282812)));
      final vertex_0_213 = mesh_0.vertices.elementAt(213);
      expect(vertex_0_213, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 0.443368107)));
      final vertex_0_214 = mesh_0.vertices.elementAt(214);
      expect(vertex_0_214, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 0.547156096)));
      final vertex_0_215 = mesh_0.vertices.elementAt(215);
      expect(vertex_0_215, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 1.1790241)));
      final vertex_0_216 = mesh_0.vertices.elementAt(216);
      expect(vertex_0_216, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 1.282812)));
      final vertex_0_217 = mesh_0.vertices.elementAt(217);
      expect(vertex_0_217, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 1.282812)));
      final vertex_0_218 = mesh_0.vertices.elementAt(218);
      expect(vertex_0_218, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 1.1790241)));
      final vertex_0_219 = mesh_0.vertices.elementAt(219);
      expect(vertex_0_219, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 1.1790241)));
      final vertex_0_220 = mesh_0.vertices.elementAt(220);
      expect(vertex_0_220, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 0.443368107)));
      final vertex_0_221 = mesh_0.vertices.elementAt(221);
      expect(vertex_0_221, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 1.282812)));
      final vertex_0_222 = mesh_0.vertices.elementAt(222);
      expect(vertex_0_222, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 1.1790241)));
      final vertex_0_223 = mesh_0.vertices.elementAt(223);
      expect(vertex_0_223, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 0.547156096)));
      final vertex_0_224 = mesh_0.vertices.elementAt(224);
      expect(vertex_0_224, vector3MoreOrLessEquals(Vector3(3.40496588, 1.31303227, 0.443368107)));
      final vertex_0_225 = mesh_0.vertices.elementAt(225);
      expect(vertex_0_225, vector3MoreOrLessEquals(Vector3(3.17701578, 1.8633517, 0.443368107)));
      final vertex_0_226 = mesh_0.vertices.elementAt(226);
      expect(vertex_0_226, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 0.547156096)));
      final vertex_0_227 = mesh_0.vertices.elementAt(227);
      expect(vertex_0_227, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 0.547156096)));
      final vertex_0_228 = mesh_0.vertices.elementAt(228);
      expect(vertex_0_228, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 0.547156096)));
      final vertex_0_229 = mesh_0.vertices.elementAt(229);
      expect(vertex_0_229, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 0.547156096)));
      final vertex_0_230 = mesh_0.vertices.elementAt(230);
      expect(vertex_0_230, vector3MoreOrLessEquals(Vector3(4.16271591, 2.19192767, 1.1790241)));
      final vertex_0_231 = mesh_0.vertices.elementAt(231);
      expect(vertex_0_231, vector3MoreOrLessEquals(Vector3(4.33429909, 1.77768993, 1.1790241)));
      final vertex_0_232 = mesh_0.vertices.elementAt(232);
      expect(vertex_0_232, vector3MoreOrLessEquals(Vector3(1.02342343, 6.23802634e-07, 3.7596612)));
      final vertex_0_233 = mesh_0.vertices.elementAt(233);
      expect(vertex_0_233, vector3MoreOrLessEquals(Vector3(0.723669291, 0.723670006, 3.7596612)));
      final vertex_0_234 = mesh_0.vertices.elementAt(234);
      expect(vertex_0_234, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_235 = mesh_0.vertices.elementAt(235);
      expect(vertex_0_235, vector3MoreOrLessEquals(Vector3(0.723669887, -0.723669469, 3.7596612)));
      final vertex_0_236 = mesh_0.vertices.elementAt(236);
      expect(vertex_0_236, vector3MoreOrLessEquals(Vector3(1.02342343, 6.23802634e-07, 3.7596612)));
      final vertex_0_237 = mesh_0.vertices.elementAt(237);
      expect(vertex_0_237, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_238 = mesh_0.vertices.elementAt(238);
      expect(vertex_0_238, vector3MoreOrLessEquals(Vector3(-2.72860348e-08, -1.02342343, 3.7596612)));
      final vertex_0_239 = mesh_0.vertices.elementAt(239);
      expect(vertex_0_239, vector3MoreOrLessEquals(Vector3(0.723669887, -0.723669469, 3.7596612)));
      final vertex_0_240 = mesh_0.vertices.elementAt(240);
      expect(vertex_0_240, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_241 = mesh_0.vertices.elementAt(241);
      expect(vertex_0_241, vector3MoreOrLessEquals(Vector3(-0.723669887, -0.72366941, 3.7596612)));
      final vertex_0_242 = mesh_0.vertices.elementAt(242);
      expect(vertex_0_242, vector3MoreOrLessEquals(Vector3(-2.72860348e-08, -1.02342343, 3.7596612)));
      final vertex_0_243 = mesh_0.vertices.elementAt(243);
      expect(vertex_0_243, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_244 = mesh_0.vertices.elementAt(244);
      expect(vertex_0_244, vector3MoreOrLessEquals(Vector3(-1.02342343, 6.72619535e-07, 3.7596612)));
      final vertex_0_245 = mesh_0.vertices.elementAt(245);
      expect(vertex_0_245, vector3MoreOrLessEquals(Vector3(-0.723669887, -0.72366941, 3.7596612)));
      final vertex_0_246 = mesh_0.vertices.elementAt(246);
      expect(vertex_0_246, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_247 = mesh_0.vertices.elementAt(247);
      expect(vertex_0_247, vector3MoreOrLessEquals(Vector3(-0.723668933, 0.723670363, 3.7596612)));
      final vertex_0_248 = mesh_0.vertices.elementAt(248);
      expect(vertex_0_248, vector3MoreOrLessEquals(Vector3(-1.02342343, 6.72619535e-07, 3.7596612)));
      final vertex_0_249 = mesh_0.vertices.elementAt(249);
      expect(vertex_0_249, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_250 = mesh_0.vertices.elementAt(250);
      expect(vertex_0_250, vector3MoreOrLessEquals(Vector3(1.33101719e-06, 1.02342343, 3.7596612)));
      final vertex_0_251 = mesh_0.vertices.elementAt(251);
      expect(vertex_0_251, vector3MoreOrLessEquals(Vector3(-0.723668933, 0.723670363, 3.7596612)));
      final vertex_0_252 = mesh_0.vertices.elementAt(252);
      expect(vertex_0_252, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      final vertex_0_253 = mesh_0.vertices.elementAt(253);
      expect(vertex_0_253, vector3MoreOrLessEquals(Vector3(0.723669291, 0.723670006, 3.7596612)));
      final vertex_0_254 = mesh_0.vertices.elementAt(254);
      expect(vertex_0_254, vector3MoreOrLessEquals(Vector3(1.33101719e-06, 1.02342343, 3.7596612)));
      final vertex_0_255 = mesh_0.vertices.elementAt(255);
      expect(vertex_0_255, vector3MoreOrLessEquals(Vector3(-1.0965683e-05, -1.08266249e-05, 4.18217993)));
      expect(mesh_0.normals.length, equals(256));
      final normal_0_0 = mesh_0.normals.elementAt(0);
      expect(normal_0_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_1 = mesh_0.normals.elementAt(1);
      expect(normal_0_1, vector3MoreOrLessEquals(Vector3(0.633625269, 0.633625269, -0.443861187)));
      final normal_0_2 = mesh_0.normals.elementAt(2);
      expect(normal_0_2, vector3MoreOrLessEquals(Vector3(0.896084487, 0, -0.443861187)));
      final normal_0_3 = mesh_0.normals.elementAt(3);
      expect(normal_0_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_4 = mesh_0.normals.elementAt(4);
      expect(normal_0_4, vector3MoreOrLessEquals(Vector3(0.896084487, 0, -0.443861187)));
      final normal_0_5 = mesh_0.normals.elementAt(5);
      expect(normal_0_5, vector3MoreOrLessEquals(Vector3(0.633625269, -0.633625269, -0.443861187)));
      final normal_0_6 = mesh_0.normals.elementAt(6);
      expect(normal_0_6, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_7 = mesh_0.normals.elementAt(7);
      expect(normal_0_7, vector3MoreOrLessEquals(Vector3(0.633625269, -0.633625269, -0.443861187)));
      final normal_0_8 = mesh_0.normals.elementAt(8);
      expect(normal_0_8, vector3MoreOrLessEquals(Vector3(0, -0.896084487, -0.443861187)));
      final normal_0_9 = mesh_0.normals.elementAt(9);
      expect(normal_0_9, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_10 = mesh_0.normals.elementAt(10);
      expect(normal_0_10, vector3MoreOrLessEquals(Vector3(0, -0.896084487, -0.443861187)));
      final normal_0_11 = mesh_0.normals.elementAt(11);
      expect(normal_0_11, vector3MoreOrLessEquals(Vector3(-0.633625269, -0.633625269, -0.443861187)));
      final normal_0_12 = mesh_0.normals.elementAt(12);
      expect(normal_0_12, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_13 = mesh_0.normals.elementAt(13);
      expect(normal_0_13, vector3MoreOrLessEquals(Vector3(-0.633625269, -0.633625269, -0.443861187)));
      final normal_0_14 = mesh_0.normals.elementAt(14);
      expect(normal_0_14, vector3MoreOrLessEquals(Vector3(-0.896084487, 0, -0.443861187)));
      final normal_0_15 = mesh_0.normals.elementAt(15);
      expect(normal_0_15, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_16 = mesh_0.normals.elementAt(16);
      expect(normal_0_16, vector3MoreOrLessEquals(Vector3(-0.896084487, 0, -0.443861187)));
      final normal_0_17 = mesh_0.normals.elementAt(17);
      expect(normal_0_17, vector3MoreOrLessEquals(Vector3(-0.633625269, 0.633625269, -0.443861187)));
      final normal_0_18 = mesh_0.normals.elementAt(18);
      expect(normal_0_18, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_19 = mesh_0.normals.elementAt(19);
      expect(normal_0_19, vector3MoreOrLessEquals(Vector3(-0.633625269, 0.633625269, -0.443861187)));
      final normal_0_20 = mesh_0.normals.elementAt(20);
      expect(normal_0_20, vector3MoreOrLessEquals(Vector3(0, 0.896084487, -0.443861187)));
      final normal_0_21 = mesh_0.normals.elementAt(21);
      expect(normal_0_21, vector3MoreOrLessEquals(Vector3(0, 0.896084487, -0.443861187)));
      final normal_0_22 = mesh_0.normals.elementAt(22);
      expect(normal_0_22, vector3MoreOrLessEquals(Vector3(0.633625269, 0.633625269, -0.443861187)));
      final normal_0_23 = mesh_0.normals.elementAt(23);
      expect(normal_0_23, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_24 = mesh_0.normals.elementAt(24);
      expect(normal_0_24, vector3MoreOrLessEquals(Vector3(0.633625269, 0.633625269, -0.443861187)));
      final normal_0_25 = mesh_0.normals.elementAt(25);
      expect(normal_0_25, vector3MoreOrLessEquals(Vector3(0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_26 = mesh_0.normals.elementAt(26);
      expect(normal_0_26, vector3MoreOrLessEquals(Vector3(0.998107851, 0, 0.0610065013)));
      final normal_0_27 = mesh_0.normals.elementAt(27);
      expect(normal_0_27, vector3MoreOrLessEquals(Vector3(0.896084487, 0, -0.443861187)));
      final normal_0_28 = mesh_0.normals.elementAt(28);
      expect(normal_0_28, vector3MoreOrLessEquals(Vector3(0.896084487, 0, -0.443861187)));
      final normal_0_29 = mesh_0.normals.elementAt(29);
      expect(normal_0_29, vector3MoreOrLessEquals(Vector3(0.998107851, 0, 0.0610065013)));
      final normal_0_30 = mesh_0.normals.elementAt(30);
      expect(normal_0_30, vector3MoreOrLessEquals(Vector3(0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_31 = mesh_0.normals.elementAt(31);
      expect(normal_0_31, vector3MoreOrLessEquals(Vector3(0.633625269, -0.633625269, -0.443861187)));
      final normal_0_32 = mesh_0.normals.elementAt(32);
      expect(normal_0_32, vector3MoreOrLessEquals(Vector3(0.633625269, -0.633625269, -0.443861187)));
      final normal_0_33 = mesh_0.normals.elementAt(33);
      expect(normal_0_33, vector3MoreOrLessEquals(Vector3(0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_34 = mesh_0.normals.elementAt(34);
      expect(normal_0_34, vector3MoreOrLessEquals(Vector3(0, -0.998107851, 0.0610065013)));
      final normal_0_35 = mesh_0.normals.elementAt(35);
      expect(normal_0_35, vector3MoreOrLessEquals(Vector3(0, -0.896084487, -0.443861187)));
      final normal_0_36 = mesh_0.normals.elementAt(36);
      expect(normal_0_36, vector3MoreOrLessEquals(Vector3(0, -0.896084487, -0.443861187)));
      final normal_0_37 = mesh_0.normals.elementAt(37);
      expect(normal_0_37, vector3MoreOrLessEquals(Vector3(0, -0.998107851, 0.0610065013)));
      final normal_0_38 = mesh_0.normals.elementAt(38);
      expect(normal_0_38, vector3MoreOrLessEquals(Vector3(-0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_39 = mesh_0.normals.elementAt(39);
      expect(normal_0_39, vector3MoreOrLessEquals(Vector3(-0.633625269, -0.633625269, -0.443861187)));
      final normal_0_40 = mesh_0.normals.elementAt(40);
      expect(normal_0_40, vector3MoreOrLessEquals(Vector3(-0.633625269, -0.633625269, -0.443861187)));
      final normal_0_41 = mesh_0.normals.elementAt(41);
      expect(normal_0_41, vector3MoreOrLessEquals(Vector3(-0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_42 = mesh_0.normals.elementAt(42);
      expect(normal_0_42, vector3MoreOrLessEquals(Vector3(-0.998107851, 0, 0.0610065013)));
      final normal_0_43 = mesh_0.normals.elementAt(43);
      expect(normal_0_43, vector3MoreOrLessEquals(Vector3(-0.896084487, 0, -0.443861187)));
      final normal_0_44 = mesh_0.normals.elementAt(44);
      expect(normal_0_44, vector3MoreOrLessEquals(Vector3(-0.896084487, 0, -0.443861187)));
      final normal_0_45 = mesh_0.normals.elementAt(45);
      expect(normal_0_45, vector3MoreOrLessEquals(Vector3(-0.998107851, 0, 0.0610065013)));
      final normal_0_46 = mesh_0.normals.elementAt(46);
      expect(normal_0_46, vector3MoreOrLessEquals(Vector3(-0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_47 = mesh_0.normals.elementAt(47);
      expect(normal_0_47, vector3MoreOrLessEquals(Vector3(-0.633625269, 0.633625269, -0.443861187)));
      final normal_0_48 = mesh_0.normals.elementAt(48);
      expect(normal_0_48, vector3MoreOrLessEquals(Vector3(-0.633625269, 0.633625269, -0.443861187)));
      final normal_0_49 = mesh_0.normals.elementAt(49);
      expect(normal_0_49, vector3MoreOrLessEquals(Vector3(-0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_50 = mesh_0.normals.elementAt(50);
      expect(normal_0_50, vector3MoreOrLessEquals(Vector3(0, 0.998107851, 0.0610065013)));
      final normal_0_51 = mesh_0.normals.elementAt(51);
      expect(normal_0_51, vector3MoreOrLessEquals(Vector3(0, 0.896084487, -0.443861187)));
      final normal_0_52 = mesh_0.normals.elementAt(52);
      expect(normal_0_52, vector3MoreOrLessEquals(Vector3(0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_53 = mesh_0.normals.elementAt(53);
      expect(normal_0_53, vector3MoreOrLessEquals(Vector3(0.633625269, 0.633625269, -0.443861187)));
      final normal_0_54 = mesh_0.normals.elementAt(54);
      expect(normal_0_54, vector3MoreOrLessEquals(Vector3(0, 0.896084487, -0.443861187)));
      final normal_0_55 = mesh_0.normals.elementAt(55);
      expect(normal_0_55, vector3MoreOrLessEquals(Vector3(0, 0.998107851, 0.0610065013)));
      final normal_0_56 = mesh_0.normals.elementAt(56);
      expect(normal_0_56, vector3MoreOrLessEquals(Vector3(0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_57 = mesh_0.normals.elementAt(57);
      expect(normal_0_57, vector3MoreOrLessEquals(Vector3(0, 0.998107851, 0.0610065013)));
      final normal_0_58 = mesh_0.normals.elementAt(58);
      expect(normal_0_58, vector3MoreOrLessEquals(Vector3(0, 0.98428297, -0.176427498)));
      final normal_0_59 = mesh_0.normals.elementAt(59);
      expect(normal_0_59, vector3MoreOrLessEquals(Vector3(0.314798415, 0.83370465, -0.453657657)));
      final normal_0_60 = mesh_0.normals.elementAt(60);
      expect(normal_0_60, vector3MoreOrLessEquals(Vector3(0, 0.998107851, 0.0610065013)));
      final normal_0_61 = mesh_0.normals.elementAt(61);
      expect(normal_0_61, vector3MoreOrLessEquals(Vector3(-0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_62 = mesh_0.normals.elementAt(62);
      expect(normal_0_62, vector3MoreOrLessEquals(Vector3(-0.696005106, 0.696005106, -0.176427498)));
      final normal_0_63 = mesh_0.normals.elementAt(63);
      expect(normal_0_63, vector3MoreOrLessEquals(Vector3(0, 0.98428297, -0.176427498)));
      final normal_0_64 = mesh_0.normals.elementAt(64);
      expect(normal_0_64, vector3MoreOrLessEquals(Vector3(-0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_65 = mesh_0.normals.elementAt(65);
      expect(normal_0_65, vector3MoreOrLessEquals(Vector3(-0.998107851, 0, 0.0610065013)));
      final normal_0_66 = mesh_0.normals.elementAt(66);
      expect(normal_0_66, vector3MoreOrLessEquals(Vector3(-0.98428297, 0, -0.176427498)));
      final normal_0_67 = mesh_0.normals.elementAt(67);
      expect(normal_0_67, vector3MoreOrLessEquals(Vector3(-0.696005106, 0.696005106, -0.176427498)));
      final normal_0_68 = mesh_0.normals.elementAt(68);
      expect(normal_0_68, vector3MoreOrLessEquals(Vector3(-0.998107851, 0, 0.0610065013)));
      final normal_0_69 = mesh_0.normals.elementAt(69);
      expect(normal_0_69, vector3MoreOrLessEquals(Vector3(-0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_70 = mesh_0.normals.elementAt(70);
      expect(normal_0_70, vector3MoreOrLessEquals(Vector3(-0.696005106, -0.696005106, -0.176427498)));
      final normal_0_71 = mesh_0.normals.elementAt(71);
      expect(normal_0_71, vector3MoreOrLessEquals(Vector3(-0.98428297, 0, -0.176427498)));
      final normal_0_72 = mesh_0.normals.elementAt(72);
      expect(normal_0_72, vector3MoreOrLessEquals(Vector3(-0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_73 = mesh_0.normals.elementAt(73);
      expect(normal_0_73, vector3MoreOrLessEquals(Vector3(0, -0.998107851, 0.0610065013)));
      final normal_0_74 = mesh_0.normals.elementAt(74);
      expect(normal_0_74, vector3MoreOrLessEquals(Vector3(0, -0.98428297, -0.176427498)));
      final normal_0_75 = mesh_0.normals.elementAt(75);
      expect(normal_0_75, vector3MoreOrLessEquals(Vector3(-0.696005106, -0.696005106, -0.176427498)));
      final normal_0_76 = mesh_0.normals.elementAt(76);
      expect(normal_0_76, vector3MoreOrLessEquals(Vector3(0, -0.998107851, 0.0610065013)));
      final normal_0_77 = mesh_0.normals.elementAt(77);
      expect(normal_0_77, vector3MoreOrLessEquals(Vector3(0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_78 = mesh_0.normals.elementAt(78);
      expect(normal_0_78, vector3MoreOrLessEquals(Vector3(0.696005106, -0.696005106, -0.176427498)));
      final normal_0_79 = mesh_0.normals.elementAt(79);
      expect(normal_0_79, vector3MoreOrLessEquals(Vector3(0, -0.98428297, -0.176427498)));
      final normal_0_80 = mesh_0.normals.elementAt(80);
      expect(normal_0_80, vector3MoreOrLessEquals(Vector3(0.705771029, -0.705771029, 0.0610065013)));
      final normal_0_81 = mesh_0.normals.elementAt(81);
      expect(normal_0_81, vector3MoreOrLessEquals(Vector3(0.998107851, 0, 0.0610065013)));
      final normal_0_82 = mesh_0.normals.elementAt(82);
      expect(normal_0_82, vector3MoreOrLessEquals(Vector3(0.812128067, -0.36689353, -0.453657657)));
      final normal_0_83 = mesh_0.normals.elementAt(83);
      expect(normal_0_83, vector3MoreOrLessEquals(Vector3(0.696005106, -0.696005106, -0.176427498)));
      final normal_0_84 = mesh_0.normals.elementAt(84);
      expect(normal_0_84, vector3MoreOrLessEquals(Vector3(0.998107851, 0, 0.0610065013)));
      final normal_0_85 = mesh_0.normals.elementAt(85);
      expect(normal_0_85, vector3MoreOrLessEquals(Vector3(0.705771029, 0.705771029, 0.0610065013)));
      final normal_0_86 = mesh_0.normals.elementAt(86);
      expect(normal_0_86, vector3MoreOrLessEquals(Vector3(0.314798415, 0.83370465, -0.453657657)));
      final normal_0_87 = mesh_0.normals.elementAt(87);
      expect(normal_0_87, vector3MoreOrLessEquals(Vector3(0.812128067, -0.36689353, -0.453657657)));
      final normal_0_88 = mesh_0.normals.elementAt(88);
      expect(normal_0_88, vector3MoreOrLessEquals(Vector3(0.696005106, -0.696005106, -0.176427498)));
      final normal_0_89 = mesh_0.normals.elementAt(89);
      expect(normal_0_89, vector3MoreOrLessEquals(Vector3(0.812128067, -0.36689353, -0.453657657)));
      final normal_0_90 = mesh_0.normals.elementAt(90);
      expect(normal_0_90, vector3MoreOrLessEquals(Vector3(0.88662374, -0.367229223, 0.281075478)));
      final normal_0_91 = mesh_0.normals.elementAt(91);
      expect(normal_0_91, vector3MoreOrLessEquals(Vector3(0.707083344, -0.707083344, 0)));
      final normal_0_92 = mesh_0.normals.elementAt(92);
      expect(normal_0_92, vector3MoreOrLessEquals(Vector3(0, -0.98428297, -0.176427498)));
      final normal_0_93 = mesh_0.normals.elementAt(93);
      expect(normal_0_93, vector3MoreOrLessEquals(Vector3(0.696005106, -0.696005106, -0.176427498)));
      final normal_0_94 = mesh_0.normals.elementAt(94);
      expect(normal_0_94, vector3MoreOrLessEquals(Vector3(0.707083344, -0.707083344, 0)));
      final normal_0_95 = mesh_0.normals.elementAt(95);
      expect(normal_0_95, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_96 = mesh_0.normals.elementAt(96);
      expect(normal_0_96, vector3MoreOrLessEquals(Vector3(-0.696005106, -0.696005106, -0.176427498)));
      final normal_0_97 = mesh_0.normals.elementAt(97);
      expect(normal_0_97, vector3MoreOrLessEquals(Vector3(0, -0.98428297, -0.176427498)));
      final normal_0_98 = mesh_0.normals.elementAt(98);
      expect(normal_0_98, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_99 = mesh_0.normals.elementAt(99);
      expect(normal_0_99, vector3MoreOrLessEquals(Vector3(-0.707083344, -0.707083344, 0)));
      final normal_0_100 = mesh_0.normals.elementAt(100);
      expect(normal_0_100, vector3MoreOrLessEquals(Vector3(-0.98428297, 0, -0.176427498)));
      final normal_0_101 = mesh_0.normals.elementAt(101);
      expect(normal_0_101, vector3MoreOrLessEquals(Vector3(-0.696005106, -0.696005106, -0.176427498)));
      final normal_0_102 = mesh_0.normals.elementAt(102);
      expect(normal_0_102, vector3MoreOrLessEquals(Vector3(-0.707083344, -0.707083344, 0)));
      final normal_0_103 = mesh_0.normals.elementAt(103);
      expect(normal_0_103, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_104 = mesh_0.normals.elementAt(104);
      expect(normal_0_104, vector3MoreOrLessEquals(Vector3(-0.696005106, 0.696005106, -0.176427498)));
      final normal_0_105 = mesh_0.normals.elementAt(105);
      expect(normal_0_105, vector3MoreOrLessEquals(Vector3(-0.98428297, 0, -0.176427498)));
      final normal_0_106 = mesh_0.normals.elementAt(106);
      expect(normal_0_106, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_107 = mesh_0.normals.elementAt(107);
      expect(normal_0_107, vector3MoreOrLessEquals(Vector3(-0.707083344, 0.707083344, 0)));
      final normal_0_108 = mesh_0.normals.elementAt(108);
      expect(normal_0_108, vector3MoreOrLessEquals(Vector3(0, 0.98428297, -0.176427498)));
      final normal_0_109 = mesh_0.normals.elementAt(109);
      expect(normal_0_109, vector3MoreOrLessEquals(Vector3(-0.696005106, 0.696005106, -0.176427498)));
      final normal_0_110 = mesh_0.normals.elementAt(110);
      expect(normal_0_110, vector3MoreOrLessEquals(Vector3(-0.707083344, 0.707083344, 0)));
      final normal_0_111 = mesh_0.normals.elementAt(111);
      expect(normal_0_111, vector3MoreOrLessEquals(Vector3(0, 0.999969482, 0)));
      final normal_0_112 = mesh_0.normals.elementAt(112);
      expect(normal_0_112, vector3MoreOrLessEquals(Vector3(0.314798415, 0.83370465, -0.453657657)));
      final normal_0_113 = mesh_0.normals.elementAt(113);
      expect(normal_0_113, vector3MoreOrLessEquals(Vector3(0, 0.98428297, -0.176427498)));
      final normal_0_114 = mesh_0.normals.elementAt(114);
      expect(normal_0_114, vector3MoreOrLessEquals(Vector3(0, 0.999969482, 0)));
      final normal_0_115 = mesh_0.normals.elementAt(115);
      expect(normal_0_115, vector3MoreOrLessEquals(Vector3(0.367229223, 0.88662374, 0.281075478)));
      final normal_0_116 = mesh_0.normals.elementAt(116);
      expect(normal_0_116, vector3MoreOrLessEquals(Vector3(0.367229223, 0.88662374, 0.281075478)));
      final normal_0_117 = mesh_0.normals.elementAt(117);
      expect(normal_0_117, vector3MoreOrLessEquals(Vector3(0, 0.999969482, 0)));
      final normal_0_118 = mesh_0.normals.elementAt(118);
      expect(normal_0_118, vector3MoreOrLessEquals(Vector3(0, 0.999938965, -0.009704886)));
      final normal_0_119 = mesh_0.normals.elementAt(119);
      expect(normal_0_119, vector3MoreOrLessEquals(Vector3(0.707052827, 0.707052827, -0.009704886)));
      final normal_0_120 = mesh_0.normals.elementAt(120);
      expect(normal_0_120, vector3MoreOrLessEquals(Vector3(0, 0.999969482, 0)));
      final normal_0_121 = mesh_0.normals.elementAt(121);
      expect(normal_0_121, vector3MoreOrLessEquals(Vector3(-0.707083344, 0.707083344, 0)));
      final normal_0_122 = mesh_0.normals.elementAt(122);
      expect(normal_0_122, vector3MoreOrLessEquals(Vector3(-0.707052827, 0.707052827, -0.009704886)));
      final normal_0_123 = mesh_0.normals.elementAt(123);
      expect(normal_0_123, vector3MoreOrLessEquals(Vector3(0, 0.999938965, -0.009704886)));
      final normal_0_124 = mesh_0.normals.elementAt(124);
      expect(normal_0_124, vector3MoreOrLessEquals(Vector3(-0.707083344, 0.707083344, 0)));
      final normal_0_125 = mesh_0.normals.elementAt(125);
      expect(normal_0_125, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_126 = mesh_0.normals.elementAt(126);
      expect(normal_0_126, vector3MoreOrLessEquals(Vector3(-0.999938965, 0, -0.009704886)));
      final normal_0_127 = mesh_0.normals.elementAt(127);
      expect(normal_0_127, vector3MoreOrLessEquals(Vector3(-0.707052827, 0.707052827, -0.009704886)));
      final normal_0_128 = mesh_0.normals.elementAt(128);
      expect(normal_0_128, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_129 = mesh_0.normals.elementAt(129);
      expect(normal_0_129, vector3MoreOrLessEquals(Vector3(-0.707083344, -0.707083344, 0)));
      final normal_0_130 = mesh_0.normals.elementAt(130);
      expect(normal_0_130, vector3MoreOrLessEquals(Vector3(-0.707052827, -0.707052827, -0.009704886)));
      final normal_0_131 = mesh_0.normals.elementAt(131);
      expect(normal_0_131, vector3MoreOrLessEquals(Vector3(-0.999938965, 0, -0.009704886)));
      final normal_0_132 = mesh_0.normals.elementAt(132);
      expect(normal_0_132, vector3MoreOrLessEquals(Vector3(-0.707083344, -0.707083344, 0)));
      final normal_0_133 = mesh_0.normals.elementAt(133);
      expect(normal_0_133, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_134 = mesh_0.normals.elementAt(134);
      expect(normal_0_134, vector3MoreOrLessEquals(Vector3(0, -0.999938965, -0.009704886)));
      final normal_0_135 = mesh_0.normals.elementAt(135);
      expect(normal_0_135, vector3MoreOrLessEquals(Vector3(-0.707052827, -0.707052827, -0.009704886)));
      final normal_0_136 = mesh_0.normals.elementAt(136);
      expect(normal_0_136, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_137 = mesh_0.normals.elementAt(137);
      expect(normal_0_137, vector3MoreOrLessEquals(Vector3(0.707083344, -0.707083344, 0)));
      final normal_0_138 = mesh_0.normals.elementAt(138);
      expect(normal_0_138, vector3MoreOrLessEquals(Vector3(0.707052827, -0.707052827, -0.009704886)));
      final normal_0_139 = mesh_0.normals.elementAt(139);
      expect(normal_0_139, vector3MoreOrLessEquals(Vector3(0, -0.999938965, -0.009704886)));
      final normal_0_140 = mesh_0.normals.elementAt(140);
      expect(normal_0_140, vector3MoreOrLessEquals(Vector3(0.707083344, -0.707083344, 0)));
      final normal_0_141 = mesh_0.normals.elementAt(141);
      expect(normal_0_141, vector3MoreOrLessEquals(Vector3(0.88662374, -0.367229223, 0.281075478)));
      final normal_0_142 = mesh_0.normals.elementAt(142);
      expect(normal_0_142, vector3MoreOrLessEquals(Vector3(0.999938965, 0, -0.009704886)));
      final normal_0_143 = mesh_0.normals.elementAt(143);
      expect(normal_0_143, vector3MoreOrLessEquals(Vector3(0.707052827, -0.707052827, -0.009704886)));
      final normal_0_144 = mesh_0.normals.elementAt(144);
      expect(normal_0_144, vector3MoreOrLessEquals(Vector3(0.88662374, -0.367229223, 0.281075478)));
      final normal_0_145 = mesh_0.normals.elementAt(145);
      expect(normal_0_145, vector3MoreOrLessEquals(Vector3(0.367229223, 0.88662374, 0.281075478)));
      final normal_0_146 = mesh_0.normals.elementAt(146);
      expect(normal_0_146, vector3MoreOrLessEquals(Vector3(0.707052827, 0.707052827, -0.009704886)));
      final normal_0_147 = mesh_0.normals.elementAt(147);
      expect(normal_0_147, vector3MoreOrLessEquals(Vector3(0.999938965, 0, -0.009704886)));
      final normal_0_148 = mesh_0.normals.elementAt(148);
      expect(normal_0_148, vector3MoreOrLessEquals(Vector3(0.999938965, 0, -0.009704886)));
      final normal_0_149 = mesh_0.normals.elementAt(149);
      expect(normal_0_149, vector3MoreOrLessEquals(Vector3(0.707052827, 0.707052827, -0.009704886)));
      final normal_0_150 = mesh_0.normals.elementAt(150);
      expect(normal_0_150, vector3MoreOrLessEquals(Vector3(0.61525315, 0.61525315, 0.492782384)));
      final normal_0_151 = mesh_0.normals.elementAt(151);
      expect(normal_0_151, vector3MoreOrLessEquals(Vector3(0.870113194, 0, 0.492782384)));
      final normal_0_152 = mesh_0.normals.elementAt(152);
      expect(normal_0_152, vector3MoreOrLessEquals(Vector3(0.707052827, -0.707052827, -0.009704886)));
      final normal_0_153 = mesh_0.normals.elementAt(153);
      expect(normal_0_153, vector3MoreOrLessEquals(Vector3(0.999938965, 0, -0.009704886)));
      final normal_0_154 = mesh_0.normals.elementAt(154);
      expect(normal_0_154, vector3MoreOrLessEquals(Vector3(0.870113194, 0, 0.492782384)));
      final normal_0_155 = mesh_0.normals.elementAt(155);
      expect(normal_0_155, vector3MoreOrLessEquals(Vector3(0.61525315, -0.61525315, 0.492782384)));
      final normal_0_156 = mesh_0.normals.elementAt(156);
      expect(normal_0_156, vector3MoreOrLessEquals(Vector3(0, -0.999938965, -0.009704886)));
      final normal_0_157 = mesh_0.normals.elementAt(157);
      expect(normal_0_157, vector3MoreOrLessEquals(Vector3(0.707052827, -0.707052827, -0.009704886)));
      final normal_0_158 = mesh_0.normals.elementAt(158);
      expect(normal_0_158, vector3MoreOrLessEquals(Vector3(0.61525315, -0.61525315, 0.492782384)));
      final normal_0_159 = mesh_0.normals.elementAt(159);
      expect(normal_0_159, vector3MoreOrLessEquals(Vector3(0, -0.870113194, 0.492782384)));
      final normal_0_160 = mesh_0.normals.elementAt(160);
      expect(normal_0_160, vector3MoreOrLessEquals(Vector3(-0.707052827, -0.707052827, -0.009704886)));
      final normal_0_161 = mesh_0.normals.elementAt(161);
      expect(normal_0_161, vector3MoreOrLessEquals(Vector3(0, -0.999938965, -0.009704886)));
      final normal_0_162 = mesh_0.normals.elementAt(162);
      expect(normal_0_162, vector3MoreOrLessEquals(Vector3(0, -0.870113194, 0.492782384)));
      final normal_0_163 = mesh_0.normals.elementAt(163);
      expect(normal_0_163, vector3MoreOrLessEquals(Vector3(-0.61525315, -0.61525315, 0.492782384)));
      final normal_0_164 = mesh_0.normals.elementAt(164);
      expect(normal_0_164, vector3MoreOrLessEquals(Vector3(-0.999938965, 0, -0.009704886)));
      final normal_0_165 = mesh_0.normals.elementAt(165);
      expect(normal_0_165, vector3MoreOrLessEquals(Vector3(-0.707052827, -0.707052827, -0.009704886)));
      final normal_0_166 = mesh_0.normals.elementAt(166);
      expect(normal_0_166, vector3MoreOrLessEquals(Vector3(-0.61525315, -0.61525315, 0.492782384)));
      final normal_0_167 = mesh_0.normals.elementAt(167);
      expect(normal_0_167, vector3MoreOrLessEquals(Vector3(-0.870113194, 0, 0.492782384)));
      final normal_0_168 = mesh_0.normals.elementAt(168);
      expect(normal_0_168, vector3MoreOrLessEquals(Vector3(-0.707052827, 0.707052827, -0.009704886)));
      final normal_0_169 = mesh_0.normals.elementAt(169);
      expect(normal_0_169, vector3MoreOrLessEquals(Vector3(-0.999938965, 0, -0.009704886)));
      final normal_0_170 = mesh_0.normals.elementAt(170);
      expect(normal_0_170, vector3MoreOrLessEquals(Vector3(-0.870113194, 0, 0.492782384)));
      final normal_0_171 = mesh_0.normals.elementAt(171);
      expect(normal_0_171, vector3MoreOrLessEquals(Vector3(-0.61525315, 0.61525315, 0.492782384)));
      final normal_0_172 = mesh_0.normals.elementAt(172);
      expect(normal_0_172, vector3MoreOrLessEquals(Vector3(0, 0.999938965, -0.009704886)));
      final normal_0_173 = mesh_0.normals.elementAt(173);
      expect(normal_0_173, vector3MoreOrLessEquals(Vector3(-0.707052827, 0.707052827, -0.009704886)));
      final normal_0_174 = mesh_0.normals.elementAt(174);
      expect(normal_0_174, vector3MoreOrLessEquals(Vector3(-0.61525315, 0.61525315, 0.492782384)));
      final normal_0_175 = mesh_0.normals.elementAt(175);
      expect(normal_0_175, vector3MoreOrLessEquals(Vector3(0, 0.870113194, 0.492782384)));
      final normal_0_176 = mesh_0.normals.elementAt(176);
      expect(normal_0_176, vector3MoreOrLessEquals(Vector3(0.707052827, 0.707052827, -0.009704886)));
      final normal_0_177 = mesh_0.normals.elementAt(177);
      expect(normal_0_177, vector3MoreOrLessEquals(Vector3(0, 0.999938965, -0.009704886)));
      final normal_0_178 = mesh_0.normals.elementAt(178);
      expect(normal_0_178, vector3MoreOrLessEquals(Vector3(0, 0.870113194, 0.492782384)));
      final normal_0_179 = mesh_0.normals.elementAt(179);
      expect(normal_0_179, vector3MoreOrLessEquals(Vector3(0.61525315, 0.61525315, 0.492782384)));
      final normal_0_180 = mesh_0.normals.elementAt(180);
      expect(normal_0_180, vector3MoreOrLessEquals(Vector3(0.88662374, -0.367229223, 0.281075478)));
      final normal_0_181 = mesh_0.normals.elementAt(181);
      expect(normal_0_181, vector3MoreOrLessEquals(Vector3(0.812128067, -0.36689353, -0.453657657)));
      final normal_0_182 = mesh_0.normals.elementAt(182);
      expect(normal_0_182, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, -0.693472087)));
      final normal_0_183 = mesh_0.normals.elementAt(183);
      expect(normal_0_183, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, 0.693472087)));
      final normal_0_184 = mesh_0.normals.elementAt(184);
      expect(normal_0_184, vector3MoreOrLessEquals(Vector3(0.367229223, 0.88662374, 0.281075478)));
      final normal_0_185 = mesh_0.normals.elementAt(185);
      expect(normal_0_185, vector3MoreOrLessEquals(Vector3(0.88662374, -0.367229223, 0.281075478)));
      final normal_0_186 = mesh_0.normals.elementAt(186);
      expect(normal_0_186, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, 0.693472087)));
      final normal_0_187 = mesh_0.normals.elementAt(187);
      expect(normal_0_187, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, 0.724692523)));
      final normal_0_188 = mesh_0.normals.elementAt(188);
      expect(normal_0_188, vector3MoreOrLessEquals(Vector3(0.314798415, 0.83370465, -0.453657657)));
      final normal_0_189 = mesh_0.normals.elementAt(189);
      expect(normal_0_189, vector3MoreOrLessEquals(Vector3(0.367229223, 0.88662374, 0.281075478)));
      final normal_0_190 = mesh_0.normals.elementAt(190);
      expect(normal_0_190, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, 0.724692523)));
      final normal_0_191 = mesh_0.normals.elementAt(191);
      expect(normal_0_191, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, -0.724692523)));
      final normal_0_192 = mesh_0.normals.elementAt(192);
      expect(normal_0_192, vector3MoreOrLessEquals(Vector3(0.812128067, -0.36689353, -0.453657657)));
      final normal_0_193 = mesh_0.normals.elementAt(193);
      expect(normal_0_193, vector3MoreOrLessEquals(Vector3(0.314798415, 0.83370465, -0.453657657)));
      final normal_0_194 = mesh_0.normals.elementAt(194);
      expect(normal_0_194, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, -0.724692523)));
      final normal_0_195 = mesh_0.normals.elementAt(195);
      expect(normal_0_195, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, -0.693472087)));
      final normal_0_196 = mesh_0.normals.elementAt(196);
      expect(normal_0_196, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, -0.693472087)));
      final normal_0_197 = mesh_0.normals.elementAt(197);
      expect(normal_0_197, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, -0.724692523)));
      final normal_0_198 = mesh_0.normals.elementAt(198);
      expect(normal_0_198, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, -0.690481305)));
      final normal_0_199 = mesh_0.normals.elementAt(199);
      expect(normal_0_199, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, -0.716177881)));
      final normal_0_200 = mesh_0.normals.elementAt(200);
      expect(normal_0_200, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, -0.724692523)));
      final normal_0_201 = mesh_0.normals.elementAt(201);
      expect(normal_0_201, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, 0.724692523)));
      final normal_0_202 = mesh_0.normals.elementAt(202);
      expect(normal_0_202, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, 0.690481305)));
      final normal_0_203 = mesh_0.normals.elementAt(203);
      expect(normal_0_203, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, -0.690481305)));
      final normal_0_204 = mesh_0.normals.elementAt(204);
      expect(normal_0_204, vector3MoreOrLessEquals(Vector3(-0.261787772, 0.637348533, 0.724692523)));
      final normal_0_205 = mesh_0.normals.elementAt(205);
      expect(normal_0_205, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, 0.693472087)));
      final normal_0_206 = mesh_0.normals.elementAt(206);
      expect(normal_0_206, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, 0.716177881)));
      final normal_0_207 = mesh_0.normals.elementAt(207);
      expect(normal_0_207, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, 0.690481305)));
      final normal_0_208 = mesh_0.normals.elementAt(208);
      expect(normal_0_208, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, 0.693472087)));
      final normal_0_209 = mesh_0.normals.elementAt(209);
      expect(normal_0_209, vector3MoreOrLessEquals(Vector3(0.358317822, -0.625049591, -0.693472087)));
      final normal_0_210 = mesh_0.normals.elementAt(210);
      expect(normal_0_210, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, -0.716177881)));
      final normal_0_211 = mesh_0.normals.elementAt(211);
      expect(normal_0_211, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, 0.716177881)));
      final normal_0_212 = mesh_0.normals.elementAt(212);
      expect(normal_0_212, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, 0.716177881)));
      final normal_0_213 = mesh_0.normals.elementAt(213);
      expect(normal_0_213, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, -0.716177881)));
      final normal_0_214 = mesh_0.normals.elementAt(214);
      expect(normal_0_214, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, -0.548173487)));
      final normal_0_215 = mesh_0.normals.elementAt(215);
      expect(normal_0_215, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, 0.548173487)));
      final normal_0_216 = mesh_0.normals.elementAt(216);
      expect(normal_0_216, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, 0.690481305)));
      final normal_0_217 = mesh_0.normals.elementAt(217);
      expect(normal_0_217, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, 0.716177881)));
      final normal_0_218 = mesh_0.normals.elementAt(218);
      expect(normal_0_218, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, 0.548173487)));
      final normal_0_219 = mesh_0.normals.elementAt(219);
      expect(normal_0_219, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, 0.548173487)));
      final normal_0_220 = mesh_0.normals.elementAt(220);
      expect(normal_0_220, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, -0.690481305)));
      final normal_0_221 = mesh_0.normals.elementAt(221);
      expect(normal_0_221, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, 0.690481305)));
      final normal_0_222 = mesh_0.normals.elementAt(222);
      expect(normal_0_222, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, 0.548173487)));
      final normal_0_223 = mesh_0.normals.elementAt(223);
      expect(normal_0_223, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, -0.548173487)));
      final normal_0_224 = mesh_0.normals.elementAt(224);
      expect(normal_0_224, vector3MoreOrLessEquals(Vector3(0.403607279, -0.569322765, -0.716177881)));
      final normal_0_225 = mesh_0.normals.elementAt(225);
      expect(normal_0_225, vector3MoreOrLessEquals(Vector3(-0.225104526, 0.687398911, -0.690481305)));
      final normal_0_226 = mesh_0.normals.elementAt(226);
      expect(normal_0_226, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, -0.548173487)));
      final normal_0_227 = mesh_0.normals.elementAt(227);
      expect(normal_0_227, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, -0.548173487)));
      final normal_0_228 = mesh_0.normals.elementAt(228);
      expect(normal_0_228, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, -0.548173487)));
      final normal_0_229 = mesh_0.normals.elementAt(229);
      expect(normal_0_229, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, -0.548173487)));
      final normal_0_230 = mesh_0.normals.elementAt(230);
      expect(normal_0_230, vector3MoreOrLessEquals(Vector3(0.360515147, 0.754631162, 0.548173487)));
      final normal_0_231 = mesh_0.normals.elementAt(231);
      expect(normal_0_231, vector3MoreOrLessEquals(Vector3(0.788537264, -0.2786645, 0.548173487)));
      final normal_0_232 = mesh_0.normals.elementAt(232);
      expect(normal_0_232, vector3MoreOrLessEquals(Vector3(0.870113194, 0, 0.492782384)));
      final normal_0_233 = mesh_0.normals.elementAt(233);
      expect(normal_0_233, vector3MoreOrLessEquals(Vector3(0.61525315, 0.61525315, 0.492782384)));
      final normal_0_234 = mesh_0.normals.elementAt(234);
      expect(normal_0_234, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_235 = mesh_0.normals.elementAt(235);
      expect(normal_0_235, vector3MoreOrLessEquals(Vector3(0.61525315, -0.61525315, 0.492782384)));
      final normal_0_236 = mesh_0.normals.elementAt(236);
      expect(normal_0_236, vector3MoreOrLessEquals(Vector3(0.870113194, 0, 0.492782384)));
      final normal_0_237 = mesh_0.normals.elementAt(237);
      expect(normal_0_237, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_238 = mesh_0.normals.elementAt(238);
      expect(normal_0_238, vector3MoreOrLessEquals(Vector3(0, -0.870113194, 0.492782384)));
      final normal_0_239 = mesh_0.normals.elementAt(239);
      expect(normal_0_239, vector3MoreOrLessEquals(Vector3(0.61525315, -0.61525315, 0.492782384)));
      final normal_0_240 = mesh_0.normals.elementAt(240);
      expect(normal_0_240, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_241 = mesh_0.normals.elementAt(241);
      expect(normal_0_241, vector3MoreOrLessEquals(Vector3(-0.61525315, -0.61525315, 0.492782384)));
      final normal_0_242 = mesh_0.normals.elementAt(242);
      expect(normal_0_242, vector3MoreOrLessEquals(Vector3(0, -0.870113194, 0.492782384)));
      final normal_0_243 = mesh_0.normals.elementAt(243);
      expect(normal_0_243, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_244 = mesh_0.normals.elementAt(244);
      expect(normal_0_244, vector3MoreOrLessEquals(Vector3(-0.870113194, 0, 0.492782384)));
      final normal_0_245 = mesh_0.normals.elementAt(245);
      expect(normal_0_245, vector3MoreOrLessEquals(Vector3(-0.61525315, -0.61525315, 0.492782384)));
      final normal_0_246 = mesh_0.normals.elementAt(246);
      expect(normal_0_246, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_247 = mesh_0.normals.elementAt(247);
      expect(normal_0_247, vector3MoreOrLessEquals(Vector3(-0.61525315, 0.61525315, 0.492782384)));
      final normal_0_248 = mesh_0.normals.elementAt(248);
      expect(normal_0_248, vector3MoreOrLessEquals(Vector3(-0.870113194, 0, 0.492782384)));
      final normal_0_249 = mesh_0.normals.elementAt(249);
      expect(normal_0_249, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_250 = mesh_0.normals.elementAt(250);
      expect(normal_0_250, vector3MoreOrLessEquals(Vector3(0, 0.870113194, 0.492782384)));
      final normal_0_251 = mesh_0.normals.elementAt(251);
      expect(normal_0_251, vector3MoreOrLessEquals(Vector3(-0.61525315, 0.61525315, 0.492782384)));
      final normal_0_252 = mesh_0.normals.elementAt(252);
      expect(normal_0_252, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_253 = mesh_0.normals.elementAt(253);
      expect(normal_0_253, vector3MoreOrLessEquals(Vector3(0.61525315, 0.61525315, 0.492782384)));
      final normal_0_254 = mesh_0.normals.elementAt(254);
      expect(normal_0_254, vector3MoreOrLessEquals(Vector3(0, 0.870113194, 0.492782384)));
      final normal_0_255 = mesh_0.normals.elementAt(255);
      expect(normal_0_255, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      expect(mesh_0.tangents.length, equals(256));
      final tangent_0_0 = mesh_0.tangents.elementAt(0);
      expect(tangent_0_0, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_1 = mesh_0.tangents.elementAt(1);
      expect(tangent_0_1, vector3MoreOrLessEquals(Vector3(-0.752216101, 0.638676167, -0.162061021)));
      final tangent_0_2 = mesh_0.tangents.elementAt(2);
      expect(tangent_0_2, vector3MoreOrLessEquals(Vector3(-0.32456699, 0.682196438, -0.6551826)));
      final tangent_0_3 = mesh_0.tangents.elementAt(3);
      expect(tangent_0_3, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_4 = mesh_0.tangents.elementAt(4);
      expect(tangent_0_4, vector3MoreOrLessEquals(Vector3(-0.32456699, 0.682196438, -0.6551826)));
      final tangent_0_5 = mesh_0.tangents.elementAt(5);
      expect(tangent_0_5, vector3MoreOrLessEquals(Vector3(-0.711951077, -0.253011853, -0.655065477)));
      final tangent_0_6 = mesh_0.tangents.elementAt(6);
      expect(tangent_0_6, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_7 = mesh_0.tangents.elementAt(7);
      expect(tangent_0_7, vector3MoreOrLessEquals(Vector3(-0.711951077, -0.253011853, -0.655065477)));
      final tangent_0_8 = mesh_0.tangents.elementAt(8);
      expect(tangent_0_8, vector3MoreOrLessEquals(Vector3(-0.983521402, 0.0802536905, -0.162003025)));
      final tangent_0_9 = mesh_0.tangents.elementAt(9);
      expect(tangent_0_9, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_10 = mesh_0.tangents.elementAt(10);
      expect(tangent_0_10, vector3MoreOrLessEquals(Vector3(-0.983521402, 0.0802536905, -0.162003025)));
      final tangent_0_11 = mesh_0.tangents.elementAt(11);
      expect(tangent_0_11, vector3MoreOrLessEquals(Vector3(-0.752216041, 0.638676107, 0.162060976)));
      final tangent_0_12 = mesh_0.tangents.elementAt(12);
      expect(tangent_0_12, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_13 = mesh_0.tangents.elementAt(13);
      expect(tangent_0_13, vector3MoreOrLessEquals(Vector3(-0.752216041, 0.638676107, 0.162060976)));
      final tangent_0_14 = mesh_0.tangents.elementAt(14);
      expect(tangent_0_14, vector3MoreOrLessEquals(Vector3(-0.32456702, 0.682196438, 0.6551826)));
      final tangent_0_15 = mesh_0.tangents.elementAt(15);
      expect(tangent_0_15, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_16 = mesh_0.tangents.elementAt(16);
      expect(tangent_0_16, vector3MoreOrLessEquals(Vector3(-0.32456702, 0.682196438, 0.6551826)));
      final tangent_0_17 = mesh_0.tangents.elementAt(17);
      expect(tangent_0_17, vector3MoreOrLessEquals(Vector3(-0.711950958, -0.253011644, 0.655065656)));
      final tangent_0_18 = mesh_0.tangents.elementAt(18);
      expect(tangent_0_18, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_19 = mesh_0.tangents.elementAt(19);
      expect(tangent_0_19, vector3MoreOrLessEquals(Vector3(-0.711950958, -0.253011644, 0.655065656)));
      final tangent_0_20 = mesh_0.tangents.elementAt(20);
      expect(tangent_0_20, vector3MoreOrLessEquals(Vector3(-0.983521402, 0.0802536905, 0.16200304)));
      final tangent_0_21 = mesh_0.tangents.elementAt(21);
      expect(tangent_0_21, vector3MoreOrLessEquals(Vector3(-0.983521402, 0.0802536905, 0.16200304)));
      final tangent_0_22 = mesh_0.tangents.elementAt(22);
      expect(tangent_0_22, vector3MoreOrLessEquals(Vector3(-0.752216101, 0.638676167, -0.162061021)));
      final tangent_0_23 = mesh_0.tangents.elementAt(23);
      expect(tangent_0_23, vector3MoreOrLessEquals(Vector3(-0.923904836, 0.38262248, 0)));
      final tangent_0_24 = mesh_0.tangents.elementAt(24);
      expect(tangent_0_24, vector3MoreOrLessEquals(Vector3(-0.707763851, 0.706446528, -0.00188070687)));
      final tangent_0_25 = mesh_0.tangents.elementAt(25);
      expect(tangent_0_25, vector3MoreOrLessEquals(Vector3(-0.706662655, 0.707487822, -0.00942895003)));
      final tangent_0_26 = mesh_0.tangents.elementAt(26);
      expect(tangent_0_26, vector3MoreOrLessEquals(Vector3(-0.00176814618, 0.99959141, 0.0285288114)));
      final tangent_0_27 = mesh_0.tangents.elementAt(27);
      expect(tangent_0_27, vector3MoreOrLessEquals(Vector3(-0.0793415532, 0.983896971, -0.160161346)));
      final tangent_0_28 = mesh_0.tangents.elementAt(28);
      expect(tangent_0_28, vector3MoreOrLessEquals(Vector3(-0.351958275, -0.609264374, -0.710578859)));
      final tangent_0_29 = mesh_0.tangents.elementAt(29);
      expect(tangent_0_29, vector3MoreOrLessEquals(Vector3(0.0609002635, -0.0589831881, -0.996399581)));
      final tangent_0_30 = mesh_0.tangents.elementAt(30);
      expect(tangent_0_30, vector3MoreOrLessEquals(Vector3(0.0295658726, -0.0566966459, -0.997953534)));
      final tangent_0_31 = mesh_0.tangents.elementAt(31);
      expect(tangent_0_31, vector3MoreOrLessEquals(Vector3(-0.50425303, 0.096810095, -0.858112276)));
      final tangent_0_32 = mesh_0.tangents.elementAt(32);
      expect(tangent_0_32, vector3MoreOrLessEquals(Vector3(-0.50425303, 0.096810095, -0.858112276)));
      final tangent_0_33 = mesh_0.tangents.elementAt(33);
      expect(tangent_0_33, vector3MoreOrLessEquals(Vector3(0.0295658726, -0.0566966459, -0.997953534)));
      final tangent_0_34 = mesh_0.tangents.elementAt(34);
      expect(tangent_0_34, vector3MoreOrLessEquals(Vector3(0.0260194931, -0.060986992, -0.997799397)));
      final tangent_0_35 = mesh_0.tangents.elementAt(35);
      expect(tangent_0_35, vector3MoreOrLessEquals(Vector3(0.27570194, 0.426642358, -0.861373663)));
      final tangent_0_36 = mesh_0.tangents.elementAt(36);
      expect(tangent_0_36, vector3MoreOrLessEquals(Vector3(0.985432744, -0.0754931644, 0.152391553)));
      final tangent_0_37 = mesh_0.tangents.elementAt(37);
      expect(tangent_0_37, vector3MoreOrLessEquals(Vector3(0.999108016, -0.00260061305, -0.0421487391)));
      final tangent_0_38 = mesh_0.tangents.elementAt(38);
      expect(tangent_0_38, vector3MoreOrLessEquals(Vector3(0.706547916, -0.707566977, -0.0117886979)));
      final tangent_0_39 = mesh_0.tangents.elementAt(39);
      expect(tangent_0_39, vector3MoreOrLessEquals(Vector3(0.709451139, -0.704722285, -0.00675110333)));
      final tangent_0_40 = mesh_0.tangents.elementAt(40);
      expect(tangent_0_40, vector3MoreOrLessEquals(Vector3(0.709451139, -0.704722285, -0.00675110333)));
      final tangent_0_41 = mesh_0.tangents.elementAt(41);
      expect(tangent_0_41, vector3MoreOrLessEquals(Vector3(0.706547916, -0.707566977, -0.0117886979)));
      final tangent_0_42 = mesh_0.tangents.elementAt(42);
      expect(tangent_0_42, vector3MoreOrLessEquals(Vector3(0.000400471006, -0.999979258, 0.00642073154)));
      final tangent_0_43 = mesh_0.tangents.elementAt(43);
      expect(tangent_0_43, vector3MoreOrLessEquals(Vector3(-0.00012960493, -1, 0.000261654059)));
      final tangent_0_44 = mesh_0.tangents.elementAt(44);
      expect(tangent_0_44, vector3MoreOrLessEquals(Vector3(-0.00012960493, -1, 0.000261654059)));
      final tangent_0_45 = mesh_0.tangents.elementAt(45);
      expect(tangent_0_45, vector3MoreOrLessEquals(Vector3(0.000400471006, -0.999979258, 0.00642073154)));
      final tangent_0_46 = mesh_0.tangents.elementAt(46);
      expect(tangent_0_46, vector3MoreOrLessEquals(Vector3(-0.705283105, -0.70816052, 0.0329275914)));
      final tangent_0_47 = mesh_0.tangents.elementAt(47);
      expect(tangent_0_47, vector3MoreOrLessEquals(Vector3(-0.640795588, -0.751326382, -0.157764867)));
      final tangent_0_48 = mesh_0.tangents.elementAt(48);
      expect(tangent_0_48, vector3MoreOrLessEquals(Vector3(-0.751434267, -0.640541673, 0.158281162)));
      final tangent_0_49 = mesh_0.tangents.elementAt(49);
      expect(tangent_0_49, vector3MoreOrLessEquals(Vector3(-0.707743168, -0.706265867, -0.0169702265)));
      final tangent_0_50 = mesh_0.tangents.elementAt(50);
      expect(tangent_0_50, vector3MoreOrLessEquals(Vector3(-0.999987125, -0.000318734179, 0.00507919909)));
      final tangent_0_51 = mesh_0.tangents.elementAt(51);
      expect(tangent_0_51, vector3MoreOrLessEquals(Vector3(-0.982740402, -0.0821171179, -0.165765226)));
      final tangent_0_52 = mesh_0.tangents.elementAt(52);
      expect(tangent_0_52, vector3MoreOrLessEquals(Vector3(-0.706662655, 0.707487822, -0.00942895003)));
      final tangent_0_53 = mesh_0.tangents.elementAt(53);
      expect(tangent_0_53, vector3MoreOrLessEquals(Vector3(-0.707763851, 0.706446528, -0.00188070687)));
      final tangent_0_54 = mesh_0.tangents.elementAt(54);
      expect(tangent_0_54, vector3MoreOrLessEquals(Vector3(-0.984644294, 0.077493228, 0.156429678)));
      final tangent_0_55 = mesh_0.tangents.elementAt(55);
      expect(tangent_0_55, vector3MoreOrLessEquals(Vector3(-0.999373078, 0.00218453351, -0.0353365578)));
      final tangent_0_56 = mesh_0.tangents.elementAt(56);
      expect(tangent_0_56, vector3MoreOrLessEquals(Vector3(-0.708054841, 0.705600739, 0.0280348379)));
      final tangent_0_57 = mesh_0.tangents.elementAt(57);
      expect(tangent_0_57, vector3MoreOrLessEquals(Vector3(-0.999987125, -0.000318734179, 0.00507919909)));
      final tangent_0_58 = mesh_0.tangents.elementAt(58);
      expect(tangent_0_58, vector3MoreOrLessEquals(Vector3(-0.999566078, -0.00520570343, -0.0289930943)));
      final tangent_0_59 = mesh_0.tangents.elementAt(59);
      expect(tangent_0_59, vector3MoreOrLessEquals(Vector3(-0.932636082, 0.360492975, 0.0153229916)));
      final tangent_0_60 = mesh_0.tangents.elementAt(60);
      expect(tangent_0_60, vector3MoreOrLessEquals(Vector3(-0.999987125, -0.000318734179, 0.00507919909)));
      final tangent_0_61 = mesh_0.tangents.elementAt(61);
      expect(tangent_0_61, vector3MoreOrLessEquals(Vector3(-0.707743168, -0.706265867, -0.0169702265)));
      final tangent_0_62 = mesh_0.tangents.elementAt(62);
      expect(tangent_0_62, vector3MoreOrLessEquals(Vector3(-0.705881178, -0.708267629, -0.00941441115)));
      final tangent_0_63 = mesh_0.tangents.elementAt(63);
      expect(tangent_0_63, vector3MoreOrLessEquals(Vector3(-0.999566078, -0.00520570343, -0.0289930943)));
      final tangent_0_64 = mesh_0.tangents.elementAt(64);
      expect(tangent_0_64, vector3MoreOrLessEquals(Vector3(-0.707743168, -0.706265867, -0.0169702265)));
      final tangent_0_65 = mesh_0.tangents.elementAt(65);
      expect(tangent_0_65, vector3MoreOrLessEquals(Vector3(-0.00229280582, -0.999308169, -0.0371182114)));
      final tangent_0_66 = mesh_0.tangents.elementAt(66);
      expect(tangent_0_66, vector3MoreOrLessEquals(Vector3(-0.0106983194, -0.99816829, 0.0595463291)));
      final tangent_0_67 = mesh_0.tangents.elementAt(67);
      expect(tangent_0_67, vector3MoreOrLessEquals(Vector3(-0.705881178, -0.708267629, -0.00941441115)));
      final tangent_0_68 = mesh_0.tangents.elementAt(68);
      expect(tangent_0_68, vector3MoreOrLessEquals(Vector3(0.000400471006, -0.999979258, 0.00642073154)));
      final tangent_0_69 = mesh_0.tangents.elementAt(69);
      expect(tangent_0_69, vector3MoreOrLessEquals(Vector3(0.706547916, -0.707566977, -0.0117886979)));
      final tangent_0_70 = mesh_0.tangents.elementAt(70);
      expect(tangent_0_70, vector3MoreOrLessEquals(Vector3(0.708547294, -0.705565155, -0.0117647368)));
      final tangent_0_71 = mesh_0.tangents.elementAt(71);
      expect(tangent_0_71, vector3MoreOrLessEquals(Vector3(0.0140689891, -0.99682653, -0.0783512518)));
      final tangent_0_72 = mesh_0.tangents.elementAt(72);
      expect(tangent_0_72, vector3MoreOrLessEquals(Vector3(0.706547916, -0.707566977, -0.0117886979)));
      final tangent_0_73 = mesh_0.tangents.elementAt(73);
      expect(tangent_0_73, vector3MoreOrLessEquals(Vector3(0.999108016, -0.00260061305, -0.0421487391)));
      final tangent_0_74 = mesh_0.tangents.elementAt(74);
      expect(tangent_0_74, vector3MoreOrLessEquals(Vector3(0.998444736, -0.00986062363, 0.0548728369)));
      final tangent_0_75 = mesh_0.tangents.elementAt(75);
      expect(tangent_0_75, vector3MoreOrLessEquals(Vector3(0.708547294, -0.705565155, -0.0117647368)));
      final tangent_0_76 = mesh_0.tangents.elementAt(76);
      expect(tangent_0_76, vector3MoreOrLessEquals(Vector3(0.0260194931, -0.060986992, -0.997799397)));
      final tangent_0_77 = mesh_0.tangents.elementAt(77);
      expect(tangent_0_77, vector3MoreOrLessEquals(Vector3(0.0295658726, -0.0566966459, -0.997953534)));
      final tangent_0_78 = mesh_0.tangents.elementAt(78);
      expect(tangent_0_78, vector3MoreOrLessEquals(Vector3(-0.0747972056, 0.174096599, -0.981883764)));
      final tangent_0_79 = mesh_0.tangents.elementAt(79);
      expect(tangent_0_79, vector3MoreOrLessEquals(Vector3(-0.0645473525, 0.176063284, -0.982260346)));
      final tangent_0_80 = mesh_0.tangents.elementAt(80);
      expect(tangent_0_80, vector3MoreOrLessEquals(Vector3(0.0295658726, -0.0566966459, -0.997953534)));
      final tangent_0_81 = mesh_0.tangents.elementAt(81);
      expect(tangent_0_81, vector3MoreOrLessEquals(Vector3(0.0609002635, -0.0589831881, -0.996399581)));
      final tangent_0_82 = mesh_0.tangents.elementAt(82);
      expect(tangent_0_82, vector3MoreOrLessEquals(Vector3(-0.367609918, 0.282012075, -0.88618964)));
      final tangent_0_83 = mesh_0.tangents.elementAt(83);
      expect(tangent_0_83, vector3MoreOrLessEquals(Vector3(-0.0747972056, 0.174096599, -0.981883764)));
      final tangent_0_84 = mesh_0.tangents.elementAt(84);
      expect(tangent_0_84, vector3MoreOrLessEquals(Vector3(-0.00176814618, 0.99959141, 0.0285288114)));
      final tangent_0_85 = mesh_0.tangents.elementAt(85);
      expect(tangent_0_85, vector3MoreOrLessEquals(Vector3(-0.706662655, 0.707487822, -0.00942895003)));
      final tangent_0_86 = mesh_0.tangents.elementAt(86);
      expect(tangent_0_86, vector3MoreOrLessEquals(Vector3(-0.770273268, 0.503700852, 0.391106874)));
      final tangent_0_87 = mesh_0.tangents.elementAt(87);
      expect(tangent_0_87, vector3MoreOrLessEquals(Vector3(0.193029717, 0.902733207, -0.384463459)));
      final tangent_0_88 = mesh_0.tangents.elementAt(88);
      expect(tangent_0_88, vector3MoreOrLessEquals(Vector3(-0.0747972056, 0.174096599, -0.981883764)));
      final tangent_0_89 = mesh_0.tangents.elementAt(89);
      expect(tangent_0_89, vector3MoreOrLessEquals(Vector3(-0.367609918, 0.282012075, -0.88618964)));
      final tangent_0_90 = mesh_0.tangents.elementAt(90);
      expect(tangent_0_90, vector3MoreOrLessEquals(Vector3(0.261113852, -0.10408181, -0.959680378)));
      final tangent_0_91 = mesh_0.tangents.elementAt(91);
      expect(tangent_0_91, vector3MoreOrLessEquals(Vector3(0.00237483555, 0.00237485557, -0.999994397)));
      final tangent_0_92 = mesh_0.tangents.elementAt(92);
      expect(tangent_0_92, vector3MoreOrLessEquals(Vector3(-0.0645473525, 0.176063284, -0.982260346)));
      final tangent_0_93 = mesh_0.tangents.elementAt(93);
      expect(tangent_0_93, vector3MoreOrLessEquals(Vector3(-0.0747972056, 0.174096599, -0.981883764)));
      final tangent_0_94 = mesh_0.tangents.elementAt(94);
      expect(tangent_0_94, vector3MoreOrLessEquals(Vector3(0.00237483555, 0.00237485557, -0.999994397)));
      final tangent_0_95 = mesh_0.tangents.elementAt(95);
      expect(tangent_0_95, vector3MoreOrLessEquals(Vector3(0.00283578038, 0, -0.999995947)));
      final tangent_0_96 = mesh_0.tangents.elementAt(96);
      expect(tangent_0_96, vector3MoreOrLessEquals(Vector3(0.708547294, -0.705565155, -0.0117647368)));
      final tangent_0_97 = mesh_0.tangents.elementAt(97);
      expect(tangent_0_97, vector3MoreOrLessEquals(Vector3(0.998444736, -0.00986062363, 0.0548728369)));
      final tangent_0_98 = mesh_0.tangents.elementAt(98);
      expect(tangent_0_98, vector3MoreOrLessEquals(Vector3(0.999856353, 0, -0.0169503726)));
      final tangent_0_99 = mesh_0.tangents.elementAt(99);
      expect(tangent_0_99, vector3MoreOrLessEquals(Vector3(0.707057595, -0.707057655, -0.0117964512)));
      final tangent_0_100 = mesh_0.tangents.elementAt(100);
      expect(tangent_0_100, vector3MoreOrLessEquals(Vector3(0.0140689891, -0.99682653, -0.0783512518)));
      final tangent_0_101 = mesh_0.tangents.elementAt(101);
      expect(tangent_0_101, vector3MoreOrLessEquals(Vector3(0.708547294, -0.705565155, -0.0117647368)));
      final tangent_0_102 = mesh_0.tangents.elementAt(102);
      expect(tangent_0_102, vector3MoreOrLessEquals(Vector3(0.707057595, -0.707057655, -0.0117964512)));
      final tangent_0_103 = mesh_0.tangents.elementAt(103);
      expect(tangent_0_103, vector3MoreOrLessEquals(Vector3(0, -0.999977887, -0.00664225919)));
      final tangent_0_104 = mesh_0.tangents.elementAt(104);
      expect(tangent_0_104, vector3MoreOrLessEquals(Vector3(-0.705881178, -0.708267629, -0.00941441115)));
      final tangent_0_105 = mesh_0.tangents.elementAt(105);
      expect(tangent_0_105, vector3MoreOrLessEquals(Vector3(-0.0106983194, -0.99816829, 0.0595463291)));
      final tangent_0_106 = mesh_0.tangents.elementAt(106);
      expect(tangent_0_106, vector3MoreOrLessEquals(Vector3(0, -0.999924779, -0.0122653805)));
      final tangent_0_107 = mesh_0.tangents.elementAt(107);
      expect(tangent_0_107, vector3MoreOrLessEquals(Vector3(-0.707075238, -0.707075238, -0.00944699068)));
      final tangent_0_108 = mesh_0.tangents.elementAt(108);
      expect(tangent_0_108, vector3MoreOrLessEquals(Vector3(-0.999566078, -0.00520570343, -0.0289930943)));
      final tangent_0_109 = mesh_0.tangents.elementAt(109);
      expect(tangent_0_109, vector3MoreOrLessEquals(Vector3(-0.705881178, -0.708267629, -0.00941441115)));
      final tangent_0_110 = mesh_0.tangents.elementAt(110);
      expect(tangent_0_110, vector3MoreOrLessEquals(Vector3(-0.707075238, -0.707075238, -0.00944699068)));
      final tangent_0_111 = mesh_0.tangents.elementAt(111);
      expect(tangent_0_111, vector3MoreOrLessEquals(Vector3(-0.999977946, -2.52900209e-05, -0.00662846304)));
      final tangent_0_112 = mesh_0.tangents.elementAt(112);
      expect(tangent_0_112, vector3MoreOrLessEquals(Vector3(-0.934517324, 0.355874836, 0.0055303229)));
      final tangent_0_113 = mesh_0.tangents.elementAt(113);
      expect(tangent_0_113, vector3MoreOrLessEquals(Vector3(-0.998000741, 0.0111751994, 0.0622061454)));
      final tangent_0_114 = mesh_0.tangents.elementAt(114);
      expect(tangent_0_114, vector3MoreOrLessEquals(Vector3(-0.999950886, 2.5289939e-05, -0.00990717765)));
      final tangent_0_115 = mesh_0.tangents.elementAt(115);
      expect(tangent_0_115, vector3MoreOrLessEquals(Vector3(-0.911435902, 0.403314799, -0.0813745558)));
      final tangent_0_116 = mesh_0.tangents.elementAt(116);
      expect(tangent_0_116, vector3MoreOrLessEquals(Vector3(-0.911435902, 0.403314799, -0.0813745558)));
      final tangent_0_117 = mesh_0.tangents.elementAt(117);
      expect(tangent_0_117, vector3MoreOrLessEquals(Vector3(-0.999950886, 2.5289939e-05, -0.00990717765)));
      final tangent_0_118 = mesh_0.tangents.elementAt(118);
      expect(tangent_0_118, vector3MoreOrLessEquals(Vector3(-0.999982715, -4.55960217e-05, -0.00588877872)));
      final tangent_0_119 = mesh_0.tangents.elementAt(119);
      expect(tangent_0_119, vector3MoreOrLessEquals(Vector3(-0.707125545, 0.707080483, -0.00329331821)));
      final tangent_0_120 = mesh_0.tangents.elementAt(120);
      expect(tangent_0_120, vector3MoreOrLessEquals(Vector3(-0.999977946, -2.52900209e-05, -0.00662846304)));
      final tangent_0_121 = mesh_0.tangents.elementAt(121);
      expect(tangent_0_121, vector3MoreOrLessEquals(Vector3(-0.707075238, -0.707075238, -0.00944699068)));
      final tangent_0_122 = mesh_0.tangents.elementAt(122);
      expect(tangent_0_122, vector3MoreOrLessEquals(Vector3(-0.707010329, -0.707140028, -0.00944701675)));
      final tangent_0_123 = mesh_0.tangents.elementAt(123);
      expect(tangent_0_123, vector3MoreOrLessEquals(Vector3(-0.999943256, -0.000114916664, -0.0106484191)));
      final tangent_0_124 = mesh_0.tangents.elementAt(124);
      expect(tangent_0_124, vector3MoreOrLessEquals(Vector3(-0.707075238, -0.707075238, -0.00944699068)));
      final tangent_0_125 = mesh_0.tangents.elementAt(125);
      expect(tangent_0_125, vector3MoreOrLessEquals(Vector3(0, -0.999924779, -0.0122653805)));
      final tangent_0_126 = mesh_0.tangents.elementAt(126);
      expect(tangent_0_126, vector3MoreOrLessEquals(Vector3(6.84881452e-05, -0.999965966, -0.00824585557)));
      final tangent_0_127 = mesh_0.tangents.elementAt(127);
      expect(tangent_0_127, vector3MoreOrLessEquals(Vector3(-0.707010329, -0.707140028, -0.00944701675)));
      final tangent_0_128 = mesh_0.tangents.elementAt(128);
      expect(tangent_0_128, vector3MoreOrLessEquals(Vector3(0, -0.999977887, -0.00664225919)));
      final tangent_0_129 = mesh_0.tangents.elementAt(129);
      expect(tangent_0_129, vector3MoreOrLessEquals(Vector3(0.707057595, -0.707057655, -0.0117964512)));
      final tangent_0_130 = mesh_0.tangents.elementAt(130);
      expect(tangent_0_130, vector3MoreOrLessEquals(Vector3(0.707138538, -0.706976593, -0.0117974961)));
      final tangent_0_131 = mesh_0.tangents.elementAt(131);
      expect(tangent_0_131, vector3MoreOrLessEquals(Vector3(0.00011504571, -0.999943137, -0.0106628779)));
      final tangent_0_132 = mesh_0.tangents.elementAt(132);
      expect(tangent_0_132, vector3MoreOrLessEquals(Vector3(0.707057595, -0.707057655, -0.0117964512)));
      final tangent_0_133 = mesh_0.tangents.elementAt(133);
      expect(tangent_0_133, vector3MoreOrLessEquals(Vector3(0.999856353, 0, -0.0169503726)));
      final tangent_0_134 = mesh_0.tangents.elementAt(134);
      expect(tangent_0_134, vector3MoreOrLessEquals(Vector3(0.999916375, 0.000113964707, -0.0129326116)));
      final tangent_0_135 = mesh_0.tangents.elementAt(135);
      expect(tangent_0_135, vector3MoreOrLessEquals(Vector3(0.707138538, -0.706976593, -0.0117974961)));
      final tangent_0_136 = mesh_0.tangents.elementAt(136);
      expect(tangent_0_136, vector3MoreOrLessEquals(Vector3(0.00283578038, 0, -0.999995947)));
      final tangent_0_137 = mesh_0.tangents.elementAt(137);
      expect(tangent_0_137, vector3MoreOrLessEquals(Vector3(0.00237483555, 0.00237485557, -0.999994397)));
      final tangent_0_138 = mesh_0.tangents.elementAt(138);
      expect(tangent_0_138, vector3MoreOrLessEquals(Vector3(-0.0018436762, 0.0118811978, -0.999927759)));
      final tangent_0_139 = mesh_0.tangents.elementAt(139);
      expect(tangent_0_139, vector3MoreOrLessEquals(Vector3(-0.000872933655, 0.00970500708, -0.999952495)));
      final tangent_0_140 = mesh_0.tangents.elementAt(140);
      expect(tangent_0_140, vector3MoreOrLessEquals(Vector3(0.00237483555, 0.00237485557, -0.999994397)));
      final tangent_0_141 = mesh_0.tangents.elementAt(141);
      expect(tangent_0_141, vector3MoreOrLessEquals(Vector3(0.261113852, -0.10408181, -0.959680378)));
      final tangent_0_142 = mesh_0.tangents.elementAt(142);
      expect(tangent_0_142, vector3MoreOrLessEquals(Vector3(-0.009703747, 0.0150664663, -0.999839425)));
      final tangent_0_143 = mesh_0.tangents.elementAt(143);
      expect(tangent_0_143, vector3MoreOrLessEquals(Vector3(-0.0018436762, 0.0118811978, -0.999927759)));
      final tangent_0_144 = mesh_0.tangents.elementAt(144);
      expect(tangent_0_144, vector3MoreOrLessEquals(Vector3(0.296725661, 0.917968512, 0.263225406)));
      final tangent_0_145 = mesh_0.tangents.elementAt(145);
      expect(tangent_0_145, vector3MoreOrLessEquals(Vector3(-0.911435902, 0.403314799, -0.0813745558)));
      final tangent_0_146 = mesh_0.tangents.elementAt(146);
      expect(tangent_0_146, vector3MoreOrLessEquals(Vector3(-0.707125545, 0.707080483, -0.00329331821)));
      final tangent_0_147 = mesh_0.tangents.elementAt(147);
      expect(tangent_0_147, vector3MoreOrLessEquals(Vector3(-1.83383981e-05, 0.999999821, -0.000697920797)));
      final tangent_0_148 = mesh_0.tangents.elementAt(148);
      expect(tangent_0_148, vector3MoreOrLessEquals(Vector3(-1.83383981e-05, 0.999999821, -0.000697920797)));
      final tangent_0_149 = mesh_0.tangents.elementAt(149);
      expect(tangent_0_149, vector3MoreOrLessEquals(Vector3(-0.707125545, 0.707080483, -0.00329331821)));
      final tangent_0_150 = mesh_0.tangents.elementAt(150);
      expect(tangent_0_150, vector3MoreOrLessEquals(Vector3(-0.70615375, 0.708054602, -0.00237359595)));
      final tangent_0_151 = mesh_0.tangents.elementAt(151);
      expect(tangent_0_151, vector3MoreOrLessEquals(Vector3(-0.0999049917, 0.979243577, 0.176354825)));
      final tangent_0_152 = mesh_0.tangents.elementAt(152);
      expect(tangent_0_152, vector3MoreOrLessEquals(Vector3(-0.0018436762, 0.0118811978, -0.999927759)));
      final tangent_0_153 = mesh_0.tangents.elementAt(153);
      expect(tangent_0_153, vector3MoreOrLessEquals(Vector3(-0.009703747, 0.0150664663, -0.999839425)));
      final tangent_0_154 = mesh_0.tangents.elementAt(154);
      expect(tangent_0_154, vector3MoreOrLessEquals(Vector3(0.492539346, 0.0302447788, -0.869764507)));
      final tangent_0_155 = mesh_0.tangents.elementAt(155);
      expect(tangent_0_155, vector3MoreOrLessEquals(Vector3(0.357300788, -0.339508295, -0.870097876)));
      final tangent_0_156 = mesh_0.tangents.elementAt(156);
      expect(tangent_0_156, vector3MoreOrLessEquals(Vector3(-0.000872933655, 0.00970500708, -0.999952495)));
      final tangent_0_157 = mesh_0.tangents.elementAt(157);
      expect(tangent_0_157, vector3MoreOrLessEquals(Vector3(-0.0018436762, 0.0118811978, -0.999927759)));
      final tangent_0_158 = mesh_0.tangents.elementAt(158);
      expect(tangent_0_158, vector3MoreOrLessEquals(Vector3(0.357300788, -0.339508295, -0.870097876)));
      final tangent_0_159 = mesh_0.tangents.elementAt(159);
      expect(tangent_0_159, vector3MoreOrLessEquals(Vector3(-0.00529687013, -0.492757231, -0.870150745)));
      final tangent_0_160 = mesh_0.tangents.elementAt(160);
      expect(tangent_0_160, vector3MoreOrLessEquals(Vector3(0.707138538, -0.706976593, -0.0117974961)));
      final tangent_0_161 = mesh_0.tangents.elementAt(161);
      expect(tangent_0_161, vector3MoreOrLessEquals(Vector3(0.999916375, 0.000113964707, -0.0129326116)));
      final tangent_0_162 = mesh_0.tangents.elementAt(162);
      expect(tangent_0_162, vector3MoreOrLessEquals(Vector3(0.976907313, -0.105313763, -0.185906261)));
      final tangent_0_163 = mesh_0.tangents.elementAt(163);
      expect(tangent_0_163, vector3MoreOrLessEquals(Vector3(0.703670442, -0.710475683, -0.00849774946)));
      final tangent_0_164 = mesh_0.tangents.elementAt(164);
      expect(tangent_0_164, vector3MoreOrLessEquals(Vector3(0.00011504571, -0.999943137, -0.0106628779)));
      final tangent_0_165 = mesh_0.tangents.elementAt(165);
      expect(tangent_0_165, vector3MoreOrLessEquals(Vector3(0.707138538, -0.706976593, -0.0117974961)));
      final tangent_0_166 = mesh_0.tangents.elementAt(166);
      expect(tangent_0_166, vector3MoreOrLessEquals(Vector3(0.703670442, -0.710475683, -0.00849774946)));
      final tangent_0_167 = mesh_0.tangents.elementAt(167);
      expect(tangent_0_167, vector3MoreOrLessEquals(Vector3(0.0959260911, -0.98088026, 0.169328481)));
      final tangent_0_168 = mesh_0.tangents.elementAt(168);
      expect(tangent_0_168, vector3MoreOrLessEquals(Vector3(-0.707010329, -0.707140028, -0.00944701675)));
      final tangent_0_169 = mesh_0.tangents.elementAt(169);
      expect(tangent_0_169, vector3MoreOrLessEquals(Vector3(6.84881452e-05, -0.999965966, -0.00824585557)));
      final tangent_0_170 = mesh_0.tangents.elementAt(170);
      expect(tangent_0_170, vector3MoreOrLessEquals(Vector3(-0.103458658, -0.977723062, -0.18263036)));
      final tangent_0_171 = mesh_0.tangents.elementAt(171);
      expect(tangent_0_171, vector3MoreOrLessEquals(Vector3(-0.709807813, -0.704362571, -0.00679960893)));
      final tangent_0_172 = mesh_0.tangents.elementAt(172);
      expect(tangent_0_172, vector3MoreOrLessEquals(Vector3(-0.999943256, -0.000114916664, -0.0106484191)));
      final tangent_0_173 = mesh_0.tangents.elementAt(173);
      expect(tangent_0_173, vector3MoreOrLessEquals(Vector3(-0.707010329, -0.707140028, -0.00944701675)));
      final tangent_0_174 = mesh_0.tangents.elementAt(174);
      expect(tangent_0_174, vector3MoreOrLessEquals(Vector3(-0.709807813, -0.704362571, -0.00679960893)));
      final tangent_0_175 = mesh_0.tangents.elementAt(175);
      expect(tangent_0_175, vector3MoreOrLessEquals(Vector3(-0.980878055, -0.095931679, 0.169338346)));
      final tangent_0_176 = mesh_0.tangents.elementAt(176);
      expect(tangent_0_176, vector3MoreOrLessEquals(Vector3(-0.707125545, 0.707080483, -0.00329331821)));
      final tangent_0_177 = mesh_0.tangents.elementAt(177);
      expect(tangent_0_177, vector3MoreOrLessEquals(Vector3(-0.999982715, -4.55960217e-05, -0.00588877872)));
      final tangent_0_178 = mesh_0.tangents.elementAt(178);
      expect(tangent_0_178, vector3MoreOrLessEquals(Vector3(-0.978128552, 0.102523729, -0.180979297)));
      final tangent_0_179 = mesh_0.tangents.elementAt(179);
      expect(tangent_0_179, vector3MoreOrLessEquals(Vector3(-0.70615375, 0.708054602, -0.00237359595)));
      final tangent_0_180 = mesh_0.tangents.elementAt(180);
      expect(tangent_0_180, vector3MoreOrLessEquals(Vector3(0.261113852, -0.10408181, -0.959680378)));
      final tangent_0_181 = mesh_0.tangents.elementAt(181);
      expect(tangent_0_181, vector3MoreOrLessEquals(Vector3(-0.367609918, 0.282012075, -0.88618964)));
      final tangent_0_182 = mesh_0.tangents.elementAt(182);
      expect(tangent_0_182, vector3MoreOrLessEquals(Vector3(-0.341186225, 0.603735387, -0.720482945)));
      final tangent_0_183 = mesh_0.tangents.elementAt(183);
      expect(tangent_0_183, vector3MoreOrLessEquals(Vector3(0.348581076, -0.599496126, -0.720482826)));
      final tangent_0_184 = mesh_0.tangents.elementAt(184);
      expect(tangent_0_184, vector3MoreOrLessEquals(Vector3(0.868225157, -0.4351933, 0.238310233)));
      final tangent_0_185 = mesh_0.tangents.elementAt(185);
      expect(tangent_0_185, vector3MoreOrLessEquals(Vector3(-0.289176047, -0.91460216, -0.282630652)));
      final tangent_0_186 = mesh_0.tangents.elementAt(186);
      expect(tangent_0_186, vector3MoreOrLessEquals(Vector3(0.240746424, -0.655831397, -0.715490341)));
      final tangent_0_187 = mesh_0.tangents.elementAt(187);
      expect(tangent_0_187, vector3MoreOrLessEquals(Vector3(0.337195098, -0.643236518, 0.68742007)));
      final tangent_0_188 = mesh_0.tangents.elementAt(188);
      expect(tangent_0_188, vector3MoreOrLessEquals(Vector3(-0.162595689, -0.423516333, -0.891177058)));
      final tangent_0_189 = mesh_0.tangents.elementAt(189);
      expect(tangent_0_189, vector3MoreOrLessEquals(Vector3(0.105465487, 0.260542065, -0.959684849)));
      final tangent_0_190 = mesh_0.tangents.elementAt(190);
      expect(tangent_0_190, vector3MoreOrLessEquals(Vector3(-0.279446453, 0.668624759, -0.689094067)));
      final tangent_0_191 = mesh_0.tangents.elementAt(191);
      expect(tangent_0_191, vector3MoreOrLessEquals(Vector3(0.271212399, -0.672006905, -0.689094067)));
      final tangent_0_192 = mesh_0.tangents.elementAt(192);
      expect(tangent_0_192, vector3MoreOrLessEquals(Vector3(0.170044392, 0.892647803, -0.417450368)));
      final tangent_0_193 = mesh_0.tangents.elementAt(193);
      expect(tangent_0_193, vector3MoreOrLessEquals(Vector3(-0.791398346, 0.494451076, 0.359453559)));
      final tangent_0_194 = mesh_0.tangents.elementAt(194);
      expect(tangent_0_194, vector3MoreOrLessEquals(Vector3(-0.337249428, 0.643210948, 0.687417269)));
      final tangent_0_195 = mesh_0.tangents.elementAt(195);
      expect(tangent_0_195, vector3MoreOrLessEquals(Vector3(-0.240801886, 0.655805349, -0.715495467)));
      final tangent_0_196 = mesh_0.tangents.elementAt(196);
      expect(tangent_0_196, vector3MoreOrLessEquals(Vector3(-0.240801886, 0.655805349, -0.715495467)));
      final tangent_0_197 = mesh_0.tangents.elementAt(197);
      expect(tangent_0_197, vector3MoreOrLessEquals(Vector3(-0.337249428, 0.643210948, 0.687417269)));
      final tangent_0_198 = mesh_0.tangents.elementAt(198);
      expect(tangent_0_198, vector3MoreOrLessEquals(Vector3(-0.378661454, 0.591292739, 0.712031245)));
      final tangent_0_199 = mesh_0.tangents.elementAt(199);
      expect(tangent_0_199, vector3MoreOrLessEquals(Vector3(-0.203806907, 0.707221687, -0.676978827)));
      final tangent_0_200 = mesh_0.tangents.elementAt(200);
      expect(tangent_0_200, vector3MoreOrLessEquals(Vector3(0.271212399, -0.672006905, -0.689094067)));
      final tangent_0_201 = mesh_0.tangents.elementAt(201);
      expect(tangent_0_201, vector3MoreOrLessEquals(Vector3(-0.279446453, 0.668624759, -0.689094067)));
      final tangent_0_202 = mesh_0.tangents.elementAt(202);
      expect(tangent_0_202, vector3MoreOrLessEquals(Vector3(-0.21889478, 0.654856265, -0.723358989)));
      final tangent_0_203 = mesh_0.tangents.elementAt(203);
      expect(tangent_0_203, vector3MoreOrLessEquals(Vector3(0.210863858, -0.65748626, -0.723359048)));
      final tangent_0_204 = mesh_0.tangents.elementAt(204);
      expect(tangent_0_204, vector3MoreOrLessEquals(Vector3(0.337195098, -0.643236518, 0.68742007)));
      final tangent_0_205 = mesh_0.tangents.elementAt(205);
      expect(tangent_0_205, vector3MoreOrLessEquals(Vector3(0.240746424, -0.655831397, -0.715490341)));
      final tangent_0_206 = mesh_0.tangents.elementAt(206);
      expect(tangent_0_206, vector3MoreOrLessEquals(Vector3(0.203749195, -0.707248747, -0.6769678)));
      final tangent_0_207 = mesh_0.tangents.elementAt(207);
      expect(tangent_0_207, vector3MoreOrLessEquals(Vector3(0.378599674, -0.591321707, 0.712039888)));
      final tangent_0_208 = mesh_0.tangents.elementAt(208);
      expect(tangent_0_208, vector3MoreOrLessEquals(Vector3(0.348581076, -0.599496126, -0.720482826)));
      final tangent_0_209 = mesh_0.tangents.elementAt(209);
      expect(tangent_0_209, vector3MoreOrLessEquals(Vector3(-0.341186225, 0.603735387, -0.720482945)));
      final tangent_0_210 = mesh_0.tangents.elementAt(210);
      expect(tangent_0_210, vector3MoreOrLessEquals(Vector3(-0.410585374, 0.586777627, -0.697933853)));
      final tangent_0_211 = mesh_0.tangents.elementAt(211);
      expect(tangent_0_211, vector3MoreOrLessEquals(Vector3(0.417765886, -0.581687212, -0.697933853)));
      final tangent_0_212 = mesh_0.tangents.elementAt(212);
      expect(tangent_0_212, vector3MoreOrLessEquals(Vector3(0.417765886, -0.581687212, -0.697933853)));
      final tangent_0_213 = mesh_0.tangents.elementAt(213);
      expect(tangent_0_213, vector3MoreOrLessEquals(Vector3(-0.410585374, 0.586777627, -0.697933853)));
      final tangent_0_214 = mesh_0.tangents.elementAt(214);
      expect(tangent_0_214, vector3MoreOrLessEquals(Vector3(-0.515949905, 0.185138658, -0.836372793)));
      final tangent_0_215 = mesh_0.tangents.elementAt(215);
      expect(tangent_0_215, vector3MoreOrLessEquals(Vector3(0.51771009, -0.180158764, -0.836372554)));
      final tangent_0_216 = mesh_0.tangents.elementAt(216);
      expect(tangent_0_216, vector3MoreOrLessEquals(Vector3(0.378599674, -0.591321707, 0.712039888)));
      final tangent_0_217 = mesh_0.tangents.elementAt(217);
      expect(tangent_0_217, vector3MoreOrLessEquals(Vector3(0.203749195, -0.707248747, -0.6769678)));
      final tangent_0_218 = mesh_0.tangents.elementAt(218);
      expect(tangent_0_218, vector3MoreOrLessEquals(Vector3(-0.0447880067, -0.915116727, -0.400693536)));
      final tangent_0_219 = mesh_0.tangents.elementAt(219);
      expect(tangent_0_219, vector3MoreOrLessEquals(Vector3(0.728644013, -0.59480232, 0.339540988)));
      final tangent_0_220 = mesh_0.tangents.elementAt(220);
      expect(tangent_0_220, vector3MoreOrLessEquals(Vector3(0.210863858, -0.65748626, -0.723359048)));
      final tangent_0_221 = mesh_0.tangents.elementAt(221);
      expect(tangent_0_221, vector3MoreOrLessEquals(Vector3(-0.21889478, 0.654856265, -0.723358989)));
      final tangent_0_222 = mesh_0.tangents.elementAt(222);
      expect(tangent_0_222, vector3MoreOrLessEquals(Vector3(0.233901531, 0.495750964, -0.836373746)));
      final tangent_0_223 = mesh_0.tangents.elementAt(223);
      expect(tangent_0_223, vector3MoreOrLessEquals(Vector3(-0.238677546, -0.493469626, -0.836373568)));
      final tangent_0_224 = mesh_0.tangents.elementAt(224);
      expect(tangent_0_224, vector3MoreOrLessEquals(Vector3(-0.203806907, 0.707221687, -0.676978827)));
      final tangent_0_225 = mesh_0.tangents.elementAt(225);
      expect(tangent_0_225, vector3MoreOrLessEquals(Vector3(-0.378661454, 0.591292739, 0.712031245)));
      final tangent_0_226 = mesh_0.tangents.elementAt(226);
      expect(tangent_0_226, vector3MoreOrLessEquals(Vector3(-0.728669286, 0.594790339, 0.339507818)));
      final tangent_0_227 = mesh_0.tangents.elementAt(227);
      expect(tangent_0_227, vector3MoreOrLessEquals(Vector3(0.0447593145, 0.915103078, -0.400727957)));
      final tangent_0_228 = mesh_0.tangents.elementAt(228);
      expect(tangent_0_228, vector3MoreOrLessEquals(Vector3(0.0719944835, 0.927159548, -0.367684513)));
      final tangent_0_229 = mesh_0.tangents.elementAt(229);
      expect(tangent_0_229, vector3MoreOrLessEquals(Vector3(-0.703116655, 0.60608983, 0.371862918)));
      final tangent_0_230 = mesh_0.tangents.elementAt(230);
      expect(tangent_0_230, vector3MoreOrLessEquals(Vector3(-0.70650965, 0.604684591, -0.367696375)));
      final tangent_0_231 = mesh_0.tangents.elementAt(231);
      expect(tangent_0_231, vector3MoreOrLessEquals(Vector3(0.0686016902, 0.92575407, 0.371851057)));
      final tangent_0_232 = mesh_0.tangents.elementAt(232);
      expect(tangent_0_232, vector3MoreOrLessEquals(Vector3(0.160524473, 0.945470393, -0.283403784)));
      final tangent_0_233 = mesh_0.tangents.elementAt(233);
      expect(tangent_0_233, vector3MoreOrLessEquals(Vector3(-0.00097014592, 0.625798702, -0.779983938)));
      final tangent_0_234 = mesh_0.tangents.elementAt(234);
      expect(tangent_0_234, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_235 = mesh_0.tangents.elementAt(235);
      expect(tangent_0_235, vector3MoreOrLessEquals(Vector3(0.555149257, 0.78204149, 0.283232003)));
      final tangent_0_236 = mesh_0.tangents.elementAt(236);
      expect(tangent_0_236, vector3MoreOrLessEquals(Vector3(0.160524473, 0.945470393, -0.283403784)));
      final tangent_0_237 = mesh_0.tangents.elementAt(237);
      expect(tangent_0_237, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_238 = mesh_0.tangents.elementAt(238);
      expect(tangent_0_238, vector3MoreOrLessEquals(Vector3(0.443425983, 0.441743493, 0.779894888)));
      final tangent_0_239 = mesh_0.tangents.elementAt(239);
      expect(tangent_0_239, vector3MoreOrLessEquals(Vector3(0.555149257, 0.78204149, 0.283232003)));
      final tangent_0_240 = mesh_0.tangents.elementAt(240);
      expect(tangent_0_240, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_241 = mesh_0.tangents.elementAt(241);
      expect(tangent_0_241, vector3MoreOrLessEquals(Vector3(0.00712129194, 0.620845079, 0.783900857)));
      final tangent_0_242 = mesh_0.tangents.elementAt(242);
      expect(tangent_0_242, vector3MoreOrLessEquals(Vector3(0.443425983, 0.441743493, 0.779894888)));
      final tangent_0_243 = mesh_0.tangents.elementAt(243);
      expect(tangent_0_243, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_244 = mesh_0.tangents.elementAt(244);
      expect(tangent_0_244, vector3MoreOrLessEquals(Vector3(0.161959723, 0.94446218, 0.285937697)));
      final tangent_0_245 = mesh_0.tangents.elementAt(245);
      expect(tangent_0_245, vector3MoreOrLessEquals(Vector3(0.00712129194, 0.620845079, 0.783900857)));
      final tangent_0_246 = mesh_0.tangents.elementAt(246);
      expect(tangent_0_246, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_247 = mesh_0.tangents.elementAt(247);
      expect(tangent_0_247, vector3MoreOrLessEquals(Vector3(0.553422034, 0.782343864, -0.285765558)));
      final tangent_0_248 = mesh_0.tangents.elementAt(248);
      expect(tangent_0_248, vector3MoreOrLessEquals(Vector3(0.161959723, 0.94446218, 0.285937697)));
      final tangent_0_249 = mesh_0.tangents.elementAt(249);
      expect(tangent_0_249, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_250 = mesh_0.tangents.elementAt(250);
      expect(tangent_0_250, vector3MoreOrLessEquals(Vector3(0.434211254, 0.443961382, -0.783810496)));
      final tangent_0_251 = mesh_0.tangents.elementAt(251);
      expect(tangent_0_251, vector3MoreOrLessEquals(Vector3(0.553422034, 0.782343864, -0.285765558)));
      final tangent_0_252 = mesh_0.tangents.elementAt(252);
      expect(tangent_0_252, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      final tangent_0_253 = mesh_0.tangents.elementAt(253);
      expect(tangent_0_253, vector3MoreOrLessEquals(Vector3(-0.00097014592, 0.625798702, -0.779983938)));
      final tangent_0_254 = mesh_0.tangents.elementAt(254);
      expect(tangent_0_254, vector3MoreOrLessEquals(Vector3(0.434211254, 0.443961382, -0.783810496)));
      final tangent_0_255 = mesh_0.tangents.elementAt(255);
      expect(tangent_0_255, vector3MoreOrLessEquals(Vector3(0.382791698, 0.923834682, 0)));
      expect(mesh_0.bitangents.length, equals(256));
      final bitangent_0_0 = mesh_0.bitangents.elementAt(0);
      expect(bitangent_0_0, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_1 = mesh_0.bitangents.elementAt(1);
      expect(bitangent_0_1, vector3MoreOrLessEquals(Vector3(0.180797607, 0.436565489, 0.881304502)));
      final bitangent_0_2 = mesh_0.bitangents.elementAt(2);
      expect(bitangent_0_2, vector3MoreOrLessEquals(Vector3(0.302800506, 0.731161654, 0.611305654)));
      final bitangent_0_3 = mesh_0.bitangents.elementAt(3);
      expect(bitangent_0_3, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_4 = mesh_0.bitangents.elementAt(4);
      expect(bitangent_0_4, vector3MoreOrLessEquals(Vector3(0.302800506, 0.731161654, 0.611305654)));
      final bitangent_0_5 = mesh_0.bitangents.elementAt(5);
      expect(bitangent_0_5, vector3MoreOrLessEquals(Vector3(0.302763879, 0.731073499, -0.611424923)));
      final bitangent_0_6 = mesh_0.bitangents.elementAt(6);
      expect(bitangent_0_6, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_7 = mesh_0.bitangents.elementAt(7);
      expect(bitangent_0_7, vector3MoreOrLessEquals(Vector3(0.302763879, 0.731073499, -0.611424923)));
      final bitangent_0_8 = mesh_0.bitangents.elementAt(8);
      expect(bitangent_0_8, vector3MoreOrLessEquals(Vector3(0.180789888, 0.436546981, -0.881318271)));
      final bitangent_0_9 = mesh_0.bitangents.elementAt(9);
      expect(bitangent_0_9, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_10 = mesh_0.bitangents.elementAt(10);
      expect(bitangent_0_10, vector3MoreOrLessEquals(Vector3(0.180789888, 0.436546981, -0.881318271)));
      final bitangent_0_11 = mesh_0.bitangents.elementAt(11);
      expect(bitangent_0_11, vector3MoreOrLessEquals(Vector3(0.180797607, 0.436565429, -0.881304383)));
      final bitangent_0_12 = mesh_0.bitangents.elementAt(12);
      expect(bitangent_0_12, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_13 = mesh_0.bitangents.elementAt(13);
      expect(bitangent_0_13, vector3MoreOrLessEquals(Vector3(0.180797607, 0.436565429, -0.881304383)));
      final bitangent_0_14 = mesh_0.bitangents.elementAt(14);
      expect(bitangent_0_14, vector3MoreOrLessEquals(Vector3(0.302800506, 0.731161654, -0.611305654)));
      final bitangent_0_15 = mesh_0.bitangents.elementAt(15);
      expect(bitangent_0_15, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_16 = mesh_0.bitangents.elementAt(16);
      expect(bitangent_0_16, vector3MoreOrLessEquals(Vector3(0.302800506, 0.731161654, -0.611305654)));
      final bitangent_0_17 = mesh_0.bitangents.elementAt(17);
      expect(bitangent_0_17, vector3MoreOrLessEquals(Vector3(0.302764118, 0.731073558, 0.611424685)));
      final bitangent_0_18 = mesh_0.bitangents.elementAt(18);
      expect(bitangent_0_18, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_19 = mesh_0.bitangents.elementAt(19);
      expect(bitangent_0_19, vector3MoreOrLessEquals(Vector3(0.302764118, 0.731073558, 0.611424685)));
      final bitangent_0_20 = mesh_0.bitangents.elementAt(20);
      expect(bitangent_0_20, vector3MoreOrLessEquals(Vector3(0.180789903, 0.436546981, 0.881318271)));
      final bitangent_0_21 = mesh_0.bitangents.elementAt(21);
      expect(bitangent_0_21, vector3MoreOrLessEquals(Vector3(0.180789903, 0.436546981, 0.881318271)));
      final bitangent_0_22 = mesh_0.bitangents.elementAt(22);
      expect(bitangent_0_22, vector3MoreOrLessEquals(Vector3(0.180797607, 0.436565489, 0.881304502)));
      final bitangent_0_23 = mesh_0.bitangents.elementAt(23);
      expect(bitangent_0_23, vector3MoreOrLessEquals(Vector3(0.38262248, 0.923904836, 0)));
      final bitangent_0_24 = mesh_0.bitangents.elementAt(24);
      expect(bitangent_0_24, vector3MoreOrLessEquals(Vector3(0.312372506, 0.315340579, 0.896079421)));
      final bitangent_0_25 = mesh_0.bitangents.elementAt(25);
      expect(bitangent_0_25, vector3MoreOrLessEquals(Vector3(-0.0498160347, -0.0364563353, 0.998066425)));
      final bitangent_0_26 = mesh_0.bitangents.elementAt(26);
      expect(bitangent_0_26, vector3MoreOrLessEquals(Vector3(-0.0609815754, -0.0285826977, 0.997700036)));
      final bitangent_0_27 = mesh_0.bitangents.elementAt(27);
      expect(bitangent_0_27, vector3MoreOrLessEquals(Vector3(0.436713666, 0.17873475, 0.881654799)));
      final bitangent_0_28 = mesh_0.bitangents.elementAt(28);
      expect(bitangent_0_28, vector3MoreOrLessEquals(Vector3(-0.270428807, 0.792959332, -0.54595238)));
      final bitangent_0_29 = mesh_0.bitangents.elementAt(29);
      expect(bitangent_0_29, vector3MoreOrLessEquals(Vector3(0.00359835802, 0.998229563, -0.0588715822)));
      final bitangent_0_30 = mesh_0.bitangents.elementAt(30);
      expect(bitangent_0_30, vector3MoreOrLessEquals(Vector3(0.707785547, 0.706130385, -0.0191481151)));
      final bitangent_0_31 = mesh_0.bitangents.elementAt(31);
      expect(bitangent_0_31, vector3MoreOrLessEquals(Vector3(0.586691856, 0.767539978, -0.258166134)));
      final bitangent_0_32 = mesh_0.bitangents.elementAt(32);
      expect(bitangent_0_32, vector3MoreOrLessEquals(Vector3(0.586691856, 0.767539978, -0.258166134)));
      final bitangent_0_33 = mesh_0.bitangents.elementAt(33);
      expect(bitangent_0_33, vector3MoreOrLessEquals(Vector3(0.707785547, 0.706130385, -0.0191481151)));
      final bitangent_0_34 = mesh_0.bitangents.elementAt(34);
      expect(bitangent_0_34, vector3MoreOrLessEquals(Vector3(0.999632001, 0.00158735819, 0.0259702597)));
      final bitangent_0_35 = mesh_0.bitangents.elementAt(35);
      expect(bitangent_0_35, vector3MoreOrLessEquals(Vector3(0.961233556, -0.122373387, 0.247052237)));
      final bitangent_0_36 = mesh_0.bitangents.elementAt(36);
      expect(bitangent_0_36, vector3MoreOrLessEquals(Vector3(-0.170064181, -0.437395334, 0.883031011)));
      final bitangent_0_37 = mesh_0.bitangents.elementAt(37);
      expect(bitangent_0_37, vector3MoreOrLessEquals(Vector3(0.0422276407, 0.060952086, 0.997217536)));
      final bitangent_0_38 = mesh_0.bitangents.elementAt(38);
      expect(bitangent_0_38, vector3MoreOrLessEquals(Vector3(0.0514863059, 0.0347838923, 0.998041272)));
      final bitangent_0_39 = mesh_0.bitangents.elementAt(39);
      expect(bitangent_0_39, vector3MoreOrLessEquals(Vector3(-0.308521181, -0.319175512, 0.896055996)));
      final bitangent_0_40 = mesh_0.bitangents.elementAt(40);
      expect(bitangent_0_40, vector3MoreOrLessEquals(Vector3(-0.308521181, -0.319175512, 0.896055996)));
      final bitangent_0_41 = mesh_0.bitangents.elementAt(41);
      expect(bitangent_0_41, vector3MoreOrLessEquals(Vector3(0.0514863059, 0.0347838923, 0.998041272)));
      final bitangent_0_42 = mesh_0.bitangents.elementAt(42);
      expect(bitangent_0_42, vector3MoreOrLessEquals(Vector3(0.0610052347, 0.00643301383, 0.998087168)));
      final bitangent_0_43 = mesh_0.bitangents.elementAt(43);
      expect(bitangent_0_43, vector3MoreOrLessEquals(Vector3(-0.443861187, 0.000291990727, 0.896084487)));
      final bitangent_0_44 = mesh_0.bitangents.elementAt(44);
      expect(bitangent_0_44, vector3MoreOrLessEquals(Vector3(-0.443861187, 0.000291990727, 0.896084487)));
      final bitangent_0_45 = mesh_0.bitangents.elementAt(45);
      expect(bitangent_0_45, vector3MoreOrLessEquals(Vector3(0.0610052347, 0.00643301383, 0.998087168)));
      final bitangent_0_46 = mesh_0.bitangents.elementAt(46);
      expect(bitangent_0_46, vector3MoreOrLessEquals(Vector3(0.0664417371, -0.0197875127, 0.997567534)));
      final bitangent_0_47 = mesh_0.bitangents.elementAt(47);
      expect(bitangent_0_47, vector3MoreOrLessEquals(Vector3(-0.433448434, 0.184460491, 0.882083654)));
      final bitangent_0_48 = mesh_0.bitangents.elementAt(48);
      expect(bitangent_0_48, vector3MoreOrLessEquals(Vector3(-0.184020638, 0.433823466, 0.881991148)));
      final bitangent_0_49 = mesh_0.bitangents.elementAt(49);
      expect(bitangent_0_49, vector3MoreOrLessEquals(Vector3(0.031109713, -0.0551540293, 0.997966647)));
      final bitangent_0_50 = mesh_0.bitangents.elementAt(50);
      expect(bitangent_0_50, vector3MoreOrLessEquals(Vector3(0.0050890334, -0.0610057153, 0.998094976)));
      final bitangent_0_51 = mesh_0.bitangents.elementAt(51);
      expect(bitangent_0_51, vector3MoreOrLessEquals(Vector3(-0.184988245, 0.436200321, 0.880618453)));
      final bitangent_0_52 = mesh_0.bitangents.elementAt(52);
      expect(bitangent_0_52, vector3MoreOrLessEquals(Vector3(-0.0498160347, -0.0364563353, 0.998066425)));
      final bitangent_0_53 = mesh_0.bitangents.elementAt(53);
      expect(bitangent_0_53, vector3MoreOrLessEquals(Vector3(0.312372506, 0.315340579, 0.896079421)));
      final bitangent_0_54 = mesh_0.bitangents.elementAt(54);
      expect(bitangent_0_54, vector3MoreOrLessEquals(Vector3(0.174570441, 0.437045395, 0.882324457)));
      final bitangent_0_55 = mesh_0.bitangents.elementAt(55);
      expect(bitangent_0_55, vector3MoreOrLessEquals(Vector3(-0.0354029685, -0.0609682538, 0.997482121)));
      final bitangent_0_56 = mesh_0.bitangents.elementAt(56);
      expect(bitangent_0_56, vector3MoreOrLessEquals(Vector3(-0.0232600551, -0.0629821271, 0.997717142)));
      final bitangent_0_57 = mesh_0.bitangents.elementAt(57);
      expect(bitangent_0_57, vector3MoreOrLessEquals(Vector3(0.0050890334, -0.0610057153, 0.998094976)));
      final bitangent_0_58 = mesh_0.bitangents.elementAt(58);
      expect(bitangent_0_58, vector3MoreOrLessEquals(Vector3(-0.0294558387, 0.176350936, 0.983855844)));
      final bitangent_0_59 = mesh_0.bitangents.elementAt(59);
      expect(bitangent_0_59, vector3MoreOrLessEquals(Vector3(0.176315248, 0.418273836, 0.891025662)));
      final bitangent_0_60 = mesh_0.bitangents.elementAt(60);
      expect(bitangent_0_60, vector3MoreOrLessEquals(Vector3(0.0050890334, -0.0610057153, 0.998094976)));
      final bitangent_0_61 = mesh_0.bitangents.elementAt(61);
      expect(bitangent_0_61, vector3MoreOrLessEquals(Vector3(0.031109713, -0.0551540293, 0.997966647)));
      final bitangent_0_62 = mesh_0.bitangents.elementAt(62);
      expect(bitangent_0_62, vector3MoreOrLessEquals(Vector3(-0.131510362, 0.117984369, 0.984254837)));
      final bitangent_0_63 = mesh_0.bitangents.elementAt(63);
      expect(bitangent_0_63, vector3MoreOrLessEquals(Vector3(-0.0294558387, 0.176350936, 0.983855844)));
      final bitangent_0_64 = mesh_0.bitangents.elementAt(64);
      expect(bitangent_0_64, vector3MoreOrLessEquals(Vector3(0.031109713, -0.0551540293, 0.997966647)));
      final bitangent_0_65 = mesh_0.bitangents.elementAt(65);
      expect(bitangent_0_65, vector3MoreOrLessEquals(Vector3(0.0609642938, -0.0371878557, 0.997417331)));
      final bitangent_0_66 = mesh_0.bitangents.elementAt(66);
      expect(bitangent_0_66, vector3MoreOrLessEquals(Vector3(-0.176104337, 0.0604979172, 0.982480049)));
      final bitangent_0_67 = mesh_0.bitangents.elementAt(67);
      expect(bitangent_0_67, vector3MoreOrLessEquals(Vector3(-0.131510362, 0.117984369, 0.984254837)));
      final bitangent_0_68 = mesh_0.bitangents.elementAt(68);
      expect(bitangent_0_68, vector3MoreOrLessEquals(Vector3(0.0610052347, 0.00643301383, 0.998087168)));
      final bitangent_0_69 = mesh_0.bitangents.elementAt(69);
      expect(bitangent_0_69, vector3MoreOrLessEquals(Vector3(0.0514863059, 0.0347838923, 0.998041272)));
      final bitangent_0_70 = mesh_0.bitangents.elementAt(70);
      expect(bitangent_0_70, vector3MoreOrLessEquals(Vector3(-0.116292782, -0.133195549, 0.984229445)));
      final bitangent_0_71 = mesh_0.bitangents.elementAt(71);
      expect(bitangent_0_71, vector3MoreOrLessEquals(Vector3(-0.175867617, -0.0796019584, 0.981159389)));
      final bitangent_0_72 = mesh_0.bitangents.elementAt(72);
      expect(bitangent_0_72, vector3MoreOrLessEquals(Vector3(0.0514863059, 0.0347838923, 0.998041272)));
      final bitangent_0_73 = mesh_0.bitangents.elementAt(73);
      expect(bitangent_0_73, vector3MoreOrLessEquals(Vector3(0.0422276407, 0.060952086, 0.997217536)));
      final bitangent_0_74 = mesh_0.bitangents.elementAt(74);
      expect(bitangent_0_74, vector3MoreOrLessEquals(Vector3(-0.0557500832, -0.176153108, 0.982752144)));
      final bitangent_0_75 = mesh_0.bitangents.elementAt(75);
      expect(bitangent_0_75, vector3MoreOrLessEquals(Vector3(-0.116292782, -0.133195549, 0.984229445)));
      final bitangent_0_76 = mesh_0.bitangents.elementAt(76);
      expect(bitangent_0_76, vector3MoreOrLessEquals(Vector3(0.999632001, 0.00158735819, 0.0259702597)));
      final bitangent_0_77 = mesh_0.bitangents.elementAt(77);
      expect(bitangent_0_77, vector3MoreOrLessEquals(Vector3(0.707785547, 0.706130385, -0.0191481151)));
      final bitangent_0_78 = mesh_0.bitangents.elementAt(78);
      expect(bitangent_0_78, vector3MoreOrLessEquals(Vector3(0.714111507, 0.696592391, 0.069112882)));
      final bitangent_0_79 = mesh_0.bitangents.elementAt(79);
      expect(bitangent_0_79, vector3MoreOrLessEquals(Vector3(0.997884572, 0.0113879284, -0.0635328591)));
      final bitangent_0_80 = mesh_0.bitangents.elementAt(80);
      expect(bitangent_0_80, vector3MoreOrLessEquals(Vector3(0.707785547, 0.706130385, -0.0191481151)));
      final bitangent_0_81 = mesh_0.bitangents.elementAt(81);
      expect(bitangent_0_81, vector3MoreOrLessEquals(Vector3(0.00359835802, 0.998229563, -0.0588715822)));
      final bitangent_0_82 = mesh_0.bitangents.elementAt(82);
      expect(bitangent_0_82, vector3MoreOrLessEquals(Vector3(0.453074217, 0.88646853, 0.0941562206)));
      final bitangent_0_83 = mesh_0.bitangents.elementAt(83);
      expect(bitangent_0_83, vector3MoreOrLessEquals(Vector3(0.714111507, 0.696592391, 0.069112882)));
      final bitangent_0_84 = mesh_0.bitangents.elementAt(84);
      expect(bitangent_0_84, vector3MoreOrLessEquals(Vector3(-0.0609815754, -0.0285826977, 0.997700036)));
      final bitangent_0_85 = mesh_0.bitangents.elementAt(85);
      expect(bitangent_0_85, vector3MoreOrLessEquals(Vector3(-0.0498160347, -0.0364563353, 0.998066425)));
      final bitangent_0_86 = mesh_0.bitangents.elementAt(86);
      expect(bitangent_0_86, vector3MoreOrLessEquals(Vector3(0.554575384, 0.226320535, 0.800744593)));
      final bitangent_0_87 = mesh_0.bitangents.elementAt(87);
      expect(bitangent_0_87, vector3MoreOrLessEquals(Vector3(0.550588965, 0.224664152, 0.80395633)));
      final bitangent_0_88 = mesh_0.bitangents.elementAt(88);
      expect(bitangent_0_88, vector3MoreOrLessEquals(Vector3(0.714111507, 0.696592391, 0.069112882)));
      final bitangent_0_89 = mesh_0.bitangents.elementAt(89);
      expect(bitangent_0_89, vector3MoreOrLessEquals(Vector3(0.453074217, 0.88646853, 0.0941562206)));
      final bitangent_0_90 = mesh_0.bitangents.elementAt(90);
      expect(bitangent_0_90, vector3MoreOrLessEquals(Vector3(0.381677538, 0.924268067, 0.00360723585)));
      final bitangent_0_91 = mesh_0.bitangents.elementAt(91);
      expect(bitangent_0_91, vector3MoreOrLessEquals(Vector3(0.707079411, 0.707079411, 0.00335842744)));
      final bitangent_0_92 = mesh_0.bitangents.elementAt(92);
      expect(bitangent_0_92, vector3MoreOrLessEquals(Vector3(0.997884572, 0.0113879284, -0.0635328591)));
      final bitangent_0_93 = mesh_0.bitangents.elementAt(93);
      expect(bitangent_0_93, vector3MoreOrLessEquals(Vector3(0.714111507, 0.696592391, 0.069112882)));
      final bitangent_0_94 = mesh_0.bitangents.elementAt(94);
      expect(bitangent_0_94, vector3MoreOrLessEquals(Vector3(0.707079411, 0.707079411, 0.00335842744)));
      final bitangent_0_95 = mesh_0.bitangents.elementAt(95);
      expect(bitangent_0_95, vector3MoreOrLessEquals(Vector3(0.999995947, 0, 0.00283578038)));
      final bitangent_0_96 = mesh_0.bitangents.elementAt(96);
      expect(bitangent_0_96, vector3MoreOrLessEquals(Vector3(-0.116292782, -0.133195549, 0.984229445)));
      final bitangent_0_97 = mesh_0.bitangents.elementAt(97);
      expect(bitangent_0_97, vector3MoreOrLessEquals(Vector3(-0.0557500832, -0.176153108, 0.982752144)));
      final bitangent_0_98 = mesh_0.bitangents.elementAt(98);
      expect(bitangent_0_98, vector3MoreOrLessEquals(Vector3(0.0169503726, 0, 0.999856353)));
      final bitangent_0_99 = mesh_0.bitangents.elementAt(99);
      expect(bitangent_0_99, vector3MoreOrLessEquals(Vector3(0.00834107399, -0.00834107399, 0.999897361)));
      final bitangent_0_100 = mesh_0.bitangents.elementAt(100);
      expect(bitangent_0_100, vector3MoreOrLessEquals(Vector3(-0.175867617, -0.0796019584, 0.981159389)));
      final bitangent_0_101 = mesh_0.bitangents.elementAt(101);
      expect(bitangent_0_101, vector3MoreOrLessEquals(Vector3(-0.116292782, -0.133195549, 0.984229445)));
      final bitangent_0_102 = mesh_0.bitangents.elementAt(102);
      expect(bitangent_0_102, vector3MoreOrLessEquals(Vector3(0.00834107399, -0.00834107399, 0.999897361)));
      final bitangent_0_103 = mesh_0.bitangents.elementAt(103);
      expect(bitangent_0_103, vector3MoreOrLessEquals(Vector3(0, -0.00664225919, 0.999977887)));
      final bitangent_0_104 = mesh_0.bitangents.elementAt(104);
      expect(bitangent_0_104, vector3MoreOrLessEquals(Vector3(-0.131510362, 0.117984369, 0.984254837)));
      final bitangent_0_105 = mesh_0.bitangents.elementAt(105);
      expect(bitangent_0_105, vector3MoreOrLessEquals(Vector3(-0.176104337, 0.0604979172, 0.982480049)));
      final bitangent_0_106 = mesh_0.bitangents.elementAt(106);
      expect(bitangent_0_106, vector3MoreOrLessEquals(Vector3(0, -0.0122653805, 0.999924779)));
      final bitangent_0_107 = mesh_0.bitangents.elementAt(107);
      expect(bitangent_0_107, vector3MoreOrLessEquals(Vector3(-0.00667980965, -0.00667980965, 0.999922276)));
      final bitangent_0_108 = mesh_0.bitangents.elementAt(108);
      expect(bitangent_0_108, vector3MoreOrLessEquals(Vector3(-0.0294558387, 0.176350936, 0.983855844)));
      final bitangent_0_109 = mesh_0.bitangents.elementAt(109);
      expect(bitangent_0_109, vector3MoreOrLessEquals(Vector3(-0.131510362, 0.117984369, 0.984254837)));
      final bitangent_0_110 = mesh_0.bitangents.elementAt(110);
      expect(bitangent_0_110, vector3MoreOrLessEquals(Vector3(-0.00667980965, -0.00667980965, 0.999922276)));
      final bitangent_0_111 = mesh_0.bitangents.elementAt(111);
      expect(bitangent_0_111, vector3MoreOrLessEquals(Vector3(-0.00662826095, 0, 0.999947429)));
      final bitangent_0_112 = mesh_0.bitangents.elementAt(112);
      expect(bitangent_0_112, vector3MoreOrLessEquals(Vector3(0.166056007, 0.422210008, 0.891140282)));
      final bitangent_0_113 = mesh_0.bitangents.elementAt(113);
      expect(bitangent_0_113, vector3MoreOrLessEquals(Vector3(0.063200064, 0.176074773, 0.982315123)));
      final bitangent_0_114 = mesh_0.bitangents.elementAt(114);
      expect(bitangent_0_114, vector3MoreOrLessEquals(Vector3(-0.00990687497, 0, 0.999920368)));
      final bitangent_0_115 = mesh_0.bitangents.elementAt(115);
      expect(bitangent_0_115, vector3MoreOrLessEquals(Vector3(-0.185510516, -0.226299167, 0.95620966)));
      final bitangent_0_116 = mesh_0.bitangents.elementAt(116);
      expect(bitangent_0_116, vector3MoreOrLessEquals(Vector3(-0.185510516, -0.226299167, 0.95620966)));
      final bitangent_0_117 = mesh_0.bitangents.elementAt(117);
      expect(bitangent_0_117, vector3MoreOrLessEquals(Vector3(-0.00990687497, 0, 0.999920368)));
      final bitangent_0_118 = mesh_0.bitangents.elementAt(118);
      expect(bitangent_0_118, vector3MoreOrLessEquals(Vector3(-0.0058888616, 0.00970471837, 0.999921679)));
      final bitangent_0_119 = mesh_0.bitangents.elementAt(119);
      expect(bitangent_0_119, vector3MoreOrLessEquals(Vector3(0.00453358563, 0.00919112284, 0.999918342)));
      final bitangent_0_120 = mesh_0.bitangents.elementAt(120);
      expect(bitangent_0_120, vector3MoreOrLessEquals(Vector3(-0.00662826095, 0, 0.999947429)));
      final bitangent_0_121 = mesh_0.bitangents.elementAt(121);
      expect(bitangent_0_121, vector3MoreOrLessEquals(Vector3(-0.00667980965, -0.00667980965, 0.999922276)));
      final bitangent_0_122 = mesh_0.bitangents.elementAt(122);
      expect(bitangent_0_122, vector3MoreOrLessEquals(Vector3(-0.0135422535, 0.000181914773, 0.999879003)));
      final bitangent_0_123 = mesh_0.bitangents.elementAt(123);
      expect(bitangent_0_123, vector3MoreOrLessEquals(Vector3(-0.0106488839, 0.00970433559, 0.999882221)));
      final bitangent_0_124 = mesh_0.bitangents.elementAt(124);
      expect(bitangent_0_124, vector3MoreOrLessEquals(Vector3(-0.00667980965, -0.00667980965, 0.999922276)));
      final bitangent_0_125 = mesh_0.bitangents.elementAt(125);
      expect(bitangent_0_125, vector3MoreOrLessEquals(Vector3(0, -0.0122653805, 0.999924779)));
      final bitangent_0_126 = mesh_0.bitangents.elementAt(126);
      expect(bitangent_0_126, vector3MoreOrLessEquals(Vector3(-0.00970455538, -0.00824601762, 0.999904931)));
      final bitangent_0_127 = mesh_0.bitangents.elementAt(127);
      expect(bitangent_0_127, vector3MoreOrLessEquals(Vector3(-0.0135422535, 0.000181914773, 0.999879003)));
      final bitangent_0_128 = mesh_0.bitangents.elementAt(128);
      expect(bitangent_0_128, vector3MoreOrLessEquals(Vector3(0, -0.00664225919, 0.999977887)));
      final bitangent_0_129 = mesh_0.bitangents.elementAt(129);
      expect(bitangent_0_129, vector3MoreOrLessEquals(Vector3(0.00834107399, -0.00834107399, 0.999897361)));
      final bitangent_0_130 = mesh_0.bitangents.elementAt(130);
      expect(bitangent_0_130, vector3MoreOrLessEquals(Vector3(0.00148032559, -0.0152041521, 0.999854088)));
      final bitangent_0_131 = mesh_0.bitangents.elementAt(131);
      expect(bitangent_0_131, vector3MoreOrLessEquals(Vector3(-0.00970433373, -0.0106633436, 0.999882102)));
      final bitangent_0_132 = mesh_0.bitangents.elementAt(132);
      expect(bitangent_0_132, vector3MoreOrLessEquals(Vector3(0.00834107399, -0.00834107399, 0.999897361)));
      final bitangent_0_133 = mesh_0.bitangents.elementAt(133);
      expect(bitangent_0_133, vector3MoreOrLessEquals(Vector3(0.0169503726, 0, 0.999856353)));
      final bitangent_0_134 = mesh_0.bitangents.elementAt(134);
      expect(bitangent_0_134, vector3MoreOrLessEquals(Vector3(0.0129329283, -0.00970407482, 0.99985534)));
      final bitangent_0_135 = mesh_0.bitangents.elementAt(135);
      expect(bitangent_0_135, vector3MoreOrLessEquals(Vector3(0.00148032559, -0.0152041521, 0.999854088)));
      final bitangent_0_136 = mesh_0.bitangents.elementAt(136);
      expect(bitangent_0_136, vector3MoreOrLessEquals(Vector3(0.999995947, 0, 0.00283578038)));
      final bitangent_0_137 = mesh_0.bitangents.elementAt(137);
      expect(bitangent_0_137, vector3MoreOrLessEquals(Vector3(0.707079411, 0.707079411, 0.00335842744)));
      final bitangent_0_138 = mesh_0.bitangents.elementAt(138);
      expect(bitangent_0_138, vector3MoreOrLessEquals(Vector3(0.707117081, 0.707019627, 0.00709705846)));
      final bitangent_0_139 = mesh_0.bitangents.elementAt(139);
      expect(bitangent_0_139, vector3MoreOrLessEquals(Vector3(0.999985635, 8.47172123e-06, -0.000872880395)));
      final bitangent_0_140 = mesh_0.bitangents.elementAt(140);
      expect(bitangent_0_140, vector3MoreOrLessEquals(Vector3(0.707079411, 0.707079411, 0.00335842744)));
      final bitangent_0_141 = mesh_0.bitangents.elementAt(141);
      expect(bitangent_0_141, vector3MoreOrLessEquals(Vector3(0.381677538, 0.924268067, 0.00360723585)));
      final bitangent_0_142 = mesh_0.bitangents.elementAt(142);
      expect(bitangent_0_142, vector3MoreOrLessEquals(Vector3(0.000146218343, 0.999872565, 0.0150655471)));
      final bitangent_0_143 = mesh_0.bitangents.elementAt(143);
      expect(bitangent_0_143, vector3MoreOrLessEquals(Vector3(0.707117081, 0.707019627, 0.00709705846)));
      final bitangent_0_144 = mesh_0.bitangents.elementAt(144);
      expect(bitangent_0_144, vector3MoreOrLessEquals(Vector3(-0.354682505, -0.149979591, 0.922859013)));
      final bitangent_0_145 = mesh_0.bitangents.elementAt(145);
      expect(bitangent_0_145, vector3MoreOrLessEquals(Vector3(-0.185510516, -0.226299167, 0.95620966)));
      final bitangent_0_146 = mesh_0.bitangents.elementAt(146);
      expect(bitangent_0_146, vector3MoreOrLessEquals(Vector3(0.00453358563, 0.00919112284, 0.999918342)));
      final bitangent_0_147 = mesh_0.bitangents.elementAt(147);
      expect(bitangent_0_147, vector3MoreOrLessEquals(Vector3(0.00970488414, 0.000698056188, 0.999938786)));
      final bitangent_0_148 = mesh_0.bitangents.elementAt(148);
      expect(bitangent_0_148, vector3MoreOrLessEquals(Vector3(0.00970488414, 0.000698056188, 0.999938786)));
      final bitangent_0_149 = mesh_0.bitangents.elementAt(149);
      expect(bitangent_0_149, vector3MoreOrLessEquals(Vector3(0.00453358563, 0.00919112284, 0.999918342)));
      final bitangent_0_150 = mesh_0.bitangents.elementAt(150);
      expect(bitangent_0_150, vector3MoreOrLessEquals(Vector3(-0.350377202, -0.346519768, 0.870096147)));
      final bitangent_0_151 = mesh_0.bitangents.elementAt(151);
      expect(bitangent_0_151, vector3MoreOrLessEquals(Vector3(-0.482553989, -0.202680081, 0.852052748)));
      final bitangent_0_152 = mesh_0.bitangents.elementAt(152);
      expect(bitangent_0_152, vector3MoreOrLessEquals(Vector3(0.707117081, 0.707019627, 0.00709705846)));
      final bitangent_0_153 = mesh_0.bitangents.elementAt(153);
      expect(bitangent_0_153, vector3MoreOrLessEquals(Vector3(0.000146218343, 0.999872565, 0.0150655471)));
      final bitangent_0_154 = mesh_0.bitangents.elementAt(154);
      expect(bitangent_0_154, vector3MoreOrLessEquals(Vector3(-0.0149040939, 0.999508262, 0.026316382)));
      final bitangent_0_155 = mesh_0.bitangents.elementAt(155);
      expect(bitangent_0_155, vector3MoreOrLessEquals(Vector3(0.702634215, 0.711401999, 0.0109468848)));
      final bitangent_0_156 = mesh_0.bitangents.elementAt(156);
      expect(bitangent_0_156, vector3MoreOrLessEquals(Vector3(0.999985635, 8.47172123e-06, -0.000872880395)));
      final bitangent_0_157 = mesh_0.bitangents.elementAt(157);
      expect(bitangent_0_157, vector3MoreOrLessEquals(Vector3(0.707117081, 0.707019627, 0.00709705846)));
      final bitangent_0_158 = mesh_0.bitangents.elementAt(158);
      expect(bitangent_0_158, vector3MoreOrLessEquals(Vector3(0.702634215, 0.711401999, 0.0109468848)));
      final bitangent_0_159 = mesh_0.bitangents.elementAt(159);
      expect(bitangent_0_159, vector3MoreOrLessEquals(Vector3(0.99995172, -0.00261020428, -0.00460887654)));
      final bitangent_0_160 = mesh_0.bitangents.elementAt(160);
      expect(bitangent_0_160, vector3MoreOrLessEquals(Vector3(0.00148032559, -0.0152041521, 0.999854088)));
      final bitangent_0_161 = mesh_0.bitangents.elementAt(161);
      expect(bitangent_0_161, vector3MoreOrLessEquals(Vector3(0.0129329283, -0.00970407482, 0.99985534)));
      final bitangent_0_162 = mesh_0.bitangents.elementAt(162);
      expect(bitangent_0_162, vector3MoreOrLessEquals(Vector3(0.213656262, 0.481402725, 0.850019932)));
      final bitangent_0_163 = mesh_0.bitangents.elementAt(163);
      expect(bitangent_0_163, vector3MoreOrLessEquals(Vector3(0.355338186, 0.341528118, 0.870057821)));
      final bitangent_0_164 = mesh_0.bitangents.elementAt(164);
      expect(bitangent_0_164, vector3MoreOrLessEquals(Vector3(-0.00970433373, -0.0106633436, 0.999882102)));
      final bitangent_0_165 = mesh_0.bitangents.elementAt(165);
      expect(bitangent_0_165, vector3MoreOrLessEquals(Vector3(0.00148032559, -0.0152041521, 0.999854088)));
      final bitangent_0_166 = mesh_0.bitangents.elementAt(166);
      expect(bitangent_0_166, vector3MoreOrLessEquals(Vector3(0.355338186, 0.341528118, 0.870057821)));
      final bitangent_0_167 = mesh_0.bitangents.elementAt(167);
      expect(bitangent_0_167, vector3MoreOrLessEquals(Vector3(0.483360499, 0.194605634, 0.853476882)));
      final bitangent_0_168 = mesh_0.bitangents.elementAt(168);
      expect(bitangent_0_168, vector3MoreOrLessEquals(Vector3(-0.0135422535, 0.000181914773, 0.999879003)));
      final bitangent_0_169 = mesh_0.bitangents.elementAt(169);
      expect(bitangent_0_169, vector3MoreOrLessEquals(Vector3(-0.00970455538, -0.00824601762, 0.999904931)));
      final bitangent_0_170 = mesh_0.bitangents.elementAt(170);
      expect(bitangent_0_170, vector3MoreOrLessEquals(Vector3(0.481804699, -0.209891692, 0.850729764)));
      final bitangent_0_171 = mesh_0.bitangents.elementAt(171);
      expect(bitangent_0_171, vector3MoreOrLessEquals(Vector3(0.342913985, -0.353964269, 0.870072782)));
      final bitangent_0_172 = mesh_0.bitangents.elementAt(172);
      expect(bitangent_0_172, vector3MoreOrLessEquals(Vector3(-0.0106488839, 0.00970433559, 0.999882221)));
      final bitangent_0_173 = mesh_0.bitangents.elementAt(173);
      expect(bitangent_0_173, vector3MoreOrLessEquals(Vector3(-0.0135422535, 0.000181914773, 0.999879003)));
      final bitangent_0_174 = mesh_0.bitangents.elementAt(174);
      expect(bitangent_0_174, vector3MoreOrLessEquals(Vector3(0.342913985, -0.353964269, 0.870072782)));
      final bitangent_0_175 = mesh_0.bitangents.elementAt(175);
      expect(bitangent_0_175, vector3MoreOrLessEquals(Vector3(0.194616973, -0.483359426, 0.853474915)));
      final bitangent_0_176 = mesh_0.bitangents.elementAt(176);
      expect(bitangent_0_176, vector3MoreOrLessEquals(Vector3(0.00453358563, 0.00919112284, 0.999918342)));
      final bitangent_0_177 = mesh_0.bitangents.elementAt(177);
      expect(bitangent_0_177, vector3MoreOrLessEquals(Vector3(-0.0058888616, 0.00970471837, 0.999921679)));
      final bitangent_0_178 = mesh_0.bitangents.elementAt(178);
      expect(bitangent_0_178, vector3MoreOrLessEquals(Vector3(-0.207994372, -0.482004523, 0.851082563)));
      final bitangent_0_179 = mesh_0.bitangents.elementAt(179);
      expect(bitangent_0_179, vector3MoreOrLessEquals(Vector3(-0.350377202, -0.346519768, 0.870096147)));
      final bitangent_0_180 = mesh_0.bitangents.elementAt(180);
      expect(bitangent_0_180, vector3MoreOrLessEquals(Vector3(0.381677538, 0.924268067, 0.00360723585)));
      final bitangent_0_181 = mesh_0.bitangents.elementAt(181);
      expect(bitangent_0_181, vector3MoreOrLessEquals(Vector3(0.453074217, 0.88646853, 0.0941562206)));
      final bitangent_0_182 = mesh_0.bitangents.elementAt(182);
      expect(bitangent_0_182, vector3MoreOrLessEquals(Vector3(0.869011164, 0.494764984, 0.0030708313)));
      final bitangent_0_183 = mesh_0.bitangents.elementAt(183);
      expect(bitangent_0_183, vector3MoreOrLessEquals(Vector3(0.866071343, 0.499893069, 0.00307030976)));
      final bitangent_0_184 = mesh_0.bitangents.elementAt(184);
      expect(bitangent_0_184, vector3MoreOrLessEquals(Vector3(0.333613664, 0.156522304, -0.929604769)));
      final bitangent_0_185 = mesh_0.bitangents.elementAt(185);
      expect(bitangent_0_185, vector3MoreOrLessEquals(Vector3(0.360862494, 0.169306755, -0.91710186)));
      final bitangent_0_186 = mesh_0.bitangents.elementAt(186);
      expect(bitangent_0_186, vector3MoreOrLessEquals(Vector3(0.902017713, 0.42332387, -0.084517628)));
      final bitangent_0_187 = mesh_0.bitangents.elementAt(187);
      expect(bitangent_0_187, vector3MoreOrLessEquals(Vector3(0.904274881, 0.424320936, -0.046519354)));
      final bitangent_0_188 = mesh_0.bitangents.elementAt(188);
      expect(bitangent_0_188, vector3MoreOrLessEquals(Vector3(-0.935109854, 0.354303896, 0.00223451853)));
      final bitangent_0_189 = mesh_0.bitangents.elementAt(189);
      expect(bitangent_0_189, vector3MoreOrLessEquals(Vector3(-0.924111366, 0.382068098, 0.00217045099)));
      final bitangent_0_190 = mesh_0.bitangents.elementAt(190);
      expect(bitangent_0_190, vector3MoreOrLessEquals(Vector3(-0.923740506, -0.382909179, 0.0030670017)));
      final bitangent_0_191 = mesh_0.bitangents.elementAt(191);
      expect(bitangent_0_191, vector3MoreOrLessEquals(Vector3(-0.926191449, -0.376942009, 0.00306636095)));
      final bitangent_0_192 = mesh_0.bitangents.elementAt(192);
      expect(bitangent_0_192, vector3MoreOrLessEquals(Vector3(0.558116376, 0.261881232, 0.787332535)));
      final bitangent_0_193 = mesh_0.bitangents.elementAt(193);
      expect(bitangent_0_193, vector3MoreOrLessEquals(Vector3(0.523989618, 0.245868519, 0.815444887)));
      final bitangent_0_194 = mesh_0.bitangents.elementAt(194);
      expect(bitangent_0_194, vector3MoreOrLessEquals(Vector3(0.904254556, 0.42435956, 0.0465606749)));
      final bitangent_0_195 = mesh_0.bitangents.elementAt(195);
      expect(bitangent_0_195, vector3MoreOrLessEquals(Vector3(0.902002811, 0.423364162, 0.0844736099)));
      final bitangent_0_196 = mesh_0.bitangents.elementAt(196);
      expect(bitangent_0_196, vector3MoreOrLessEquals(Vector3(0.902002811, 0.423364162, 0.0844736099)));
      final bitangent_0_197 = mesh_0.bitangents.elementAt(197);
      expect(bitangent_0_197, vector3MoreOrLessEquals(Vector3(0.904254556, 0.42435956, 0.0465606749)));
      final bitangent_0_198 = mesh_0.bitangents.elementAt(198);
      expect(bitangent_0_198, vector3MoreOrLessEquals(Vector3(0.897726059, 0.421740115, 0.127188787)));
      final bitangent_0_199 = mesh_0.bitangents.elementAt(199);
      expect(bitangent_0_199, vector3MoreOrLessEquals(Vector3(0.891916037, 0.419195592, 0.169407904)));
      final bitangent_0_200 = mesh_0.bitangents.elementAt(200);
      expect(bitangent_0_200, vector3MoreOrLessEquals(Vector3(-0.926191449, -0.376942009, 0.00306636095)));
      final bitangent_0_201 = mesh_0.bitangents.elementAt(201);
      expect(bitangent_0_201, vector3MoreOrLessEquals(Vector3(-0.923740506, -0.382909179, 0.0030670017)));
      final bitangent_0_202 = mesh_0.bitangents.elementAt(202);
      expect(bitangent_0_202, vector3MoreOrLessEquals(Vector3(-0.949402213, -0.313974142, 0.00305692852)));
      final bitangent_0_203 = mesh_0.bitangents.elementAt(203);
      expect(bitangent_0_203, vector3MoreOrLessEquals(Vector3(-0.951218188, -0.308428943, 0.00305554271)));
      final bitangent_0_204 = mesh_0.bitangents.elementAt(204);
      expect(bitangent_0_204, vector3MoreOrLessEquals(Vector3(0.904274881, 0.424320936, -0.046519354)));
      final bitangent_0_205 = mesh_0.bitangents.elementAt(205);
      expect(bitangent_0_205, vector3MoreOrLessEquals(Vector3(0.902017713, 0.42332387, -0.084517628)));
      final bitangent_0_206 = mesh_0.bitangents.elementAt(206);
      expect(bitangent_0_206, vector3MoreOrLessEquals(Vector3(0.89192909, 0.419149786, -0.169451699)));
      final bitangent_0_207 = mesh_0.bitangents.elementAt(207);
      expect(bitangent_0_207, vector3MoreOrLessEquals(Vector3(0.897752047, 0.421699405, -0.127139792)));
      final bitangent_0_208 = mesh_0.bitangents.elementAt(208);
      expect(bitangent_0_208, vector3MoreOrLessEquals(Vector3(0.866071343, 0.499893069, 0.00307030976)));
      final bitangent_0_209 = mesh_0.bitangents.elementAt(209);
      expect(bitangent_0_209, vector3MoreOrLessEquals(Vector3(0.869011164, 0.494764984, 0.0030708313)));
      final bitangent_0_210 = mesh_0.bitangents.elementAt(210);
      expect(bitangent_0_210, vector3MoreOrLessEquals(Vector3(0.81758678, 0.575743318, 0.0030721128)));
      final bitangent_0_211 = mesh_0.bitangents.elementAt(211);
      expect(bitangent_0_211, vector3MoreOrLessEquals(Vector3(0.813941121, 0.580885887, 0.00307044387)));
      final bitangent_0_212 = mesh_0.bitangents.elementAt(212);
      expect(bitangent_0_212, vector3MoreOrLessEquals(Vector3(0.813941121, 0.580885887, 0.00307044387)));
      final bitangent_0_213 = mesh_0.bitangents.elementAt(213);
      expect(bitangent_0_213, vector3MoreOrLessEquals(Vector3(0.81758678, 0.575743318, 0.0030721128)));
      final bitangent_0_214 = mesh_0.bitangents.elementAt(214);
      expect(bitangent_0_214, vector3MoreOrLessEquals(Vector3(0.334555507, 0.942341149, 0.00221180916)));
      final bitangent_0_215 = mesh_0.bitangents.elementAt(215);
      expect(bitangent_0_215, vector3MoreOrLessEquals(Vector3(0.331825584, 0.94330585, 0.00220552087)));
      final bitangent_0_216 = mesh_0.bitangents.elementAt(216);
      expect(bitangent_0_216, vector3MoreOrLessEquals(Vector3(0.897752047, 0.421699405, -0.127139792)));
      final bitangent_0_217 = mesh_0.bitangents.elementAt(217);
      expect(bitangent_0_217, vector3MoreOrLessEquals(Vector3(0.89192909, 0.419149786, -0.169451699)));
      final bitangent_0_218 = mesh_0.bitangents.elementAt(218);
      expect(bitangent_0_218, vector3MoreOrLessEquals(Vector3(0.613301754, 0.291410178, -0.734084487)));
      final bitangent_0_219 = mesh_0.bitangents.elementAt(219);
      expect(bitangent_0_219, vector3MoreOrLessEquals(Vector3(0.58228308, 0.277013659, -0.764292717)));
      final bitangent_0_220 = mesh_0.bitangents.elementAt(220);
      expect(bitangent_0_220, vector3MoreOrLessEquals(Vector3(-0.951218188, -0.308428943, 0.00305554271)));
      final bitangent_0_221 = mesh_0.bitangents.elementAt(221);
      expect(bitangent_0_221, vector3MoreOrLessEquals(Vector3(-0.949402213, -0.313974142, 0.00305692852)));
      final bitangent_0_222 = mesh_0.bitangents.elementAt(222);
      expect(bitangent_0_222, vector3MoreOrLessEquals(Vector3(-0.902911246, 0.429744035, 0.00221635401)));
      final bitangent_0_223 = mesh_0.bitangents.elementAt(223);
      expect(bitangent_0_223, vector3MoreOrLessEquals(Vector3(-0.901660562, 0.43236208, 0.00221022964)));
      final bitangent_0_224 = mesh_0.bitangents.elementAt(224);
      expect(bitangent_0_224, vector3MoreOrLessEquals(Vector3(0.891916037, 0.419195592, 0.169407904)));
      final bitangent_0_225 = mesh_0.bitangents.elementAt(225);
      expect(bitangent_0_225, vector3MoreOrLessEquals(Vector3(0.897726059, 0.421740115, 0.127188787)));
      final bitangent_0_226 = mesh_0.bitangents.elementAt(226);
      expect(bitangent_0_226, vector3MoreOrLessEquals(Vector3(0.58225143, 0.277039468, 0.764307499)));
      final bitangent_0_227 = mesh_0.bitangents.elementAt(227);
      expect(bitangent_0_227, vector3MoreOrLessEquals(Vector3(0.6133039, 0.291453063, 0.734065711)));
      final bitangent_0_228 = mesh_0.bitangents.elementAt(228);
      expect(bitangent_0_228, vector3MoreOrLessEquals(Vector3(0.610704899, 0.250467479, 0.751162171)));
      final bitangent_0_229 = mesh_0.bitangents.elementAt(229);
      expect(bitangent_0_229, vector3MoreOrLessEquals(Vector3(0.612861753, 0.251367688, 0.749098301)));
      final bitangent_0_230 = mesh_0.bitangents.elementAt(230);
      expect(bitangent_0_230, vector3MoreOrLessEquals(Vector3(-0.608947217, -0.254729748, 0.751152158)));
      final bitangent_0_231 = mesh_0.bitangents.elementAt(231);
      expect(bitangent_0_231, vector3MoreOrLessEquals(Vector3(-0.611095548, -0.255612791, 0.749108434)));
      final bitangent_0_232 = mesh_0.bitangents.elementAt(232);
      expect(bitangent_0_232, vector3MoreOrLessEquals(Vector3(-0.46591115, 0.325697005, 0.822666287)));
      final bitangent_0_233 = mesh_0.bitangents.elementAt(233);
      expect(bitangent_0_233, vector3MoreOrLessEquals(Vector3(-0.788270116, 0.479409516, 0.385621518)));
      final bitangent_0_234 = mesh_0.bitangents.elementAt(234);
      expect(bitangent_0_234, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_235 = mesh_0.bitangents.elementAt(235);
      expect(bitangent_0_235, vector3MoreOrLessEquals(Vector3(-0.559635639, 0.0993083864, 0.822710812)));
      final bitangent_0_236 = mesh_0.bitangents.elementAt(236);
      expect(bitangent_0_236, vector3MoreOrLessEquals(Vector3(-0.46591115, 0.325697005, 0.822666287)));
      final bitangent_0_237 = mesh_0.bitangents.elementAt(237);
      expect(bitangent_0_237, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_238 = mesh_0.bitangents.elementAt(238);
      expect(bitangent_0_238, vector3MoreOrLessEquals(Vector3(-0.896280289, 0.21851252, 0.38583079)));
      final bitangent_0_239 = mesh_0.bitangents.elementAt(239);
      expect(bitangent_0_239, vector3MoreOrLessEquals(Vector3(-0.559635639, 0.0993083864, 0.822710812)));
      final bitangent_0_240 = mesh_0.bitangents.elementAt(240);
      expect(bitangent_0_240, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_241 = mesh_0.bitangents.elementAt(241);
      expect(bitangent_0_241, vector3MoreOrLessEquals(Vector3(-0.788239002, 0.485806733, -0.377595514)));
      final bitangent_0_242 = mesh_0.bitangents.elementAt(242);
      expect(bitangent_0_242, vector3MoreOrLessEquals(Vector3(-0.896280289, 0.21851252, 0.38583079)));
      final bitangent_0_243 = mesh_0.bitangents.elementAt(243);
      expect(bitangent_0_243, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_244 = mesh_0.bitangents.elementAt(244);
      expect(bitangent_0_244, vector3MoreOrLessEquals(Vector3(-0.465414315, 0.328609049, -0.821789026)));
      final bitangent_0_245 = mesh_0.bitangents.elementAt(245);
      expect(bitangent_0_245, vector3MoreOrLessEquals(Vector3(-0.788239002, 0.485806733, -0.377595514)));
      final bitangent_0_246 = mesh_0.bitangents.elementAt(246);
      expect(bitangent_0_246, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_247 = mesh_0.bitangents.elementAt(247);
      expect(bitangent_0_247, vector3MoreOrLessEquals(Vector3(-0.561343431, 0.0968984812, -0.821834207)));
      final bitangent_0_248 = mesh_0.bitangents.elementAt(248);
      expect(bitangent_0_248, vector3MoreOrLessEquals(Vector3(-0.465414315, 0.328609049, -0.821789026)));
      final bitangent_0_249 = mesh_0.bitangents.elementAt(249);
      expect(bitangent_0_249, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_250 = mesh_0.bitangents.elementAt(250);
      expect(bitangent_0_250, vector3MoreOrLessEquals(Vector3(-0.900780201, 0.21397166, -0.377812952)));
      final bitangent_0_251 = mesh_0.bitangents.elementAt(251);
      expect(bitangent_0_251, vector3MoreOrLessEquals(Vector3(-0.561343431, 0.0968984812, -0.821834207)));
      final bitangent_0_252 = mesh_0.bitangents.elementAt(252);
      expect(bitangent_0_252, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      final bitangent_0_253 = mesh_0.bitangents.elementAt(253);
      expect(bitangent_0_253, vector3MoreOrLessEquals(Vector3(-0.788270116, 0.479409516, 0.385621518)));
      final bitangent_0_254 = mesh_0.bitangents.elementAt(254);
      expect(bitangent_0_254, vector3MoreOrLessEquals(Vector3(-0.900780201, 0.21397166, -0.377812952)));
      final bitangent_0_255 = mesh_0.bitangents.elementAt(255);
      expect(bitangent_0_255, vector3MoreOrLessEquals(Vector3(-0.923834682, 0.382791698, 0)));
      expect(mesh_0.colors.length, isZero);
      expect(mesh_0.textureCoords.length, equals(1));
      final textureCoords_0_0 = mesh_0.textureCoords.elementAt(0);
      expect(textureCoords_0_0.length, equals(256));
      final textureCoord_0_0_0 = textureCoords_0_0.elementAt(0);
      expect(textureCoord_0_0_0, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_1 = textureCoords_0_0.elementAt(1);
      expect(textureCoord_0_0_1, vector3MoreOrLessEquals(Vector3(-0.736437678, 1.27162981, 0)));
      final textureCoord_0_0_2 = textureCoords_0_0.elementAt(2);
      expect(textureCoord_0_0_2, vector3MoreOrLessEquals(Vector3(-0.904966235, 1.10310102, 0)));
      final textureCoord_0_0_3 = textureCoords_0_0.elementAt(3);
      expect(textureCoord_0_0_3, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_4 = textureCoords_0_0.elementAt(4);
      expect(textureCoord_0_0_4, vector3MoreOrLessEquals(Vector3(-0.904966235, 1.10310102, 0)));
      final textureCoord_0_0_5 = textureCoords_0_0.elementAt(5);
      expect(textureCoord_0_0_5, vector3MoreOrLessEquals(Vector3(-0.904981732, 0.864781022, 0)));
      final textureCoord_0_0_6 = textureCoords_0_0.elementAt(6);
      expect(textureCoord_0_0_6, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_7 = textureCoords_0_0.elementAt(7);
      expect(textureCoord_0_0_7, vector3MoreOrLessEquals(Vector3(-0.904981732, 0.864781022, 0)));
      final textureCoord_0_0_8 = textureCoords_0_0.elementAt(8);
      expect(textureCoord_0_0_8, vector3MoreOrLessEquals(Vector3(-0.736474991, 0.696274519, 0)));
      final textureCoord_0_0_9 = textureCoords_0_0.elementAt(9);
      expect(textureCoord_0_0_9, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_10 = textureCoords_0_0.elementAt(10);
      expect(textureCoord_0_0_10, vector3MoreOrLessEquals(Vector3(-0.736474991, 0.696274519, 0)));
      final textureCoord_0_0_11 = textureCoords_0_0.elementAt(11);
      expect(textureCoord_0_0_11, vector3MoreOrLessEquals(Vector3(-0.498155117, 0.696290255, 0)));
      final textureCoord_0_0_12 = textureCoords_0_0.elementAt(12);
      expect(textureCoord_0_0_12, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_13 = textureCoords_0_0.elementAt(13);
      expect(textureCoord_0_0_13, vector3MoreOrLessEquals(Vector3(-0.498155117, 0.696290255, 0)));
      final textureCoord_0_0_14 = textureCoords_0_0.elementAt(14);
      expect(textureCoord_0_0_14, vector3MoreOrLessEquals(Vector3(-0.329626441, 0.86481905, 0)));
      final textureCoord_0_0_15 = textureCoords_0_0.elementAt(15);
      expect(textureCoord_0_0_15, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_16 = textureCoords_0_0.elementAt(16);
      expect(textureCoord_0_0_16, vector3MoreOrLessEquals(Vector3(-0.329626441, 0.86481905, 0)));
      final textureCoord_0_0_17 = textureCoords_0_0.elementAt(17);
      expect(textureCoord_0_0_17, vector3MoreOrLessEquals(Vector3(-0.329611033, 1.10313892, 0)));
      final textureCoord_0_0_18 = textureCoords_0_0.elementAt(18);
      expect(textureCoord_0_0_18, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_19 = textureCoords_0_0.elementAt(19);
      expect(textureCoord_0_0_19, vector3MoreOrLessEquals(Vector3(-0.329611033, 1.10313892, 0)));
      final textureCoord_0_0_20 = textureCoords_0_0.elementAt(20);
      expect(textureCoord_0_0_20, vector3MoreOrLessEquals(Vector3(-0.498117566, 1.27164555, 0)));
      final textureCoord_0_0_21 = textureCoords_0_0.elementAt(21);
      expect(textureCoord_0_0_21, vector3MoreOrLessEquals(Vector3(-0.498117566, 1.27164555, 0)));
      final textureCoord_0_0_22 = textureCoords_0_0.elementAt(22);
      expect(textureCoord_0_0_22, vector3MoreOrLessEquals(Vector3(-0.736437678, 1.27162981, 0)));
      final textureCoord_0_0_23 = textureCoords_0_0.elementAt(23);
      expect(textureCoord_0_0_23, vector3MoreOrLessEquals(Vector3(-0.617296338, 0.983960032, 0)));
      final textureCoord_0_0_24 = textureCoords_0_0.elementAt(24);
      expect(textureCoord_0_0_24, vector3MoreOrLessEquals(Vector3(-0.498147249, 1.27164555, 0)));
      final textureCoord_0_0_25 = textureCoords_0_0.elementAt(25);
      expect(textureCoord_0_0_25, vector3MoreOrLessEquals(Vector3(-0.53934586, 1.4836669, 0)));
      final textureCoord_0_0_26 = textureCoords_0_0.elementAt(26);
      expect(textureCoord_0_0_26, vector3MoreOrLessEquals(Vector3(-0.693982601, 1.48414111, 0)));
      final textureCoord_0_0_27 = textureCoords_0_0.elementAt(27);
      expect(textureCoord_0_0_27, vector3MoreOrLessEquals(Vector3(-0.736481786, 1.27237654, 0)));
      final textureCoord_0_0_28 = textureCoords_0_0.elementAt(28);
      expect(textureCoord_0_0_28, vector3MoreOrLessEquals(Vector3(0.656823516, -0.480300307, 0)));
      final textureCoord_0_0_29 = textureCoords_0_0.elementAt(29);
      expect(textureCoord_0_0_29, vector3MoreOrLessEquals(Vector3(0.445778459, -0.579240918, 0)));
      final textureCoord_0_0_30 = textureCoords_0_0.elementAt(30);
      expect(textureCoord_0_0_30, vector3MoreOrLessEquals(Vector3(0.446478814, -0.692158461, 0)));
      final textureCoord_0_0_31 = textureCoords_0_0.elementAt(31);
      expect(textureCoord_0_0_31, vector3MoreOrLessEquals(Vector3(0.657902956, -0.654335022, 0)));
      final textureCoord_0_0_32 = textureCoords_0_0.elementAt(32);
      expect(textureCoord_0_0_32, vector3MoreOrLessEquals(Vector3(0.657902956, -0.654335022, 0)));
      final textureCoord_0_0_33 = textureCoords_0_0.elementAt(33);
      expect(textureCoord_0_0_33, vector3MoreOrLessEquals(Vector3(0.446478814, -0.692158461, 0)));
      final textureCoord_0_0_34 = textureCoords_0_0.elementAt(34);
      expect(textureCoord_0_0_34, vector3MoreOrLessEquals(Vector3(0.445953816, -0.846709967, 0)));
      final textureCoord_0_0_35 = textureCoords_0_0.elementAt(35);
      expect(textureCoord_0_0_35, vector3MoreOrLessEquals(Vector3(0.657094002, -0.892537951, 0)));
      final textureCoord_0_0_36 = textureCoords_0_0.elementAt(36);
      expect(textureCoord_0_0_36, vector3MoreOrLessEquals(Vector3(1.23328519, -0.887343287, 0)));
      final textureCoord_0_0_37 = textureCoords_0_0.elementAt(37);
      expect(textureCoord_0_0_37, vector3MoreOrLessEquals(Vector3(1.13096023, -0.677020788, 0)));
      final textureCoord_0_0_38 = textureCoords_0_0.elementAt(38);
      expect(textureCoord_0_0_38, vector3MoreOrLessEquals(Vector3(1.0216279, -0.679442406, 0)));
      final textureCoord_0_0_39 = textureCoords_0_0.elementAt(39);
      expect(textureCoord_0_0_39, vector3MoreOrLessEquals(Vector3(1.0647763, -0.891075492, 0)));
      final textureCoord_0_0_40 = textureCoords_0_0.elementAt(40);
      expect(textureCoord_0_0_40, vector3MoreOrLessEquals(Vector3(1.0647763, -0.891075492, 0)));
      final textureCoord_0_0_41 = textureCoords_0_0.elementAt(41);
      expect(textureCoord_0_0_41, vector3MoreOrLessEquals(Vector3(1.0216279, -0.679442406, 0)));
      final textureCoord_0_0_42 = textureCoords_0_0.elementAt(42);
      expect(textureCoord_0_0_42, vector3MoreOrLessEquals(Vector3(0.866993189, -0.680391312, 0)));
      final textureCoord_0_0_43 = textureCoords_0_0.elementAt(43);
      expect(textureCoord_0_0_43, vector3MoreOrLessEquals(Vector3(0.826445162, -0.892537951, 0)));
      final textureCoord_0_0_44 = textureCoords_0_0.elementAt(44);
      expect(textureCoord_0_0_44, vector3MoreOrLessEquals(Vector3(0.826445162, -0.892537951, 0)));
      final textureCoord_0_0_45 = textureCoords_0_0.elementAt(45);
      expect(textureCoord_0_0_45, vector3MoreOrLessEquals(Vector3(0.866993189, -0.680391312, 0)));
      final textureCoord_0_0_46 = textureCoords_0_0.elementAt(46);
      expect(textureCoord_0_0_46, vector3MoreOrLessEquals(Vector3(0.757639408, -0.679311395, 0)));
      final textureCoord_0_0_47 = textureCoords_0_0.elementAt(47);
      expect(textureCoord_0_0_47, vector3MoreOrLessEquals(Vector3(0.657903075, -0.890873671, 0)));
      final textureCoord_0_0_48 = textureCoords_0_0.elementAt(48);
      expect(textureCoord_0_0_48, vector3MoreOrLessEquals(Vector3(1.64296162, -0.891078472, 0)));
      final textureCoord_0_0_49 = textureCoords_0_0.elementAt(49);
      expect(textureCoord_0_0_49, vector3MoreOrLessEquals(Vector3(1.59994185, -0.680045366, 0)));
      final textureCoord_0_0_50 = textureCoords_0_0.elementAt(50);
      expect(textureCoord_0_0_50, vector3MoreOrLessEquals(Vector3(1.44530749, -0.680992365, 0)));
      final textureCoord_0_0_51 = textureCoords_0_0.elementAt(51);
      expect(textureCoord_0_0_51, vector3MoreOrLessEquals(Vector3(1.40463078, -0.892537951, 0)));
      final textureCoord_0_0_52 = textureCoords_0_0.elementAt(52);
      expect(textureCoord_0_0_52, vector3MoreOrLessEquals(Vector3(-0.53934586, 1.4836669, 0)));
      final textureCoord_0_0_53 = textureCoords_0_0.elementAt(53);
      expect(textureCoord_0_0_53, vector3MoreOrLessEquals(Vector3(-0.498147249, 1.27164555, 0)));
      final textureCoord_0_0_54 = textureCoords_0_0.elementAt(54);
      expect(textureCoord_0_0_54, vector3MoreOrLessEquals(Vector3(-0.329611033, 1.27382672, 0)));
      final textureCoord_0_0_55 = textureCoords_0_0.elementAt(55);
      expect(textureCoord_0_0_55, vector3MoreOrLessEquals(Vector3(-0.429996014, 1.48508215, 0)));
      final textureCoord_0_0_56 = textureCoords_0_0.elementAt(56);
      expect(textureCoord_0_0_56, vector3MoreOrLessEquals(Vector3(1.33609343, -0.680579066, 0)));
      final textureCoord_0_0_57 = textureCoords_0_0.elementAt(57);
      expect(textureCoord_0_0_57, vector3MoreOrLessEquals(Vector3(1.44530749, -0.680992365, 0)));
      final textureCoord_0_0_58 = textureCoords_0_0.elementAt(58);
      expect(textureCoord_0_0_58, vector3MoreOrLessEquals(Vector3(1.40161157, -0.400564373, 0)));
      final textureCoord_0_0_59 = textureCoords_0_0.elementAt(59);
      expect(textureCoord_0_0_59, vector3MoreOrLessEquals(Vector3(1.23328519, -0.399927557, 0)));
      final textureCoord_0_0_60 = textureCoords_0_0.elementAt(60);
      expect(textureCoord_0_0_60, vector3MoreOrLessEquals(Vector3(1.44530749, -0.680992365, 0)));
      final textureCoord_0_0_61 = textureCoords_0_0.elementAt(61);
      expect(textureCoord_0_0_61, vector3MoreOrLessEquals(Vector3(1.59994185, -0.680045366, 0)));
      final textureCoord_0_0_62 = textureCoords_0_0.elementAt(62);
      expect(textureCoord_0_0_62, vector3MoreOrLessEquals(Vector3(1.63994265, -0.399104983, 0)));
      final textureCoord_0_0_63 = textureCoords_0_0.elementAt(63);
      expect(textureCoord_0_0_63, vector3MoreOrLessEquals(Vector3(1.40161157, -0.400564373, 0)));
      final textureCoord_0_0_64 = textureCoords_0_0.elementAt(64);
      expect(textureCoord_0_0_64, vector3MoreOrLessEquals(Vector3(1.59994185, -0.680045366, 0)));
      final textureCoord_0_0_65 = textureCoords_0_0.elementAt(65);
      expect(textureCoord_0_0_65, vector3MoreOrLessEquals(Vector3(1.70941401, -0.678293109, 0)));
      final textureCoord_0_0_66 = textureCoords_0_0.elementAt(66);
      expect(textureCoord_0_0_66, vector3MoreOrLessEquals(Vector3(1.80866694, -0.396404147, 0)));
      final textureCoord_0_0_67 = textureCoords_0_0.elementAt(67);
      expect(textureCoord_0_0_67, vector3MoreOrLessEquals(Vector3(1.63994265, -0.399104983, 0)));
      final textureCoord_0_0_68 = textureCoords_0_0.elementAt(68);
      expect(textureCoord_0_0_68, vector3MoreOrLessEquals(Vector3(0.866993189, -0.680391312, 0)));
      final textureCoord_0_0_69 = textureCoords_0_0.elementAt(69);
      expect(textureCoord_0_0_69, vector3MoreOrLessEquals(Vector3(1.0216279, -0.679442406, 0)));
      final textureCoord_0_0_70 = textureCoords_0_0.elementAt(70);
      expect(textureCoord_0_0_70, vector3MoreOrLessEquals(Vector3(1.0617578, -0.399141073, 0)));
      final textureCoord_0_0_71 = textureCoords_0_0.elementAt(71);
      expect(textureCoord_0_0_71, vector3MoreOrLessEquals(Vector3(0.823426545, -0.400603354, 0)));
      final textureCoord_0_0_72 = textureCoords_0_0.elementAt(72);
      expect(textureCoord_0_0_72, vector3MoreOrLessEquals(Vector3(1.0216279, -0.679442406, 0)));
      final textureCoord_0_0_73 = textureCoords_0_0.elementAt(73);
      expect(textureCoord_0_0_73, vector3MoreOrLessEquals(Vector3(1.13096023, -0.677020788, 0)));
      final textureCoord_0_0_74 = textureCoords_0_0.elementAt(74);
      expect(textureCoord_0_0_74, vector3MoreOrLessEquals(Vector3(1.23026681, -0.39540863, 0)));
      final textureCoord_0_0_75 = textureCoords_0_0.elementAt(75);
      expect(textureCoord_0_0_75, vector3MoreOrLessEquals(Vector3(1.0617578, -0.399141073, 0)));
      final textureCoord_0_0_76 = textureCoords_0_0.elementAt(76);
      expect(textureCoord_0_0_76, vector3MoreOrLessEquals(Vector3(0.445953816, -0.846709967, 0)));
      final textureCoord_0_0_77 = textureCoords_0_0.elementAt(77);
      expect(textureCoord_0_0_77, vector3MoreOrLessEquals(Vector3(0.446478814, -0.692158461, 0)));
      final textureCoord_0_0_78 = textureCoords_0_0.elementAt(78);
      expect(textureCoord_0_0_78, vector3MoreOrLessEquals(Vector3(0.165922552, -0.652825594, 0)));
      final textureCoord_0_0_79 = textureCoords_0_0.elementAt(79);
      expect(textureCoord_0_0_79, vector3MoreOrLessEquals(Vector3(0.16511336, -0.891028643, 0)));
      final textureCoord_0_0_80 = textureCoords_0_0.elementAt(80);
      expect(textureCoord_0_0_80, vector3MoreOrLessEquals(Vector3(0.446478814, -0.692158461, 0)));
      final textureCoord_0_0_81 = textureCoords_0_0.elementAt(81);
      expect(textureCoord_0_0_81, vector3MoreOrLessEquals(Vector3(0.445778459, -0.579240918, 0)));
      final textureCoord_0_0_82 = textureCoords_0_0.elementAt(82);
      expect(textureCoord_0_0_82, vector3MoreOrLessEquals(Vector3(0.164843023, -0.478790939, 0)));
      final textureCoord_0_0_83 = textureCoords_0_0.elementAt(83);
      expect(textureCoord_0_0_83, vector3MoreOrLessEquals(Vector3(0.165922552, -0.652825594, 0)));
      final textureCoord_0_0_84 = textureCoords_0_0.elementAt(84);
      expect(textureCoord_0_0_84, vector3MoreOrLessEquals(Vector3(-0.693982601, 1.48414111, 0)));
      final textureCoord_0_0_85 = textureCoords_0_0.elementAt(85);
      expect(textureCoord_0_0_85, vector3MoreOrLessEquals(Vector3(-0.53934586, 1.4836669, 0)));
      final textureCoord_0_0_86 = textureCoords_0_0.elementAt(86);
      expect(textureCoord_0_0_86, vector3MoreOrLessEquals(Vector3(-0.496637821, 1.763587, 0)));
      final textureCoord_0_0_87 = textureCoords_0_0.elementAt(87);
      expect(textureCoord_0_0_87, vector3MoreOrLessEquals(Vector3(-0.734972358, 1.76431823, 0)));
      final textureCoord_0_0_88 = textureCoords_0_0.elementAt(88);
      expect(textureCoord_0_0_88, vector3MoreOrLessEquals(Vector3(0.165922552, -0.652825594, 0)));
      final textureCoord_0_0_89 = textureCoords_0_0.elementAt(89);
      expect(textureCoord_0_0_89, vector3MoreOrLessEquals(Vector3(0.164843023, -0.478790939, 0)));
      final textureCoord_0_0_90 = textureCoords_0_0.elementAt(90);
      expect(textureCoord_0_0_90, vector3MoreOrLessEquals(Vector3(-0.171016395, -0.477760643, 0)));
      final textureCoord_0_0_91 = textureCoords_0_0.elementAt(91);
      expect(textureCoord_0_0_91, vector3MoreOrLessEquals(Vector3(-0.169936955, -0.651795387, 0)));
      final textureCoord_0_0_92 = textureCoords_0_0.elementAt(92);
      expect(textureCoord_0_0_92, vector3MoreOrLessEquals(Vector3(0.16511336, -0.891028643, 0)));
      final textureCoord_0_0_93 = textureCoords_0_0.elementAt(93);
      expect(textureCoord_0_0_93, vector3MoreOrLessEquals(Vector3(0.165922552, -0.652825594, 0)));
      final textureCoord_0_0_94 = textureCoords_0_0.elementAt(94);
      expect(textureCoord_0_0_94, vector3MoreOrLessEquals(Vector3(-0.169936955, -0.651795387, 0)));
      final textureCoord_0_0_95 = textureCoords_0_0.elementAt(95);
      expect(textureCoord_0_0_95, vector3MoreOrLessEquals(Vector3(-0.170746088, -0.889998317, 0)));
      final textureCoord_0_0_96 = textureCoords_0_0.elementAt(96);
      expect(textureCoord_0_0_96, vector3MoreOrLessEquals(Vector3(1.0617578, -0.399141073, 0)));
      final textureCoord_0_0_97 = textureCoords_0_0.elementAt(97);
      expect(textureCoord_0_0_97, vector3MoreOrLessEquals(Vector3(1.23026681, -0.39540863, 0)));
      final textureCoord_0_0_98 = textureCoords_0_0.elementAt(98);
      expect(textureCoord_0_0_98, vector3MoreOrLessEquals(Vector3(1.22820616, -0.0595805645, 0)));
      final textureCoord_0_0_99 = textureCoords_0_0.elementAt(99);
      expect(textureCoord_0_0_99, vector3MoreOrLessEquals(Vector3(1.05969715, -0.0633128881, 0)));
      final textureCoord_0_0_100 = textureCoords_0_0.elementAt(100);
      expect(textureCoord_0_0_100, vector3MoreOrLessEquals(Vector3(0.823426545, -0.400603354, 0)));
      final textureCoord_0_0_101 = textureCoords_0_0.elementAt(101);
      expect(textureCoord_0_0_101, vector3MoreOrLessEquals(Vector3(1.0617578, -0.399141073, 0)));
      final textureCoord_0_0_102 = textureCoords_0_0.elementAt(102);
      expect(textureCoord_0_0_102, vector3MoreOrLessEquals(Vector3(1.05969715, -0.0633128881, 0)));
      final textureCoord_0_0_103 = textureCoords_0_0.elementAt(103);
      expect(textureCoord_0_0_103, vector3MoreOrLessEquals(Vector3(0.821365952, -0.0647752881, 0)));
      final textureCoord_0_0_104 = textureCoords_0_0.elementAt(104);
      expect(textureCoord_0_0_104, vector3MoreOrLessEquals(Vector3(1.63994265, -0.399104983, 0)));
      final textureCoord_0_0_105 = textureCoords_0_0.elementAt(105);
      expect(textureCoord_0_0_105, vector3MoreOrLessEquals(Vector3(1.80866694, -0.396404147, 0)));
      final textureCoord_0_0_106 = textureCoords_0_0.elementAt(106);
      expect(textureCoord_0_0_106, vector3MoreOrLessEquals(Vector3(1.80660617, -0.060549438, 0)));
      final textureCoord_0_0_107 = textureCoords_0_0.elementAt(107);
      expect(textureCoord_0_0_107, vector3MoreOrLessEquals(Vector3(1.63788188, -0.0632502437, 0)));
      final textureCoord_0_0_108 = textureCoords_0_0.elementAt(108);
      expect(textureCoord_0_0_108, vector3MoreOrLessEquals(Vector3(1.40161157, -0.400564373, 0)));
      final textureCoord_0_0_109 = textureCoords_0_0.elementAt(109);
      expect(textureCoord_0_0_109, vector3MoreOrLessEquals(Vector3(1.63994265, -0.399104983, 0)));
      final textureCoord_0_0_110 = textureCoords_0_0.elementAt(110);
      expect(textureCoord_0_0_110, vector3MoreOrLessEquals(Vector3(1.63788188, -0.0632502437, 0)));
      final textureCoord_0_0_111 = textureCoords_0_0.elementAt(111);
      expect(textureCoord_0_0_111, vector3MoreOrLessEquals(Vector3(1.39955068, -0.064709723, 0)));
      final textureCoord_0_0_112 = textureCoords_0_0.elementAt(112);
      expect(textureCoord_0_0_112, vector3MoreOrLessEquals(Vector3(1.47112918, 0.673469186, 0)));
      final textureCoord_0_0_113 = textureCoords_0_0.elementAt(113);
      expect(textureCoord_0_0_113, vector3MoreOrLessEquals(Vector3(1.63966525, 0.675650537, 0)));
      final textureCoord_0_0_114 = textureCoords_0_0.elementAt(114);
      expect(textureCoord_0_0_114, vector3MoreOrLessEquals(Vector3(1.64069569, 1.01148343, 0)));
      final textureCoord_0_0_115 = textureCoords_0_0.elementAt(115);
      expect(textureCoord_0_0_115, vector3MoreOrLessEquals(Vector3(1.47215962, 1.00930214, 0)));
      final textureCoord_0_0_116 = textureCoords_0_0.elementAt(116);
      expect(textureCoord_0_0_116, vector3MoreOrLessEquals(Vector3(1.47215962, 1.00930214, 0)));
      final textureCoord_0_0_117 = textureCoords_0_0.elementAt(117);
      expect(textureCoord_0_0_117, vector3MoreOrLessEquals(Vector3(1.64069569, 1.01148343, 0)));
      final textureCoord_0_0_118 = textureCoords_0_0.elementAt(118);
      expect(textureCoord_0_0_118, vector3MoreOrLessEquals(Vector3(1.6417923, 1.36898279, 0)));
      final textureCoord_0_0_119 = textureCoords_0_0.elementAt(119);
      expect(textureCoord_0_0_119, vector3MoreOrLessEquals(Vector3(1.47325635, 1.3668015, 0)));
      final textureCoord_0_0_120 = textureCoords_0_0.elementAt(120);
      expect(textureCoord_0_0_120, vector3MoreOrLessEquals(Vector3(1.39955068, -0.064709723, 0)));
      final textureCoord_0_0_121 = textureCoords_0_0.elementAt(121);
      expect(textureCoord_0_0_121, vector3MoreOrLessEquals(Vector3(1.63788188, -0.0632502437, 0)));
      final textureCoord_0_0_122 = textureCoords_0_0.elementAt(122);
      expect(textureCoord_0_0_122, vector3MoreOrLessEquals(Vector3(1.63568819, 0.294272602, 0)));
      final textureCoord_0_0_123 = textureCoords_0_0.elementAt(123);
      expect(textureCoord_0_0_123, vector3MoreOrLessEquals(Vector3(1.39735699, 0.292813122, 0)));
      final textureCoord_0_0_124 = textureCoords_0_0.elementAt(124);
      expect(textureCoord_0_0_124, vector3MoreOrLessEquals(Vector3(1.63788188, -0.0632502437, 0)));
      final textureCoord_0_0_125 = textureCoords_0_0.elementAt(125);
      expect(textureCoord_0_0_125, vector3MoreOrLessEquals(Vector3(1.80660617, -0.060549438, 0)));
      final textureCoord_0_0_126 = textureCoords_0_0.elementAt(126);
      expect(textureCoord_0_0_126, vector3MoreOrLessEquals(Vector3(1.80441225, 0.296973258, 0)));
      final textureCoord_0_0_127 = textureCoords_0_0.elementAt(127);
      expect(textureCoord_0_0_127, vector3MoreOrLessEquals(Vector3(1.63568819, 0.294272602, 0)));
      final textureCoord_0_0_128 = textureCoords_0_0.elementAt(128);
      expect(textureCoord_0_0_128, vector3MoreOrLessEquals(Vector3(0.821365952, -0.0647752881, 0)));
      final textureCoord_0_0_129 = textureCoords_0_0.elementAt(129);
      expect(textureCoord_0_0_129, vector3MoreOrLessEquals(Vector3(1.05969715, -0.0633128881, 0)));
      final textureCoord_0_0_130 = textureCoords_0_0.elementAt(130);
      expect(textureCoord_0_0_130, vector3MoreOrLessEquals(Vector3(1.05750346, 0.294181585, 0)));
      final textureCoord_0_0_131 = textureCoords_0_0.elementAt(131);
      expect(textureCoord_0_0_131, vector3MoreOrLessEquals(Vector3(0.819172382, 0.292719096, 0)));
      final textureCoord_0_0_132 = textureCoords_0_0.elementAt(132);
      expect(textureCoord_0_0_132, vector3MoreOrLessEquals(Vector3(1.05969715, -0.0633128881, 0)));
      final textureCoord_0_0_133 = textureCoords_0_0.elementAt(133);
      expect(textureCoord_0_0_133, vector3MoreOrLessEquals(Vector3(1.22820616, -0.0595805645, 0)));
      final textureCoord_0_0_134 = textureCoords_0_0.elementAt(134);
      expect(textureCoord_0_0_134, vector3MoreOrLessEquals(Vector3(1.22601247, 0.297914028, 0)));
      final textureCoord_0_0_135 = textureCoords_0_0.elementAt(135);
      expect(textureCoord_0_0_135, vector3MoreOrLessEquals(Vector3(1.05750346, 0.294181585, 0)));
      final textureCoord_0_0_136 = textureCoords_0_0.elementAt(136);
      expect(textureCoord_0_0_136, vector3MoreOrLessEquals(Vector3(-0.170746088, -0.889998317, 0)));
      final textureCoord_0_0_137 = textureCoords_0_0.elementAt(137);
      expect(textureCoord_0_0_137, vector3MoreOrLessEquals(Vector3(-0.169936955, -0.651795387, 0)));
      final textureCoord_0_0_138 = textureCoords_0_0.elementAt(138);
      expect(textureCoord_0_0_138, vector3MoreOrLessEquals(Vector3(-0.527464867, -0.650698423, 0)));
      final textureCoord_0_0_139 = textureCoords_0_0.elementAt(139);
      expect(textureCoord_0_0_139, vector3MoreOrLessEquals(Vector3(-0.52827394, -0.888901472, 0)));
      final textureCoord_0_0_140 = textureCoords_0_0.elementAt(140);
      expect(textureCoord_0_0_140, vector3MoreOrLessEquals(Vector3(-0.169936955, -0.651795387, 0)));
      final textureCoord_0_0_141 = textureCoords_0_0.elementAt(141);
      expect(textureCoord_0_0_141, vector3MoreOrLessEquals(Vector3(-0.171016395, -0.477760643, 0)));
      final textureCoord_0_0_142 = textureCoords_0_0.elementAt(142);
      expect(textureCoord_0_0_142, vector3MoreOrLessEquals(Vector3(-0.528544307, -0.476663828, 0)));
      final textureCoord_0_0_143 = textureCoords_0_0.elementAt(143);
      expect(textureCoord_0_0_143, vector3MoreOrLessEquals(Vector3(-0.527464867, -0.650698423, 0)));
      final textureCoord_0_0_144 = textureCoords_0_0.elementAt(144);
      expect(textureCoord_0_0_144, vector3MoreOrLessEquals(Vector3(1.23382521, 1.01003337, 0)));
      final textureCoord_0_0_145 = textureCoords_0_0.elementAt(145);
      expect(textureCoord_0_0_145, vector3MoreOrLessEquals(Vector3(1.47215962, 1.00930214, 0)));
      final textureCoord_0_0_146 = textureCoords_0_0.elementAt(146);
      expect(textureCoord_0_0_146, vector3MoreOrLessEquals(Vector3(1.47325635, 1.3668015, 0)));
      final textureCoord_0_0_147 = textureCoords_0_0.elementAt(147);
      expect(textureCoord_0_0_147, vector3MoreOrLessEquals(Vector3(1.23492193, 1.36753273, 0)));
      final textureCoord_0_0_148 = textureCoords_0_0.elementAt(148);
      expect(textureCoord_0_0_148, vector3MoreOrLessEquals(Vector3(1.23492193, 1.36753273, 0)));
      final textureCoord_0_0_149 = textureCoords_0_0.elementAt(149);
      expect(textureCoord_0_0_149, vector3MoreOrLessEquals(Vector3(1.47325635, 1.3668015, 0)));
      final textureCoord_0_0_150 = textureCoords_0_0.elementAt(150);
      expect(textureCoord_0_0_150, vector3MoreOrLessEquals(Vector3(1.47720242, 1.74314308, 0)));
      final textureCoord_0_0_151 = textureCoords_0_0.elementAt(151);
      expect(textureCoord_0_0_151, vector3MoreOrLessEquals(Vector3(1.23328519, 1.74389136, 0)));
      final textureCoord_0_0_152 = textureCoords_0_0.elementAt(152);
      expect(textureCoord_0_0_152, vector3MoreOrLessEquals(Vector3(-0.527464867, -0.650698423, 0)));
      final textureCoord_0_0_153 = textureCoords_0_0.elementAt(153);
      expect(textureCoord_0_0_153, vector3MoreOrLessEquals(Vector3(-0.528544307, -0.476663828, 0)));
      final textureCoord_0_0_154 = textureCoords_0_0.elementAt(154);
      expect(textureCoord_0_0_154, vector3MoreOrLessEquals(Vector3(-0.904981732, -0.468866527, 0)));
      final textureCoord_0_0_155 = textureCoords_0_0.elementAt(155);
      expect(textureCoord_0_0_155, vector3MoreOrLessEquals(Vector3(-0.903876901, -0.646977544, 0)));
      final textureCoord_0_0_156 = textureCoords_0_0.elementAt(156);
      expect(textureCoord_0_0_156, vector3MoreOrLessEquals(Vector3(-0.52827394, -0.888901472, 0)));
      final textureCoord_0_0_157 = textureCoords_0_0.elementAt(157);
      expect(textureCoord_0_0_157, vector3MoreOrLessEquals(Vector3(-0.527464867, -0.650698423, 0)));
      final textureCoord_0_0_158 = textureCoords_0_0.elementAt(158);
      expect(textureCoord_0_0_158, vector3MoreOrLessEquals(Vector3(-0.903876901, -0.646977544, 0)));
      final textureCoord_0_0_159 = textureCoords_0_0.elementAt(159);
      expect(textureCoord_0_0_159, vector3MoreOrLessEquals(Vector3(-0.904704928, -0.890760183, 0)));
      final textureCoord_0_0_160 = textureCoords_0_0.elementAt(160);
      expect(textureCoord_0_0_160, vector3MoreOrLessEquals(Vector3(1.05750346, 0.294181585, 0)));
      final textureCoord_0_0_161 = textureCoords_0_0.elementAt(161);
      expect(textureCoord_0_0_161, vector3MoreOrLessEquals(Vector3(1.22601247, 0.297914028, 0)));
      final textureCoord_0_0_162 = textureCoords_0_0.elementAt(162);
      expect(textureCoord_0_0_162, vector3MoreOrLessEquals(Vector3(1.23044181, 0.674363256, 0)));
      final textureCoord_0_0_163 = textureCoords_0_0.elementAt(163);
      expect(textureCoord_0_0_163, vector3MoreOrLessEquals(Vector3(1.05798554, 0.670543373, 0)));
      final textureCoord_0_0_164 = textureCoords_0_0.elementAt(164);
      expect(textureCoord_0_0_164, vector3MoreOrLessEquals(Vector3(0.819172382, 0.292719096, 0)));
      final textureCoord_0_0_165 = textureCoords_0_0.elementAt(165);
      expect(textureCoord_0_0_165, vector3MoreOrLessEquals(Vector3(1.05750346, 0.294181585, 0)));
      final textureCoord_0_0_166 = textureCoords_0_0.elementAt(166);
      expect(textureCoord_0_0_166, vector3MoreOrLessEquals(Vector3(1.05798554, 0.670543373, 0)));
      final textureCoord_0_0_167 = textureCoords_0_0.elementAt(167);
      expect(textureCoord_0_0_167, vector3MoreOrLessEquals(Vector3(0.814071894, 0.669046879, 0)));
      final textureCoord_0_0_168 = textureCoords_0_0.elementAt(168);
      expect(textureCoord_0_0_168, vector3MoreOrLessEquals(Vector3(1.63568819, 0.294272602, 0)));
      final textureCoord_0_0_169 = textureCoords_0_0.elementAt(169);
      expect(textureCoord_0_0_169, vector3MoreOrLessEquals(Vector3(1.80441225, 0.296973258, 0)));
      final textureCoord_0_0_170 = textureCoords_0_0.elementAt(170);
      expect(textureCoord_0_0_170, vector3MoreOrLessEquals(Vector3(1.80883753, 0.673469365, 0)));
      final textureCoord_0_0_171 = textureCoords_0_0.elementAt(171);
      expect(textureCoord_0_0_171, vector3MoreOrLessEquals(Vector3(1.63616133, 0.67070514, 0)));
      final textureCoord_0_0_172 = textureCoords_0_0.elementAt(172);
      expect(textureCoord_0_0_172, vector3MoreOrLessEquals(Vector3(1.39735699, 0.292813122, 0)));
      final textureCoord_0_0_173 = textureCoords_0_0.elementAt(173);
      expect(textureCoord_0_0_173, vector3MoreOrLessEquals(Vector3(1.63568819, 0.294272602, 0)));
      final textureCoord_0_0_174 = textureCoords_0_0.elementAt(174);
      expect(textureCoord_0_0_174, vector3MoreOrLessEquals(Vector3(1.63616133, 0.67070514, 0)));
      final textureCoord_0_0_175 = textureCoords_0_0.elementAt(175);
      expect(textureCoord_0_0_175, vector3MoreOrLessEquals(Vector3(1.39224768, 0.669211507, 0)));
      final textureCoord_0_0_176 = textureCoords_0_0.elementAt(176);
      expect(textureCoord_0_0_176, vector3MoreOrLessEquals(Vector3(1.47325635, 1.3668015, 0)));
      final textureCoord_0_0_177 = textureCoords_0_0.elementAt(177);
      expect(textureCoord_0_0_177, vector3MoreOrLessEquals(Vector3(1.6417923, 1.36898279, 0)));
      final textureCoord_0_0_178 = textureCoords_0_0.elementAt(178);
      expect(textureCoord_0_0_178, vector3MoreOrLessEquals(Vector3(1.64968598, 1.74537551, 0)));
      final textureCoord_0_0_179 = textureCoords_0_0.elementAt(179);
      expect(textureCoord_0_0_179, vector3MoreOrLessEquals(Vector3(1.47720242, 1.74314308, 0)));
      final textureCoord_0_0_180 = textureCoords_0_0.elementAt(180);
      expect(textureCoord_0_0_180, vector3MoreOrLessEquals(Vector3(-0.171016395, -0.477760643, 0)));
      final textureCoord_0_0_181 = textureCoords_0_0.elementAt(181);
      expect(textureCoord_0_0_181, vector3MoreOrLessEquals(Vector3(0.164843023, -0.478790939, 0)));
      final textureCoord_0_0_182 = textureCoords_0_0.elementAt(182);
      expect(textureCoord_0_0_182, vector3MoreOrLessEquals(Vector3(0.166114658, -0.104443371, 0)));
      final textureCoord_0_0_183 = textureCoords_0_0.elementAt(183);
      expect(textureCoord_0_0_183, vector3MoreOrLessEquals(Vector3(-0.16974473, -0.103413224, 0)));
      final textureCoord_0_0_184 = textureCoords_0_0.elementAt(184);
      expect(textureCoord_0_0_184, vector3MoreOrLessEquals(Vector3(1.64968598, 0.684423149, 0)));
      final textureCoord_0_0_185 = textureCoords_0_0.elementAt(185);
      expect(textureCoord_0_0_185, vector3MoreOrLessEquals(Vector3(1.88776982, 0.673469186, 0)));
      final textureCoord_0_0_186 = textureCoords_0_0.elementAt(186);
      expect(textureCoord_0_0_186, vector3MoreOrLessEquals(Vector3(1.90498173, 1.04757357, 0)));
      final textureCoord_0_0_187 = textureCoords_0_0.elementAt(187);
      expect(textureCoord_0_0_187, vector3MoreOrLessEquals(Vector3(1.66689813, 1.05852747, 0)));
      final textureCoord_0_0_188 = textureCoords_0_0.elementAt(188);
      expect(textureCoord_0_0_188, vector3MoreOrLessEquals(Vector3(1.23328519, 1.84527266, 0)));
      final textureCoord_0_0_189 = textureCoords_0_0.elementAt(189);
      expect(textureCoord_0_0_189, vector3MoreOrLessEquals(Vector3(0.897425771, 1.84630311, 0)));
      final textureCoord_0_0_190 = textureCoords_0_0.elementAt(190);
      expect(textureCoord_0_0_190, vector3MoreOrLessEquals(Vector3(0.896271944, 1.47174895, 0)));
      final textureCoord_0_0_191 = textureCoords_0_0.elementAt(191);
      expect(textureCoord_0_0_191, vector3MoreOrLessEquals(Vector3(1.23213148, 1.47071874, 0)));
      final textureCoord_0_0_192 = textureCoords_0_0.elementAt(192);
      expect(textureCoord_0_0_192, vector3MoreOrLessEquals(Vector3(-0.169014931, 0.696274519, 0)));
      final textureCoord_0_0_193 = textureCoords_0_0.elementAt(193);
      expect(textureCoord_0_0_193, vector3MoreOrLessEquals(Vector3(0.069068253, 0.707238734, 0)));
      final textureCoord_0_0_194 = textureCoords_0_0.elementAt(194);
      expect(textureCoord_0_0_194, vector3MoreOrLessEquals(Vector3(0.0518397093, 1.0813489, 0)));
      final textureCoord_0_0_195 = textureCoords_0_0.elementAt(195);
      expect(textureCoord_0_0_195, vector3MoreOrLessEquals(Vector3(-0.186243474, 1.07038498, 0)));
      final textureCoord_0_0_196 = textureCoords_0_0.elementAt(196);
      expect(textureCoord_0_0_196, vector3MoreOrLessEquals(Vector3(-0.186243474, 1.07038498, 0)));
      final textureCoord_0_0_197 = textureCoords_0_0.elementAt(197);
      expect(textureCoord_0_0_197, vector3MoreOrLessEquals(Vector3(0.0518397093, 1.0813489, 0)));
      final textureCoord_0_0_198 = textureCoords_0_0.elementAt(198);
      expect(textureCoord_0_0_198, vector3MoreOrLessEquals(Vector3(0.0682906806, 1.55696559, 0)));
      final textureCoord_0_0_199 = textureCoords_0_0.elementAt(199);
      expect(textureCoord_0_0_199, vector3MoreOrLessEquals(Vector3(-0.117002189, 1.54843235, 0)));
      final textureCoord_0_0_200 = textureCoords_0_0.elementAt(200);
      expect(textureCoord_0_0_200, vector3MoreOrLessEquals(Vector3(1.23213148, 1.47071874, 0)));
      final textureCoord_0_0_201 = textureCoords_0_0.elementAt(201);
      expect(textureCoord_0_0_201, vector3MoreOrLessEquals(Vector3(0.896271944, 1.47174895, 0)));
      final textureCoord_0_0_202 = textureCoords_0_0.elementAt(202);
      expect(textureCoord_0_0_202, vector3MoreOrLessEquals(Vector3(0.932426691, 0.997773349, 0)));
      final textureCoord_0_0_203 = textureCoords_0_0.elementAt(203);
      expect(textureCoord_0_0_203, vector3MoreOrLessEquals(Vector3(1.19381595, 0.996971428, 0)));
      final textureCoord_0_0_204 = textureCoords_0_0.elementAt(204);
      expect(textureCoord_0_0_204, vector3MoreOrLessEquals(Vector3(1.66689813, 1.05852747, 0)));
      final textureCoord_0_0_205 = textureCoords_0_0.elementAt(205);
      expect(textureCoord_0_0_205, vector3MoreOrLessEquals(Vector3(1.90498173, 1.04757357, 0)));
      final textureCoord_0_0_206 = textureCoords_0_0.elementAt(206);
      expect(textureCoord_0_0_206, vector3MoreOrLessEquals(Vector3(1.83572137, 1.52565026, 0)));
      final textureCoord_0_0_207 = textureCoords_0_0.elementAt(207);
      expect(textureCoord_0_0_207, vector3MoreOrLessEquals(Vector3(1.65042818, 1.5341754, 0)));
      final textureCoord_0_0_208 = textureCoords_0_0.elementAt(208);
      expect(textureCoord_0_0_208, vector3MoreOrLessEquals(Vector3(-0.16974473, -0.103413224, 0)));
      final textureCoord_0_0_209 = textureCoords_0_0.elementAt(209);
      expect(textureCoord_0_0_209, vector3MoreOrLessEquals(Vector3(0.166114658, -0.104443371, 0)));
      final textureCoord_0_0_210 = textureCoords_0_0.elementAt(210);
      expect(textureCoord_0_0_210, vector3MoreOrLessEquals(Vector3(0.129594654, 0.372251481, 0)));
      final textureCoord_0_0_211 = textureCoords_0_0.elementAt(211);
      expect(textureCoord_0_0_211, vector3MoreOrLessEquals(Vector3(-0.131794512, 0.373053253, 0)));
      final textureCoord_0_0_212 = textureCoords_0_0.elementAt(212);
      expect(textureCoord_0_0_212, vector3MoreOrLessEquals(Vector3(-0.131794512, 0.373053253, 0)));
      final textureCoord_0_0_213 = textureCoords_0_0.elementAt(213);
      expect(textureCoord_0_0_213, vector3MoreOrLessEquals(Vector3(0.129594654, 0.372251481, 0)));
      final textureCoord_0_0_214 = textureCoords_0_0.elementAt(214);
      expect(textureCoord_0_0_214, vector3MoreOrLessEquals(Vector3(0.0981476605, 0.695671082, 0)));
      final textureCoord_0_0_215 = textureCoords_0_0.elementAt(215);
      expect(textureCoord_0_0_215, vector3MoreOrLessEquals(Vector3(-0.0986056924, 0.696274519, 0)));
      final textureCoord_0_0_216 = textureCoords_0_0.elementAt(216);
      expect(textureCoord_0_0_216, vector3MoreOrLessEquals(Vector3(1.65042818, 1.5341754, 0)));
      final textureCoord_0_0_217 = textureCoords_0_0.elementAt(217);
      expect(textureCoord_0_0_217, vector3MoreOrLessEquals(Vector3(1.83572137, 1.52565026, 0)));
      final textureCoord_0_0_218 = textureCoords_0_0.elementAt(218);
      expect(textureCoord_0_0_218, vector3MoreOrLessEquals(Vector3(1.82766867, 1.8496114, 0)));
      final textureCoord_0_0_219 = textureCoords_0_0.elementAt(219);
      expect(textureCoord_0_0_219, vector3MoreOrLessEquals(Vector3(1.68819427, 1.85602832, 0)));
      final textureCoord_0_0_220 = textureCoords_0_0.elementAt(220);
      expect(textureCoord_0_0_220, vector3MoreOrLessEquals(Vector3(1.19381595, 0.996971428, 0)));
      final textureCoord_0_0_221 = textureCoords_0_0.elementAt(221);
      expect(textureCoord_0_0_221, vector3MoreOrLessEquals(Vector3(0.932426691, 0.997773349, 0)));
      final textureCoord_0_0_222 = textureCoords_0_0.elementAt(222);
      expect(textureCoord_0_0_222, vector3MoreOrLessEquals(Vector3(0.963523746, 0.674966812, 0)));
      final textureCoord_0_0_223 = textureCoords_0_0.elementAt(223);
      expect(textureCoord_0_0_223, vector3MoreOrLessEquals(Vector3(1.16027713, 0.674363256, 0)));
      final textureCoord_0_0_224 = textureCoords_0_0.elementAt(224);
      expect(textureCoord_0_0_224, vector3MoreOrLessEquals(Vector3(-0.117002189, 1.54843235, 0)));
      final textureCoord_0_0_225 = textureCoords_0_0.elementAt(225);
      expect(textureCoord_0_0_225, vector3MoreOrLessEquals(Vector3(0.0682906806, 1.55696559, 0)));
      final textureCoord_0_0_226 = textureCoords_0_0.elementAt(226);
      expect(textureCoord_0_0_226, vector3MoreOrLessEquals(Vector3(0.0305120051, 1.87878764, 0)));
      final textureCoord_0_0_227 = textureCoords_0_0.elementAt(227);
      expect(textureCoord_0_0_227, vector3MoreOrLessEquals(Vector3(-0.108961999, 1.87236416, 0)));
      final textureCoord_0_0_228 = textureCoords_0_0.elementAt(228);
      expect(textureCoord_0_0_228, vector3MoreOrLessEquals(Vector3(0.657903075, 0.674791694, 0)));
      final textureCoord_0_0_229 = textureCoords_0_0.elementAt(229);
      expect(textureCoord_0_0_229, vector3MoreOrLessEquals(Vector3(0.797524333, 0.674363256, 0)));
      final textureCoord_0_0_230 = textureCoords_0_0.elementAt(230);
      expect(textureCoord_0_0_230, vector3MoreOrLessEquals(Vector3(0.798128009, 0.871101022, 0)));
      final textureCoord_0_0_231 = textureCoords_0_0.elementAt(231);
      expect(textureCoord_0_0_231, vector3MoreOrLessEquals(Vector3(0.658506572, 0.87152946, 0)));
      final textureCoord_0_0_232 = textureCoords_0_0.elementAt(232);
      expect(textureCoord_0_0_232, vector3MoreOrLessEquals(Vector3(0.485426366, 0.696303189, 0)));
      final textureCoord_0_0_233 = textureCoords_0_0.elementAt(233);
      expect(textureCoord_0_0_233, vector3MoreOrLessEquals(Vector3(0.657895207, 0.868786812, 0)));
      final textureCoord_0_0_234 = textureCoords_0_0.elementAt(234);
      expect(textureCoord_0_0_234, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_235 = textureCoords_0_0.elementAt(235);
      expect(textureCoord_0_0_235, vector3MoreOrLessEquals(Vector3(0.241526216, 0.696274519, 0)));
      final textureCoord_0_0_236 = textureCoords_0_0.elementAt(236);
      expect(textureCoord_0_0_236, vector3MoreOrLessEquals(Vector3(0.485426366, 0.696303189, 0)));
      final textureCoord_0_0_237 = textureCoords_0_0.elementAt(237);
      expect(textureCoord_0_0_237, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_238 = textureCoords_0_0.elementAt(238);
      expect(textureCoord_0_0_238, vector3MoreOrLessEquals(Vector3(0.069068253, 0.86871767, 0)));
      final textureCoord_0_0_239 = textureCoords_0_0.elementAt(239);
      expect(textureCoord_0_0_239, vector3MoreOrLessEquals(Vector3(0.241526216, 0.696274519, 0)));
      final textureCoord_0_0_240 = textureCoords_0_0.elementAt(240);
      expect(textureCoord_0_0_240, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_241 = textureCoords_0_0.elementAt(241);
      expect(textureCoord_0_0_241, vector3MoreOrLessEquals(Vector3(0.0690761209, 1.11261797, 0)));
      final textureCoord_0_0_242 = textureCoords_0_0.elementAt(242);
      expect(textureCoord_0_0_242, vector3MoreOrLessEquals(Vector3(0.069068253, 0.86871767, 0)));
      final textureCoord_0_0_243 = textureCoords_0_0.elementAt(243);
      expect(textureCoord_0_0_243, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_244 = textureCoords_0_0.elementAt(244);
      expect(textureCoord_0_0_244, vector3MoreOrLessEquals(Vector3(0.241545141, 1.28510141, 0)));
      final textureCoord_0_0_245 = textureCoords_0_0.elementAt(245);
      expect(textureCoord_0_0_245, vector3MoreOrLessEquals(Vector3(0.0690761209, 1.11261797, 0)));
      final textureCoord_0_0_246 = textureCoords_0_0.elementAt(246);
      expect(textureCoord_0_0_246, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_247 = textureCoords_0_0.elementAt(247);
      expect(textureCoord_0_0_247, vector3MoreOrLessEquals(Vector3(0.485445321, 1.2851299, 0)));
      final textureCoord_0_0_248 = textureCoords_0_0.elementAt(248);
      expect(textureCoord_0_0_248, vector3MoreOrLessEquals(Vector3(0.241545141, 1.28510141, 0)));
      final textureCoord_0_0_249 = textureCoords_0_0.elementAt(249);
      expect(textureCoord_0_0_249, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_250 = textureCoords_0_0.elementAt(250);
      expect(textureCoord_0_0_250, vector3MoreOrLessEquals(Vector3(0.657903075, 1.1126864, 0)));
      final textureCoord_0_0_251 = textureCoords_0_0.elementAt(251);
      expect(textureCoord_0_0_251, vector3MoreOrLessEquals(Vector3(0.485445321, 1.2851299, 0)));
      final textureCoord_0_0_252 = textureCoords_0_0.elementAt(252);
      expect(textureCoord_0_0_252, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      final textureCoord_0_0_253 = textureCoords_0_0.elementAt(253);
      expect(textureCoord_0_0_253, vector3MoreOrLessEquals(Vector3(0.657895207, 0.868786812, 0)));
      final textureCoord_0_0_254 = textureCoords_0_0.elementAt(254);
      expect(textureCoord_0_0_254, vector3MoreOrLessEquals(Vector3(0.657903075, 1.1126864, 0)));
      final textureCoord_0_0_255 = textureCoords_0_0.elementAt(255);
      expect(textureCoord_0_0_255, vector3MoreOrLessEquals(Vector3(0.36187315, 0.992312074, 0)));
      expect(mesh_0.uvComponents.length, equals(1));
      expect(mesh_0.uvComponents, equals([2]));
      expect(mesh_0.faces.length, equals(68));
      expect(mesh_0.bones.length, equals(9));
      expect(mesh_0.materialIndex, isZero);
      expect(mesh_0.name, equals('Cylinder'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
  });

  test('collada', () {
    testScene('anims.dae', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(64));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(8));
      expect(mesh_0.vertices.length, equals(24));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_0_8 = mesh_0.vertices.elementAt(8);
      expect(vertex_0_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_0_9 = mesh_0.vertices.elementAt(9);
      expect(vertex_0_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_0_10 = mesh_0.vertices.elementAt(10);
      expect(vertex_0_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_0_11 = mesh_0.vertices.elementAt(11);
      expect(vertex_0_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_0_12 = mesh_0.vertices.elementAt(12);
      expect(vertex_0_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_0_13 = mesh_0.vertices.elementAt(13);
      expect(vertex_0_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_0_14 = mesh_0.vertices.elementAt(14);
      expect(vertex_0_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_0_15 = mesh_0.vertices.elementAt(15);
      expect(vertex_0_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_0_16 = mesh_0.vertices.elementAt(16);
      expect(vertex_0_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_0_17 = mesh_0.vertices.elementAt(17);
      expect(vertex_0_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_0_18 = mesh_0.vertices.elementAt(18);
      expect(vertex_0_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_0_19 = mesh_0.vertices.elementAt(19);
      expect(vertex_0_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_0_20 = mesh_0.vertices.elementAt(20);
      expect(vertex_0_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_0_21 = mesh_0.vertices.elementAt(21);
      expect(vertex_0_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_0_22 = mesh_0.vertices.elementAt(22);
      expect(vertex_0_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_0_23 = mesh_0.vertices.elementAt(23);
      expect(vertex_0_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_0.normals.length, equals(24));
      final normal_0_0 = mesh_0.normals.elementAt(0);
      expect(normal_0_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_1 = mesh_0.normals.elementAt(1);
      expect(normal_0_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_2 = mesh_0.normals.elementAt(2);
      expect(normal_0_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_3 = mesh_0.normals.elementAt(3);
      expect(normal_0_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_4 = mesh_0.normals.elementAt(4);
      expect(normal_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_5 = mesh_0.normals.elementAt(5);
      expect(normal_0_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_6 = mesh_0.normals.elementAt(6);
      expect(normal_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_7 = mesh_0.normals.elementAt(7);
      expect(normal_0_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_0_8 = mesh_0.normals.elementAt(8);
      expect(normal_0_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_9 = mesh_0.normals.elementAt(9);
      expect(normal_0_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_10 = mesh_0.normals.elementAt(10);
      expect(normal_0_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_11 = mesh_0.normals.elementAt(11);
      expect(normal_0_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_0_12 = mesh_0.normals.elementAt(12);
      expect(normal_0_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_0_13 = mesh_0.normals.elementAt(13);
      expect(normal_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_0_14 = mesh_0.normals.elementAt(14);
      expect(normal_0_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_0_15 = mesh_0.normals.elementAt(15);
      expect(normal_0_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_0_16 = mesh_0.normals.elementAt(16);
      expect(normal_0_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_0_17 = mesh_0.normals.elementAt(17);
      expect(normal_0_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_0_18 = mesh_0.normals.elementAt(18);
      expect(normal_0_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_0_19 = mesh_0.normals.elementAt(19);
      expect(normal_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_0_20 = mesh_0.normals.elementAt(20);
      expect(normal_0_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_21 = mesh_0.normals.elementAt(21);
      expect(normal_0_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_22 = mesh_0.normals.elementAt(22);
      expect(normal_0_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_0_23 = mesh_0.normals.elementAt(23);
      expect(normal_0_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_0.tangents.length, isZero);
      expect(mesh_0.bitangents.length, isZero);
      expect(mesh_0.colors.length, isZero);
      expect(mesh_0.textureCoords.length, equals(1));
      final textureCoords_0_0 = mesh_0.textureCoords.elementAt(0);
      expect(textureCoords_0_0.length, equals(24));
      final textureCoord_0_0_0 = textureCoords_0_0.elementAt(0);
      expect(textureCoord_0_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_1 = textureCoords_0_0.elementAt(1);
      expect(textureCoord_0_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_2 = textureCoords_0_0.elementAt(2);
      expect(textureCoord_0_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_0_0_3 = textureCoords_0_0.elementAt(3);
      expect(textureCoord_0_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_4 = textureCoords_0_0.elementAt(4);
      expect(textureCoord_0_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_5 = textureCoords_0_0.elementAt(5);
      expect(textureCoord_0_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_6 = textureCoords_0_0.elementAt(6);
      expect(textureCoord_0_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_7 = textureCoords_0_0.elementAt(7);
      expect(textureCoord_0_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_0_0_8 = textureCoords_0_0.elementAt(8);
      expect(textureCoord_0_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_9 = textureCoords_0_0.elementAt(9);
      expect(textureCoord_0_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_10 = textureCoords_0_0.elementAt(10);
      expect(textureCoord_0_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_11 = textureCoords_0_0.elementAt(11);
      expect(textureCoord_0_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_0_0_12 = textureCoords_0_0.elementAt(12);
      expect(textureCoord_0_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_13 = textureCoords_0_0.elementAt(13);
      expect(textureCoord_0_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_14 = textureCoords_0_0.elementAt(14);
      expect(textureCoord_0_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_15 = textureCoords_0_0.elementAt(15);
      expect(textureCoord_0_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_0_0_16 = textureCoords_0_0.elementAt(16);
      expect(textureCoord_0_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_17 = textureCoords_0_0.elementAt(17);
      expect(textureCoord_0_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_18 = textureCoords_0_0.elementAt(18);
      expect(textureCoord_0_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_19 = textureCoords_0_0.elementAt(19);
      expect(textureCoord_0_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_0_0_20 = textureCoords_0_0.elementAt(20);
      expect(textureCoord_0_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_0_0_21 = textureCoords_0_0.elementAt(21);
      expect(textureCoord_0_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_0_0_22 = textureCoords_0_0.elementAt(22);
      expect(textureCoord_0_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_0_0_23 = textureCoords_0_0.elementAt(23);
      expect(textureCoord_0_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_0.uvComponents.length, equals(1));
      expect(mesh_0.uvComponents, equals([2]));
      expect(mesh_0.faces.length, equals(6));
      expect(mesh_0.bones.length, isZero);
      expect(mesh_0.materialIndex, isZero);
      expect(mesh_0.name, equals('Box001Mesh'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.primitiveTypes, equals(8));
      expect(mesh_1.vertices.length, equals(24));
      final vertex_1_0 = mesh_1.vertices.elementAt(0);
      expect(vertex_1_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_1_1 = mesh_1.vertices.elementAt(1);
      expect(vertex_1_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_1_2 = mesh_1.vertices.elementAt(2);
      expect(vertex_1_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_1_3 = mesh_1.vertices.elementAt(3);
      expect(vertex_1_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_1_4 = mesh_1.vertices.elementAt(4);
      expect(vertex_1_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_1_5 = mesh_1.vertices.elementAt(5);
      expect(vertex_1_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_1_6 = mesh_1.vertices.elementAt(6);
      expect(vertex_1_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_1_7 = mesh_1.vertices.elementAt(7);
      expect(vertex_1_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_1_8 = mesh_1.vertices.elementAt(8);
      expect(vertex_1_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_1_9 = mesh_1.vertices.elementAt(9);
      expect(vertex_1_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_1_10 = mesh_1.vertices.elementAt(10);
      expect(vertex_1_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_1_11 = mesh_1.vertices.elementAt(11);
      expect(vertex_1_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_1_12 = mesh_1.vertices.elementAt(12);
      expect(vertex_1_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_1_13 = mesh_1.vertices.elementAt(13);
      expect(vertex_1_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_1_14 = mesh_1.vertices.elementAt(14);
      expect(vertex_1_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_1_15 = mesh_1.vertices.elementAt(15);
      expect(vertex_1_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_1_16 = mesh_1.vertices.elementAt(16);
      expect(vertex_1_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_1_17 = mesh_1.vertices.elementAt(17);
      expect(vertex_1_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_1_18 = mesh_1.vertices.elementAt(18);
      expect(vertex_1_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_1_19 = mesh_1.vertices.elementAt(19);
      expect(vertex_1_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_1_20 = mesh_1.vertices.elementAt(20);
      expect(vertex_1_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_1_21 = mesh_1.vertices.elementAt(21);
      expect(vertex_1_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_1_22 = mesh_1.vertices.elementAt(22);
      expect(vertex_1_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_1_23 = mesh_1.vertices.elementAt(23);
      expect(vertex_1_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_1.normals.length, equals(24));
      final normal_1_0 = mesh_1.normals.elementAt(0);
      expect(normal_1_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_1_1 = mesh_1.normals.elementAt(1);
      expect(normal_1_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_1_2 = mesh_1.normals.elementAt(2);
      expect(normal_1_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_1_3 = mesh_1.normals.elementAt(3);
      expect(normal_1_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_1_4 = mesh_1.normals.elementAt(4);
      expect(normal_1_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_1_5 = mesh_1.normals.elementAt(5);
      expect(normal_1_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_1_6 = mesh_1.normals.elementAt(6);
      expect(normal_1_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_1_7 = mesh_1.normals.elementAt(7);
      expect(normal_1_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_1_8 = mesh_1.normals.elementAt(8);
      expect(normal_1_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_1_9 = mesh_1.normals.elementAt(9);
      expect(normal_1_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_1_10 = mesh_1.normals.elementAt(10);
      expect(normal_1_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_1_11 = mesh_1.normals.elementAt(11);
      expect(normal_1_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_1_12 = mesh_1.normals.elementAt(12);
      expect(normal_1_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_1_13 = mesh_1.normals.elementAt(13);
      expect(normal_1_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_1_14 = mesh_1.normals.elementAt(14);
      expect(normal_1_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_1_15 = mesh_1.normals.elementAt(15);
      expect(normal_1_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_1_16 = mesh_1.normals.elementAt(16);
      expect(normal_1_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_1_17 = mesh_1.normals.elementAt(17);
      expect(normal_1_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_1_18 = mesh_1.normals.elementAt(18);
      expect(normal_1_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_1_19 = mesh_1.normals.elementAt(19);
      expect(normal_1_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_1_20 = mesh_1.normals.elementAt(20);
      expect(normal_1_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_1_21 = mesh_1.normals.elementAt(21);
      expect(normal_1_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_1_22 = mesh_1.normals.elementAt(22);
      expect(normal_1_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_1_23 = mesh_1.normals.elementAt(23);
      expect(normal_1_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_1.tangents.length, isZero);
      expect(mesh_1.bitangents.length, isZero);
      expect(mesh_1.colors.length, isZero);
      expect(mesh_1.textureCoords.length, equals(1));
      final textureCoords_1_0 = mesh_1.textureCoords.elementAt(0);
      expect(textureCoords_1_0.length, equals(24));
      final textureCoord_1_0_0 = textureCoords_1_0.elementAt(0);
      expect(textureCoord_1_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_1 = textureCoords_1_0.elementAt(1);
      expect(textureCoord_1_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_2 = textureCoords_1_0.elementAt(2);
      expect(textureCoord_1_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_1_0_3 = textureCoords_1_0.elementAt(3);
      expect(textureCoord_1_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_4 = textureCoords_1_0.elementAt(4);
      expect(textureCoord_1_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_5 = textureCoords_1_0.elementAt(5);
      expect(textureCoord_1_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_6 = textureCoords_1_0.elementAt(6);
      expect(textureCoord_1_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_7 = textureCoords_1_0.elementAt(7);
      expect(textureCoord_1_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_1_0_8 = textureCoords_1_0.elementAt(8);
      expect(textureCoord_1_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_9 = textureCoords_1_0.elementAt(9);
      expect(textureCoord_1_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_10 = textureCoords_1_0.elementAt(10);
      expect(textureCoord_1_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_11 = textureCoords_1_0.elementAt(11);
      expect(textureCoord_1_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_1_0_12 = textureCoords_1_0.elementAt(12);
      expect(textureCoord_1_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_13 = textureCoords_1_0.elementAt(13);
      expect(textureCoord_1_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_14 = textureCoords_1_0.elementAt(14);
      expect(textureCoord_1_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_15 = textureCoords_1_0.elementAt(15);
      expect(textureCoord_1_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_1_0_16 = textureCoords_1_0.elementAt(16);
      expect(textureCoord_1_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_17 = textureCoords_1_0.elementAt(17);
      expect(textureCoord_1_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_18 = textureCoords_1_0.elementAt(18);
      expect(textureCoord_1_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_19 = textureCoords_1_0.elementAt(19);
      expect(textureCoord_1_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_1_0_20 = textureCoords_1_0.elementAt(20);
      expect(textureCoord_1_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_1_0_21 = textureCoords_1_0.elementAt(21);
      expect(textureCoord_1_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_1_0_22 = textureCoords_1_0.elementAt(22);
      expect(textureCoord_1_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_1_0_23 = textureCoords_1_0.elementAt(23);
      expect(textureCoord_1_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_1.uvComponents.length, equals(1));
      expect(mesh_1.uvComponents, equals([2]));
      expect(mesh_1.faces.length, equals(6));
      expect(mesh_1.bones.length, isZero);
      expect(mesh_1.materialIndex, isZero);
      expect(mesh_1.name, equals('Box002Mesh'));
      expect(mesh_1.animMeshes.length, isZero);
      expect(mesh_1.morphingMethod, isZero);
      expect(mesh_1.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.primitiveTypes, equals(8));
      expect(mesh_2.vertices.length, equals(24));
      final vertex_2_0 = mesh_2.vertices.elementAt(0);
      expect(vertex_2_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_2_1 = mesh_2.vertices.elementAt(1);
      expect(vertex_2_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_2_2 = mesh_2.vertices.elementAt(2);
      expect(vertex_2_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_2_3 = mesh_2.vertices.elementAt(3);
      expect(vertex_2_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_2_4 = mesh_2.vertices.elementAt(4);
      expect(vertex_2_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_2_5 = mesh_2.vertices.elementAt(5);
      expect(vertex_2_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_2_6 = mesh_2.vertices.elementAt(6);
      expect(vertex_2_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_2_7 = mesh_2.vertices.elementAt(7);
      expect(vertex_2_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_2_8 = mesh_2.vertices.elementAt(8);
      expect(vertex_2_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_2_9 = mesh_2.vertices.elementAt(9);
      expect(vertex_2_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_2_10 = mesh_2.vertices.elementAt(10);
      expect(vertex_2_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_2_11 = mesh_2.vertices.elementAt(11);
      expect(vertex_2_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_2_12 = mesh_2.vertices.elementAt(12);
      expect(vertex_2_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_2_13 = mesh_2.vertices.elementAt(13);
      expect(vertex_2_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_2_14 = mesh_2.vertices.elementAt(14);
      expect(vertex_2_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_2_15 = mesh_2.vertices.elementAt(15);
      expect(vertex_2_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_2_16 = mesh_2.vertices.elementAt(16);
      expect(vertex_2_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_2_17 = mesh_2.vertices.elementAt(17);
      expect(vertex_2_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_2_18 = mesh_2.vertices.elementAt(18);
      expect(vertex_2_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_2_19 = mesh_2.vertices.elementAt(19);
      expect(vertex_2_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_2_20 = mesh_2.vertices.elementAt(20);
      expect(vertex_2_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_2_21 = mesh_2.vertices.elementAt(21);
      expect(vertex_2_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_2_22 = mesh_2.vertices.elementAt(22);
      expect(vertex_2_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_2_23 = mesh_2.vertices.elementAt(23);
      expect(vertex_2_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_2.normals.length, equals(24));
      final normal_2_0 = mesh_2.normals.elementAt(0);
      expect(normal_2_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_2_1 = mesh_2.normals.elementAt(1);
      expect(normal_2_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_2_2 = mesh_2.normals.elementAt(2);
      expect(normal_2_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_2_3 = mesh_2.normals.elementAt(3);
      expect(normal_2_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_2_4 = mesh_2.normals.elementAt(4);
      expect(normal_2_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_2_5 = mesh_2.normals.elementAt(5);
      expect(normal_2_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_2_6 = mesh_2.normals.elementAt(6);
      expect(normal_2_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_2_7 = mesh_2.normals.elementAt(7);
      expect(normal_2_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_2_8 = mesh_2.normals.elementAt(8);
      expect(normal_2_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_2_9 = mesh_2.normals.elementAt(9);
      expect(normal_2_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_2_10 = mesh_2.normals.elementAt(10);
      expect(normal_2_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_2_11 = mesh_2.normals.elementAt(11);
      expect(normal_2_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_2_12 = mesh_2.normals.elementAt(12);
      expect(normal_2_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_2_13 = mesh_2.normals.elementAt(13);
      expect(normal_2_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_2_14 = mesh_2.normals.elementAt(14);
      expect(normal_2_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_2_15 = mesh_2.normals.elementAt(15);
      expect(normal_2_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_2_16 = mesh_2.normals.elementAt(16);
      expect(normal_2_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_2_17 = mesh_2.normals.elementAt(17);
      expect(normal_2_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_2_18 = mesh_2.normals.elementAt(18);
      expect(normal_2_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_2_19 = mesh_2.normals.elementAt(19);
      expect(normal_2_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_2_20 = mesh_2.normals.elementAt(20);
      expect(normal_2_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_2_21 = mesh_2.normals.elementAt(21);
      expect(normal_2_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_2_22 = mesh_2.normals.elementAt(22);
      expect(normal_2_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_2_23 = mesh_2.normals.elementAt(23);
      expect(normal_2_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_2.tangents.length, isZero);
      expect(mesh_2.bitangents.length, isZero);
      expect(mesh_2.colors.length, isZero);
      expect(mesh_2.textureCoords.length, equals(1));
      final textureCoords_2_0 = mesh_2.textureCoords.elementAt(0);
      expect(textureCoords_2_0.length, equals(24));
      final textureCoord_2_0_0 = textureCoords_2_0.elementAt(0);
      expect(textureCoord_2_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_1 = textureCoords_2_0.elementAt(1);
      expect(textureCoord_2_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_2 = textureCoords_2_0.elementAt(2);
      expect(textureCoord_2_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_3 = textureCoords_2_0.elementAt(3);
      expect(textureCoord_2_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_4 = textureCoords_2_0.elementAt(4);
      expect(textureCoord_2_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_5 = textureCoords_2_0.elementAt(5);
      expect(textureCoord_2_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_6 = textureCoords_2_0.elementAt(6);
      expect(textureCoord_2_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_7 = textureCoords_2_0.elementAt(7);
      expect(textureCoord_2_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_8 = textureCoords_2_0.elementAt(8);
      expect(textureCoord_2_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_9 = textureCoords_2_0.elementAt(9);
      expect(textureCoord_2_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_10 = textureCoords_2_0.elementAt(10);
      expect(textureCoord_2_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_11 = textureCoords_2_0.elementAt(11);
      expect(textureCoord_2_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_12 = textureCoords_2_0.elementAt(12);
      expect(textureCoord_2_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_13 = textureCoords_2_0.elementAt(13);
      expect(textureCoord_2_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_14 = textureCoords_2_0.elementAt(14);
      expect(textureCoord_2_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_15 = textureCoords_2_0.elementAt(15);
      expect(textureCoord_2_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_16 = textureCoords_2_0.elementAt(16);
      expect(textureCoord_2_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_17 = textureCoords_2_0.elementAt(17);
      expect(textureCoord_2_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_18 = textureCoords_2_0.elementAt(18);
      expect(textureCoord_2_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_19 = textureCoords_2_0.elementAt(19);
      expect(textureCoord_2_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_20 = textureCoords_2_0.elementAt(20);
      expect(textureCoord_2_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_21 = textureCoords_2_0.elementAt(21);
      expect(textureCoord_2_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_22 = textureCoords_2_0.elementAt(22);
      expect(textureCoord_2_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_23 = textureCoords_2_0.elementAt(23);
      expect(textureCoord_2_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_2.uvComponents.length, equals(1));
      expect(mesh_2.uvComponents, equals([2]));
      expect(mesh_2.faces.length, equals(6));
      expect(mesh_2.bones.length, isZero);
      expect(mesh_2.materialIndex, isZero);
      expect(mesh_2.name, equals('Box003Mesh'));
      expect(mesh_2.animMeshes.length, isZero);
      expect(mesh_2.morphingMethod, isZero);
      expect(mesh_2.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.primitiveTypes, equals(8));
      expect(mesh_3.vertices.length, equals(24));
      final vertex_3_0 = mesh_3.vertices.elementAt(0);
      expect(vertex_3_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_3_1 = mesh_3.vertices.elementAt(1);
      expect(vertex_3_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_3_2 = mesh_3.vertices.elementAt(2);
      expect(vertex_3_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_3_3 = mesh_3.vertices.elementAt(3);
      expect(vertex_3_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_3_4 = mesh_3.vertices.elementAt(4);
      expect(vertex_3_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_3_5 = mesh_3.vertices.elementAt(5);
      expect(vertex_3_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_3_6 = mesh_3.vertices.elementAt(6);
      expect(vertex_3_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_3_7 = mesh_3.vertices.elementAt(7);
      expect(vertex_3_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_3_8 = mesh_3.vertices.elementAt(8);
      expect(vertex_3_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_3_9 = mesh_3.vertices.elementAt(9);
      expect(vertex_3_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_3_10 = mesh_3.vertices.elementAt(10);
      expect(vertex_3_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_3_11 = mesh_3.vertices.elementAt(11);
      expect(vertex_3_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_3_12 = mesh_3.vertices.elementAt(12);
      expect(vertex_3_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_3_13 = mesh_3.vertices.elementAt(13);
      expect(vertex_3_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_3_14 = mesh_3.vertices.elementAt(14);
      expect(vertex_3_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_3_15 = mesh_3.vertices.elementAt(15);
      expect(vertex_3_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_3_16 = mesh_3.vertices.elementAt(16);
      expect(vertex_3_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_3_17 = mesh_3.vertices.elementAt(17);
      expect(vertex_3_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_3_18 = mesh_3.vertices.elementAt(18);
      expect(vertex_3_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_3_19 = mesh_3.vertices.elementAt(19);
      expect(vertex_3_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_3_20 = mesh_3.vertices.elementAt(20);
      expect(vertex_3_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_3_21 = mesh_3.vertices.elementAt(21);
      expect(vertex_3_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_3_22 = mesh_3.vertices.elementAt(22);
      expect(vertex_3_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_3_23 = mesh_3.vertices.elementAt(23);
      expect(vertex_3_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_3.normals.length, equals(24));
      final normal_3_0 = mesh_3.normals.elementAt(0);
      expect(normal_3_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_3_1 = mesh_3.normals.elementAt(1);
      expect(normal_3_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_3_2 = mesh_3.normals.elementAt(2);
      expect(normal_3_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_3_3 = mesh_3.normals.elementAt(3);
      expect(normal_3_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_3_4 = mesh_3.normals.elementAt(4);
      expect(normal_3_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_3_5 = mesh_3.normals.elementAt(5);
      expect(normal_3_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_3_6 = mesh_3.normals.elementAt(6);
      expect(normal_3_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_3_7 = mesh_3.normals.elementAt(7);
      expect(normal_3_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_3_8 = mesh_3.normals.elementAt(8);
      expect(normal_3_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_3_9 = mesh_3.normals.elementAt(9);
      expect(normal_3_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_3_10 = mesh_3.normals.elementAt(10);
      expect(normal_3_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_3_11 = mesh_3.normals.elementAt(11);
      expect(normal_3_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_3_12 = mesh_3.normals.elementAt(12);
      expect(normal_3_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_3_13 = mesh_3.normals.elementAt(13);
      expect(normal_3_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_3_14 = mesh_3.normals.elementAt(14);
      expect(normal_3_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_3_15 = mesh_3.normals.elementAt(15);
      expect(normal_3_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_3_16 = mesh_3.normals.elementAt(16);
      expect(normal_3_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_3_17 = mesh_3.normals.elementAt(17);
      expect(normal_3_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_3_18 = mesh_3.normals.elementAt(18);
      expect(normal_3_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_3_19 = mesh_3.normals.elementAt(19);
      expect(normal_3_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_3_20 = mesh_3.normals.elementAt(20);
      expect(normal_3_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_3_21 = mesh_3.normals.elementAt(21);
      expect(normal_3_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_3_22 = mesh_3.normals.elementAt(22);
      expect(normal_3_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_3_23 = mesh_3.normals.elementAt(23);
      expect(normal_3_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_3.tangents.length, isZero);
      expect(mesh_3.bitangents.length, isZero);
      expect(mesh_3.colors.length, isZero);
      expect(mesh_3.textureCoords.length, equals(1));
      final textureCoords_3_0 = mesh_3.textureCoords.elementAt(0);
      expect(textureCoords_3_0.length, equals(24));
      final textureCoord_3_0_0 = textureCoords_3_0.elementAt(0);
      expect(textureCoord_3_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_1 = textureCoords_3_0.elementAt(1);
      expect(textureCoord_3_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_2 = textureCoords_3_0.elementAt(2);
      expect(textureCoord_3_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_3 = textureCoords_3_0.elementAt(3);
      expect(textureCoord_3_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_4 = textureCoords_3_0.elementAt(4);
      expect(textureCoord_3_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_5 = textureCoords_3_0.elementAt(5);
      expect(textureCoord_3_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_6 = textureCoords_3_0.elementAt(6);
      expect(textureCoord_3_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_7 = textureCoords_3_0.elementAt(7);
      expect(textureCoord_3_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_8 = textureCoords_3_0.elementAt(8);
      expect(textureCoord_3_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_9 = textureCoords_3_0.elementAt(9);
      expect(textureCoord_3_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_10 = textureCoords_3_0.elementAt(10);
      expect(textureCoord_3_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_11 = textureCoords_3_0.elementAt(11);
      expect(textureCoord_3_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_12 = textureCoords_3_0.elementAt(12);
      expect(textureCoord_3_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_13 = textureCoords_3_0.elementAt(13);
      expect(textureCoord_3_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_14 = textureCoords_3_0.elementAt(14);
      expect(textureCoord_3_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_15 = textureCoords_3_0.elementAt(15);
      expect(textureCoord_3_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_16 = textureCoords_3_0.elementAt(16);
      expect(textureCoord_3_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_17 = textureCoords_3_0.elementAt(17);
      expect(textureCoord_3_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_18 = textureCoords_3_0.elementAt(18);
      expect(textureCoord_3_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_19 = textureCoords_3_0.elementAt(19);
      expect(textureCoord_3_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_20 = textureCoords_3_0.elementAt(20);
      expect(textureCoord_3_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_21 = textureCoords_3_0.elementAt(21);
      expect(textureCoord_3_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_22 = textureCoords_3_0.elementAt(22);
      expect(textureCoord_3_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_23 = textureCoords_3_0.elementAt(23);
      expect(textureCoord_3_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_3.uvComponents.length, equals(1));
      expect(mesh_3.uvComponents, equals([2]));
      expect(mesh_3.faces.length, equals(6));
      expect(mesh_3.bones.length, isZero);
      expect(mesh_3.materialIndex, isZero);
      expect(mesh_3.name, equals('Box004Mesh'));
      expect(mesh_3.animMeshes.length, isZero);
      expect(mesh_3.morphingMethod, isZero);
      expect(mesh_3.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.primitiveTypes, equals(8));
      expect(mesh_4.vertices.length, equals(24));
      final vertex_4_0 = mesh_4.vertices.elementAt(0);
      expect(vertex_4_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_4_1 = mesh_4.vertices.elementAt(1);
      expect(vertex_4_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_4_2 = mesh_4.vertices.elementAt(2);
      expect(vertex_4_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_4_3 = mesh_4.vertices.elementAt(3);
      expect(vertex_4_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_4_4 = mesh_4.vertices.elementAt(4);
      expect(vertex_4_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_4_5 = mesh_4.vertices.elementAt(5);
      expect(vertex_4_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_4_6 = mesh_4.vertices.elementAt(6);
      expect(vertex_4_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_4_7 = mesh_4.vertices.elementAt(7);
      expect(vertex_4_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_4_8 = mesh_4.vertices.elementAt(8);
      expect(vertex_4_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_4_9 = mesh_4.vertices.elementAt(9);
      expect(vertex_4_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_4_10 = mesh_4.vertices.elementAt(10);
      expect(vertex_4_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_4_11 = mesh_4.vertices.elementAt(11);
      expect(vertex_4_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_4_12 = mesh_4.vertices.elementAt(12);
      expect(vertex_4_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_4_13 = mesh_4.vertices.elementAt(13);
      expect(vertex_4_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_4_14 = mesh_4.vertices.elementAt(14);
      expect(vertex_4_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_4_15 = mesh_4.vertices.elementAt(15);
      expect(vertex_4_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_4_16 = mesh_4.vertices.elementAt(16);
      expect(vertex_4_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_4_17 = mesh_4.vertices.elementAt(17);
      expect(vertex_4_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_4_18 = mesh_4.vertices.elementAt(18);
      expect(vertex_4_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_4_19 = mesh_4.vertices.elementAt(19);
      expect(vertex_4_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_4_20 = mesh_4.vertices.elementAt(20);
      expect(vertex_4_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_4_21 = mesh_4.vertices.elementAt(21);
      expect(vertex_4_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_4_22 = mesh_4.vertices.elementAt(22);
      expect(vertex_4_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_4_23 = mesh_4.vertices.elementAt(23);
      expect(vertex_4_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_4.normals.length, equals(24));
      final normal_4_0 = mesh_4.normals.elementAt(0);
      expect(normal_4_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_4_1 = mesh_4.normals.elementAt(1);
      expect(normal_4_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_4_2 = mesh_4.normals.elementAt(2);
      expect(normal_4_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_4_3 = mesh_4.normals.elementAt(3);
      expect(normal_4_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_4_4 = mesh_4.normals.elementAt(4);
      expect(normal_4_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_4_5 = mesh_4.normals.elementAt(5);
      expect(normal_4_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_4_6 = mesh_4.normals.elementAt(6);
      expect(normal_4_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_4_7 = mesh_4.normals.elementAt(7);
      expect(normal_4_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_4_8 = mesh_4.normals.elementAt(8);
      expect(normal_4_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_4_9 = mesh_4.normals.elementAt(9);
      expect(normal_4_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_4_10 = mesh_4.normals.elementAt(10);
      expect(normal_4_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_4_11 = mesh_4.normals.elementAt(11);
      expect(normal_4_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_4_12 = mesh_4.normals.elementAt(12);
      expect(normal_4_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_4_13 = mesh_4.normals.elementAt(13);
      expect(normal_4_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_4_14 = mesh_4.normals.elementAt(14);
      expect(normal_4_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_4_15 = mesh_4.normals.elementAt(15);
      expect(normal_4_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_4_16 = mesh_4.normals.elementAt(16);
      expect(normal_4_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_4_17 = mesh_4.normals.elementAt(17);
      expect(normal_4_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_4_18 = mesh_4.normals.elementAt(18);
      expect(normal_4_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_4_19 = mesh_4.normals.elementAt(19);
      expect(normal_4_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_4_20 = mesh_4.normals.elementAt(20);
      expect(normal_4_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_4_21 = mesh_4.normals.elementAt(21);
      expect(normal_4_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_4_22 = mesh_4.normals.elementAt(22);
      expect(normal_4_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_4_23 = mesh_4.normals.elementAt(23);
      expect(normal_4_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_4.tangents.length, isZero);
      expect(mesh_4.bitangents.length, isZero);
      expect(mesh_4.colors.length, isZero);
      expect(mesh_4.textureCoords.length, equals(1));
      final textureCoords_4_0 = mesh_4.textureCoords.elementAt(0);
      expect(textureCoords_4_0.length, equals(24));
      final textureCoord_4_0_0 = textureCoords_4_0.elementAt(0);
      expect(textureCoord_4_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_1 = textureCoords_4_0.elementAt(1);
      expect(textureCoord_4_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_2 = textureCoords_4_0.elementAt(2);
      expect(textureCoord_4_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_3 = textureCoords_4_0.elementAt(3);
      expect(textureCoord_4_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_4 = textureCoords_4_0.elementAt(4);
      expect(textureCoord_4_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_5 = textureCoords_4_0.elementAt(5);
      expect(textureCoord_4_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_6 = textureCoords_4_0.elementAt(6);
      expect(textureCoord_4_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_7 = textureCoords_4_0.elementAt(7);
      expect(textureCoord_4_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_8 = textureCoords_4_0.elementAt(8);
      expect(textureCoord_4_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_9 = textureCoords_4_0.elementAt(9);
      expect(textureCoord_4_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_10 = textureCoords_4_0.elementAt(10);
      expect(textureCoord_4_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_11 = textureCoords_4_0.elementAt(11);
      expect(textureCoord_4_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_12 = textureCoords_4_0.elementAt(12);
      expect(textureCoord_4_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_13 = textureCoords_4_0.elementAt(13);
      expect(textureCoord_4_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_14 = textureCoords_4_0.elementAt(14);
      expect(textureCoord_4_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_15 = textureCoords_4_0.elementAt(15);
      expect(textureCoord_4_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_16 = textureCoords_4_0.elementAt(16);
      expect(textureCoord_4_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_17 = textureCoords_4_0.elementAt(17);
      expect(textureCoord_4_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_18 = textureCoords_4_0.elementAt(18);
      expect(textureCoord_4_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_19 = textureCoords_4_0.elementAt(19);
      expect(textureCoord_4_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_20 = textureCoords_4_0.elementAt(20);
      expect(textureCoord_4_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_21 = textureCoords_4_0.elementAt(21);
      expect(textureCoord_4_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_22 = textureCoords_4_0.elementAt(22);
      expect(textureCoord_4_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_23 = textureCoords_4_0.elementAt(23);
      expect(textureCoord_4_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_4.uvComponents.length, equals(1));
      expect(mesh_4.uvComponents, equals([2]));
      expect(mesh_4.faces.length, equals(6));
      expect(mesh_4.bones.length, isZero);
      expect(mesh_4.materialIndex, isZero);
      expect(mesh_4.name, equals('Box005Mesh'));
      expect(mesh_4.animMeshes.length, isZero);
      expect(mesh_4.morphingMethod, isZero);
      expect(mesh_4.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.primitiveTypes, equals(8));
      expect(mesh_5.vertices.length, equals(24));
      final vertex_5_0 = mesh_5.vertices.elementAt(0);
      expect(vertex_5_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_5_1 = mesh_5.vertices.elementAt(1);
      expect(vertex_5_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_5_2 = mesh_5.vertices.elementAt(2);
      expect(vertex_5_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_5_3 = mesh_5.vertices.elementAt(3);
      expect(vertex_5_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_5_4 = mesh_5.vertices.elementAt(4);
      expect(vertex_5_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_5_5 = mesh_5.vertices.elementAt(5);
      expect(vertex_5_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_5_6 = mesh_5.vertices.elementAt(6);
      expect(vertex_5_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_5_7 = mesh_5.vertices.elementAt(7);
      expect(vertex_5_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_5_8 = mesh_5.vertices.elementAt(8);
      expect(vertex_5_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_5_9 = mesh_5.vertices.elementAt(9);
      expect(vertex_5_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_5_10 = mesh_5.vertices.elementAt(10);
      expect(vertex_5_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_5_11 = mesh_5.vertices.elementAt(11);
      expect(vertex_5_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_5_12 = mesh_5.vertices.elementAt(12);
      expect(vertex_5_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_5_13 = mesh_5.vertices.elementAt(13);
      expect(vertex_5_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_5_14 = mesh_5.vertices.elementAt(14);
      expect(vertex_5_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_5_15 = mesh_5.vertices.elementAt(15);
      expect(vertex_5_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_5_16 = mesh_5.vertices.elementAt(16);
      expect(vertex_5_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_5_17 = mesh_5.vertices.elementAt(17);
      expect(vertex_5_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_5_18 = mesh_5.vertices.elementAt(18);
      expect(vertex_5_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_5_19 = mesh_5.vertices.elementAt(19);
      expect(vertex_5_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_5_20 = mesh_5.vertices.elementAt(20);
      expect(vertex_5_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_5_21 = mesh_5.vertices.elementAt(21);
      expect(vertex_5_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_5_22 = mesh_5.vertices.elementAt(22);
      expect(vertex_5_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_5_23 = mesh_5.vertices.elementAt(23);
      expect(vertex_5_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_5.normals.length, equals(24));
      final normal_5_0 = mesh_5.normals.elementAt(0);
      expect(normal_5_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_5_1 = mesh_5.normals.elementAt(1);
      expect(normal_5_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_5_2 = mesh_5.normals.elementAt(2);
      expect(normal_5_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_5_3 = mesh_5.normals.elementAt(3);
      expect(normal_5_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_5_4 = mesh_5.normals.elementAt(4);
      expect(normal_5_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_5_5 = mesh_5.normals.elementAt(5);
      expect(normal_5_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_5_6 = mesh_5.normals.elementAt(6);
      expect(normal_5_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_5_7 = mesh_5.normals.elementAt(7);
      expect(normal_5_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_5_8 = mesh_5.normals.elementAt(8);
      expect(normal_5_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_5_9 = mesh_5.normals.elementAt(9);
      expect(normal_5_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_5_10 = mesh_5.normals.elementAt(10);
      expect(normal_5_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_5_11 = mesh_5.normals.elementAt(11);
      expect(normal_5_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_5_12 = mesh_5.normals.elementAt(12);
      expect(normal_5_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_5_13 = mesh_5.normals.elementAt(13);
      expect(normal_5_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_5_14 = mesh_5.normals.elementAt(14);
      expect(normal_5_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_5_15 = mesh_5.normals.elementAt(15);
      expect(normal_5_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_5_16 = mesh_5.normals.elementAt(16);
      expect(normal_5_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_5_17 = mesh_5.normals.elementAt(17);
      expect(normal_5_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_5_18 = mesh_5.normals.elementAt(18);
      expect(normal_5_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_5_19 = mesh_5.normals.elementAt(19);
      expect(normal_5_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_5_20 = mesh_5.normals.elementAt(20);
      expect(normal_5_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_5_21 = mesh_5.normals.elementAt(21);
      expect(normal_5_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_5_22 = mesh_5.normals.elementAt(22);
      expect(normal_5_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_5_23 = mesh_5.normals.elementAt(23);
      expect(normal_5_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_5.tangents.length, isZero);
      expect(mesh_5.bitangents.length, isZero);
      expect(mesh_5.colors.length, isZero);
      expect(mesh_5.textureCoords.length, equals(1));
      final textureCoords_5_0 = mesh_5.textureCoords.elementAt(0);
      expect(textureCoords_5_0.length, equals(24));
      final textureCoord_5_0_0 = textureCoords_5_0.elementAt(0);
      expect(textureCoord_5_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_1 = textureCoords_5_0.elementAt(1);
      expect(textureCoord_5_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_2 = textureCoords_5_0.elementAt(2);
      expect(textureCoord_5_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_3 = textureCoords_5_0.elementAt(3);
      expect(textureCoord_5_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_4 = textureCoords_5_0.elementAt(4);
      expect(textureCoord_5_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_5 = textureCoords_5_0.elementAt(5);
      expect(textureCoord_5_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_6 = textureCoords_5_0.elementAt(6);
      expect(textureCoord_5_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_7 = textureCoords_5_0.elementAt(7);
      expect(textureCoord_5_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_8 = textureCoords_5_0.elementAt(8);
      expect(textureCoord_5_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_9 = textureCoords_5_0.elementAt(9);
      expect(textureCoord_5_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_10 = textureCoords_5_0.elementAt(10);
      expect(textureCoord_5_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_11 = textureCoords_5_0.elementAt(11);
      expect(textureCoord_5_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_12 = textureCoords_5_0.elementAt(12);
      expect(textureCoord_5_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_13 = textureCoords_5_0.elementAt(13);
      expect(textureCoord_5_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_14 = textureCoords_5_0.elementAt(14);
      expect(textureCoord_5_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_15 = textureCoords_5_0.elementAt(15);
      expect(textureCoord_5_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_16 = textureCoords_5_0.elementAt(16);
      expect(textureCoord_5_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_17 = textureCoords_5_0.elementAt(17);
      expect(textureCoord_5_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_18 = textureCoords_5_0.elementAt(18);
      expect(textureCoord_5_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_19 = textureCoords_5_0.elementAt(19);
      expect(textureCoord_5_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_20 = textureCoords_5_0.elementAt(20);
      expect(textureCoord_5_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_21 = textureCoords_5_0.elementAt(21);
      expect(textureCoord_5_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_22 = textureCoords_5_0.elementAt(22);
      expect(textureCoord_5_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_23 = textureCoords_5_0.elementAt(23);
      expect(textureCoord_5_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_5.uvComponents.length, equals(1));
      expect(mesh_5.uvComponents, equals([2]));
      expect(mesh_5.faces.length, equals(6));
      expect(mesh_5.bones.length, isZero);
      expect(mesh_5.materialIndex, isZero);
      expect(mesh_5.name, equals('Box006Mesh'));
      expect(mesh_5.animMeshes.length, isZero);
      expect(mesh_5.morphingMethod, isZero);
      expect(mesh_5.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.primitiveTypes, equals(8));
      expect(mesh_6.vertices.length, equals(24));
      final vertex_6_0 = mesh_6.vertices.elementAt(0);
      expect(vertex_6_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_6_1 = mesh_6.vertices.elementAt(1);
      expect(vertex_6_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_6_2 = mesh_6.vertices.elementAt(2);
      expect(vertex_6_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_6_3 = mesh_6.vertices.elementAt(3);
      expect(vertex_6_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_6_4 = mesh_6.vertices.elementAt(4);
      expect(vertex_6_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_6_5 = mesh_6.vertices.elementAt(5);
      expect(vertex_6_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_6_6 = mesh_6.vertices.elementAt(6);
      expect(vertex_6_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_6_7 = mesh_6.vertices.elementAt(7);
      expect(vertex_6_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_6_8 = mesh_6.vertices.elementAt(8);
      expect(vertex_6_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_6_9 = mesh_6.vertices.elementAt(9);
      expect(vertex_6_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_6_10 = mesh_6.vertices.elementAt(10);
      expect(vertex_6_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_6_11 = mesh_6.vertices.elementAt(11);
      expect(vertex_6_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_6_12 = mesh_6.vertices.elementAt(12);
      expect(vertex_6_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_6_13 = mesh_6.vertices.elementAt(13);
      expect(vertex_6_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_6_14 = mesh_6.vertices.elementAt(14);
      expect(vertex_6_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_6_15 = mesh_6.vertices.elementAt(15);
      expect(vertex_6_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_6_16 = mesh_6.vertices.elementAt(16);
      expect(vertex_6_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_6_17 = mesh_6.vertices.elementAt(17);
      expect(vertex_6_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_6_18 = mesh_6.vertices.elementAt(18);
      expect(vertex_6_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_6_19 = mesh_6.vertices.elementAt(19);
      expect(vertex_6_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_6_20 = mesh_6.vertices.elementAt(20);
      expect(vertex_6_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_6_21 = mesh_6.vertices.elementAt(21);
      expect(vertex_6_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_6_22 = mesh_6.vertices.elementAt(22);
      expect(vertex_6_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_6_23 = mesh_6.vertices.elementAt(23);
      expect(vertex_6_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_6.normals.length, equals(24));
      final normal_6_0 = mesh_6.normals.elementAt(0);
      expect(normal_6_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_6_1 = mesh_6.normals.elementAt(1);
      expect(normal_6_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_6_2 = mesh_6.normals.elementAt(2);
      expect(normal_6_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_6_3 = mesh_6.normals.elementAt(3);
      expect(normal_6_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_6_4 = mesh_6.normals.elementAt(4);
      expect(normal_6_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_6_5 = mesh_6.normals.elementAt(5);
      expect(normal_6_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_6_6 = mesh_6.normals.elementAt(6);
      expect(normal_6_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_6_7 = mesh_6.normals.elementAt(7);
      expect(normal_6_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_6_8 = mesh_6.normals.elementAt(8);
      expect(normal_6_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_6_9 = mesh_6.normals.elementAt(9);
      expect(normal_6_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_6_10 = mesh_6.normals.elementAt(10);
      expect(normal_6_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_6_11 = mesh_6.normals.elementAt(11);
      expect(normal_6_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_6_12 = mesh_6.normals.elementAt(12);
      expect(normal_6_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_6_13 = mesh_6.normals.elementAt(13);
      expect(normal_6_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_6_14 = mesh_6.normals.elementAt(14);
      expect(normal_6_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_6_15 = mesh_6.normals.elementAt(15);
      expect(normal_6_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_6_16 = mesh_6.normals.elementAt(16);
      expect(normal_6_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_6_17 = mesh_6.normals.elementAt(17);
      expect(normal_6_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_6_18 = mesh_6.normals.elementAt(18);
      expect(normal_6_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_6_19 = mesh_6.normals.elementAt(19);
      expect(normal_6_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_6_20 = mesh_6.normals.elementAt(20);
      expect(normal_6_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_6_21 = mesh_6.normals.elementAt(21);
      expect(normal_6_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_6_22 = mesh_6.normals.elementAt(22);
      expect(normal_6_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_6_23 = mesh_6.normals.elementAt(23);
      expect(normal_6_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_6.tangents.length, isZero);
      expect(mesh_6.bitangents.length, isZero);
      expect(mesh_6.colors.length, isZero);
      expect(mesh_6.textureCoords.length, equals(1));
      final textureCoords_6_0 = mesh_6.textureCoords.elementAt(0);
      expect(textureCoords_6_0.length, equals(24));
      final textureCoord_6_0_0 = textureCoords_6_0.elementAt(0);
      expect(textureCoord_6_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_1 = textureCoords_6_0.elementAt(1);
      expect(textureCoord_6_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_2 = textureCoords_6_0.elementAt(2);
      expect(textureCoord_6_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_3 = textureCoords_6_0.elementAt(3);
      expect(textureCoord_6_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_4 = textureCoords_6_0.elementAt(4);
      expect(textureCoord_6_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_5 = textureCoords_6_0.elementAt(5);
      expect(textureCoord_6_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_6 = textureCoords_6_0.elementAt(6);
      expect(textureCoord_6_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_7 = textureCoords_6_0.elementAt(7);
      expect(textureCoord_6_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_8 = textureCoords_6_0.elementAt(8);
      expect(textureCoord_6_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_9 = textureCoords_6_0.elementAt(9);
      expect(textureCoord_6_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_10 = textureCoords_6_0.elementAt(10);
      expect(textureCoord_6_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_11 = textureCoords_6_0.elementAt(11);
      expect(textureCoord_6_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_12 = textureCoords_6_0.elementAt(12);
      expect(textureCoord_6_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_13 = textureCoords_6_0.elementAt(13);
      expect(textureCoord_6_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_14 = textureCoords_6_0.elementAt(14);
      expect(textureCoord_6_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_15 = textureCoords_6_0.elementAt(15);
      expect(textureCoord_6_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_16 = textureCoords_6_0.elementAt(16);
      expect(textureCoord_6_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_17 = textureCoords_6_0.elementAt(17);
      expect(textureCoord_6_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_18 = textureCoords_6_0.elementAt(18);
      expect(textureCoord_6_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_19 = textureCoords_6_0.elementAt(19);
      expect(textureCoord_6_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_20 = textureCoords_6_0.elementAt(20);
      expect(textureCoord_6_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_21 = textureCoords_6_0.elementAt(21);
      expect(textureCoord_6_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_22 = textureCoords_6_0.elementAt(22);
      expect(textureCoord_6_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_23 = textureCoords_6_0.elementAt(23);
      expect(textureCoord_6_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_6.uvComponents.length, equals(1));
      expect(mesh_6.uvComponents, equals([2]));
      expect(mesh_6.faces.length, equals(6));
      expect(mesh_6.bones.length, isZero);
      expect(mesh_6.materialIndex, isZero);
      expect(mesh_6.name, equals('Box007Mesh'));
      expect(mesh_6.animMeshes.length, isZero);
      expect(mesh_6.morphingMethod, isZero);
      expect(mesh_6.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.primitiveTypes, equals(8));
      expect(mesh_7.vertices.length, equals(24));
      final vertex_7_0 = mesh_7.vertices.elementAt(0);
      expect(vertex_7_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_7_1 = mesh_7.vertices.elementAt(1);
      expect(vertex_7_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_7_2 = mesh_7.vertices.elementAt(2);
      expect(vertex_7_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_7_3 = mesh_7.vertices.elementAt(3);
      expect(vertex_7_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_7_4 = mesh_7.vertices.elementAt(4);
      expect(vertex_7_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_7_5 = mesh_7.vertices.elementAt(5);
      expect(vertex_7_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_7_6 = mesh_7.vertices.elementAt(6);
      expect(vertex_7_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_7_7 = mesh_7.vertices.elementAt(7);
      expect(vertex_7_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_7_8 = mesh_7.vertices.elementAt(8);
      expect(vertex_7_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_7_9 = mesh_7.vertices.elementAt(9);
      expect(vertex_7_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_7_10 = mesh_7.vertices.elementAt(10);
      expect(vertex_7_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_7_11 = mesh_7.vertices.elementAt(11);
      expect(vertex_7_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_7_12 = mesh_7.vertices.elementAt(12);
      expect(vertex_7_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_7_13 = mesh_7.vertices.elementAt(13);
      expect(vertex_7_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_7_14 = mesh_7.vertices.elementAt(14);
      expect(vertex_7_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_7_15 = mesh_7.vertices.elementAt(15);
      expect(vertex_7_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_7_16 = mesh_7.vertices.elementAt(16);
      expect(vertex_7_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_7_17 = mesh_7.vertices.elementAt(17);
      expect(vertex_7_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_7_18 = mesh_7.vertices.elementAt(18);
      expect(vertex_7_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_7_19 = mesh_7.vertices.elementAt(19);
      expect(vertex_7_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_7_20 = mesh_7.vertices.elementAt(20);
      expect(vertex_7_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_7_21 = mesh_7.vertices.elementAt(21);
      expect(vertex_7_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_7_22 = mesh_7.vertices.elementAt(22);
      expect(vertex_7_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_7_23 = mesh_7.vertices.elementAt(23);
      expect(vertex_7_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_7.normals.length, equals(24));
      final normal_7_0 = mesh_7.normals.elementAt(0);
      expect(normal_7_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_7_1 = mesh_7.normals.elementAt(1);
      expect(normal_7_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_7_2 = mesh_7.normals.elementAt(2);
      expect(normal_7_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_7_3 = mesh_7.normals.elementAt(3);
      expect(normal_7_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_7_4 = mesh_7.normals.elementAt(4);
      expect(normal_7_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_7_5 = mesh_7.normals.elementAt(5);
      expect(normal_7_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_7_6 = mesh_7.normals.elementAt(6);
      expect(normal_7_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_7_7 = mesh_7.normals.elementAt(7);
      expect(normal_7_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_7_8 = mesh_7.normals.elementAt(8);
      expect(normal_7_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_7_9 = mesh_7.normals.elementAt(9);
      expect(normal_7_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_7_10 = mesh_7.normals.elementAt(10);
      expect(normal_7_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_7_11 = mesh_7.normals.elementAt(11);
      expect(normal_7_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_7_12 = mesh_7.normals.elementAt(12);
      expect(normal_7_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_7_13 = mesh_7.normals.elementAt(13);
      expect(normal_7_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_7_14 = mesh_7.normals.elementAt(14);
      expect(normal_7_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_7_15 = mesh_7.normals.elementAt(15);
      expect(normal_7_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_7_16 = mesh_7.normals.elementAt(16);
      expect(normal_7_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_7_17 = mesh_7.normals.elementAt(17);
      expect(normal_7_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_7_18 = mesh_7.normals.elementAt(18);
      expect(normal_7_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_7_19 = mesh_7.normals.elementAt(19);
      expect(normal_7_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_7_20 = mesh_7.normals.elementAt(20);
      expect(normal_7_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_7_21 = mesh_7.normals.elementAt(21);
      expect(normal_7_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_7_22 = mesh_7.normals.elementAt(22);
      expect(normal_7_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_7_23 = mesh_7.normals.elementAt(23);
      expect(normal_7_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_7.tangents.length, isZero);
      expect(mesh_7.bitangents.length, isZero);
      expect(mesh_7.colors.length, isZero);
      expect(mesh_7.textureCoords.length, equals(1));
      final textureCoords_7_0 = mesh_7.textureCoords.elementAt(0);
      expect(textureCoords_7_0.length, equals(24));
      final textureCoord_7_0_0 = textureCoords_7_0.elementAt(0);
      expect(textureCoord_7_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_1 = textureCoords_7_0.elementAt(1);
      expect(textureCoord_7_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_2 = textureCoords_7_0.elementAt(2);
      expect(textureCoord_7_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_3 = textureCoords_7_0.elementAt(3);
      expect(textureCoord_7_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_4 = textureCoords_7_0.elementAt(4);
      expect(textureCoord_7_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_5 = textureCoords_7_0.elementAt(5);
      expect(textureCoord_7_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_6 = textureCoords_7_0.elementAt(6);
      expect(textureCoord_7_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_7 = textureCoords_7_0.elementAt(7);
      expect(textureCoord_7_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_8 = textureCoords_7_0.elementAt(8);
      expect(textureCoord_7_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_9 = textureCoords_7_0.elementAt(9);
      expect(textureCoord_7_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_10 = textureCoords_7_0.elementAt(10);
      expect(textureCoord_7_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_11 = textureCoords_7_0.elementAt(11);
      expect(textureCoord_7_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_12 = textureCoords_7_0.elementAt(12);
      expect(textureCoord_7_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_13 = textureCoords_7_0.elementAt(13);
      expect(textureCoord_7_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_14 = textureCoords_7_0.elementAt(14);
      expect(textureCoord_7_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_15 = textureCoords_7_0.elementAt(15);
      expect(textureCoord_7_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_16 = textureCoords_7_0.elementAt(16);
      expect(textureCoord_7_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_17 = textureCoords_7_0.elementAt(17);
      expect(textureCoord_7_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_18 = textureCoords_7_0.elementAt(18);
      expect(textureCoord_7_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_19 = textureCoords_7_0.elementAt(19);
      expect(textureCoord_7_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_20 = textureCoords_7_0.elementAt(20);
      expect(textureCoord_7_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_21 = textureCoords_7_0.elementAt(21);
      expect(textureCoord_7_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_22 = textureCoords_7_0.elementAt(22);
      expect(textureCoord_7_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_23 = textureCoords_7_0.elementAt(23);
      expect(textureCoord_7_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_7.uvComponents.length, equals(1));
      expect(mesh_7.uvComponents, equals([2]));
      expect(mesh_7.faces.length, equals(6));
      expect(mesh_7.bones.length, isZero);
      expect(mesh_7.materialIndex, isZero);
      expect(mesh_7.name, equals('Box008Mesh'));
      expect(mesh_7.animMeshes.length, isZero);
      expect(mesh_7.morphingMethod, isZero);
      expect(mesh_7.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.primitiveTypes, equals(8));
      expect(mesh_8.vertices.length, equals(24));
      final vertex_8_0 = mesh_8.vertices.elementAt(0);
      expect(vertex_8_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_8_1 = mesh_8.vertices.elementAt(1);
      expect(vertex_8_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_8_2 = mesh_8.vertices.elementAt(2);
      expect(vertex_8_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_8_3 = mesh_8.vertices.elementAt(3);
      expect(vertex_8_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_8_4 = mesh_8.vertices.elementAt(4);
      expect(vertex_8_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_8_5 = mesh_8.vertices.elementAt(5);
      expect(vertex_8_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_8_6 = mesh_8.vertices.elementAt(6);
      expect(vertex_8_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_8_7 = mesh_8.vertices.elementAt(7);
      expect(vertex_8_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_8_8 = mesh_8.vertices.elementAt(8);
      expect(vertex_8_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_8_9 = mesh_8.vertices.elementAt(9);
      expect(vertex_8_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_8_10 = mesh_8.vertices.elementAt(10);
      expect(vertex_8_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_8_11 = mesh_8.vertices.elementAt(11);
      expect(vertex_8_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_8_12 = mesh_8.vertices.elementAt(12);
      expect(vertex_8_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_8_13 = mesh_8.vertices.elementAt(13);
      expect(vertex_8_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_8_14 = mesh_8.vertices.elementAt(14);
      expect(vertex_8_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_8_15 = mesh_8.vertices.elementAt(15);
      expect(vertex_8_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_8_16 = mesh_8.vertices.elementAt(16);
      expect(vertex_8_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_8_17 = mesh_8.vertices.elementAt(17);
      expect(vertex_8_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_8_18 = mesh_8.vertices.elementAt(18);
      expect(vertex_8_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_8_19 = mesh_8.vertices.elementAt(19);
      expect(vertex_8_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_8_20 = mesh_8.vertices.elementAt(20);
      expect(vertex_8_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_8_21 = mesh_8.vertices.elementAt(21);
      expect(vertex_8_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_8_22 = mesh_8.vertices.elementAt(22);
      expect(vertex_8_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_8_23 = mesh_8.vertices.elementAt(23);
      expect(vertex_8_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_8.normals.length, equals(24));
      final normal_8_0 = mesh_8.normals.elementAt(0);
      expect(normal_8_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_8_1 = mesh_8.normals.elementAt(1);
      expect(normal_8_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_8_2 = mesh_8.normals.elementAt(2);
      expect(normal_8_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_8_3 = mesh_8.normals.elementAt(3);
      expect(normal_8_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_8_4 = mesh_8.normals.elementAt(4);
      expect(normal_8_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_8_5 = mesh_8.normals.elementAt(5);
      expect(normal_8_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_8_6 = mesh_8.normals.elementAt(6);
      expect(normal_8_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_8_7 = mesh_8.normals.elementAt(7);
      expect(normal_8_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_8_8 = mesh_8.normals.elementAt(8);
      expect(normal_8_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_8_9 = mesh_8.normals.elementAt(9);
      expect(normal_8_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_8_10 = mesh_8.normals.elementAt(10);
      expect(normal_8_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_8_11 = mesh_8.normals.elementAt(11);
      expect(normal_8_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_8_12 = mesh_8.normals.elementAt(12);
      expect(normal_8_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_8_13 = mesh_8.normals.elementAt(13);
      expect(normal_8_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_8_14 = mesh_8.normals.elementAt(14);
      expect(normal_8_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_8_15 = mesh_8.normals.elementAt(15);
      expect(normal_8_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_8_16 = mesh_8.normals.elementAt(16);
      expect(normal_8_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_8_17 = mesh_8.normals.elementAt(17);
      expect(normal_8_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_8_18 = mesh_8.normals.elementAt(18);
      expect(normal_8_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_8_19 = mesh_8.normals.elementAt(19);
      expect(normal_8_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_8_20 = mesh_8.normals.elementAt(20);
      expect(normal_8_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_8_21 = mesh_8.normals.elementAt(21);
      expect(normal_8_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_8_22 = mesh_8.normals.elementAt(22);
      expect(normal_8_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_8_23 = mesh_8.normals.elementAt(23);
      expect(normal_8_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_8.tangents.length, isZero);
      expect(mesh_8.bitangents.length, isZero);
      expect(mesh_8.colors.length, isZero);
      expect(mesh_8.textureCoords.length, equals(1));
      final textureCoords_8_0 = mesh_8.textureCoords.elementAt(0);
      expect(textureCoords_8_0.length, equals(24));
      final textureCoord_8_0_0 = textureCoords_8_0.elementAt(0);
      expect(textureCoord_8_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_1 = textureCoords_8_0.elementAt(1);
      expect(textureCoord_8_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_2 = textureCoords_8_0.elementAt(2);
      expect(textureCoord_8_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_3 = textureCoords_8_0.elementAt(3);
      expect(textureCoord_8_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_4 = textureCoords_8_0.elementAt(4);
      expect(textureCoord_8_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_5 = textureCoords_8_0.elementAt(5);
      expect(textureCoord_8_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_6 = textureCoords_8_0.elementAt(6);
      expect(textureCoord_8_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_7 = textureCoords_8_0.elementAt(7);
      expect(textureCoord_8_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_8 = textureCoords_8_0.elementAt(8);
      expect(textureCoord_8_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_9 = textureCoords_8_0.elementAt(9);
      expect(textureCoord_8_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_10 = textureCoords_8_0.elementAt(10);
      expect(textureCoord_8_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_11 = textureCoords_8_0.elementAt(11);
      expect(textureCoord_8_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_12 = textureCoords_8_0.elementAt(12);
      expect(textureCoord_8_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_13 = textureCoords_8_0.elementAt(13);
      expect(textureCoord_8_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_14 = textureCoords_8_0.elementAt(14);
      expect(textureCoord_8_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_15 = textureCoords_8_0.elementAt(15);
      expect(textureCoord_8_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_16 = textureCoords_8_0.elementAt(16);
      expect(textureCoord_8_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_17 = textureCoords_8_0.elementAt(17);
      expect(textureCoord_8_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_18 = textureCoords_8_0.elementAt(18);
      expect(textureCoord_8_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_19 = textureCoords_8_0.elementAt(19);
      expect(textureCoord_8_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_20 = textureCoords_8_0.elementAt(20);
      expect(textureCoord_8_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_21 = textureCoords_8_0.elementAt(21);
      expect(textureCoord_8_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_22 = textureCoords_8_0.elementAt(22);
      expect(textureCoord_8_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_23 = textureCoords_8_0.elementAt(23);
      expect(textureCoord_8_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_8.uvComponents.length, equals(1));
      expect(mesh_8.uvComponents, equals([2]));
      expect(mesh_8.faces.length, equals(6));
      expect(mesh_8.bones.length, isZero);
      expect(mesh_8.materialIndex, isZero);
      expect(mesh_8.name, equals('Box009Mesh'));
      expect(mesh_8.animMeshes.length, isZero);
      expect(mesh_8.morphingMethod, isZero);
      expect(mesh_8.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.primitiveTypes, equals(8));
      expect(mesh_9.vertices.length, equals(24));
      final vertex_9_0 = mesh_9.vertices.elementAt(0);
      expect(vertex_9_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_9_1 = mesh_9.vertices.elementAt(1);
      expect(vertex_9_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_9_2 = mesh_9.vertices.elementAt(2);
      expect(vertex_9_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_9_3 = mesh_9.vertices.elementAt(3);
      expect(vertex_9_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_9_4 = mesh_9.vertices.elementAt(4);
      expect(vertex_9_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_9_5 = mesh_9.vertices.elementAt(5);
      expect(vertex_9_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_9_6 = mesh_9.vertices.elementAt(6);
      expect(vertex_9_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_9_7 = mesh_9.vertices.elementAt(7);
      expect(vertex_9_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_9_8 = mesh_9.vertices.elementAt(8);
      expect(vertex_9_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_9_9 = mesh_9.vertices.elementAt(9);
      expect(vertex_9_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_9_10 = mesh_9.vertices.elementAt(10);
      expect(vertex_9_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_9_11 = mesh_9.vertices.elementAt(11);
      expect(vertex_9_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_9_12 = mesh_9.vertices.elementAt(12);
      expect(vertex_9_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_9_13 = mesh_9.vertices.elementAt(13);
      expect(vertex_9_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_9_14 = mesh_9.vertices.elementAt(14);
      expect(vertex_9_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_9_15 = mesh_9.vertices.elementAt(15);
      expect(vertex_9_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_9_16 = mesh_9.vertices.elementAt(16);
      expect(vertex_9_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_9_17 = mesh_9.vertices.elementAt(17);
      expect(vertex_9_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_9_18 = mesh_9.vertices.elementAt(18);
      expect(vertex_9_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_9_19 = mesh_9.vertices.elementAt(19);
      expect(vertex_9_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_9_20 = mesh_9.vertices.elementAt(20);
      expect(vertex_9_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_9_21 = mesh_9.vertices.elementAt(21);
      expect(vertex_9_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_9_22 = mesh_9.vertices.elementAt(22);
      expect(vertex_9_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_9_23 = mesh_9.vertices.elementAt(23);
      expect(vertex_9_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_9.normals.length, equals(24));
      final normal_9_0 = mesh_9.normals.elementAt(0);
      expect(normal_9_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_9_1 = mesh_9.normals.elementAt(1);
      expect(normal_9_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_9_2 = mesh_9.normals.elementAt(2);
      expect(normal_9_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_9_3 = mesh_9.normals.elementAt(3);
      expect(normal_9_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_9_4 = mesh_9.normals.elementAt(4);
      expect(normal_9_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_9_5 = mesh_9.normals.elementAt(5);
      expect(normal_9_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_9_6 = mesh_9.normals.elementAt(6);
      expect(normal_9_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_9_7 = mesh_9.normals.elementAt(7);
      expect(normal_9_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_9_8 = mesh_9.normals.elementAt(8);
      expect(normal_9_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_9_9 = mesh_9.normals.elementAt(9);
      expect(normal_9_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_9_10 = mesh_9.normals.elementAt(10);
      expect(normal_9_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_9_11 = mesh_9.normals.elementAt(11);
      expect(normal_9_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_9_12 = mesh_9.normals.elementAt(12);
      expect(normal_9_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_9_13 = mesh_9.normals.elementAt(13);
      expect(normal_9_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_9_14 = mesh_9.normals.elementAt(14);
      expect(normal_9_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_9_15 = mesh_9.normals.elementAt(15);
      expect(normal_9_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_9_16 = mesh_9.normals.elementAt(16);
      expect(normal_9_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_9_17 = mesh_9.normals.elementAt(17);
      expect(normal_9_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_9_18 = mesh_9.normals.elementAt(18);
      expect(normal_9_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_9_19 = mesh_9.normals.elementAt(19);
      expect(normal_9_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_9_20 = mesh_9.normals.elementAt(20);
      expect(normal_9_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_9_21 = mesh_9.normals.elementAt(21);
      expect(normal_9_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_9_22 = mesh_9.normals.elementAt(22);
      expect(normal_9_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_9_23 = mesh_9.normals.elementAt(23);
      expect(normal_9_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_9.tangents.length, isZero);
      expect(mesh_9.bitangents.length, isZero);
      expect(mesh_9.colors.length, isZero);
      expect(mesh_9.textureCoords.length, equals(1));
      final textureCoords_9_0 = mesh_9.textureCoords.elementAt(0);
      expect(textureCoords_9_0.length, equals(24));
      final textureCoord_9_0_0 = textureCoords_9_0.elementAt(0);
      expect(textureCoord_9_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_1 = textureCoords_9_0.elementAt(1);
      expect(textureCoord_9_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_2 = textureCoords_9_0.elementAt(2);
      expect(textureCoord_9_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_3 = textureCoords_9_0.elementAt(3);
      expect(textureCoord_9_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_4 = textureCoords_9_0.elementAt(4);
      expect(textureCoord_9_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_5 = textureCoords_9_0.elementAt(5);
      expect(textureCoord_9_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_6 = textureCoords_9_0.elementAt(6);
      expect(textureCoord_9_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_7 = textureCoords_9_0.elementAt(7);
      expect(textureCoord_9_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_8 = textureCoords_9_0.elementAt(8);
      expect(textureCoord_9_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_9 = textureCoords_9_0.elementAt(9);
      expect(textureCoord_9_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_10 = textureCoords_9_0.elementAt(10);
      expect(textureCoord_9_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_11 = textureCoords_9_0.elementAt(11);
      expect(textureCoord_9_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_12 = textureCoords_9_0.elementAt(12);
      expect(textureCoord_9_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_13 = textureCoords_9_0.elementAt(13);
      expect(textureCoord_9_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_14 = textureCoords_9_0.elementAt(14);
      expect(textureCoord_9_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_15 = textureCoords_9_0.elementAt(15);
      expect(textureCoord_9_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_16 = textureCoords_9_0.elementAt(16);
      expect(textureCoord_9_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_17 = textureCoords_9_0.elementAt(17);
      expect(textureCoord_9_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_18 = textureCoords_9_0.elementAt(18);
      expect(textureCoord_9_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_19 = textureCoords_9_0.elementAt(19);
      expect(textureCoord_9_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_20 = textureCoords_9_0.elementAt(20);
      expect(textureCoord_9_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_21 = textureCoords_9_0.elementAt(21);
      expect(textureCoord_9_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_22 = textureCoords_9_0.elementAt(22);
      expect(textureCoord_9_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_23 = textureCoords_9_0.elementAt(23);
      expect(textureCoord_9_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_9.uvComponents.length, equals(1));
      expect(mesh_9.uvComponents, equals([2]));
      expect(mesh_9.faces.length, equals(6));
      expect(mesh_9.bones.length, isZero);
      expect(mesh_9.materialIndex, isZero);
      expect(mesh_9.name, equals('Box010Mesh'));
      expect(mesh_9.animMeshes.length, isZero);
      expect(mesh_9.morphingMethod, isZero);
      expect(mesh_9.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.primitiveTypes, equals(8));
      expect(mesh_10.vertices.length, equals(24));
      final vertex_10_0 = mesh_10.vertices.elementAt(0);
      expect(vertex_10_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_10_1 = mesh_10.vertices.elementAt(1);
      expect(vertex_10_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_10_2 = mesh_10.vertices.elementAt(2);
      expect(vertex_10_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_10_3 = mesh_10.vertices.elementAt(3);
      expect(vertex_10_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_10_4 = mesh_10.vertices.elementAt(4);
      expect(vertex_10_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_10_5 = mesh_10.vertices.elementAt(5);
      expect(vertex_10_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_10_6 = mesh_10.vertices.elementAt(6);
      expect(vertex_10_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_10_7 = mesh_10.vertices.elementAt(7);
      expect(vertex_10_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_10_8 = mesh_10.vertices.elementAt(8);
      expect(vertex_10_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_10_9 = mesh_10.vertices.elementAt(9);
      expect(vertex_10_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_10_10 = mesh_10.vertices.elementAt(10);
      expect(vertex_10_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_10_11 = mesh_10.vertices.elementAt(11);
      expect(vertex_10_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_10_12 = mesh_10.vertices.elementAt(12);
      expect(vertex_10_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_10_13 = mesh_10.vertices.elementAt(13);
      expect(vertex_10_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_10_14 = mesh_10.vertices.elementAt(14);
      expect(vertex_10_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_10_15 = mesh_10.vertices.elementAt(15);
      expect(vertex_10_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_10_16 = mesh_10.vertices.elementAt(16);
      expect(vertex_10_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_10_17 = mesh_10.vertices.elementAt(17);
      expect(vertex_10_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_10_18 = mesh_10.vertices.elementAt(18);
      expect(vertex_10_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_10_19 = mesh_10.vertices.elementAt(19);
      expect(vertex_10_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_10_20 = mesh_10.vertices.elementAt(20);
      expect(vertex_10_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_10_21 = mesh_10.vertices.elementAt(21);
      expect(vertex_10_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_10_22 = mesh_10.vertices.elementAt(22);
      expect(vertex_10_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_10_23 = mesh_10.vertices.elementAt(23);
      expect(vertex_10_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_10.normals.length, equals(24));
      final normal_10_0 = mesh_10.normals.elementAt(0);
      expect(normal_10_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_10_1 = mesh_10.normals.elementAt(1);
      expect(normal_10_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_10_2 = mesh_10.normals.elementAt(2);
      expect(normal_10_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_10_3 = mesh_10.normals.elementAt(3);
      expect(normal_10_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_10_4 = mesh_10.normals.elementAt(4);
      expect(normal_10_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_10_5 = mesh_10.normals.elementAt(5);
      expect(normal_10_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_10_6 = mesh_10.normals.elementAt(6);
      expect(normal_10_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_10_7 = mesh_10.normals.elementAt(7);
      expect(normal_10_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_10_8 = mesh_10.normals.elementAt(8);
      expect(normal_10_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_10_9 = mesh_10.normals.elementAt(9);
      expect(normal_10_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_10_10 = mesh_10.normals.elementAt(10);
      expect(normal_10_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_10_11 = mesh_10.normals.elementAt(11);
      expect(normal_10_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_10_12 = mesh_10.normals.elementAt(12);
      expect(normal_10_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_10_13 = mesh_10.normals.elementAt(13);
      expect(normal_10_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_10_14 = mesh_10.normals.elementAt(14);
      expect(normal_10_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_10_15 = mesh_10.normals.elementAt(15);
      expect(normal_10_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_10_16 = mesh_10.normals.elementAt(16);
      expect(normal_10_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_10_17 = mesh_10.normals.elementAt(17);
      expect(normal_10_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_10_18 = mesh_10.normals.elementAt(18);
      expect(normal_10_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_10_19 = mesh_10.normals.elementAt(19);
      expect(normal_10_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_10_20 = mesh_10.normals.elementAt(20);
      expect(normal_10_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_10_21 = mesh_10.normals.elementAt(21);
      expect(normal_10_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_10_22 = mesh_10.normals.elementAt(22);
      expect(normal_10_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_10_23 = mesh_10.normals.elementAt(23);
      expect(normal_10_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_10.tangents.length, isZero);
      expect(mesh_10.bitangents.length, isZero);
      expect(mesh_10.colors.length, isZero);
      expect(mesh_10.textureCoords.length, equals(1));
      final textureCoords_10_0 = mesh_10.textureCoords.elementAt(0);
      expect(textureCoords_10_0.length, equals(24));
      final textureCoord_10_0_0 = textureCoords_10_0.elementAt(0);
      expect(textureCoord_10_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_1 = textureCoords_10_0.elementAt(1);
      expect(textureCoord_10_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_2 = textureCoords_10_0.elementAt(2);
      expect(textureCoord_10_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_10_0_3 = textureCoords_10_0.elementAt(3);
      expect(textureCoord_10_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_4 = textureCoords_10_0.elementAt(4);
      expect(textureCoord_10_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_5 = textureCoords_10_0.elementAt(5);
      expect(textureCoord_10_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_6 = textureCoords_10_0.elementAt(6);
      expect(textureCoord_10_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_7 = textureCoords_10_0.elementAt(7);
      expect(textureCoord_10_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_10_0_8 = textureCoords_10_0.elementAt(8);
      expect(textureCoord_10_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_9 = textureCoords_10_0.elementAt(9);
      expect(textureCoord_10_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_10 = textureCoords_10_0.elementAt(10);
      expect(textureCoord_10_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_11 = textureCoords_10_0.elementAt(11);
      expect(textureCoord_10_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_10_0_12 = textureCoords_10_0.elementAt(12);
      expect(textureCoord_10_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_13 = textureCoords_10_0.elementAt(13);
      expect(textureCoord_10_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_14 = textureCoords_10_0.elementAt(14);
      expect(textureCoord_10_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_15 = textureCoords_10_0.elementAt(15);
      expect(textureCoord_10_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_10_0_16 = textureCoords_10_0.elementAt(16);
      expect(textureCoord_10_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_17 = textureCoords_10_0.elementAt(17);
      expect(textureCoord_10_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_18 = textureCoords_10_0.elementAt(18);
      expect(textureCoord_10_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_19 = textureCoords_10_0.elementAt(19);
      expect(textureCoord_10_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_10_0_20 = textureCoords_10_0.elementAt(20);
      expect(textureCoord_10_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_10_0_21 = textureCoords_10_0.elementAt(21);
      expect(textureCoord_10_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_10_0_22 = textureCoords_10_0.elementAt(22);
      expect(textureCoord_10_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_10_0_23 = textureCoords_10_0.elementAt(23);
      expect(textureCoord_10_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_10.uvComponents.length, equals(1));
      expect(mesh_10.uvComponents, equals([2]));
      expect(mesh_10.faces.length, equals(6));
      expect(mesh_10.bones.length, isZero);
      expect(mesh_10.materialIndex, isZero);
      expect(mesh_10.name, equals('Box011Mesh'));
      expect(mesh_10.animMeshes.length, isZero);
      expect(mesh_10.morphingMethod, isZero);
      expect(mesh_10.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.primitiveTypes, equals(8));
      expect(mesh_11.vertices.length, equals(24));
      final vertex_11_0 = mesh_11.vertices.elementAt(0);
      expect(vertex_11_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_11_1 = mesh_11.vertices.elementAt(1);
      expect(vertex_11_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_11_2 = mesh_11.vertices.elementAt(2);
      expect(vertex_11_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_11_3 = mesh_11.vertices.elementAt(3);
      expect(vertex_11_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_11_4 = mesh_11.vertices.elementAt(4);
      expect(vertex_11_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_11_5 = mesh_11.vertices.elementAt(5);
      expect(vertex_11_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_11_6 = mesh_11.vertices.elementAt(6);
      expect(vertex_11_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_11_7 = mesh_11.vertices.elementAt(7);
      expect(vertex_11_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_11_8 = mesh_11.vertices.elementAt(8);
      expect(vertex_11_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_11_9 = mesh_11.vertices.elementAt(9);
      expect(vertex_11_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_11_10 = mesh_11.vertices.elementAt(10);
      expect(vertex_11_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_11_11 = mesh_11.vertices.elementAt(11);
      expect(vertex_11_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_11_12 = mesh_11.vertices.elementAt(12);
      expect(vertex_11_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_11_13 = mesh_11.vertices.elementAt(13);
      expect(vertex_11_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_11_14 = mesh_11.vertices.elementAt(14);
      expect(vertex_11_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_11_15 = mesh_11.vertices.elementAt(15);
      expect(vertex_11_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_11_16 = mesh_11.vertices.elementAt(16);
      expect(vertex_11_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_11_17 = mesh_11.vertices.elementAt(17);
      expect(vertex_11_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_11_18 = mesh_11.vertices.elementAt(18);
      expect(vertex_11_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_11_19 = mesh_11.vertices.elementAt(19);
      expect(vertex_11_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_11_20 = mesh_11.vertices.elementAt(20);
      expect(vertex_11_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_11_21 = mesh_11.vertices.elementAt(21);
      expect(vertex_11_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_11_22 = mesh_11.vertices.elementAt(22);
      expect(vertex_11_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_11_23 = mesh_11.vertices.elementAt(23);
      expect(vertex_11_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_11.normals.length, equals(24));
      final normal_11_0 = mesh_11.normals.elementAt(0);
      expect(normal_11_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_11_1 = mesh_11.normals.elementAt(1);
      expect(normal_11_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_11_2 = mesh_11.normals.elementAt(2);
      expect(normal_11_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_11_3 = mesh_11.normals.elementAt(3);
      expect(normal_11_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_11_4 = mesh_11.normals.elementAt(4);
      expect(normal_11_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_11_5 = mesh_11.normals.elementAt(5);
      expect(normal_11_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_11_6 = mesh_11.normals.elementAt(6);
      expect(normal_11_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_11_7 = mesh_11.normals.elementAt(7);
      expect(normal_11_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_11_8 = mesh_11.normals.elementAt(8);
      expect(normal_11_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_11_9 = mesh_11.normals.elementAt(9);
      expect(normal_11_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_11_10 = mesh_11.normals.elementAt(10);
      expect(normal_11_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_11_11 = mesh_11.normals.elementAt(11);
      expect(normal_11_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_11_12 = mesh_11.normals.elementAt(12);
      expect(normal_11_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_11_13 = mesh_11.normals.elementAt(13);
      expect(normal_11_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_11_14 = mesh_11.normals.elementAt(14);
      expect(normal_11_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_11_15 = mesh_11.normals.elementAt(15);
      expect(normal_11_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_11_16 = mesh_11.normals.elementAt(16);
      expect(normal_11_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_11_17 = mesh_11.normals.elementAt(17);
      expect(normal_11_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_11_18 = mesh_11.normals.elementAt(18);
      expect(normal_11_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_11_19 = mesh_11.normals.elementAt(19);
      expect(normal_11_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_11_20 = mesh_11.normals.elementAt(20);
      expect(normal_11_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_11_21 = mesh_11.normals.elementAt(21);
      expect(normal_11_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_11_22 = mesh_11.normals.elementAt(22);
      expect(normal_11_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_11_23 = mesh_11.normals.elementAt(23);
      expect(normal_11_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_11.tangents.length, isZero);
      expect(mesh_11.bitangents.length, isZero);
      expect(mesh_11.colors.length, isZero);
      expect(mesh_11.textureCoords.length, equals(1));
      final textureCoords_11_0 = mesh_11.textureCoords.elementAt(0);
      expect(textureCoords_11_0.length, equals(24));
      final textureCoord_11_0_0 = textureCoords_11_0.elementAt(0);
      expect(textureCoord_11_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_1 = textureCoords_11_0.elementAt(1);
      expect(textureCoord_11_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_2 = textureCoords_11_0.elementAt(2);
      expect(textureCoord_11_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_11_0_3 = textureCoords_11_0.elementAt(3);
      expect(textureCoord_11_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_4 = textureCoords_11_0.elementAt(4);
      expect(textureCoord_11_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_5 = textureCoords_11_0.elementAt(5);
      expect(textureCoord_11_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_6 = textureCoords_11_0.elementAt(6);
      expect(textureCoord_11_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_7 = textureCoords_11_0.elementAt(7);
      expect(textureCoord_11_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_11_0_8 = textureCoords_11_0.elementAt(8);
      expect(textureCoord_11_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_9 = textureCoords_11_0.elementAt(9);
      expect(textureCoord_11_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_10 = textureCoords_11_0.elementAt(10);
      expect(textureCoord_11_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_11 = textureCoords_11_0.elementAt(11);
      expect(textureCoord_11_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_11_0_12 = textureCoords_11_0.elementAt(12);
      expect(textureCoord_11_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_13 = textureCoords_11_0.elementAt(13);
      expect(textureCoord_11_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_14 = textureCoords_11_0.elementAt(14);
      expect(textureCoord_11_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_15 = textureCoords_11_0.elementAt(15);
      expect(textureCoord_11_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_11_0_16 = textureCoords_11_0.elementAt(16);
      expect(textureCoord_11_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_17 = textureCoords_11_0.elementAt(17);
      expect(textureCoord_11_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_18 = textureCoords_11_0.elementAt(18);
      expect(textureCoord_11_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_19 = textureCoords_11_0.elementAt(19);
      expect(textureCoord_11_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_11_0_20 = textureCoords_11_0.elementAt(20);
      expect(textureCoord_11_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_11_0_21 = textureCoords_11_0.elementAt(21);
      expect(textureCoord_11_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_11_0_22 = textureCoords_11_0.elementAt(22);
      expect(textureCoord_11_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_11_0_23 = textureCoords_11_0.elementAt(23);
      expect(textureCoord_11_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_11.uvComponents.length, equals(1));
      expect(mesh_11.uvComponents, equals([2]));
      expect(mesh_11.faces.length, equals(6));
      expect(mesh_11.bones.length, isZero);
      expect(mesh_11.materialIndex, isZero);
      expect(mesh_11.name, equals('Box012Mesh'));
      expect(mesh_11.animMeshes.length, isZero);
      expect(mesh_11.morphingMethod, isZero);
      expect(mesh_11.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.primitiveTypes, equals(8));
      expect(mesh_12.vertices.length, equals(24));
      final vertex_12_0 = mesh_12.vertices.elementAt(0);
      expect(vertex_12_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_12_1 = mesh_12.vertices.elementAt(1);
      expect(vertex_12_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_12_2 = mesh_12.vertices.elementAt(2);
      expect(vertex_12_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_12_3 = mesh_12.vertices.elementAt(3);
      expect(vertex_12_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_12_4 = mesh_12.vertices.elementAt(4);
      expect(vertex_12_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_12_5 = mesh_12.vertices.elementAt(5);
      expect(vertex_12_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_12_6 = mesh_12.vertices.elementAt(6);
      expect(vertex_12_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_12_7 = mesh_12.vertices.elementAt(7);
      expect(vertex_12_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_12_8 = mesh_12.vertices.elementAt(8);
      expect(vertex_12_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_12_9 = mesh_12.vertices.elementAt(9);
      expect(vertex_12_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_12_10 = mesh_12.vertices.elementAt(10);
      expect(vertex_12_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_12_11 = mesh_12.vertices.elementAt(11);
      expect(vertex_12_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_12_12 = mesh_12.vertices.elementAt(12);
      expect(vertex_12_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_12_13 = mesh_12.vertices.elementAt(13);
      expect(vertex_12_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_12_14 = mesh_12.vertices.elementAt(14);
      expect(vertex_12_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_12_15 = mesh_12.vertices.elementAt(15);
      expect(vertex_12_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_12_16 = mesh_12.vertices.elementAt(16);
      expect(vertex_12_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_12_17 = mesh_12.vertices.elementAt(17);
      expect(vertex_12_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_12_18 = mesh_12.vertices.elementAt(18);
      expect(vertex_12_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_12_19 = mesh_12.vertices.elementAt(19);
      expect(vertex_12_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_12_20 = mesh_12.vertices.elementAt(20);
      expect(vertex_12_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_12_21 = mesh_12.vertices.elementAt(21);
      expect(vertex_12_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_12_22 = mesh_12.vertices.elementAt(22);
      expect(vertex_12_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_12_23 = mesh_12.vertices.elementAt(23);
      expect(vertex_12_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_12.normals.length, equals(24));
      final normal_12_0 = mesh_12.normals.elementAt(0);
      expect(normal_12_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_12_1 = mesh_12.normals.elementAt(1);
      expect(normal_12_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_12_2 = mesh_12.normals.elementAt(2);
      expect(normal_12_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_12_3 = mesh_12.normals.elementAt(3);
      expect(normal_12_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_12_4 = mesh_12.normals.elementAt(4);
      expect(normal_12_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_12_5 = mesh_12.normals.elementAt(5);
      expect(normal_12_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_12_6 = mesh_12.normals.elementAt(6);
      expect(normal_12_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_12_7 = mesh_12.normals.elementAt(7);
      expect(normal_12_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_12_8 = mesh_12.normals.elementAt(8);
      expect(normal_12_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_12_9 = mesh_12.normals.elementAt(9);
      expect(normal_12_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_12_10 = mesh_12.normals.elementAt(10);
      expect(normal_12_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_12_11 = mesh_12.normals.elementAt(11);
      expect(normal_12_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_12_12 = mesh_12.normals.elementAt(12);
      expect(normal_12_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_12_13 = mesh_12.normals.elementAt(13);
      expect(normal_12_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_12_14 = mesh_12.normals.elementAt(14);
      expect(normal_12_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_12_15 = mesh_12.normals.elementAt(15);
      expect(normal_12_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_12_16 = mesh_12.normals.elementAt(16);
      expect(normal_12_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_12_17 = mesh_12.normals.elementAt(17);
      expect(normal_12_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_12_18 = mesh_12.normals.elementAt(18);
      expect(normal_12_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_12_19 = mesh_12.normals.elementAt(19);
      expect(normal_12_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_12_20 = mesh_12.normals.elementAt(20);
      expect(normal_12_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_12_21 = mesh_12.normals.elementAt(21);
      expect(normal_12_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_12_22 = mesh_12.normals.elementAt(22);
      expect(normal_12_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_12_23 = mesh_12.normals.elementAt(23);
      expect(normal_12_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_12.tangents.length, isZero);
      expect(mesh_12.bitangents.length, isZero);
      expect(mesh_12.colors.length, isZero);
      expect(mesh_12.textureCoords.length, equals(1));
      final textureCoords_12_0 = mesh_12.textureCoords.elementAt(0);
      expect(textureCoords_12_0.length, equals(24));
      final textureCoord_12_0_0 = textureCoords_12_0.elementAt(0);
      expect(textureCoord_12_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_1 = textureCoords_12_0.elementAt(1);
      expect(textureCoord_12_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_2 = textureCoords_12_0.elementAt(2);
      expect(textureCoord_12_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_3 = textureCoords_12_0.elementAt(3);
      expect(textureCoord_12_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_4 = textureCoords_12_0.elementAt(4);
      expect(textureCoord_12_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_5 = textureCoords_12_0.elementAt(5);
      expect(textureCoord_12_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_6 = textureCoords_12_0.elementAt(6);
      expect(textureCoord_12_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_7 = textureCoords_12_0.elementAt(7);
      expect(textureCoord_12_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_8 = textureCoords_12_0.elementAt(8);
      expect(textureCoord_12_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_9 = textureCoords_12_0.elementAt(9);
      expect(textureCoord_12_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_10 = textureCoords_12_0.elementAt(10);
      expect(textureCoord_12_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_11 = textureCoords_12_0.elementAt(11);
      expect(textureCoord_12_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_12 = textureCoords_12_0.elementAt(12);
      expect(textureCoord_12_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_13 = textureCoords_12_0.elementAt(13);
      expect(textureCoord_12_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_14 = textureCoords_12_0.elementAt(14);
      expect(textureCoord_12_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_15 = textureCoords_12_0.elementAt(15);
      expect(textureCoord_12_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_16 = textureCoords_12_0.elementAt(16);
      expect(textureCoord_12_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_17 = textureCoords_12_0.elementAt(17);
      expect(textureCoord_12_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_18 = textureCoords_12_0.elementAt(18);
      expect(textureCoord_12_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_19 = textureCoords_12_0.elementAt(19);
      expect(textureCoord_12_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_20 = textureCoords_12_0.elementAt(20);
      expect(textureCoord_12_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_21 = textureCoords_12_0.elementAt(21);
      expect(textureCoord_12_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_12_0_22 = textureCoords_12_0.elementAt(22);
      expect(textureCoord_12_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_12_0_23 = textureCoords_12_0.elementAt(23);
      expect(textureCoord_12_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_12.uvComponents.length, equals(1));
      expect(mesh_12.uvComponents, equals([2]));
      expect(mesh_12.faces.length, equals(6));
      expect(mesh_12.bones.length, isZero);
      expect(mesh_12.materialIndex, isZero);
      expect(mesh_12.name, equals('Box013Mesh'));
      expect(mesh_12.animMeshes.length, isZero);
      expect(mesh_12.morphingMethod, isZero);
      expect(mesh_12.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.primitiveTypes, equals(8));
      expect(mesh_13.vertices.length, equals(24));
      final vertex_13_0 = mesh_13.vertices.elementAt(0);
      expect(vertex_13_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_13_1 = mesh_13.vertices.elementAt(1);
      expect(vertex_13_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_13_2 = mesh_13.vertices.elementAt(2);
      expect(vertex_13_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_13_3 = mesh_13.vertices.elementAt(3);
      expect(vertex_13_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_13_4 = mesh_13.vertices.elementAt(4);
      expect(vertex_13_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_13_5 = mesh_13.vertices.elementAt(5);
      expect(vertex_13_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_13_6 = mesh_13.vertices.elementAt(6);
      expect(vertex_13_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_13_7 = mesh_13.vertices.elementAt(7);
      expect(vertex_13_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_13_8 = mesh_13.vertices.elementAt(8);
      expect(vertex_13_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_13_9 = mesh_13.vertices.elementAt(9);
      expect(vertex_13_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_13_10 = mesh_13.vertices.elementAt(10);
      expect(vertex_13_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_13_11 = mesh_13.vertices.elementAt(11);
      expect(vertex_13_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_13_12 = mesh_13.vertices.elementAt(12);
      expect(vertex_13_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_13_13 = mesh_13.vertices.elementAt(13);
      expect(vertex_13_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_13_14 = mesh_13.vertices.elementAt(14);
      expect(vertex_13_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_13_15 = mesh_13.vertices.elementAt(15);
      expect(vertex_13_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_13_16 = mesh_13.vertices.elementAt(16);
      expect(vertex_13_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_13_17 = mesh_13.vertices.elementAt(17);
      expect(vertex_13_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_13_18 = mesh_13.vertices.elementAt(18);
      expect(vertex_13_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_13_19 = mesh_13.vertices.elementAt(19);
      expect(vertex_13_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_13_20 = mesh_13.vertices.elementAt(20);
      expect(vertex_13_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_13_21 = mesh_13.vertices.elementAt(21);
      expect(vertex_13_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_13_22 = mesh_13.vertices.elementAt(22);
      expect(vertex_13_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_13_23 = mesh_13.vertices.elementAt(23);
      expect(vertex_13_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_13.normals.length, equals(24));
      final normal_13_0 = mesh_13.normals.elementAt(0);
      expect(normal_13_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_13_1 = mesh_13.normals.elementAt(1);
      expect(normal_13_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_13_2 = mesh_13.normals.elementAt(2);
      expect(normal_13_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_13_3 = mesh_13.normals.elementAt(3);
      expect(normal_13_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_13_4 = mesh_13.normals.elementAt(4);
      expect(normal_13_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_13_5 = mesh_13.normals.elementAt(5);
      expect(normal_13_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_13_6 = mesh_13.normals.elementAt(6);
      expect(normal_13_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_13_7 = mesh_13.normals.elementAt(7);
      expect(normal_13_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_13_8 = mesh_13.normals.elementAt(8);
      expect(normal_13_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_13_9 = mesh_13.normals.elementAt(9);
      expect(normal_13_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_13_10 = mesh_13.normals.elementAt(10);
      expect(normal_13_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_13_11 = mesh_13.normals.elementAt(11);
      expect(normal_13_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_13_12 = mesh_13.normals.elementAt(12);
      expect(normal_13_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_13_13 = mesh_13.normals.elementAt(13);
      expect(normal_13_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_13_14 = mesh_13.normals.elementAt(14);
      expect(normal_13_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_13_15 = mesh_13.normals.elementAt(15);
      expect(normal_13_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_13_16 = mesh_13.normals.elementAt(16);
      expect(normal_13_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_13_17 = mesh_13.normals.elementAt(17);
      expect(normal_13_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_13_18 = mesh_13.normals.elementAt(18);
      expect(normal_13_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_13_19 = mesh_13.normals.elementAt(19);
      expect(normal_13_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_13_20 = mesh_13.normals.elementAt(20);
      expect(normal_13_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_13_21 = mesh_13.normals.elementAt(21);
      expect(normal_13_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_13_22 = mesh_13.normals.elementAt(22);
      expect(normal_13_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_13_23 = mesh_13.normals.elementAt(23);
      expect(normal_13_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_13.tangents.length, isZero);
      expect(mesh_13.bitangents.length, isZero);
      expect(mesh_13.colors.length, isZero);
      expect(mesh_13.textureCoords.length, equals(1));
      final textureCoords_13_0 = mesh_13.textureCoords.elementAt(0);
      expect(textureCoords_13_0.length, equals(24));
      final textureCoord_13_0_0 = textureCoords_13_0.elementAt(0);
      expect(textureCoord_13_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_1 = textureCoords_13_0.elementAt(1);
      expect(textureCoord_13_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_2 = textureCoords_13_0.elementAt(2);
      expect(textureCoord_13_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_13_0_3 = textureCoords_13_0.elementAt(3);
      expect(textureCoord_13_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_4 = textureCoords_13_0.elementAt(4);
      expect(textureCoord_13_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_5 = textureCoords_13_0.elementAt(5);
      expect(textureCoord_13_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_6 = textureCoords_13_0.elementAt(6);
      expect(textureCoord_13_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_7 = textureCoords_13_0.elementAt(7);
      expect(textureCoord_13_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_13_0_8 = textureCoords_13_0.elementAt(8);
      expect(textureCoord_13_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_9 = textureCoords_13_0.elementAt(9);
      expect(textureCoord_13_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_10 = textureCoords_13_0.elementAt(10);
      expect(textureCoord_13_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_11 = textureCoords_13_0.elementAt(11);
      expect(textureCoord_13_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_13_0_12 = textureCoords_13_0.elementAt(12);
      expect(textureCoord_13_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_13 = textureCoords_13_0.elementAt(13);
      expect(textureCoord_13_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_14 = textureCoords_13_0.elementAt(14);
      expect(textureCoord_13_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_15 = textureCoords_13_0.elementAt(15);
      expect(textureCoord_13_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_13_0_16 = textureCoords_13_0.elementAt(16);
      expect(textureCoord_13_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_17 = textureCoords_13_0.elementAt(17);
      expect(textureCoord_13_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_18 = textureCoords_13_0.elementAt(18);
      expect(textureCoord_13_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_19 = textureCoords_13_0.elementAt(19);
      expect(textureCoord_13_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_13_0_20 = textureCoords_13_0.elementAt(20);
      expect(textureCoord_13_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_13_0_21 = textureCoords_13_0.elementAt(21);
      expect(textureCoord_13_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_13_0_22 = textureCoords_13_0.elementAt(22);
      expect(textureCoord_13_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_13_0_23 = textureCoords_13_0.elementAt(23);
      expect(textureCoord_13_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_13.uvComponents.length, equals(1));
      expect(mesh_13.uvComponents, equals([2]));
      expect(mesh_13.faces.length, equals(6));
      expect(mesh_13.bones.length, isZero);
      expect(mesh_13.materialIndex, isZero);
      expect(mesh_13.name, equals('Box014Mesh'));
      expect(mesh_13.animMeshes.length, isZero);
      expect(mesh_13.morphingMethod, isZero);
      expect(mesh_13.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.primitiveTypes, equals(8));
      expect(mesh_14.vertices.length, equals(24));
      final vertex_14_0 = mesh_14.vertices.elementAt(0);
      expect(vertex_14_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_14_1 = mesh_14.vertices.elementAt(1);
      expect(vertex_14_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_14_2 = mesh_14.vertices.elementAt(2);
      expect(vertex_14_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_14_3 = mesh_14.vertices.elementAt(3);
      expect(vertex_14_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_14_4 = mesh_14.vertices.elementAt(4);
      expect(vertex_14_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_14_5 = mesh_14.vertices.elementAt(5);
      expect(vertex_14_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_14_6 = mesh_14.vertices.elementAt(6);
      expect(vertex_14_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_14_7 = mesh_14.vertices.elementAt(7);
      expect(vertex_14_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_14_8 = mesh_14.vertices.elementAt(8);
      expect(vertex_14_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_14_9 = mesh_14.vertices.elementAt(9);
      expect(vertex_14_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_14_10 = mesh_14.vertices.elementAt(10);
      expect(vertex_14_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_14_11 = mesh_14.vertices.elementAt(11);
      expect(vertex_14_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_14_12 = mesh_14.vertices.elementAt(12);
      expect(vertex_14_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_14_13 = mesh_14.vertices.elementAt(13);
      expect(vertex_14_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_14_14 = mesh_14.vertices.elementAt(14);
      expect(vertex_14_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_14_15 = mesh_14.vertices.elementAt(15);
      expect(vertex_14_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_14_16 = mesh_14.vertices.elementAt(16);
      expect(vertex_14_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_14_17 = mesh_14.vertices.elementAt(17);
      expect(vertex_14_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_14_18 = mesh_14.vertices.elementAt(18);
      expect(vertex_14_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_14_19 = mesh_14.vertices.elementAt(19);
      expect(vertex_14_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_14_20 = mesh_14.vertices.elementAt(20);
      expect(vertex_14_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_14_21 = mesh_14.vertices.elementAt(21);
      expect(vertex_14_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_14_22 = mesh_14.vertices.elementAt(22);
      expect(vertex_14_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_14_23 = mesh_14.vertices.elementAt(23);
      expect(vertex_14_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_14.normals.length, equals(24));
      final normal_14_0 = mesh_14.normals.elementAt(0);
      expect(normal_14_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_14_1 = mesh_14.normals.elementAt(1);
      expect(normal_14_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_14_2 = mesh_14.normals.elementAt(2);
      expect(normal_14_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_14_3 = mesh_14.normals.elementAt(3);
      expect(normal_14_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_14_4 = mesh_14.normals.elementAt(4);
      expect(normal_14_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_14_5 = mesh_14.normals.elementAt(5);
      expect(normal_14_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_14_6 = mesh_14.normals.elementAt(6);
      expect(normal_14_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_14_7 = mesh_14.normals.elementAt(7);
      expect(normal_14_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_14_8 = mesh_14.normals.elementAt(8);
      expect(normal_14_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_14_9 = mesh_14.normals.elementAt(9);
      expect(normal_14_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_14_10 = mesh_14.normals.elementAt(10);
      expect(normal_14_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_14_11 = mesh_14.normals.elementAt(11);
      expect(normal_14_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_14_12 = mesh_14.normals.elementAt(12);
      expect(normal_14_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_14_13 = mesh_14.normals.elementAt(13);
      expect(normal_14_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_14_14 = mesh_14.normals.elementAt(14);
      expect(normal_14_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_14_15 = mesh_14.normals.elementAt(15);
      expect(normal_14_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_14_16 = mesh_14.normals.elementAt(16);
      expect(normal_14_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_14_17 = mesh_14.normals.elementAt(17);
      expect(normal_14_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_14_18 = mesh_14.normals.elementAt(18);
      expect(normal_14_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_14_19 = mesh_14.normals.elementAt(19);
      expect(normal_14_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_14_20 = mesh_14.normals.elementAt(20);
      expect(normal_14_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_14_21 = mesh_14.normals.elementAt(21);
      expect(normal_14_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_14_22 = mesh_14.normals.elementAt(22);
      expect(normal_14_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_14_23 = mesh_14.normals.elementAt(23);
      expect(normal_14_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_14.tangents.length, isZero);
      expect(mesh_14.bitangents.length, isZero);
      expect(mesh_14.colors.length, isZero);
      expect(mesh_14.textureCoords.length, equals(1));
      final textureCoords_14_0 = mesh_14.textureCoords.elementAt(0);
      expect(textureCoords_14_0.length, equals(24));
      final textureCoord_14_0_0 = textureCoords_14_0.elementAt(0);
      expect(textureCoord_14_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_1 = textureCoords_14_0.elementAt(1);
      expect(textureCoord_14_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_2 = textureCoords_14_0.elementAt(2);
      expect(textureCoord_14_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_14_0_3 = textureCoords_14_0.elementAt(3);
      expect(textureCoord_14_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_4 = textureCoords_14_0.elementAt(4);
      expect(textureCoord_14_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_5 = textureCoords_14_0.elementAt(5);
      expect(textureCoord_14_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_6 = textureCoords_14_0.elementAt(6);
      expect(textureCoord_14_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_7 = textureCoords_14_0.elementAt(7);
      expect(textureCoord_14_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_14_0_8 = textureCoords_14_0.elementAt(8);
      expect(textureCoord_14_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_9 = textureCoords_14_0.elementAt(9);
      expect(textureCoord_14_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_10 = textureCoords_14_0.elementAt(10);
      expect(textureCoord_14_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_11 = textureCoords_14_0.elementAt(11);
      expect(textureCoord_14_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_14_0_12 = textureCoords_14_0.elementAt(12);
      expect(textureCoord_14_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_13 = textureCoords_14_0.elementAt(13);
      expect(textureCoord_14_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_14 = textureCoords_14_0.elementAt(14);
      expect(textureCoord_14_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_15 = textureCoords_14_0.elementAt(15);
      expect(textureCoord_14_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_14_0_16 = textureCoords_14_0.elementAt(16);
      expect(textureCoord_14_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_17 = textureCoords_14_0.elementAt(17);
      expect(textureCoord_14_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_18 = textureCoords_14_0.elementAt(18);
      expect(textureCoord_14_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_19 = textureCoords_14_0.elementAt(19);
      expect(textureCoord_14_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_14_0_20 = textureCoords_14_0.elementAt(20);
      expect(textureCoord_14_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_14_0_21 = textureCoords_14_0.elementAt(21);
      expect(textureCoord_14_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_22 = textureCoords_14_0.elementAt(22);
      expect(textureCoord_14_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_23 = textureCoords_14_0.elementAt(23);
      expect(textureCoord_14_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_14.uvComponents.length, equals(1));
      expect(mesh_14.uvComponents, equals([2]));
      expect(mesh_14.faces.length, equals(6));
      expect(mesh_14.bones.length, isZero);
      expect(mesh_14.materialIndex, isZero);
      expect(mesh_14.name, equals('Box015Mesh'));
      expect(mesh_14.animMeshes.length, isZero);
      expect(mesh_14.morphingMethod, isZero);
      expect(mesh_14.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.primitiveTypes, equals(8));
      expect(mesh_15.vertices.length, equals(24));
      final vertex_15_0 = mesh_15.vertices.elementAt(0);
      expect(vertex_15_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_15_1 = mesh_15.vertices.elementAt(1);
      expect(vertex_15_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_15_2 = mesh_15.vertices.elementAt(2);
      expect(vertex_15_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_15_3 = mesh_15.vertices.elementAt(3);
      expect(vertex_15_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_15_4 = mesh_15.vertices.elementAt(4);
      expect(vertex_15_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_15_5 = mesh_15.vertices.elementAt(5);
      expect(vertex_15_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_15_6 = mesh_15.vertices.elementAt(6);
      expect(vertex_15_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_15_7 = mesh_15.vertices.elementAt(7);
      expect(vertex_15_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_15_8 = mesh_15.vertices.elementAt(8);
      expect(vertex_15_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_15_9 = mesh_15.vertices.elementAt(9);
      expect(vertex_15_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_15_10 = mesh_15.vertices.elementAt(10);
      expect(vertex_15_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_15_11 = mesh_15.vertices.elementAt(11);
      expect(vertex_15_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_15_12 = mesh_15.vertices.elementAt(12);
      expect(vertex_15_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_15_13 = mesh_15.vertices.elementAt(13);
      expect(vertex_15_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_15_14 = mesh_15.vertices.elementAt(14);
      expect(vertex_15_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_15_15 = mesh_15.vertices.elementAt(15);
      expect(vertex_15_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_15_16 = mesh_15.vertices.elementAt(16);
      expect(vertex_15_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_15_17 = mesh_15.vertices.elementAt(17);
      expect(vertex_15_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_15_18 = mesh_15.vertices.elementAt(18);
      expect(vertex_15_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_15_19 = mesh_15.vertices.elementAt(19);
      expect(vertex_15_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_15_20 = mesh_15.vertices.elementAt(20);
      expect(vertex_15_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_15_21 = mesh_15.vertices.elementAt(21);
      expect(vertex_15_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_15_22 = mesh_15.vertices.elementAt(22);
      expect(vertex_15_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_15_23 = mesh_15.vertices.elementAt(23);
      expect(vertex_15_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_15.normals.length, equals(24));
      final normal_15_0 = mesh_15.normals.elementAt(0);
      expect(normal_15_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_15_1 = mesh_15.normals.elementAt(1);
      expect(normal_15_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_15_2 = mesh_15.normals.elementAt(2);
      expect(normal_15_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_15_3 = mesh_15.normals.elementAt(3);
      expect(normal_15_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_15_4 = mesh_15.normals.elementAt(4);
      expect(normal_15_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_15_5 = mesh_15.normals.elementAt(5);
      expect(normal_15_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_15_6 = mesh_15.normals.elementAt(6);
      expect(normal_15_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_15_7 = mesh_15.normals.elementAt(7);
      expect(normal_15_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_15_8 = mesh_15.normals.elementAt(8);
      expect(normal_15_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_15_9 = mesh_15.normals.elementAt(9);
      expect(normal_15_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_15_10 = mesh_15.normals.elementAt(10);
      expect(normal_15_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_15_11 = mesh_15.normals.elementAt(11);
      expect(normal_15_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_15_12 = mesh_15.normals.elementAt(12);
      expect(normal_15_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_15_13 = mesh_15.normals.elementAt(13);
      expect(normal_15_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_15_14 = mesh_15.normals.elementAt(14);
      expect(normal_15_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_15_15 = mesh_15.normals.elementAt(15);
      expect(normal_15_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_15_16 = mesh_15.normals.elementAt(16);
      expect(normal_15_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_15_17 = mesh_15.normals.elementAt(17);
      expect(normal_15_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_15_18 = mesh_15.normals.elementAt(18);
      expect(normal_15_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_15_19 = mesh_15.normals.elementAt(19);
      expect(normal_15_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_15_20 = mesh_15.normals.elementAt(20);
      expect(normal_15_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_15_21 = mesh_15.normals.elementAt(21);
      expect(normal_15_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_15_22 = mesh_15.normals.elementAt(22);
      expect(normal_15_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_15_23 = mesh_15.normals.elementAt(23);
      expect(normal_15_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_15.tangents.length, isZero);
      expect(mesh_15.bitangents.length, isZero);
      expect(mesh_15.colors.length, isZero);
      expect(mesh_15.textureCoords.length, equals(1));
      final textureCoords_15_0 = mesh_15.textureCoords.elementAt(0);
      expect(textureCoords_15_0.length, equals(24));
      final textureCoord_15_0_0 = textureCoords_15_0.elementAt(0);
      expect(textureCoord_15_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_1 = textureCoords_15_0.elementAt(1);
      expect(textureCoord_15_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_2 = textureCoords_15_0.elementAt(2);
      expect(textureCoord_15_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_15_0_3 = textureCoords_15_0.elementAt(3);
      expect(textureCoord_15_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_4 = textureCoords_15_0.elementAt(4);
      expect(textureCoord_15_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_5 = textureCoords_15_0.elementAt(5);
      expect(textureCoord_15_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_6 = textureCoords_15_0.elementAt(6);
      expect(textureCoord_15_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_7 = textureCoords_15_0.elementAt(7);
      expect(textureCoord_15_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_15_0_8 = textureCoords_15_0.elementAt(8);
      expect(textureCoord_15_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_9 = textureCoords_15_0.elementAt(9);
      expect(textureCoord_15_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_10 = textureCoords_15_0.elementAt(10);
      expect(textureCoord_15_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_11 = textureCoords_15_0.elementAt(11);
      expect(textureCoord_15_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_15_0_12 = textureCoords_15_0.elementAt(12);
      expect(textureCoord_15_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_13 = textureCoords_15_0.elementAt(13);
      expect(textureCoord_15_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_14 = textureCoords_15_0.elementAt(14);
      expect(textureCoord_15_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_15 = textureCoords_15_0.elementAt(15);
      expect(textureCoord_15_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_15_0_16 = textureCoords_15_0.elementAt(16);
      expect(textureCoord_15_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_17 = textureCoords_15_0.elementAt(17);
      expect(textureCoord_15_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_18 = textureCoords_15_0.elementAt(18);
      expect(textureCoord_15_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_19 = textureCoords_15_0.elementAt(19);
      expect(textureCoord_15_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_15_0_20 = textureCoords_15_0.elementAt(20);
      expect(textureCoord_15_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_15_0_21 = textureCoords_15_0.elementAt(21);
      expect(textureCoord_15_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_15_0_22 = textureCoords_15_0.elementAt(22);
      expect(textureCoord_15_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_15_0_23 = textureCoords_15_0.elementAt(23);
      expect(textureCoord_15_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_15.uvComponents.length, equals(1));
      expect(mesh_15.uvComponents, equals([2]));
      expect(mesh_15.faces.length, equals(6));
      expect(mesh_15.bones.length, isZero);
      expect(mesh_15.materialIndex, isZero);
      expect(mesh_15.name, equals('Box016Mesh'));
      expect(mesh_15.animMeshes.length, isZero);
      expect(mesh_15.morphingMethod, isZero);
      expect(mesh_15.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.primitiveTypes, equals(8));
      expect(mesh_16.vertices.length, equals(24));
      final vertex_16_0 = mesh_16.vertices.elementAt(0);
      expect(vertex_16_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_16_1 = mesh_16.vertices.elementAt(1);
      expect(vertex_16_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_16_2 = mesh_16.vertices.elementAt(2);
      expect(vertex_16_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_16_3 = mesh_16.vertices.elementAt(3);
      expect(vertex_16_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_16_4 = mesh_16.vertices.elementAt(4);
      expect(vertex_16_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_16_5 = mesh_16.vertices.elementAt(5);
      expect(vertex_16_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_16_6 = mesh_16.vertices.elementAt(6);
      expect(vertex_16_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_16_7 = mesh_16.vertices.elementAt(7);
      expect(vertex_16_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_16_8 = mesh_16.vertices.elementAt(8);
      expect(vertex_16_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_16_9 = mesh_16.vertices.elementAt(9);
      expect(vertex_16_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_16_10 = mesh_16.vertices.elementAt(10);
      expect(vertex_16_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_16_11 = mesh_16.vertices.elementAt(11);
      expect(vertex_16_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_16_12 = mesh_16.vertices.elementAt(12);
      expect(vertex_16_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_16_13 = mesh_16.vertices.elementAt(13);
      expect(vertex_16_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_16_14 = mesh_16.vertices.elementAt(14);
      expect(vertex_16_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_16_15 = mesh_16.vertices.elementAt(15);
      expect(vertex_16_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_16_16 = mesh_16.vertices.elementAt(16);
      expect(vertex_16_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_16_17 = mesh_16.vertices.elementAt(17);
      expect(vertex_16_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_16_18 = mesh_16.vertices.elementAt(18);
      expect(vertex_16_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_16_19 = mesh_16.vertices.elementAt(19);
      expect(vertex_16_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_16_20 = mesh_16.vertices.elementAt(20);
      expect(vertex_16_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_16_21 = mesh_16.vertices.elementAt(21);
      expect(vertex_16_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_16_22 = mesh_16.vertices.elementAt(22);
      expect(vertex_16_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_16_23 = mesh_16.vertices.elementAt(23);
      expect(vertex_16_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_16.normals.length, equals(24));
      final normal_16_0 = mesh_16.normals.elementAt(0);
      expect(normal_16_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_16_1 = mesh_16.normals.elementAt(1);
      expect(normal_16_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_16_2 = mesh_16.normals.elementAt(2);
      expect(normal_16_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_16_3 = mesh_16.normals.elementAt(3);
      expect(normal_16_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_16_4 = mesh_16.normals.elementAt(4);
      expect(normal_16_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_16_5 = mesh_16.normals.elementAt(5);
      expect(normal_16_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_16_6 = mesh_16.normals.elementAt(6);
      expect(normal_16_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_16_7 = mesh_16.normals.elementAt(7);
      expect(normal_16_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_16_8 = mesh_16.normals.elementAt(8);
      expect(normal_16_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_16_9 = mesh_16.normals.elementAt(9);
      expect(normal_16_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_16_10 = mesh_16.normals.elementAt(10);
      expect(normal_16_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_16_11 = mesh_16.normals.elementAt(11);
      expect(normal_16_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_16_12 = mesh_16.normals.elementAt(12);
      expect(normal_16_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_16_13 = mesh_16.normals.elementAt(13);
      expect(normal_16_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_16_14 = mesh_16.normals.elementAt(14);
      expect(normal_16_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_16_15 = mesh_16.normals.elementAt(15);
      expect(normal_16_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_16_16 = mesh_16.normals.elementAt(16);
      expect(normal_16_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_16_17 = mesh_16.normals.elementAt(17);
      expect(normal_16_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_16_18 = mesh_16.normals.elementAt(18);
      expect(normal_16_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_16_19 = mesh_16.normals.elementAt(19);
      expect(normal_16_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_16_20 = mesh_16.normals.elementAt(20);
      expect(normal_16_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_16_21 = mesh_16.normals.elementAt(21);
      expect(normal_16_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_16_22 = mesh_16.normals.elementAt(22);
      expect(normal_16_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_16_23 = mesh_16.normals.elementAt(23);
      expect(normal_16_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_16.tangents.length, isZero);
      expect(mesh_16.bitangents.length, isZero);
      expect(mesh_16.colors.length, isZero);
      expect(mesh_16.textureCoords.length, equals(1));
      final textureCoords_16_0 = mesh_16.textureCoords.elementAt(0);
      expect(textureCoords_16_0.length, equals(24));
      final textureCoord_16_0_0 = textureCoords_16_0.elementAt(0);
      expect(textureCoord_16_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_1 = textureCoords_16_0.elementAt(1);
      expect(textureCoord_16_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_2 = textureCoords_16_0.elementAt(2);
      expect(textureCoord_16_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_16_0_3 = textureCoords_16_0.elementAt(3);
      expect(textureCoord_16_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_4 = textureCoords_16_0.elementAt(4);
      expect(textureCoord_16_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_5 = textureCoords_16_0.elementAt(5);
      expect(textureCoord_16_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_6 = textureCoords_16_0.elementAt(6);
      expect(textureCoord_16_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_7 = textureCoords_16_0.elementAt(7);
      expect(textureCoord_16_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_16_0_8 = textureCoords_16_0.elementAt(8);
      expect(textureCoord_16_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_9 = textureCoords_16_0.elementAt(9);
      expect(textureCoord_16_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_10 = textureCoords_16_0.elementAt(10);
      expect(textureCoord_16_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_11 = textureCoords_16_0.elementAt(11);
      expect(textureCoord_16_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_16_0_12 = textureCoords_16_0.elementAt(12);
      expect(textureCoord_16_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_13 = textureCoords_16_0.elementAt(13);
      expect(textureCoord_16_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_14 = textureCoords_16_0.elementAt(14);
      expect(textureCoord_16_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_15 = textureCoords_16_0.elementAt(15);
      expect(textureCoord_16_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_16_0_16 = textureCoords_16_0.elementAt(16);
      expect(textureCoord_16_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_17 = textureCoords_16_0.elementAt(17);
      expect(textureCoord_16_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_18 = textureCoords_16_0.elementAt(18);
      expect(textureCoord_16_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_19 = textureCoords_16_0.elementAt(19);
      expect(textureCoord_16_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_16_0_20 = textureCoords_16_0.elementAt(20);
      expect(textureCoord_16_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_16_0_21 = textureCoords_16_0.elementAt(21);
      expect(textureCoord_16_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_16_0_22 = textureCoords_16_0.elementAt(22);
      expect(textureCoord_16_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_16_0_23 = textureCoords_16_0.elementAt(23);
      expect(textureCoord_16_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_16.uvComponents.length, equals(1));
      expect(mesh_16.uvComponents, equals([2]));
      expect(mesh_16.faces.length, equals(6));
      expect(mesh_16.bones.length, isZero);
      expect(mesh_16.materialIndex, isZero);
      expect(mesh_16.name, equals('Box017Mesh'));
      expect(mesh_16.animMeshes.length, isZero);
      expect(mesh_16.morphingMethod, isZero);
      expect(mesh_16.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.primitiveTypes, equals(8));
      expect(mesh_17.vertices.length, equals(24));
      final vertex_17_0 = mesh_17.vertices.elementAt(0);
      expect(vertex_17_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_17_1 = mesh_17.vertices.elementAt(1);
      expect(vertex_17_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_17_2 = mesh_17.vertices.elementAt(2);
      expect(vertex_17_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_17_3 = mesh_17.vertices.elementAt(3);
      expect(vertex_17_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_17_4 = mesh_17.vertices.elementAt(4);
      expect(vertex_17_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_17_5 = mesh_17.vertices.elementAt(5);
      expect(vertex_17_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_17_6 = mesh_17.vertices.elementAt(6);
      expect(vertex_17_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_17_7 = mesh_17.vertices.elementAt(7);
      expect(vertex_17_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_17_8 = mesh_17.vertices.elementAt(8);
      expect(vertex_17_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_17_9 = mesh_17.vertices.elementAt(9);
      expect(vertex_17_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_17_10 = mesh_17.vertices.elementAt(10);
      expect(vertex_17_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_17_11 = mesh_17.vertices.elementAt(11);
      expect(vertex_17_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_17_12 = mesh_17.vertices.elementAt(12);
      expect(vertex_17_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_17_13 = mesh_17.vertices.elementAt(13);
      expect(vertex_17_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_17_14 = mesh_17.vertices.elementAt(14);
      expect(vertex_17_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_17_15 = mesh_17.vertices.elementAt(15);
      expect(vertex_17_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_17_16 = mesh_17.vertices.elementAt(16);
      expect(vertex_17_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_17_17 = mesh_17.vertices.elementAt(17);
      expect(vertex_17_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_17_18 = mesh_17.vertices.elementAt(18);
      expect(vertex_17_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_17_19 = mesh_17.vertices.elementAt(19);
      expect(vertex_17_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_17_20 = mesh_17.vertices.elementAt(20);
      expect(vertex_17_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_17_21 = mesh_17.vertices.elementAt(21);
      expect(vertex_17_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_17_22 = mesh_17.vertices.elementAt(22);
      expect(vertex_17_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_17_23 = mesh_17.vertices.elementAt(23);
      expect(vertex_17_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_17.normals.length, equals(24));
      final normal_17_0 = mesh_17.normals.elementAt(0);
      expect(normal_17_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_17_1 = mesh_17.normals.elementAt(1);
      expect(normal_17_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_17_2 = mesh_17.normals.elementAt(2);
      expect(normal_17_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_17_3 = mesh_17.normals.elementAt(3);
      expect(normal_17_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_17_4 = mesh_17.normals.elementAt(4);
      expect(normal_17_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_17_5 = mesh_17.normals.elementAt(5);
      expect(normal_17_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_17_6 = mesh_17.normals.elementAt(6);
      expect(normal_17_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_17_7 = mesh_17.normals.elementAt(7);
      expect(normal_17_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_17_8 = mesh_17.normals.elementAt(8);
      expect(normal_17_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_17_9 = mesh_17.normals.elementAt(9);
      expect(normal_17_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_17_10 = mesh_17.normals.elementAt(10);
      expect(normal_17_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_17_11 = mesh_17.normals.elementAt(11);
      expect(normal_17_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_17_12 = mesh_17.normals.elementAt(12);
      expect(normal_17_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_17_13 = mesh_17.normals.elementAt(13);
      expect(normal_17_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_17_14 = mesh_17.normals.elementAt(14);
      expect(normal_17_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_17_15 = mesh_17.normals.elementAt(15);
      expect(normal_17_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_17_16 = mesh_17.normals.elementAt(16);
      expect(normal_17_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_17_17 = mesh_17.normals.elementAt(17);
      expect(normal_17_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_17_18 = mesh_17.normals.elementAt(18);
      expect(normal_17_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_17_19 = mesh_17.normals.elementAt(19);
      expect(normal_17_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_17_20 = mesh_17.normals.elementAt(20);
      expect(normal_17_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_17_21 = mesh_17.normals.elementAt(21);
      expect(normal_17_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_17_22 = mesh_17.normals.elementAt(22);
      expect(normal_17_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_17_23 = mesh_17.normals.elementAt(23);
      expect(normal_17_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_17.tangents.length, isZero);
      expect(mesh_17.bitangents.length, isZero);
      expect(mesh_17.colors.length, isZero);
      expect(mesh_17.textureCoords.length, equals(1));
      final textureCoords_17_0 = mesh_17.textureCoords.elementAt(0);
      expect(textureCoords_17_0.length, equals(24));
      final textureCoord_17_0_0 = textureCoords_17_0.elementAt(0);
      expect(textureCoord_17_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_1 = textureCoords_17_0.elementAt(1);
      expect(textureCoord_17_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_2 = textureCoords_17_0.elementAt(2);
      expect(textureCoord_17_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_17_0_3 = textureCoords_17_0.elementAt(3);
      expect(textureCoord_17_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_4 = textureCoords_17_0.elementAt(4);
      expect(textureCoord_17_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_5 = textureCoords_17_0.elementAt(5);
      expect(textureCoord_17_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_6 = textureCoords_17_0.elementAt(6);
      expect(textureCoord_17_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_7 = textureCoords_17_0.elementAt(7);
      expect(textureCoord_17_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_17_0_8 = textureCoords_17_0.elementAt(8);
      expect(textureCoord_17_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_9 = textureCoords_17_0.elementAt(9);
      expect(textureCoord_17_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_10 = textureCoords_17_0.elementAt(10);
      expect(textureCoord_17_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_11 = textureCoords_17_0.elementAt(11);
      expect(textureCoord_17_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_17_0_12 = textureCoords_17_0.elementAt(12);
      expect(textureCoord_17_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_13 = textureCoords_17_0.elementAt(13);
      expect(textureCoord_17_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_14 = textureCoords_17_0.elementAt(14);
      expect(textureCoord_17_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_15 = textureCoords_17_0.elementAt(15);
      expect(textureCoord_17_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_17_0_16 = textureCoords_17_0.elementAt(16);
      expect(textureCoord_17_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_17 = textureCoords_17_0.elementAt(17);
      expect(textureCoord_17_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_18 = textureCoords_17_0.elementAt(18);
      expect(textureCoord_17_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_19 = textureCoords_17_0.elementAt(19);
      expect(textureCoord_17_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_17_0_20 = textureCoords_17_0.elementAt(20);
      expect(textureCoord_17_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_17_0_21 = textureCoords_17_0.elementAt(21);
      expect(textureCoord_17_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_17_0_22 = textureCoords_17_0.elementAt(22);
      expect(textureCoord_17_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_17_0_23 = textureCoords_17_0.elementAt(23);
      expect(textureCoord_17_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_17.uvComponents.length, equals(1));
      expect(mesh_17.uvComponents, equals([2]));
      expect(mesh_17.faces.length, equals(6));
      expect(mesh_17.bones.length, isZero);
      expect(mesh_17.materialIndex, isZero);
      expect(mesh_17.name, equals('Box018Mesh'));
      expect(mesh_17.animMeshes.length, isZero);
      expect(mesh_17.morphingMethod, isZero);
      expect(mesh_17.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.primitiveTypes, equals(8));
      expect(mesh_18.vertices.length, equals(24));
      final vertex_18_0 = mesh_18.vertices.elementAt(0);
      expect(vertex_18_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_18_1 = mesh_18.vertices.elementAt(1);
      expect(vertex_18_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_18_2 = mesh_18.vertices.elementAt(2);
      expect(vertex_18_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_18_3 = mesh_18.vertices.elementAt(3);
      expect(vertex_18_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_18_4 = mesh_18.vertices.elementAt(4);
      expect(vertex_18_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_18_5 = mesh_18.vertices.elementAt(5);
      expect(vertex_18_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_18_6 = mesh_18.vertices.elementAt(6);
      expect(vertex_18_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_18_7 = mesh_18.vertices.elementAt(7);
      expect(vertex_18_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_18_8 = mesh_18.vertices.elementAt(8);
      expect(vertex_18_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_18_9 = mesh_18.vertices.elementAt(9);
      expect(vertex_18_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_18_10 = mesh_18.vertices.elementAt(10);
      expect(vertex_18_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_18_11 = mesh_18.vertices.elementAt(11);
      expect(vertex_18_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_18_12 = mesh_18.vertices.elementAt(12);
      expect(vertex_18_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_18_13 = mesh_18.vertices.elementAt(13);
      expect(vertex_18_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_18_14 = mesh_18.vertices.elementAt(14);
      expect(vertex_18_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_18_15 = mesh_18.vertices.elementAt(15);
      expect(vertex_18_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_18_16 = mesh_18.vertices.elementAt(16);
      expect(vertex_18_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_18_17 = mesh_18.vertices.elementAt(17);
      expect(vertex_18_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_18_18 = mesh_18.vertices.elementAt(18);
      expect(vertex_18_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_18_19 = mesh_18.vertices.elementAt(19);
      expect(vertex_18_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_18_20 = mesh_18.vertices.elementAt(20);
      expect(vertex_18_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_18_21 = mesh_18.vertices.elementAt(21);
      expect(vertex_18_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_18_22 = mesh_18.vertices.elementAt(22);
      expect(vertex_18_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_18_23 = mesh_18.vertices.elementAt(23);
      expect(vertex_18_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_18.normals.length, equals(24));
      final normal_18_0 = mesh_18.normals.elementAt(0);
      expect(normal_18_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_18_1 = mesh_18.normals.elementAt(1);
      expect(normal_18_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_18_2 = mesh_18.normals.elementAt(2);
      expect(normal_18_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_18_3 = mesh_18.normals.elementAt(3);
      expect(normal_18_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_18_4 = mesh_18.normals.elementAt(4);
      expect(normal_18_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_18_5 = mesh_18.normals.elementAt(5);
      expect(normal_18_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_18_6 = mesh_18.normals.elementAt(6);
      expect(normal_18_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_18_7 = mesh_18.normals.elementAt(7);
      expect(normal_18_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_18_8 = mesh_18.normals.elementAt(8);
      expect(normal_18_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_18_9 = mesh_18.normals.elementAt(9);
      expect(normal_18_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_18_10 = mesh_18.normals.elementAt(10);
      expect(normal_18_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_18_11 = mesh_18.normals.elementAt(11);
      expect(normal_18_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_18_12 = mesh_18.normals.elementAt(12);
      expect(normal_18_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_18_13 = mesh_18.normals.elementAt(13);
      expect(normal_18_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_18_14 = mesh_18.normals.elementAt(14);
      expect(normal_18_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_18_15 = mesh_18.normals.elementAt(15);
      expect(normal_18_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_18_16 = mesh_18.normals.elementAt(16);
      expect(normal_18_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_18_17 = mesh_18.normals.elementAt(17);
      expect(normal_18_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_18_18 = mesh_18.normals.elementAt(18);
      expect(normal_18_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_18_19 = mesh_18.normals.elementAt(19);
      expect(normal_18_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_18_20 = mesh_18.normals.elementAt(20);
      expect(normal_18_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_18_21 = mesh_18.normals.elementAt(21);
      expect(normal_18_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_18_22 = mesh_18.normals.elementAt(22);
      expect(normal_18_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_18_23 = mesh_18.normals.elementAt(23);
      expect(normal_18_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_18.tangents.length, isZero);
      expect(mesh_18.bitangents.length, isZero);
      expect(mesh_18.colors.length, isZero);
      expect(mesh_18.textureCoords.length, equals(1));
      final textureCoords_18_0 = mesh_18.textureCoords.elementAt(0);
      expect(textureCoords_18_0.length, equals(24));
      final textureCoord_18_0_0 = textureCoords_18_0.elementAt(0);
      expect(textureCoord_18_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_1 = textureCoords_18_0.elementAt(1);
      expect(textureCoord_18_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_2 = textureCoords_18_0.elementAt(2);
      expect(textureCoord_18_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_18_0_3 = textureCoords_18_0.elementAt(3);
      expect(textureCoord_18_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_4 = textureCoords_18_0.elementAt(4);
      expect(textureCoord_18_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_5 = textureCoords_18_0.elementAt(5);
      expect(textureCoord_18_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_6 = textureCoords_18_0.elementAt(6);
      expect(textureCoord_18_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_7 = textureCoords_18_0.elementAt(7);
      expect(textureCoord_18_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_18_0_8 = textureCoords_18_0.elementAt(8);
      expect(textureCoord_18_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_9 = textureCoords_18_0.elementAt(9);
      expect(textureCoord_18_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_10 = textureCoords_18_0.elementAt(10);
      expect(textureCoord_18_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_11 = textureCoords_18_0.elementAt(11);
      expect(textureCoord_18_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_18_0_12 = textureCoords_18_0.elementAt(12);
      expect(textureCoord_18_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_13 = textureCoords_18_0.elementAt(13);
      expect(textureCoord_18_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_14 = textureCoords_18_0.elementAt(14);
      expect(textureCoord_18_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_15 = textureCoords_18_0.elementAt(15);
      expect(textureCoord_18_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_18_0_16 = textureCoords_18_0.elementAt(16);
      expect(textureCoord_18_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_17 = textureCoords_18_0.elementAt(17);
      expect(textureCoord_18_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_18 = textureCoords_18_0.elementAt(18);
      expect(textureCoord_18_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_19 = textureCoords_18_0.elementAt(19);
      expect(textureCoord_18_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_18_0_20 = textureCoords_18_0.elementAt(20);
      expect(textureCoord_18_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_18_0_21 = textureCoords_18_0.elementAt(21);
      expect(textureCoord_18_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_18_0_22 = textureCoords_18_0.elementAt(22);
      expect(textureCoord_18_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_18_0_23 = textureCoords_18_0.elementAt(23);
      expect(textureCoord_18_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_18.uvComponents.length, equals(1));
      expect(mesh_18.uvComponents, equals([2]));
      expect(mesh_18.faces.length, equals(6));
      expect(mesh_18.bones.length, isZero);
      expect(mesh_18.materialIndex, isZero);
      expect(mesh_18.name, equals('Box019Mesh'));
      expect(mesh_18.animMeshes.length, isZero);
      expect(mesh_18.morphingMethod, isZero);
      expect(mesh_18.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_19 = meshes.elementAt(19);
      expect(mesh_19.primitiveTypes, equals(8));
      expect(mesh_19.vertices.length, equals(24));
      final vertex_19_0 = mesh_19.vertices.elementAt(0);
      expect(vertex_19_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_19_1 = mesh_19.vertices.elementAt(1);
      expect(vertex_19_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_19_2 = mesh_19.vertices.elementAt(2);
      expect(vertex_19_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_19_3 = mesh_19.vertices.elementAt(3);
      expect(vertex_19_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_19_4 = mesh_19.vertices.elementAt(4);
      expect(vertex_19_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_19_5 = mesh_19.vertices.elementAt(5);
      expect(vertex_19_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_19_6 = mesh_19.vertices.elementAt(6);
      expect(vertex_19_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_19_7 = mesh_19.vertices.elementAt(7);
      expect(vertex_19_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_19_8 = mesh_19.vertices.elementAt(8);
      expect(vertex_19_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_19_9 = mesh_19.vertices.elementAt(9);
      expect(vertex_19_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_19_10 = mesh_19.vertices.elementAt(10);
      expect(vertex_19_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_19_11 = mesh_19.vertices.elementAt(11);
      expect(vertex_19_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_19_12 = mesh_19.vertices.elementAt(12);
      expect(vertex_19_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_19_13 = mesh_19.vertices.elementAt(13);
      expect(vertex_19_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_19_14 = mesh_19.vertices.elementAt(14);
      expect(vertex_19_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_19_15 = mesh_19.vertices.elementAt(15);
      expect(vertex_19_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_19_16 = mesh_19.vertices.elementAt(16);
      expect(vertex_19_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_19_17 = mesh_19.vertices.elementAt(17);
      expect(vertex_19_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_19_18 = mesh_19.vertices.elementAt(18);
      expect(vertex_19_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_19_19 = mesh_19.vertices.elementAt(19);
      expect(vertex_19_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_19_20 = mesh_19.vertices.elementAt(20);
      expect(vertex_19_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_19_21 = mesh_19.vertices.elementAt(21);
      expect(vertex_19_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_19_22 = mesh_19.vertices.elementAt(22);
      expect(vertex_19_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_19_23 = mesh_19.vertices.elementAt(23);
      expect(vertex_19_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_19.normals.length, equals(24));
      final normal_19_0 = mesh_19.normals.elementAt(0);
      expect(normal_19_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_19_1 = mesh_19.normals.elementAt(1);
      expect(normal_19_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_19_2 = mesh_19.normals.elementAt(2);
      expect(normal_19_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_19_3 = mesh_19.normals.elementAt(3);
      expect(normal_19_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_19_4 = mesh_19.normals.elementAt(4);
      expect(normal_19_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_19_5 = mesh_19.normals.elementAt(5);
      expect(normal_19_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_19_6 = mesh_19.normals.elementAt(6);
      expect(normal_19_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_19_7 = mesh_19.normals.elementAt(7);
      expect(normal_19_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_19_8 = mesh_19.normals.elementAt(8);
      expect(normal_19_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_19_9 = mesh_19.normals.elementAt(9);
      expect(normal_19_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_19_10 = mesh_19.normals.elementAt(10);
      expect(normal_19_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_19_11 = mesh_19.normals.elementAt(11);
      expect(normal_19_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_19_12 = mesh_19.normals.elementAt(12);
      expect(normal_19_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_19_13 = mesh_19.normals.elementAt(13);
      expect(normal_19_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_19_14 = mesh_19.normals.elementAt(14);
      expect(normal_19_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_19_15 = mesh_19.normals.elementAt(15);
      expect(normal_19_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_19_16 = mesh_19.normals.elementAt(16);
      expect(normal_19_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_19_17 = mesh_19.normals.elementAt(17);
      expect(normal_19_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_19_18 = mesh_19.normals.elementAt(18);
      expect(normal_19_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_19_19 = mesh_19.normals.elementAt(19);
      expect(normal_19_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_19_20 = mesh_19.normals.elementAt(20);
      expect(normal_19_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_19_21 = mesh_19.normals.elementAt(21);
      expect(normal_19_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_19_22 = mesh_19.normals.elementAt(22);
      expect(normal_19_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_19_23 = mesh_19.normals.elementAt(23);
      expect(normal_19_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_19.tangents.length, isZero);
      expect(mesh_19.bitangents.length, isZero);
      expect(mesh_19.colors.length, isZero);
      expect(mesh_19.textureCoords.length, equals(1));
      final textureCoords_19_0 = mesh_19.textureCoords.elementAt(0);
      expect(textureCoords_19_0.length, equals(24));
      final textureCoord_19_0_0 = textureCoords_19_0.elementAt(0);
      expect(textureCoord_19_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_1 = textureCoords_19_0.elementAt(1);
      expect(textureCoord_19_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_2 = textureCoords_19_0.elementAt(2);
      expect(textureCoord_19_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_19_0_3 = textureCoords_19_0.elementAt(3);
      expect(textureCoord_19_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_4 = textureCoords_19_0.elementAt(4);
      expect(textureCoord_19_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_5 = textureCoords_19_0.elementAt(5);
      expect(textureCoord_19_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_6 = textureCoords_19_0.elementAt(6);
      expect(textureCoord_19_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_7 = textureCoords_19_0.elementAt(7);
      expect(textureCoord_19_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_19_0_8 = textureCoords_19_0.elementAt(8);
      expect(textureCoord_19_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_9 = textureCoords_19_0.elementAt(9);
      expect(textureCoord_19_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_10 = textureCoords_19_0.elementAt(10);
      expect(textureCoord_19_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_11 = textureCoords_19_0.elementAt(11);
      expect(textureCoord_19_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_19_0_12 = textureCoords_19_0.elementAt(12);
      expect(textureCoord_19_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_13 = textureCoords_19_0.elementAt(13);
      expect(textureCoord_19_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_14 = textureCoords_19_0.elementAt(14);
      expect(textureCoord_19_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_15 = textureCoords_19_0.elementAt(15);
      expect(textureCoord_19_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_19_0_16 = textureCoords_19_0.elementAt(16);
      expect(textureCoord_19_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_17 = textureCoords_19_0.elementAt(17);
      expect(textureCoord_19_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_18 = textureCoords_19_0.elementAt(18);
      expect(textureCoord_19_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_19 = textureCoords_19_0.elementAt(19);
      expect(textureCoord_19_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_19_0_20 = textureCoords_19_0.elementAt(20);
      expect(textureCoord_19_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_19_0_21 = textureCoords_19_0.elementAt(21);
      expect(textureCoord_19_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_19_0_22 = textureCoords_19_0.elementAt(22);
      expect(textureCoord_19_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_19_0_23 = textureCoords_19_0.elementAt(23);
      expect(textureCoord_19_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_19.uvComponents.length, equals(1));
      expect(mesh_19.uvComponents, equals([2]));
      expect(mesh_19.faces.length, equals(6));
      expect(mesh_19.bones.length, isZero);
      expect(mesh_19.materialIndex, isZero);
      expect(mesh_19.name, equals('Box020Mesh'));
      expect(mesh_19.animMeshes.length, isZero);
      expect(mesh_19.morphingMethod, isZero);
      expect(mesh_19.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_20 = meshes.elementAt(20);
      expect(mesh_20.primitiveTypes, equals(8));
      expect(mesh_20.vertices.length, equals(24));
      final vertex_20_0 = mesh_20.vertices.elementAt(0);
      expect(vertex_20_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_20_1 = mesh_20.vertices.elementAt(1);
      expect(vertex_20_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_20_2 = mesh_20.vertices.elementAt(2);
      expect(vertex_20_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_20_3 = mesh_20.vertices.elementAt(3);
      expect(vertex_20_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_20_4 = mesh_20.vertices.elementAt(4);
      expect(vertex_20_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_20_5 = mesh_20.vertices.elementAt(5);
      expect(vertex_20_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_20_6 = mesh_20.vertices.elementAt(6);
      expect(vertex_20_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_20_7 = mesh_20.vertices.elementAt(7);
      expect(vertex_20_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_20_8 = mesh_20.vertices.elementAt(8);
      expect(vertex_20_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_20_9 = mesh_20.vertices.elementAt(9);
      expect(vertex_20_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_20_10 = mesh_20.vertices.elementAt(10);
      expect(vertex_20_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_20_11 = mesh_20.vertices.elementAt(11);
      expect(vertex_20_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_20_12 = mesh_20.vertices.elementAt(12);
      expect(vertex_20_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_20_13 = mesh_20.vertices.elementAt(13);
      expect(vertex_20_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_20_14 = mesh_20.vertices.elementAt(14);
      expect(vertex_20_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_20_15 = mesh_20.vertices.elementAt(15);
      expect(vertex_20_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_20_16 = mesh_20.vertices.elementAt(16);
      expect(vertex_20_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_20_17 = mesh_20.vertices.elementAt(17);
      expect(vertex_20_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_20_18 = mesh_20.vertices.elementAt(18);
      expect(vertex_20_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_20_19 = mesh_20.vertices.elementAt(19);
      expect(vertex_20_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_20_20 = mesh_20.vertices.elementAt(20);
      expect(vertex_20_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_20_21 = mesh_20.vertices.elementAt(21);
      expect(vertex_20_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_20_22 = mesh_20.vertices.elementAt(22);
      expect(vertex_20_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_20_23 = mesh_20.vertices.elementAt(23);
      expect(vertex_20_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_20.normals.length, equals(24));
      final normal_20_0 = mesh_20.normals.elementAt(0);
      expect(normal_20_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_20_1 = mesh_20.normals.elementAt(1);
      expect(normal_20_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_20_2 = mesh_20.normals.elementAt(2);
      expect(normal_20_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_20_3 = mesh_20.normals.elementAt(3);
      expect(normal_20_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_20_4 = mesh_20.normals.elementAt(4);
      expect(normal_20_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_20_5 = mesh_20.normals.elementAt(5);
      expect(normal_20_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_20_6 = mesh_20.normals.elementAt(6);
      expect(normal_20_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_20_7 = mesh_20.normals.elementAt(7);
      expect(normal_20_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_20_8 = mesh_20.normals.elementAt(8);
      expect(normal_20_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_20_9 = mesh_20.normals.elementAt(9);
      expect(normal_20_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_20_10 = mesh_20.normals.elementAt(10);
      expect(normal_20_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_20_11 = mesh_20.normals.elementAt(11);
      expect(normal_20_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_20_12 = mesh_20.normals.elementAt(12);
      expect(normal_20_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_20_13 = mesh_20.normals.elementAt(13);
      expect(normal_20_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_20_14 = mesh_20.normals.elementAt(14);
      expect(normal_20_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_20_15 = mesh_20.normals.elementAt(15);
      expect(normal_20_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_20_16 = mesh_20.normals.elementAt(16);
      expect(normal_20_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_20_17 = mesh_20.normals.elementAt(17);
      expect(normal_20_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_20_18 = mesh_20.normals.elementAt(18);
      expect(normal_20_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_20_19 = mesh_20.normals.elementAt(19);
      expect(normal_20_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_20_20 = mesh_20.normals.elementAt(20);
      expect(normal_20_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_20_21 = mesh_20.normals.elementAt(21);
      expect(normal_20_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_20_22 = mesh_20.normals.elementAt(22);
      expect(normal_20_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_20_23 = mesh_20.normals.elementAt(23);
      expect(normal_20_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_20.tangents.length, isZero);
      expect(mesh_20.bitangents.length, isZero);
      expect(mesh_20.colors.length, isZero);
      expect(mesh_20.textureCoords.length, equals(1));
      final textureCoords_20_0 = mesh_20.textureCoords.elementAt(0);
      expect(textureCoords_20_0.length, equals(24));
      final textureCoord_20_0_0 = textureCoords_20_0.elementAt(0);
      expect(textureCoord_20_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_1 = textureCoords_20_0.elementAt(1);
      expect(textureCoord_20_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_2 = textureCoords_20_0.elementAt(2);
      expect(textureCoord_20_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_20_0_3 = textureCoords_20_0.elementAt(3);
      expect(textureCoord_20_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_4 = textureCoords_20_0.elementAt(4);
      expect(textureCoord_20_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_5 = textureCoords_20_0.elementAt(5);
      expect(textureCoord_20_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_6 = textureCoords_20_0.elementAt(6);
      expect(textureCoord_20_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_7 = textureCoords_20_0.elementAt(7);
      expect(textureCoord_20_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_20_0_8 = textureCoords_20_0.elementAt(8);
      expect(textureCoord_20_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_9 = textureCoords_20_0.elementAt(9);
      expect(textureCoord_20_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_10 = textureCoords_20_0.elementAt(10);
      expect(textureCoord_20_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_11 = textureCoords_20_0.elementAt(11);
      expect(textureCoord_20_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_20_0_12 = textureCoords_20_0.elementAt(12);
      expect(textureCoord_20_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_13 = textureCoords_20_0.elementAt(13);
      expect(textureCoord_20_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_14 = textureCoords_20_0.elementAt(14);
      expect(textureCoord_20_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_15 = textureCoords_20_0.elementAt(15);
      expect(textureCoord_20_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_20_0_16 = textureCoords_20_0.elementAt(16);
      expect(textureCoord_20_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_17 = textureCoords_20_0.elementAt(17);
      expect(textureCoord_20_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_18 = textureCoords_20_0.elementAt(18);
      expect(textureCoord_20_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_19 = textureCoords_20_0.elementAt(19);
      expect(textureCoord_20_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_20_0_20 = textureCoords_20_0.elementAt(20);
      expect(textureCoord_20_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_20_0_21 = textureCoords_20_0.elementAt(21);
      expect(textureCoord_20_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_20_0_22 = textureCoords_20_0.elementAt(22);
      expect(textureCoord_20_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_20_0_23 = textureCoords_20_0.elementAt(23);
      expect(textureCoord_20_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_20.uvComponents.length, equals(1));
      expect(mesh_20.uvComponents, equals([2]));
      expect(mesh_20.faces.length, equals(6));
      expect(mesh_20.bones.length, isZero);
      expect(mesh_20.materialIndex, isZero);
      expect(mesh_20.name, equals('Box021Mesh'));
      expect(mesh_20.animMeshes.length, isZero);
      expect(mesh_20.morphingMethod, isZero);
      expect(mesh_20.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_21 = meshes.elementAt(21);
      expect(mesh_21.primitiveTypes, equals(8));
      expect(mesh_21.vertices.length, equals(24));
      final vertex_21_0 = mesh_21.vertices.elementAt(0);
      expect(vertex_21_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_21_1 = mesh_21.vertices.elementAt(1);
      expect(vertex_21_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_21_2 = mesh_21.vertices.elementAt(2);
      expect(vertex_21_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_21_3 = mesh_21.vertices.elementAt(3);
      expect(vertex_21_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_21_4 = mesh_21.vertices.elementAt(4);
      expect(vertex_21_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_21_5 = mesh_21.vertices.elementAt(5);
      expect(vertex_21_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_21_6 = mesh_21.vertices.elementAt(6);
      expect(vertex_21_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_21_7 = mesh_21.vertices.elementAt(7);
      expect(vertex_21_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_21_8 = mesh_21.vertices.elementAt(8);
      expect(vertex_21_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_21_9 = mesh_21.vertices.elementAt(9);
      expect(vertex_21_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_21_10 = mesh_21.vertices.elementAt(10);
      expect(vertex_21_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_21_11 = mesh_21.vertices.elementAt(11);
      expect(vertex_21_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_21_12 = mesh_21.vertices.elementAt(12);
      expect(vertex_21_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_21_13 = mesh_21.vertices.elementAt(13);
      expect(vertex_21_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_21_14 = mesh_21.vertices.elementAt(14);
      expect(vertex_21_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_21_15 = mesh_21.vertices.elementAt(15);
      expect(vertex_21_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_21_16 = mesh_21.vertices.elementAt(16);
      expect(vertex_21_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_21_17 = mesh_21.vertices.elementAt(17);
      expect(vertex_21_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_21_18 = mesh_21.vertices.elementAt(18);
      expect(vertex_21_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_21_19 = mesh_21.vertices.elementAt(19);
      expect(vertex_21_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_21_20 = mesh_21.vertices.elementAt(20);
      expect(vertex_21_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_21_21 = mesh_21.vertices.elementAt(21);
      expect(vertex_21_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_21_22 = mesh_21.vertices.elementAt(22);
      expect(vertex_21_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_21_23 = mesh_21.vertices.elementAt(23);
      expect(vertex_21_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_21.normals.length, equals(24));
      final normal_21_0 = mesh_21.normals.elementAt(0);
      expect(normal_21_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_21_1 = mesh_21.normals.elementAt(1);
      expect(normal_21_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_21_2 = mesh_21.normals.elementAt(2);
      expect(normal_21_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_21_3 = mesh_21.normals.elementAt(3);
      expect(normal_21_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_21_4 = mesh_21.normals.elementAt(4);
      expect(normal_21_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_21_5 = mesh_21.normals.elementAt(5);
      expect(normal_21_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_21_6 = mesh_21.normals.elementAt(6);
      expect(normal_21_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_21_7 = mesh_21.normals.elementAt(7);
      expect(normal_21_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_21_8 = mesh_21.normals.elementAt(8);
      expect(normal_21_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_21_9 = mesh_21.normals.elementAt(9);
      expect(normal_21_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_21_10 = mesh_21.normals.elementAt(10);
      expect(normal_21_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_21_11 = mesh_21.normals.elementAt(11);
      expect(normal_21_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_21_12 = mesh_21.normals.elementAt(12);
      expect(normal_21_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_21_13 = mesh_21.normals.elementAt(13);
      expect(normal_21_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_21_14 = mesh_21.normals.elementAt(14);
      expect(normal_21_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_21_15 = mesh_21.normals.elementAt(15);
      expect(normal_21_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_21_16 = mesh_21.normals.elementAt(16);
      expect(normal_21_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_21_17 = mesh_21.normals.elementAt(17);
      expect(normal_21_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_21_18 = mesh_21.normals.elementAt(18);
      expect(normal_21_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_21_19 = mesh_21.normals.elementAt(19);
      expect(normal_21_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_21_20 = mesh_21.normals.elementAt(20);
      expect(normal_21_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_21_21 = mesh_21.normals.elementAt(21);
      expect(normal_21_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_21_22 = mesh_21.normals.elementAt(22);
      expect(normal_21_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_21_23 = mesh_21.normals.elementAt(23);
      expect(normal_21_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_21.tangents.length, isZero);
      expect(mesh_21.bitangents.length, isZero);
      expect(mesh_21.colors.length, isZero);
      expect(mesh_21.textureCoords.length, equals(1));
      final textureCoords_21_0 = mesh_21.textureCoords.elementAt(0);
      expect(textureCoords_21_0.length, equals(24));
      final textureCoord_21_0_0 = textureCoords_21_0.elementAt(0);
      expect(textureCoord_21_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_1 = textureCoords_21_0.elementAt(1);
      expect(textureCoord_21_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_2 = textureCoords_21_0.elementAt(2);
      expect(textureCoord_21_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_21_0_3 = textureCoords_21_0.elementAt(3);
      expect(textureCoord_21_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_4 = textureCoords_21_0.elementAt(4);
      expect(textureCoord_21_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_5 = textureCoords_21_0.elementAt(5);
      expect(textureCoord_21_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_6 = textureCoords_21_0.elementAt(6);
      expect(textureCoord_21_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_7 = textureCoords_21_0.elementAt(7);
      expect(textureCoord_21_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_21_0_8 = textureCoords_21_0.elementAt(8);
      expect(textureCoord_21_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_9 = textureCoords_21_0.elementAt(9);
      expect(textureCoord_21_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_10 = textureCoords_21_0.elementAt(10);
      expect(textureCoord_21_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_11 = textureCoords_21_0.elementAt(11);
      expect(textureCoord_21_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_21_0_12 = textureCoords_21_0.elementAt(12);
      expect(textureCoord_21_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_13 = textureCoords_21_0.elementAt(13);
      expect(textureCoord_21_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_14 = textureCoords_21_0.elementAt(14);
      expect(textureCoord_21_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_15 = textureCoords_21_0.elementAt(15);
      expect(textureCoord_21_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_21_0_16 = textureCoords_21_0.elementAt(16);
      expect(textureCoord_21_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_17 = textureCoords_21_0.elementAt(17);
      expect(textureCoord_21_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_18 = textureCoords_21_0.elementAt(18);
      expect(textureCoord_21_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_19 = textureCoords_21_0.elementAt(19);
      expect(textureCoord_21_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_21_0_20 = textureCoords_21_0.elementAt(20);
      expect(textureCoord_21_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_21_0_21 = textureCoords_21_0.elementAt(21);
      expect(textureCoord_21_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_21_0_22 = textureCoords_21_0.elementAt(22);
      expect(textureCoord_21_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_21_0_23 = textureCoords_21_0.elementAt(23);
      expect(textureCoord_21_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_21.uvComponents.length, equals(1));
      expect(mesh_21.uvComponents, equals([2]));
      expect(mesh_21.faces.length, equals(6));
      expect(mesh_21.bones.length, isZero);
      expect(mesh_21.materialIndex, isZero);
      expect(mesh_21.name, equals('Box022Mesh'));
      expect(mesh_21.animMeshes.length, isZero);
      expect(mesh_21.morphingMethod, isZero);
      expect(mesh_21.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_22 = meshes.elementAt(22);
      expect(mesh_22.primitiveTypes, equals(8));
      expect(mesh_22.vertices.length, equals(24));
      final vertex_22_0 = mesh_22.vertices.elementAt(0);
      expect(vertex_22_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_22_1 = mesh_22.vertices.elementAt(1);
      expect(vertex_22_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_22_2 = mesh_22.vertices.elementAt(2);
      expect(vertex_22_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_22_3 = mesh_22.vertices.elementAt(3);
      expect(vertex_22_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_22_4 = mesh_22.vertices.elementAt(4);
      expect(vertex_22_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_22_5 = mesh_22.vertices.elementAt(5);
      expect(vertex_22_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_22_6 = mesh_22.vertices.elementAt(6);
      expect(vertex_22_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_22_7 = mesh_22.vertices.elementAt(7);
      expect(vertex_22_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_22_8 = mesh_22.vertices.elementAt(8);
      expect(vertex_22_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_22_9 = mesh_22.vertices.elementAt(9);
      expect(vertex_22_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_22_10 = mesh_22.vertices.elementAt(10);
      expect(vertex_22_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_22_11 = mesh_22.vertices.elementAt(11);
      expect(vertex_22_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_22_12 = mesh_22.vertices.elementAt(12);
      expect(vertex_22_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_22_13 = mesh_22.vertices.elementAt(13);
      expect(vertex_22_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_22_14 = mesh_22.vertices.elementAt(14);
      expect(vertex_22_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_22_15 = mesh_22.vertices.elementAt(15);
      expect(vertex_22_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_22_16 = mesh_22.vertices.elementAt(16);
      expect(vertex_22_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_22_17 = mesh_22.vertices.elementAt(17);
      expect(vertex_22_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_22_18 = mesh_22.vertices.elementAt(18);
      expect(vertex_22_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_22_19 = mesh_22.vertices.elementAt(19);
      expect(vertex_22_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_22_20 = mesh_22.vertices.elementAt(20);
      expect(vertex_22_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_22_21 = mesh_22.vertices.elementAt(21);
      expect(vertex_22_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_22_22 = mesh_22.vertices.elementAt(22);
      expect(vertex_22_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_22_23 = mesh_22.vertices.elementAt(23);
      expect(vertex_22_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_22.normals.length, equals(24));
      final normal_22_0 = mesh_22.normals.elementAt(0);
      expect(normal_22_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_22_1 = mesh_22.normals.elementAt(1);
      expect(normal_22_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_22_2 = mesh_22.normals.elementAt(2);
      expect(normal_22_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_22_3 = mesh_22.normals.elementAt(3);
      expect(normal_22_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_22_4 = mesh_22.normals.elementAt(4);
      expect(normal_22_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_22_5 = mesh_22.normals.elementAt(5);
      expect(normal_22_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_22_6 = mesh_22.normals.elementAt(6);
      expect(normal_22_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_22_7 = mesh_22.normals.elementAt(7);
      expect(normal_22_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_22_8 = mesh_22.normals.elementAt(8);
      expect(normal_22_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_22_9 = mesh_22.normals.elementAt(9);
      expect(normal_22_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_22_10 = mesh_22.normals.elementAt(10);
      expect(normal_22_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_22_11 = mesh_22.normals.elementAt(11);
      expect(normal_22_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_22_12 = mesh_22.normals.elementAt(12);
      expect(normal_22_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_22_13 = mesh_22.normals.elementAt(13);
      expect(normal_22_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_22_14 = mesh_22.normals.elementAt(14);
      expect(normal_22_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_22_15 = mesh_22.normals.elementAt(15);
      expect(normal_22_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_22_16 = mesh_22.normals.elementAt(16);
      expect(normal_22_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_22_17 = mesh_22.normals.elementAt(17);
      expect(normal_22_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_22_18 = mesh_22.normals.elementAt(18);
      expect(normal_22_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_22_19 = mesh_22.normals.elementAt(19);
      expect(normal_22_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_22_20 = mesh_22.normals.elementAt(20);
      expect(normal_22_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_22_21 = mesh_22.normals.elementAt(21);
      expect(normal_22_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_22_22 = mesh_22.normals.elementAt(22);
      expect(normal_22_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_22_23 = mesh_22.normals.elementAt(23);
      expect(normal_22_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_22.tangents.length, isZero);
      expect(mesh_22.bitangents.length, isZero);
      expect(mesh_22.colors.length, isZero);
      expect(mesh_22.textureCoords.length, equals(1));
      final textureCoords_22_0 = mesh_22.textureCoords.elementAt(0);
      expect(textureCoords_22_0.length, equals(24));
      final textureCoord_22_0_0 = textureCoords_22_0.elementAt(0);
      expect(textureCoord_22_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_1 = textureCoords_22_0.elementAt(1);
      expect(textureCoord_22_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_2 = textureCoords_22_0.elementAt(2);
      expect(textureCoord_22_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_22_0_3 = textureCoords_22_0.elementAt(3);
      expect(textureCoord_22_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_4 = textureCoords_22_0.elementAt(4);
      expect(textureCoord_22_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_5 = textureCoords_22_0.elementAt(5);
      expect(textureCoord_22_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_6 = textureCoords_22_0.elementAt(6);
      expect(textureCoord_22_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_7 = textureCoords_22_0.elementAt(7);
      expect(textureCoord_22_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_22_0_8 = textureCoords_22_0.elementAt(8);
      expect(textureCoord_22_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_9 = textureCoords_22_0.elementAt(9);
      expect(textureCoord_22_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_10 = textureCoords_22_0.elementAt(10);
      expect(textureCoord_22_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_11 = textureCoords_22_0.elementAt(11);
      expect(textureCoord_22_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_22_0_12 = textureCoords_22_0.elementAt(12);
      expect(textureCoord_22_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_13 = textureCoords_22_0.elementAt(13);
      expect(textureCoord_22_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_14 = textureCoords_22_0.elementAt(14);
      expect(textureCoord_22_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_15 = textureCoords_22_0.elementAt(15);
      expect(textureCoord_22_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_22_0_16 = textureCoords_22_0.elementAt(16);
      expect(textureCoord_22_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_17 = textureCoords_22_0.elementAt(17);
      expect(textureCoord_22_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_18 = textureCoords_22_0.elementAt(18);
      expect(textureCoord_22_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_19 = textureCoords_22_0.elementAt(19);
      expect(textureCoord_22_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_22_0_20 = textureCoords_22_0.elementAt(20);
      expect(textureCoord_22_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_22_0_21 = textureCoords_22_0.elementAt(21);
      expect(textureCoord_22_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_22_0_22 = textureCoords_22_0.elementAt(22);
      expect(textureCoord_22_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_22_0_23 = textureCoords_22_0.elementAt(23);
      expect(textureCoord_22_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_22.uvComponents.length, equals(1));
      expect(mesh_22.uvComponents, equals([2]));
      expect(mesh_22.faces.length, equals(6));
      expect(mesh_22.bones.length, isZero);
      expect(mesh_22.materialIndex, isZero);
      expect(mesh_22.name, equals('Box023Mesh'));
      expect(mesh_22.animMeshes.length, isZero);
      expect(mesh_22.morphingMethod, isZero);
      expect(mesh_22.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_23 = meshes.elementAt(23);
      expect(mesh_23.primitiveTypes, equals(8));
      expect(mesh_23.vertices.length, equals(24));
      final vertex_23_0 = mesh_23.vertices.elementAt(0);
      expect(vertex_23_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_23_1 = mesh_23.vertices.elementAt(1);
      expect(vertex_23_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_23_2 = mesh_23.vertices.elementAt(2);
      expect(vertex_23_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_23_3 = mesh_23.vertices.elementAt(3);
      expect(vertex_23_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_23_4 = mesh_23.vertices.elementAt(4);
      expect(vertex_23_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_23_5 = mesh_23.vertices.elementAt(5);
      expect(vertex_23_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_23_6 = mesh_23.vertices.elementAt(6);
      expect(vertex_23_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_23_7 = mesh_23.vertices.elementAt(7);
      expect(vertex_23_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_23_8 = mesh_23.vertices.elementAt(8);
      expect(vertex_23_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_23_9 = mesh_23.vertices.elementAt(9);
      expect(vertex_23_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_23_10 = mesh_23.vertices.elementAt(10);
      expect(vertex_23_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_23_11 = mesh_23.vertices.elementAt(11);
      expect(vertex_23_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_23_12 = mesh_23.vertices.elementAt(12);
      expect(vertex_23_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_23_13 = mesh_23.vertices.elementAt(13);
      expect(vertex_23_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_23_14 = mesh_23.vertices.elementAt(14);
      expect(vertex_23_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_23_15 = mesh_23.vertices.elementAt(15);
      expect(vertex_23_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_23_16 = mesh_23.vertices.elementAt(16);
      expect(vertex_23_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_23_17 = mesh_23.vertices.elementAt(17);
      expect(vertex_23_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_23_18 = mesh_23.vertices.elementAt(18);
      expect(vertex_23_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_23_19 = mesh_23.vertices.elementAt(19);
      expect(vertex_23_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_23_20 = mesh_23.vertices.elementAt(20);
      expect(vertex_23_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_23_21 = mesh_23.vertices.elementAt(21);
      expect(vertex_23_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_23_22 = mesh_23.vertices.elementAt(22);
      expect(vertex_23_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_23_23 = mesh_23.vertices.elementAt(23);
      expect(vertex_23_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_23.normals.length, equals(24));
      final normal_23_0 = mesh_23.normals.elementAt(0);
      expect(normal_23_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_23_1 = mesh_23.normals.elementAt(1);
      expect(normal_23_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_23_2 = mesh_23.normals.elementAt(2);
      expect(normal_23_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_23_3 = mesh_23.normals.elementAt(3);
      expect(normal_23_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_23_4 = mesh_23.normals.elementAt(4);
      expect(normal_23_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_23_5 = mesh_23.normals.elementAt(5);
      expect(normal_23_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_23_6 = mesh_23.normals.elementAt(6);
      expect(normal_23_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_23_7 = mesh_23.normals.elementAt(7);
      expect(normal_23_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_23_8 = mesh_23.normals.elementAt(8);
      expect(normal_23_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_23_9 = mesh_23.normals.elementAt(9);
      expect(normal_23_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_23_10 = mesh_23.normals.elementAt(10);
      expect(normal_23_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_23_11 = mesh_23.normals.elementAt(11);
      expect(normal_23_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_23_12 = mesh_23.normals.elementAt(12);
      expect(normal_23_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_23_13 = mesh_23.normals.elementAt(13);
      expect(normal_23_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_23_14 = mesh_23.normals.elementAt(14);
      expect(normal_23_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_23_15 = mesh_23.normals.elementAt(15);
      expect(normal_23_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_23_16 = mesh_23.normals.elementAt(16);
      expect(normal_23_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_23_17 = mesh_23.normals.elementAt(17);
      expect(normal_23_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_23_18 = mesh_23.normals.elementAt(18);
      expect(normal_23_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_23_19 = mesh_23.normals.elementAt(19);
      expect(normal_23_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_23_20 = mesh_23.normals.elementAt(20);
      expect(normal_23_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_23_21 = mesh_23.normals.elementAt(21);
      expect(normal_23_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_23_22 = mesh_23.normals.elementAt(22);
      expect(normal_23_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_23_23 = mesh_23.normals.elementAt(23);
      expect(normal_23_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_23.tangents.length, isZero);
      expect(mesh_23.bitangents.length, isZero);
      expect(mesh_23.colors.length, isZero);
      expect(mesh_23.textureCoords.length, equals(1));
      final textureCoords_23_0 = mesh_23.textureCoords.elementAt(0);
      expect(textureCoords_23_0.length, equals(24));
      final textureCoord_23_0_0 = textureCoords_23_0.elementAt(0);
      expect(textureCoord_23_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_1 = textureCoords_23_0.elementAt(1);
      expect(textureCoord_23_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_2 = textureCoords_23_0.elementAt(2);
      expect(textureCoord_23_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_23_0_3 = textureCoords_23_0.elementAt(3);
      expect(textureCoord_23_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_4 = textureCoords_23_0.elementAt(4);
      expect(textureCoord_23_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_5 = textureCoords_23_0.elementAt(5);
      expect(textureCoord_23_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_6 = textureCoords_23_0.elementAt(6);
      expect(textureCoord_23_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_7 = textureCoords_23_0.elementAt(7);
      expect(textureCoord_23_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_23_0_8 = textureCoords_23_0.elementAt(8);
      expect(textureCoord_23_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_9 = textureCoords_23_0.elementAt(9);
      expect(textureCoord_23_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_10 = textureCoords_23_0.elementAt(10);
      expect(textureCoord_23_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_11 = textureCoords_23_0.elementAt(11);
      expect(textureCoord_23_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_23_0_12 = textureCoords_23_0.elementAt(12);
      expect(textureCoord_23_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_13 = textureCoords_23_0.elementAt(13);
      expect(textureCoord_23_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_14 = textureCoords_23_0.elementAt(14);
      expect(textureCoord_23_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_15 = textureCoords_23_0.elementAt(15);
      expect(textureCoord_23_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_23_0_16 = textureCoords_23_0.elementAt(16);
      expect(textureCoord_23_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_17 = textureCoords_23_0.elementAt(17);
      expect(textureCoord_23_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_18 = textureCoords_23_0.elementAt(18);
      expect(textureCoord_23_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_19 = textureCoords_23_0.elementAt(19);
      expect(textureCoord_23_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_23_0_20 = textureCoords_23_0.elementAt(20);
      expect(textureCoord_23_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_23_0_21 = textureCoords_23_0.elementAt(21);
      expect(textureCoord_23_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_23_0_22 = textureCoords_23_0.elementAt(22);
      expect(textureCoord_23_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_23_0_23 = textureCoords_23_0.elementAt(23);
      expect(textureCoord_23_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_23.uvComponents.length, equals(1));
      expect(mesh_23.uvComponents, equals([2]));
      expect(mesh_23.faces.length, equals(6));
      expect(mesh_23.bones.length, isZero);
      expect(mesh_23.materialIndex, isZero);
      expect(mesh_23.name, equals('Box024Mesh'));
      expect(mesh_23.animMeshes.length, isZero);
      expect(mesh_23.morphingMethod, isZero);
      expect(mesh_23.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_24 = meshes.elementAt(24);
      expect(mesh_24.primitiveTypes, equals(8));
      expect(mesh_24.vertices.length, equals(24));
      final vertex_24_0 = mesh_24.vertices.elementAt(0);
      expect(vertex_24_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_24_1 = mesh_24.vertices.elementAt(1);
      expect(vertex_24_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_24_2 = mesh_24.vertices.elementAt(2);
      expect(vertex_24_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_24_3 = mesh_24.vertices.elementAt(3);
      expect(vertex_24_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_24_4 = mesh_24.vertices.elementAt(4);
      expect(vertex_24_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_24_5 = mesh_24.vertices.elementAt(5);
      expect(vertex_24_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_24_6 = mesh_24.vertices.elementAt(6);
      expect(vertex_24_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_24_7 = mesh_24.vertices.elementAt(7);
      expect(vertex_24_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_24_8 = mesh_24.vertices.elementAt(8);
      expect(vertex_24_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_24_9 = mesh_24.vertices.elementAt(9);
      expect(vertex_24_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_24_10 = mesh_24.vertices.elementAt(10);
      expect(vertex_24_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_24_11 = mesh_24.vertices.elementAt(11);
      expect(vertex_24_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_24_12 = mesh_24.vertices.elementAt(12);
      expect(vertex_24_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_24_13 = mesh_24.vertices.elementAt(13);
      expect(vertex_24_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_24_14 = mesh_24.vertices.elementAt(14);
      expect(vertex_24_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_24_15 = mesh_24.vertices.elementAt(15);
      expect(vertex_24_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_24_16 = mesh_24.vertices.elementAt(16);
      expect(vertex_24_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_24_17 = mesh_24.vertices.elementAt(17);
      expect(vertex_24_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_24_18 = mesh_24.vertices.elementAt(18);
      expect(vertex_24_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_24_19 = mesh_24.vertices.elementAt(19);
      expect(vertex_24_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_24_20 = mesh_24.vertices.elementAt(20);
      expect(vertex_24_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_24_21 = mesh_24.vertices.elementAt(21);
      expect(vertex_24_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_24_22 = mesh_24.vertices.elementAt(22);
      expect(vertex_24_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_24_23 = mesh_24.vertices.elementAt(23);
      expect(vertex_24_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_24.normals.length, equals(24));
      final normal_24_0 = mesh_24.normals.elementAt(0);
      expect(normal_24_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_24_1 = mesh_24.normals.elementAt(1);
      expect(normal_24_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_24_2 = mesh_24.normals.elementAt(2);
      expect(normal_24_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_24_3 = mesh_24.normals.elementAt(3);
      expect(normal_24_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_24_4 = mesh_24.normals.elementAt(4);
      expect(normal_24_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_24_5 = mesh_24.normals.elementAt(5);
      expect(normal_24_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_24_6 = mesh_24.normals.elementAt(6);
      expect(normal_24_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_24_7 = mesh_24.normals.elementAt(7);
      expect(normal_24_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_24_8 = mesh_24.normals.elementAt(8);
      expect(normal_24_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_24_9 = mesh_24.normals.elementAt(9);
      expect(normal_24_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_24_10 = mesh_24.normals.elementAt(10);
      expect(normal_24_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_24_11 = mesh_24.normals.elementAt(11);
      expect(normal_24_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_24_12 = mesh_24.normals.elementAt(12);
      expect(normal_24_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_24_13 = mesh_24.normals.elementAt(13);
      expect(normal_24_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_24_14 = mesh_24.normals.elementAt(14);
      expect(normal_24_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_24_15 = mesh_24.normals.elementAt(15);
      expect(normal_24_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_24_16 = mesh_24.normals.elementAt(16);
      expect(normal_24_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_24_17 = mesh_24.normals.elementAt(17);
      expect(normal_24_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_24_18 = mesh_24.normals.elementAt(18);
      expect(normal_24_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_24_19 = mesh_24.normals.elementAt(19);
      expect(normal_24_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_24_20 = mesh_24.normals.elementAt(20);
      expect(normal_24_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_24_21 = mesh_24.normals.elementAt(21);
      expect(normal_24_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_24_22 = mesh_24.normals.elementAt(22);
      expect(normal_24_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_24_23 = mesh_24.normals.elementAt(23);
      expect(normal_24_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_24.tangents.length, isZero);
      expect(mesh_24.bitangents.length, isZero);
      expect(mesh_24.colors.length, isZero);
      expect(mesh_24.textureCoords.length, equals(1));
      final textureCoords_24_0 = mesh_24.textureCoords.elementAt(0);
      expect(textureCoords_24_0.length, equals(24));
      final textureCoord_24_0_0 = textureCoords_24_0.elementAt(0);
      expect(textureCoord_24_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_1 = textureCoords_24_0.elementAt(1);
      expect(textureCoord_24_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_2 = textureCoords_24_0.elementAt(2);
      expect(textureCoord_24_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_24_0_3 = textureCoords_24_0.elementAt(3);
      expect(textureCoord_24_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_4 = textureCoords_24_0.elementAt(4);
      expect(textureCoord_24_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_5 = textureCoords_24_0.elementAt(5);
      expect(textureCoord_24_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_6 = textureCoords_24_0.elementAt(6);
      expect(textureCoord_24_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_7 = textureCoords_24_0.elementAt(7);
      expect(textureCoord_24_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_24_0_8 = textureCoords_24_0.elementAt(8);
      expect(textureCoord_24_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_9 = textureCoords_24_0.elementAt(9);
      expect(textureCoord_24_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_10 = textureCoords_24_0.elementAt(10);
      expect(textureCoord_24_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_11 = textureCoords_24_0.elementAt(11);
      expect(textureCoord_24_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_24_0_12 = textureCoords_24_0.elementAt(12);
      expect(textureCoord_24_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_13 = textureCoords_24_0.elementAt(13);
      expect(textureCoord_24_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_14 = textureCoords_24_0.elementAt(14);
      expect(textureCoord_24_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_15 = textureCoords_24_0.elementAt(15);
      expect(textureCoord_24_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_24_0_16 = textureCoords_24_0.elementAt(16);
      expect(textureCoord_24_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_17 = textureCoords_24_0.elementAt(17);
      expect(textureCoord_24_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_18 = textureCoords_24_0.elementAt(18);
      expect(textureCoord_24_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_19 = textureCoords_24_0.elementAt(19);
      expect(textureCoord_24_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_24_0_20 = textureCoords_24_0.elementAt(20);
      expect(textureCoord_24_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_24_0_21 = textureCoords_24_0.elementAt(21);
      expect(textureCoord_24_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_24_0_22 = textureCoords_24_0.elementAt(22);
      expect(textureCoord_24_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_24_0_23 = textureCoords_24_0.elementAt(23);
      expect(textureCoord_24_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_24.uvComponents.length, equals(1));
      expect(mesh_24.uvComponents, equals([2]));
      expect(mesh_24.faces.length, equals(6));
      expect(mesh_24.bones.length, isZero);
      expect(mesh_24.materialIndex, isZero);
      expect(mesh_24.name, equals('Box025Mesh'));
      expect(mesh_24.animMeshes.length, isZero);
      expect(mesh_24.morphingMethod, isZero);
      expect(mesh_24.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_25 = meshes.elementAt(25);
      expect(mesh_25.primitiveTypes, equals(8));
      expect(mesh_25.vertices.length, equals(24));
      final vertex_25_0 = mesh_25.vertices.elementAt(0);
      expect(vertex_25_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_25_1 = mesh_25.vertices.elementAt(1);
      expect(vertex_25_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_25_2 = mesh_25.vertices.elementAt(2);
      expect(vertex_25_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_25_3 = mesh_25.vertices.elementAt(3);
      expect(vertex_25_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_25_4 = mesh_25.vertices.elementAt(4);
      expect(vertex_25_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_25_5 = mesh_25.vertices.elementAt(5);
      expect(vertex_25_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_25_6 = mesh_25.vertices.elementAt(6);
      expect(vertex_25_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_25_7 = mesh_25.vertices.elementAt(7);
      expect(vertex_25_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_25_8 = mesh_25.vertices.elementAt(8);
      expect(vertex_25_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_25_9 = mesh_25.vertices.elementAt(9);
      expect(vertex_25_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_25_10 = mesh_25.vertices.elementAt(10);
      expect(vertex_25_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_25_11 = mesh_25.vertices.elementAt(11);
      expect(vertex_25_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_25_12 = mesh_25.vertices.elementAt(12);
      expect(vertex_25_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_25_13 = mesh_25.vertices.elementAt(13);
      expect(vertex_25_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_25_14 = mesh_25.vertices.elementAt(14);
      expect(vertex_25_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_25_15 = mesh_25.vertices.elementAt(15);
      expect(vertex_25_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_25_16 = mesh_25.vertices.elementAt(16);
      expect(vertex_25_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_25_17 = mesh_25.vertices.elementAt(17);
      expect(vertex_25_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_25_18 = mesh_25.vertices.elementAt(18);
      expect(vertex_25_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_25_19 = mesh_25.vertices.elementAt(19);
      expect(vertex_25_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_25_20 = mesh_25.vertices.elementAt(20);
      expect(vertex_25_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_25_21 = mesh_25.vertices.elementAt(21);
      expect(vertex_25_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_25_22 = mesh_25.vertices.elementAt(22);
      expect(vertex_25_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_25_23 = mesh_25.vertices.elementAt(23);
      expect(vertex_25_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_25.normals.length, equals(24));
      final normal_25_0 = mesh_25.normals.elementAt(0);
      expect(normal_25_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_25_1 = mesh_25.normals.elementAt(1);
      expect(normal_25_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_25_2 = mesh_25.normals.elementAt(2);
      expect(normal_25_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_25_3 = mesh_25.normals.elementAt(3);
      expect(normal_25_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_25_4 = mesh_25.normals.elementAt(4);
      expect(normal_25_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_25_5 = mesh_25.normals.elementAt(5);
      expect(normal_25_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_25_6 = mesh_25.normals.elementAt(6);
      expect(normal_25_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_25_7 = mesh_25.normals.elementAt(7);
      expect(normal_25_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_25_8 = mesh_25.normals.elementAt(8);
      expect(normal_25_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_25_9 = mesh_25.normals.elementAt(9);
      expect(normal_25_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_25_10 = mesh_25.normals.elementAt(10);
      expect(normal_25_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_25_11 = mesh_25.normals.elementAt(11);
      expect(normal_25_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_25_12 = mesh_25.normals.elementAt(12);
      expect(normal_25_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_25_13 = mesh_25.normals.elementAt(13);
      expect(normal_25_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_25_14 = mesh_25.normals.elementAt(14);
      expect(normal_25_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_25_15 = mesh_25.normals.elementAt(15);
      expect(normal_25_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_25_16 = mesh_25.normals.elementAt(16);
      expect(normal_25_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_25_17 = mesh_25.normals.elementAt(17);
      expect(normal_25_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_25_18 = mesh_25.normals.elementAt(18);
      expect(normal_25_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_25_19 = mesh_25.normals.elementAt(19);
      expect(normal_25_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_25_20 = mesh_25.normals.elementAt(20);
      expect(normal_25_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_25_21 = mesh_25.normals.elementAt(21);
      expect(normal_25_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_25_22 = mesh_25.normals.elementAt(22);
      expect(normal_25_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_25_23 = mesh_25.normals.elementAt(23);
      expect(normal_25_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_25.tangents.length, isZero);
      expect(mesh_25.bitangents.length, isZero);
      expect(mesh_25.colors.length, isZero);
      expect(mesh_25.textureCoords.length, equals(1));
      final textureCoords_25_0 = mesh_25.textureCoords.elementAt(0);
      expect(textureCoords_25_0.length, equals(24));
      final textureCoord_25_0_0 = textureCoords_25_0.elementAt(0);
      expect(textureCoord_25_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_1 = textureCoords_25_0.elementAt(1);
      expect(textureCoord_25_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_2 = textureCoords_25_0.elementAt(2);
      expect(textureCoord_25_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_25_0_3 = textureCoords_25_0.elementAt(3);
      expect(textureCoord_25_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_4 = textureCoords_25_0.elementAt(4);
      expect(textureCoord_25_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_5 = textureCoords_25_0.elementAt(5);
      expect(textureCoord_25_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_6 = textureCoords_25_0.elementAt(6);
      expect(textureCoord_25_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_7 = textureCoords_25_0.elementAt(7);
      expect(textureCoord_25_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_25_0_8 = textureCoords_25_0.elementAt(8);
      expect(textureCoord_25_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_9 = textureCoords_25_0.elementAt(9);
      expect(textureCoord_25_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_10 = textureCoords_25_0.elementAt(10);
      expect(textureCoord_25_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_11 = textureCoords_25_0.elementAt(11);
      expect(textureCoord_25_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_25_0_12 = textureCoords_25_0.elementAt(12);
      expect(textureCoord_25_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_13 = textureCoords_25_0.elementAt(13);
      expect(textureCoord_25_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_14 = textureCoords_25_0.elementAt(14);
      expect(textureCoord_25_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_15 = textureCoords_25_0.elementAt(15);
      expect(textureCoord_25_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_25_0_16 = textureCoords_25_0.elementAt(16);
      expect(textureCoord_25_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_17 = textureCoords_25_0.elementAt(17);
      expect(textureCoord_25_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_18 = textureCoords_25_0.elementAt(18);
      expect(textureCoord_25_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_19 = textureCoords_25_0.elementAt(19);
      expect(textureCoord_25_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_25_0_20 = textureCoords_25_0.elementAt(20);
      expect(textureCoord_25_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_25_0_21 = textureCoords_25_0.elementAt(21);
      expect(textureCoord_25_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_25_0_22 = textureCoords_25_0.elementAt(22);
      expect(textureCoord_25_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_25_0_23 = textureCoords_25_0.elementAt(23);
      expect(textureCoord_25_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_25.uvComponents.length, equals(1));
      expect(mesh_25.uvComponents, equals([2]));
      expect(mesh_25.faces.length, equals(6));
      expect(mesh_25.bones.length, isZero);
      expect(mesh_25.materialIndex, isZero);
      expect(mesh_25.name, equals('Box026Mesh'));
      expect(mesh_25.animMeshes.length, isZero);
      expect(mesh_25.morphingMethod, isZero);
      expect(mesh_25.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_26 = meshes.elementAt(26);
      expect(mesh_26.primitiveTypes, equals(8));
      expect(mesh_26.vertices.length, equals(24));
      final vertex_26_0 = mesh_26.vertices.elementAt(0);
      expect(vertex_26_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_26_1 = mesh_26.vertices.elementAt(1);
      expect(vertex_26_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_26_2 = mesh_26.vertices.elementAt(2);
      expect(vertex_26_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_26_3 = mesh_26.vertices.elementAt(3);
      expect(vertex_26_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_26_4 = mesh_26.vertices.elementAt(4);
      expect(vertex_26_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_26_5 = mesh_26.vertices.elementAt(5);
      expect(vertex_26_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_26_6 = mesh_26.vertices.elementAt(6);
      expect(vertex_26_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_26_7 = mesh_26.vertices.elementAt(7);
      expect(vertex_26_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_26_8 = mesh_26.vertices.elementAt(8);
      expect(vertex_26_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_26_9 = mesh_26.vertices.elementAt(9);
      expect(vertex_26_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_26_10 = mesh_26.vertices.elementAt(10);
      expect(vertex_26_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_26_11 = mesh_26.vertices.elementAt(11);
      expect(vertex_26_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_26_12 = mesh_26.vertices.elementAt(12);
      expect(vertex_26_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_26_13 = mesh_26.vertices.elementAt(13);
      expect(vertex_26_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_26_14 = mesh_26.vertices.elementAt(14);
      expect(vertex_26_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_26_15 = mesh_26.vertices.elementAt(15);
      expect(vertex_26_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_26_16 = mesh_26.vertices.elementAt(16);
      expect(vertex_26_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_26_17 = mesh_26.vertices.elementAt(17);
      expect(vertex_26_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_26_18 = mesh_26.vertices.elementAt(18);
      expect(vertex_26_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_26_19 = mesh_26.vertices.elementAt(19);
      expect(vertex_26_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_26_20 = mesh_26.vertices.elementAt(20);
      expect(vertex_26_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_26_21 = mesh_26.vertices.elementAt(21);
      expect(vertex_26_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_26_22 = mesh_26.vertices.elementAt(22);
      expect(vertex_26_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_26_23 = mesh_26.vertices.elementAt(23);
      expect(vertex_26_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_26.normals.length, equals(24));
      final normal_26_0 = mesh_26.normals.elementAt(0);
      expect(normal_26_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_26_1 = mesh_26.normals.elementAt(1);
      expect(normal_26_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_26_2 = mesh_26.normals.elementAt(2);
      expect(normal_26_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_26_3 = mesh_26.normals.elementAt(3);
      expect(normal_26_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_26_4 = mesh_26.normals.elementAt(4);
      expect(normal_26_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_26_5 = mesh_26.normals.elementAt(5);
      expect(normal_26_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_26_6 = mesh_26.normals.elementAt(6);
      expect(normal_26_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_26_7 = mesh_26.normals.elementAt(7);
      expect(normal_26_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_26_8 = mesh_26.normals.elementAt(8);
      expect(normal_26_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_26_9 = mesh_26.normals.elementAt(9);
      expect(normal_26_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_26_10 = mesh_26.normals.elementAt(10);
      expect(normal_26_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_26_11 = mesh_26.normals.elementAt(11);
      expect(normal_26_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_26_12 = mesh_26.normals.elementAt(12);
      expect(normal_26_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_26_13 = mesh_26.normals.elementAt(13);
      expect(normal_26_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_26_14 = mesh_26.normals.elementAt(14);
      expect(normal_26_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_26_15 = mesh_26.normals.elementAt(15);
      expect(normal_26_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_26_16 = mesh_26.normals.elementAt(16);
      expect(normal_26_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_26_17 = mesh_26.normals.elementAt(17);
      expect(normal_26_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_26_18 = mesh_26.normals.elementAt(18);
      expect(normal_26_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_26_19 = mesh_26.normals.elementAt(19);
      expect(normal_26_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_26_20 = mesh_26.normals.elementAt(20);
      expect(normal_26_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_26_21 = mesh_26.normals.elementAt(21);
      expect(normal_26_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_26_22 = mesh_26.normals.elementAt(22);
      expect(normal_26_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_26_23 = mesh_26.normals.elementAt(23);
      expect(normal_26_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_26.tangents.length, isZero);
      expect(mesh_26.bitangents.length, isZero);
      expect(mesh_26.colors.length, isZero);
      expect(mesh_26.textureCoords.length, equals(1));
      final textureCoords_26_0 = mesh_26.textureCoords.elementAt(0);
      expect(textureCoords_26_0.length, equals(24));
      final textureCoord_26_0_0 = textureCoords_26_0.elementAt(0);
      expect(textureCoord_26_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_1 = textureCoords_26_0.elementAt(1);
      expect(textureCoord_26_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_2 = textureCoords_26_0.elementAt(2);
      expect(textureCoord_26_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_26_0_3 = textureCoords_26_0.elementAt(3);
      expect(textureCoord_26_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_4 = textureCoords_26_0.elementAt(4);
      expect(textureCoord_26_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_5 = textureCoords_26_0.elementAt(5);
      expect(textureCoord_26_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_6 = textureCoords_26_0.elementAt(6);
      expect(textureCoord_26_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_7 = textureCoords_26_0.elementAt(7);
      expect(textureCoord_26_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_26_0_8 = textureCoords_26_0.elementAt(8);
      expect(textureCoord_26_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_9 = textureCoords_26_0.elementAt(9);
      expect(textureCoord_26_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_10 = textureCoords_26_0.elementAt(10);
      expect(textureCoord_26_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_11 = textureCoords_26_0.elementAt(11);
      expect(textureCoord_26_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_26_0_12 = textureCoords_26_0.elementAt(12);
      expect(textureCoord_26_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_13 = textureCoords_26_0.elementAt(13);
      expect(textureCoord_26_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_14 = textureCoords_26_0.elementAt(14);
      expect(textureCoord_26_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_15 = textureCoords_26_0.elementAt(15);
      expect(textureCoord_26_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_26_0_16 = textureCoords_26_0.elementAt(16);
      expect(textureCoord_26_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_17 = textureCoords_26_0.elementAt(17);
      expect(textureCoord_26_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_18 = textureCoords_26_0.elementAt(18);
      expect(textureCoord_26_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_19 = textureCoords_26_0.elementAt(19);
      expect(textureCoord_26_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_26_0_20 = textureCoords_26_0.elementAt(20);
      expect(textureCoord_26_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_26_0_21 = textureCoords_26_0.elementAt(21);
      expect(textureCoord_26_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_26_0_22 = textureCoords_26_0.elementAt(22);
      expect(textureCoord_26_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_26_0_23 = textureCoords_26_0.elementAt(23);
      expect(textureCoord_26_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_26.uvComponents.length, equals(1));
      expect(mesh_26.uvComponents, equals([2]));
      expect(mesh_26.faces.length, equals(6));
      expect(mesh_26.bones.length, isZero);
      expect(mesh_26.materialIndex, isZero);
      expect(mesh_26.name, equals('Box027Mesh'));
      expect(mesh_26.animMeshes.length, isZero);
      expect(mesh_26.morphingMethod, isZero);
      expect(mesh_26.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_27 = meshes.elementAt(27);
      expect(mesh_27.primitiveTypes, equals(8));
      expect(mesh_27.vertices.length, equals(24));
      final vertex_27_0 = mesh_27.vertices.elementAt(0);
      expect(vertex_27_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_27_1 = mesh_27.vertices.elementAt(1);
      expect(vertex_27_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_27_2 = mesh_27.vertices.elementAt(2);
      expect(vertex_27_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_27_3 = mesh_27.vertices.elementAt(3);
      expect(vertex_27_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_27_4 = mesh_27.vertices.elementAt(4);
      expect(vertex_27_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_27_5 = mesh_27.vertices.elementAt(5);
      expect(vertex_27_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_27_6 = mesh_27.vertices.elementAt(6);
      expect(vertex_27_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_27_7 = mesh_27.vertices.elementAt(7);
      expect(vertex_27_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_27_8 = mesh_27.vertices.elementAt(8);
      expect(vertex_27_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_27_9 = mesh_27.vertices.elementAt(9);
      expect(vertex_27_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_27_10 = mesh_27.vertices.elementAt(10);
      expect(vertex_27_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_27_11 = mesh_27.vertices.elementAt(11);
      expect(vertex_27_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_27_12 = mesh_27.vertices.elementAt(12);
      expect(vertex_27_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_27_13 = mesh_27.vertices.elementAt(13);
      expect(vertex_27_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_27_14 = mesh_27.vertices.elementAt(14);
      expect(vertex_27_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_27_15 = mesh_27.vertices.elementAt(15);
      expect(vertex_27_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_27_16 = mesh_27.vertices.elementAt(16);
      expect(vertex_27_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_27_17 = mesh_27.vertices.elementAt(17);
      expect(vertex_27_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_27_18 = mesh_27.vertices.elementAt(18);
      expect(vertex_27_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_27_19 = mesh_27.vertices.elementAt(19);
      expect(vertex_27_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_27_20 = mesh_27.vertices.elementAt(20);
      expect(vertex_27_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_27_21 = mesh_27.vertices.elementAt(21);
      expect(vertex_27_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_27_22 = mesh_27.vertices.elementAt(22);
      expect(vertex_27_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_27_23 = mesh_27.vertices.elementAt(23);
      expect(vertex_27_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_27.normals.length, equals(24));
      final normal_27_0 = mesh_27.normals.elementAt(0);
      expect(normal_27_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_27_1 = mesh_27.normals.elementAt(1);
      expect(normal_27_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_27_2 = mesh_27.normals.elementAt(2);
      expect(normal_27_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_27_3 = mesh_27.normals.elementAt(3);
      expect(normal_27_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_27_4 = mesh_27.normals.elementAt(4);
      expect(normal_27_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_27_5 = mesh_27.normals.elementAt(5);
      expect(normal_27_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_27_6 = mesh_27.normals.elementAt(6);
      expect(normal_27_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_27_7 = mesh_27.normals.elementAt(7);
      expect(normal_27_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_27_8 = mesh_27.normals.elementAt(8);
      expect(normal_27_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_27_9 = mesh_27.normals.elementAt(9);
      expect(normal_27_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_27_10 = mesh_27.normals.elementAt(10);
      expect(normal_27_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_27_11 = mesh_27.normals.elementAt(11);
      expect(normal_27_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_27_12 = mesh_27.normals.elementAt(12);
      expect(normal_27_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_27_13 = mesh_27.normals.elementAt(13);
      expect(normal_27_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_27_14 = mesh_27.normals.elementAt(14);
      expect(normal_27_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_27_15 = mesh_27.normals.elementAt(15);
      expect(normal_27_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_27_16 = mesh_27.normals.elementAt(16);
      expect(normal_27_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_27_17 = mesh_27.normals.elementAt(17);
      expect(normal_27_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_27_18 = mesh_27.normals.elementAt(18);
      expect(normal_27_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_27_19 = mesh_27.normals.elementAt(19);
      expect(normal_27_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_27_20 = mesh_27.normals.elementAt(20);
      expect(normal_27_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_27_21 = mesh_27.normals.elementAt(21);
      expect(normal_27_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_27_22 = mesh_27.normals.elementAt(22);
      expect(normal_27_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_27_23 = mesh_27.normals.elementAt(23);
      expect(normal_27_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_27.tangents.length, isZero);
      expect(mesh_27.bitangents.length, isZero);
      expect(mesh_27.colors.length, isZero);
      expect(mesh_27.textureCoords.length, equals(1));
      final textureCoords_27_0 = mesh_27.textureCoords.elementAt(0);
      expect(textureCoords_27_0.length, equals(24));
      final textureCoord_27_0_0 = textureCoords_27_0.elementAt(0);
      expect(textureCoord_27_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_1 = textureCoords_27_0.elementAt(1);
      expect(textureCoord_27_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_2 = textureCoords_27_0.elementAt(2);
      expect(textureCoord_27_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_27_0_3 = textureCoords_27_0.elementAt(3);
      expect(textureCoord_27_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_4 = textureCoords_27_0.elementAt(4);
      expect(textureCoord_27_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_5 = textureCoords_27_0.elementAt(5);
      expect(textureCoord_27_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_6 = textureCoords_27_0.elementAt(6);
      expect(textureCoord_27_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_7 = textureCoords_27_0.elementAt(7);
      expect(textureCoord_27_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_27_0_8 = textureCoords_27_0.elementAt(8);
      expect(textureCoord_27_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_9 = textureCoords_27_0.elementAt(9);
      expect(textureCoord_27_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_10 = textureCoords_27_0.elementAt(10);
      expect(textureCoord_27_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_11 = textureCoords_27_0.elementAt(11);
      expect(textureCoord_27_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_27_0_12 = textureCoords_27_0.elementAt(12);
      expect(textureCoord_27_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_13 = textureCoords_27_0.elementAt(13);
      expect(textureCoord_27_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_14 = textureCoords_27_0.elementAt(14);
      expect(textureCoord_27_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_15 = textureCoords_27_0.elementAt(15);
      expect(textureCoord_27_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_27_0_16 = textureCoords_27_0.elementAt(16);
      expect(textureCoord_27_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_17 = textureCoords_27_0.elementAt(17);
      expect(textureCoord_27_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_18 = textureCoords_27_0.elementAt(18);
      expect(textureCoord_27_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_19 = textureCoords_27_0.elementAt(19);
      expect(textureCoord_27_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_27_0_20 = textureCoords_27_0.elementAt(20);
      expect(textureCoord_27_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_27_0_21 = textureCoords_27_0.elementAt(21);
      expect(textureCoord_27_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_27_0_22 = textureCoords_27_0.elementAt(22);
      expect(textureCoord_27_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_27_0_23 = textureCoords_27_0.elementAt(23);
      expect(textureCoord_27_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_27.uvComponents.length, equals(1));
      expect(mesh_27.uvComponents, equals([2]));
      expect(mesh_27.faces.length, equals(6));
      expect(mesh_27.bones.length, isZero);
      expect(mesh_27.materialIndex, isZero);
      expect(mesh_27.name, equals('Box028Mesh'));
      expect(mesh_27.animMeshes.length, isZero);
      expect(mesh_27.morphingMethod, isZero);
      expect(mesh_27.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_28 = meshes.elementAt(28);
      expect(mesh_28.primitiveTypes, equals(8));
      expect(mesh_28.vertices.length, equals(24));
      final vertex_28_0 = mesh_28.vertices.elementAt(0);
      expect(vertex_28_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_28_1 = mesh_28.vertices.elementAt(1);
      expect(vertex_28_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_28_2 = mesh_28.vertices.elementAt(2);
      expect(vertex_28_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_28_3 = mesh_28.vertices.elementAt(3);
      expect(vertex_28_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_28_4 = mesh_28.vertices.elementAt(4);
      expect(vertex_28_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_28_5 = mesh_28.vertices.elementAt(5);
      expect(vertex_28_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_28_6 = mesh_28.vertices.elementAt(6);
      expect(vertex_28_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_28_7 = mesh_28.vertices.elementAt(7);
      expect(vertex_28_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_28_8 = mesh_28.vertices.elementAt(8);
      expect(vertex_28_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_28_9 = mesh_28.vertices.elementAt(9);
      expect(vertex_28_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_28_10 = mesh_28.vertices.elementAt(10);
      expect(vertex_28_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_28_11 = mesh_28.vertices.elementAt(11);
      expect(vertex_28_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_28_12 = mesh_28.vertices.elementAt(12);
      expect(vertex_28_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_28_13 = mesh_28.vertices.elementAt(13);
      expect(vertex_28_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_28_14 = mesh_28.vertices.elementAt(14);
      expect(vertex_28_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_28_15 = mesh_28.vertices.elementAt(15);
      expect(vertex_28_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_28_16 = mesh_28.vertices.elementAt(16);
      expect(vertex_28_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_28_17 = mesh_28.vertices.elementAt(17);
      expect(vertex_28_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_28_18 = mesh_28.vertices.elementAt(18);
      expect(vertex_28_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_28_19 = mesh_28.vertices.elementAt(19);
      expect(vertex_28_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_28_20 = mesh_28.vertices.elementAt(20);
      expect(vertex_28_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_28_21 = mesh_28.vertices.elementAt(21);
      expect(vertex_28_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_28_22 = mesh_28.vertices.elementAt(22);
      expect(vertex_28_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_28_23 = mesh_28.vertices.elementAt(23);
      expect(vertex_28_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_28.normals.length, equals(24));
      final normal_28_0 = mesh_28.normals.elementAt(0);
      expect(normal_28_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_28_1 = mesh_28.normals.elementAt(1);
      expect(normal_28_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_28_2 = mesh_28.normals.elementAt(2);
      expect(normal_28_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_28_3 = mesh_28.normals.elementAt(3);
      expect(normal_28_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_28_4 = mesh_28.normals.elementAt(4);
      expect(normal_28_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_28_5 = mesh_28.normals.elementAt(5);
      expect(normal_28_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_28_6 = mesh_28.normals.elementAt(6);
      expect(normal_28_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_28_7 = mesh_28.normals.elementAt(7);
      expect(normal_28_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_28_8 = mesh_28.normals.elementAt(8);
      expect(normal_28_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_28_9 = mesh_28.normals.elementAt(9);
      expect(normal_28_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_28_10 = mesh_28.normals.elementAt(10);
      expect(normal_28_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_28_11 = mesh_28.normals.elementAt(11);
      expect(normal_28_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_28_12 = mesh_28.normals.elementAt(12);
      expect(normal_28_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_28_13 = mesh_28.normals.elementAt(13);
      expect(normal_28_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_28_14 = mesh_28.normals.elementAt(14);
      expect(normal_28_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_28_15 = mesh_28.normals.elementAt(15);
      expect(normal_28_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_28_16 = mesh_28.normals.elementAt(16);
      expect(normal_28_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_28_17 = mesh_28.normals.elementAt(17);
      expect(normal_28_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_28_18 = mesh_28.normals.elementAt(18);
      expect(normal_28_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_28_19 = mesh_28.normals.elementAt(19);
      expect(normal_28_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_28_20 = mesh_28.normals.elementAt(20);
      expect(normal_28_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_28_21 = mesh_28.normals.elementAt(21);
      expect(normal_28_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_28_22 = mesh_28.normals.elementAt(22);
      expect(normal_28_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_28_23 = mesh_28.normals.elementAt(23);
      expect(normal_28_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_28.tangents.length, isZero);
      expect(mesh_28.bitangents.length, isZero);
      expect(mesh_28.colors.length, isZero);
      expect(mesh_28.textureCoords.length, equals(1));
      final textureCoords_28_0 = mesh_28.textureCoords.elementAt(0);
      expect(textureCoords_28_0.length, equals(24));
      final textureCoord_28_0_0 = textureCoords_28_0.elementAt(0);
      expect(textureCoord_28_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_1 = textureCoords_28_0.elementAt(1);
      expect(textureCoord_28_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_2 = textureCoords_28_0.elementAt(2);
      expect(textureCoord_28_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_28_0_3 = textureCoords_28_0.elementAt(3);
      expect(textureCoord_28_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_4 = textureCoords_28_0.elementAt(4);
      expect(textureCoord_28_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_5 = textureCoords_28_0.elementAt(5);
      expect(textureCoord_28_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_6 = textureCoords_28_0.elementAt(6);
      expect(textureCoord_28_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_7 = textureCoords_28_0.elementAt(7);
      expect(textureCoord_28_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_28_0_8 = textureCoords_28_0.elementAt(8);
      expect(textureCoord_28_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_9 = textureCoords_28_0.elementAt(9);
      expect(textureCoord_28_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_10 = textureCoords_28_0.elementAt(10);
      expect(textureCoord_28_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_11 = textureCoords_28_0.elementAt(11);
      expect(textureCoord_28_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_28_0_12 = textureCoords_28_0.elementAt(12);
      expect(textureCoord_28_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_13 = textureCoords_28_0.elementAt(13);
      expect(textureCoord_28_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_14 = textureCoords_28_0.elementAt(14);
      expect(textureCoord_28_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_15 = textureCoords_28_0.elementAt(15);
      expect(textureCoord_28_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_28_0_16 = textureCoords_28_0.elementAt(16);
      expect(textureCoord_28_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_17 = textureCoords_28_0.elementAt(17);
      expect(textureCoord_28_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_18 = textureCoords_28_0.elementAt(18);
      expect(textureCoord_28_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_19 = textureCoords_28_0.elementAt(19);
      expect(textureCoord_28_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_28_0_20 = textureCoords_28_0.elementAt(20);
      expect(textureCoord_28_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_28_0_21 = textureCoords_28_0.elementAt(21);
      expect(textureCoord_28_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_28_0_22 = textureCoords_28_0.elementAt(22);
      expect(textureCoord_28_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_28_0_23 = textureCoords_28_0.elementAt(23);
      expect(textureCoord_28_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_28.uvComponents.length, equals(1));
      expect(mesh_28.uvComponents, equals([2]));
      expect(mesh_28.faces.length, equals(6));
      expect(mesh_28.bones.length, isZero);
      expect(mesh_28.materialIndex, isZero);
      expect(mesh_28.name, equals('Box029Mesh'));
      expect(mesh_28.animMeshes.length, isZero);
      expect(mesh_28.morphingMethod, isZero);
      expect(mesh_28.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_29 = meshes.elementAt(29);
      expect(mesh_29.primitiveTypes, equals(8));
      expect(mesh_29.vertices.length, equals(24));
      final vertex_29_0 = mesh_29.vertices.elementAt(0);
      expect(vertex_29_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_29_1 = mesh_29.vertices.elementAt(1);
      expect(vertex_29_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_29_2 = mesh_29.vertices.elementAt(2);
      expect(vertex_29_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_29_3 = mesh_29.vertices.elementAt(3);
      expect(vertex_29_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_29_4 = mesh_29.vertices.elementAt(4);
      expect(vertex_29_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_29_5 = mesh_29.vertices.elementAt(5);
      expect(vertex_29_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_29_6 = mesh_29.vertices.elementAt(6);
      expect(vertex_29_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_29_7 = mesh_29.vertices.elementAt(7);
      expect(vertex_29_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_29_8 = mesh_29.vertices.elementAt(8);
      expect(vertex_29_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_29_9 = mesh_29.vertices.elementAt(9);
      expect(vertex_29_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_29_10 = mesh_29.vertices.elementAt(10);
      expect(vertex_29_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_29_11 = mesh_29.vertices.elementAt(11);
      expect(vertex_29_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_29_12 = mesh_29.vertices.elementAt(12);
      expect(vertex_29_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_29_13 = mesh_29.vertices.elementAt(13);
      expect(vertex_29_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_29_14 = mesh_29.vertices.elementAt(14);
      expect(vertex_29_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_29_15 = mesh_29.vertices.elementAt(15);
      expect(vertex_29_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_29_16 = mesh_29.vertices.elementAt(16);
      expect(vertex_29_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_29_17 = mesh_29.vertices.elementAt(17);
      expect(vertex_29_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_29_18 = mesh_29.vertices.elementAt(18);
      expect(vertex_29_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_29_19 = mesh_29.vertices.elementAt(19);
      expect(vertex_29_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_29_20 = mesh_29.vertices.elementAt(20);
      expect(vertex_29_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_29_21 = mesh_29.vertices.elementAt(21);
      expect(vertex_29_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_29_22 = mesh_29.vertices.elementAt(22);
      expect(vertex_29_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_29_23 = mesh_29.vertices.elementAt(23);
      expect(vertex_29_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_29.normals.length, equals(24));
      final normal_29_0 = mesh_29.normals.elementAt(0);
      expect(normal_29_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_29_1 = mesh_29.normals.elementAt(1);
      expect(normal_29_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_29_2 = mesh_29.normals.elementAt(2);
      expect(normal_29_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_29_3 = mesh_29.normals.elementAt(3);
      expect(normal_29_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_29_4 = mesh_29.normals.elementAt(4);
      expect(normal_29_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_29_5 = mesh_29.normals.elementAt(5);
      expect(normal_29_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_29_6 = mesh_29.normals.elementAt(6);
      expect(normal_29_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_29_7 = mesh_29.normals.elementAt(7);
      expect(normal_29_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_29_8 = mesh_29.normals.elementAt(8);
      expect(normal_29_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_29_9 = mesh_29.normals.elementAt(9);
      expect(normal_29_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_29_10 = mesh_29.normals.elementAt(10);
      expect(normal_29_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_29_11 = mesh_29.normals.elementAt(11);
      expect(normal_29_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_29_12 = mesh_29.normals.elementAt(12);
      expect(normal_29_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_29_13 = mesh_29.normals.elementAt(13);
      expect(normal_29_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_29_14 = mesh_29.normals.elementAt(14);
      expect(normal_29_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_29_15 = mesh_29.normals.elementAt(15);
      expect(normal_29_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_29_16 = mesh_29.normals.elementAt(16);
      expect(normal_29_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_29_17 = mesh_29.normals.elementAt(17);
      expect(normal_29_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_29_18 = mesh_29.normals.elementAt(18);
      expect(normal_29_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_29_19 = mesh_29.normals.elementAt(19);
      expect(normal_29_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_29_20 = mesh_29.normals.elementAt(20);
      expect(normal_29_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_29_21 = mesh_29.normals.elementAt(21);
      expect(normal_29_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_29_22 = mesh_29.normals.elementAt(22);
      expect(normal_29_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_29_23 = mesh_29.normals.elementAt(23);
      expect(normal_29_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_29.tangents.length, isZero);
      expect(mesh_29.bitangents.length, isZero);
      expect(mesh_29.colors.length, isZero);
      expect(mesh_29.textureCoords.length, equals(1));
      final textureCoords_29_0 = mesh_29.textureCoords.elementAt(0);
      expect(textureCoords_29_0.length, equals(24));
      final textureCoord_29_0_0 = textureCoords_29_0.elementAt(0);
      expect(textureCoord_29_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_1 = textureCoords_29_0.elementAt(1);
      expect(textureCoord_29_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_2 = textureCoords_29_0.elementAt(2);
      expect(textureCoord_29_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_29_0_3 = textureCoords_29_0.elementAt(3);
      expect(textureCoord_29_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_4 = textureCoords_29_0.elementAt(4);
      expect(textureCoord_29_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_5 = textureCoords_29_0.elementAt(5);
      expect(textureCoord_29_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_6 = textureCoords_29_0.elementAt(6);
      expect(textureCoord_29_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_7 = textureCoords_29_0.elementAt(7);
      expect(textureCoord_29_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_29_0_8 = textureCoords_29_0.elementAt(8);
      expect(textureCoord_29_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_9 = textureCoords_29_0.elementAt(9);
      expect(textureCoord_29_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_10 = textureCoords_29_0.elementAt(10);
      expect(textureCoord_29_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_11 = textureCoords_29_0.elementAt(11);
      expect(textureCoord_29_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_29_0_12 = textureCoords_29_0.elementAt(12);
      expect(textureCoord_29_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_13 = textureCoords_29_0.elementAt(13);
      expect(textureCoord_29_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_14 = textureCoords_29_0.elementAt(14);
      expect(textureCoord_29_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_15 = textureCoords_29_0.elementAt(15);
      expect(textureCoord_29_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_29_0_16 = textureCoords_29_0.elementAt(16);
      expect(textureCoord_29_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_17 = textureCoords_29_0.elementAt(17);
      expect(textureCoord_29_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_18 = textureCoords_29_0.elementAt(18);
      expect(textureCoord_29_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_19 = textureCoords_29_0.elementAt(19);
      expect(textureCoord_29_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_29_0_20 = textureCoords_29_0.elementAt(20);
      expect(textureCoord_29_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_29_0_21 = textureCoords_29_0.elementAt(21);
      expect(textureCoord_29_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_29_0_22 = textureCoords_29_0.elementAt(22);
      expect(textureCoord_29_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_29_0_23 = textureCoords_29_0.elementAt(23);
      expect(textureCoord_29_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_29.uvComponents.length, equals(1));
      expect(mesh_29.uvComponents, equals([2]));
      expect(mesh_29.faces.length, equals(6));
      expect(mesh_29.bones.length, isZero);
      expect(mesh_29.materialIndex, isZero);
      expect(mesh_29.name, equals('Box030Mesh'));
      expect(mesh_29.animMeshes.length, isZero);
      expect(mesh_29.morphingMethod, isZero);
      expect(mesh_29.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_30 = meshes.elementAt(30);
      expect(mesh_30.primitiveTypes, equals(8));
      expect(mesh_30.vertices.length, equals(24));
      final vertex_30_0 = mesh_30.vertices.elementAt(0);
      expect(vertex_30_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_30_1 = mesh_30.vertices.elementAt(1);
      expect(vertex_30_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_30_2 = mesh_30.vertices.elementAt(2);
      expect(vertex_30_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_30_3 = mesh_30.vertices.elementAt(3);
      expect(vertex_30_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_30_4 = mesh_30.vertices.elementAt(4);
      expect(vertex_30_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_30_5 = mesh_30.vertices.elementAt(5);
      expect(vertex_30_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_30_6 = mesh_30.vertices.elementAt(6);
      expect(vertex_30_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_30_7 = mesh_30.vertices.elementAt(7);
      expect(vertex_30_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_30_8 = mesh_30.vertices.elementAt(8);
      expect(vertex_30_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_30_9 = mesh_30.vertices.elementAt(9);
      expect(vertex_30_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_30_10 = mesh_30.vertices.elementAt(10);
      expect(vertex_30_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_30_11 = mesh_30.vertices.elementAt(11);
      expect(vertex_30_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_30_12 = mesh_30.vertices.elementAt(12);
      expect(vertex_30_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_30_13 = mesh_30.vertices.elementAt(13);
      expect(vertex_30_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_30_14 = mesh_30.vertices.elementAt(14);
      expect(vertex_30_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_30_15 = mesh_30.vertices.elementAt(15);
      expect(vertex_30_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_30_16 = mesh_30.vertices.elementAt(16);
      expect(vertex_30_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_30_17 = mesh_30.vertices.elementAt(17);
      expect(vertex_30_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_30_18 = mesh_30.vertices.elementAt(18);
      expect(vertex_30_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_30_19 = mesh_30.vertices.elementAt(19);
      expect(vertex_30_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_30_20 = mesh_30.vertices.elementAt(20);
      expect(vertex_30_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_30_21 = mesh_30.vertices.elementAt(21);
      expect(vertex_30_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_30_22 = mesh_30.vertices.elementAt(22);
      expect(vertex_30_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_30_23 = mesh_30.vertices.elementAt(23);
      expect(vertex_30_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_30.normals.length, equals(24));
      final normal_30_0 = mesh_30.normals.elementAt(0);
      expect(normal_30_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_30_1 = mesh_30.normals.elementAt(1);
      expect(normal_30_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_30_2 = mesh_30.normals.elementAt(2);
      expect(normal_30_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_30_3 = mesh_30.normals.elementAt(3);
      expect(normal_30_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_30_4 = mesh_30.normals.elementAt(4);
      expect(normal_30_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_30_5 = mesh_30.normals.elementAt(5);
      expect(normal_30_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_30_6 = mesh_30.normals.elementAt(6);
      expect(normal_30_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_30_7 = mesh_30.normals.elementAt(7);
      expect(normal_30_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_30_8 = mesh_30.normals.elementAt(8);
      expect(normal_30_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_30_9 = mesh_30.normals.elementAt(9);
      expect(normal_30_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_30_10 = mesh_30.normals.elementAt(10);
      expect(normal_30_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_30_11 = mesh_30.normals.elementAt(11);
      expect(normal_30_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_30_12 = mesh_30.normals.elementAt(12);
      expect(normal_30_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_30_13 = mesh_30.normals.elementAt(13);
      expect(normal_30_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_30_14 = mesh_30.normals.elementAt(14);
      expect(normal_30_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_30_15 = mesh_30.normals.elementAt(15);
      expect(normal_30_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_30_16 = mesh_30.normals.elementAt(16);
      expect(normal_30_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_30_17 = mesh_30.normals.elementAt(17);
      expect(normal_30_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_30_18 = mesh_30.normals.elementAt(18);
      expect(normal_30_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_30_19 = mesh_30.normals.elementAt(19);
      expect(normal_30_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_30_20 = mesh_30.normals.elementAt(20);
      expect(normal_30_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_30_21 = mesh_30.normals.elementAt(21);
      expect(normal_30_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_30_22 = mesh_30.normals.elementAt(22);
      expect(normal_30_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_30_23 = mesh_30.normals.elementAt(23);
      expect(normal_30_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_30.tangents.length, isZero);
      expect(mesh_30.bitangents.length, isZero);
      expect(mesh_30.colors.length, isZero);
      expect(mesh_30.textureCoords.length, equals(1));
      final textureCoords_30_0 = mesh_30.textureCoords.elementAt(0);
      expect(textureCoords_30_0.length, equals(24));
      final textureCoord_30_0_0 = textureCoords_30_0.elementAt(0);
      expect(textureCoord_30_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_1 = textureCoords_30_0.elementAt(1);
      expect(textureCoord_30_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_2 = textureCoords_30_0.elementAt(2);
      expect(textureCoord_30_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_30_0_3 = textureCoords_30_0.elementAt(3);
      expect(textureCoord_30_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_4 = textureCoords_30_0.elementAt(4);
      expect(textureCoord_30_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_5 = textureCoords_30_0.elementAt(5);
      expect(textureCoord_30_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_6 = textureCoords_30_0.elementAt(6);
      expect(textureCoord_30_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_7 = textureCoords_30_0.elementAt(7);
      expect(textureCoord_30_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_30_0_8 = textureCoords_30_0.elementAt(8);
      expect(textureCoord_30_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_9 = textureCoords_30_0.elementAt(9);
      expect(textureCoord_30_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_10 = textureCoords_30_0.elementAt(10);
      expect(textureCoord_30_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_11 = textureCoords_30_0.elementAt(11);
      expect(textureCoord_30_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_30_0_12 = textureCoords_30_0.elementAt(12);
      expect(textureCoord_30_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_13 = textureCoords_30_0.elementAt(13);
      expect(textureCoord_30_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_14 = textureCoords_30_0.elementAt(14);
      expect(textureCoord_30_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_15 = textureCoords_30_0.elementAt(15);
      expect(textureCoord_30_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_30_0_16 = textureCoords_30_0.elementAt(16);
      expect(textureCoord_30_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_17 = textureCoords_30_0.elementAt(17);
      expect(textureCoord_30_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_18 = textureCoords_30_0.elementAt(18);
      expect(textureCoord_30_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_19 = textureCoords_30_0.elementAt(19);
      expect(textureCoord_30_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_30_0_20 = textureCoords_30_0.elementAt(20);
      expect(textureCoord_30_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_30_0_21 = textureCoords_30_0.elementAt(21);
      expect(textureCoord_30_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_30_0_22 = textureCoords_30_0.elementAt(22);
      expect(textureCoord_30_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_30_0_23 = textureCoords_30_0.elementAt(23);
      expect(textureCoord_30_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_30.uvComponents.length, equals(1));
      expect(mesh_30.uvComponents, equals([2]));
      expect(mesh_30.faces.length, equals(6));
      expect(mesh_30.bones.length, isZero);
      expect(mesh_30.materialIndex, isZero);
      expect(mesh_30.name, equals('Box031Mesh'));
      expect(mesh_30.animMeshes.length, isZero);
      expect(mesh_30.morphingMethod, isZero);
      expect(mesh_30.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_31 = meshes.elementAt(31);
      expect(mesh_31.primitiveTypes, equals(8));
      expect(mesh_31.vertices.length, equals(24));
      final vertex_31_0 = mesh_31.vertices.elementAt(0);
      expect(vertex_31_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_31_1 = mesh_31.vertices.elementAt(1);
      expect(vertex_31_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_31_2 = mesh_31.vertices.elementAt(2);
      expect(vertex_31_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_31_3 = mesh_31.vertices.elementAt(3);
      expect(vertex_31_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_31_4 = mesh_31.vertices.elementAt(4);
      expect(vertex_31_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_31_5 = mesh_31.vertices.elementAt(5);
      expect(vertex_31_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_31_6 = mesh_31.vertices.elementAt(6);
      expect(vertex_31_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_31_7 = mesh_31.vertices.elementAt(7);
      expect(vertex_31_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_31_8 = mesh_31.vertices.elementAt(8);
      expect(vertex_31_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_31_9 = mesh_31.vertices.elementAt(9);
      expect(vertex_31_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_31_10 = mesh_31.vertices.elementAt(10);
      expect(vertex_31_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_31_11 = mesh_31.vertices.elementAt(11);
      expect(vertex_31_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_31_12 = mesh_31.vertices.elementAt(12);
      expect(vertex_31_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_31_13 = mesh_31.vertices.elementAt(13);
      expect(vertex_31_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_31_14 = mesh_31.vertices.elementAt(14);
      expect(vertex_31_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_31_15 = mesh_31.vertices.elementAt(15);
      expect(vertex_31_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_31_16 = mesh_31.vertices.elementAt(16);
      expect(vertex_31_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_31_17 = mesh_31.vertices.elementAt(17);
      expect(vertex_31_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_31_18 = mesh_31.vertices.elementAt(18);
      expect(vertex_31_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_31_19 = mesh_31.vertices.elementAt(19);
      expect(vertex_31_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_31_20 = mesh_31.vertices.elementAt(20);
      expect(vertex_31_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_31_21 = mesh_31.vertices.elementAt(21);
      expect(vertex_31_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_31_22 = mesh_31.vertices.elementAt(22);
      expect(vertex_31_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_31_23 = mesh_31.vertices.elementAt(23);
      expect(vertex_31_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_31.normals.length, equals(24));
      final normal_31_0 = mesh_31.normals.elementAt(0);
      expect(normal_31_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_31_1 = mesh_31.normals.elementAt(1);
      expect(normal_31_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_31_2 = mesh_31.normals.elementAt(2);
      expect(normal_31_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_31_3 = mesh_31.normals.elementAt(3);
      expect(normal_31_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_31_4 = mesh_31.normals.elementAt(4);
      expect(normal_31_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_31_5 = mesh_31.normals.elementAt(5);
      expect(normal_31_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_31_6 = mesh_31.normals.elementAt(6);
      expect(normal_31_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_31_7 = mesh_31.normals.elementAt(7);
      expect(normal_31_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_31_8 = mesh_31.normals.elementAt(8);
      expect(normal_31_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_31_9 = mesh_31.normals.elementAt(9);
      expect(normal_31_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_31_10 = mesh_31.normals.elementAt(10);
      expect(normal_31_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_31_11 = mesh_31.normals.elementAt(11);
      expect(normal_31_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_31_12 = mesh_31.normals.elementAt(12);
      expect(normal_31_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_31_13 = mesh_31.normals.elementAt(13);
      expect(normal_31_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_31_14 = mesh_31.normals.elementAt(14);
      expect(normal_31_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_31_15 = mesh_31.normals.elementAt(15);
      expect(normal_31_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_31_16 = mesh_31.normals.elementAt(16);
      expect(normal_31_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_31_17 = mesh_31.normals.elementAt(17);
      expect(normal_31_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_31_18 = mesh_31.normals.elementAt(18);
      expect(normal_31_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_31_19 = mesh_31.normals.elementAt(19);
      expect(normal_31_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_31_20 = mesh_31.normals.elementAt(20);
      expect(normal_31_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_31_21 = mesh_31.normals.elementAt(21);
      expect(normal_31_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_31_22 = mesh_31.normals.elementAt(22);
      expect(normal_31_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_31_23 = mesh_31.normals.elementAt(23);
      expect(normal_31_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_31.tangents.length, isZero);
      expect(mesh_31.bitangents.length, isZero);
      expect(mesh_31.colors.length, isZero);
      expect(mesh_31.textureCoords.length, equals(1));
      final textureCoords_31_0 = mesh_31.textureCoords.elementAt(0);
      expect(textureCoords_31_0.length, equals(24));
      final textureCoord_31_0_0 = textureCoords_31_0.elementAt(0);
      expect(textureCoord_31_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_1 = textureCoords_31_0.elementAt(1);
      expect(textureCoord_31_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_2 = textureCoords_31_0.elementAt(2);
      expect(textureCoord_31_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_31_0_3 = textureCoords_31_0.elementAt(3);
      expect(textureCoord_31_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_4 = textureCoords_31_0.elementAt(4);
      expect(textureCoord_31_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_5 = textureCoords_31_0.elementAt(5);
      expect(textureCoord_31_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_6 = textureCoords_31_0.elementAt(6);
      expect(textureCoord_31_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_7 = textureCoords_31_0.elementAt(7);
      expect(textureCoord_31_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_31_0_8 = textureCoords_31_0.elementAt(8);
      expect(textureCoord_31_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_9 = textureCoords_31_0.elementAt(9);
      expect(textureCoord_31_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_10 = textureCoords_31_0.elementAt(10);
      expect(textureCoord_31_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_11 = textureCoords_31_0.elementAt(11);
      expect(textureCoord_31_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_31_0_12 = textureCoords_31_0.elementAt(12);
      expect(textureCoord_31_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_13 = textureCoords_31_0.elementAt(13);
      expect(textureCoord_31_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_14 = textureCoords_31_0.elementAt(14);
      expect(textureCoord_31_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_15 = textureCoords_31_0.elementAt(15);
      expect(textureCoord_31_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_31_0_16 = textureCoords_31_0.elementAt(16);
      expect(textureCoord_31_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_17 = textureCoords_31_0.elementAt(17);
      expect(textureCoord_31_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_18 = textureCoords_31_0.elementAt(18);
      expect(textureCoord_31_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_19 = textureCoords_31_0.elementAt(19);
      expect(textureCoord_31_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_31_0_20 = textureCoords_31_0.elementAt(20);
      expect(textureCoord_31_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_31_0_21 = textureCoords_31_0.elementAt(21);
      expect(textureCoord_31_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_31_0_22 = textureCoords_31_0.elementAt(22);
      expect(textureCoord_31_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_31_0_23 = textureCoords_31_0.elementAt(23);
      expect(textureCoord_31_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_31.uvComponents.length, equals(1));
      expect(mesh_31.uvComponents, equals([2]));
      expect(mesh_31.faces.length, equals(6));
      expect(mesh_31.bones.length, isZero);
      expect(mesh_31.materialIndex, isZero);
      expect(mesh_31.name, equals('Box032Mesh'));
      expect(mesh_31.animMeshes.length, isZero);
      expect(mesh_31.morphingMethod, isZero);
      expect(mesh_31.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_32 = meshes.elementAt(32);
      expect(mesh_32.primitiveTypes, equals(8));
      expect(mesh_32.vertices.length, equals(24));
      final vertex_32_0 = mesh_32.vertices.elementAt(0);
      expect(vertex_32_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_32_1 = mesh_32.vertices.elementAt(1);
      expect(vertex_32_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_32_2 = mesh_32.vertices.elementAt(2);
      expect(vertex_32_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_32_3 = mesh_32.vertices.elementAt(3);
      expect(vertex_32_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_32_4 = mesh_32.vertices.elementAt(4);
      expect(vertex_32_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_32_5 = mesh_32.vertices.elementAt(5);
      expect(vertex_32_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_32_6 = mesh_32.vertices.elementAt(6);
      expect(vertex_32_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_32_7 = mesh_32.vertices.elementAt(7);
      expect(vertex_32_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_32_8 = mesh_32.vertices.elementAt(8);
      expect(vertex_32_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_32_9 = mesh_32.vertices.elementAt(9);
      expect(vertex_32_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_32_10 = mesh_32.vertices.elementAt(10);
      expect(vertex_32_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_32_11 = mesh_32.vertices.elementAt(11);
      expect(vertex_32_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_32_12 = mesh_32.vertices.elementAt(12);
      expect(vertex_32_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_32_13 = mesh_32.vertices.elementAt(13);
      expect(vertex_32_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_32_14 = mesh_32.vertices.elementAt(14);
      expect(vertex_32_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_32_15 = mesh_32.vertices.elementAt(15);
      expect(vertex_32_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_32_16 = mesh_32.vertices.elementAt(16);
      expect(vertex_32_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_32_17 = mesh_32.vertices.elementAt(17);
      expect(vertex_32_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_32_18 = mesh_32.vertices.elementAt(18);
      expect(vertex_32_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_32_19 = mesh_32.vertices.elementAt(19);
      expect(vertex_32_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_32_20 = mesh_32.vertices.elementAt(20);
      expect(vertex_32_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_32_21 = mesh_32.vertices.elementAt(21);
      expect(vertex_32_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_32_22 = mesh_32.vertices.elementAt(22);
      expect(vertex_32_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_32_23 = mesh_32.vertices.elementAt(23);
      expect(vertex_32_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_32.normals.length, equals(24));
      final normal_32_0 = mesh_32.normals.elementAt(0);
      expect(normal_32_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_32_1 = mesh_32.normals.elementAt(1);
      expect(normal_32_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_32_2 = mesh_32.normals.elementAt(2);
      expect(normal_32_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_32_3 = mesh_32.normals.elementAt(3);
      expect(normal_32_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_32_4 = mesh_32.normals.elementAt(4);
      expect(normal_32_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_32_5 = mesh_32.normals.elementAt(5);
      expect(normal_32_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_32_6 = mesh_32.normals.elementAt(6);
      expect(normal_32_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_32_7 = mesh_32.normals.elementAt(7);
      expect(normal_32_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_32_8 = mesh_32.normals.elementAt(8);
      expect(normal_32_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_32_9 = mesh_32.normals.elementAt(9);
      expect(normal_32_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_32_10 = mesh_32.normals.elementAt(10);
      expect(normal_32_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_32_11 = mesh_32.normals.elementAt(11);
      expect(normal_32_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_32_12 = mesh_32.normals.elementAt(12);
      expect(normal_32_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_32_13 = mesh_32.normals.elementAt(13);
      expect(normal_32_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_32_14 = mesh_32.normals.elementAt(14);
      expect(normal_32_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_32_15 = mesh_32.normals.elementAt(15);
      expect(normal_32_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_32_16 = mesh_32.normals.elementAt(16);
      expect(normal_32_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_32_17 = mesh_32.normals.elementAt(17);
      expect(normal_32_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_32_18 = mesh_32.normals.elementAt(18);
      expect(normal_32_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_32_19 = mesh_32.normals.elementAt(19);
      expect(normal_32_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_32_20 = mesh_32.normals.elementAt(20);
      expect(normal_32_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_32_21 = mesh_32.normals.elementAt(21);
      expect(normal_32_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_32_22 = mesh_32.normals.elementAt(22);
      expect(normal_32_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_32_23 = mesh_32.normals.elementAt(23);
      expect(normal_32_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_32.tangents.length, isZero);
      expect(mesh_32.bitangents.length, isZero);
      expect(mesh_32.colors.length, isZero);
      expect(mesh_32.textureCoords.length, equals(1));
      final textureCoords_32_0 = mesh_32.textureCoords.elementAt(0);
      expect(textureCoords_32_0.length, equals(24));
      final textureCoord_32_0_0 = textureCoords_32_0.elementAt(0);
      expect(textureCoord_32_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_1 = textureCoords_32_0.elementAt(1);
      expect(textureCoord_32_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_2 = textureCoords_32_0.elementAt(2);
      expect(textureCoord_32_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_32_0_3 = textureCoords_32_0.elementAt(3);
      expect(textureCoord_32_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_4 = textureCoords_32_0.elementAt(4);
      expect(textureCoord_32_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_5 = textureCoords_32_0.elementAt(5);
      expect(textureCoord_32_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_6 = textureCoords_32_0.elementAt(6);
      expect(textureCoord_32_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_7 = textureCoords_32_0.elementAt(7);
      expect(textureCoord_32_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_32_0_8 = textureCoords_32_0.elementAt(8);
      expect(textureCoord_32_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_9 = textureCoords_32_0.elementAt(9);
      expect(textureCoord_32_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_10 = textureCoords_32_0.elementAt(10);
      expect(textureCoord_32_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_11 = textureCoords_32_0.elementAt(11);
      expect(textureCoord_32_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_32_0_12 = textureCoords_32_0.elementAt(12);
      expect(textureCoord_32_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_13 = textureCoords_32_0.elementAt(13);
      expect(textureCoord_32_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_14 = textureCoords_32_0.elementAt(14);
      expect(textureCoord_32_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_15 = textureCoords_32_0.elementAt(15);
      expect(textureCoord_32_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_32_0_16 = textureCoords_32_0.elementAt(16);
      expect(textureCoord_32_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_17 = textureCoords_32_0.elementAt(17);
      expect(textureCoord_32_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_18 = textureCoords_32_0.elementAt(18);
      expect(textureCoord_32_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_19 = textureCoords_32_0.elementAt(19);
      expect(textureCoord_32_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_32_0_20 = textureCoords_32_0.elementAt(20);
      expect(textureCoord_32_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_32_0_21 = textureCoords_32_0.elementAt(21);
      expect(textureCoord_32_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_32_0_22 = textureCoords_32_0.elementAt(22);
      expect(textureCoord_32_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_32_0_23 = textureCoords_32_0.elementAt(23);
      expect(textureCoord_32_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_32.uvComponents.length, equals(1));
      expect(mesh_32.uvComponents, equals([2]));
      expect(mesh_32.faces.length, equals(6));
      expect(mesh_32.bones.length, isZero);
      expect(mesh_32.materialIndex, isZero);
      expect(mesh_32.name, equals('Box033Mesh'));
      expect(mesh_32.animMeshes.length, isZero);
      expect(mesh_32.morphingMethod, isZero);
      expect(mesh_32.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_33 = meshes.elementAt(33);
      expect(mesh_33.primitiveTypes, equals(8));
      expect(mesh_33.vertices.length, equals(24));
      final vertex_33_0 = mesh_33.vertices.elementAt(0);
      expect(vertex_33_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_33_1 = mesh_33.vertices.elementAt(1);
      expect(vertex_33_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_33_2 = mesh_33.vertices.elementAt(2);
      expect(vertex_33_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_33_3 = mesh_33.vertices.elementAt(3);
      expect(vertex_33_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_33_4 = mesh_33.vertices.elementAt(4);
      expect(vertex_33_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_33_5 = mesh_33.vertices.elementAt(5);
      expect(vertex_33_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_33_6 = mesh_33.vertices.elementAt(6);
      expect(vertex_33_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_33_7 = mesh_33.vertices.elementAt(7);
      expect(vertex_33_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_33_8 = mesh_33.vertices.elementAt(8);
      expect(vertex_33_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_33_9 = mesh_33.vertices.elementAt(9);
      expect(vertex_33_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_33_10 = mesh_33.vertices.elementAt(10);
      expect(vertex_33_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_33_11 = mesh_33.vertices.elementAt(11);
      expect(vertex_33_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_33_12 = mesh_33.vertices.elementAt(12);
      expect(vertex_33_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_33_13 = mesh_33.vertices.elementAt(13);
      expect(vertex_33_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_33_14 = mesh_33.vertices.elementAt(14);
      expect(vertex_33_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_33_15 = mesh_33.vertices.elementAt(15);
      expect(vertex_33_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_33_16 = mesh_33.vertices.elementAt(16);
      expect(vertex_33_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_33_17 = mesh_33.vertices.elementAt(17);
      expect(vertex_33_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_33_18 = mesh_33.vertices.elementAt(18);
      expect(vertex_33_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_33_19 = mesh_33.vertices.elementAt(19);
      expect(vertex_33_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_33_20 = mesh_33.vertices.elementAt(20);
      expect(vertex_33_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_33_21 = mesh_33.vertices.elementAt(21);
      expect(vertex_33_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_33_22 = mesh_33.vertices.elementAt(22);
      expect(vertex_33_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_33_23 = mesh_33.vertices.elementAt(23);
      expect(vertex_33_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_33.normals.length, equals(24));
      final normal_33_0 = mesh_33.normals.elementAt(0);
      expect(normal_33_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_33_1 = mesh_33.normals.elementAt(1);
      expect(normal_33_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_33_2 = mesh_33.normals.elementAt(2);
      expect(normal_33_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_33_3 = mesh_33.normals.elementAt(3);
      expect(normal_33_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_33_4 = mesh_33.normals.elementAt(4);
      expect(normal_33_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_33_5 = mesh_33.normals.elementAt(5);
      expect(normal_33_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_33_6 = mesh_33.normals.elementAt(6);
      expect(normal_33_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_33_7 = mesh_33.normals.elementAt(7);
      expect(normal_33_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_33_8 = mesh_33.normals.elementAt(8);
      expect(normal_33_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_33_9 = mesh_33.normals.elementAt(9);
      expect(normal_33_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_33_10 = mesh_33.normals.elementAt(10);
      expect(normal_33_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_33_11 = mesh_33.normals.elementAt(11);
      expect(normal_33_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_33_12 = mesh_33.normals.elementAt(12);
      expect(normal_33_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_33_13 = mesh_33.normals.elementAt(13);
      expect(normal_33_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_33_14 = mesh_33.normals.elementAt(14);
      expect(normal_33_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_33_15 = mesh_33.normals.elementAt(15);
      expect(normal_33_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_33_16 = mesh_33.normals.elementAt(16);
      expect(normal_33_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_33_17 = mesh_33.normals.elementAt(17);
      expect(normal_33_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_33_18 = mesh_33.normals.elementAt(18);
      expect(normal_33_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_33_19 = mesh_33.normals.elementAt(19);
      expect(normal_33_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_33_20 = mesh_33.normals.elementAt(20);
      expect(normal_33_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_33_21 = mesh_33.normals.elementAt(21);
      expect(normal_33_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_33_22 = mesh_33.normals.elementAt(22);
      expect(normal_33_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_33_23 = mesh_33.normals.elementAt(23);
      expect(normal_33_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_33.tangents.length, isZero);
      expect(mesh_33.bitangents.length, isZero);
      expect(mesh_33.colors.length, isZero);
      expect(mesh_33.textureCoords.length, equals(1));
      final textureCoords_33_0 = mesh_33.textureCoords.elementAt(0);
      expect(textureCoords_33_0.length, equals(24));
      final textureCoord_33_0_0 = textureCoords_33_0.elementAt(0);
      expect(textureCoord_33_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_1 = textureCoords_33_0.elementAt(1);
      expect(textureCoord_33_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_2 = textureCoords_33_0.elementAt(2);
      expect(textureCoord_33_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_33_0_3 = textureCoords_33_0.elementAt(3);
      expect(textureCoord_33_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_4 = textureCoords_33_0.elementAt(4);
      expect(textureCoord_33_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_5 = textureCoords_33_0.elementAt(5);
      expect(textureCoord_33_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_6 = textureCoords_33_0.elementAt(6);
      expect(textureCoord_33_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_7 = textureCoords_33_0.elementAt(7);
      expect(textureCoord_33_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_33_0_8 = textureCoords_33_0.elementAt(8);
      expect(textureCoord_33_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_9 = textureCoords_33_0.elementAt(9);
      expect(textureCoord_33_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_10 = textureCoords_33_0.elementAt(10);
      expect(textureCoord_33_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_11 = textureCoords_33_0.elementAt(11);
      expect(textureCoord_33_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_33_0_12 = textureCoords_33_0.elementAt(12);
      expect(textureCoord_33_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_13 = textureCoords_33_0.elementAt(13);
      expect(textureCoord_33_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_14 = textureCoords_33_0.elementAt(14);
      expect(textureCoord_33_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_15 = textureCoords_33_0.elementAt(15);
      expect(textureCoord_33_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_33_0_16 = textureCoords_33_0.elementAt(16);
      expect(textureCoord_33_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_17 = textureCoords_33_0.elementAt(17);
      expect(textureCoord_33_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_18 = textureCoords_33_0.elementAt(18);
      expect(textureCoord_33_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_19 = textureCoords_33_0.elementAt(19);
      expect(textureCoord_33_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_33_0_20 = textureCoords_33_0.elementAt(20);
      expect(textureCoord_33_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_33_0_21 = textureCoords_33_0.elementAt(21);
      expect(textureCoord_33_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_33_0_22 = textureCoords_33_0.elementAt(22);
      expect(textureCoord_33_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_33_0_23 = textureCoords_33_0.elementAt(23);
      expect(textureCoord_33_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_33.uvComponents.length, equals(1));
      expect(mesh_33.uvComponents, equals([2]));
      expect(mesh_33.faces.length, equals(6));
      expect(mesh_33.bones.length, isZero);
      expect(mesh_33.materialIndex, isZero);
      expect(mesh_33.name, equals('Box034Mesh'));
      expect(mesh_33.animMeshes.length, isZero);
      expect(mesh_33.morphingMethod, isZero);
      expect(mesh_33.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_34 = meshes.elementAt(34);
      expect(mesh_34.primitiveTypes, equals(8));
      expect(mesh_34.vertices.length, equals(24));
      final vertex_34_0 = mesh_34.vertices.elementAt(0);
      expect(vertex_34_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_34_1 = mesh_34.vertices.elementAt(1);
      expect(vertex_34_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_34_2 = mesh_34.vertices.elementAt(2);
      expect(vertex_34_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_34_3 = mesh_34.vertices.elementAt(3);
      expect(vertex_34_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_34_4 = mesh_34.vertices.elementAt(4);
      expect(vertex_34_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_34_5 = mesh_34.vertices.elementAt(5);
      expect(vertex_34_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_34_6 = mesh_34.vertices.elementAt(6);
      expect(vertex_34_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_34_7 = mesh_34.vertices.elementAt(7);
      expect(vertex_34_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_34_8 = mesh_34.vertices.elementAt(8);
      expect(vertex_34_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_34_9 = mesh_34.vertices.elementAt(9);
      expect(vertex_34_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_34_10 = mesh_34.vertices.elementAt(10);
      expect(vertex_34_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_34_11 = mesh_34.vertices.elementAt(11);
      expect(vertex_34_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_34_12 = mesh_34.vertices.elementAt(12);
      expect(vertex_34_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_34_13 = mesh_34.vertices.elementAt(13);
      expect(vertex_34_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_34_14 = mesh_34.vertices.elementAt(14);
      expect(vertex_34_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_34_15 = mesh_34.vertices.elementAt(15);
      expect(vertex_34_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_34_16 = mesh_34.vertices.elementAt(16);
      expect(vertex_34_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_34_17 = mesh_34.vertices.elementAt(17);
      expect(vertex_34_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_34_18 = mesh_34.vertices.elementAt(18);
      expect(vertex_34_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_34_19 = mesh_34.vertices.elementAt(19);
      expect(vertex_34_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_34_20 = mesh_34.vertices.elementAt(20);
      expect(vertex_34_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_34_21 = mesh_34.vertices.elementAt(21);
      expect(vertex_34_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_34_22 = mesh_34.vertices.elementAt(22);
      expect(vertex_34_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_34_23 = mesh_34.vertices.elementAt(23);
      expect(vertex_34_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_34.normals.length, equals(24));
      final normal_34_0 = mesh_34.normals.elementAt(0);
      expect(normal_34_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_34_1 = mesh_34.normals.elementAt(1);
      expect(normal_34_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_34_2 = mesh_34.normals.elementAt(2);
      expect(normal_34_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_34_3 = mesh_34.normals.elementAt(3);
      expect(normal_34_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_34_4 = mesh_34.normals.elementAt(4);
      expect(normal_34_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_34_5 = mesh_34.normals.elementAt(5);
      expect(normal_34_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_34_6 = mesh_34.normals.elementAt(6);
      expect(normal_34_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_34_7 = mesh_34.normals.elementAt(7);
      expect(normal_34_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_34_8 = mesh_34.normals.elementAt(8);
      expect(normal_34_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_34_9 = mesh_34.normals.elementAt(9);
      expect(normal_34_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_34_10 = mesh_34.normals.elementAt(10);
      expect(normal_34_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_34_11 = mesh_34.normals.elementAt(11);
      expect(normal_34_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_34_12 = mesh_34.normals.elementAt(12);
      expect(normal_34_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_34_13 = mesh_34.normals.elementAt(13);
      expect(normal_34_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_34_14 = mesh_34.normals.elementAt(14);
      expect(normal_34_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_34_15 = mesh_34.normals.elementAt(15);
      expect(normal_34_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_34_16 = mesh_34.normals.elementAt(16);
      expect(normal_34_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_34_17 = mesh_34.normals.elementAt(17);
      expect(normal_34_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_34_18 = mesh_34.normals.elementAt(18);
      expect(normal_34_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_34_19 = mesh_34.normals.elementAt(19);
      expect(normal_34_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_34_20 = mesh_34.normals.elementAt(20);
      expect(normal_34_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_34_21 = mesh_34.normals.elementAt(21);
      expect(normal_34_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_34_22 = mesh_34.normals.elementAt(22);
      expect(normal_34_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_34_23 = mesh_34.normals.elementAt(23);
      expect(normal_34_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_34.tangents.length, isZero);
      expect(mesh_34.bitangents.length, isZero);
      expect(mesh_34.colors.length, isZero);
      expect(mesh_34.textureCoords.length, equals(1));
      final textureCoords_34_0 = mesh_34.textureCoords.elementAt(0);
      expect(textureCoords_34_0.length, equals(24));
      final textureCoord_34_0_0 = textureCoords_34_0.elementAt(0);
      expect(textureCoord_34_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_1 = textureCoords_34_0.elementAt(1);
      expect(textureCoord_34_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_2 = textureCoords_34_0.elementAt(2);
      expect(textureCoord_34_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_34_0_3 = textureCoords_34_0.elementAt(3);
      expect(textureCoord_34_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_4 = textureCoords_34_0.elementAt(4);
      expect(textureCoord_34_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_5 = textureCoords_34_0.elementAt(5);
      expect(textureCoord_34_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_6 = textureCoords_34_0.elementAt(6);
      expect(textureCoord_34_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_7 = textureCoords_34_0.elementAt(7);
      expect(textureCoord_34_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_34_0_8 = textureCoords_34_0.elementAt(8);
      expect(textureCoord_34_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_9 = textureCoords_34_0.elementAt(9);
      expect(textureCoord_34_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_10 = textureCoords_34_0.elementAt(10);
      expect(textureCoord_34_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_11 = textureCoords_34_0.elementAt(11);
      expect(textureCoord_34_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_34_0_12 = textureCoords_34_0.elementAt(12);
      expect(textureCoord_34_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_13 = textureCoords_34_0.elementAt(13);
      expect(textureCoord_34_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_14 = textureCoords_34_0.elementAt(14);
      expect(textureCoord_34_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_15 = textureCoords_34_0.elementAt(15);
      expect(textureCoord_34_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_34_0_16 = textureCoords_34_0.elementAt(16);
      expect(textureCoord_34_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_17 = textureCoords_34_0.elementAt(17);
      expect(textureCoord_34_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_18 = textureCoords_34_0.elementAt(18);
      expect(textureCoord_34_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_19 = textureCoords_34_0.elementAt(19);
      expect(textureCoord_34_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_34_0_20 = textureCoords_34_0.elementAt(20);
      expect(textureCoord_34_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_34_0_21 = textureCoords_34_0.elementAt(21);
      expect(textureCoord_34_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_34_0_22 = textureCoords_34_0.elementAt(22);
      expect(textureCoord_34_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_34_0_23 = textureCoords_34_0.elementAt(23);
      expect(textureCoord_34_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_34.uvComponents.length, equals(1));
      expect(mesh_34.uvComponents, equals([2]));
      expect(mesh_34.faces.length, equals(6));
      expect(mesh_34.bones.length, isZero);
      expect(mesh_34.materialIndex, isZero);
      expect(mesh_34.name, equals('Box035Mesh'));
      expect(mesh_34.animMeshes.length, isZero);
      expect(mesh_34.morphingMethod, isZero);
      expect(mesh_34.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_35 = meshes.elementAt(35);
      expect(mesh_35.primitiveTypes, equals(8));
      expect(mesh_35.vertices.length, equals(24));
      final vertex_35_0 = mesh_35.vertices.elementAt(0);
      expect(vertex_35_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_35_1 = mesh_35.vertices.elementAt(1);
      expect(vertex_35_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_35_2 = mesh_35.vertices.elementAt(2);
      expect(vertex_35_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_35_3 = mesh_35.vertices.elementAt(3);
      expect(vertex_35_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_35_4 = mesh_35.vertices.elementAt(4);
      expect(vertex_35_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_35_5 = mesh_35.vertices.elementAt(5);
      expect(vertex_35_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_35_6 = mesh_35.vertices.elementAt(6);
      expect(vertex_35_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_35_7 = mesh_35.vertices.elementAt(7);
      expect(vertex_35_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_35_8 = mesh_35.vertices.elementAt(8);
      expect(vertex_35_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_35_9 = mesh_35.vertices.elementAt(9);
      expect(vertex_35_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_35_10 = mesh_35.vertices.elementAt(10);
      expect(vertex_35_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_35_11 = mesh_35.vertices.elementAt(11);
      expect(vertex_35_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_35_12 = mesh_35.vertices.elementAt(12);
      expect(vertex_35_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_35_13 = mesh_35.vertices.elementAt(13);
      expect(vertex_35_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_35_14 = mesh_35.vertices.elementAt(14);
      expect(vertex_35_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_35_15 = mesh_35.vertices.elementAt(15);
      expect(vertex_35_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_35_16 = mesh_35.vertices.elementAt(16);
      expect(vertex_35_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_35_17 = mesh_35.vertices.elementAt(17);
      expect(vertex_35_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_35_18 = mesh_35.vertices.elementAt(18);
      expect(vertex_35_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_35_19 = mesh_35.vertices.elementAt(19);
      expect(vertex_35_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_35_20 = mesh_35.vertices.elementAt(20);
      expect(vertex_35_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_35_21 = mesh_35.vertices.elementAt(21);
      expect(vertex_35_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_35_22 = mesh_35.vertices.elementAt(22);
      expect(vertex_35_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_35_23 = mesh_35.vertices.elementAt(23);
      expect(vertex_35_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_35.normals.length, equals(24));
      final normal_35_0 = mesh_35.normals.elementAt(0);
      expect(normal_35_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_35_1 = mesh_35.normals.elementAt(1);
      expect(normal_35_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_35_2 = mesh_35.normals.elementAt(2);
      expect(normal_35_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_35_3 = mesh_35.normals.elementAt(3);
      expect(normal_35_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_35_4 = mesh_35.normals.elementAt(4);
      expect(normal_35_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_35_5 = mesh_35.normals.elementAt(5);
      expect(normal_35_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_35_6 = mesh_35.normals.elementAt(6);
      expect(normal_35_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_35_7 = mesh_35.normals.elementAt(7);
      expect(normal_35_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_35_8 = mesh_35.normals.elementAt(8);
      expect(normal_35_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_35_9 = mesh_35.normals.elementAt(9);
      expect(normal_35_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_35_10 = mesh_35.normals.elementAt(10);
      expect(normal_35_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_35_11 = mesh_35.normals.elementAt(11);
      expect(normal_35_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_35_12 = mesh_35.normals.elementAt(12);
      expect(normal_35_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_35_13 = mesh_35.normals.elementAt(13);
      expect(normal_35_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_35_14 = mesh_35.normals.elementAt(14);
      expect(normal_35_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_35_15 = mesh_35.normals.elementAt(15);
      expect(normal_35_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_35_16 = mesh_35.normals.elementAt(16);
      expect(normal_35_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_35_17 = mesh_35.normals.elementAt(17);
      expect(normal_35_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_35_18 = mesh_35.normals.elementAt(18);
      expect(normal_35_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_35_19 = mesh_35.normals.elementAt(19);
      expect(normal_35_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_35_20 = mesh_35.normals.elementAt(20);
      expect(normal_35_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_35_21 = mesh_35.normals.elementAt(21);
      expect(normal_35_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_35_22 = mesh_35.normals.elementAt(22);
      expect(normal_35_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_35_23 = mesh_35.normals.elementAt(23);
      expect(normal_35_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_35.tangents.length, isZero);
      expect(mesh_35.bitangents.length, isZero);
      expect(mesh_35.colors.length, isZero);
      expect(mesh_35.textureCoords.length, equals(1));
      final textureCoords_35_0 = mesh_35.textureCoords.elementAt(0);
      expect(textureCoords_35_0.length, equals(24));
      final textureCoord_35_0_0 = textureCoords_35_0.elementAt(0);
      expect(textureCoord_35_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_1 = textureCoords_35_0.elementAt(1);
      expect(textureCoord_35_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_2 = textureCoords_35_0.elementAt(2);
      expect(textureCoord_35_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_35_0_3 = textureCoords_35_0.elementAt(3);
      expect(textureCoord_35_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_4 = textureCoords_35_0.elementAt(4);
      expect(textureCoord_35_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_5 = textureCoords_35_0.elementAt(5);
      expect(textureCoord_35_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_6 = textureCoords_35_0.elementAt(6);
      expect(textureCoord_35_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_7 = textureCoords_35_0.elementAt(7);
      expect(textureCoord_35_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_35_0_8 = textureCoords_35_0.elementAt(8);
      expect(textureCoord_35_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_9 = textureCoords_35_0.elementAt(9);
      expect(textureCoord_35_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_10 = textureCoords_35_0.elementAt(10);
      expect(textureCoord_35_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_11 = textureCoords_35_0.elementAt(11);
      expect(textureCoord_35_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_35_0_12 = textureCoords_35_0.elementAt(12);
      expect(textureCoord_35_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_13 = textureCoords_35_0.elementAt(13);
      expect(textureCoord_35_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_14 = textureCoords_35_0.elementAt(14);
      expect(textureCoord_35_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_15 = textureCoords_35_0.elementAt(15);
      expect(textureCoord_35_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_35_0_16 = textureCoords_35_0.elementAt(16);
      expect(textureCoord_35_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_17 = textureCoords_35_0.elementAt(17);
      expect(textureCoord_35_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_18 = textureCoords_35_0.elementAt(18);
      expect(textureCoord_35_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_19 = textureCoords_35_0.elementAt(19);
      expect(textureCoord_35_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_35_0_20 = textureCoords_35_0.elementAt(20);
      expect(textureCoord_35_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_35_0_21 = textureCoords_35_0.elementAt(21);
      expect(textureCoord_35_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_35_0_22 = textureCoords_35_0.elementAt(22);
      expect(textureCoord_35_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_35_0_23 = textureCoords_35_0.elementAt(23);
      expect(textureCoord_35_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_35.uvComponents.length, equals(1));
      expect(mesh_35.uvComponents, equals([2]));
      expect(mesh_35.faces.length, equals(6));
      expect(mesh_35.bones.length, isZero);
      expect(mesh_35.materialIndex, isZero);
      expect(mesh_35.name, equals('Box036Mesh'));
      expect(mesh_35.animMeshes.length, isZero);
      expect(mesh_35.morphingMethod, isZero);
      expect(mesh_35.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_36 = meshes.elementAt(36);
      expect(mesh_36.primitiveTypes, equals(8));
      expect(mesh_36.vertices.length, equals(24));
      final vertex_36_0 = mesh_36.vertices.elementAt(0);
      expect(vertex_36_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_36_1 = mesh_36.vertices.elementAt(1);
      expect(vertex_36_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_36_2 = mesh_36.vertices.elementAt(2);
      expect(vertex_36_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_36_3 = mesh_36.vertices.elementAt(3);
      expect(vertex_36_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_36_4 = mesh_36.vertices.elementAt(4);
      expect(vertex_36_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_36_5 = mesh_36.vertices.elementAt(5);
      expect(vertex_36_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_36_6 = mesh_36.vertices.elementAt(6);
      expect(vertex_36_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_36_7 = mesh_36.vertices.elementAt(7);
      expect(vertex_36_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_36_8 = mesh_36.vertices.elementAt(8);
      expect(vertex_36_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_36_9 = mesh_36.vertices.elementAt(9);
      expect(vertex_36_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_36_10 = mesh_36.vertices.elementAt(10);
      expect(vertex_36_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_36_11 = mesh_36.vertices.elementAt(11);
      expect(vertex_36_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_36_12 = mesh_36.vertices.elementAt(12);
      expect(vertex_36_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_36_13 = mesh_36.vertices.elementAt(13);
      expect(vertex_36_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_36_14 = mesh_36.vertices.elementAt(14);
      expect(vertex_36_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_36_15 = mesh_36.vertices.elementAt(15);
      expect(vertex_36_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_36_16 = mesh_36.vertices.elementAt(16);
      expect(vertex_36_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_36_17 = mesh_36.vertices.elementAt(17);
      expect(vertex_36_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_36_18 = mesh_36.vertices.elementAt(18);
      expect(vertex_36_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_36_19 = mesh_36.vertices.elementAt(19);
      expect(vertex_36_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_36_20 = mesh_36.vertices.elementAt(20);
      expect(vertex_36_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_36_21 = mesh_36.vertices.elementAt(21);
      expect(vertex_36_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_36_22 = mesh_36.vertices.elementAt(22);
      expect(vertex_36_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_36_23 = mesh_36.vertices.elementAt(23);
      expect(vertex_36_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_36.normals.length, equals(24));
      final normal_36_0 = mesh_36.normals.elementAt(0);
      expect(normal_36_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_36_1 = mesh_36.normals.elementAt(1);
      expect(normal_36_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_36_2 = mesh_36.normals.elementAt(2);
      expect(normal_36_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_36_3 = mesh_36.normals.elementAt(3);
      expect(normal_36_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_36_4 = mesh_36.normals.elementAt(4);
      expect(normal_36_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_36_5 = mesh_36.normals.elementAt(5);
      expect(normal_36_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_36_6 = mesh_36.normals.elementAt(6);
      expect(normal_36_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_36_7 = mesh_36.normals.elementAt(7);
      expect(normal_36_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_36_8 = mesh_36.normals.elementAt(8);
      expect(normal_36_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_36_9 = mesh_36.normals.elementAt(9);
      expect(normal_36_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_36_10 = mesh_36.normals.elementAt(10);
      expect(normal_36_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_36_11 = mesh_36.normals.elementAt(11);
      expect(normal_36_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_36_12 = mesh_36.normals.elementAt(12);
      expect(normal_36_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_36_13 = mesh_36.normals.elementAt(13);
      expect(normal_36_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_36_14 = mesh_36.normals.elementAt(14);
      expect(normal_36_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_36_15 = mesh_36.normals.elementAt(15);
      expect(normal_36_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_36_16 = mesh_36.normals.elementAt(16);
      expect(normal_36_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_36_17 = mesh_36.normals.elementAt(17);
      expect(normal_36_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_36_18 = mesh_36.normals.elementAt(18);
      expect(normal_36_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_36_19 = mesh_36.normals.elementAt(19);
      expect(normal_36_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_36_20 = mesh_36.normals.elementAt(20);
      expect(normal_36_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_36_21 = mesh_36.normals.elementAt(21);
      expect(normal_36_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_36_22 = mesh_36.normals.elementAt(22);
      expect(normal_36_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_36_23 = mesh_36.normals.elementAt(23);
      expect(normal_36_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_36.tangents.length, isZero);
      expect(mesh_36.bitangents.length, isZero);
      expect(mesh_36.colors.length, isZero);
      expect(mesh_36.textureCoords.length, equals(1));
      final textureCoords_36_0 = mesh_36.textureCoords.elementAt(0);
      expect(textureCoords_36_0.length, equals(24));
      final textureCoord_36_0_0 = textureCoords_36_0.elementAt(0);
      expect(textureCoord_36_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_1 = textureCoords_36_0.elementAt(1);
      expect(textureCoord_36_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_2 = textureCoords_36_0.elementAt(2);
      expect(textureCoord_36_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_36_0_3 = textureCoords_36_0.elementAt(3);
      expect(textureCoord_36_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_4 = textureCoords_36_0.elementAt(4);
      expect(textureCoord_36_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_5 = textureCoords_36_0.elementAt(5);
      expect(textureCoord_36_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_6 = textureCoords_36_0.elementAt(6);
      expect(textureCoord_36_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_7 = textureCoords_36_0.elementAt(7);
      expect(textureCoord_36_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_36_0_8 = textureCoords_36_0.elementAt(8);
      expect(textureCoord_36_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_9 = textureCoords_36_0.elementAt(9);
      expect(textureCoord_36_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_10 = textureCoords_36_0.elementAt(10);
      expect(textureCoord_36_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_11 = textureCoords_36_0.elementAt(11);
      expect(textureCoord_36_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_36_0_12 = textureCoords_36_0.elementAt(12);
      expect(textureCoord_36_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_13 = textureCoords_36_0.elementAt(13);
      expect(textureCoord_36_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_14 = textureCoords_36_0.elementAt(14);
      expect(textureCoord_36_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_15 = textureCoords_36_0.elementAt(15);
      expect(textureCoord_36_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_36_0_16 = textureCoords_36_0.elementAt(16);
      expect(textureCoord_36_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_17 = textureCoords_36_0.elementAt(17);
      expect(textureCoord_36_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_18 = textureCoords_36_0.elementAt(18);
      expect(textureCoord_36_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_19 = textureCoords_36_0.elementAt(19);
      expect(textureCoord_36_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_36_0_20 = textureCoords_36_0.elementAt(20);
      expect(textureCoord_36_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_36_0_21 = textureCoords_36_0.elementAt(21);
      expect(textureCoord_36_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_36_0_22 = textureCoords_36_0.elementAt(22);
      expect(textureCoord_36_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_36_0_23 = textureCoords_36_0.elementAt(23);
      expect(textureCoord_36_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_36.uvComponents.length, equals(1));
      expect(mesh_36.uvComponents, equals([2]));
      expect(mesh_36.faces.length, equals(6));
      expect(mesh_36.bones.length, isZero);
      expect(mesh_36.materialIndex, isZero);
      expect(mesh_36.name, equals('Box037Mesh'));
      expect(mesh_36.animMeshes.length, isZero);
      expect(mesh_36.morphingMethod, isZero);
      expect(mesh_36.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_37 = meshes.elementAt(37);
      expect(mesh_37.primitiveTypes, equals(8));
      expect(mesh_37.vertices.length, equals(24));
      final vertex_37_0 = mesh_37.vertices.elementAt(0);
      expect(vertex_37_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_37_1 = mesh_37.vertices.elementAt(1);
      expect(vertex_37_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_37_2 = mesh_37.vertices.elementAt(2);
      expect(vertex_37_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_37_3 = mesh_37.vertices.elementAt(3);
      expect(vertex_37_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_37_4 = mesh_37.vertices.elementAt(4);
      expect(vertex_37_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_37_5 = mesh_37.vertices.elementAt(5);
      expect(vertex_37_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_37_6 = mesh_37.vertices.elementAt(6);
      expect(vertex_37_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_37_7 = mesh_37.vertices.elementAt(7);
      expect(vertex_37_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_37_8 = mesh_37.vertices.elementAt(8);
      expect(vertex_37_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_37_9 = mesh_37.vertices.elementAt(9);
      expect(vertex_37_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_37_10 = mesh_37.vertices.elementAt(10);
      expect(vertex_37_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_37_11 = mesh_37.vertices.elementAt(11);
      expect(vertex_37_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_37_12 = mesh_37.vertices.elementAt(12);
      expect(vertex_37_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_37_13 = mesh_37.vertices.elementAt(13);
      expect(vertex_37_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_37_14 = mesh_37.vertices.elementAt(14);
      expect(vertex_37_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_37_15 = mesh_37.vertices.elementAt(15);
      expect(vertex_37_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_37_16 = mesh_37.vertices.elementAt(16);
      expect(vertex_37_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_37_17 = mesh_37.vertices.elementAt(17);
      expect(vertex_37_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_37_18 = mesh_37.vertices.elementAt(18);
      expect(vertex_37_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_37_19 = mesh_37.vertices.elementAt(19);
      expect(vertex_37_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_37_20 = mesh_37.vertices.elementAt(20);
      expect(vertex_37_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_37_21 = mesh_37.vertices.elementAt(21);
      expect(vertex_37_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_37_22 = mesh_37.vertices.elementAt(22);
      expect(vertex_37_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_37_23 = mesh_37.vertices.elementAt(23);
      expect(vertex_37_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_37.normals.length, equals(24));
      final normal_37_0 = mesh_37.normals.elementAt(0);
      expect(normal_37_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_37_1 = mesh_37.normals.elementAt(1);
      expect(normal_37_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_37_2 = mesh_37.normals.elementAt(2);
      expect(normal_37_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_37_3 = mesh_37.normals.elementAt(3);
      expect(normal_37_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_37_4 = mesh_37.normals.elementAt(4);
      expect(normal_37_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_37_5 = mesh_37.normals.elementAt(5);
      expect(normal_37_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_37_6 = mesh_37.normals.elementAt(6);
      expect(normal_37_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_37_7 = mesh_37.normals.elementAt(7);
      expect(normal_37_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_37_8 = mesh_37.normals.elementAt(8);
      expect(normal_37_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_37_9 = mesh_37.normals.elementAt(9);
      expect(normal_37_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_37_10 = mesh_37.normals.elementAt(10);
      expect(normal_37_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_37_11 = mesh_37.normals.elementAt(11);
      expect(normal_37_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_37_12 = mesh_37.normals.elementAt(12);
      expect(normal_37_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_37_13 = mesh_37.normals.elementAt(13);
      expect(normal_37_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_37_14 = mesh_37.normals.elementAt(14);
      expect(normal_37_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_37_15 = mesh_37.normals.elementAt(15);
      expect(normal_37_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_37_16 = mesh_37.normals.elementAt(16);
      expect(normal_37_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_37_17 = mesh_37.normals.elementAt(17);
      expect(normal_37_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_37_18 = mesh_37.normals.elementAt(18);
      expect(normal_37_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_37_19 = mesh_37.normals.elementAt(19);
      expect(normal_37_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_37_20 = mesh_37.normals.elementAt(20);
      expect(normal_37_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_37_21 = mesh_37.normals.elementAt(21);
      expect(normal_37_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_37_22 = mesh_37.normals.elementAt(22);
      expect(normal_37_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_37_23 = mesh_37.normals.elementAt(23);
      expect(normal_37_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_37.tangents.length, isZero);
      expect(mesh_37.bitangents.length, isZero);
      expect(mesh_37.colors.length, isZero);
      expect(mesh_37.textureCoords.length, equals(1));
      final textureCoords_37_0 = mesh_37.textureCoords.elementAt(0);
      expect(textureCoords_37_0.length, equals(24));
      final textureCoord_37_0_0 = textureCoords_37_0.elementAt(0);
      expect(textureCoord_37_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_1 = textureCoords_37_0.elementAt(1);
      expect(textureCoord_37_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_2 = textureCoords_37_0.elementAt(2);
      expect(textureCoord_37_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_37_0_3 = textureCoords_37_0.elementAt(3);
      expect(textureCoord_37_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_4 = textureCoords_37_0.elementAt(4);
      expect(textureCoord_37_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_5 = textureCoords_37_0.elementAt(5);
      expect(textureCoord_37_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_6 = textureCoords_37_0.elementAt(6);
      expect(textureCoord_37_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_7 = textureCoords_37_0.elementAt(7);
      expect(textureCoord_37_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_37_0_8 = textureCoords_37_0.elementAt(8);
      expect(textureCoord_37_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_9 = textureCoords_37_0.elementAt(9);
      expect(textureCoord_37_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_10 = textureCoords_37_0.elementAt(10);
      expect(textureCoord_37_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_11 = textureCoords_37_0.elementAt(11);
      expect(textureCoord_37_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_37_0_12 = textureCoords_37_0.elementAt(12);
      expect(textureCoord_37_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_13 = textureCoords_37_0.elementAt(13);
      expect(textureCoord_37_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_14 = textureCoords_37_0.elementAt(14);
      expect(textureCoord_37_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_15 = textureCoords_37_0.elementAt(15);
      expect(textureCoord_37_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_37_0_16 = textureCoords_37_0.elementAt(16);
      expect(textureCoord_37_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_17 = textureCoords_37_0.elementAt(17);
      expect(textureCoord_37_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_18 = textureCoords_37_0.elementAt(18);
      expect(textureCoord_37_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_19 = textureCoords_37_0.elementAt(19);
      expect(textureCoord_37_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_37_0_20 = textureCoords_37_0.elementAt(20);
      expect(textureCoord_37_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_37_0_21 = textureCoords_37_0.elementAt(21);
      expect(textureCoord_37_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_37_0_22 = textureCoords_37_0.elementAt(22);
      expect(textureCoord_37_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_37_0_23 = textureCoords_37_0.elementAt(23);
      expect(textureCoord_37_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_37.uvComponents.length, equals(1));
      expect(mesh_37.uvComponents, equals([2]));
      expect(mesh_37.faces.length, equals(6));
      expect(mesh_37.bones.length, isZero);
      expect(mesh_37.materialIndex, isZero);
      expect(mesh_37.name, equals('Box038Mesh'));
      expect(mesh_37.animMeshes.length, isZero);
      expect(mesh_37.morphingMethod, isZero);
      expect(mesh_37.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_38 = meshes.elementAt(38);
      expect(mesh_38.primitiveTypes, equals(8));
      expect(mesh_38.vertices.length, equals(24));
      final vertex_38_0 = mesh_38.vertices.elementAt(0);
      expect(vertex_38_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_38_1 = mesh_38.vertices.elementAt(1);
      expect(vertex_38_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_38_2 = mesh_38.vertices.elementAt(2);
      expect(vertex_38_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_38_3 = mesh_38.vertices.elementAt(3);
      expect(vertex_38_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_38_4 = mesh_38.vertices.elementAt(4);
      expect(vertex_38_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_38_5 = mesh_38.vertices.elementAt(5);
      expect(vertex_38_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_38_6 = mesh_38.vertices.elementAt(6);
      expect(vertex_38_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_38_7 = mesh_38.vertices.elementAt(7);
      expect(vertex_38_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_38_8 = mesh_38.vertices.elementAt(8);
      expect(vertex_38_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_38_9 = mesh_38.vertices.elementAt(9);
      expect(vertex_38_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_38_10 = mesh_38.vertices.elementAt(10);
      expect(vertex_38_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_38_11 = mesh_38.vertices.elementAt(11);
      expect(vertex_38_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_38_12 = mesh_38.vertices.elementAt(12);
      expect(vertex_38_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_38_13 = mesh_38.vertices.elementAt(13);
      expect(vertex_38_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_38_14 = mesh_38.vertices.elementAt(14);
      expect(vertex_38_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_38_15 = mesh_38.vertices.elementAt(15);
      expect(vertex_38_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_38_16 = mesh_38.vertices.elementAt(16);
      expect(vertex_38_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_38_17 = mesh_38.vertices.elementAt(17);
      expect(vertex_38_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_38_18 = mesh_38.vertices.elementAt(18);
      expect(vertex_38_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_38_19 = mesh_38.vertices.elementAt(19);
      expect(vertex_38_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_38_20 = mesh_38.vertices.elementAt(20);
      expect(vertex_38_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_38_21 = mesh_38.vertices.elementAt(21);
      expect(vertex_38_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_38_22 = mesh_38.vertices.elementAt(22);
      expect(vertex_38_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_38_23 = mesh_38.vertices.elementAt(23);
      expect(vertex_38_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_38.normals.length, equals(24));
      final normal_38_0 = mesh_38.normals.elementAt(0);
      expect(normal_38_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_38_1 = mesh_38.normals.elementAt(1);
      expect(normal_38_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_38_2 = mesh_38.normals.elementAt(2);
      expect(normal_38_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_38_3 = mesh_38.normals.elementAt(3);
      expect(normal_38_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_38_4 = mesh_38.normals.elementAt(4);
      expect(normal_38_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_38_5 = mesh_38.normals.elementAt(5);
      expect(normal_38_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_38_6 = mesh_38.normals.elementAt(6);
      expect(normal_38_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_38_7 = mesh_38.normals.elementAt(7);
      expect(normal_38_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_38_8 = mesh_38.normals.elementAt(8);
      expect(normal_38_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_38_9 = mesh_38.normals.elementAt(9);
      expect(normal_38_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_38_10 = mesh_38.normals.elementAt(10);
      expect(normal_38_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_38_11 = mesh_38.normals.elementAt(11);
      expect(normal_38_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_38_12 = mesh_38.normals.elementAt(12);
      expect(normal_38_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_38_13 = mesh_38.normals.elementAt(13);
      expect(normal_38_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_38_14 = mesh_38.normals.elementAt(14);
      expect(normal_38_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_38_15 = mesh_38.normals.elementAt(15);
      expect(normal_38_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_38_16 = mesh_38.normals.elementAt(16);
      expect(normal_38_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_38_17 = mesh_38.normals.elementAt(17);
      expect(normal_38_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_38_18 = mesh_38.normals.elementAt(18);
      expect(normal_38_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_38_19 = mesh_38.normals.elementAt(19);
      expect(normal_38_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_38_20 = mesh_38.normals.elementAt(20);
      expect(normal_38_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_38_21 = mesh_38.normals.elementAt(21);
      expect(normal_38_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_38_22 = mesh_38.normals.elementAt(22);
      expect(normal_38_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_38_23 = mesh_38.normals.elementAt(23);
      expect(normal_38_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_38.tangents.length, isZero);
      expect(mesh_38.bitangents.length, isZero);
      expect(mesh_38.colors.length, isZero);
      expect(mesh_38.textureCoords.length, equals(1));
      final textureCoords_38_0 = mesh_38.textureCoords.elementAt(0);
      expect(textureCoords_38_0.length, equals(24));
      final textureCoord_38_0_0 = textureCoords_38_0.elementAt(0);
      expect(textureCoord_38_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_1 = textureCoords_38_0.elementAt(1);
      expect(textureCoord_38_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_2 = textureCoords_38_0.elementAt(2);
      expect(textureCoord_38_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_38_0_3 = textureCoords_38_0.elementAt(3);
      expect(textureCoord_38_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_4 = textureCoords_38_0.elementAt(4);
      expect(textureCoord_38_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_5 = textureCoords_38_0.elementAt(5);
      expect(textureCoord_38_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_6 = textureCoords_38_0.elementAt(6);
      expect(textureCoord_38_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_7 = textureCoords_38_0.elementAt(7);
      expect(textureCoord_38_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_38_0_8 = textureCoords_38_0.elementAt(8);
      expect(textureCoord_38_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_9 = textureCoords_38_0.elementAt(9);
      expect(textureCoord_38_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_10 = textureCoords_38_0.elementAt(10);
      expect(textureCoord_38_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_11 = textureCoords_38_0.elementAt(11);
      expect(textureCoord_38_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_38_0_12 = textureCoords_38_0.elementAt(12);
      expect(textureCoord_38_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_13 = textureCoords_38_0.elementAt(13);
      expect(textureCoord_38_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_14 = textureCoords_38_0.elementAt(14);
      expect(textureCoord_38_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_15 = textureCoords_38_0.elementAt(15);
      expect(textureCoord_38_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_38_0_16 = textureCoords_38_0.elementAt(16);
      expect(textureCoord_38_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_17 = textureCoords_38_0.elementAt(17);
      expect(textureCoord_38_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_18 = textureCoords_38_0.elementAt(18);
      expect(textureCoord_38_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_19 = textureCoords_38_0.elementAt(19);
      expect(textureCoord_38_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_38_0_20 = textureCoords_38_0.elementAt(20);
      expect(textureCoord_38_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_38_0_21 = textureCoords_38_0.elementAt(21);
      expect(textureCoord_38_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_38_0_22 = textureCoords_38_0.elementAt(22);
      expect(textureCoord_38_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_38_0_23 = textureCoords_38_0.elementAt(23);
      expect(textureCoord_38_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_38.uvComponents.length, equals(1));
      expect(mesh_38.uvComponents, equals([2]));
      expect(mesh_38.faces.length, equals(6));
      expect(mesh_38.bones.length, isZero);
      expect(mesh_38.materialIndex, isZero);
      expect(mesh_38.name, equals('Box039Mesh'));
      expect(mesh_38.animMeshes.length, isZero);
      expect(mesh_38.morphingMethod, isZero);
      expect(mesh_38.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_39 = meshes.elementAt(39);
      expect(mesh_39.primitiveTypes, equals(8));
      expect(mesh_39.vertices.length, equals(24));
      final vertex_39_0 = mesh_39.vertices.elementAt(0);
      expect(vertex_39_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_39_1 = mesh_39.vertices.elementAt(1);
      expect(vertex_39_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_39_2 = mesh_39.vertices.elementAt(2);
      expect(vertex_39_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_39_3 = mesh_39.vertices.elementAt(3);
      expect(vertex_39_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_39_4 = mesh_39.vertices.elementAt(4);
      expect(vertex_39_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_39_5 = mesh_39.vertices.elementAt(5);
      expect(vertex_39_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_39_6 = mesh_39.vertices.elementAt(6);
      expect(vertex_39_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_39_7 = mesh_39.vertices.elementAt(7);
      expect(vertex_39_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_39_8 = mesh_39.vertices.elementAt(8);
      expect(vertex_39_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_39_9 = mesh_39.vertices.elementAt(9);
      expect(vertex_39_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_39_10 = mesh_39.vertices.elementAt(10);
      expect(vertex_39_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_39_11 = mesh_39.vertices.elementAt(11);
      expect(vertex_39_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_39_12 = mesh_39.vertices.elementAt(12);
      expect(vertex_39_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_39_13 = mesh_39.vertices.elementAt(13);
      expect(vertex_39_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_39_14 = mesh_39.vertices.elementAt(14);
      expect(vertex_39_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_39_15 = mesh_39.vertices.elementAt(15);
      expect(vertex_39_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_39_16 = mesh_39.vertices.elementAt(16);
      expect(vertex_39_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_39_17 = mesh_39.vertices.elementAt(17);
      expect(vertex_39_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_39_18 = mesh_39.vertices.elementAt(18);
      expect(vertex_39_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_39_19 = mesh_39.vertices.elementAt(19);
      expect(vertex_39_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_39_20 = mesh_39.vertices.elementAt(20);
      expect(vertex_39_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_39_21 = mesh_39.vertices.elementAt(21);
      expect(vertex_39_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_39_22 = mesh_39.vertices.elementAt(22);
      expect(vertex_39_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_39_23 = mesh_39.vertices.elementAt(23);
      expect(vertex_39_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_39.normals.length, equals(24));
      final normal_39_0 = mesh_39.normals.elementAt(0);
      expect(normal_39_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_39_1 = mesh_39.normals.elementAt(1);
      expect(normal_39_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_39_2 = mesh_39.normals.elementAt(2);
      expect(normal_39_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_39_3 = mesh_39.normals.elementAt(3);
      expect(normal_39_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_39_4 = mesh_39.normals.elementAt(4);
      expect(normal_39_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_39_5 = mesh_39.normals.elementAt(5);
      expect(normal_39_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_39_6 = mesh_39.normals.elementAt(6);
      expect(normal_39_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_39_7 = mesh_39.normals.elementAt(7);
      expect(normal_39_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_39_8 = mesh_39.normals.elementAt(8);
      expect(normal_39_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_39_9 = mesh_39.normals.elementAt(9);
      expect(normal_39_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_39_10 = mesh_39.normals.elementAt(10);
      expect(normal_39_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_39_11 = mesh_39.normals.elementAt(11);
      expect(normal_39_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_39_12 = mesh_39.normals.elementAt(12);
      expect(normal_39_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_39_13 = mesh_39.normals.elementAt(13);
      expect(normal_39_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_39_14 = mesh_39.normals.elementAt(14);
      expect(normal_39_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_39_15 = mesh_39.normals.elementAt(15);
      expect(normal_39_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_39_16 = mesh_39.normals.elementAt(16);
      expect(normal_39_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_39_17 = mesh_39.normals.elementAt(17);
      expect(normal_39_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_39_18 = mesh_39.normals.elementAt(18);
      expect(normal_39_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_39_19 = mesh_39.normals.elementAt(19);
      expect(normal_39_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_39_20 = mesh_39.normals.elementAt(20);
      expect(normal_39_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_39_21 = mesh_39.normals.elementAt(21);
      expect(normal_39_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_39_22 = mesh_39.normals.elementAt(22);
      expect(normal_39_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_39_23 = mesh_39.normals.elementAt(23);
      expect(normal_39_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_39.tangents.length, isZero);
      expect(mesh_39.bitangents.length, isZero);
      expect(mesh_39.colors.length, isZero);
      expect(mesh_39.textureCoords.length, equals(1));
      final textureCoords_39_0 = mesh_39.textureCoords.elementAt(0);
      expect(textureCoords_39_0.length, equals(24));
      final textureCoord_39_0_0 = textureCoords_39_0.elementAt(0);
      expect(textureCoord_39_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_1 = textureCoords_39_0.elementAt(1);
      expect(textureCoord_39_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_2 = textureCoords_39_0.elementAt(2);
      expect(textureCoord_39_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_39_0_3 = textureCoords_39_0.elementAt(3);
      expect(textureCoord_39_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_4 = textureCoords_39_0.elementAt(4);
      expect(textureCoord_39_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_5 = textureCoords_39_0.elementAt(5);
      expect(textureCoord_39_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_6 = textureCoords_39_0.elementAt(6);
      expect(textureCoord_39_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_7 = textureCoords_39_0.elementAt(7);
      expect(textureCoord_39_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_39_0_8 = textureCoords_39_0.elementAt(8);
      expect(textureCoord_39_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_9 = textureCoords_39_0.elementAt(9);
      expect(textureCoord_39_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_10 = textureCoords_39_0.elementAt(10);
      expect(textureCoord_39_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_11 = textureCoords_39_0.elementAt(11);
      expect(textureCoord_39_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_39_0_12 = textureCoords_39_0.elementAt(12);
      expect(textureCoord_39_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_13 = textureCoords_39_0.elementAt(13);
      expect(textureCoord_39_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_14 = textureCoords_39_0.elementAt(14);
      expect(textureCoord_39_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_15 = textureCoords_39_0.elementAt(15);
      expect(textureCoord_39_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_39_0_16 = textureCoords_39_0.elementAt(16);
      expect(textureCoord_39_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_17 = textureCoords_39_0.elementAt(17);
      expect(textureCoord_39_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_18 = textureCoords_39_0.elementAt(18);
      expect(textureCoord_39_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_19 = textureCoords_39_0.elementAt(19);
      expect(textureCoord_39_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_39_0_20 = textureCoords_39_0.elementAt(20);
      expect(textureCoord_39_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_39_0_21 = textureCoords_39_0.elementAt(21);
      expect(textureCoord_39_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_39_0_22 = textureCoords_39_0.elementAt(22);
      expect(textureCoord_39_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_39_0_23 = textureCoords_39_0.elementAt(23);
      expect(textureCoord_39_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_39.uvComponents.length, equals(1));
      expect(mesh_39.uvComponents, equals([2]));
      expect(mesh_39.faces.length, equals(6));
      expect(mesh_39.bones.length, isZero);
      expect(mesh_39.materialIndex, isZero);
      expect(mesh_39.name, equals('Box040Mesh'));
      expect(mesh_39.animMeshes.length, isZero);
      expect(mesh_39.morphingMethod, isZero);
      expect(mesh_39.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_40 = meshes.elementAt(40);
      expect(mesh_40.primitiveTypes, equals(8));
      expect(mesh_40.vertices.length, equals(24));
      final vertex_40_0 = mesh_40.vertices.elementAt(0);
      expect(vertex_40_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_40_1 = mesh_40.vertices.elementAt(1);
      expect(vertex_40_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_40_2 = mesh_40.vertices.elementAt(2);
      expect(vertex_40_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_40_3 = mesh_40.vertices.elementAt(3);
      expect(vertex_40_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_40_4 = mesh_40.vertices.elementAt(4);
      expect(vertex_40_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_40_5 = mesh_40.vertices.elementAt(5);
      expect(vertex_40_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_40_6 = mesh_40.vertices.elementAt(6);
      expect(vertex_40_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_40_7 = mesh_40.vertices.elementAt(7);
      expect(vertex_40_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_40_8 = mesh_40.vertices.elementAt(8);
      expect(vertex_40_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_40_9 = mesh_40.vertices.elementAt(9);
      expect(vertex_40_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_40_10 = mesh_40.vertices.elementAt(10);
      expect(vertex_40_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_40_11 = mesh_40.vertices.elementAt(11);
      expect(vertex_40_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_40_12 = mesh_40.vertices.elementAt(12);
      expect(vertex_40_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_40_13 = mesh_40.vertices.elementAt(13);
      expect(vertex_40_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_40_14 = mesh_40.vertices.elementAt(14);
      expect(vertex_40_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_40_15 = mesh_40.vertices.elementAt(15);
      expect(vertex_40_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_40_16 = mesh_40.vertices.elementAt(16);
      expect(vertex_40_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_40_17 = mesh_40.vertices.elementAt(17);
      expect(vertex_40_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_40_18 = mesh_40.vertices.elementAt(18);
      expect(vertex_40_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_40_19 = mesh_40.vertices.elementAt(19);
      expect(vertex_40_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_40_20 = mesh_40.vertices.elementAt(20);
      expect(vertex_40_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_40_21 = mesh_40.vertices.elementAt(21);
      expect(vertex_40_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_40_22 = mesh_40.vertices.elementAt(22);
      expect(vertex_40_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_40_23 = mesh_40.vertices.elementAt(23);
      expect(vertex_40_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_40.normals.length, equals(24));
      final normal_40_0 = mesh_40.normals.elementAt(0);
      expect(normal_40_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_40_1 = mesh_40.normals.elementAt(1);
      expect(normal_40_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_40_2 = mesh_40.normals.elementAt(2);
      expect(normal_40_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_40_3 = mesh_40.normals.elementAt(3);
      expect(normal_40_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_40_4 = mesh_40.normals.elementAt(4);
      expect(normal_40_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_40_5 = mesh_40.normals.elementAt(5);
      expect(normal_40_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_40_6 = mesh_40.normals.elementAt(6);
      expect(normal_40_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_40_7 = mesh_40.normals.elementAt(7);
      expect(normal_40_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_40_8 = mesh_40.normals.elementAt(8);
      expect(normal_40_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_40_9 = mesh_40.normals.elementAt(9);
      expect(normal_40_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_40_10 = mesh_40.normals.elementAt(10);
      expect(normal_40_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_40_11 = mesh_40.normals.elementAt(11);
      expect(normal_40_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_40_12 = mesh_40.normals.elementAt(12);
      expect(normal_40_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_40_13 = mesh_40.normals.elementAt(13);
      expect(normal_40_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_40_14 = mesh_40.normals.elementAt(14);
      expect(normal_40_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_40_15 = mesh_40.normals.elementAt(15);
      expect(normal_40_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_40_16 = mesh_40.normals.elementAt(16);
      expect(normal_40_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_40_17 = mesh_40.normals.elementAt(17);
      expect(normal_40_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_40_18 = mesh_40.normals.elementAt(18);
      expect(normal_40_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_40_19 = mesh_40.normals.elementAt(19);
      expect(normal_40_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_40_20 = mesh_40.normals.elementAt(20);
      expect(normal_40_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_40_21 = mesh_40.normals.elementAt(21);
      expect(normal_40_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_40_22 = mesh_40.normals.elementAt(22);
      expect(normal_40_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_40_23 = mesh_40.normals.elementAt(23);
      expect(normal_40_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_40.tangents.length, isZero);
      expect(mesh_40.bitangents.length, isZero);
      expect(mesh_40.colors.length, isZero);
      expect(mesh_40.textureCoords.length, equals(1));
      final textureCoords_40_0 = mesh_40.textureCoords.elementAt(0);
      expect(textureCoords_40_0.length, equals(24));
      final textureCoord_40_0_0 = textureCoords_40_0.elementAt(0);
      expect(textureCoord_40_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_1 = textureCoords_40_0.elementAt(1);
      expect(textureCoord_40_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_2 = textureCoords_40_0.elementAt(2);
      expect(textureCoord_40_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_40_0_3 = textureCoords_40_0.elementAt(3);
      expect(textureCoord_40_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_4 = textureCoords_40_0.elementAt(4);
      expect(textureCoord_40_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_5 = textureCoords_40_0.elementAt(5);
      expect(textureCoord_40_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_6 = textureCoords_40_0.elementAt(6);
      expect(textureCoord_40_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_7 = textureCoords_40_0.elementAt(7);
      expect(textureCoord_40_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_40_0_8 = textureCoords_40_0.elementAt(8);
      expect(textureCoord_40_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_9 = textureCoords_40_0.elementAt(9);
      expect(textureCoord_40_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_10 = textureCoords_40_0.elementAt(10);
      expect(textureCoord_40_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_11 = textureCoords_40_0.elementAt(11);
      expect(textureCoord_40_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_40_0_12 = textureCoords_40_0.elementAt(12);
      expect(textureCoord_40_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_13 = textureCoords_40_0.elementAt(13);
      expect(textureCoord_40_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_14 = textureCoords_40_0.elementAt(14);
      expect(textureCoord_40_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_15 = textureCoords_40_0.elementAt(15);
      expect(textureCoord_40_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_40_0_16 = textureCoords_40_0.elementAt(16);
      expect(textureCoord_40_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_17 = textureCoords_40_0.elementAt(17);
      expect(textureCoord_40_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_18 = textureCoords_40_0.elementAt(18);
      expect(textureCoord_40_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_19 = textureCoords_40_0.elementAt(19);
      expect(textureCoord_40_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_40_0_20 = textureCoords_40_0.elementAt(20);
      expect(textureCoord_40_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_40_0_21 = textureCoords_40_0.elementAt(21);
      expect(textureCoord_40_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_40_0_22 = textureCoords_40_0.elementAt(22);
      expect(textureCoord_40_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_40_0_23 = textureCoords_40_0.elementAt(23);
      expect(textureCoord_40_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_40.uvComponents.length, equals(1));
      expect(mesh_40.uvComponents, equals([2]));
      expect(mesh_40.faces.length, equals(6));
      expect(mesh_40.bones.length, isZero);
      expect(mesh_40.materialIndex, isZero);
      expect(mesh_40.name, equals('Box041Mesh'));
      expect(mesh_40.animMeshes.length, isZero);
      expect(mesh_40.morphingMethod, isZero);
      expect(mesh_40.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_41 = meshes.elementAt(41);
      expect(mesh_41.primitiveTypes, equals(8));
      expect(mesh_41.vertices.length, equals(24));
      final vertex_41_0 = mesh_41.vertices.elementAt(0);
      expect(vertex_41_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_41_1 = mesh_41.vertices.elementAt(1);
      expect(vertex_41_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_41_2 = mesh_41.vertices.elementAt(2);
      expect(vertex_41_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_41_3 = mesh_41.vertices.elementAt(3);
      expect(vertex_41_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_41_4 = mesh_41.vertices.elementAt(4);
      expect(vertex_41_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_41_5 = mesh_41.vertices.elementAt(5);
      expect(vertex_41_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_41_6 = mesh_41.vertices.elementAt(6);
      expect(vertex_41_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_41_7 = mesh_41.vertices.elementAt(7);
      expect(vertex_41_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_41_8 = mesh_41.vertices.elementAt(8);
      expect(vertex_41_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_41_9 = mesh_41.vertices.elementAt(9);
      expect(vertex_41_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_41_10 = mesh_41.vertices.elementAt(10);
      expect(vertex_41_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_41_11 = mesh_41.vertices.elementAt(11);
      expect(vertex_41_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_41_12 = mesh_41.vertices.elementAt(12);
      expect(vertex_41_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_41_13 = mesh_41.vertices.elementAt(13);
      expect(vertex_41_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_41_14 = mesh_41.vertices.elementAt(14);
      expect(vertex_41_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_41_15 = mesh_41.vertices.elementAt(15);
      expect(vertex_41_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_41_16 = mesh_41.vertices.elementAt(16);
      expect(vertex_41_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_41_17 = mesh_41.vertices.elementAt(17);
      expect(vertex_41_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_41_18 = mesh_41.vertices.elementAt(18);
      expect(vertex_41_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_41_19 = mesh_41.vertices.elementAt(19);
      expect(vertex_41_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_41_20 = mesh_41.vertices.elementAt(20);
      expect(vertex_41_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_41_21 = mesh_41.vertices.elementAt(21);
      expect(vertex_41_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_41_22 = mesh_41.vertices.elementAt(22);
      expect(vertex_41_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_41_23 = mesh_41.vertices.elementAt(23);
      expect(vertex_41_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_41.normals.length, equals(24));
      final normal_41_0 = mesh_41.normals.elementAt(0);
      expect(normal_41_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_41_1 = mesh_41.normals.elementAt(1);
      expect(normal_41_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_41_2 = mesh_41.normals.elementAt(2);
      expect(normal_41_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_41_3 = mesh_41.normals.elementAt(3);
      expect(normal_41_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_41_4 = mesh_41.normals.elementAt(4);
      expect(normal_41_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_41_5 = mesh_41.normals.elementAt(5);
      expect(normal_41_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_41_6 = mesh_41.normals.elementAt(6);
      expect(normal_41_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_41_7 = mesh_41.normals.elementAt(7);
      expect(normal_41_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_41_8 = mesh_41.normals.elementAt(8);
      expect(normal_41_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_41_9 = mesh_41.normals.elementAt(9);
      expect(normal_41_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_41_10 = mesh_41.normals.elementAt(10);
      expect(normal_41_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_41_11 = mesh_41.normals.elementAt(11);
      expect(normal_41_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_41_12 = mesh_41.normals.elementAt(12);
      expect(normal_41_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_41_13 = mesh_41.normals.elementAt(13);
      expect(normal_41_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_41_14 = mesh_41.normals.elementAt(14);
      expect(normal_41_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_41_15 = mesh_41.normals.elementAt(15);
      expect(normal_41_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_41_16 = mesh_41.normals.elementAt(16);
      expect(normal_41_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_41_17 = mesh_41.normals.elementAt(17);
      expect(normal_41_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_41_18 = mesh_41.normals.elementAt(18);
      expect(normal_41_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_41_19 = mesh_41.normals.elementAt(19);
      expect(normal_41_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_41_20 = mesh_41.normals.elementAt(20);
      expect(normal_41_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_41_21 = mesh_41.normals.elementAt(21);
      expect(normal_41_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_41_22 = mesh_41.normals.elementAt(22);
      expect(normal_41_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_41_23 = mesh_41.normals.elementAt(23);
      expect(normal_41_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_41.tangents.length, isZero);
      expect(mesh_41.bitangents.length, isZero);
      expect(mesh_41.colors.length, isZero);
      expect(mesh_41.textureCoords.length, equals(1));
      final textureCoords_41_0 = mesh_41.textureCoords.elementAt(0);
      expect(textureCoords_41_0.length, equals(24));
      final textureCoord_41_0_0 = textureCoords_41_0.elementAt(0);
      expect(textureCoord_41_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_1 = textureCoords_41_0.elementAt(1);
      expect(textureCoord_41_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_2 = textureCoords_41_0.elementAt(2);
      expect(textureCoord_41_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_41_0_3 = textureCoords_41_0.elementAt(3);
      expect(textureCoord_41_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_4 = textureCoords_41_0.elementAt(4);
      expect(textureCoord_41_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_5 = textureCoords_41_0.elementAt(5);
      expect(textureCoord_41_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_6 = textureCoords_41_0.elementAt(6);
      expect(textureCoord_41_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_7 = textureCoords_41_0.elementAt(7);
      expect(textureCoord_41_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_41_0_8 = textureCoords_41_0.elementAt(8);
      expect(textureCoord_41_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_9 = textureCoords_41_0.elementAt(9);
      expect(textureCoord_41_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_10 = textureCoords_41_0.elementAt(10);
      expect(textureCoord_41_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_11 = textureCoords_41_0.elementAt(11);
      expect(textureCoord_41_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_41_0_12 = textureCoords_41_0.elementAt(12);
      expect(textureCoord_41_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_13 = textureCoords_41_0.elementAt(13);
      expect(textureCoord_41_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_14 = textureCoords_41_0.elementAt(14);
      expect(textureCoord_41_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_15 = textureCoords_41_0.elementAt(15);
      expect(textureCoord_41_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_41_0_16 = textureCoords_41_0.elementAt(16);
      expect(textureCoord_41_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_17 = textureCoords_41_0.elementAt(17);
      expect(textureCoord_41_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_18 = textureCoords_41_0.elementAt(18);
      expect(textureCoord_41_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_19 = textureCoords_41_0.elementAt(19);
      expect(textureCoord_41_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_41_0_20 = textureCoords_41_0.elementAt(20);
      expect(textureCoord_41_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_41_0_21 = textureCoords_41_0.elementAt(21);
      expect(textureCoord_41_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_41_0_22 = textureCoords_41_0.elementAt(22);
      expect(textureCoord_41_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_41_0_23 = textureCoords_41_0.elementAt(23);
      expect(textureCoord_41_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_41.uvComponents.length, equals(1));
      expect(mesh_41.uvComponents, equals([2]));
      expect(mesh_41.faces.length, equals(6));
      expect(mesh_41.bones.length, isZero);
      expect(mesh_41.materialIndex, isZero);
      expect(mesh_41.name, equals('Box042Mesh'));
      expect(mesh_41.animMeshes.length, isZero);
      expect(mesh_41.morphingMethod, isZero);
      expect(mesh_41.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_42 = meshes.elementAt(42);
      expect(mesh_42.primitiveTypes, equals(8));
      expect(mesh_42.vertices.length, equals(24));
      final vertex_42_0 = mesh_42.vertices.elementAt(0);
      expect(vertex_42_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_42_1 = mesh_42.vertices.elementAt(1);
      expect(vertex_42_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_42_2 = mesh_42.vertices.elementAt(2);
      expect(vertex_42_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_42_3 = mesh_42.vertices.elementAt(3);
      expect(vertex_42_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_42_4 = mesh_42.vertices.elementAt(4);
      expect(vertex_42_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_42_5 = mesh_42.vertices.elementAt(5);
      expect(vertex_42_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_42_6 = mesh_42.vertices.elementAt(6);
      expect(vertex_42_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_42_7 = mesh_42.vertices.elementAt(7);
      expect(vertex_42_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_42_8 = mesh_42.vertices.elementAt(8);
      expect(vertex_42_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_42_9 = mesh_42.vertices.elementAt(9);
      expect(vertex_42_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_42_10 = mesh_42.vertices.elementAt(10);
      expect(vertex_42_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_42_11 = mesh_42.vertices.elementAt(11);
      expect(vertex_42_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_42_12 = mesh_42.vertices.elementAt(12);
      expect(vertex_42_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_42_13 = mesh_42.vertices.elementAt(13);
      expect(vertex_42_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_42_14 = mesh_42.vertices.elementAt(14);
      expect(vertex_42_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_42_15 = mesh_42.vertices.elementAt(15);
      expect(vertex_42_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_42_16 = mesh_42.vertices.elementAt(16);
      expect(vertex_42_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_42_17 = mesh_42.vertices.elementAt(17);
      expect(vertex_42_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_42_18 = mesh_42.vertices.elementAt(18);
      expect(vertex_42_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_42_19 = mesh_42.vertices.elementAt(19);
      expect(vertex_42_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_42_20 = mesh_42.vertices.elementAt(20);
      expect(vertex_42_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_42_21 = mesh_42.vertices.elementAt(21);
      expect(vertex_42_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_42_22 = mesh_42.vertices.elementAt(22);
      expect(vertex_42_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_42_23 = mesh_42.vertices.elementAt(23);
      expect(vertex_42_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_42.normals.length, equals(24));
      final normal_42_0 = mesh_42.normals.elementAt(0);
      expect(normal_42_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_42_1 = mesh_42.normals.elementAt(1);
      expect(normal_42_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_42_2 = mesh_42.normals.elementAt(2);
      expect(normal_42_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_42_3 = mesh_42.normals.elementAt(3);
      expect(normal_42_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_42_4 = mesh_42.normals.elementAt(4);
      expect(normal_42_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_42_5 = mesh_42.normals.elementAt(5);
      expect(normal_42_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_42_6 = mesh_42.normals.elementAt(6);
      expect(normal_42_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_42_7 = mesh_42.normals.elementAt(7);
      expect(normal_42_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_42_8 = mesh_42.normals.elementAt(8);
      expect(normal_42_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_42_9 = mesh_42.normals.elementAt(9);
      expect(normal_42_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_42_10 = mesh_42.normals.elementAt(10);
      expect(normal_42_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_42_11 = mesh_42.normals.elementAt(11);
      expect(normal_42_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_42_12 = mesh_42.normals.elementAt(12);
      expect(normal_42_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_42_13 = mesh_42.normals.elementAt(13);
      expect(normal_42_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_42_14 = mesh_42.normals.elementAt(14);
      expect(normal_42_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_42_15 = mesh_42.normals.elementAt(15);
      expect(normal_42_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_42_16 = mesh_42.normals.elementAt(16);
      expect(normal_42_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_42_17 = mesh_42.normals.elementAt(17);
      expect(normal_42_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_42_18 = mesh_42.normals.elementAt(18);
      expect(normal_42_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_42_19 = mesh_42.normals.elementAt(19);
      expect(normal_42_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_42_20 = mesh_42.normals.elementAt(20);
      expect(normal_42_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_42_21 = mesh_42.normals.elementAt(21);
      expect(normal_42_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_42_22 = mesh_42.normals.elementAt(22);
      expect(normal_42_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_42_23 = mesh_42.normals.elementAt(23);
      expect(normal_42_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_42.tangents.length, isZero);
      expect(mesh_42.bitangents.length, isZero);
      expect(mesh_42.colors.length, isZero);
      expect(mesh_42.textureCoords.length, equals(1));
      final textureCoords_42_0 = mesh_42.textureCoords.elementAt(0);
      expect(textureCoords_42_0.length, equals(24));
      final textureCoord_42_0_0 = textureCoords_42_0.elementAt(0);
      expect(textureCoord_42_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_1 = textureCoords_42_0.elementAt(1);
      expect(textureCoord_42_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_2 = textureCoords_42_0.elementAt(2);
      expect(textureCoord_42_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_42_0_3 = textureCoords_42_0.elementAt(3);
      expect(textureCoord_42_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_4 = textureCoords_42_0.elementAt(4);
      expect(textureCoord_42_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_5 = textureCoords_42_0.elementAt(5);
      expect(textureCoord_42_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_6 = textureCoords_42_0.elementAt(6);
      expect(textureCoord_42_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_7 = textureCoords_42_0.elementAt(7);
      expect(textureCoord_42_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_42_0_8 = textureCoords_42_0.elementAt(8);
      expect(textureCoord_42_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_9 = textureCoords_42_0.elementAt(9);
      expect(textureCoord_42_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_10 = textureCoords_42_0.elementAt(10);
      expect(textureCoord_42_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_11 = textureCoords_42_0.elementAt(11);
      expect(textureCoord_42_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_42_0_12 = textureCoords_42_0.elementAt(12);
      expect(textureCoord_42_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_13 = textureCoords_42_0.elementAt(13);
      expect(textureCoord_42_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_14 = textureCoords_42_0.elementAt(14);
      expect(textureCoord_42_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_15 = textureCoords_42_0.elementAt(15);
      expect(textureCoord_42_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_42_0_16 = textureCoords_42_0.elementAt(16);
      expect(textureCoord_42_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_17 = textureCoords_42_0.elementAt(17);
      expect(textureCoord_42_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_18 = textureCoords_42_0.elementAt(18);
      expect(textureCoord_42_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_19 = textureCoords_42_0.elementAt(19);
      expect(textureCoord_42_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_42_0_20 = textureCoords_42_0.elementAt(20);
      expect(textureCoord_42_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_42_0_21 = textureCoords_42_0.elementAt(21);
      expect(textureCoord_42_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_42_0_22 = textureCoords_42_0.elementAt(22);
      expect(textureCoord_42_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_42_0_23 = textureCoords_42_0.elementAt(23);
      expect(textureCoord_42_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_42.uvComponents.length, equals(1));
      expect(mesh_42.uvComponents, equals([2]));
      expect(mesh_42.faces.length, equals(6));
      expect(mesh_42.bones.length, isZero);
      expect(mesh_42.materialIndex, isZero);
      expect(mesh_42.name, equals('Box043Mesh'));
      expect(mesh_42.animMeshes.length, isZero);
      expect(mesh_42.morphingMethod, isZero);
      expect(mesh_42.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_43 = meshes.elementAt(43);
      expect(mesh_43.primitiveTypes, equals(8));
      expect(mesh_43.vertices.length, equals(24));
      final vertex_43_0 = mesh_43.vertices.elementAt(0);
      expect(vertex_43_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_43_1 = mesh_43.vertices.elementAt(1);
      expect(vertex_43_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_43_2 = mesh_43.vertices.elementAt(2);
      expect(vertex_43_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_43_3 = mesh_43.vertices.elementAt(3);
      expect(vertex_43_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_43_4 = mesh_43.vertices.elementAt(4);
      expect(vertex_43_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_43_5 = mesh_43.vertices.elementAt(5);
      expect(vertex_43_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_43_6 = mesh_43.vertices.elementAt(6);
      expect(vertex_43_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_43_7 = mesh_43.vertices.elementAt(7);
      expect(vertex_43_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_43_8 = mesh_43.vertices.elementAt(8);
      expect(vertex_43_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_43_9 = mesh_43.vertices.elementAt(9);
      expect(vertex_43_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_43_10 = mesh_43.vertices.elementAt(10);
      expect(vertex_43_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_43_11 = mesh_43.vertices.elementAt(11);
      expect(vertex_43_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_43_12 = mesh_43.vertices.elementAt(12);
      expect(vertex_43_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_43_13 = mesh_43.vertices.elementAt(13);
      expect(vertex_43_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_43_14 = mesh_43.vertices.elementAt(14);
      expect(vertex_43_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_43_15 = mesh_43.vertices.elementAt(15);
      expect(vertex_43_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_43_16 = mesh_43.vertices.elementAt(16);
      expect(vertex_43_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_43_17 = mesh_43.vertices.elementAt(17);
      expect(vertex_43_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_43_18 = mesh_43.vertices.elementAt(18);
      expect(vertex_43_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_43_19 = mesh_43.vertices.elementAt(19);
      expect(vertex_43_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_43_20 = mesh_43.vertices.elementAt(20);
      expect(vertex_43_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_43_21 = mesh_43.vertices.elementAt(21);
      expect(vertex_43_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_43_22 = mesh_43.vertices.elementAt(22);
      expect(vertex_43_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_43_23 = mesh_43.vertices.elementAt(23);
      expect(vertex_43_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_43.normals.length, equals(24));
      final normal_43_0 = mesh_43.normals.elementAt(0);
      expect(normal_43_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_43_1 = mesh_43.normals.elementAt(1);
      expect(normal_43_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_43_2 = mesh_43.normals.elementAt(2);
      expect(normal_43_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_43_3 = mesh_43.normals.elementAt(3);
      expect(normal_43_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_43_4 = mesh_43.normals.elementAt(4);
      expect(normal_43_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_43_5 = mesh_43.normals.elementAt(5);
      expect(normal_43_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_43_6 = mesh_43.normals.elementAt(6);
      expect(normal_43_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_43_7 = mesh_43.normals.elementAt(7);
      expect(normal_43_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_43_8 = mesh_43.normals.elementAt(8);
      expect(normal_43_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_43_9 = mesh_43.normals.elementAt(9);
      expect(normal_43_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_43_10 = mesh_43.normals.elementAt(10);
      expect(normal_43_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_43_11 = mesh_43.normals.elementAt(11);
      expect(normal_43_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_43_12 = mesh_43.normals.elementAt(12);
      expect(normal_43_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_43_13 = mesh_43.normals.elementAt(13);
      expect(normal_43_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_43_14 = mesh_43.normals.elementAt(14);
      expect(normal_43_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_43_15 = mesh_43.normals.elementAt(15);
      expect(normal_43_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_43_16 = mesh_43.normals.elementAt(16);
      expect(normal_43_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_43_17 = mesh_43.normals.elementAt(17);
      expect(normal_43_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_43_18 = mesh_43.normals.elementAt(18);
      expect(normal_43_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_43_19 = mesh_43.normals.elementAt(19);
      expect(normal_43_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_43_20 = mesh_43.normals.elementAt(20);
      expect(normal_43_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_43_21 = mesh_43.normals.elementAt(21);
      expect(normal_43_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_43_22 = mesh_43.normals.elementAt(22);
      expect(normal_43_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_43_23 = mesh_43.normals.elementAt(23);
      expect(normal_43_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_43.tangents.length, isZero);
      expect(mesh_43.bitangents.length, isZero);
      expect(mesh_43.colors.length, isZero);
      expect(mesh_43.textureCoords.length, equals(1));
      final textureCoords_43_0 = mesh_43.textureCoords.elementAt(0);
      expect(textureCoords_43_0.length, equals(24));
      final textureCoord_43_0_0 = textureCoords_43_0.elementAt(0);
      expect(textureCoord_43_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_1 = textureCoords_43_0.elementAt(1);
      expect(textureCoord_43_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_2 = textureCoords_43_0.elementAt(2);
      expect(textureCoord_43_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_43_0_3 = textureCoords_43_0.elementAt(3);
      expect(textureCoord_43_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_4 = textureCoords_43_0.elementAt(4);
      expect(textureCoord_43_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_5 = textureCoords_43_0.elementAt(5);
      expect(textureCoord_43_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_6 = textureCoords_43_0.elementAt(6);
      expect(textureCoord_43_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_7 = textureCoords_43_0.elementAt(7);
      expect(textureCoord_43_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_43_0_8 = textureCoords_43_0.elementAt(8);
      expect(textureCoord_43_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_9 = textureCoords_43_0.elementAt(9);
      expect(textureCoord_43_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_10 = textureCoords_43_0.elementAt(10);
      expect(textureCoord_43_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_11 = textureCoords_43_0.elementAt(11);
      expect(textureCoord_43_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_43_0_12 = textureCoords_43_0.elementAt(12);
      expect(textureCoord_43_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_13 = textureCoords_43_0.elementAt(13);
      expect(textureCoord_43_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_14 = textureCoords_43_0.elementAt(14);
      expect(textureCoord_43_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_15 = textureCoords_43_0.elementAt(15);
      expect(textureCoord_43_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_43_0_16 = textureCoords_43_0.elementAt(16);
      expect(textureCoord_43_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_17 = textureCoords_43_0.elementAt(17);
      expect(textureCoord_43_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_18 = textureCoords_43_0.elementAt(18);
      expect(textureCoord_43_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_19 = textureCoords_43_0.elementAt(19);
      expect(textureCoord_43_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_43_0_20 = textureCoords_43_0.elementAt(20);
      expect(textureCoord_43_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_43_0_21 = textureCoords_43_0.elementAt(21);
      expect(textureCoord_43_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_43_0_22 = textureCoords_43_0.elementAt(22);
      expect(textureCoord_43_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_43_0_23 = textureCoords_43_0.elementAt(23);
      expect(textureCoord_43_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_43.uvComponents.length, equals(1));
      expect(mesh_43.uvComponents, equals([2]));
      expect(mesh_43.faces.length, equals(6));
      expect(mesh_43.bones.length, isZero);
      expect(mesh_43.materialIndex, isZero);
      expect(mesh_43.name, equals('Box044Mesh'));
      expect(mesh_43.animMeshes.length, isZero);
      expect(mesh_43.morphingMethod, isZero);
      expect(mesh_43.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_44 = meshes.elementAt(44);
      expect(mesh_44.primitiveTypes, equals(8));
      expect(mesh_44.vertices.length, equals(24));
      final vertex_44_0 = mesh_44.vertices.elementAt(0);
      expect(vertex_44_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_44_1 = mesh_44.vertices.elementAt(1);
      expect(vertex_44_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_44_2 = mesh_44.vertices.elementAt(2);
      expect(vertex_44_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_44_3 = mesh_44.vertices.elementAt(3);
      expect(vertex_44_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_44_4 = mesh_44.vertices.elementAt(4);
      expect(vertex_44_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_44_5 = mesh_44.vertices.elementAt(5);
      expect(vertex_44_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_44_6 = mesh_44.vertices.elementAt(6);
      expect(vertex_44_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_44_7 = mesh_44.vertices.elementAt(7);
      expect(vertex_44_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_44_8 = mesh_44.vertices.elementAt(8);
      expect(vertex_44_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_44_9 = mesh_44.vertices.elementAt(9);
      expect(vertex_44_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_44_10 = mesh_44.vertices.elementAt(10);
      expect(vertex_44_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_44_11 = mesh_44.vertices.elementAt(11);
      expect(vertex_44_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_44_12 = mesh_44.vertices.elementAt(12);
      expect(vertex_44_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_44_13 = mesh_44.vertices.elementAt(13);
      expect(vertex_44_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_44_14 = mesh_44.vertices.elementAt(14);
      expect(vertex_44_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_44_15 = mesh_44.vertices.elementAt(15);
      expect(vertex_44_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_44_16 = mesh_44.vertices.elementAt(16);
      expect(vertex_44_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_44_17 = mesh_44.vertices.elementAt(17);
      expect(vertex_44_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_44_18 = mesh_44.vertices.elementAt(18);
      expect(vertex_44_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_44_19 = mesh_44.vertices.elementAt(19);
      expect(vertex_44_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_44_20 = mesh_44.vertices.elementAt(20);
      expect(vertex_44_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_44_21 = mesh_44.vertices.elementAt(21);
      expect(vertex_44_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_44_22 = mesh_44.vertices.elementAt(22);
      expect(vertex_44_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_44_23 = mesh_44.vertices.elementAt(23);
      expect(vertex_44_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_44.normals.length, equals(24));
      final normal_44_0 = mesh_44.normals.elementAt(0);
      expect(normal_44_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_44_1 = mesh_44.normals.elementAt(1);
      expect(normal_44_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_44_2 = mesh_44.normals.elementAt(2);
      expect(normal_44_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_44_3 = mesh_44.normals.elementAt(3);
      expect(normal_44_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_44_4 = mesh_44.normals.elementAt(4);
      expect(normal_44_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_44_5 = mesh_44.normals.elementAt(5);
      expect(normal_44_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_44_6 = mesh_44.normals.elementAt(6);
      expect(normal_44_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_44_7 = mesh_44.normals.elementAt(7);
      expect(normal_44_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_44_8 = mesh_44.normals.elementAt(8);
      expect(normal_44_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_44_9 = mesh_44.normals.elementAt(9);
      expect(normal_44_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_44_10 = mesh_44.normals.elementAt(10);
      expect(normal_44_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_44_11 = mesh_44.normals.elementAt(11);
      expect(normal_44_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_44_12 = mesh_44.normals.elementAt(12);
      expect(normal_44_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_44_13 = mesh_44.normals.elementAt(13);
      expect(normal_44_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_44_14 = mesh_44.normals.elementAt(14);
      expect(normal_44_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_44_15 = mesh_44.normals.elementAt(15);
      expect(normal_44_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_44_16 = mesh_44.normals.elementAt(16);
      expect(normal_44_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_44_17 = mesh_44.normals.elementAt(17);
      expect(normal_44_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_44_18 = mesh_44.normals.elementAt(18);
      expect(normal_44_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_44_19 = mesh_44.normals.elementAt(19);
      expect(normal_44_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_44_20 = mesh_44.normals.elementAt(20);
      expect(normal_44_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_44_21 = mesh_44.normals.elementAt(21);
      expect(normal_44_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_44_22 = mesh_44.normals.elementAt(22);
      expect(normal_44_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_44_23 = mesh_44.normals.elementAt(23);
      expect(normal_44_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_44.tangents.length, isZero);
      expect(mesh_44.bitangents.length, isZero);
      expect(mesh_44.colors.length, isZero);
      expect(mesh_44.textureCoords.length, equals(1));
      final textureCoords_44_0 = mesh_44.textureCoords.elementAt(0);
      expect(textureCoords_44_0.length, equals(24));
      final textureCoord_44_0_0 = textureCoords_44_0.elementAt(0);
      expect(textureCoord_44_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_1 = textureCoords_44_0.elementAt(1);
      expect(textureCoord_44_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_2 = textureCoords_44_0.elementAt(2);
      expect(textureCoord_44_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_44_0_3 = textureCoords_44_0.elementAt(3);
      expect(textureCoord_44_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_4 = textureCoords_44_0.elementAt(4);
      expect(textureCoord_44_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_5 = textureCoords_44_0.elementAt(5);
      expect(textureCoord_44_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_6 = textureCoords_44_0.elementAt(6);
      expect(textureCoord_44_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_7 = textureCoords_44_0.elementAt(7);
      expect(textureCoord_44_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_44_0_8 = textureCoords_44_0.elementAt(8);
      expect(textureCoord_44_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_9 = textureCoords_44_0.elementAt(9);
      expect(textureCoord_44_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_10 = textureCoords_44_0.elementAt(10);
      expect(textureCoord_44_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_11 = textureCoords_44_0.elementAt(11);
      expect(textureCoord_44_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_44_0_12 = textureCoords_44_0.elementAt(12);
      expect(textureCoord_44_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_13 = textureCoords_44_0.elementAt(13);
      expect(textureCoord_44_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_14 = textureCoords_44_0.elementAt(14);
      expect(textureCoord_44_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_15 = textureCoords_44_0.elementAt(15);
      expect(textureCoord_44_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_44_0_16 = textureCoords_44_0.elementAt(16);
      expect(textureCoord_44_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_17 = textureCoords_44_0.elementAt(17);
      expect(textureCoord_44_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_18 = textureCoords_44_0.elementAt(18);
      expect(textureCoord_44_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_19 = textureCoords_44_0.elementAt(19);
      expect(textureCoord_44_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_44_0_20 = textureCoords_44_0.elementAt(20);
      expect(textureCoord_44_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_44_0_21 = textureCoords_44_0.elementAt(21);
      expect(textureCoord_44_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_44_0_22 = textureCoords_44_0.elementAt(22);
      expect(textureCoord_44_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_44_0_23 = textureCoords_44_0.elementAt(23);
      expect(textureCoord_44_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_44.uvComponents.length, equals(1));
      expect(mesh_44.uvComponents, equals([2]));
      expect(mesh_44.faces.length, equals(6));
      expect(mesh_44.bones.length, isZero);
      expect(mesh_44.materialIndex, isZero);
      expect(mesh_44.name, equals('Box045Mesh'));
      expect(mesh_44.animMeshes.length, isZero);
      expect(mesh_44.morphingMethod, isZero);
      expect(mesh_44.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_45 = meshes.elementAt(45);
      expect(mesh_45.primitiveTypes, equals(8));
      expect(mesh_45.vertices.length, equals(24));
      final vertex_45_0 = mesh_45.vertices.elementAt(0);
      expect(vertex_45_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_45_1 = mesh_45.vertices.elementAt(1);
      expect(vertex_45_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_45_2 = mesh_45.vertices.elementAt(2);
      expect(vertex_45_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_45_3 = mesh_45.vertices.elementAt(3);
      expect(vertex_45_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_45_4 = mesh_45.vertices.elementAt(4);
      expect(vertex_45_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_45_5 = mesh_45.vertices.elementAt(5);
      expect(vertex_45_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_45_6 = mesh_45.vertices.elementAt(6);
      expect(vertex_45_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_45_7 = mesh_45.vertices.elementAt(7);
      expect(vertex_45_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_45_8 = mesh_45.vertices.elementAt(8);
      expect(vertex_45_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_45_9 = mesh_45.vertices.elementAt(9);
      expect(vertex_45_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_45_10 = mesh_45.vertices.elementAt(10);
      expect(vertex_45_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_45_11 = mesh_45.vertices.elementAt(11);
      expect(vertex_45_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_45_12 = mesh_45.vertices.elementAt(12);
      expect(vertex_45_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_45_13 = mesh_45.vertices.elementAt(13);
      expect(vertex_45_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_45_14 = mesh_45.vertices.elementAt(14);
      expect(vertex_45_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_45_15 = mesh_45.vertices.elementAt(15);
      expect(vertex_45_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_45_16 = mesh_45.vertices.elementAt(16);
      expect(vertex_45_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_45_17 = mesh_45.vertices.elementAt(17);
      expect(vertex_45_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_45_18 = mesh_45.vertices.elementAt(18);
      expect(vertex_45_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_45_19 = mesh_45.vertices.elementAt(19);
      expect(vertex_45_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_45_20 = mesh_45.vertices.elementAt(20);
      expect(vertex_45_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_45_21 = mesh_45.vertices.elementAt(21);
      expect(vertex_45_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_45_22 = mesh_45.vertices.elementAt(22);
      expect(vertex_45_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_45_23 = mesh_45.vertices.elementAt(23);
      expect(vertex_45_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_45.normals.length, equals(24));
      final normal_45_0 = mesh_45.normals.elementAt(0);
      expect(normal_45_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_45_1 = mesh_45.normals.elementAt(1);
      expect(normal_45_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_45_2 = mesh_45.normals.elementAt(2);
      expect(normal_45_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_45_3 = mesh_45.normals.elementAt(3);
      expect(normal_45_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_45_4 = mesh_45.normals.elementAt(4);
      expect(normal_45_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_45_5 = mesh_45.normals.elementAt(5);
      expect(normal_45_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_45_6 = mesh_45.normals.elementAt(6);
      expect(normal_45_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_45_7 = mesh_45.normals.elementAt(7);
      expect(normal_45_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_45_8 = mesh_45.normals.elementAt(8);
      expect(normal_45_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_45_9 = mesh_45.normals.elementAt(9);
      expect(normal_45_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_45_10 = mesh_45.normals.elementAt(10);
      expect(normal_45_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_45_11 = mesh_45.normals.elementAt(11);
      expect(normal_45_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_45_12 = mesh_45.normals.elementAt(12);
      expect(normal_45_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_45_13 = mesh_45.normals.elementAt(13);
      expect(normal_45_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_45_14 = mesh_45.normals.elementAt(14);
      expect(normal_45_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_45_15 = mesh_45.normals.elementAt(15);
      expect(normal_45_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_45_16 = mesh_45.normals.elementAt(16);
      expect(normal_45_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_45_17 = mesh_45.normals.elementAt(17);
      expect(normal_45_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_45_18 = mesh_45.normals.elementAt(18);
      expect(normal_45_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_45_19 = mesh_45.normals.elementAt(19);
      expect(normal_45_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_45_20 = mesh_45.normals.elementAt(20);
      expect(normal_45_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_45_21 = mesh_45.normals.elementAt(21);
      expect(normal_45_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_45_22 = mesh_45.normals.elementAt(22);
      expect(normal_45_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_45_23 = mesh_45.normals.elementAt(23);
      expect(normal_45_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_45.tangents.length, isZero);
      expect(mesh_45.bitangents.length, isZero);
      expect(mesh_45.colors.length, isZero);
      expect(mesh_45.textureCoords.length, equals(1));
      final textureCoords_45_0 = mesh_45.textureCoords.elementAt(0);
      expect(textureCoords_45_0.length, equals(24));
      final textureCoord_45_0_0 = textureCoords_45_0.elementAt(0);
      expect(textureCoord_45_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_1 = textureCoords_45_0.elementAt(1);
      expect(textureCoord_45_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_2 = textureCoords_45_0.elementAt(2);
      expect(textureCoord_45_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_45_0_3 = textureCoords_45_0.elementAt(3);
      expect(textureCoord_45_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_4 = textureCoords_45_0.elementAt(4);
      expect(textureCoord_45_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_5 = textureCoords_45_0.elementAt(5);
      expect(textureCoord_45_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_6 = textureCoords_45_0.elementAt(6);
      expect(textureCoord_45_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_7 = textureCoords_45_0.elementAt(7);
      expect(textureCoord_45_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_45_0_8 = textureCoords_45_0.elementAt(8);
      expect(textureCoord_45_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_9 = textureCoords_45_0.elementAt(9);
      expect(textureCoord_45_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_10 = textureCoords_45_0.elementAt(10);
      expect(textureCoord_45_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_11 = textureCoords_45_0.elementAt(11);
      expect(textureCoord_45_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_45_0_12 = textureCoords_45_0.elementAt(12);
      expect(textureCoord_45_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_13 = textureCoords_45_0.elementAt(13);
      expect(textureCoord_45_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_14 = textureCoords_45_0.elementAt(14);
      expect(textureCoord_45_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_15 = textureCoords_45_0.elementAt(15);
      expect(textureCoord_45_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_45_0_16 = textureCoords_45_0.elementAt(16);
      expect(textureCoord_45_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_17 = textureCoords_45_0.elementAt(17);
      expect(textureCoord_45_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_18 = textureCoords_45_0.elementAt(18);
      expect(textureCoord_45_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_19 = textureCoords_45_0.elementAt(19);
      expect(textureCoord_45_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_45_0_20 = textureCoords_45_0.elementAt(20);
      expect(textureCoord_45_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_45_0_21 = textureCoords_45_0.elementAt(21);
      expect(textureCoord_45_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_45_0_22 = textureCoords_45_0.elementAt(22);
      expect(textureCoord_45_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_45_0_23 = textureCoords_45_0.elementAt(23);
      expect(textureCoord_45_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_45.uvComponents.length, equals(1));
      expect(mesh_45.uvComponents, equals([2]));
      expect(mesh_45.faces.length, equals(6));
      expect(mesh_45.bones.length, isZero);
      expect(mesh_45.materialIndex, isZero);
      expect(mesh_45.name, equals('Box046Mesh'));
      expect(mesh_45.animMeshes.length, isZero);
      expect(mesh_45.morphingMethod, isZero);
      expect(mesh_45.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_46 = meshes.elementAt(46);
      expect(mesh_46.primitiveTypes, equals(8));
      expect(mesh_46.vertices.length, equals(24));
      final vertex_46_0 = mesh_46.vertices.elementAt(0);
      expect(vertex_46_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_46_1 = mesh_46.vertices.elementAt(1);
      expect(vertex_46_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_46_2 = mesh_46.vertices.elementAt(2);
      expect(vertex_46_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_46_3 = mesh_46.vertices.elementAt(3);
      expect(vertex_46_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_46_4 = mesh_46.vertices.elementAt(4);
      expect(vertex_46_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_46_5 = mesh_46.vertices.elementAt(5);
      expect(vertex_46_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_46_6 = mesh_46.vertices.elementAt(6);
      expect(vertex_46_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_46_7 = mesh_46.vertices.elementAt(7);
      expect(vertex_46_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_46_8 = mesh_46.vertices.elementAt(8);
      expect(vertex_46_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_46_9 = mesh_46.vertices.elementAt(9);
      expect(vertex_46_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_46_10 = mesh_46.vertices.elementAt(10);
      expect(vertex_46_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_46_11 = mesh_46.vertices.elementAt(11);
      expect(vertex_46_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_46_12 = mesh_46.vertices.elementAt(12);
      expect(vertex_46_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_46_13 = mesh_46.vertices.elementAt(13);
      expect(vertex_46_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_46_14 = mesh_46.vertices.elementAt(14);
      expect(vertex_46_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_46_15 = mesh_46.vertices.elementAt(15);
      expect(vertex_46_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_46_16 = mesh_46.vertices.elementAt(16);
      expect(vertex_46_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_46_17 = mesh_46.vertices.elementAt(17);
      expect(vertex_46_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_46_18 = mesh_46.vertices.elementAt(18);
      expect(vertex_46_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_46_19 = mesh_46.vertices.elementAt(19);
      expect(vertex_46_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_46_20 = mesh_46.vertices.elementAt(20);
      expect(vertex_46_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_46_21 = mesh_46.vertices.elementAt(21);
      expect(vertex_46_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_46_22 = mesh_46.vertices.elementAt(22);
      expect(vertex_46_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_46_23 = mesh_46.vertices.elementAt(23);
      expect(vertex_46_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_46.normals.length, equals(24));
      final normal_46_0 = mesh_46.normals.elementAt(0);
      expect(normal_46_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_46_1 = mesh_46.normals.elementAt(1);
      expect(normal_46_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_46_2 = mesh_46.normals.elementAt(2);
      expect(normal_46_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_46_3 = mesh_46.normals.elementAt(3);
      expect(normal_46_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_46_4 = mesh_46.normals.elementAt(4);
      expect(normal_46_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_46_5 = mesh_46.normals.elementAt(5);
      expect(normal_46_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_46_6 = mesh_46.normals.elementAt(6);
      expect(normal_46_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_46_7 = mesh_46.normals.elementAt(7);
      expect(normal_46_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_46_8 = mesh_46.normals.elementAt(8);
      expect(normal_46_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_46_9 = mesh_46.normals.elementAt(9);
      expect(normal_46_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_46_10 = mesh_46.normals.elementAt(10);
      expect(normal_46_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_46_11 = mesh_46.normals.elementAt(11);
      expect(normal_46_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_46_12 = mesh_46.normals.elementAt(12);
      expect(normal_46_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_46_13 = mesh_46.normals.elementAt(13);
      expect(normal_46_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_46_14 = mesh_46.normals.elementAt(14);
      expect(normal_46_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_46_15 = mesh_46.normals.elementAt(15);
      expect(normal_46_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_46_16 = mesh_46.normals.elementAt(16);
      expect(normal_46_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_46_17 = mesh_46.normals.elementAt(17);
      expect(normal_46_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_46_18 = mesh_46.normals.elementAt(18);
      expect(normal_46_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_46_19 = mesh_46.normals.elementAt(19);
      expect(normal_46_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_46_20 = mesh_46.normals.elementAt(20);
      expect(normal_46_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_46_21 = mesh_46.normals.elementAt(21);
      expect(normal_46_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_46_22 = mesh_46.normals.elementAt(22);
      expect(normal_46_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_46_23 = mesh_46.normals.elementAt(23);
      expect(normal_46_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_46.tangents.length, isZero);
      expect(mesh_46.bitangents.length, isZero);
      expect(mesh_46.colors.length, isZero);
      expect(mesh_46.textureCoords.length, equals(1));
      final textureCoords_46_0 = mesh_46.textureCoords.elementAt(0);
      expect(textureCoords_46_0.length, equals(24));
      final textureCoord_46_0_0 = textureCoords_46_0.elementAt(0);
      expect(textureCoord_46_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_1 = textureCoords_46_0.elementAt(1);
      expect(textureCoord_46_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_2 = textureCoords_46_0.elementAt(2);
      expect(textureCoord_46_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_46_0_3 = textureCoords_46_0.elementAt(3);
      expect(textureCoord_46_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_4 = textureCoords_46_0.elementAt(4);
      expect(textureCoord_46_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_5 = textureCoords_46_0.elementAt(5);
      expect(textureCoord_46_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_6 = textureCoords_46_0.elementAt(6);
      expect(textureCoord_46_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_7 = textureCoords_46_0.elementAt(7);
      expect(textureCoord_46_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_46_0_8 = textureCoords_46_0.elementAt(8);
      expect(textureCoord_46_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_9 = textureCoords_46_0.elementAt(9);
      expect(textureCoord_46_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_10 = textureCoords_46_0.elementAt(10);
      expect(textureCoord_46_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_11 = textureCoords_46_0.elementAt(11);
      expect(textureCoord_46_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_46_0_12 = textureCoords_46_0.elementAt(12);
      expect(textureCoord_46_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_13 = textureCoords_46_0.elementAt(13);
      expect(textureCoord_46_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_14 = textureCoords_46_0.elementAt(14);
      expect(textureCoord_46_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_15 = textureCoords_46_0.elementAt(15);
      expect(textureCoord_46_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_46_0_16 = textureCoords_46_0.elementAt(16);
      expect(textureCoord_46_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_17 = textureCoords_46_0.elementAt(17);
      expect(textureCoord_46_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_18 = textureCoords_46_0.elementAt(18);
      expect(textureCoord_46_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_19 = textureCoords_46_0.elementAt(19);
      expect(textureCoord_46_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_46_0_20 = textureCoords_46_0.elementAt(20);
      expect(textureCoord_46_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_46_0_21 = textureCoords_46_0.elementAt(21);
      expect(textureCoord_46_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_46_0_22 = textureCoords_46_0.elementAt(22);
      expect(textureCoord_46_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_46_0_23 = textureCoords_46_0.elementAt(23);
      expect(textureCoord_46_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_46.uvComponents.length, equals(1));
      expect(mesh_46.uvComponents, equals([2]));
      expect(mesh_46.faces.length, equals(6));
      expect(mesh_46.bones.length, isZero);
      expect(mesh_46.materialIndex, isZero);
      expect(mesh_46.name, equals('Box047Mesh'));
      expect(mesh_46.animMeshes.length, isZero);
      expect(mesh_46.morphingMethod, isZero);
      expect(mesh_46.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_47 = meshes.elementAt(47);
      expect(mesh_47.primitiveTypes, equals(8));
      expect(mesh_47.vertices.length, equals(24));
      final vertex_47_0 = mesh_47.vertices.elementAt(0);
      expect(vertex_47_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_47_1 = mesh_47.vertices.elementAt(1);
      expect(vertex_47_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_47_2 = mesh_47.vertices.elementAt(2);
      expect(vertex_47_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_47_3 = mesh_47.vertices.elementAt(3);
      expect(vertex_47_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_47_4 = mesh_47.vertices.elementAt(4);
      expect(vertex_47_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_47_5 = mesh_47.vertices.elementAt(5);
      expect(vertex_47_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_47_6 = mesh_47.vertices.elementAt(6);
      expect(vertex_47_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_47_7 = mesh_47.vertices.elementAt(7);
      expect(vertex_47_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_47_8 = mesh_47.vertices.elementAt(8);
      expect(vertex_47_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_47_9 = mesh_47.vertices.elementAt(9);
      expect(vertex_47_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_47_10 = mesh_47.vertices.elementAt(10);
      expect(vertex_47_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_47_11 = mesh_47.vertices.elementAt(11);
      expect(vertex_47_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_47_12 = mesh_47.vertices.elementAt(12);
      expect(vertex_47_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_47_13 = mesh_47.vertices.elementAt(13);
      expect(vertex_47_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_47_14 = mesh_47.vertices.elementAt(14);
      expect(vertex_47_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_47_15 = mesh_47.vertices.elementAt(15);
      expect(vertex_47_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_47_16 = mesh_47.vertices.elementAt(16);
      expect(vertex_47_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_47_17 = mesh_47.vertices.elementAt(17);
      expect(vertex_47_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_47_18 = mesh_47.vertices.elementAt(18);
      expect(vertex_47_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_47_19 = mesh_47.vertices.elementAt(19);
      expect(vertex_47_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_47_20 = mesh_47.vertices.elementAt(20);
      expect(vertex_47_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_47_21 = mesh_47.vertices.elementAt(21);
      expect(vertex_47_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_47_22 = mesh_47.vertices.elementAt(22);
      expect(vertex_47_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_47_23 = mesh_47.vertices.elementAt(23);
      expect(vertex_47_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_47.normals.length, equals(24));
      final normal_47_0 = mesh_47.normals.elementAt(0);
      expect(normal_47_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_47_1 = mesh_47.normals.elementAt(1);
      expect(normal_47_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_47_2 = mesh_47.normals.elementAt(2);
      expect(normal_47_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_47_3 = mesh_47.normals.elementAt(3);
      expect(normal_47_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_47_4 = mesh_47.normals.elementAt(4);
      expect(normal_47_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_47_5 = mesh_47.normals.elementAt(5);
      expect(normal_47_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_47_6 = mesh_47.normals.elementAt(6);
      expect(normal_47_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_47_7 = mesh_47.normals.elementAt(7);
      expect(normal_47_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_47_8 = mesh_47.normals.elementAt(8);
      expect(normal_47_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_47_9 = mesh_47.normals.elementAt(9);
      expect(normal_47_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_47_10 = mesh_47.normals.elementAt(10);
      expect(normal_47_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_47_11 = mesh_47.normals.elementAt(11);
      expect(normal_47_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_47_12 = mesh_47.normals.elementAt(12);
      expect(normal_47_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_47_13 = mesh_47.normals.elementAt(13);
      expect(normal_47_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_47_14 = mesh_47.normals.elementAt(14);
      expect(normal_47_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_47_15 = mesh_47.normals.elementAt(15);
      expect(normal_47_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_47_16 = mesh_47.normals.elementAt(16);
      expect(normal_47_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_47_17 = mesh_47.normals.elementAt(17);
      expect(normal_47_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_47_18 = mesh_47.normals.elementAt(18);
      expect(normal_47_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_47_19 = mesh_47.normals.elementAt(19);
      expect(normal_47_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_47_20 = mesh_47.normals.elementAt(20);
      expect(normal_47_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_47_21 = mesh_47.normals.elementAt(21);
      expect(normal_47_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_47_22 = mesh_47.normals.elementAt(22);
      expect(normal_47_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_47_23 = mesh_47.normals.elementAt(23);
      expect(normal_47_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_47.tangents.length, isZero);
      expect(mesh_47.bitangents.length, isZero);
      expect(mesh_47.colors.length, isZero);
      expect(mesh_47.textureCoords.length, equals(1));
      final textureCoords_47_0 = mesh_47.textureCoords.elementAt(0);
      expect(textureCoords_47_0.length, equals(24));
      final textureCoord_47_0_0 = textureCoords_47_0.elementAt(0);
      expect(textureCoord_47_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_1 = textureCoords_47_0.elementAt(1);
      expect(textureCoord_47_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_2 = textureCoords_47_0.elementAt(2);
      expect(textureCoord_47_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_47_0_3 = textureCoords_47_0.elementAt(3);
      expect(textureCoord_47_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_4 = textureCoords_47_0.elementAt(4);
      expect(textureCoord_47_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_5 = textureCoords_47_0.elementAt(5);
      expect(textureCoord_47_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_6 = textureCoords_47_0.elementAt(6);
      expect(textureCoord_47_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_7 = textureCoords_47_0.elementAt(7);
      expect(textureCoord_47_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_47_0_8 = textureCoords_47_0.elementAt(8);
      expect(textureCoord_47_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_9 = textureCoords_47_0.elementAt(9);
      expect(textureCoord_47_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_10 = textureCoords_47_0.elementAt(10);
      expect(textureCoord_47_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_11 = textureCoords_47_0.elementAt(11);
      expect(textureCoord_47_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_47_0_12 = textureCoords_47_0.elementAt(12);
      expect(textureCoord_47_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_13 = textureCoords_47_0.elementAt(13);
      expect(textureCoord_47_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_14 = textureCoords_47_0.elementAt(14);
      expect(textureCoord_47_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_15 = textureCoords_47_0.elementAt(15);
      expect(textureCoord_47_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_47_0_16 = textureCoords_47_0.elementAt(16);
      expect(textureCoord_47_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_17 = textureCoords_47_0.elementAt(17);
      expect(textureCoord_47_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_18 = textureCoords_47_0.elementAt(18);
      expect(textureCoord_47_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_19 = textureCoords_47_0.elementAt(19);
      expect(textureCoord_47_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_47_0_20 = textureCoords_47_0.elementAt(20);
      expect(textureCoord_47_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_47_0_21 = textureCoords_47_0.elementAt(21);
      expect(textureCoord_47_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_47_0_22 = textureCoords_47_0.elementAt(22);
      expect(textureCoord_47_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_47_0_23 = textureCoords_47_0.elementAt(23);
      expect(textureCoord_47_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_47.uvComponents.length, equals(1));
      expect(mesh_47.uvComponents, equals([2]));
      expect(mesh_47.faces.length, equals(6));
      expect(mesh_47.bones.length, isZero);
      expect(mesh_47.materialIndex, isZero);
      expect(mesh_47.name, equals('Box048Mesh'));
      expect(mesh_47.animMeshes.length, isZero);
      expect(mesh_47.morphingMethod, isZero);
      expect(mesh_47.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_48 = meshes.elementAt(48);
      expect(mesh_48.primitiveTypes, equals(8));
      expect(mesh_48.vertices.length, equals(24));
      final vertex_48_0 = mesh_48.vertices.elementAt(0);
      expect(vertex_48_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_48_1 = mesh_48.vertices.elementAt(1);
      expect(vertex_48_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_48_2 = mesh_48.vertices.elementAt(2);
      expect(vertex_48_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_48_3 = mesh_48.vertices.elementAt(3);
      expect(vertex_48_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_48_4 = mesh_48.vertices.elementAt(4);
      expect(vertex_48_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_48_5 = mesh_48.vertices.elementAt(5);
      expect(vertex_48_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_48_6 = mesh_48.vertices.elementAt(6);
      expect(vertex_48_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_48_7 = mesh_48.vertices.elementAt(7);
      expect(vertex_48_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_48_8 = mesh_48.vertices.elementAt(8);
      expect(vertex_48_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_48_9 = mesh_48.vertices.elementAt(9);
      expect(vertex_48_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_48_10 = mesh_48.vertices.elementAt(10);
      expect(vertex_48_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_48_11 = mesh_48.vertices.elementAt(11);
      expect(vertex_48_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_48_12 = mesh_48.vertices.elementAt(12);
      expect(vertex_48_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_48_13 = mesh_48.vertices.elementAt(13);
      expect(vertex_48_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_48_14 = mesh_48.vertices.elementAt(14);
      expect(vertex_48_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_48_15 = mesh_48.vertices.elementAt(15);
      expect(vertex_48_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_48_16 = mesh_48.vertices.elementAt(16);
      expect(vertex_48_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_48_17 = mesh_48.vertices.elementAt(17);
      expect(vertex_48_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_48_18 = mesh_48.vertices.elementAt(18);
      expect(vertex_48_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_48_19 = mesh_48.vertices.elementAt(19);
      expect(vertex_48_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_48_20 = mesh_48.vertices.elementAt(20);
      expect(vertex_48_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_48_21 = mesh_48.vertices.elementAt(21);
      expect(vertex_48_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_48_22 = mesh_48.vertices.elementAt(22);
      expect(vertex_48_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_48_23 = mesh_48.vertices.elementAt(23);
      expect(vertex_48_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_48.normals.length, equals(24));
      final normal_48_0 = mesh_48.normals.elementAt(0);
      expect(normal_48_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_48_1 = mesh_48.normals.elementAt(1);
      expect(normal_48_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_48_2 = mesh_48.normals.elementAt(2);
      expect(normal_48_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_48_3 = mesh_48.normals.elementAt(3);
      expect(normal_48_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_48_4 = mesh_48.normals.elementAt(4);
      expect(normal_48_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_48_5 = mesh_48.normals.elementAt(5);
      expect(normal_48_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_48_6 = mesh_48.normals.elementAt(6);
      expect(normal_48_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_48_7 = mesh_48.normals.elementAt(7);
      expect(normal_48_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_48_8 = mesh_48.normals.elementAt(8);
      expect(normal_48_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_48_9 = mesh_48.normals.elementAt(9);
      expect(normal_48_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_48_10 = mesh_48.normals.elementAt(10);
      expect(normal_48_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_48_11 = mesh_48.normals.elementAt(11);
      expect(normal_48_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_48_12 = mesh_48.normals.elementAt(12);
      expect(normal_48_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_48_13 = mesh_48.normals.elementAt(13);
      expect(normal_48_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_48_14 = mesh_48.normals.elementAt(14);
      expect(normal_48_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_48_15 = mesh_48.normals.elementAt(15);
      expect(normal_48_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_48_16 = mesh_48.normals.elementAt(16);
      expect(normal_48_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_48_17 = mesh_48.normals.elementAt(17);
      expect(normal_48_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_48_18 = mesh_48.normals.elementAt(18);
      expect(normal_48_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_48_19 = mesh_48.normals.elementAt(19);
      expect(normal_48_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_48_20 = mesh_48.normals.elementAt(20);
      expect(normal_48_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_48_21 = mesh_48.normals.elementAt(21);
      expect(normal_48_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_48_22 = mesh_48.normals.elementAt(22);
      expect(normal_48_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_48_23 = mesh_48.normals.elementAt(23);
      expect(normal_48_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_48.tangents.length, isZero);
      expect(mesh_48.bitangents.length, isZero);
      expect(mesh_48.colors.length, isZero);
      expect(mesh_48.textureCoords.length, equals(1));
      final textureCoords_48_0 = mesh_48.textureCoords.elementAt(0);
      expect(textureCoords_48_0.length, equals(24));
      final textureCoord_48_0_0 = textureCoords_48_0.elementAt(0);
      expect(textureCoord_48_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_1 = textureCoords_48_0.elementAt(1);
      expect(textureCoord_48_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_2 = textureCoords_48_0.elementAt(2);
      expect(textureCoord_48_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_48_0_3 = textureCoords_48_0.elementAt(3);
      expect(textureCoord_48_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_4 = textureCoords_48_0.elementAt(4);
      expect(textureCoord_48_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_5 = textureCoords_48_0.elementAt(5);
      expect(textureCoord_48_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_6 = textureCoords_48_0.elementAt(6);
      expect(textureCoord_48_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_7 = textureCoords_48_0.elementAt(7);
      expect(textureCoord_48_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_48_0_8 = textureCoords_48_0.elementAt(8);
      expect(textureCoord_48_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_9 = textureCoords_48_0.elementAt(9);
      expect(textureCoord_48_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_10 = textureCoords_48_0.elementAt(10);
      expect(textureCoord_48_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_11 = textureCoords_48_0.elementAt(11);
      expect(textureCoord_48_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_48_0_12 = textureCoords_48_0.elementAt(12);
      expect(textureCoord_48_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_13 = textureCoords_48_0.elementAt(13);
      expect(textureCoord_48_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_14 = textureCoords_48_0.elementAt(14);
      expect(textureCoord_48_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_15 = textureCoords_48_0.elementAt(15);
      expect(textureCoord_48_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_48_0_16 = textureCoords_48_0.elementAt(16);
      expect(textureCoord_48_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_17 = textureCoords_48_0.elementAt(17);
      expect(textureCoord_48_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_18 = textureCoords_48_0.elementAt(18);
      expect(textureCoord_48_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_19 = textureCoords_48_0.elementAt(19);
      expect(textureCoord_48_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_48_0_20 = textureCoords_48_0.elementAt(20);
      expect(textureCoord_48_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_48_0_21 = textureCoords_48_0.elementAt(21);
      expect(textureCoord_48_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_48_0_22 = textureCoords_48_0.elementAt(22);
      expect(textureCoord_48_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_48_0_23 = textureCoords_48_0.elementAt(23);
      expect(textureCoord_48_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_48.uvComponents.length, equals(1));
      expect(mesh_48.uvComponents, equals([2]));
      expect(mesh_48.faces.length, equals(6));
      expect(mesh_48.bones.length, isZero);
      expect(mesh_48.materialIndex, isZero);
      expect(mesh_48.name, equals('Box049Mesh'));
      expect(mesh_48.animMeshes.length, isZero);
      expect(mesh_48.morphingMethod, isZero);
      expect(mesh_48.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_49 = meshes.elementAt(49);
      expect(mesh_49.primitiveTypes, equals(8));
      expect(mesh_49.vertices.length, equals(24));
      final vertex_49_0 = mesh_49.vertices.elementAt(0);
      expect(vertex_49_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_49_1 = mesh_49.vertices.elementAt(1);
      expect(vertex_49_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_49_2 = mesh_49.vertices.elementAt(2);
      expect(vertex_49_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_49_3 = mesh_49.vertices.elementAt(3);
      expect(vertex_49_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_49_4 = mesh_49.vertices.elementAt(4);
      expect(vertex_49_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_49_5 = mesh_49.vertices.elementAt(5);
      expect(vertex_49_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_49_6 = mesh_49.vertices.elementAt(6);
      expect(vertex_49_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_49_7 = mesh_49.vertices.elementAt(7);
      expect(vertex_49_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_49_8 = mesh_49.vertices.elementAt(8);
      expect(vertex_49_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_49_9 = mesh_49.vertices.elementAt(9);
      expect(vertex_49_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_49_10 = mesh_49.vertices.elementAt(10);
      expect(vertex_49_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_49_11 = mesh_49.vertices.elementAt(11);
      expect(vertex_49_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_49_12 = mesh_49.vertices.elementAt(12);
      expect(vertex_49_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_49_13 = mesh_49.vertices.elementAt(13);
      expect(vertex_49_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_49_14 = mesh_49.vertices.elementAt(14);
      expect(vertex_49_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_49_15 = mesh_49.vertices.elementAt(15);
      expect(vertex_49_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_49_16 = mesh_49.vertices.elementAt(16);
      expect(vertex_49_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_49_17 = mesh_49.vertices.elementAt(17);
      expect(vertex_49_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_49_18 = mesh_49.vertices.elementAt(18);
      expect(vertex_49_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_49_19 = mesh_49.vertices.elementAt(19);
      expect(vertex_49_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_49_20 = mesh_49.vertices.elementAt(20);
      expect(vertex_49_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_49_21 = mesh_49.vertices.elementAt(21);
      expect(vertex_49_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_49_22 = mesh_49.vertices.elementAt(22);
      expect(vertex_49_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_49_23 = mesh_49.vertices.elementAt(23);
      expect(vertex_49_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_49.normals.length, equals(24));
      final normal_49_0 = mesh_49.normals.elementAt(0);
      expect(normal_49_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_49_1 = mesh_49.normals.elementAt(1);
      expect(normal_49_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_49_2 = mesh_49.normals.elementAt(2);
      expect(normal_49_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_49_3 = mesh_49.normals.elementAt(3);
      expect(normal_49_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_49_4 = mesh_49.normals.elementAt(4);
      expect(normal_49_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_49_5 = mesh_49.normals.elementAt(5);
      expect(normal_49_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_49_6 = mesh_49.normals.elementAt(6);
      expect(normal_49_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_49_7 = mesh_49.normals.elementAt(7);
      expect(normal_49_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_49_8 = mesh_49.normals.elementAt(8);
      expect(normal_49_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_49_9 = mesh_49.normals.elementAt(9);
      expect(normal_49_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_49_10 = mesh_49.normals.elementAt(10);
      expect(normal_49_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_49_11 = mesh_49.normals.elementAt(11);
      expect(normal_49_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_49_12 = mesh_49.normals.elementAt(12);
      expect(normal_49_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_49_13 = mesh_49.normals.elementAt(13);
      expect(normal_49_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_49_14 = mesh_49.normals.elementAt(14);
      expect(normal_49_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_49_15 = mesh_49.normals.elementAt(15);
      expect(normal_49_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_49_16 = mesh_49.normals.elementAt(16);
      expect(normal_49_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_49_17 = mesh_49.normals.elementAt(17);
      expect(normal_49_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_49_18 = mesh_49.normals.elementAt(18);
      expect(normal_49_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_49_19 = mesh_49.normals.elementAt(19);
      expect(normal_49_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_49_20 = mesh_49.normals.elementAt(20);
      expect(normal_49_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_49_21 = mesh_49.normals.elementAt(21);
      expect(normal_49_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_49_22 = mesh_49.normals.elementAt(22);
      expect(normal_49_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_49_23 = mesh_49.normals.elementAt(23);
      expect(normal_49_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_49.tangents.length, isZero);
      expect(mesh_49.bitangents.length, isZero);
      expect(mesh_49.colors.length, isZero);
      expect(mesh_49.textureCoords.length, equals(1));
      final textureCoords_49_0 = mesh_49.textureCoords.elementAt(0);
      expect(textureCoords_49_0.length, equals(24));
      final textureCoord_49_0_0 = textureCoords_49_0.elementAt(0);
      expect(textureCoord_49_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_1 = textureCoords_49_0.elementAt(1);
      expect(textureCoord_49_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_2 = textureCoords_49_0.elementAt(2);
      expect(textureCoord_49_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_49_0_3 = textureCoords_49_0.elementAt(3);
      expect(textureCoord_49_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_4 = textureCoords_49_0.elementAt(4);
      expect(textureCoord_49_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_5 = textureCoords_49_0.elementAt(5);
      expect(textureCoord_49_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_6 = textureCoords_49_0.elementAt(6);
      expect(textureCoord_49_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_7 = textureCoords_49_0.elementAt(7);
      expect(textureCoord_49_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_49_0_8 = textureCoords_49_0.elementAt(8);
      expect(textureCoord_49_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_9 = textureCoords_49_0.elementAt(9);
      expect(textureCoord_49_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_10 = textureCoords_49_0.elementAt(10);
      expect(textureCoord_49_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_11 = textureCoords_49_0.elementAt(11);
      expect(textureCoord_49_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_49_0_12 = textureCoords_49_0.elementAt(12);
      expect(textureCoord_49_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_13 = textureCoords_49_0.elementAt(13);
      expect(textureCoord_49_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_14 = textureCoords_49_0.elementAt(14);
      expect(textureCoord_49_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_15 = textureCoords_49_0.elementAt(15);
      expect(textureCoord_49_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_49_0_16 = textureCoords_49_0.elementAt(16);
      expect(textureCoord_49_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_17 = textureCoords_49_0.elementAt(17);
      expect(textureCoord_49_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_18 = textureCoords_49_0.elementAt(18);
      expect(textureCoord_49_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_19 = textureCoords_49_0.elementAt(19);
      expect(textureCoord_49_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_49_0_20 = textureCoords_49_0.elementAt(20);
      expect(textureCoord_49_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_49_0_21 = textureCoords_49_0.elementAt(21);
      expect(textureCoord_49_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_49_0_22 = textureCoords_49_0.elementAt(22);
      expect(textureCoord_49_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_49_0_23 = textureCoords_49_0.elementAt(23);
      expect(textureCoord_49_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_49.uvComponents.length, equals(1));
      expect(mesh_49.uvComponents, equals([2]));
      expect(mesh_49.faces.length, equals(6));
      expect(mesh_49.bones.length, isZero);
      expect(mesh_49.materialIndex, isZero);
      expect(mesh_49.name, equals('Box050Mesh'));
      expect(mesh_49.animMeshes.length, isZero);
      expect(mesh_49.morphingMethod, isZero);
      expect(mesh_49.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_50 = meshes.elementAt(50);
      expect(mesh_50.primitiveTypes, equals(8));
      expect(mesh_50.vertices.length, equals(24));
      final vertex_50_0 = mesh_50.vertices.elementAt(0);
      expect(vertex_50_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_50_1 = mesh_50.vertices.elementAt(1);
      expect(vertex_50_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_50_2 = mesh_50.vertices.elementAt(2);
      expect(vertex_50_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_50_3 = mesh_50.vertices.elementAt(3);
      expect(vertex_50_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_50_4 = mesh_50.vertices.elementAt(4);
      expect(vertex_50_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_50_5 = mesh_50.vertices.elementAt(5);
      expect(vertex_50_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_50_6 = mesh_50.vertices.elementAt(6);
      expect(vertex_50_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_50_7 = mesh_50.vertices.elementAt(7);
      expect(vertex_50_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_50_8 = mesh_50.vertices.elementAt(8);
      expect(vertex_50_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_50_9 = mesh_50.vertices.elementAt(9);
      expect(vertex_50_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_50_10 = mesh_50.vertices.elementAt(10);
      expect(vertex_50_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_50_11 = mesh_50.vertices.elementAt(11);
      expect(vertex_50_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_50_12 = mesh_50.vertices.elementAt(12);
      expect(vertex_50_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_50_13 = mesh_50.vertices.elementAt(13);
      expect(vertex_50_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_50_14 = mesh_50.vertices.elementAt(14);
      expect(vertex_50_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_50_15 = mesh_50.vertices.elementAt(15);
      expect(vertex_50_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_50_16 = mesh_50.vertices.elementAt(16);
      expect(vertex_50_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_50_17 = mesh_50.vertices.elementAt(17);
      expect(vertex_50_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_50_18 = mesh_50.vertices.elementAt(18);
      expect(vertex_50_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_50_19 = mesh_50.vertices.elementAt(19);
      expect(vertex_50_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_50_20 = mesh_50.vertices.elementAt(20);
      expect(vertex_50_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_50_21 = mesh_50.vertices.elementAt(21);
      expect(vertex_50_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_50_22 = mesh_50.vertices.elementAt(22);
      expect(vertex_50_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_50_23 = mesh_50.vertices.elementAt(23);
      expect(vertex_50_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_50.normals.length, equals(24));
      final normal_50_0 = mesh_50.normals.elementAt(0);
      expect(normal_50_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_50_1 = mesh_50.normals.elementAt(1);
      expect(normal_50_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_50_2 = mesh_50.normals.elementAt(2);
      expect(normal_50_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_50_3 = mesh_50.normals.elementAt(3);
      expect(normal_50_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_50_4 = mesh_50.normals.elementAt(4);
      expect(normal_50_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_50_5 = mesh_50.normals.elementAt(5);
      expect(normal_50_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_50_6 = mesh_50.normals.elementAt(6);
      expect(normal_50_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_50_7 = mesh_50.normals.elementAt(7);
      expect(normal_50_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_50_8 = mesh_50.normals.elementAt(8);
      expect(normal_50_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_50_9 = mesh_50.normals.elementAt(9);
      expect(normal_50_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_50_10 = mesh_50.normals.elementAt(10);
      expect(normal_50_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_50_11 = mesh_50.normals.elementAt(11);
      expect(normal_50_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_50_12 = mesh_50.normals.elementAt(12);
      expect(normal_50_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_50_13 = mesh_50.normals.elementAt(13);
      expect(normal_50_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_50_14 = mesh_50.normals.elementAt(14);
      expect(normal_50_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_50_15 = mesh_50.normals.elementAt(15);
      expect(normal_50_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_50_16 = mesh_50.normals.elementAt(16);
      expect(normal_50_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_50_17 = mesh_50.normals.elementAt(17);
      expect(normal_50_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_50_18 = mesh_50.normals.elementAt(18);
      expect(normal_50_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_50_19 = mesh_50.normals.elementAt(19);
      expect(normal_50_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_50_20 = mesh_50.normals.elementAt(20);
      expect(normal_50_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_50_21 = mesh_50.normals.elementAt(21);
      expect(normal_50_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_50_22 = mesh_50.normals.elementAt(22);
      expect(normal_50_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_50_23 = mesh_50.normals.elementAt(23);
      expect(normal_50_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_50.tangents.length, isZero);
      expect(mesh_50.bitangents.length, isZero);
      expect(mesh_50.colors.length, isZero);
      expect(mesh_50.textureCoords.length, equals(1));
      final textureCoords_50_0 = mesh_50.textureCoords.elementAt(0);
      expect(textureCoords_50_0.length, equals(24));
      final textureCoord_50_0_0 = textureCoords_50_0.elementAt(0);
      expect(textureCoord_50_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_1 = textureCoords_50_0.elementAt(1);
      expect(textureCoord_50_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_2 = textureCoords_50_0.elementAt(2);
      expect(textureCoord_50_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_50_0_3 = textureCoords_50_0.elementAt(3);
      expect(textureCoord_50_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_4 = textureCoords_50_0.elementAt(4);
      expect(textureCoord_50_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_5 = textureCoords_50_0.elementAt(5);
      expect(textureCoord_50_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_6 = textureCoords_50_0.elementAt(6);
      expect(textureCoord_50_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_7 = textureCoords_50_0.elementAt(7);
      expect(textureCoord_50_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_50_0_8 = textureCoords_50_0.elementAt(8);
      expect(textureCoord_50_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_9 = textureCoords_50_0.elementAt(9);
      expect(textureCoord_50_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_10 = textureCoords_50_0.elementAt(10);
      expect(textureCoord_50_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_11 = textureCoords_50_0.elementAt(11);
      expect(textureCoord_50_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_50_0_12 = textureCoords_50_0.elementAt(12);
      expect(textureCoord_50_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_13 = textureCoords_50_0.elementAt(13);
      expect(textureCoord_50_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_14 = textureCoords_50_0.elementAt(14);
      expect(textureCoord_50_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_15 = textureCoords_50_0.elementAt(15);
      expect(textureCoord_50_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_50_0_16 = textureCoords_50_0.elementAt(16);
      expect(textureCoord_50_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_17 = textureCoords_50_0.elementAt(17);
      expect(textureCoord_50_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_18 = textureCoords_50_0.elementAt(18);
      expect(textureCoord_50_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_19 = textureCoords_50_0.elementAt(19);
      expect(textureCoord_50_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_50_0_20 = textureCoords_50_0.elementAt(20);
      expect(textureCoord_50_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_50_0_21 = textureCoords_50_0.elementAt(21);
      expect(textureCoord_50_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_50_0_22 = textureCoords_50_0.elementAt(22);
      expect(textureCoord_50_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_50_0_23 = textureCoords_50_0.elementAt(23);
      expect(textureCoord_50_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_50.uvComponents.length, equals(1));
      expect(mesh_50.uvComponents, equals([2]));
      expect(mesh_50.faces.length, equals(6));
      expect(mesh_50.bones.length, isZero);
      expect(mesh_50.materialIndex, isZero);
      expect(mesh_50.name, equals('Box051Mesh'));
      expect(mesh_50.animMeshes.length, isZero);
      expect(mesh_50.morphingMethod, isZero);
      expect(mesh_50.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_51 = meshes.elementAt(51);
      expect(mesh_51.primitiveTypes, equals(8));
      expect(mesh_51.vertices.length, equals(24));
      final vertex_51_0 = mesh_51.vertices.elementAt(0);
      expect(vertex_51_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_51_1 = mesh_51.vertices.elementAt(1);
      expect(vertex_51_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_51_2 = mesh_51.vertices.elementAt(2);
      expect(vertex_51_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_51_3 = mesh_51.vertices.elementAt(3);
      expect(vertex_51_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_51_4 = mesh_51.vertices.elementAt(4);
      expect(vertex_51_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_51_5 = mesh_51.vertices.elementAt(5);
      expect(vertex_51_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_51_6 = mesh_51.vertices.elementAt(6);
      expect(vertex_51_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_51_7 = mesh_51.vertices.elementAt(7);
      expect(vertex_51_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_51_8 = mesh_51.vertices.elementAt(8);
      expect(vertex_51_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_51_9 = mesh_51.vertices.elementAt(9);
      expect(vertex_51_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_51_10 = mesh_51.vertices.elementAt(10);
      expect(vertex_51_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_51_11 = mesh_51.vertices.elementAt(11);
      expect(vertex_51_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_51_12 = mesh_51.vertices.elementAt(12);
      expect(vertex_51_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_51_13 = mesh_51.vertices.elementAt(13);
      expect(vertex_51_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_51_14 = mesh_51.vertices.elementAt(14);
      expect(vertex_51_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_51_15 = mesh_51.vertices.elementAt(15);
      expect(vertex_51_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_51_16 = mesh_51.vertices.elementAt(16);
      expect(vertex_51_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_51_17 = mesh_51.vertices.elementAt(17);
      expect(vertex_51_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_51_18 = mesh_51.vertices.elementAt(18);
      expect(vertex_51_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_51_19 = mesh_51.vertices.elementAt(19);
      expect(vertex_51_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_51_20 = mesh_51.vertices.elementAt(20);
      expect(vertex_51_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_51_21 = mesh_51.vertices.elementAt(21);
      expect(vertex_51_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_51_22 = mesh_51.vertices.elementAt(22);
      expect(vertex_51_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_51_23 = mesh_51.vertices.elementAt(23);
      expect(vertex_51_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_51.normals.length, equals(24));
      final normal_51_0 = mesh_51.normals.elementAt(0);
      expect(normal_51_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_51_1 = mesh_51.normals.elementAt(1);
      expect(normal_51_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_51_2 = mesh_51.normals.elementAt(2);
      expect(normal_51_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_51_3 = mesh_51.normals.elementAt(3);
      expect(normal_51_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_51_4 = mesh_51.normals.elementAt(4);
      expect(normal_51_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_51_5 = mesh_51.normals.elementAt(5);
      expect(normal_51_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_51_6 = mesh_51.normals.elementAt(6);
      expect(normal_51_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_51_7 = mesh_51.normals.elementAt(7);
      expect(normal_51_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_51_8 = mesh_51.normals.elementAt(8);
      expect(normal_51_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_51_9 = mesh_51.normals.elementAt(9);
      expect(normal_51_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_51_10 = mesh_51.normals.elementAt(10);
      expect(normal_51_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_51_11 = mesh_51.normals.elementAt(11);
      expect(normal_51_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_51_12 = mesh_51.normals.elementAt(12);
      expect(normal_51_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_51_13 = mesh_51.normals.elementAt(13);
      expect(normal_51_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_51_14 = mesh_51.normals.elementAt(14);
      expect(normal_51_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_51_15 = mesh_51.normals.elementAt(15);
      expect(normal_51_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_51_16 = mesh_51.normals.elementAt(16);
      expect(normal_51_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_51_17 = mesh_51.normals.elementAt(17);
      expect(normal_51_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_51_18 = mesh_51.normals.elementAt(18);
      expect(normal_51_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_51_19 = mesh_51.normals.elementAt(19);
      expect(normal_51_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_51_20 = mesh_51.normals.elementAt(20);
      expect(normal_51_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_51_21 = mesh_51.normals.elementAt(21);
      expect(normal_51_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_51_22 = mesh_51.normals.elementAt(22);
      expect(normal_51_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_51_23 = mesh_51.normals.elementAt(23);
      expect(normal_51_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_51.tangents.length, isZero);
      expect(mesh_51.bitangents.length, isZero);
      expect(mesh_51.colors.length, isZero);
      expect(mesh_51.textureCoords.length, equals(1));
      final textureCoords_51_0 = mesh_51.textureCoords.elementAt(0);
      expect(textureCoords_51_0.length, equals(24));
      final textureCoord_51_0_0 = textureCoords_51_0.elementAt(0);
      expect(textureCoord_51_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_1 = textureCoords_51_0.elementAt(1);
      expect(textureCoord_51_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_2 = textureCoords_51_0.elementAt(2);
      expect(textureCoord_51_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_51_0_3 = textureCoords_51_0.elementAt(3);
      expect(textureCoord_51_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_4 = textureCoords_51_0.elementAt(4);
      expect(textureCoord_51_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_5 = textureCoords_51_0.elementAt(5);
      expect(textureCoord_51_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_6 = textureCoords_51_0.elementAt(6);
      expect(textureCoord_51_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_7 = textureCoords_51_0.elementAt(7);
      expect(textureCoord_51_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_51_0_8 = textureCoords_51_0.elementAt(8);
      expect(textureCoord_51_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_9 = textureCoords_51_0.elementAt(9);
      expect(textureCoord_51_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_10 = textureCoords_51_0.elementAt(10);
      expect(textureCoord_51_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_11 = textureCoords_51_0.elementAt(11);
      expect(textureCoord_51_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_51_0_12 = textureCoords_51_0.elementAt(12);
      expect(textureCoord_51_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_13 = textureCoords_51_0.elementAt(13);
      expect(textureCoord_51_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_14 = textureCoords_51_0.elementAt(14);
      expect(textureCoord_51_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_15 = textureCoords_51_0.elementAt(15);
      expect(textureCoord_51_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_51_0_16 = textureCoords_51_0.elementAt(16);
      expect(textureCoord_51_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_17 = textureCoords_51_0.elementAt(17);
      expect(textureCoord_51_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_18 = textureCoords_51_0.elementAt(18);
      expect(textureCoord_51_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_19 = textureCoords_51_0.elementAt(19);
      expect(textureCoord_51_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_51_0_20 = textureCoords_51_0.elementAt(20);
      expect(textureCoord_51_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_51_0_21 = textureCoords_51_0.elementAt(21);
      expect(textureCoord_51_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_51_0_22 = textureCoords_51_0.elementAt(22);
      expect(textureCoord_51_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_51_0_23 = textureCoords_51_0.elementAt(23);
      expect(textureCoord_51_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_51.uvComponents.length, equals(1));
      expect(mesh_51.uvComponents, equals([2]));
      expect(mesh_51.faces.length, equals(6));
      expect(mesh_51.bones.length, isZero);
      expect(mesh_51.materialIndex, isZero);
      expect(mesh_51.name, equals('Box052Mesh'));
      expect(mesh_51.animMeshes.length, isZero);
      expect(mesh_51.morphingMethod, isZero);
      expect(mesh_51.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_52 = meshes.elementAt(52);
      expect(mesh_52.primitiveTypes, equals(8));
      expect(mesh_52.vertices.length, equals(24));
      final vertex_52_0 = mesh_52.vertices.elementAt(0);
      expect(vertex_52_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_52_1 = mesh_52.vertices.elementAt(1);
      expect(vertex_52_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_52_2 = mesh_52.vertices.elementAt(2);
      expect(vertex_52_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_52_3 = mesh_52.vertices.elementAt(3);
      expect(vertex_52_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_52_4 = mesh_52.vertices.elementAt(4);
      expect(vertex_52_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_52_5 = mesh_52.vertices.elementAt(5);
      expect(vertex_52_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_52_6 = mesh_52.vertices.elementAt(6);
      expect(vertex_52_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_52_7 = mesh_52.vertices.elementAt(7);
      expect(vertex_52_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_52_8 = mesh_52.vertices.elementAt(8);
      expect(vertex_52_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_52_9 = mesh_52.vertices.elementAt(9);
      expect(vertex_52_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_52_10 = mesh_52.vertices.elementAt(10);
      expect(vertex_52_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_52_11 = mesh_52.vertices.elementAt(11);
      expect(vertex_52_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_52_12 = mesh_52.vertices.elementAt(12);
      expect(vertex_52_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_52_13 = mesh_52.vertices.elementAt(13);
      expect(vertex_52_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_52_14 = mesh_52.vertices.elementAt(14);
      expect(vertex_52_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_52_15 = mesh_52.vertices.elementAt(15);
      expect(vertex_52_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_52_16 = mesh_52.vertices.elementAt(16);
      expect(vertex_52_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_52_17 = mesh_52.vertices.elementAt(17);
      expect(vertex_52_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_52_18 = mesh_52.vertices.elementAt(18);
      expect(vertex_52_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_52_19 = mesh_52.vertices.elementAt(19);
      expect(vertex_52_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_52_20 = mesh_52.vertices.elementAt(20);
      expect(vertex_52_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_52_21 = mesh_52.vertices.elementAt(21);
      expect(vertex_52_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_52_22 = mesh_52.vertices.elementAt(22);
      expect(vertex_52_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_52_23 = mesh_52.vertices.elementAt(23);
      expect(vertex_52_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_52.normals.length, equals(24));
      final normal_52_0 = mesh_52.normals.elementAt(0);
      expect(normal_52_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_52_1 = mesh_52.normals.elementAt(1);
      expect(normal_52_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_52_2 = mesh_52.normals.elementAt(2);
      expect(normal_52_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_52_3 = mesh_52.normals.elementAt(3);
      expect(normal_52_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_52_4 = mesh_52.normals.elementAt(4);
      expect(normal_52_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_52_5 = mesh_52.normals.elementAt(5);
      expect(normal_52_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_52_6 = mesh_52.normals.elementAt(6);
      expect(normal_52_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_52_7 = mesh_52.normals.elementAt(7);
      expect(normal_52_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_52_8 = mesh_52.normals.elementAt(8);
      expect(normal_52_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_52_9 = mesh_52.normals.elementAt(9);
      expect(normal_52_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_52_10 = mesh_52.normals.elementAt(10);
      expect(normal_52_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_52_11 = mesh_52.normals.elementAt(11);
      expect(normal_52_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_52_12 = mesh_52.normals.elementAt(12);
      expect(normal_52_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_52_13 = mesh_52.normals.elementAt(13);
      expect(normal_52_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_52_14 = mesh_52.normals.elementAt(14);
      expect(normal_52_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_52_15 = mesh_52.normals.elementAt(15);
      expect(normal_52_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_52_16 = mesh_52.normals.elementAt(16);
      expect(normal_52_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_52_17 = mesh_52.normals.elementAt(17);
      expect(normal_52_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_52_18 = mesh_52.normals.elementAt(18);
      expect(normal_52_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_52_19 = mesh_52.normals.elementAt(19);
      expect(normal_52_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_52_20 = mesh_52.normals.elementAt(20);
      expect(normal_52_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_52_21 = mesh_52.normals.elementAt(21);
      expect(normal_52_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_52_22 = mesh_52.normals.elementAt(22);
      expect(normal_52_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_52_23 = mesh_52.normals.elementAt(23);
      expect(normal_52_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_52.tangents.length, isZero);
      expect(mesh_52.bitangents.length, isZero);
      expect(mesh_52.colors.length, isZero);
      expect(mesh_52.textureCoords.length, equals(1));
      final textureCoords_52_0 = mesh_52.textureCoords.elementAt(0);
      expect(textureCoords_52_0.length, equals(24));
      final textureCoord_52_0_0 = textureCoords_52_0.elementAt(0);
      expect(textureCoord_52_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_1 = textureCoords_52_0.elementAt(1);
      expect(textureCoord_52_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_2 = textureCoords_52_0.elementAt(2);
      expect(textureCoord_52_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_52_0_3 = textureCoords_52_0.elementAt(3);
      expect(textureCoord_52_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_4 = textureCoords_52_0.elementAt(4);
      expect(textureCoord_52_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_5 = textureCoords_52_0.elementAt(5);
      expect(textureCoord_52_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_6 = textureCoords_52_0.elementAt(6);
      expect(textureCoord_52_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_7 = textureCoords_52_0.elementAt(7);
      expect(textureCoord_52_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_52_0_8 = textureCoords_52_0.elementAt(8);
      expect(textureCoord_52_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_9 = textureCoords_52_0.elementAt(9);
      expect(textureCoord_52_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_10 = textureCoords_52_0.elementAt(10);
      expect(textureCoord_52_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_11 = textureCoords_52_0.elementAt(11);
      expect(textureCoord_52_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_52_0_12 = textureCoords_52_0.elementAt(12);
      expect(textureCoord_52_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_13 = textureCoords_52_0.elementAt(13);
      expect(textureCoord_52_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_14 = textureCoords_52_0.elementAt(14);
      expect(textureCoord_52_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_15 = textureCoords_52_0.elementAt(15);
      expect(textureCoord_52_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_52_0_16 = textureCoords_52_0.elementAt(16);
      expect(textureCoord_52_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_17 = textureCoords_52_0.elementAt(17);
      expect(textureCoord_52_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_18 = textureCoords_52_0.elementAt(18);
      expect(textureCoord_52_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_19 = textureCoords_52_0.elementAt(19);
      expect(textureCoord_52_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_52_0_20 = textureCoords_52_0.elementAt(20);
      expect(textureCoord_52_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_52_0_21 = textureCoords_52_0.elementAt(21);
      expect(textureCoord_52_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_52_0_22 = textureCoords_52_0.elementAt(22);
      expect(textureCoord_52_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_52_0_23 = textureCoords_52_0.elementAt(23);
      expect(textureCoord_52_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_52.uvComponents.length, equals(1));
      expect(mesh_52.uvComponents, equals([2]));
      expect(mesh_52.faces.length, equals(6));
      expect(mesh_52.bones.length, isZero);
      expect(mesh_52.materialIndex, isZero);
      expect(mesh_52.name, equals('Box053Mesh'));
      expect(mesh_52.animMeshes.length, isZero);
      expect(mesh_52.morphingMethod, isZero);
      expect(mesh_52.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_53 = meshes.elementAt(53);
      expect(mesh_53.primitiveTypes, equals(8));
      expect(mesh_53.vertices.length, equals(24));
      final vertex_53_0 = mesh_53.vertices.elementAt(0);
      expect(vertex_53_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_53_1 = mesh_53.vertices.elementAt(1);
      expect(vertex_53_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_53_2 = mesh_53.vertices.elementAt(2);
      expect(vertex_53_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_53_3 = mesh_53.vertices.elementAt(3);
      expect(vertex_53_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_53_4 = mesh_53.vertices.elementAt(4);
      expect(vertex_53_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_53_5 = mesh_53.vertices.elementAt(5);
      expect(vertex_53_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_53_6 = mesh_53.vertices.elementAt(6);
      expect(vertex_53_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_53_7 = mesh_53.vertices.elementAt(7);
      expect(vertex_53_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_53_8 = mesh_53.vertices.elementAt(8);
      expect(vertex_53_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_53_9 = mesh_53.vertices.elementAt(9);
      expect(vertex_53_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_53_10 = mesh_53.vertices.elementAt(10);
      expect(vertex_53_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_53_11 = mesh_53.vertices.elementAt(11);
      expect(vertex_53_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_53_12 = mesh_53.vertices.elementAt(12);
      expect(vertex_53_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_53_13 = mesh_53.vertices.elementAt(13);
      expect(vertex_53_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_53_14 = mesh_53.vertices.elementAt(14);
      expect(vertex_53_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_53_15 = mesh_53.vertices.elementAt(15);
      expect(vertex_53_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_53_16 = mesh_53.vertices.elementAt(16);
      expect(vertex_53_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_53_17 = mesh_53.vertices.elementAt(17);
      expect(vertex_53_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_53_18 = mesh_53.vertices.elementAt(18);
      expect(vertex_53_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_53_19 = mesh_53.vertices.elementAt(19);
      expect(vertex_53_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_53_20 = mesh_53.vertices.elementAt(20);
      expect(vertex_53_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_53_21 = mesh_53.vertices.elementAt(21);
      expect(vertex_53_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_53_22 = mesh_53.vertices.elementAt(22);
      expect(vertex_53_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_53_23 = mesh_53.vertices.elementAt(23);
      expect(vertex_53_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_53.normals.length, equals(24));
      final normal_53_0 = mesh_53.normals.elementAt(0);
      expect(normal_53_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_53_1 = mesh_53.normals.elementAt(1);
      expect(normal_53_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_53_2 = mesh_53.normals.elementAt(2);
      expect(normal_53_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_53_3 = mesh_53.normals.elementAt(3);
      expect(normal_53_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_53_4 = mesh_53.normals.elementAt(4);
      expect(normal_53_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_53_5 = mesh_53.normals.elementAt(5);
      expect(normal_53_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_53_6 = mesh_53.normals.elementAt(6);
      expect(normal_53_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_53_7 = mesh_53.normals.elementAt(7);
      expect(normal_53_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_53_8 = mesh_53.normals.elementAt(8);
      expect(normal_53_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_53_9 = mesh_53.normals.elementAt(9);
      expect(normal_53_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_53_10 = mesh_53.normals.elementAt(10);
      expect(normal_53_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_53_11 = mesh_53.normals.elementAt(11);
      expect(normal_53_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_53_12 = mesh_53.normals.elementAt(12);
      expect(normal_53_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_53_13 = mesh_53.normals.elementAt(13);
      expect(normal_53_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_53_14 = mesh_53.normals.elementAt(14);
      expect(normal_53_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_53_15 = mesh_53.normals.elementAt(15);
      expect(normal_53_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_53_16 = mesh_53.normals.elementAt(16);
      expect(normal_53_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_53_17 = mesh_53.normals.elementAt(17);
      expect(normal_53_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_53_18 = mesh_53.normals.elementAt(18);
      expect(normal_53_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_53_19 = mesh_53.normals.elementAt(19);
      expect(normal_53_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_53_20 = mesh_53.normals.elementAt(20);
      expect(normal_53_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_53_21 = mesh_53.normals.elementAt(21);
      expect(normal_53_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_53_22 = mesh_53.normals.elementAt(22);
      expect(normal_53_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_53_23 = mesh_53.normals.elementAt(23);
      expect(normal_53_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_53.tangents.length, isZero);
      expect(mesh_53.bitangents.length, isZero);
      expect(mesh_53.colors.length, isZero);
      expect(mesh_53.textureCoords.length, equals(1));
      final textureCoords_53_0 = mesh_53.textureCoords.elementAt(0);
      expect(textureCoords_53_0.length, equals(24));
      final textureCoord_53_0_0 = textureCoords_53_0.elementAt(0);
      expect(textureCoord_53_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_1 = textureCoords_53_0.elementAt(1);
      expect(textureCoord_53_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_2 = textureCoords_53_0.elementAt(2);
      expect(textureCoord_53_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_53_0_3 = textureCoords_53_0.elementAt(3);
      expect(textureCoord_53_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_4 = textureCoords_53_0.elementAt(4);
      expect(textureCoord_53_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_5 = textureCoords_53_0.elementAt(5);
      expect(textureCoord_53_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_6 = textureCoords_53_0.elementAt(6);
      expect(textureCoord_53_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_7 = textureCoords_53_0.elementAt(7);
      expect(textureCoord_53_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_53_0_8 = textureCoords_53_0.elementAt(8);
      expect(textureCoord_53_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_9 = textureCoords_53_0.elementAt(9);
      expect(textureCoord_53_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_10 = textureCoords_53_0.elementAt(10);
      expect(textureCoord_53_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_11 = textureCoords_53_0.elementAt(11);
      expect(textureCoord_53_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_53_0_12 = textureCoords_53_0.elementAt(12);
      expect(textureCoord_53_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_13 = textureCoords_53_0.elementAt(13);
      expect(textureCoord_53_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_14 = textureCoords_53_0.elementAt(14);
      expect(textureCoord_53_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_15 = textureCoords_53_0.elementAt(15);
      expect(textureCoord_53_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_53_0_16 = textureCoords_53_0.elementAt(16);
      expect(textureCoord_53_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_17 = textureCoords_53_0.elementAt(17);
      expect(textureCoord_53_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_18 = textureCoords_53_0.elementAt(18);
      expect(textureCoord_53_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_19 = textureCoords_53_0.elementAt(19);
      expect(textureCoord_53_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_53_0_20 = textureCoords_53_0.elementAt(20);
      expect(textureCoord_53_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_53_0_21 = textureCoords_53_0.elementAt(21);
      expect(textureCoord_53_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_53_0_22 = textureCoords_53_0.elementAt(22);
      expect(textureCoord_53_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_53_0_23 = textureCoords_53_0.elementAt(23);
      expect(textureCoord_53_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_53.uvComponents.length, equals(1));
      expect(mesh_53.uvComponents, equals([2]));
      expect(mesh_53.faces.length, equals(6));
      expect(mesh_53.bones.length, isZero);
      expect(mesh_53.materialIndex, isZero);
      expect(mesh_53.name, equals('Box054Mesh'));
      expect(mesh_53.animMeshes.length, isZero);
      expect(mesh_53.morphingMethod, isZero);
      expect(mesh_53.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_54 = meshes.elementAt(54);
      expect(mesh_54.primitiveTypes, equals(8));
      expect(mesh_54.vertices.length, equals(24));
      final vertex_54_0 = mesh_54.vertices.elementAt(0);
      expect(vertex_54_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_54_1 = mesh_54.vertices.elementAt(1);
      expect(vertex_54_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_54_2 = mesh_54.vertices.elementAt(2);
      expect(vertex_54_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_54_3 = mesh_54.vertices.elementAt(3);
      expect(vertex_54_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_54_4 = mesh_54.vertices.elementAt(4);
      expect(vertex_54_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_54_5 = mesh_54.vertices.elementAt(5);
      expect(vertex_54_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_54_6 = mesh_54.vertices.elementAt(6);
      expect(vertex_54_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_54_7 = mesh_54.vertices.elementAt(7);
      expect(vertex_54_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_54_8 = mesh_54.vertices.elementAt(8);
      expect(vertex_54_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_54_9 = mesh_54.vertices.elementAt(9);
      expect(vertex_54_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_54_10 = mesh_54.vertices.elementAt(10);
      expect(vertex_54_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_54_11 = mesh_54.vertices.elementAt(11);
      expect(vertex_54_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_54_12 = mesh_54.vertices.elementAt(12);
      expect(vertex_54_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_54_13 = mesh_54.vertices.elementAt(13);
      expect(vertex_54_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_54_14 = mesh_54.vertices.elementAt(14);
      expect(vertex_54_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_54_15 = mesh_54.vertices.elementAt(15);
      expect(vertex_54_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_54_16 = mesh_54.vertices.elementAt(16);
      expect(vertex_54_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_54_17 = mesh_54.vertices.elementAt(17);
      expect(vertex_54_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_54_18 = mesh_54.vertices.elementAt(18);
      expect(vertex_54_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_54_19 = mesh_54.vertices.elementAt(19);
      expect(vertex_54_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_54_20 = mesh_54.vertices.elementAt(20);
      expect(vertex_54_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_54_21 = mesh_54.vertices.elementAt(21);
      expect(vertex_54_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_54_22 = mesh_54.vertices.elementAt(22);
      expect(vertex_54_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_54_23 = mesh_54.vertices.elementAt(23);
      expect(vertex_54_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_54.normals.length, equals(24));
      final normal_54_0 = mesh_54.normals.elementAt(0);
      expect(normal_54_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_54_1 = mesh_54.normals.elementAt(1);
      expect(normal_54_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_54_2 = mesh_54.normals.elementAt(2);
      expect(normal_54_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_54_3 = mesh_54.normals.elementAt(3);
      expect(normal_54_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_54_4 = mesh_54.normals.elementAt(4);
      expect(normal_54_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_54_5 = mesh_54.normals.elementAt(5);
      expect(normal_54_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_54_6 = mesh_54.normals.elementAt(6);
      expect(normal_54_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_54_7 = mesh_54.normals.elementAt(7);
      expect(normal_54_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_54_8 = mesh_54.normals.elementAt(8);
      expect(normal_54_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_54_9 = mesh_54.normals.elementAt(9);
      expect(normal_54_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_54_10 = mesh_54.normals.elementAt(10);
      expect(normal_54_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_54_11 = mesh_54.normals.elementAt(11);
      expect(normal_54_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_54_12 = mesh_54.normals.elementAt(12);
      expect(normal_54_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_54_13 = mesh_54.normals.elementAt(13);
      expect(normal_54_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_54_14 = mesh_54.normals.elementAt(14);
      expect(normal_54_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_54_15 = mesh_54.normals.elementAt(15);
      expect(normal_54_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_54_16 = mesh_54.normals.elementAt(16);
      expect(normal_54_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_54_17 = mesh_54.normals.elementAt(17);
      expect(normal_54_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_54_18 = mesh_54.normals.elementAt(18);
      expect(normal_54_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_54_19 = mesh_54.normals.elementAt(19);
      expect(normal_54_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_54_20 = mesh_54.normals.elementAt(20);
      expect(normal_54_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_54_21 = mesh_54.normals.elementAt(21);
      expect(normal_54_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_54_22 = mesh_54.normals.elementAt(22);
      expect(normal_54_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_54_23 = mesh_54.normals.elementAt(23);
      expect(normal_54_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_54.tangents.length, isZero);
      expect(mesh_54.bitangents.length, isZero);
      expect(mesh_54.colors.length, isZero);
      expect(mesh_54.textureCoords.length, equals(1));
      final textureCoords_54_0 = mesh_54.textureCoords.elementAt(0);
      expect(textureCoords_54_0.length, equals(24));
      final textureCoord_54_0_0 = textureCoords_54_0.elementAt(0);
      expect(textureCoord_54_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_1 = textureCoords_54_0.elementAt(1);
      expect(textureCoord_54_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_2 = textureCoords_54_0.elementAt(2);
      expect(textureCoord_54_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_54_0_3 = textureCoords_54_0.elementAt(3);
      expect(textureCoord_54_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_4 = textureCoords_54_0.elementAt(4);
      expect(textureCoord_54_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_5 = textureCoords_54_0.elementAt(5);
      expect(textureCoord_54_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_6 = textureCoords_54_0.elementAt(6);
      expect(textureCoord_54_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_7 = textureCoords_54_0.elementAt(7);
      expect(textureCoord_54_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_54_0_8 = textureCoords_54_0.elementAt(8);
      expect(textureCoord_54_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_9 = textureCoords_54_0.elementAt(9);
      expect(textureCoord_54_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_10 = textureCoords_54_0.elementAt(10);
      expect(textureCoord_54_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_11 = textureCoords_54_0.elementAt(11);
      expect(textureCoord_54_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_54_0_12 = textureCoords_54_0.elementAt(12);
      expect(textureCoord_54_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_13 = textureCoords_54_0.elementAt(13);
      expect(textureCoord_54_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_14 = textureCoords_54_0.elementAt(14);
      expect(textureCoord_54_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_15 = textureCoords_54_0.elementAt(15);
      expect(textureCoord_54_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_54_0_16 = textureCoords_54_0.elementAt(16);
      expect(textureCoord_54_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_17 = textureCoords_54_0.elementAt(17);
      expect(textureCoord_54_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_18 = textureCoords_54_0.elementAt(18);
      expect(textureCoord_54_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_19 = textureCoords_54_0.elementAt(19);
      expect(textureCoord_54_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_54_0_20 = textureCoords_54_0.elementAt(20);
      expect(textureCoord_54_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_54_0_21 = textureCoords_54_0.elementAt(21);
      expect(textureCoord_54_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_54_0_22 = textureCoords_54_0.elementAt(22);
      expect(textureCoord_54_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_54_0_23 = textureCoords_54_0.elementAt(23);
      expect(textureCoord_54_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_54.uvComponents.length, equals(1));
      expect(mesh_54.uvComponents, equals([2]));
      expect(mesh_54.faces.length, equals(6));
      expect(mesh_54.bones.length, isZero);
      expect(mesh_54.materialIndex, isZero);
      expect(mesh_54.name, equals('Box055Mesh'));
      expect(mesh_54.animMeshes.length, isZero);
      expect(mesh_54.morphingMethod, isZero);
      expect(mesh_54.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_55 = meshes.elementAt(55);
      expect(mesh_55.primitiveTypes, equals(8));
      expect(mesh_55.vertices.length, equals(24));
      final vertex_55_0 = mesh_55.vertices.elementAt(0);
      expect(vertex_55_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_55_1 = mesh_55.vertices.elementAt(1);
      expect(vertex_55_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_55_2 = mesh_55.vertices.elementAt(2);
      expect(vertex_55_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_55_3 = mesh_55.vertices.elementAt(3);
      expect(vertex_55_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_55_4 = mesh_55.vertices.elementAt(4);
      expect(vertex_55_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_55_5 = mesh_55.vertices.elementAt(5);
      expect(vertex_55_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_55_6 = mesh_55.vertices.elementAt(6);
      expect(vertex_55_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_55_7 = mesh_55.vertices.elementAt(7);
      expect(vertex_55_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_55_8 = mesh_55.vertices.elementAt(8);
      expect(vertex_55_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_55_9 = mesh_55.vertices.elementAt(9);
      expect(vertex_55_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_55_10 = mesh_55.vertices.elementAt(10);
      expect(vertex_55_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_55_11 = mesh_55.vertices.elementAt(11);
      expect(vertex_55_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_55_12 = mesh_55.vertices.elementAt(12);
      expect(vertex_55_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_55_13 = mesh_55.vertices.elementAt(13);
      expect(vertex_55_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_55_14 = mesh_55.vertices.elementAt(14);
      expect(vertex_55_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_55_15 = mesh_55.vertices.elementAt(15);
      expect(vertex_55_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_55_16 = mesh_55.vertices.elementAt(16);
      expect(vertex_55_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_55_17 = mesh_55.vertices.elementAt(17);
      expect(vertex_55_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_55_18 = mesh_55.vertices.elementAt(18);
      expect(vertex_55_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_55_19 = mesh_55.vertices.elementAt(19);
      expect(vertex_55_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_55_20 = mesh_55.vertices.elementAt(20);
      expect(vertex_55_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_55_21 = mesh_55.vertices.elementAt(21);
      expect(vertex_55_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_55_22 = mesh_55.vertices.elementAt(22);
      expect(vertex_55_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_55_23 = mesh_55.vertices.elementAt(23);
      expect(vertex_55_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_55.normals.length, equals(24));
      final normal_55_0 = mesh_55.normals.elementAt(0);
      expect(normal_55_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_55_1 = mesh_55.normals.elementAt(1);
      expect(normal_55_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_55_2 = mesh_55.normals.elementAt(2);
      expect(normal_55_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_55_3 = mesh_55.normals.elementAt(3);
      expect(normal_55_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_55_4 = mesh_55.normals.elementAt(4);
      expect(normal_55_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_55_5 = mesh_55.normals.elementAt(5);
      expect(normal_55_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_55_6 = mesh_55.normals.elementAt(6);
      expect(normal_55_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_55_7 = mesh_55.normals.elementAt(7);
      expect(normal_55_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_55_8 = mesh_55.normals.elementAt(8);
      expect(normal_55_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_55_9 = mesh_55.normals.elementAt(9);
      expect(normal_55_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_55_10 = mesh_55.normals.elementAt(10);
      expect(normal_55_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_55_11 = mesh_55.normals.elementAt(11);
      expect(normal_55_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_55_12 = mesh_55.normals.elementAt(12);
      expect(normal_55_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_55_13 = mesh_55.normals.elementAt(13);
      expect(normal_55_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_55_14 = mesh_55.normals.elementAt(14);
      expect(normal_55_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_55_15 = mesh_55.normals.elementAt(15);
      expect(normal_55_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_55_16 = mesh_55.normals.elementAt(16);
      expect(normal_55_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_55_17 = mesh_55.normals.elementAt(17);
      expect(normal_55_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_55_18 = mesh_55.normals.elementAt(18);
      expect(normal_55_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_55_19 = mesh_55.normals.elementAt(19);
      expect(normal_55_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_55_20 = mesh_55.normals.elementAt(20);
      expect(normal_55_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_55_21 = mesh_55.normals.elementAt(21);
      expect(normal_55_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_55_22 = mesh_55.normals.elementAt(22);
      expect(normal_55_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_55_23 = mesh_55.normals.elementAt(23);
      expect(normal_55_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_55.tangents.length, isZero);
      expect(mesh_55.bitangents.length, isZero);
      expect(mesh_55.colors.length, isZero);
      expect(mesh_55.textureCoords.length, equals(1));
      final textureCoords_55_0 = mesh_55.textureCoords.elementAt(0);
      expect(textureCoords_55_0.length, equals(24));
      final textureCoord_55_0_0 = textureCoords_55_0.elementAt(0);
      expect(textureCoord_55_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_1 = textureCoords_55_0.elementAt(1);
      expect(textureCoord_55_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_2 = textureCoords_55_0.elementAt(2);
      expect(textureCoord_55_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_55_0_3 = textureCoords_55_0.elementAt(3);
      expect(textureCoord_55_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_4 = textureCoords_55_0.elementAt(4);
      expect(textureCoord_55_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_5 = textureCoords_55_0.elementAt(5);
      expect(textureCoord_55_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_6 = textureCoords_55_0.elementAt(6);
      expect(textureCoord_55_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_7 = textureCoords_55_0.elementAt(7);
      expect(textureCoord_55_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_55_0_8 = textureCoords_55_0.elementAt(8);
      expect(textureCoord_55_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_9 = textureCoords_55_0.elementAt(9);
      expect(textureCoord_55_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_10 = textureCoords_55_0.elementAt(10);
      expect(textureCoord_55_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_11 = textureCoords_55_0.elementAt(11);
      expect(textureCoord_55_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_55_0_12 = textureCoords_55_0.elementAt(12);
      expect(textureCoord_55_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_13 = textureCoords_55_0.elementAt(13);
      expect(textureCoord_55_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_14 = textureCoords_55_0.elementAt(14);
      expect(textureCoord_55_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_15 = textureCoords_55_0.elementAt(15);
      expect(textureCoord_55_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_55_0_16 = textureCoords_55_0.elementAt(16);
      expect(textureCoord_55_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_17 = textureCoords_55_0.elementAt(17);
      expect(textureCoord_55_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_18 = textureCoords_55_0.elementAt(18);
      expect(textureCoord_55_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_19 = textureCoords_55_0.elementAt(19);
      expect(textureCoord_55_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_55_0_20 = textureCoords_55_0.elementAt(20);
      expect(textureCoord_55_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_55_0_21 = textureCoords_55_0.elementAt(21);
      expect(textureCoord_55_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_55_0_22 = textureCoords_55_0.elementAt(22);
      expect(textureCoord_55_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_55_0_23 = textureCoords_55_0.elementAt(23);
      expect(textureCoord_55_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_55.uvComponents.length, equals(1));
      expect(mesh_55.uvComponents, equals([2]));
      expect(mesh_55.faces.length, equals(6));
      expect(mesh_55.bones.length, isZero);
      expect(mesh_55.materialIndex, isZero);
      expect(mesh_55.name, equals('Box056Mesh'));
      expect(mesh_55.animMeshes.length, isZero);
      expect(mesh_55.morphingMethod, isZero);
      expect(mesh_55.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_56 = meshes.elementAt(56);
      expect(mesh_56.primitiveTypes, equals(8));
      expect(mesh_56.vertices.length, equals(24));
      final vertex_56_0 = mesh_56.vertices.elementAt(0);
      expect(vertex_56_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_56_1 = mesh_56.vertices.elementAt(1);
      expect(vertex_56_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_56_2 = mesh_56.vertices.elementAt(2);
      expect(vertex_56_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_56_3 = mesh_56.vertices.elementAt(3);
      expect(vertex_56_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_56_4 = mesh_56.vertices.elementAt(4);
      expect(vertex_56_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_56_5 = mesh_56.vertices.elementAt(5);
      expect(vertex_56_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_56_6 = mesh_56.vertices.elementAt(6);
      expect(vertex_56_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_56_7 = mesh_56.vertices.elementAt(7);
      expect(vertex_56_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_56_8 = mesh_56.vertices.elementAt(8);
      expect(vertex_56_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_56_9 = mesh_56.vertices.elementAt(9);
      expect(vertex_56_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_56_10 = mesh_56.vertices.elementAt(10);
      expect(vertex_56_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_56_11 = mesh_56.vertices.elementAt(11);
      expect(vertex_56_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_56_12 = mesh_56.vertices.elementAt(12);
      expect(vertex_56_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_56_13 = mesh_56.vertices.elementAt(13);
      expect(vertex_56_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_56_14 = mesh_56.vertices.elementAt(14);
      expect(vertex_56_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_56_15 = mesh_56.vertices.elementAt(15);
      expect(vertex_56_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_56_16 = mesh_56.vertices.elementAt(16);
      expect(vertex_56_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_56_17 = mesh_56.vertices.elementAt(17);
      expect(vertex_56_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_56_18 = mesh_56.vertices.elementAt(18);
      expect(vertex_56_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_56_19 = mesh_56.vertices.elementAt(19);
      expect(vertex_56_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_56_20 = mesh_56.vertices.elementAt(20);
      expect(vertex_56_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_56_21 = mesh_56.vertices.elementAt(21);
      expect(vertex_56_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_56_22 = mesh_56.vertices.elementAt(22);
      expect(vertex_56_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_56_23 = mesh_56.vertices.elementAt(23);
      expect(vertex_56_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_56.normals.length, equals(24));
      final normal_56_0 = mesh_56.normals.elementAt(0);
      expect(normal_56_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_56_1 = mesh_56.normals.elementAt(1);
      expect(normal_56_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_56_2 = mesh_56.normals.elementAt(2);
      expect(normal_56_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_56_3 = mesh_56.normals.elementAt(3);
      expect(normal_56_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_56_4 = mesh_56.normals.elementAt(4);
      expect(normal_56_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_56_5 = mesh_56.normals.elementAt(5);
      expect(normal_56_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_56_6 = mesh_56.normals.elementAt(6);
      expect(normal_56_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_56_7 = mesh_56.normals.elementAt(7);
      expect(normal_56_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_56_8 = mesh_56.normals.elementAt(8);
      expect(normal_56_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_56_9 = mesh_56.normals.elementAt(9);
      expect(normal_56_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_56_10 = mesh_56.normals.elementAt(10);
      expect(normal_56_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_56_11 = mesh_56.normals.elementAt(11);
      expect(normal_56_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_56_12 = mesh_56.normals.elementAt(12);
      expect(normal_56_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_56_13 = mesh_56.normals.elementAt(13);
      expect(normal_56_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_56_14 = mesh_56.normals.elementAt(14);
      expect(normal_56_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_56_15 = mesh_56.normals.elementAt(15);
      expect(normal_56_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_56_16 = mesh_56.normals.elementAt(16);
      expect(normal_56_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_56_17 = mesh_56.normals.elementAt(17);
      expect(normal_56_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_56_18 = mesh_56.normals.elementAt(18);
      expect(normal_56_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_56_19 = mesh_56.normals.elementAt(19);
      expect(normal_56_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_56_20 = mesh_56.normals.elementAt(20);
      expect(normal_56_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_56_21 = mesh_56.normals.elementAt(21);
      expect(normal_56_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_56_22 = mesh_56.normals.elementAt(22);
      expect(normal_56_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_56_23 = mesh_56.normals.elementAt(23);
      expect(normal_56_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_56.tangents.length, isZero);
      expect(mesh_56.bitangents.length, isZero);
      expect(mesh_56.colors.length, isZero);
      expect(mesh_56.textureCoords.length, equals(1));
      final textureCoords_56_0 = mesh_56.textureCoords.elementAt(0);
      expect(textureCoords_56_0.length, equals(24));
      final textureCoord_56_0_0 = textureCoords_56_0.elementAt(0);
      expect(textureCoord_56_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_1 = textureCoords_56_0.elementAt(1);
      expect(textureCoord_56_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_2 = textureCoords_56_0.elementAt(2);
      expect(textureCoord_56_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_56_0_3 = textureCoords_56_0.elementAt(3);
      expect(textureCoord_56_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_4 = textureCoords_56_0.elementAt(4);
      expect(textureCoord_56_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_5 = textureCoords_56_0.elementAt(5);
      expect(textureCoord_56_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_6 = textureCoords_56_0.elementAt(6);
      expect(textureCoord_56_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_7 = textureCoords_56_0.elementAt(7);
      expect(textureCoord_56_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_56_0_8 = textureCoords_56_0.elementAt(8);
      expect(textureCoord_56_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_9 = textureCoords_56_0.elementAt(9);
      expect(textureCoord_56_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_10 = textureCoords_56_0.elementAt(10);
      expect(textureCoord_56_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_11 = textureCoords_56_0.elementAt(11);
      expect(textureCoord_56_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_56_0_12 = textureCoords_56_0.elementAt(12);
      expect(textureCoord_56_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_13 = textureCoords_56_0.elementAt(13);
      expect(textureCoord_56_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_14 = textureCoords_56_0.elementAt(14);
      expect(textureCoord_56_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_15 = textureCoords_56_0.elementAt(15);
      expect(textureCoord_56_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_56_0_16 = textureCoords_56_0.elementAt(16);
      expect(textureCoord_56_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_17 = textureCoords_56_0.elementAt(17);
      expect(textureCoord_56_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_18 = textureCoords_56_0.elementAt(18);
      expect(textureCoord_56_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_19 = textureCoords_56_0.elementAt(19);
      expect(textureCoord_56_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_56_0_20 = textureCoords_56_0.elementAt(20);
      expect(textureCoord_56_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_56_0_21 = textureCoords_56_0.elementAt(21);
      expect(textureCoord_56_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_56_0_22 = textureCoords_56_0.elementAt(22);
      expect(textureCoord_56_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_56_0_23 = textureCoords_56_0.elementAt(23);
      expect(textureCoord_56_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_56.uvComponents.length, equals(1));
      expect(mesh_56.uvComponents, equals([2]));
      expect(mesh_56.faces.length, equals(6));
      expect(mesh_56.bones.length, isZero);
      expect(mesh_56.materialIndex, isZero);
      expect(mesh_56.name, equals('Box057Mesh'));
      expect(mesh_56.animMeshes.length, isZero);
      expect(mesh_56.morphingMethod, isZero);
      expect(mesh_56.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_57 = meshes.elementAt(57);
      expect(mesh_57.primitiveTypes, equals(8));
      expect(mesh_57.vertices.length, equals(24));
      final vertex_57_0 = mesh_57.vertices.elementAt(0);
      expect(vertex_57_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_57_1 = mesh_57.vertices.elementAt(1);
      expect(vertex_57_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_57_2 = mesh_57.vertices.elementAt(2);
      expect(vertex_57_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_57_3 = mesh_57.vertices.elementAt(3);
      expect(vertex_57_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_57_4 = mesh_57.vertices.elementAt(4);
      expect(vertex_57_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_57_5 = mesh_57.vertices.elementAt(5);
      expect(vertex_57_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_57_6 = mesh_57.vertices.elementAt(6);
      expect(vertex_57_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_57_7 = mesh_57.vertices.elementAt(7);
      expect(vertex_57_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_57_8 = mesh_57.vertices.elementAt(8);
      expect(vertex_57_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_57_9 = mesh_57.vertices.elementAt(9);
      expect(vertex_57_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_57_10 = mesh_57.vertices.elementAt(10);
      expect(vertex_57_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_57_11 = mesh_57.vertices.elementAt(11);
      expect(vertex_57_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_57_12 = mesh_57.vertices.elementAt(12);
      expect(vertex_57_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_57_13 = mesh_57.vertices.elementAt(13);
      expect(vertex_57_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_57_14 = mesh_57.vertices.elementAt(14);
      expect(vertex_57_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_57_15 = mesh_57.vertices.elementAt(15);
      expect(vertex_57_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_57_16 = mesh_57.vertices.elementAt(16);
      expect(vertex_57_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_57_17 = mesh_57.vertices.elementAt(17);
      expect(vertex_57_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_57_18 = mesh_57.vertices.elementAt(18);
      expect(vertex_57_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_57_19 = mesh_57.vertices.elementAt(19);
      expect(vertex_57_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_57_20 = mesh_57.vertices.elementAt(20);
      expect(vertex_57_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_57_21 = mesh_57.vertices.elementAt(21);
      expect(vertex_57_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_57_22 = mesh_57.vertices.elementAt(22);
      expect(vertex_57_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_57_23 = mesh_57.vertices.elementAt(23);
      expect(vertex_57_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_57.normals.length, equals(24));
      final normal_57_0 = mesh_57.normals.elementAt(0);
      expect(normal_57_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_57_1 = mesh_57.normals.elementAt(1);
      expect(normal_57_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_57_2 = mesh_57.normals.elementAt(2);
      expect(normal_57_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_57_3 = mesh_57.normals.elementAt(3);
      expect(normal_57_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_57_4 = mesh_57.normals.elementAt(4);
      expect(normal_57_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_57_5 = mesh_57.normals.elementAt(5);
      expect(normal_57_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_57_6 = mesh_57.normals.elementAt(6);
      expect(normal_57_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_57_7 = mesh_57.normals.elementAt(7);
      expect(normal_57_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_57_8 = mesh_57.normals.elementAt(8);
      expect(normal_57_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_57_9 = mesh_57.normals.elementAt(9);
      expect(normal_57_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_57_10 = mesh_57.normals.elementAt(10);
      expect(normal_57_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_57_11 = mesh_57.normals.elementAt(11);
      expect(normal_57_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_57_12 = mesh_57.normals.elementAt(12);
      expect(normal_57_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_57_13 = mesh_57.normals.elementAt(13);
      expect(normal_57_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_57_14 = mesh_57.normals.elementAt(14);
      expect(normal_57_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_57_15 = mesh_57.normals.elementAt(15);
      expect(normal_57_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_57_16 = mesh_57.normals.elementAt(16);
      expect(normal_57_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_57_17 = mesh_57.normals.elementAt(17);
      expect(normal_57_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_57_18 = mesh_57.normals.elementAt(18);
      expect(normal_57_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_57_19 = mesh_57.normals.elementAt(19);
      expect(normal_57_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_57_20 = mesh_57.normals.elementAt(20);
      expect(normal_57_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_57_21 = mesh_57.normals.elementAt(21);
      expect(normal_57_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_57_22 = mesh_57.normals.elementAt(22);
      expect(normal_57_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_57_23 = mesh_57.normals.elementAt(23);
      expect(normal_57_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_57.tangents.length, isZero);
      expect(mesh_57.bitangents.length, isZero);
      expect(mesh_57.colors.length, isZero);
      expect(mesh_57.textureCoords.length, equals(1));
      final textureCoords_57_0 = mesh_57.textureCoords.elementAt(0);
      expect(textureCoords_57_0.length, equals(24));
      final textureCoord_57_0_0 = textureCoords_57_0.elementAt(0);
      expect(textureCoord_57_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_1 = textureCoords_57_0.elementAt(1);
      expect(textureCoord_57_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_2 = textureCoords_57_0.elementAt(2);
      expect(textureCoord_57_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_57_0_3 = textureCoords_57_0.elementAt(3);
      expect(textureCoord_57_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_4 = textureCoords_57_0.elementAt(4);
      expect(textureCoord_57_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_5 = textureCoords_57_0.elementAt(5);
      expect(textureCoord_57_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_6 = textureCoords_57_0.elementAt(6);
      expect(textureCoord_57_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_7 = textureCoords_57_0.elementAt(7);
      expect(textureCoord_57_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_57_0_8 = textureCoords_57_0.elementAt(8);
      expect(textureCoord_57_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_9 = textureCoords_57_0.elementAt(9);
      expect(textureCoord_57_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_10 = textureCoords_57_0.elementAt(10);
      expect(textureCoord_57_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_11 = textureCoords_57_0.elementAt(11);
      expect(textureCoord_57_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_57_0_12 = textureCoords_57_0.elementAt(12);
      expect(textureCoord_57_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_13 = textureCoords_57_0.elementAt(13);
      expect(textureCoord_57_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_14 = textureCoords_57_0.elementAt(14);
      expect(textureCoord_57_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_15 = textureCoords_57_0.elementAt(15);
      expect(textureCoord_57_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_57_0_16 = textureCoords_57_0.elementAt(16);
      expect(textureCoord_57_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_17 = textureCoords_57_0.elementAt(17);
      expect(textureCoord_57_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_18 = textureCoords_57_0.elementAt(18);
      expect(textureCoord_57_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_19 = textureCoords_57_0.elementAt(19);
      expect(textureCoord_57_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_57_0_20 = textureCoords_57_0.elementAt(20);
      expect(textureCoord_57_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_57_0_21 = textureCoords_57_0.elementAt(21);
      expect(textureCoord_57_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_57_0_22 = textureCoords_57_0.elementAt(22);
      expect(textureCoord_57_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_57_0_23 = textureCoords_57_0.elementAt(23);
      expect(textureCoord_57_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_57.uvComponents.length, equals(1));
      expect(mesh_57.uvComponents, equals([2]));
      expect(mesh_57.faces.length, equals(6));
      expect(mesh_57.bones.length, isZero);
      expect(mesh_57.materialIndex, isZero);
      expect(mesh_57.name, equals('Box058Mesh'));
      expect(mesh_57.animMeshes.length, isZero);
      expect(mesh_57.morphingMethod, isZero);
      expect(mesh_57.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_58 = meshes.elementAt(58);
      expect(mesh_58.primitiveTypes, equals(8));
      expect(mesh_58.vertices.length, equals(24));
      final vertex_58_0 = mesh_58.vertices.elementAt(0);
      expect(vertex_58_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_58_1 = mesh_58.vertices.elementAt(1);
      expect(vertex_58_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_58_2 = mesh_58.vertices.elementAt(2);
      expect(vertex_58_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_58_3 = mesh_58.vertices.elementAt(3);
      expect(vertex_58_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_58_4 = mesh_58.vertices.elementAt(4);
      expect(vertex_58_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_58_5 = mesh_58.vertices.elementAt(5);
      expect(vertex_58_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_58_6 = mesh_58.vertices.elementAt(6);
      expect(vertex_58_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_58_7 = mesh_58.vertices.elementAt(7);
      expect(vertex_58_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_58_8 = mesh_58.vertices.elementAt(8);
      expect(vertex_58_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_58_9 = mesh_58.vertices.elementAt(9);
      expect(vertex_58_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_58_10 = mesh_58.vertices.elementAt(10);
      expect(vertex_58_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_58_11 = mesh_58.vertices.elementAt(11);
      expect(vertex_58_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_58_12 = mesh_58.vertices.elementAt(12);
      expect(vertex_58_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_58_13 = mesh_58.vertices.elementAt(13);
      expect(vertex_58_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_58_14 = mesh_58.vertices.elementAt(14);
      expect(vertex_58_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_58_15 = mesh_58.vertices.elementAt(15);
      expect(vertex_58_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_58_16 = mesh_58.vertices.elementAt(16);
      expect(vertex_58_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_58_17 = mesh_58.vertices.elementAt(17);
      expect(vertex_58_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_58_18 = mesh_58.vertices.elementAt(18);
      expect(vertex_58_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_58_19 = mesh_58.vertices.elementAt(19);
      expect(vertex_58_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_58_20 = mesh_58.vertices.elementAt(20);
      expect(vertex_58_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_58_21 = mesh_58.vertices.elementAt(21);
      expect(vertex_58_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_58_22 = mesh_58.vertices.elementAt(22);
      expect(vertex_58_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_58_23 = mesh_58.vertices.elementAt(23);
      expect(vertex_58_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_58.normals.length, equals(24));
      final normal_58_0 = mesh_58.normals.elementAt(0);
      expect(normal_58_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_58_1 = mesh_58.normals.elementAt(1);
      expect(normal_58_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_58_2 = mesh_58.normals.elementAt(2);
      expect(normal_58_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_58_3 = mesh_58.normals.elementAt(3);
      expect(normal_58_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_58_4 = mesh_58.normals.elementAt(4);
      expect(normal_58_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_58_5 = mesh_58.normals.elementAt(5);
      expect(normal_58_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_58_6 = mesh_58.normals.elementAt(6);
      expect(normal_58_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_58_7 = mesh_58.normals.elementAt(7);
      expect(normal_58_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_58_8 = mesh_58.normals.elementAt(8);
      expect(normal_58_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_58_9 = mesh_58.normals.elementAt(9);
      expect(normal_58_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_58_10 = mesh_58.normals.elementAt(10);
      expect(normal_58_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_58_11 = mesh_58.normals.elementAt(11);
      expect(normal_58_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_58_12 = mesh_58.normals.elementAt(12);
      expect(normal_58_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_58_13 = mesh_58.normals.elementAt(13);
      expect(normal_58_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_58_14 = mesh_58.normals.elementAt(14);
      expect(normal_58_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_58_15 = mesh_58.normals.elementAt(15);
      expect(normal_58_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_58_16 = mesh_58.normals.elementAt(16);
      expect(normal_58_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_58_17 = mesh_58.normals.elementAt(17);
      expect(normal_58_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_58_18 = mesh_58.normals.elementAt(18);
      expect(normal_58_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_58_19 = mesh_58.normals.elementAt(19);
      expect(normal_58_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_58_20 = mesh_58.normals.elementAt(20);
      expect(normal_58_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_58_21 = mesh_58.normals.elementAt(21);
      expect(normal_58_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_58_22 = mesh_58.normals.elementAt(22);
      expect(normal_58_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_58_23 = mesh_58.normals.elementAt(23);
      expect(normal_58_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_58.tangents.length, isZero);
      expect(mesh_58.bitangents.length, isZero);
      expect(mesh_58.colors.length, isZero);
      expect(mesh_58.textureCoords.length, equals(1));
      final textureCoords_58_0 = mesh_58.textureCoords.elementAt(0);
      expect(textureCoords_58_0.length, equals(24));
      final textureCoord_58_0_0 = textureCoords_58_0.elementAt(0);
      expect(textureCoord_58_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_1 = textureCoords_58_0.elementAt(1);
      expect(textureCoord_58_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_2 = textureCoords_58_0.elementAt(2);
      expect(textureCoord_58_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_58_0_3 = textureCoords_58_0.elementAt(3);
      expect(textureCoord_58_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_4 = textureCoords_58_0.elementAt(4);
      expect(textureCoord_58_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_5 = textureCoords_58_0.elementAt(5);
      expect(textureCoord_58_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_6 = textureCoords_58_0.elementAt(6);
      expect(textureCoord_58_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_7 = textureCoords_58_0.elementAt(7);
      expect(textureCoord_58_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_58_0_8 = textureCoords_58_0.elementAt(8);
      expect(textureCoord_58_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_9 = textureCoords_58_0.elementAt(9);
      expect(textureCoord_58_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_10 = textureCoords_58_0.elementAt(10);
      expect(textureCoord_58_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_11 = textureCoords_58_0.elementAt(11);
      expect(textureCoord_58_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_58_0_12 = textureCoords_58_0.elementAt(12);
      expect(textureCoord_58_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_13 = textureCoords_58_0.elementAt(13);
      expect(textureCoord_58_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_14 = textureCoords_58_0.elementAt(14);
      expect(textureCoord_58_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_15 = textureCoords_58_0.elementAt(15);
      expect(textureCoord_58_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_58_0_16 = textureCoords_58_0.elementAt(16);
      expect(textureCoord_58_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_17 = textureCoords_58_0.elementAt(17);
      expect(textureCoord_58_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_18 = textureCoords_58_0.elementAt(18);
      expect(textureCoord_58_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_19 = textureCoords_58_0.elementAt(19);
      expect(textureCoord_58_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_58_0_20 = textureCoords_58_0.elementAt(20);
      expect(textureCoord_58_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_58_0_21 = textureCoords_58_0.elementAt(21);
      expect(textureCoord_58_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_58_0_22 = textureCoords_58_0.elementAt(22);
      expect(textureCoord_58_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_58_0_23 = textureCoords_58_0.elementAt(23);
      expect(textureCoord_58_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_58.uvComponents.length, equals(1));
      expect(mesh_58.uvComponents, equals([2]));
      expect(mesh_58.faces.length, equals(6));
      expect(mesh_58.bones.length, isZero);
      expect(mesh_58.materialIndex, isZero);
      expect(mesh_58.name, equals('Box059Mesh'));
      expect(mesh_58.animMeshes.length, isZero);
      expect(mesh_58.morphingMethod, isZero);
      expect(mesh_58.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_59 = meshes.elementAt(59);
      expect(mesh_59.primitiveTypes, equals(8));
      expect(mesh_59.vertices.length, equals(24));
      final vertex_59_0 = mesh_59.vertices.elementAt(0);
      expect(vertex_59_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_59_1 = mesh_59.vertices.elementAt(1);
      expect(vertex_59_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_59_2 = mesh_59.vertices.elementAt(2);
      expect(vertex_59_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_59_3 = mesh_59.vertices.elementAt(3);
      expect(vertex_59_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_59_4 = mesh_59.vertices.elementAt(4);
      expect(vertex_59_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_59_5 = mesh_59.vertices.elementAt(5);
      expect(vertex_59_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_59_6 = mesh_59.vertices.elementAt(6);
      expect(vertex_59_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_59_7 = mesh_59.vertices.elementAt(7);
      expect(vertex_59_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_59_8 = mesh_59.vertices.elementAt(8);
      expect(vertex_59_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_59_9 = mesh_59.vertices.elementAt(9);
      expect(vertex_59_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_59_10 = mesh_59.vertices.elementAt(10);
      expect(vertex_59_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_59_11 = mesh_59.vertices.elementAt(11);
      expect(vertex_59_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_59_12 = mesh_59.vertices.elementAt(12);
      expect(vertex_59_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_59_13 = mesh_59.vertices.elementAt(13);
      expect(vertex_59_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_59_14 = mesh_59.vertices.elementAt(14);
      expect(vertex_59_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_59_15 = mesh_59.vertices.elementAt(15);
      expect(vertex_59_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_59_16 = mesh_59.vertices.elementAt(16);
      expect(vertex_59_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_59_17 = mesh_59.vertices.elementAt(17);
      expect(vertex_59_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_59_18 = mesh_59.vertices.elementAt(18);
      expect(vertex_59_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_59_19 = mesh_59.vertices.elementAt(19);
      expect(vertex_59_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_59_20 = mesh_59.vertices.elementAt(20);
      expect(vertex_59_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_59_21 = mesh_59.vertices.elementAt(21);
      expect(vertex_59_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_59_22 = mesh_59.vertices.elementAt(22);
      expect(vertex_59_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_59_23 = mesh_59.vertices.elementAt(23);
      expect(vertex_59_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_59.normals.length, equals(24));
      final normal_59_0 = mesh_59.normals.elementAt(0);
      expect(normal_59_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_59_1 = mesh_59.normals.elementAt(1);
      expect(normal_59_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_59_2 = mesh_59.normals.elementAt(2);
      expect(normal_59_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_59_3 = mesh_59.normals.elementAt(3);
      expect(normal_59_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_59_4 = mesh_59.normals.elementAt(4);
      expect(normal_59_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_59_5 = mesh_59.normals.elementAt(5);
      expect(normal_59_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_59_6 = mesh_59.normals.elementAt(6);
      expect(normal_59_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_59_7 = mesh_59.normals.elementAt(7);
      expect(normal_59_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_59_8 = mesh_59.normals.elementAt(8);
      expect(normal_59_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_59_9 = mesh_59.normals.elementAt(9);
      expect(normal_59_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_59_10 = mesh_59.normals.elementAt(10);
      expect(normal_59_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_59_11 = mesh_59.normals.elementAt(11);
      expect(normal_59_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_59_12 = mesh_59.normals.elementAt(12);
      expect(normal_59_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_59_13 = mesh_59.normals.elementAt(13);
      expect(normal_59_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_59_14 = mesh_59.normals.elementAt(14);
      expect(normal_59_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_59_15 = mesh_59.normals.elementAt(15);
      expect(normal_59_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_59_16 = mesh_59.normals.elementAt(16);
      expect(normal_59_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_59_17 = mesh_59.normals.elementAt(17);
      expect(normal_59_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_59_18 = mesh_59.normals.elementAt(18);
      expect(normal_59_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_59_19 = mesh_59.normals.elementAt(19);
      expect(normal_59_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_59_20 = mesh_59.normals.elementAt(20);
      expect(normal_59_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_59_21 = mesh_59.normals.elementAt(21);
      expect(normal_59_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_59_22 = mesh_59.normals.elementAt(22);
      expect(normal_59_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_59_23 = mesh_59.normals.elementAt(23);
      expect(normal_59_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_59.tangents.length, isZero);
      expect(mesh_59.bitangents.length, isZero);
      expect(mesh_59.colors.length, isZero);
      expect(mesh_59.textureCoords.length, equals(1));
      final textureCoords_59_0 = mesh_59.textureCoords.elementAt(0);
      expect(textureCoords_59_0.length, equals(24));
      final textureCoord_59_0_0 = textureCoords_59_0.elementAt(0);
      expect(textureCoord_59_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_1 = textureCoords_59_0.elementAt(1);
      expect(textureCoord_59_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_2 = textureCoords_59_0.elementAt(2);
      expect(textureCoord_59_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_59_0_3 = textureCoords_59_0.elementAt(3);
      expect(textureCoord_59_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_4 = textureCoords_59_0.elementAt(4);
      expect(textureCoord_59_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_5 = textureCoords_59_0.elementAt(5);
      expect(textureCoord_59_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_6 = textureCoords_59_0.elementAt(6);
      expect(textureCoord_59_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_7 = textureCoords_59_0.elementAt(7);
      expect(textureCoord_59_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_59_0_8 = textureCoords_59_0.elementAt(8);
      expect(textureCoord_59_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_9 = textureCoords_59_0.elementAt(9);
      expect(textureCoord_59_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_10 = textureCoords_59_0.elementAt(10);
      expect(textureCoord_59_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_11 = textureCoords_59_0.elementAt(11);
      expect(textureCoord_59_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_59_0_12 = textureCoords_59_0.elementAt(12);
      expect(textureCoord_59_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_13 = textureCoords_59_0.elementAt(13);
      expect(textureCoord_59_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_14 = textureCoords_59_0.elementAt(14);
      expect(textureCoord_59_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_15 = textureCoords_59_0.elementAt(15);
      expect(textureCoord_59_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_59_0_16 = textureCoords_59_0.elementAt(16);
      expect(textureCoord_59_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_17 = textureCoords_59_0.elementAt(17);
      expect(textureCoord_59_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_18 = textureCoords_59_0.elementAt(18);
      expect(textureCoord_59_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_19 = textureCoords_59_0.elementAt(19);
      expect(textureCoord_59_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_59_0_20 = textureCoords_59_0.elementAt(20);
      expect(textureCoord_59_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_59_0_21 = textureCoords_59_0.elementAt(21);
      expect(textureCoord_59_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_59_0_22 = textureCoords_59_0.elementAt(22);
      expect(textureCoord_59_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_59_0_23 = textureCoords_59_0.elementAt(23);
      expect(textureCoord_59_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_59.uvComponents.length, equals(1));
      expect(mesh_59.uvComponents, equals([2]));
      expect(mesh_59.faces.length, equals(6));
      expect(mesh_59.bones.length, isZero);
      expect(mesh_59.materialIndex, isZero);
      expect(mesh_59.name, equals('Box060Mesh'));
      expect(mesh_59.animMeshes.length, isZero);
      expect(mesh_59.morphingMethod, isZero);
      expect(mesh_59.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_60 = meshes.elementAt(60);
      expect(mesh_60.primitiveTypes, equals(8));
      expect(mesh_60.vertices.length, equals(24));
      final vertex_60_0 = mesh_60.vertices.elementAt(0);
      expect(vertex_60_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_60_1 = mesh_60.vertices.elementAt(1);
      expect(vertex_60_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_60_2 = mesh_60.vertices.elementAt(2);
      expect(vertex_60_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_60_3 = mesh_60.vertices.elementAt(3);
      expect(vertex_60_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_60_4 = mesh_60.vertices.elementAt(4);
      expect(vertex_60_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_60_5 = mesh_60.vertices.elementAt(5);
      expect(vertex_60_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_60_6 = mesh_60.vertices.elementAt(6);
      expect(vertex_60_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_60_7 = mesh_60.vertices.elementAt(7);
      expect(vertex_60_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_60_8 = mesh_60.vertices.elementAt(8);
      expect(vertex_60_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_60_9 = mesh_60.vertices.elementAt(9);
      expect(vertex_60_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_60_10 = mesh_60.vertices.elementAt(10);
      expect(vertex_60_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_60_11 = mesh_60.vertices.elementAt(11);
      expect(vertex_60_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_60_12 = mesh_60.vertices.elementAt(12);
      expect(vertex_60_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_60_13 = mesh_60.vertices.elementAt(13);
      expect(vertex_60_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_60_14 = mesh_60.vertices.elementAt(14);
      expect(vertex_60_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_60_15 = mesh_60.vertices.elementAt(15);
      expect(vertex_60_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_60_16 = mesh_60.vertices.elementAt(16);
      expect(vertex_60_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_60_17 = mesh_60.vertices.elementAt(17);
      expect(vertex_60_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_60_18 = mesh_60.vertices.elementAt(18);
      expect(vertex_60_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_60_19 = mesh_60.vertices.elementAt(19);
      expect(vertex_60_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_60_20 = mesh_60.vertices.elementAt(20);
      expect(vertex_60_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_60_21 = mesh_60.vertices.elementAt(21);
      expect(vertex_60_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_60_22 = mesh_60.vertices.elementAt(22);
      expect(vertex_60_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_60_23 = mesh_60.vertices.elementAt(23);
      expect(vertex_60_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_60.normals.length, equals(24));
      final normal_60_0 = mesh_60.normals.elementAt(0);
      expect(normal_60_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_60_1 = mesh_60.normals.elementAt(1);
      expect(normal_60_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_60_2 = mesh_60.normals.elementAt(2);
      expect(normal_60_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_60_3 = mesh_60.normals.elementAt(3);
      expect(normal_60_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_60_4 = mesh_60.normals.elementAt(4);
      expect(normal_60_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_60_5 = mesh_60.normals.elementAt(5);
      expect(normal_60_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_60_6 = mesh_60.normals.elementAt(6);
      expect(normal_60_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_60_7 = mesh_60.normals.elementAt(7);
      expect(normal_60_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_60_8 = mesh_60.normals.elementAt(8);
      expect(normal_60_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_60_9 = mesh_60.normals.elementAt(9);
      expect(normal_60_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_60_10 = mesh_60.normals.elementAt(10);
      expect(normal_60_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_60_11 = mesh_60.normals.elementAt(11);
      expect(normal_60_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_60_12 = mesh_60.normals.elementAt(12);
      expect(normal_60_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_60_13 = mesh_60.normals.elementAt(13);
      expect(normal_60_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_60_14 = mesh_60.normals.elementAt(14);
      expect(normal_60_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_60_15 = mesh_60.normals.elementAt(15);
      expect(normal_60_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_60_16 = mesh_60.normals.elementAt(16);
      expect(normal_60_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_60_17 = mesh_60.normals.elementAt(17);
      expect(normal_60_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_60_18 = mesh_60.normals.elementAt(18);
      expect(normal_60_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_60_19 = mesh_60.normals.elementAt(19);
      expect(normal_60_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_60_20 = mesh_60.normals.elementAt(20);
      expect(normal_60_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_60_21 = mesh_60.normals.elementAt(21);
      expect(normal_60_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_60_22 = mesh_60.normals.elementAt(22);
      expect(normal_60_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_60_23 = mesh_60.normals.elementAt(23);
      expect(normal_60_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_60.tangents.length, isZero);
      expect(mesh_60.bitangents.length, isZero);
      expect(mesh_60.colors.length, isZero);
      expect(mesh_60.textureCoords.length, equals(1));
      final textureCoords_60_0 = mesh_60.textureCoords.elementAt(0);
      expect(textureCoords_60_0.length, equals(24));
      final textureCoord_60_0_0 = textureCoords_60_0.elementAt(0);
      expect(textureCoord_60_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_1 = textureCoords_60_0.elementAt(1);
      expect(textureCoord_60_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_2 = textureCoords_60_0.elementAt(2);
      expect(textureCoord_60_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_60_0_3 = textureCoords_60_0.elementAt(3);
      expect(textureCoord_60_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_4 = textureCoords_60_0.elementAt(4);
      expect(textureCoord_60_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_5 = textureCoords_60_0.elementAt(5);
      expect(textureCoord_60_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_6 = textureCoords_60_0.elementAt(6);
      expect(textureCoord_60_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_7 = textureCoords_60_0.elementAt(7);
      expect(textureCoord_60_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_60_0_8 = textureCoords_60_0.elementAt(8);
      expect(textureCoord_60_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_9 = textureCoords_60_0.elementAt(9);
      expect(textureCoord_60_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_10 = textureCoords_60_0.elementAt(10);
      expect(textureCoord_60_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_11 = textureCoords_60_0.elementAt(11);
      expect(textureCoord_60_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_60_0_12 = textureCoords_60_0.elementAt(12);
      expect(textureCoord_60_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_13 = textureCoords_60_0.elementAt(13);
      expect(textureCoord_60_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_14 = textureCoords_60_0.elementAt(14);
      expect(textureCoord_60_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_15 = textureCoords_60_0.elementAt(15);
      expect(textureCoord_60_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_60_0_16 = textureCoords_60_0.elementAt(16);
      expect(textureCoord_60_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_17 = textureCoords_60_0.elementAt(17);
      expect(textureCoord_60_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_18 = textureCoords_60_0.elementAt(18);
      expect(textureCoord_60_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_19 = textureCoords_60_0.elementAt(19);
      expect(textureCoord_60_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_60_0_20 = textureCoords_60_0.elementAt(20);
      expect(textureCoord_60_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_60_0_21 = textureCoords_60_0.elementAt(21);
      expect(textureCoord_60_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_60_0_22 = textureCoords_60_0.elementAt(22);
      expect(textureCoord_60_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_60_0_23 = textureCoords_60_0.elementAt(23);
      expect(textureCoord_60_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_60.uvComponents.length, equals(1));
      expect(mesh_60.uvComponents, equals([2]));
      expect(mesh_60.faces.length, equals(6));
      expect(mesh_60.bones.length, isZero);
      expect(mesh_60.materialIndex, isZero);
      expect(mesh_60.name, equals('Box061Mesh'));
      expect(mesh_60.animMeshes.length, isZero);
      expect(mesh_60.morphingMethod, isZero);
      expect(mesh_60.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_61 = meshes.elementAt(61);
      expect(mesh_61.primitiveTypes, equals(8));
      expect(mesh_61.vertices.length, equals(24));
      final vertex_61_0 = mesh_61.vertices.elementAt(0);
      expect(vertex_61_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_61_1 = mesh_61.vertices.elementAt(1);
      expect(vertex_61_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_61_2 = mesh_61.vertices.elementAt(2);
      expect(vertex_61_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_61_3 = mesh_61.vertices.elementAt(3);
      expect(vertex_61_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_61_4 = mesh_61.vertices.elementAt(4);
      expect(vertex_61_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_61_5 = mesh_61.vertices.elementAt(5);
      expect(vertex_61_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_61_6 = mesh_61.vertices.elementAt(6);
      expect(vertex_61_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_61_7 = mesh_61.vertices.elementAt(7);
      expect(vertex_61_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_61_8 = mesh_61.vertices.elementAt(8);
      expect(vertex_61_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_61_9 = mesh_61.vertices.elementAt(9);
      expect(vertex_61_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_61_10 = mesh_61.vertices.elementAt(10);
      expect(vertex_61_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_61_11 = mesh_61.vertices.elementAt(11);
      expect(vertex_61_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_61_12 = mesh_61.vertices.elementAt(12);
      expect(vertex_61_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_61_13 = mesh_61.vertices.elementAt(13);
      expect(vertex_61_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_61_14 = mesh_61.vertices.elementAt(14);
      expect(vertex_61_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_61_15 = mesh_61.vertices.elementAt(15);
      expect(vertex_61_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_61_16 = mesh_61.vertices.elementAt(16);
      expect(vertex_61_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_61_17 = mesh_61.vertices.elementAt(17);
      expect(vertex_61_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_61_18 = mesh_61.vertices.elementAt(18);
      expect(vertex_61_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_61_19 = mesh_61.vertices.elementAt(19);
      expect(vertex_61_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_61_20 = mesh_61.vertices.elementAt(20);
      expect(vertex_61_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_61_21 = mesh_61.vertices.elementAt(21);
      expect(vertex_61_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_61_22 = mesh_61.vertices.elementAt(22);
      expect(vertex_61_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_61_23 = mesh_61.vertices.elementAt(23);
      expect(vertex_61_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_61.normals.length, equals(24));
      final normal_61_0 = mesh_61.normals.elementAt(0);
      expect(normal_61_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_61_1 = mesh_61.normals.elementAt(1);
      expect(normal_61_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_61_2 = mesh_61.normals.elementAt(2);
      expect(normal_61_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_61_3 = mesh_61.normals.elementAt(3);
      expect(normal_61_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_61_4 = mesh_61.normals.elementAt(4);
      expect(normal_61_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_61_5 = mesh_61.normals.elementAt(5);
      expect(normal_61_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_61_6 = mesh_61.normals.elementAt(6);
      expect(normal_61_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_61_7 = mesh_61.normals.elementAt(7);
      expect(normal_61_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_61_8 = mesh_61.normals.elementAt(8);
      expect(normal_61_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_61_9 = mesh_61.normals.elementAt(9);
      expect(normal_61_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_61_10 = mesh_61.normals.elementAt(10);
      expect(normal_61_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_61_11 = mesh_61.normals.elementAt(11);
      expect(normal_61_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_61_12 = mesh_61.normals.elementAt(12);
      expect(normal_61_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_61_13 = mesh_61.normals.elementAt(13);
      expect(normal_61_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_61_14 = mesh_61.normals.elementAt(14);
      expect(normal_61_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_61_15 = mesh_61.normals.elementAt(15);
      expect(normal_61_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_61_16 = mesh_61.normals.elementAt(16);
      expect(normal_61_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_61_17 = mesh_61.normals.elementAt(17);
      expect(normal_61_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_61_18 = mesh_61.normals.elementAt(18);
      expect(normal_61_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_61_19 = mesh_61.normals.elementAt(19);
      expect(normal_61_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_61_20 = mesh_61.normals.elementAt(20);
      expect(normal_61_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_61_21 = mesh_61.normals.elementAt(21);
      expect(normal_61_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_61_22 = mesh_61.normals.elementAt(22);
      expect(normal_61_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_61_23 = mesh_61.normals.elementAt(23);
      expect(normal_61_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_61.tangents.length, isZero);
      expect(mesh_61.bitangents.length, isZero);
      expect(mesh_61.colors.length, isZero);
      expect(mesh_61.textureCoords.length, equals(1));
      final textureCoords_61_0 = mesh_61.textureCoords.elementAt(0);
      expect(textureCoords_61_0.length, equals(24));
      final textureCoord_61_0_0 = textureCoords_61_0.elementAt(0);
      expect(textureCoord_61_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_1 = textureCoords_61_0.elementAt(1);
      expect(textureCoord_61_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_2 = textureCoords_61_0.elementAt(2);
      expect(textureCoord_61_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_61_0_3 = textureCoords_61_0.elementAt(3);
      expect(textureCoord_61_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_4 = textureCoords_61_0.elementAt(4);
      expect(textureCoord_61_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_5 = textureCoords_61_0.elementAt(5);
      expect(textureCoord_61_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_6 = textureCoords_61_0.elementAt(6);
      expect(textureCoord_61_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_7 = textureCoords_61_0.elementAt(7);
      expect(textureCoord_61_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_61_0_8 = textureCoords_61_0.elementAt(8);
      expect(textureCoord_61_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_9 = textureCoords_61_0.elementAt(9);
      expect(textureCoord_61_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_10 = textureCoords_61_0.elementAt(10);
      expect(textureCoord_61_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_11 = textureCoords_61_0.elementAt(11);
      expect(textureCoord_61_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_61_0_12 = textureCoords_61_0.elementAt(12);
      expect(textureCoord_61_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_13 = textureCoords_61_0.elementAt(13);
      expect(textureCoord_61_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_14 = textureCoords_61_0.elementAt(14);
      expect(textureCoord_61_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_15 = textureCoords_61_0.elementAt(15);
      expect(textureCoord_61_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_61_0_16 = textureCoords_61_0.elementAt(16);
      expect(textureCoord_61_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_17 = textureCoords_61_0.elementAt(17);
      expect(textureCoord_61_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_18 = textureCoords_61_0.elementAt(18);
      expect(textureCoord_61_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_19 = textureCoords_61_0.elementAt(19);
      expect(textureCoord_61_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_61_0_20 = textureCoords_61_0.elementAt(20);
      expect(textureCoord_61_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_61_0_21 = textureCoords_61_0.elementAt(21);
      expect(textureCoord_61_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_61_0_22 = textureCoords_61_0.elementAt(22);
      expect(textureCoord_61_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_61_0_23 = textureCoords_61_0.elementAt(23);
      expect(textureCoord_61_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_61.uvComponents.length, equals(1));
      expect(mesh_61.uvComponents, equals([2]));
      expect(mesh_61.faces.length, equals(6));
      expect(mesh_61.bones.length, isZero);
      expect(mesh_61.materialIndex, isZero);
      expect(mesh_61.name, equals('Box062Mesh'));
      expect(mesh_61.animMeshes.length, isZero);
      expect(mesh_61.morphingMethod, isZero);
      expect(mesh_61.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_62 = meshes.elementAt(62);
      expect(mesh_62.primitiveTypes, equals(8));
      expect(mesh_62.vertices.length, equals(24));
      final vertex_62_0 = mesh_62.vertices.elementAt(0);
      expect(vertex_62_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_62_1 = mesh_62.vertices.elementAt(1);
      expect(vertex_62_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_62_2 = mesh_62.vertices.elementAt(2);
      expect(vertex_62_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_62_3 = mesh_62.vertices.elementAt(3);
      expect(vertex_62_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_62_4 = mesh_62.vertices.elementAt(4);
      expect(vertex_62_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_62_5 = mesh_62.vertices.elementAt(5);
      expect(vertex_62_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_62_6 = mesh_62.vertices.elementAt(6);
      expect(vertex_62_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_62_7 = mesh_62.vertices.elementAt(7);
      expect(vertex_62_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_62_8 = mesh_62.vertices.elementAt(8);
      expect(vertex_62_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_62_9 = mesh_62.vertices.elementAt(9);
      expect(vertex_62_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_62_10 = mesh_62.vertices.elementAt(10);
      expect(vertex_62_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_62_11 = mesh_62.vertices.elementAt(11);
      expect(vertex_62_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_62_12 = mesh_62.vertices.elementAt(12);
      expect(vertex_62_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_62_13 = mesh_62.vertices.elementAt(13);
      expect(vertex_62_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_62_14 = mesh_62.vertices.elementAt(14);
      expect(vertex_62_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_62_15 = mesh_62.vertices.elementAt(15);
      expect(vertex_62_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_62_16 = mesh_62.vertices.elementAt(16);
      expect(vertex_62_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_62_17 = mesh_62.vertices.elementAt(17);
      expect(vertex_62_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_62_18 = mesh_62.vertices.elementAt(18);
      expect(vertex_62_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_62_19 = mesh_62.vertices.elementAt(19);
      expect(vertex_62_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_62_20 = mesh_62.vertices.elementAt(20);
      expect(vertex_62_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_62_21 = mesh_62.vertices.elementAt(21);
      expect(vertex_62_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_62_22 = mesh_62.vertices.elementAt(22);
      expect(vertex_62_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_62_23 = mesh_62.vertices.elementAt(23);
      expect(vertex_62_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_62.normals.length, equals(24));
      final normal_62_0 = mesh_62.normals.elementAt(0);
      expect(normal_62_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_62_1 = mesh_62.normals.elementAt(1);
      expect(normal_62_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_62_2 = mesh_62.normals.elementAt(2);
      expect(normal_62_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_62_3 = mesh_62.normals.elementAt(3);
      expect(normal_62_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_62_4 = mesh_62.normals.elementAt(4);
      expect(normal_62_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_62_5 = mesh_62.normals.elementAt(5);
      expect(normal_62_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_62_6 = mesh_62.normals.elementAt(6);
      expect(normal_62_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_62_7 = mesh_62.normals.elementAt(7);
      expect(normal_62_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_62_8 = mesh_62.normals.elementAt(8);
      expect(normal_62_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_62_9 = mesh_62.normals.elementAt(9);
      expect(normal_62_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_62_10 = mesh_62.normals.elementAt(10);
      expect(normal_62_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_62_11 = mesh_62.normals.elementAt(11);
      expect(normal_62_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_62_12 = mesh_62.normals.elementAt(12);
      expect(normal_62_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_62_13 = mesh_62.normals.elementAt(13);
      expect(normal_62_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_62_14 = mesh_62.normals.elementAt(14);
      expect(normal_62_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_62_15 = mesh_62.normals.elementAt(15);
      expect(normal_62_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_62_16 = mesh_62.normals.elementAt(16);
      expect(normal_62_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_62_17 = mesh_62.normals.elementAt(17);
      expect(normal_62_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_62_18 = mesh_62.normals.elementAt(18);
      expect(normal_62_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_62_19 = mesh_62.normals.elementAt(19);
      expect(normal_62_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_62_20 = mesh_62.normals.elementAt(20);
      expect(normal_62_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_62_21 = mesh_62.normals.elementAt(21);
      expect(normal_62_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_62_22 = mesh_62.normals.elementAt(22);
      expect(normal_62_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_62_23 = mesh_62.normals.elementAt(23);
      expect(normal_62_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_62.tangents.length, isZero);
      expect(mesh_62.bitangents.length, isZero);
      expect(mesh_62.colors.length, isZero);
      expect(mesh_62.textureCoords.length, equals(1));
      final textureCoords_62_0 = mesh_62.textureCoords.elementAt(0);
      expect(textureCoords_62_0.length, equals(24));
      final textureCoord_62_0_0 = textureCoords_62_0.elementAt(0);
      expect(textureCoord_62_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_1 = textureCoords_62_0.elementAt(1);
      expect(textureCoord_62_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_2 = textureCoords_62_0.elementAt(2);
      expect(textureCoord_62_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_62_0_3 = textureCoords_62_0.elementAt(3);
      expect(textureCoord_62_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_4 = textureCoords_62_0.elementAt(4);
      expect(textureCoord_62_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_5 = textureCoords_62_0.elementAt(5);
      expect(textureCoord_62_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_6 = textureCoords_62_0.elementAt(6);
      expect(textureCoord_62_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_7 = textureCoords_62_0.elementAt(7);
      expect(textureCoord_62_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_62_0_8 = textureCoords_62_0.elementAt(8);
      expect(textureCoord_62_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_9 = textureCoords_62_0.elementAt(9);
      expect(textureCoord_62_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_10 = textureCoords_62_0.elementAt(10);
      expect(textureCoord_62_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_11 = textureCoords_62_0.elementAt(11);
      expect(textureCoord_62_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_62_0_12 = textureCoords_62_0.elementAt(12);
      expect(textureCoord_62_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_13 = textureCoords_62_0.elementAt(13);
      expect(textureCoord_62_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_14 = textureCoords_62_0.elementAt(14);
      expect(textureCoord_62_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_15 = textureCoords_62_0.elementAt(15);
      expect(textureCoord_62_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_62_0_16 = textureCoords_62_0.elementAt(16);
      expect(textureCoord_62_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_17 = textureCoords_62_0.elementAt(17);
      expect(textureCoord_62_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_18 = textureCoords_62_0.elementAt(18);
      expect(textureCoord_62_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_19 = textureCoords_62_0.elementAt(19);
      expect(textureCoord_62_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_62_0_20 = textureCoords_62_0.elementAt(20);
      expect(textureCoord_62_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_62_0_21 = textureCoords_62_0.elementAt(21);
      expect(textureCoord_62_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_62_0_22 = textureCoords_62_0.elementAt(22);
      expect(textureCoord_62_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_62_0_23 = textureCoords_62_0.elementAt(23);
      expect(textureCoord_62_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_62.uvComponents.length, equals(1));
      expect(mesh_62.uvComponents, equals([2]));
      expect(mesh_62.faces.length, equals(6));
      expect(mesh_62.bones.length, isZero);
      expect(mesh_62.materialIndex, isZero);
      expect(mesh_62.name, equals('Box063Mesh'));
      expect(mesh_62.animMeshes.length, isZero);
      expect(mesh_62.morphingMethod, isZero);
      expect(mesh_62.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_63 = meshes.elementAt(63);
      expect(mesh_63.primitiveTypes, equals(8));
      expect(mesh_63.vertices.length, equals(24));
      final vertex_63_0 = mesh_63.vertices.elementAt(0);
      expect(vertex_63_0, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_63_1 = mesh_63.vertices.elementAt(1);
      expect(vertex_63_1, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_63_2 = mesh_63.vertices.elementAt(2);
      expect(vertex_63_2, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_63_3 = mesh_63.vertices.elementAt(3);
      expect(vertex_63_3, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_63_4 = mesh_63.vertices.elementAt(4);
      expect(vertex_63_4, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_63_5 = mesh_63.vertices.elementAt(5);
      expect(vertex_63_5, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_63_6 = mesh_63.vertices.elementAt(6);
      expect(vertex_63_6, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_63_7 = mesh_63.vertices.elementAt(7);
      expect(vertex_63_7, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_63_8 = mesh_63.vertices.elementAt(8);
      expect(vertex_63_8, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_63_9 = mesh_63.vertices.elementAt(9);
      expect(vertex_63_9, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_63_10 = mesh_63.vertices.elementAt(10);
      expect(vertex_63_10, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_63_11 = mesh_63.vertices.elementAt(11);
      expect(vertex_63_11, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_63_12 = mesh_63.vertices.elementAt(12);
      expect(vertex_63_12, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 0)));
      final vertex_63_13 = mesh_63.vertices.elementAt(13);
      expect(vertex_63_13, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_63_14 = mesh_63.vertices.elementAt(14);
      expect(vertex_63_14, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_63_15 = mesh_63.vertices.elementAt(15);
      expect(vertex_63_15, vector3MoreOrLessEquals(Vector3(0.5, -0.5, 1)));
      final vertex_63_16 = mesh_63.vertices.elementAt(16);
      expect(vertex_63_16, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 0)));
      final vertex_63_17 = mesh_63.vertices.elementAt(17);
      expect(vertex_63_17, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_63_18 = mesh_63.vertices.elementAt(18);
      expect(vertex_63_18, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      final vertex_63_19 = mesh_63.vertices.elementAt(19);
      expect(vertex_63_19, vector3MoreOrLessEquals(Vector3(0.5, 0.5, 1)));
      final vertex_63_20 = mesh_63.vertices.elementAt(20);
      expect(vertex_63_20, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 0)));
      final vertex_63_21 = mesh_63.vertices.elementAt(21);
      expect(vertex_63_21, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 0)));
      final vertex_63_22 = mesh_63.vertices.elementAt(22);
      expect(vertex_63_22, vector3MoreOrLessEquals(Vector3(-0.5, -0.5, 1)));
      final vertex_63_23 = mesh_63.vertices.elementAt(23);
      expect(vertex_63_23, vector3MoreOrLessEquals(Vector3(-0.5, 0.5, 1)));
      expect(mesh_63.normals.length, equals(24));
      final normal_63_0 = mesh_63.normals.elementAt(0);
      expect(normal_63_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_63_1 = mesh_63.normals.elementAt(1);
      expect(normal_63_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_63_2 = mesh_63.normals.elementAt(2);
      expect(normal_63_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_63_3 = mesh_63.normals.elementAt(3);
      expect(normal_63_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_63_4 = mesh_63.normals.elementAt(4);
      expect(normal_63_4, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_63_5 = mesh_63.normals.elementAt(5);
      expect(normal_63_5, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_63_6 = mesh_63.normals.elementAt(6);
      expect(normal_63_6, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_63_7 = mesh_63.normals.elementAt(7);
      expect(normal_63_7, vector3MoreOrLessEquals(Vector3(0, 0, 1)));
      final normal_63_8 = mesh_63.normals.elementAt(8);
      expect(normal_63_8, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_63_9 = mesh_63.normals.elementAt(9);
      expect(normal_63_9, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_63_10 = mesh_63.normals.elementAt(10);
      expect(normal_63_10, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_63_11 = mesh_63.normals.elementAt(11);
      expect(normal_63_11, vector3MoreOrLessEquals(Vector3(0, -1, 0)));
      final normal_63_12 = mesh_63.normals.elementAt(12);
      expect(normal_63_12, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_63_13 = mesh_63.normals.elementAt(13);
      expect(normal_63_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_63_14 = mesh_63.normals.elementAt(14);
      expect(normal_63_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_63_15 = mesh_63.normals.elementAt(15);
      expect(normal_63_15, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final normal_63_16 = mesh_63.normals.elementAt(16);
      expect(normal_63_16, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_63_17 = mesh_63.normals.elementAt(17);
      expect(normal_63_17, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_63_18 = mesh_63.normals.elementAt(18);
      expect(normal_63_18, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_63_19 = mesh_63.normals.elementAt(19);
      expect(normal_63_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final normal_63_20 = mesh_63.normals.elementAt(20);
      expect(normal_63_20, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_63_21 = mesh_63.normals.elementAt(21);
      expect(normal_63_21, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_63_22 = mesh_63.normals.elementAt(22);
      expect(normal_63_22, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      final normal_63_23 = mesh_63.normals.elementAt(23);
      expect(normal_63_23, vector3MoreOrLessEquals(Vector3(-1, 0, 0)));
      expect(mesh_63.tangents.length, isZero);
      expect(mesh_63.bitangents.length, isZero);
      expect(mesh_63.colors.length, isZero);
      expect(mesh_63.textureCoords.length, equals(1));
      final textureCoords_63_0 = mesh_63.textureCoords.elementAt(0);
      expect(textureCoords_63_0.length, equals(24));
      final textureCoord_63_0_0 = textureCoords_63_0.elementAt(0);
      expect(textureCoord_63_0_0, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_1 = textureCoords_63_0.elementAt(1);
      expect(textureCoord_63_0_1, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_2 = textureCoords_63_0.elementAt(2);
      expect(textureCoord_63_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_63_0_3 = textureCoords_63_0.elementAt(3);
      expect(textureCoord_63_0_3, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_4 = textureCoords_63_0.elementAt(4);
      expect(textureCoord_63_0_4, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_5 = textureCoords_63_0.elementAt(5);
      expect(textureCoord_63_0_5, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_6 = textureCoords_63_0.elementAt(6);
      expect(textureCoord_63_0_6, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_7 = textureCoords_63_0.elementAt(7);
      expect(textureCoord_63_0_7, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_63_0_8 = textureCoords_63_0.elementAt(8);
      expect(textureCoord_63_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_9 = textureCoords_63_0.elementAt(9);
      expect(textureCoord_63_0_9, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_10 = textureCoords_63_0.elementAt(10);
      expect(textureCoord_63_0_10, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_11 = textureCoords_63_0.elementAt(11);
      expect(textureCoord_63_0_11, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_63_0_12 = textureCoords_63_0.elementAt(12);
      expect(textureCoord_63_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_13 = textureCoords_63_0.elementAt(13);
      expect(textureCoord_63_0_13, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_14 = textureCoords_63_0.elementAt(14);
      expect(textureCoord_63_0_14, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_15 = textureCoords_63_0.elementAt(15);
      expect(textureCoord_63_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_63_0_16 = textureCoords_63_0.elementAt(16);
      expect(textureCoord_63_0_16, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_17 = textureCoords_63_0.elementAt(17);
      expect(textureCoord_63_0_17, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_18 = textureCoords_63_0.elementAt(18);
      expect(textureCoord_63_0_18, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_19 = textureCoords_63_0.elementAt(19);
      expect(textureCoord_63_0_19, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_63_0_20 = textureCoords_63_0.elementAt(20);
      expect(textureCoord_63_0_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_63_0_21 = textureCoords_63_0.elementAt(21);
      expect(textureCoord_63_0_21, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_63_0_22 = textureCoords_63_0.elementAt(22);
      expect(textureCoord_63_0_22, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_63_0_23 = textureCoords_63_0.elementAt(23);
      expect(textureCoord_63_0_23, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      expect(mesh_63.uvComponents.length, equals(1));
      expect(mesh_63.uvComponents, equals([2]));
      expect(mesh_63.faces.length, equals(6));
      expect(mesh_63.bones.length, isZero);
      expect(mesh_63.materialIndex, isZero);
      expect(mesh_63.name, equals('Box064Mesh'));
      expect(mesh_63.animMeshes.length, isZero);
      expect(mesh_63.morphingMethod, isZero);
      expect(mesh_63.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
    testScene('lib.dae', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(1));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(8));
      expect(mesh_0.vertices.length, equals(104));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(1, 0.99999994, -1)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(1, -1, -1)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(-1.00000012, -0.999999821, -1)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(-0.999999642, 1.00000036, -1)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 1)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 1)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 3)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 3)));
      final vertex_0_8 = mesh_0.vertices.elementAt(8);
      expect(vertex_0_8, vector3MoreOrLessEquals(Vector3(1, 0.99999994, -1)));
      final vertex_0_9 = mesh_0.vertices.elementAt(9);
      expect(vertex_0_9, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 1)));
      final vertex_0_10 = mesh_0.vertices.elementAt(10);
      expect(vertex_0_10, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 1)));
      final vertex_0_11 = mesh_0.vertices.elementAt(11);
      expect(vertex_0_11, vector3MoreOrLessEquals(Vector3(1, -1, -1)));
      final vertex_0_12 = mesh_0.vertices.elementAt(12);
      expect(vertex_0_12, vector3MoreOrLessEquals(Vector3(1, -1, -1)));
      final vertex_0_13 = mesh_0.vertices.elementAt(13);
      expect(vertex_0_13, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 1)));
      final vertex_0_14 = mesh_0.vertices.elementAt(14);
      expect(vertex_0_14, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 1)));
      final vertex_0_15 = mesh_0.vertices.elementAt(15);
      expect(vertex_0_15, vector3MoreOrLessEquals(Vector3(-1.00000012, -0.999999821, -1)));
      final vertex_0_16 = mesh_0.vertices.elementAt(16);
      expect(vertex_0_16, vector3MoreOrLessEquals(Vector3(-1.00000012, -0.999999821, -1)));
      final vertex_0_17 = mesh_0.vertices.elementAt(17);
      expect(vertex_0_17, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 1)));
      final vertex_0_18 = mesh_0.vertices.elementAt(18);
      expect(vertex_0_18, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 1)));
      final vertex_0_19 = mesh_0.vertices.elementAt(19);
      expect(vertex_0_19, vector3MoreOrLessEquals(Vector3(-0.999999642, 1.00000036, -1)));
      final vertex_0_20 = mesh_0.vertices.elementAt(20);
      expect(vertex_0_20, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 1)));
      final vertex_0_21 = mesh_0.vertices.elementAt(21);
      expect(vertex_0_21, vector3MoreOrLessEquals(Vector3(1, 0.99999994, -1)));
      final vertex_0_22 = mesh_0.vertices.elementAt(22);
      expect(vertex_0_22, vector3MoreOrLessEquals(Vector3(-0.999999642, 1.00000036, -1)));
      final vertex_0_23 = mesh_0.vertices.elementAt(23);
      expect(vertex_0_23, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 1)));
      final vertex_0_24 = mesh_0.vertices.elementAt(24);
      expect(vertex_0_24, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 3)));
      final vertex_0_25 = mesh_0.vertices.elementAt(25);
      expect(vertex_0_25, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 3)));
      final vertex_0_26 = mesh_0.vertices.elementAt(26);
      expect(vertex_0_26, vector3MoreOrLessEquals(Vector3(-0.954534352, -0.954533637, 4.5989356)));
      final vertex_0_27 = mesh_0.vertices.elementAt(27);
      expect(vertex_0_27, vector3MoreOrLessEquals(Vector3(-0.954533935, 0.954534054, 4.5989356)));
      final vertex_0_28 = mesh_0.vertices.elementAt(28);
      expect(vertex_0_28, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 1)));
      final vertex_0_29 = mesh_0.vertices.elementAt(29);
      expect(vertex_0_29, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 1)));
      final vertex_0_30 = mesh_0.vertices.elementAt(30);
      expect(vertex_0_30, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 3)));
      final vertex_0_31 = mesh_0.vertices.elementAt(31);
      expect(vertex_0_31, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 3)));
      final vertex_0_32 = mesh_0.vertices.elementAt(32);
      expect(vertex_0_32, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 1)));
      final vertex_0_33 = mesh_0.vertices.elementAt(33);
      expect(vertex_0_33, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 1)));
      final vertex_0_34 = mesh_0.vertices.elementAt(34);
      expect(vertex_0_34, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 3)));
      final vertex_0_35 = mesh_0.vertices.elementAt(35);
      expect(vertex_0_35, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 3)));
      final vertex_0_36 = mesh_0.vertices.elementAt(36);
      expect(vertex_0_36, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 1)));
      final vertex_0_37 = mesh_0.vertices.elementAt(37);
      expect(vertex_0_37, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 1)));
      final vertex_0_38 = mesh_0.vertices.elementAt(38);
      expect(vertex_0_38, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 3)));
      final vertex_0_39 = mesh_0.vertices.elementAt(39);
      expect(vertex_0_39, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 3)));
      final vertex_0_40 = mesh_0.vertices.elementAt(40);
      expect(vertex_0_40, vector3MoreOrLessEquals(Vector3(-0.902503967, 0.902504086, 6)));
      final vertex_0_41 = mesh_0.vertices.elementAt(41);
      expect(vertex_0_41, vector3MoreOrLessEquals(Vector3(-0.902504385, -0.902503729, 6)));
      final vertex_0_42 = mesh_0.vertices.elementAt(42);
      expect(vertex_0_42, vector3MoreOrLessEquals(Vector3(-0.850474417, -0.850473821, 7)));
      final vertex_0_43 = mesh_0.vertices.elementAt(43);
      expect(vertex_0_43, vector3MoreOrLessEquals(Vector3(-0.85047406, 0.850474119, 7)));
      final vertex_0_44 = mesh_0.vertices.elementAt(44);
      expect(vertex_0_44, vector3MoreOrLessEquals(Vector3(-1.00000036, -0.999999642, 3)));
      final vertex_0_45 = mesh_0.vertices.elementAt(45);
      expect(vertex_0_45, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 3)));
      final vertex_0_46 = mesh_0.vertices.elementAt(46);
      expect(vertex_0_46, vector3MoreOrLessEquals(Vector3(0.954533339, -0.95453465, 4.5989356)));
      final vertex_0_47 = mesh_0.vertices.elementAt(47);
      expect(vertex_0_47, vector3MoreOrLessEquals(Vector3(-0.954534352, -0.954533637, 4.5989356)));
      final vertex_0_48 = mesh_0.vertices.elementAt(48);
      expect(vertex_0_48, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 3)));
      final vertex_0_49 = mesh_0.vertices.elementAt(49);
      expect(vertex_0_49, vector3MoreOrLessEquals(Vector3(-0.99999994, 1, 3)));
      final vertex_0_50 = mesh_0.vertices.elementAt(50);
      expect(vertex_0_50, vector3MoreOrLessEquals(Vector3(-0.954533935, 0.954534054, 4.5989356)));
      final vertex_0_51 = mesh_0.vertices.elementAt(51);
      expect(vertex_0_51, vector3MoreOrLessEquals(Vector3(0.954534471, 0.954533458, 4.5989356)));
      final vertex_0_52 = mesh_0.vertices.elementAt(52);
      expect(vertex_0_52, vector3MoreOrLessEquals(Vector3(0.999999344, -1.0000006, 3)));
      final vertex_0_53 = mesh_0.vertices.elementAt(53);
      expect(vertex_0_53, vector3MoreOrLessEquals(Vector3(1.00000048, 0.999999464, 3)));
      final vertex_0_54 = mesh_0.vertices.elementAt(54);
      expect(vertex_0_54, vector3MoreOrLessEquals(Vector3(0.954534471, 0.954533458, 4.5989356)));
      final vertex_0_55 = mesh_0.vertices.elementAt(55);
      expect(vertex_0_55, vector3MoreOrLessEquals(Vector3(0.954533339, -0.95453465, 4.5989356)));
      final vertex_0_56 = mesh_0.vertices.elementAt(56);
      expect(vertex_0_56, vector3MoreOrLessEquals(Vector3(0.850474536, 0.850473642, 7)));
      final vertex_0_57 = mesh_0.vertices.elementAt(57);
      expect(vertex_0_57, vector3MoreOrLessEquals(Vector3(-0.85047406, 0.850474119, 7)));
      final vertex_0_58 = mesh_0.vertices.elementAt(58);
      expect(vertex_0_58, vector3MoreOrLessEquals(Vector3(-0.850474417, -0.850473821, 7)));
      final vertex_0_59 = mesh_0.vertices.elementAt(59);
      expect(vertex_0_59, vector3MoreOrLessEquals(Vector3(0.850473523, -0.850474715, 7)));
      final vertex_0_60 = mesh_0.vertices.elementAt(60);
      expect(vertex_0_60, vector3MoreOrLessEquals(Vector3(-0.902504385, -0.902503729, 6)));
      final vertex_0_61 = mesh_0.vertices.elementAt(61);
      expect(vertex_0_61, vector3MoreOrLessEquals(Vector3(0.902503431, -0.902504683, 6)));
      final vertex_0_62 = mesh_0.vertices.elementAt(62);
      expect(vertex_0_62, vector3MoreOrLessEquals(Vector3(0.850473523, -0.850474715, 7)));
      final vertex_0_63 = mesh_0.vertices.elementAt(63);
      expect(vertex_0_63, vector3MoreOrLessEquals(Vector3(-0.850474417, -0.850473821, 7)));
      final vertex_0_64 = mesh_0.vertices.elementAt(64);
      expect(vertex_0_64, vector3MoreOrLessEquals(Vector3(0.902504504, 0.90250355, 6)));
      final vertex_0_65 = mesh_0.vertices.elementAt(65);
      expect(vertex_0_65, vector3MoreOrLessEquals(Vector3(-0.902503967, 0.902504086, 6)));
      final vertex_0_66 = mesh_0.vertices.elementAt(66);
      expect(vertex_0_66, vector3MoreOrLessEquals(Vector3(-0.85047406, 0.850474119, 7)));
      final vertex_0_67 = mesh_0.vertices.elementAt(67);
      expect(vertex_0_67, vector3MoreOrLessEquals(Vector3(0.850474536, 0.850473642, 7)));
      final vertex_0_68 = mesh_0.vertices.elementAt(68);
      expect(vertex_0_68, vector3MoreOrLessEquals(Vector3(0.902503431, -0.902504683, 6)));
      final vertex_0_69 = mesh_0.vertices.elementAt(69);
      expect(vertex_0_69, vector3MoreOrLessEquals(Vector3(0.902504504, 0.90250355, 6)));
      final vertex_0_70 = mesh_0.vertices.elementAt(70);
      expect(vertex_0_70, vector3MoreOrLessEquals(Vector3(0.850474536, 0.850473642, 7)));
      final vertex_0_71 = mesh_0.vertices.elementAt(71);
      expect(vertex_0_71, vector3MoreOrLessEquals(Vector3(0.850473523, -0.850474715, 7)));
      final vertex_0_72 = mesh_0.vertices.elementAt(72);
      expect(vertex_0_72, vector3MoreOrLessEquals(Vector3(-0.954533935, 0.954534054, 4.5989356)));
      final vertex_0_73 = mesh_0.vertices.elementAt(73);
      expect(vertex_0_73, vector3MoreOrLessEquals(Vector3(-0.954534352, -0.954533637, 4.5989356)));
      final vertex_0_74 = mesh_0.vertices.elementAt(74);
      expect(vertex_0_74, vector3MoreOrLessEquals(Vector3(-0.902504385, -0.902503729, 6)));
      final vertex_0_75 = mesh_0.vertices.elementAt(75);
      expect(vertex_0_75, vector3MoreOrLessEquals(Vector3(-0.902503967, 0.902504086, 6)));
      final vertex_0_76 = mesh_0.vertices.elementAt(76);
      expect(vertex_0_76, vector3MoreOrLessEquals(Vector3(-0.954534352, -0.954533637, 4.5989356)));
      final vertex_0_77 = mesh_0.vertices.elementAt(77);
      expect(vertex_0_77, vector3MoreOrLessEquals(Vector3(0.954533339, -0.95453465, 4.5989356)));
      final vertex_0_78 = mesh_0.vertices.elementAt(78);
      expect(vertex_0_78, vector3MoreOrLessEquals(Vector3(0.902503431, -0.902504683, 6)));
      final vertex_0_79 = mesh_0.vertices.elementAt(79);
      expect(vertex_0_79, vector3MoreOrLessEquals(Vector3(-0.902504385, -0.902503729, 6)));
      final vertex_0_80 = mesh_0.vertices.elementAt(80);
      expect(vertex_0_80, vector3MoreOrLessEquals(Vector3(-0.902503967, 0.902504086, 6)));
      final vertex_0_81 = mesh_0.vertices.elementAt(81);
      expect(vertex_0_81, vector3MoreOrLessEquals(Vector3(0.902504504, 0.90250355, 6)));
      final vertex_0_82 = mesh_0.vertices.elementAt(82);
      expect(vertex_0_82, vector3MoreOrLessEquals(Vector3(0.90250504, 2.92897224, 6.00944805)));
      final vertex_0_83 = mesh_0.vertices.elementAt(83);
      expect(vertex_0_83, vector3MoreOrLessEquals(Vector3(-0.902503371, 2.92897272, 6.00944805)));
      final vertex_0_84 = mesh_0.vertices.elementAt(84);
      expect(vertex_0_84, vector3MoreOrLessEquals(Vector3(0.954533339, -0.95453465, 4.5989356)));
      final vertex_0_85 = mesh_0.vertices.elementAt(85);
      expect(vertex_0_85, vector3MoreOrLessEquals(Vector3(0.954534471, 0.954533458, 4.5989356)));
      final vertex_0_86 = mesh_0.vertices.elementAt(86);
      expect(vertex_0_86, vector3MoreOrLessEquals(Vector3(0.902504504, 0.90250355, 6)));
      final vertex_0_87 = mesh_0.vertices.elementAt(87);
      expect(vertex_0_87, vector3MoreOrLessEquals(Vector3(0.902503431, -0.902504683, 6)));
      final vertex_0_88 = mesh_0.vertices.elementAt(88);
      expect(vertex_0_88, vector3MoreOrLessEquals(Vector3(0.954535007, 2.92530966, 4.60742235)));
      final vertex_0_89 = mesh_0.vertices.elementAt(89);
      expect(vertex_0_89, vector3MoreOrLessEquals(Vector3(-0.954533339, 2.92531013, 4.60742235)));
      final vertex_0_90 = mesh_0.vertices.elementAt(90);
      expect(vertex_0_90, vector3MoreOrLessEquals(Vector3(-0.902503371, 2.92897272, 6.00944805)));
      final vertex_0_91 = mesh_0.vertices.elementAt(91);
      expect(vertex_0_91, vector3MoreOrLessEquals(Vector3(0.90250504, 2.92897224, 6.00944805)));
      final vertex_0_92 = mesh_0.vertices.elementAt(92);
      expect(vertex_0_92, vector3MoreOrLessEquals(Vector3(-0.954533935, 0.954534054, 4.5989356)));
      final vertex_0_93 = mesh_0.vertices.elementAt(93);
      expect(vertex_0_93, vector3MoreOrLessEquals(Vector3(-0.902503967, 0.902504086, 6)));
      final vertex_0_94 = mesh_0.vertices.elementAt(94);
      expect(vertex_0_94, vector3MoreOrLessEquals(Vector3(-0.902503371, 2.92897272, 6.00944805)));
      final vertex_0_95 = mesh_0.vertices.elementAt(95);
      expect(vertex_0_95, vector3MoreOrLessEquals(Vector3(-0.954533339, 2.92531013, 4.60742235)));
      final vertex_0_96 = mesh_0.vertices.elementAt(96);
      expect(vertex_0_96, vector3MoreOrLessEquals(Vector3(0.954534471, 0.954533458, 4.5989356)));
      final vertex_0_97 = mesh_0.vertices.elementAt(97);
      expect(vertex_0_97, vector3MoreOrLessEquals(Vector3(-0.954533935, 0.954534054, 4.5989356)));
      final vertex_0_98 = mesh_0.vertices.elementAt(98);
      expect(vertex_0_98, vector3MoreOrLessEquals(Vector3(-0.954533339, 2.92531013, 4.60742235)));
      final vertex_0_99 = mesh_0.vertices.elementAt(99);
      expect(vertex_0_99, vector3MoreOrLessEquals(Vector3(0.954535007, 2.92530966, 4.60742235)));
      final vertex_0_100 = mesh_0.vertices.elementAt(100);
      expect(vertex_0_100, vector3MoreOrLessEquals(Vector3(0.902504504, 0.90250355, 6)));
      final vertex_0_101 = mesh_0.vertices.elementAt(101);
      expect(vertex_0_101, vector3MoreOrLessEquals(Vector3(0.954534471, 0.954533458, 4.5989356)));
      final vertex_0_102 = mesh_0.vertices.elementAt(102);
      expect(vertex_0_102, vector3MoreOrLessEquals(Vector3(0.954535007, 2.92530966, 4.60742235)));
      final vertex_0_103 = mesh_0.vertices.elementAt(103);
      expect(vertex_0_103, vector3MoreOrLessEquals(Vector3(0.90250504, 2.92897224, 6.00944805)));
      expect(mesh_0.normals.length, equals(104));
      final normal_0_0 = mesh_0.normals.elementAt(0);
      expect(normal_0_0, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_1 = mesh_0.normals.elementAt(1);
      expect(normal_0_1, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_2 = mesh_0.normals.elementAt(2);
      expect(normal_0_2, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_3 = mesh_0.normals.elementAt(3);
      expect(normal_0_3, vector3MoreOrLessEquals(Vector3(0, 0, -1)));
      final normal_0_4 = mesh_0.normals.elementAt(4);
      expect(normal_0_4, vector3MoreOrLessEquals(Vector3(-0.99999994, 2.23517404e-07, -6.70552183e-08)));
      final normal_0_5 = mesh_0.normals.elementAt(5);
      expect(normal_0_5, vector3MoreOrLessEquals(Vector3(-1, 2.23517446e-07, -6.70552183e-08)));
      final normal_0_6 = mesh_0.normals.elementAt(6);
      expect(normal_0_6, vector3MoreOrLessEquals(Vector3(-0.999900877, 2.18626568e-07, 0.0140835457)));
      final normal_0_7 = mesh_0.normals.elementAt(7);
      expect(normal_0_7, vector3MoreOrLessEquals(Vector3(-0.999900877, 2.18626568e-07, 0.0140835457)));
      final normal_0_8 = mesh_0.normals.elementAt(8);
      expect(normal_0_8, vector3MoreOrLessEquals(Vector3(1, -2.98023224e-07, 4.47033983e-08)));
      final normal_0_9 = mesh_0.normals.elementAt(9);
      expect(normal_0_9, vector3MoreOrLessEquals(Vector3(0.99999994, -4.32133618e-07, 2.23517009e-08)));
      final normal_0_10 = mesh_0.normals.elementAt(10);
      expect(normal_0_10, vector3MoreOrLessEquals(Vector3(1, -4.32133731e-07, 2.23516956e-08)));
      final normal_0_11 = mesh_0.normals.elementAt(11);
      expect(normal_0_11, vector3MoreOrLessEquals(Vector3(1, -2.98023224e-07, 4.47033983e-08)));
      final normal_0_12 = mesh_0.normals.elementAt(12);
      expect(normal_0_12, vector3MoreOrLessEquals(Vector3(-2.83122091e-07, -1, -1.78813991e-07)));
      final normal_0_13 = mesh_0.normals.elementAt(13);
      expect(normal_0_13, vector3MoreOrLessEquals(Vector3(-3.7997961e-07, -0.99999994, -8.94069885e-08)));
      final normal_0_14 = mesh_0.normals.elementAt(14);
      expect(normal_0_14, vector3MoreOrLessEquals(Vector3(-3.79979724e-07, -1, -8.94069885e-08)));
      final normal_0_15 = mesh_0.normals.elementAt(15);
      expect(normal_0_15, vector3MoreOrLessEquals(Vector3(-2.83122091e-07, -1, -1.78813991e-07)));
      final normal_0_16 = mesh_0.normals.elementAt(16);
      expect(normal_0_16, vector3MoreOrLessEquals(Vector3(-1, 2.38418579e-07, -1.34110437e-07)));
      final normal_0_17 = mesh_0.normals.elementAt(17);
      expect(normal_0_17, vector3MoreOrLessEquals(Vector3(-1, 2.23517446e-07, -6.70552183e-08)));
      final normal_0_18 = mesh_0.normals.elementAt(18);
      expect(normal_0_18, vector3MoreOrLessEquals(Vector3(-0.99999994, 2.23517404e-07, -6.70552183e-08)));
      final normal_0_19 = mesh_0.normals.elementAt(19);
      expect(normal_0_19, vector3MoreOrLessEquals(Vector3(-1, 2.38418579e-07, -1.34110437e-07)));
      final normal_0_20 = mesh_0.normals.elementAt(20);
      expect(normal_0_20, vector3MoreOrLessEquals(Vector3(2.53319712e-07, 1, 8.19563866e-08)));
      final normal_0_21 = mesh_0.normals.elementAt(21);
      expect(normal_0_21, vector3MoreOrLessEquals(Vector3(2.38418579e-07, 1, 1.63912787e-07)));
      final normal_0_22 = mesh_0.normals.elementAt(22);
      expect(normal_0_22, vector3MoreOrLessEquals(Vector3(2.38418579e-07, 1, 1.63912787e-07)));
      final normal_0_23 = mesh_0.normals.elementAt(23);
      expect(normal_0_23, vector3MoreOrLessEquals(Vector3(2.53319712e-07, 1, 8.19563866e-08)));
      final normal_0_24 = mesh_0.normals.elementAt(24);
      expect(normal_0_24, vector3MoreOrLessEquals(Vector3(-0.999900877, 2.18626568e-07, 0.0140835457)));
      final normal_0_25 = mesh_0.normals.elementAt(25);
      expect(normal_0_25, vector3MoreOrLessEquals(Vector3(-0.999900877, 2.18626568e-07, 0.0140835457)));
      final normal_0_26 = mesh_0.normals.elementAt(26);
      expect(normal_0_26, vector3MoreOrLessEquals(Vector3(-0.999465942, 2.28853736e-07, 0.0326765552)));
      final normal_0_27 = mesh_0.normals.elementAt(27);
      expect(normal_0_27, vector3MoreOrLessEquals(Vector3(-0.999415994, -5.60840599e-05, 0.0341725014)));
      final normal_0_28 = mesh_0.normals.elementAt(28);
      expect(normal_0_28, vector3MoreOrLessEquals(Vector3(-3.79979724e-07, -1, -8.94069885e-08)));
      final normal_0_29 = mesh_0.normals.elementAt(29);
      expect(normal_0_29, vector3MoreOrLessEquals(Vector3(-3.7997961e-07, -0.99999994, -8.94069885e-08)));
      final normal_0_30 = mesh_0.normals.elementAt(30);
      expect(normal_0_30, vector3MoreOrLessEquals(Vector3(-4.90303023e-07, -0.999900758, 0.014083554)));
      final normal_0_31 = mesh_0.normals.elementAt(31);
      expect(normal_0_31, vector3MoreOrLessEquals(Vector3(-4.90303023e-07, -0.999900758, 0.014083554)));
      final normal_0_32 = mesh_0.normals.elementAt(32);
      expect(normal_0_32, vector3MoreOrLessEquals(Vector3(2.53319712e-07, 1, 8.19563866e-08)));
      final normal_0_33 = mesh_0.normals.elementAt(33);
      expect(normal_0_33, vector3MoreOrLessEquals(Vector3(2.53319712e-07, 1, 8.19563866e-08)));
      final normal_0_34 = mesh_0.normals.elementAt(34);
      expect(normal_0_34, vector3MoreOrLessEquals(Vector3(2.79303805e-07, 0.999900877, 0.0140835689)));
      final normal_0_35 = mesh_0.normals.elementAt(35);
      expect(normal_0_35, vector3MoreOrLessEquals(Vector3(2.79303805e-07, 0.999900877, 0.0140835689)));
      final normal_0_36 = mesh_0.normals.elementAt(36);
      expect(normal_0_36, vector3MoreOrLessEquals(Vector3(1, -4.32133731e-07, 2.23516956e-08)));
      final normal_0_37 = mesh_0.normals.elementAt(37);
      expect(normal_0_37, vector3MoreOrLessEquals(Vector3(0.99999994, -4.32133618e-07, 2.23517009e-08)));
      final normal_0_38 = mesh_0.normals.elementAt(38);
      expect(normal_0_38, vector3MoreOrLessEquals(Vector3(0.999900877, -5.88016917e-07, 0.0140835419)));
      final normal_0_39 = mesh_0.normals.elementAt(39);
      expect(normal_0_39, vector3MoreOrLessEquals(Vector3(0.999900877, -5.88016917e-07, 0.0140835419)));
      final normal_0_40 = mesh_0.normals.elementAt(40);
      expect(normal_0_40, vector3MoreOrLessEquals(Vector3(-0.999120116, -5.46290248e-05, 0.0419409461)));
      final normal_0_41 = mesh_0.normals.elementAt(41);
      expect(normal_0_41, vector3MoreOrLessEquals(Vector3(-0.999017239, 2.16697345e-07, 0.0443249084)));
      final normal_0_42 = mesh_0.normals.elementAt(42);
      expect(normal_0_42, vector3MoreOrLessEquals(Vector3(-0.99864918, 2.0373588e-07, 0.0519596152)));
      final normal_0_43 = mesh_0.normals.elementAt(43);
      expect(normal_0_43, vector3MoreOrLessEquals(Vector3(-0.99864918, 2.0373588e-07, 0.0519596152)));
      final normal_0_44 = mesh_0.normals.elementAt(44);
      expect(normal_0_44, vector3MoreOrLessEquals(Vector3(-4.90303023e-07, -0.999900758, 0.014083554)));
      final normal_0_45 = mesh_0.normals.elementAt(45);
      expect(normal_0_45, vector3MoreOrLessEquals(Vector3(-4.90303023e-07, -0.999900758, 0.014083554)));
      final normal_0_46 = mesh_0.normals.elementAt(46);
      expect(normal_0_46, vector3MoreOrLessEquals(Vector3(-5.20599542e-07, -0.999465942, 0.0326765701)));
      final normal_0_47 = mesh_0.normals.elementAt(47);
      expect(normal_0_47, vector3MoreOrLessEquals(Vector3(-5.20599542e-07, -0.999465942, 0.0326765664)));
      final normal_0_48 = mesh_0.normals.elementAt(48);
      expect(normal_0_48, vector3MoreOrLessEquals(Vector3(2.79303805e-07, 0.999900877, 0.0140835689)));
      final normal_0_49 = mesh_0.normals.elementAt(49);
      expect(normal_0_49, vector3MoreOrLessEquals(Vector3(2.79303805e-07, 0.999900877, 0.0140835689)));
      final normal_0_50 = mesh_0.normals.elementAt(50);
      expect(normal_0_50, vector3MoreOrLessEquals(Vector3(2.9053399e-07, 0.999596, 0.0284237359)));
      final normal_0_51 = mesh_0.normals.elementAt(51);
      expect(normal_0_51, vector3MoreOrLessEquals(Vector3(2.9053399e-07, 0.999596, 0.0284237359)));
      final normal_0_52 = mesh_0.normals.elementAt(52);
      expect(normal_0_52, vector3MoreOrLessEquals(Vector3(0.999900877, -5.88016917e-07, 0.0140835419)));
      final normal_0_53 = mesh_0.normals.elementAt(53);
      expect(normal_0_53, vector3MoreOrLessEquals(Vector3(0.999900877, -5.88016917e-07, 0.0140835419)));
      final normal_0_54 = mesh_0.normals.elementAt(54);
      expect(normal_0_54, vector3MoreOrLessEquals(Vector3(0.999415994, -5.68357354e-05, 0.0341724902)));
      final normal_0_55 = mesh_0.normals.elementAt(55);
      expect(normal_0_55, vector3MoreOrLessEquals(Vector3(0.999465942, -6.02804903e-07, 0.0326765403)));
      final normal_0_56 = mesh_0.normals.elementAt(56);
      expect(normal_0_56, vector3MoreOrLessEquals(Vector3(5.1503639e-07, 0, 1)));
      final normal_0_57 = mesh_0.normals.elementAt(57);
      expect(normal_0_57, vector3MoreOrLessEquals(Vector3(5.1503639e-07, 0, 1)));
      final normal_0_58 = mesh_0.normals.elementAt(58);
      expect(normal_0_58, vector3MoreOrLessEquals(Vector3(5.1503639e-07, 0, 1)));
      final normal_0_59 = mesh_0.normals.elementAt(59);
      expect(normal_0_59, vector3MoreOrLessEquals(Vector3(5.1503639e-07, 0, 1)));
      final normal_0_60 = mesh_0.normals.elementAt(60);
      expect(normal_0_60, vector3MoreOrLessEquals(Vector3(-5.32332137e-07, -0.999017239, 0.0443249457)));
      final normal_0_61 = mesh_0.normals.elementAt(61);
      expect(normal_0_61, vector3MoreOrLessEquals(Vector3(-5.32332137e-07, -0.999017239, 0.0443249457)));
      final normal_0_62 = mesh_0.normals.elementAt(62);
      expect(normal_0_62, vector3MoreOrLessEquals(Vector3(-5.26318104e-07, -0.99864912, 0.051959686)));
      final normal_0_63 = mesh_0.normals.elementAt(63);
      expect(normal_0_63, vector3MoreOrLessEquals(Vector3(-5.26318104e-07, -0.99864912, 0.051959686)));
      final normal_0_64 = mesh_0.normals.elementAt(64);
      expect(normal_0_64, vector3MoreOrLessEquals(Vector3(2.88625927e-07, 0.99864912, 0.0519596636)));
      final normal_0_65 = mesh_0.normals.elementAt(65);
      expect(normal_0_65, vector3MoreOrLessEquals(Vector3(2.88625927e-07, 0.99864912, 0.0519596636)));
      final normal_0_66 = mesh_0.normals.elementAt(66);
      expect(normal_0_66, vector3MoreOrLessEquals(Vector3(2.88625927e-07, 0.99864912, 0.0519596636)));
      final normal_0_67 = mesh_0.normals.elementAt(67);
      expect(normal_0_67, vector3MoreOrLessEquals(Vector3(2.88625927e-07, 0.99864912, 0.0519596636)));
      final normal_0_68 = mesh_0.normals.elementAt(68);
      expect(normal_0_68, vector3MoreOrLessEquals(Vector3(0.999017239, -6.03001467e-07, 0.0443249159)));
      final normal_0_69 = mesh_0.normals.elementAt(69);
      expect(normal_0_69, vector3MoreOrLessEquals(Vector3(0.999120116, -5.53747705e-05, 0.0419409536)));
      final normal_0_70 = mesh_0.normals.elementAt(70);
      expect(normal_0_70, vector3MoreOrLessEquals(Vector3(0.99864918, -6.11207952e-07, 0.0519596525)));
      final normal_0_71 = mesh_0.normals.elementAt(71);
      expect(normal_0_71, vector3MoreOrLessEquals(Vector3(0.99864918, -6.11207952e-07, 0.0519596525)));
      final normal_0_72 = mesh_0.normals.elementAt(72);
      expect(normal_0_72, vector3MoreOrLessEquals(Vector3(-0.999415994, -5.60840599e-05, 0.0341725014)));
      final normal_0_73 = mesh_0.normals.elementAt(73);
      expect(normal_0_73, vector3MoreOrLessEquals(Vector3(-0.999465942, 2.28853736e-07, 0.0326765552)));
      final normal_0_74 = mesh_0.normals.elementAt(74);
      expect(normal_0_74, vector3MoreOrLessEquals(Vector3(-0.999017239, 2.16697345e-07, 0.0443249084)));
      final normal_0_75 = mesh_0.normals.elementAt(75);
      expect(normal_0_75, vector3MoreOrLessEquals(Vector3(-0.999120116, -5.46290248e-05, 0.0419409461)));
      final normal_0_76 = mesh_0.normals.elementAt(76);
      expect(normal_0_76, vector3MoreOrLessEquals(Vector3(-5.20599542e-07, -0.999465942, 0.0326765664)));
      final normal_0_77 = mesh_0.normals.elementAt(77);
      expect(normal_0_77, vector3MoreOrLessEquals(Vector3(-5.20599542e-07, -0.999465942, 0.0326765701)));
      final normal_0_78 = mesh_0.normals.elementAt(78);
      expect(normal_0_78, vector3MoreOrLessEquals(Vector3(-5.32332137e-07, -0.999017239, 0.0443249457)));
      final normal_0_79 = mesh_0.normals.elementAt(79);
      expect(normal_0_79, vector3MoreOrLessEquals(Vector3(-5.32332137e-07, -0.999017239, 0.0443249457)));
      final normal_0_80 = mesh_0.normals.elementAt(80);
      expect(normal_0_80, vector3MoreOrLessEquals(Vector3(-1.23165333e-09, -0.00466227205, 0.999989092)));
      final normal_0_81 = mesh_0.normals.elementAt(81);
      expect(normal_0_81, vector3MoreOrLessEquals(Vector3(-1.23165333e-09, -0.00466227205, 0.999989092)));
      final normal_0_82 = mesh_0.normals.elementAt(82);
      expect(normal_0_82, vector3MoreOrLessEquals(Vector3(-1.23165333e-09, -0.00466227205, 0.999989092)));
      final normal_0_83 = mesh_0.normals.elementAt(83);
      expect(normal_0_83, vector3MoreOrLessEquals(Vector3(-1.23165333e-09, -0.00466227205, 0.999989092)));
      final normal_0_84 = mesh_0.normals.elementAt(84);
      expect(normal_0_84, vector3MoreOrLessEquals(Vector3(0.999465942, -6.02804903e-07, 0.0326765403)));
      final normal_0_85 = mesh_0.normals.elementAt(85);
      expect(normal_0_85, vector3MoreOrLessEquals(Vector3(0.999415994, -5.68357354e-05, 0.0341724902)));
      final normal_0_86 = mesh_0.normals.elementAt(86);
      expect(normal_0_86, vector3MoreOrLessEquals(Vector3(0.999120116, -5.53747705e-05, 0.0419409536)));
      final normal_0_87 = mesh_0.normals.elementAt(87);
      expect(normal_0_87, vector3MoreOrLessEquals(Vector3(0.999017239, -6.03001467e-07, 0.0443249159)));
      final normal_0_88 = mesh_0.normals.elementAt(88);
      expect(normal_0_88, vector3MoreOrLessEquals(Vector3(2.56414438e-07, 0.999996603, -0.00261217728)));
      final normal_0_89 = mesh_0.normals.elementAt(89);
      expect(normal_0_89, vector3MoreOrLessEquals(Vector3(2.56414438e-07, 0.999996603, -0.00261217728)));
      final normal_0_90 = mesh_0.normals.elementAt(90);
      expect(normal_0_90, vector3MoreOrLessEquals(Vector3(2.56414438e-07, 0.999996603, -0.00261217728)));
      final normal_0_91 = mesh_0.normals.elementAt(91);
      expect(normal_0_91, vector3MoreOrLessEquals(Vector3(2.56414438e-07, 0.999996603, -0.00261217728)));
      final normal_0_92 = mesh_0.normals.elementAt(92);
      expect(normal_0_92, vector3MoreOrLessEquals(Vector3(-0.999415994, -5.60840599e-05, 0.0341725014)));
      final normal_0_93 = mesh_0.normals.elementAt(93);
      expect(normal_0_93, vector3MoreOrLessEquals(Vector3(-0.999120116, -5.46290248e-05, 0.0419409461)));
      final normal_0_94 = mesh_0.normals.elementAt(94);
      expect(normal_0_94, vector3MoreOrLessEquals(Vector3(-0.999311745, -0.000166100799, 0.0370948613)));
      final normal_0_95 = mesh_0.normals.elementAt(95);
      expect(normal_0_95, vector3MoreOrLessEquals(Vector3(-0.999311745, -0.000166100799, 0.0370948613)));
      final normal_0_96 = mesh_0.normals.elementAt(96);
      expect(normal_0_96, vector3MoreOrLessEquals(Vector3(7.69835609e-08, 0.00430625724, -0.999990702)));
      final normal_0_97 = mesh_0.normals.elementAt(97);
      expect(normal_0_97, vector3MoreOrLessEquals(Vector3(7.69835609e-08, 0.00430625724, -0.999990702)));
      final normal_0_98 = mesh_0.normals.elementAt(98);
      expect(normal_0_98, vector3MoreOrLessEquals(Vector3(7.69835609e-08, 0.00430625724, -0.999990702)));
      final normal_0_99 = mesh_0.normals.elementAt(99);
      expect(normal_0_99, vector3MoreOrLessEquals(Vector3(7.69835609e-08, 0.00430625724, -0.999990702)));
      final normal_0_100 = mesh_0.normals.elementAt(100);
      expect(normal_0_100, vector3MoreOrLessEquals(Vector3(0.999120116, -5.53747705e-05, 0.0419409536)));
      final normal_0_101 = mesh_0.normals.elementAt(101);
      expect(normal_0_101, vector3MoreOrLessEquals(Vector3(0.999415994, -5.68357354e-05, 0.0341724902)));
      final normal_0_102 = mesh_0.normals.elementAt(102);
      expect(normal_0_102, vector3MoreOrLessEquals(Vector3(0.999311805, -0.000166696205, 0.037094865)));
      final normal_0_103 = mesh_0.normals.elementAt(103);
      expect(normal_0_103, vector3MoreOrLessEquals(Vector3(0.999311805, -0.000166696205, 0.037094865)));
      expect(mesh_0.tangents.length, isZero);
      expect(mesh_0.bitangents.length, isZero);
      expect(mesh_0.colors.length, equals(1));
      final colors_0_0 = mesh_0.colors.elementAt(0);
      expect(colors_0_0.length, equals(104));
      final color_0_0_0 = colors_0_0.elementAt(0);
      expect(color_0_0_0, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_1 = colors_0_0.elementAt(1);
      expect(color_0_0_1, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_2 = colors_0_0.elementAt(2);
      expect(color_0_0_2, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_3 = colors_0_0.elementAt(3);
      expect(color_0_0_3, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_4 = colors_0_0.elementAt(4);
      expect(color_0_0_4, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_5 = colors_0_0.elementAt(5);
      expect(color_0_0_5, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_6 = colors_0_0.elementAt(6);
      expect(color_0_0_6, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_7 = colors_0_0.elementAt(7);
      expect(color_0_0_7, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_8 = colors_0_0.elementAt(8);
      expect(color_0_0_8, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_9 = colors_0_0.elementAt(9);
      expect(color_0_0_9, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_10 = colors_0_0.elementAt(10);
      expect(color_0_0_10, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_11 = colors_0_0.elementAt(11);
      expect(color_0_0_11, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_12 = colors_0_0.elementAt(12);
      expect(color_0_0_12, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_13 = colors_0_0.elementAt(13);
      expect(color_0_0_13, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_14 = colors_0_0.elementAt(14);
      expect(color_0_0_14, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_15 = colors_0_0.elementAt(15);
      expect(color_0_0_15, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_16 = colors_0_0.elementAt(16);
      expect(color_0_0_16, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_17 = colors_0_0.elementAt(17);
      expect(color_0_0_17, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_18 = colors_0_0.elementAt(18);
      expect(color_0_0_18, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_19 = colors_0_0.elementAt(19);
      expect(color_0_0_19, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_20 = colors_0_0.elementAt(20);
      expect(color_0_0_20, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_21 = colors_0_0.elementAt(21);
      expect(color_0_0_21, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_22 = colors_0_0.elementAt(22);
      expect(color_0_0_22, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_23 = colors_0_0.elementAt(23);
      expect(color_0_0_23, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_24 = colors_0_0.elementAt(24);
      expect(color_0_0_24, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_25 = colors_0_0.elementAt(25);
      expect(color_0_0_25, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_26 = colors_0_0.elementAt(26);
      expect(color_0_0_26, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_27 = colors_0_0.elementAt(27);
      expect(color_0_0_27, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_28 = colors_0_0.elementAt(28);
      expect(color_0_0_28, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_29 = colors_0_0.elementAt(29);
      expect(color_0_0_29, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_30 = colors_0_0.elementAt(30);
      expect(color_0_0_30, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_31 = colors_0_0.elementAt(31);
      expect(color_0_0_31, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_32 = colors_0_0.elementAt(32);
      expect(color_0_0_32, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_33 = colors_0_0.elementAt(33);
      expect(color_0_0_33, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_34 = colors_0_0.elementAt(34);
      expect(color_0_0_34, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_35 = colors_0_0.elementAt(35);
      expect(color_0_0_35, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_36 = colors_0_0.elementAt(36);
      expect(color_0_0_36, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_37 = colors_0_0.elementAt(37);
      expect(color_0_0_37, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_38 = colors_0_0.elementAt(38);
      expect(color_0_0_38, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_39 = colors_0_0.elementAt(39);
      expect(color_0_0_39, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_40 = colors_0_0.elementAt(40);
      expect(color_0_0_40, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_41 = colors_0_0.elementAt(41);
      expect(color_0_0_41, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_42 = colors_0_0.elementAt(42);
      expect(color_0_0_42, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_43 = colors_0_0.elementAt(43);
      expect(color_0_0_43, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_44 = colors_0_0.elementAt(44);
      expect(color_0_0_44, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_45 = colors_0_0.elementAt(45);
      expect(color_0_0_45, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_46 = colors_0_0.elementAt(46);
      expect(color_0_0_46, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_47 = colors_0_0.elementAt(47);
      expect(color_0_0_47, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_48 = colors_0_0.elementAt(48);
      expect(color_0_0_48, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_49 = colors_0_0.elementAt(49);
      expect(color_0_0_49, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_50 = colors_0_0.elementAt(50);
      expect(color_0_0_50, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_51 = colors_0_0.elementAt(51);
      expect(color_0_0_51, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_52 = colors_0_0.elementAt(52);
      expect(color_0_0_52, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_53 = colors_0_0.elementAt(53);
      expect(color_0_0_53, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_54 = colors_0_0.elementAt(54);
      expect(color_0_0_54, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_55 = colors_0_0.elementAt(55);
      expect(color_0_0_55, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_56 = colors_0_0.elementAt(56);
      expect(color_0_0_56, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_57 = colors_0_0.elementAt(57);
      expect(color_0_0_57, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_58 = colors_0_0.elementAt(58);
      expect(color_0_0_58, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_59 = colors_0_0.elementAt(59);
      expect(color_0_0_59, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_60 = colors_0_0.elementAt(60);
      expect(color_0_0_60, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_61 = colors_0_0.elementAt(61);
      expect(color_0_0_61, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_62 = colors_0_0.elementAt(62);
      expect(color_0_0_62, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_63 = colors_0_0.elementAt(63);
      expect(color_0_0_63, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_64 = colors_0_0.elementAt(64);
      expect(color_0_0_64, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_65 = colors_0_0.elementAt(65);
      expect(color_0_0_65, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_66 = colors_0_0.elementAt(66);
      expect(color_0_0_66, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_67 = colors_0_0.elementAt(67);
      expect(color_0_0_67, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_68 = colors_0_0.elementAt(68);
      expect(color_0_0_68, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_69 = colors_0_0.elementAt(69);
      expect(color_0_0_69, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_70 = colors_0_0.elementAt(70);
      expect(color_0_0_70, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_71 = colors_0_0.elementAt(71);
      expect(color_0_0_71, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_72 = colors_0_0.elementAt(72);
      expect(color_0_0_72, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_73 = colors_0_0.elementAt(73);
      expect(color_0_0_73, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_74 = colors_0_0.elementAt(74);
      expect(color_0_0_74, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_75 = colors_0_0.elementAt(75);
      expect(color_0_0_75, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_76 = colors_0_0.elementAt(76);
      expect(color_0_0_76, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_77 = colors_0_0.elementAt(77);
      expect(color_0_0_77, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_78 = colors_0_0.elementAt(78);
      expect(color_0_0_78, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_79 = colors_0_0.elementAt(79);
      expect(color_0_0_79, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_80 = colors_0_0.elementAt(80);
      expect(color_0_0_80, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_81 = colors_0_0.elementAt(81);
      expect(color_0_0_81, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_82 = colors_0_0.elementAt(82);
      expect(color_0_0_82, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_83 = colors_0_0.elementAt(83);
      expect(color_0_0_83, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_84 = colors_0_0.elementAt(84);
      expect(color_0_0_84, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_85 = colors_0_0.elementAt(85);
      expect(color_0_0_85, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_86 = colors_0_0.elementAt(86);
      expect(color_0_0_86, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_87 = colors_0_0.elementAt(87);
      expect(color_0_0_87, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_88 = colors_0_0.elementAt(88);
      expect(color_0_0_88, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_89 = colors_0_0.elementAt(89);
      expect(color_0_0_89, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_90 = colors_0_0.elementAt(90);
      expect(color_0_0_90, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_91 = colors_0_0.elementAt(91);
      expect(color_0_0_91, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_92 = colors_0_0.elementAt(92);
      expect(color_0_0_92, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_93 = colors_0_0.elementAt(93);
      expect(color_0_0_93, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_94 = colors_0_0.elementAt(94);
      expect(color_0_0_94, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_95 = colors_0_0.elementAt(95);
      expect(color_0_0_95, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_96 = colors_0_0.elementAt(96);
      expect(color_0_0_96, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_97 = colors_0_0.elementAt(97);
      expect(color_0_0_97, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_98 = colors_0_0.elementAt(98);
      expect(color_0_0_98, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_99 = colors_0_0.elementAt(99);
      expect(color_0_0_99, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_100 = colors_0_0.elementAt(100);
      expect(color_0_0_100, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_101 = colors_0_0.elementAt(101);
      expect(color_0_0_101, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_102 = colors_0_0.elementAt(102);
      expect(color_0_0_102, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      final color_0_0_103 = colors_0_0.elementAt(103);
      expect(color_0_0_103, vector4MoreOrLessEquals(Vector4(1, 1, 1, 1)));
      expect(mesh_0.textureCoords.length, equals(1));
      final textureCoords_0_0 = mesh_0.textureCoords.elementAt(0);
      expect(textureCoords_0_0.length, equals(104));
      final textureCoord_0_0_0 = textureCoords_0_0.elementAt(0);
      expect(textureCoord_0_0_0, vector3MoreOrLessEquals(Vector3(0.853708029, 0.146291852, 0)));
      final textureCoord_0_0_1 = textureCoords_0_0.elementAt(1);
      expect(textureCoord_0_0_1, vector3MoreOrLessEquals(Vector3(0.853708029, 0.000168132377, 0)));
      final textureCoord_0_0_2 = textureCoords_0_0.elementAt(2);
      expect(textureCoord_0_0_2, vector3MoreOrLessEquals(Vector3(0.999831796, 0.000168132377, 0)));
      final textureCoord_0_0_3 = textureCoords_0_0.elementAt(3);
      expect(textureCoord_0_0_3, vector3MoreOrLessEquals(Vector3(0.999831736, 0.146291822, 0)));
      final textureCoord_0_0_4 = textureCoords_0_0.elementAt(4);
      expect(textureCoord_0_0_4, vector3MoreOrLessEquals(Vector3(0.41687876, 0.150382593, 0)));
      final textureCoord_0_0_5 = textureCoords_0_0.elementAt(5);
      expect(textureCoord_0_0_5, vector3MoreOrLessEquals(Vector3(0.562943757, 0.146233112, 0)));
      final textureCoord_0_0_6 = textureCoords_0_0.elementAt(6);
      expect(textureCoord_0_0_6, vector3MoreOrLessEquals(Vector3(0.567093253, 0.292297989, 0)));
      final textureCoord_0_0_7 = textureCoords_0_0.elementAt(7);
      expect(textureCoord_0_0_7, vector3MoreOrLessEquals(Vector3(0.421028376, 0.296447664, 0)));
      final textureCoord_0_0_8 = textureCoords_0_0.elementAt(8);
      expect(textureCoord_0_0_8, vector3MoreOrLessEquals(Vector3(0.158043012, 0.00558678387, 0)));
      final textureCoord_0_0_9 = textureCoords_0_0.elementAt(9);
      expect(textureCoord_0_0_9, vector3MoreOrLessEquals(Vector3(0.152624279, 0.151610091, 0)));
      final textureCoord_0_0_10 = textureCoords_0_0.elementAt(10);
      expect(textureCoord_0_0_10, vector3MoreOrLessEquals(Vector3(0.00660100486, 0.146191463, 0)));
      final textureCoord_0_0_11 = textureCoords_0_0.elementAt(11);
      expect(textureCoord_0_0_11, vector3MoreOrLessEquals(Vector3(0.012019665, 0.000168132377, 0)));
      final textureCoord_0_0_12 = textureCoords_0_0.elementAt(12);
      expect(textureCoord_0_0_12, vector3MoreOrLessEquals(Vector3(0.713553131, 0.000168132377, 0)));
      final textureCoord_0_0_13 = textureCoords_0_0.elementAt(13);
      expect(textureCoord_0_0_13, vector3MoreOrLessEquals(Vector3(0.713554084, 0.146291748, 0)));
      final textureCoord_0_0_14 = textureCoords_0_0.elementAt(14);
      expect(textureCoord_0_0_14, vector3MoreOrLessEquals(Vector3(0.567430437, 0.146292761, 0)));
      final textureCoord_0_0_15 = textureCoords_0_0.elementAt(15);
      expect(textureCoord_0_0_15, vector3MoreOrLessEquals(Vector3(0.567429483, 0.000169101244, 0)));
      final textureCoord_0_0_16 = textureCoords_0_0.elementAt(16);
      expect(textureCoord_0_0_16, vector3MoreOrLessEquals(Vector3(0.55879432, 0.000168132377, 0)));
      final textureCoord_0_0_17 = textureCoords_0_0.elementAt(17);
      expect(textureCoord_0_0_17, vector3MoreOrLessEquals(Vector3(0.562943757, 0.146233112, 0)));
      final textureCoord_0_0_18 = textureCoords_0_0.elementAt(18);
      expect(textureCoord_0_0_18, vector3MoreOrLessEquals(Vector3(0.41687876, 0.150382593, 0)));
      final textureCoord_0_0_19 = textureCoords_0_0.elementAt(19);
      expect(textureCoord_0_0_19, vector3MoreOrLessEquals(Vector3(0.412729383, 0.00431754347, 0)));
      final textureCoord_0_0_20 = textureCoords_0_0.elementAt(20);
      expect(textureCoord_0_0_20, vector3MoreOrLessEquals(Vector3(0.853708029, 0.292415559, 0)));
      final textureCoord_0_0_21 = textureCoords_0_0.elementAt(21);
      expect(textureCoord_0_0_21, vector3MoreOrLessEquals(Vector3(0.853708029, 0.146291852, 0)));
      final textureCoord_0_0_22 = textureCoords_0_0.elementAt(22);
      expect(textureCoord_0_0_22, vector3MoreOrLessEquals(Vector3(0.999831736, 0.146291822, 0)));
      final textureCoord_0_0_23 = textureCoords_0_0.elementAt(23);
      expect(textureCoord_0_0_23, vector3MoreOrLessEquals(Vector3(0.999831855, 0.2924155, 0)));
      final textureCoord_0_0_24 = textureCoords_0_0.elementAt(24);
      expect(textureCoord_0_0_24, vector3MoreOrLessEquals(Vector3(0.421028376, 0.296447664, 0)));
      final textureCoord_0_0_25 = textureCoords_0_0.elementAt(25);
      expect(textureCoord_0_0_25, vector3MoreOrLessEquals(Vector3(0.567093253, 0.292297989, 0)));
      final textureCoord_0_0_26 = textureCoords_0_0.elementAt(26);
      expect(textureCoord_0_0_26, vector3MoreOrLessEquals(Vector3(0.567091584, 0.409213543, 0)));
      final textureCoord_0_0_27 = textureCoords_0_0.elementAt(27);
      expect(textureCoord_0_0_27, vector3MoreOrLessEquals(Vector3(0.427667856, 0.413174659, 0)));
      final textureCoord_0_0_28 = textureCoords_0_0.elementAt(28);
      expect(textureCoord_0_0_28, vector3MoreOrLessEquals(Vector3(0.567430437, 0.146292761, 0)));
      final textureCoord_0_0_29 = textureCoords_0_0.elementAt(29);
      expect(textureCoord_0_0_29, vector3MoreOrLessEquals(Vector3(0.713554084, 0.146291748, 0)));
      final textureCoord_0_0_30 = textureCoords_0_0.elementAt(30);
      expect(textureCoord_0_0_30, vector3MoreOrLessEquals(Vector3(0.713555098, 0.29241538, 0)));
      final textureCoord_0_0_31 = textureCoords_0_0.elementAt(31);
      expect(textureCoord_0_0_31, vector3MoreOrLessEquals(Vector3(0.56743145, 0.292416424, 0)));
      final textureCoord_0_0_32 = textureCoords_0_0.elementAt(32);
      expect(textureCoord_0_0_32, vector3MoreOrLessEquals(Vector3(0.853708029, 0.292415559, 0)));
      final textureCoord_0_0_33 = textureCoords_0_0.elementAt(33);
      expect(textureCoord_0_0_33, vector3MoreOrLessEquals(Vector3(0.999831855, 0.2924155, 0)));
      final textureCoord_0_0_34 = textureCoords_0_0.elementAt(34);
      expect(textureCoord_0_0_34, vector3MoreOrLessEquals(Vector3(0.999831855, 0.438539207, 0)));
      final textureCoord_0_0_35 = textureCoords_0_0.elementAt(35);
      expect(textureCoord_0_0_35, vector3MoreOrLessEquals(Vector3(0.853708148, 0.438539267, 0)));
      final textureCoord_0_0_36 = textureCoords_0_0.elementAt(36);
      expect(textureCoord_0_0_36, vector3MoreOrLessEquals(Vector3(0.00660100486, 0.146191463, 0)));
      final textureCoord_0_0_37 = textureCoords_0_0.elementAt(37);
      expect(textureCoord_0_0_37, vector3MoreOrLessEquals(Vector3(0.152624279, 0.151610091, 0)));
      final textureCoord_0_0_38 = textureCoords_0_0.elementAt(38);
      expect(textureCoord_0_0_38, vector3MoreOrLessEquals(Vector3(0.147205621, 0.297633439, 0)));
      final textureCoord_0_0_39 = textureCoords_0_0.elementAt(39);
      expect(textureCoord_0_0_39, vector3MoreOrLessEquals(Vector3(0.00118239818, 0.292214692, 0)));
      final textureCoord_0_0_40 = textureCoords_0_0.elementAt(40);
      expect(textureCoord_0_0_40, vector3MoreOrLessEquals(Vector3(0.434376955, 0.515460253, 0)));
      final textureCoord_0_0_41 = textureCoords_0_0.elementAt(41);
      expect(textureCoord_0_0_41, vector3MoreOrLessEquals(Vector3(0.566200733, 0.511714876, 0)));
      final textureCoord_0_0_42 = textureCoords_0_0.elementAt(42);
      expect(textureCoord_0_0_42, vector3MoreOrLessEquals(Vector3(0.564478636, 0.584953725, 0)));
      final textureCoord_0_0_43 = textureCoords_0_0.elementAt(43);
      expect(textureCoord_0_0_43, vector3MoreOrLessEquals(Vector3(0.440254718, 0.588483334, 0)));
      final textureCoord_0_0_44 = textureCoords_0_0.elementAt(44);
      expect(textureCoord_0_0_44, vector3MoreOrLessEquals(Vector3(0.56743145, 0.292416424, 0)));
      final textureCoord_0_0_45 = textureCoords_0_0.elementAt(45);
      expect(textureCoord_0_0_45, vector3MoreOrLessEquals(Vector3(0.713555098, 0.29241538, 0)));
      final textureCoord_0_0_46 = textureCoords_0_0.elementAt(46);
      expect(textureCoord_0_0_46, vector3MoreOrLessEquals(Vector3(0.710234225, 0.409283787, 0)));
      final textureCoord_0_0_47 = textureCoords_0_0.elementAt(47);
      expect(textureCoord_0_0_47, vector3MoreOrLessEquals(Vector3(0.570754111, 0.40928486, 0)));
      final textureCoord_0_0_48 = textureCoords_0_0.elementAt(48);
      expect(textureCoord_0_0_48, vector3MoreOrLessEquals(Vector3(0.853708148, 0.438539267, 0)));
      final textureCoord_0_0_49 = textureCoords_0_0.elementAt(49);
      expect(textureCoord_0_0_49, vector3MoreOrLessEquals(Vector3(0.999831855, 0.438539207, 0)));
      final textureCoord_0_0_50 = textureCoords_0_0.elementAt(50);
      expect(textureCoord_0_0_50, vector3MoreOrLessEquals(Vector3(0.996510148, 0.555407643, 0)));
      final textureCoord_0_0_51 = textureCoords_0_0.elementAt(51);
      expect(textureCoord_0_0_51, vector3MoreOrLessEquals(Vector3(0.857030094, 0.555407703, 0)));
      final textureCoord_0_0_52 = textureCoords_0_0.elementAt(52);
      expect(textureCoord_0_0_52, vector3MoreOrLessEquals(Vector3(0.00118239818, 0.292214692, 0)));
      final textureCoord_0_0_53 = textureCoords_0_0.elementAt(53);
      expect(textureCoord_0_0_53, vector3MoreOrLessEquals(Vector3(0.147205621, 0.297633439, 0)));
      final textureCoord_0_0_54 = textureCoords_0_0.elementAt(54);
      expect(textureCoord_0_0_54, vector3MoreOrLessEquals(Vector3(0.139552221, 0.414298385, 0)));
      final textureCoord_0_0_55 = textureCoords_0_0.elementAt(55);
      expect(textureCoord_0_0_55, vector3MoreOrLessEquals(Vector3(0.000168132377, 0.409125805, 0)));
      final textureCoord_0_0_56 = textureCoords_0_0.elementAt(56);
      expect(textureCoord_0_0_56, vector3MoreOrLessEquals(Vector3(0.721494079, 0.467813075, 0)));
      final textureCoord_0_0_57 = textureCoords_0_0.elementAt(57);
      expect(textureCoord_0_0_57, vector3MoreOrLessEquals(Vector3(0.845768571, 0.467813075, 0)));
      final textureCoord_0_0_58 = textureCoords_0_0.elementAt(58);
      expect(textureCoord_0_0_58, vector3MoreOrLessEquals(Vector3(0.845768452, 0.592087388, 0)));
      final textureCoord_0_0_59 = textureCoords_0_0.elementAt(59);
      expect(textureCoord_0_0_59, vector3MoreOrLessEquals(Vector3(0.721494257, 0.592087388, 0)));
      final textureCoord_0_0_60 = textureCoords_0_0.elementAt(60);
      expect(textureCoord_0_0_60, vector3MoreOrLessEquals(Vector3(0.574556231, 0.511719763, 0)));
      final textureCoord_0_0_61 = textureCoords_0_0.elementAt(61);
      expect(textureCoord_0_0_61, vector3MoreOrLessEquals(Vector3(0.706433594, 0.51171875, 0)));
      final textureCoord_0_0_62 = textureCoords_0_0.elementAt(62);
      expect(textureCoord_0_0_62, vector3MoreOrLessEquals(Vector3(0.702632725, 0.584879518, 0)));
      final textureCoord_0_0_63 = textureCoords_0_0.elementAt(63);
      expect(textureCoord_0_0_63, vector3MoreOrLessEquals(Vector3(0.578358173, 0.584880531, 0)));
      final textureCoord_0_0_64 = textureCoords_0_0.elementAt(64);
      expect(textureCoord_0_0_64, vector3MoreOrLessEquals(Vector3(0.717692673, 0.394652456, 0)));
      final textureCoord_0_0_65 = textureCoords_0_0.elementAt(65);
      expect(textureCoord_0_0_65, vector3MoreOrLessEquals(Vector3(0.849569917, 0.394652456, 0)));
      final textureCoord_0_0_66 = textureCoords_0_0.elementAt(66);
      expect(textureCoord_0_0_66, vector3MoreOrLessEquals(Vector3(0.845768571, 0.467813075, 0)));
      final textureCoord_0_0_67 = textureCoords_0_0.elementAt(67);
      expect(textureCoord_0_0_67, vector3MoreOrLessEquals(Vector3(0.721494079, 0.467813075, 0)));
      final textureCoord_0_0_68 = textureCoords_0_0.elementAt(68);
      expect(textureCoord_0_0_68, vector3MoreOrLessEquals(Vector3(0.000168240033, 0.511631131, 0)));
      final textureCoord_0_0_69 = textureCoords_0_0.elementAt(69);
      expect(textureCoord_0_0_69, vector3MoreOrLessEquals(Vector3(0.131954581, 0.516521931, 0)));
      final textureCoord_0_0_70 = textureCoords_0_0.elementAt(70);
      expect(textureCoord_0_0_70, vector3MoreOrLessEquals(Vector3(0.12544255, 0.589491248, 0)));
      final textureCoord_0_0_71 = textureCoords_0_0.elementAt(71);
      expect(textureCoord_0_0_71, vector3MoreOrLessEquals(Vector3(0.00125384354, 0.5848822, 0)));
      final textureCoord_0_0_72 = textureCoords_0_0.elementAt(72);
      expect(textureCoord_0_0_72, vector3MoreOrLessEquals(Vector3(0.427667856, 0.413174659, 0)));
      final textureCoord_0_0_73 = textureCoords_0_0.elementAt(73);
      expect(textureCoord_0_0_73, vector3MoreOrLessEquals(Vector3(0.567091584, 0.409213543, 0)));
      final textureCoord_0_0_74 = textureCoords_0_0.elementAt(74);
      expect(textureCoord_0_0_74, vector3MoreOrLessEquals(Vector3(0.566200733, 0.511714876, 0)));
      final textureCoord_0_0_75 = textureCoords_0_0.elementAt(75);
      expect(textureCoord_0_0_75, vector3MoreOrLessEquals(Vector3(0.434376955, 0.515460253, 0)));
      final textureCoord_0_0_76 = textureCoords_0_0.elementAt(76);
      expect(textureCoord_0_0_76, vector3MoreOrLessEquals(Vector3(0.570754111, 0.40928486, 0)));
      final textureCoord_0_0_77 = textureCoords_0_0.elementAt(77);
      expect(textureCoord_0_0_77, vector3MoreOrLessEquals(Vector3(0.710234225, 0.409283787, 0)));
      final textureCoord_0_0_78 = textureCoords_0_0.elementAt(78);
      expect(textureCoord_0_0_78, vector3MoreOrLessEquals(Vector3(0.706433594, 0.51171875, 0)));
      final textureCoord_0_0_79 = textureCoords_0_0.elementAt(79);
      expect(textureCoord_0_0_79, vector3MoreOrLessEquals(Vector3(0.574556231, 0.511719763, 0)));
      final textureCoord_0_0_80 = textureCoords_0_0.elementAt(80);
      expect(textureCoord_0_0_80, vector3MoreOrLessEquals(Vector3(0.849569917, 0.394652456, 0)));
      final textureCoord_0_0_81 = textureCoords_0_0.elementAt(81);
      expect(textureCoord_0_0_81, vector3MoreOrLessEquals(Vector3(0.717692673, 0.394652456, 0)));
      final textureCoord_0_0_82 = textureCoords_0_0.elementAt(82);
      expect(textureCoord_0_0_82, vector3MoreOrLessEquals(Vector3(0.717692733, 0.246593341, 0)));
      final textureCoord_0_0_83 = textureCoords_0_0.elementAt(83);
      expect(textureCoord_0_0_83, vector3MoreOrLessEquals(Vector3(0.849569976, 0.246593446, 0)));
      final textureCoord_0_0_84 = textureCoords_0_0.elementAt(84);
      expect(textureCoord_0_0_84, vector3MoreOrLessEquals(Vector3(0.000168132377, 0.409125805, 0)));
      final textureCoord_0_0_85 = textureCoords_0_0.elementAt(85);
      expect(textureCoord_0_0_85, vector3MoreOrLessEquals(Vector3(0.139552221, 0.414298385, 0)));
      final textureCoord_0_0_86 = textureCoords_0_0.elementAt(86);
      expect(textureCoord_0_0_86, vector3MoreOrLessEquals(Vector3(0.131954581, 0.516521931, 0)));
      final textureCoord_0_0_87 = textureCoords_0_0.elementAt(87);
      expect(textureCoord_0_0_87, vector3MoreOrLessEquals(Vector3(0.000168240033, 0.511631131, 0)));
      final textureCoord_0_0_88 = textureCoords_0_0.elementAt(88);
      expect(textureCoord_0_0_88, vector3MoreOrLessEquals(Vector3(0.713891387, 0.144158244, 0)));
      final textureCoord_0_0_89 = textureCoords_0_0.elementAt(89);
      expect(textureCoord_0_0_89, vector3MoreOrLessEquals(Vector3(0.853371561, 0.144158423, 0)));
      final textureCoord_0_0_90 = textureCoords_0_0.elementAt(90);
      expect(textureCoord_0_0_90, vector3MoreOrLessEquals(Vector3(0.849569976, 0.246593446, 0)));
      final textureCoord_0_0_91 = textureCoords_0_0.elementAt(91);
      expect(textureCoord_0_0_91, vector3MoreOrLessEquals(Vector3(0.717692733, 0.246593341, 0)));
      final textureCoord_0_0_92 = textureCoords_0_0.elementAt(92);
      expect(textureCoord_0_0_92, vector3MoreOrLessEquals(Vector3(0.427667856, 0.413174659, 0)));
      final textureCoord_0_0_93 = textureCoords_0_0.elementAt(93);
      expect(textureCoord_0_0_93, vector3MoreOrLessEquals(Vector3(0.434376955, 0.515460253, 0)));
      final textureCoord_0_0_94 = textureCoords_0_0.elementAt(94);
      expect(textureCoord_0_0_94, vector3MoreOrLessEquals(Vector3(0.286398828, 0.520354688, 0)));
      final textureCoord_0_0_95 = textureCoords_0_0.elementAt(95);
      expect(textureCoord_0_0_95, vector3MoreOrLessEquals(Vector3(0.283755094, 0.417883456, 0)));
      final textureCoord_0_0_96 = textureCoords_0_0.elementAt(96);
      expect(textureCoord_0_0_96, vector3MoreOrLessEquals(Vector3(0.713891447, 0.000168132377, 0)));
      final textureCoord_0_0_97 = textureCoords_0_0.elementAt(97);
      expect(textureCoord_0_0_97, vector3MoreOrLessEquals(Vector3(0.853371739, 0.000168311788, 0)));
      final textureCoord_0_0_98 = textureCoords_0_0.elementAt(98);
      expect(textureCoord_0_0_98, vector3MoreOrLessEquals(Vector3(0.853371561, 0.144158423, 0)));
      final textureCoord_0_0_99 = textureCoords_0_0.elementAt(99);
      expect(textureCoord_0_0_99, vector3MoreOrLessEquals(Vector3(0.713891387, 0.144158244, 0)));
      final textureCoord_0_0_100 = textureCoords_0_0.elementAt(100);
      expect(textureCoord_0_0_100, vector3MoreOrLessEquals(Vector3(0.131954581, 0.516521931, 0)));
      final textureCoord_0_0_101 = textureCoords_0_0.elementAt(101);
      expect(textureCoord_0_0_101, vector3MoreOrLessEquals(Vector3(0.139552221, 0.414298385, 0)));
      final textureCoord_0_0_102 = textureCoords_0_0.elementAt(102);
      expect(textureCoord_0_0_102, vector3MoreOrLessEquals(Vector3(0.283418804, 0.420257509, 0)));
      final textureCoord_0_0_103 = textureCoords_0_0.elementAt(103);
      expect(textureCoord_0_0_103, vector3MoreOrLessEquals(Vector3(0.279884756, 0.522702038, 0)));
      expect(mesh_0.uvComponents.length, equals(1));
      expect(mesh_0.uvComponents, equals([2]));
      expect(mesh_0.faces.length, equals(26));
      expect(mesh_0.bones.length, equals(4));
      expect(mesh_0.materialIndex, isZero);
      expect(mesh_0.name, equals('Cube'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
  });

  test('obj', () {
    testScene('spider.obj', (scene) {
      final meshes = scene.meshes;
      expect(meshes, isNotEmpty);
      expect(meshes.length, equals(19));
      final mesh_0 = meshes.elementAt(0);
      expect(mesh_0.primitiveTypes, equals(4));
      expect(mesh_0.vertices.length, equals(240));
      final vertex_0_0 = mesh_0.vertices.elementAt(0);
      expect(vertex_0_0, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, 6.44916725)));
      final vertex_0_1 = mesh_0.vertices.elementAt(1);
      expect(vertex_0_1, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_2 = mesh_0.vertices.elementAt(2);
      expect(vertex_0_2, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_3 = mesh_0.vertices.elementAt(3);
      expect(vertex_0_3, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, 3.41482902)));
      final vertex_0_4 = mesh_0.vertices.elementAt(4);
      expect(vertex_0_4, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_5 = mesh_0.vertices.elementAt(5);
      expect(vertex_0_5, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_6 = mesh_0.vertices.elementAt(6);
      expect(vertex_0_6, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, 12.6327019)));
      final vertex_0_7 = mesh_0.vertices.elementAt(7);
      expect(vertex_0_7, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_8 = mesh_0.vertices.elementAt(8);
      expect(vertex_0_8, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_9 = mesh_0.vertices.elementAt(9);
      expect(vertex_0_9, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_10 = mesh_0.vertices.elementAt(10);
      expect(vertex_0_10, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_11 = mesh_0.vertices.elementAt(11);
      expect(vertex_0_11, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_12 = mesh_0.vertices.elementAt(12);
      expect(vertex_0_12, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, 6.44916725)));
      final vertex_0_13 = mesh_0.vertices.elementAt(13);
      expect(vertex_0_13, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_14 = mesh_0.vertices.elementAt(14);
      expect(vertex_0_14, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_15 = mesh_0.vertices.elementAt(15);
      expect(vertex_0_15, vector3MoreOrLessEquals(Vector3(-8.12036324, 15.6844597, -10.5)));
      final vertex_0_16 = mesh_0.vertices.elementAt(16);
      expect(vertex_0_16, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_17 = mesh_0.vertices.elementAt(17);
      expect(vertex_0_17, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_18 = mesh_0.vertices.elementAt(18);
      expect(vertex_0_18, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, 3.41482902)));
      final vertex_0_19 = mesh_0.vertices.elementAt(19);
      expect(vertex_0_19, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_20 = mesh_0.vertices.elementAt(20);
      expect(vertex_0_20, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_21 = mesh_0.vertices.elementAt(21);
      expect(vertex_0_21, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_22 = mesh_0.vertices.elementAt(22);
      expect(vertex_0_22, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, 5.61961699)));
      final vertex_0_23 = mesh_0.vertices.elementAt(23);
      expect(vertex_0_23, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_24 = mesh_0.vertices.elementAt(24);
      expect(vertex_0_24, vector3MoreOrLessEquals(Vector3(-8.12036324, 15.6844597, -10.5)));
      final vertex_0_25 = mesh_0.vertices.elementAt(25);
      expect(vertex_0_25, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_26 = mesh_0.vertices.elementAt(26);
      expect(vertex_0_26, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_27 = mesh_0.vertices.elementAt(27);
      expect(vertex_0_27, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, -26.4148254)));
      final vertex_0_28 = mesh_0.vertices.elementAt(28);
      expect(vertex_0_28, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_29 = mesh_0.vertices.elementAt(29);
      expect(vertex_0_29, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_30 = mesh_0.vertices.elementAt(30);
      expect(vertex_0_30, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, 3.41482902)));
      final vertex_0_31 = mesh_0.vertices.elementAt(31);
      expect(vertex_0_31, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_32 = mesh_0.vertices.elementAt(32);
      expect(vertex_0_32, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_33 = mesh_0.vertices.elementAt(33);
      expect(vertex_0_33, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_34 = mesh_0.vertices.elementAt(34);
      expect(vertex_0_34, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -4.34285402)));
      final vertex_0_35 = mesh_0.vertices.elementAt(35);
      expect(vertex_0_35, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_36 = mesh_0.vertices.elementAt(36);
      expect(vertex_0_36, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, 3.41482902)));
      final vertex_0_37 = mesh_0.vertices.elementAt(37);
      expect(vertex_0_37, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_38 = mesh_0.vertices.elementAt(38);
      expect(vertex_0_38, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_39 = mesh_0.vertices.elementAt(39);
      expect(vertex_0_39, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, -26.4148254)));
      final vertex_0_40 = mesh_0.vertices.elementAt(40);
      expect(vertex_0_40, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_41 = mesh_0.vertices.elementAt(41);
      expect(vertex_0_41, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_42 = mesh_0.vertices.elementAt(42);
      expect(vertex_0_42, vector3MoreOrLessEquals(Vector3(44.3012505, 33.9647293, -11.5)));
      final vertex_0_43 = mesh_0.vertices.elementAt(43);
      expect(vertex_0_43, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_44 = mesh_0.vertices.elementAt(44);
      expect(vertex_0_44, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_45 = mesh_0.vertices.elementAt(45);
      expect(vertex_0_45, vector3MoreOrLessEquals(Vector3(12.9531651, 36.8733368, -11.5)));
      final vertex_0_46 = mesh_0.vertices.elementAt(46);
      expect(vertex_0_46, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_47 = mesh_0.vertices.elementAt(47);
      expect(vertex_0_47, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_48 = mesh_0.vertices.elementAt(48);
      expect(vertex_0_48, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, 3.41482902)));
      final vertex_0_49 = mesh_0.vertices.elementAt(49);
      expect(vertex_0_49, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_50 = mesh_0.vertices.elementAt(50);
      expect(vertex_0_50, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_51 = mesh_0.vertices.elementAt(51);
      expect(vertex_0_51, vector3MoreOrLessEquals(Vector3(44.3012505, 33.9647293, -11.5)));
      final vertex_0_52 = mesh_0.vertices.elementAt(52);
      expect(vertex_0_52, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_53 = mesh_0.vertices.elementAt(53);
      expect(vertex_0_53, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_54 = mesh_0.vertices.elementAt(54);
      expect(vertex_0_54, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, 12.6327019)));
      final vertex_0_55 = mesh_0.vertices.elementAt(55);
      expect(vertex_0_55, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_56 = mesh_0.vertices.elementAt(56);
      expect(vertex_0_56, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_57 = mesh_0.vertices.elementAt(57);
      expect(vertex_0_57, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -2.73328209)));
      final vertex_0_58 = mesh_0.vertices.elementAt(58);
      expect(vertex_0_58, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, 11.4515648)));
      final vertex_0_59 = mesh_0.vertices.elementAt(59);
      expect(vertex_0_59, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_60 = mesh_0.vertices.elementAt(60);
      expect(vertex_0_60, vector3MoreOrLessEquals(Vector3(44.3012505, 33.9647293, -11.5)));
      final vertex_0_61 = mesh_0.vertices.elementAt(61);
      expect(vertex_0_61, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_62 = mesh_0.vertices.elementAt(62);
      expect(vertex_0_62, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_63 = mesh_0.vertices.elementAt(63);
      expect(vertex_0_63, vector3MoreOrLessEquals(Vector3(54.5035934, 5.93402004, -11.5)));
      final vertex_0_64 = mesh_0.vertices.elementAt(64);
      expect(vertex_0_64, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_65 = mesh_0.vertices.elementAt(65);
      expect(vertex_0_65, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_66 = mesh_0.vertices.elementAt(66);
      expect(vertex_0_66, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, 12.6327019)));
      final vertex_0_67 = mesh_0.vertices.elementAt(67);
      expect(vertex_0_67, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_68 = mesh_0.vertices.elementAt(68);
      expect(vertex_0_68, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_69 = mesh_0.vertices.elementAt(69);
      expect(vertex_0_69, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_70 = mesh_0.vertices.elementAt(70);
      expect(vertex_0_70, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, 2.68484592)));
      final vertex_0_71 = mesh_0.vertices.elementAt(71);
      expect(vertex_0_71, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_72 = mesh_0.vertices.elementAt(72);
      expect(vertex_0_72, vector3MoreOrLessEquals(Vector3(44.3012505, 33.9647293, -11.5)));
      final vertex_0_73 = mesh_0.vertices.elementAt(73);
      expect(vertex_0_73, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_74 = mesh_0.vertices.elementAt(74);
      expect(vertex_0_74, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_75 = mesh_0.vertices.elementAt(75);
      expect(vertex_0_75, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, -35.6327057)));
      final vertex_0_76 = mesh_0.vertices.elementAt(76);
      expect(vertex_0_76, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_77 = mesh_0.vertices.elementAt(77);
      expect(vertex_0_77, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_78 = mesh_0.vertices.elementAt(78);
      expect(vertex_0_78, vector3MoreOrLessEquals(Vector3(54.5035934, 5.93402004, -11.5)));
      final vertex_0_79 = mesh_0.vertices.elementAt(79);
      expect(vertex_0_79, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_80 = mesh_0.vertices.elementAt(80);
      expect(vertex_0_80, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_81 = mesh_0.vertices.elementAt(81);
      expect(vertex_0_81, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_82 = mesh_0.vertices.elementAt(82);
      expect(vertex_0_82, vector3MoreOrLessEquals(Vector3(57.9362183, 30.2765331, -11.5)));
      final vertex_0_83 = mesh_0.vertices.elementAt(83);
      expect(vertex_0_83, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_84 = mesh_0.vertices.elementAt(84);
      expect(vertex_0_84, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, -26.4148254)));
      final vertex_0_85 = mesh_0.vertices.elementAt(85);
      expect(vertex_0_85, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_86 = mesh_0.vertices.elementAt(86);
      expect(vertex_0_86, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_87 = mesh_0.vertices.elementAt(87);
      expect(vertex_0_87, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, -35.6327057)));
      final vertex_0_88 = mesh_0.vertices.elementAt(88);
      expect(vertex_0_88, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_89 = mesh_0.vertices.elementAt(89);
      expect(vertex_0_89, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_90 = mesh_0.vertices.elementAt(90);
      expect(vertex_0_90, vector3MoreOrLessEquals(Vector3(44.3012505, 33.9647293, -11.5)));
      final vertex_0_91 = mesh_0.vertices.elementAt(91);
      expect(vertex_0_91, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_92 = mesh_0.vertices.elementAt(92);
      expect(vertex_0_92, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_93 = mesh_0.vertices.elementAt(93);
      expect(vertex_0_93, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_94 = mesh_0.vertices.elementAt(94);
      expect(vertex_0_94, vector3MoreOrLessEquals(Vector3(30.527317, 37.503952, -20.266716)));
      final vertex_0_95 = mesh_0.vertices.elementAt(95);
      expect(vertex_0_95, vector3MoreOrLessEquals(Vector3(45.0949669, 27.7109451, -25.684845)));
      final vertex_0_96 = mesh_0.vertices.elementAt(96);
      expect(vertex_0_96, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, -26.4148254)));
      final vertex_0_97 = mesh_0.vertices.elementAt(97);
      expect(vertex_0_97, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_98 = mesh_0.vertices.elementAt(98);
      expect(vertex_0_98, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_99 = mesh_0.vertices.elementAt(99);
      expect(vertex_0_99, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, -27.4491692)));
      final vertex_0_100 = mesh_0.vertices.elementAt(100);
      expect(vertex_0_100, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_101 = mesh_0.vertices.elementAt(101);
      expect(vertex_0_101, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_102 = mesh_0.vertices.elementAt(102);
      expect(vertex_0_102, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, -35.6327057)));
      final vertex_0_103 = mesh_0.vertices.elementAt(103);
      expect(vertex_0_103, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_104 = mesh_0.vertices.elementAt(104);
      expect(vertex_0_104, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_105 = mesh_0.vertices.elementAt(105);
      expect(vertex_0_105, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_106 = mesh_0.vertices.elementAt(106);
      expect(vertex_0_106, vector3MoreOrLessEquals(Vector3(27.5208092, 27.0803261, -34.4515648)));
      final vertex_0_107 = mesh_0.vertices.elementAt(107);
      expect(vertex_0_107, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_108 = mesh_0.vertices.elementAt(108);
      expect(vertex_0_108, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, -27.4491692)));
      final vertex_0_109 = mesh_0.vertices.elementAt(109);
      expect(vertex_0_109, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_110 = mesh_0.vertices.elementAt(110);
      expect(vertex_0_110, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_111 = mesh_0.vertices.elementAt(111);
      expect(vertex_0_111, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, -26.4148254)));
      final vertex_0_112 = mesh_0.vertices.elementAt(112);
      expect(vertex_0_112, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_113 = mesh_0.vertices.elementAt(113);
      expect(vertex_0_113, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_114 = mesh_0.vertices.elementAt(114);
      expect(vertex_0_114, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, -35.6327057)));
      final vertex_0_115 = mesh_0.vertices.elementAt(115);
      expect(vertex_0_115, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_116 = mesh_0.vertices.elementAt(116);
      expect(vertex_0_116, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_117 = mesh_0.vertices.elementAt(117);
      expect(vertex_0_117, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_118 = mesh_0.vertices.elementAt(118);
      expect(vertex_0_118, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, -39.8696899)));
      final vertex_0_119 = mesh_0.vertices.elementAt(119);
      expect(vertex_0_119, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_120 = mesh_0.vertices.elementAt(120);
      expect(vertex_0_120, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, -26.4148254)));
      final vertex_0_121 = mesh_0.vertices.elementAt(121);
      expect(vertex_0_121, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_122 = mesh_0.vertices.elementAt(122);
      expect(vertex_0_122, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_123 = mesh_0.vertices.elementAt(123);
      expect(vertex_0_123, vector3MoreOrLessEquals(Vector3(54.5035934, 5.93402004, -11.5)));
      final vertex_0_124 = mesh_0.vertices.elementAt(124);
      expect(vertex_0_124, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_125 = mesh_0.vertices.elementAt(125);
      expect(vertex_0_125, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_126 = mesh_0.vertices.elementAt(126);
      expect(vertex_0_126, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, -35.6327057)));
      final vertex_0_127 = mesh_0.vertices.elementAt(127);
      expect(vertex_0_127, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_128 = mesh_0.vertices.elementAt(128);
      expect(vertex_0_128, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_129 = mesh_0.vertices.elementAt(129);
      expect(vertex_0_129, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_130 = mesh_0.vertices.elementAt(130);
      expect(vertex_0_130, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, -34.4515648)));
      final vertex_0_131 = mesh_0.vertices.elementAt(131);
      expect(vertex_0_131, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, -25.684845)));
      final vertex_0_132 = mesh_0.vertices.elementAt(132);
      expect(vertex_0_132, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, -26.4148254)));
      final vertex_0_133 = mesh_0.vertices.elementAt(133);
      expect(vertex_0_133, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_134 = mesh_0.vertices.elementAt(134);
      expect(vertex_0_134, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_135 = mesh_0.vertices.elementAt(135);
      expect(vertex_0_135, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, 3.41482902)));
      final vertex_0_136 = mesh_0.vertices.elementAt(136);
      expect(vertex_0_136, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_137 = mesh_0.vertices.elementAt(137);
      expect(vertex_0_137, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_138 = mesh_0.vertices.elementAt(138);
      expect(vertex_0_138, vector3MoreOrLessEquals(Vector3(54.5035934, 5.93402004, -11.5)));
      final vertex_0_139 = mesh_0.vertices.elementAt(139);
      expect(vertex_0_139, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_140 = mesh_0.vertices.elementAt(140);
      expect(vertex_0_140, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_141 = mesh_0.vertices.elementAt(141);
      expect(vertex_0_141, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_142 = mesh_0.vertices.elementAt(142);
      expect(vertex_0_142, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -20.266716)));
      final vertex_0_143 = mesh_0.vertices.elementAt(143);
      expect(vertex_0_143, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_144 = mesh_0.vertices.elementAt(144);
      expect(vertex_0_144, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, -26.4148254)));
      final vertex_0_145 = mesh_0.vertices.elementAt(145);
      expect(vertex_0_145, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_146 = mesh_0.vertices.elementAt(146);
      expect(vertex_0_146, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_147 = mesh_0.vertices.elementAt(147);
      expect(vertex_0_147, vector3MoreOrLessEquals(Vector3(-4.68148613, -8.78443527, -10.5)));
      final vertex_0_148 = mesh_0.vertices.elementAt(148);
      expect(vertex_0_148, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_149 = mesh_0.vertices.elementAt(149);
      expect(vertex_0_149, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_150 = mesh_0.vertices.elementAt(150);
      expect(vertex_0_150, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, 3.41482902)));
      final vertex_0_151 = mesh_0.vertices.elementAt(151);
      expect(vertex_0_151, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_152 = mesh_0.vertices.elementAt(152);
      expect(vertex_0_152, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_153 = mesh_0.vertices.elementAt(153);
      expect(vertex_0_153, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_154 = mesh_0.vertices.elementAt(154);
      expect(vertex_0_154, vector3MoreOrLessEquals(Vector3(32.3591843, -16.444252, -11.5)));
      final vertex_0_155 = mesh_0.vertices.elementAt(155);
      expect(vertex_0_155, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_156 = mesh_0.vertices.elementAt(156);
      expect(vertex_0_156, vector3MoreOrLessEquals(Vector3(-4.68148613, -8.78443527, -10.5)));
      final vertex_0_157 = mesh_0.vertices.elementAt(157);
      expect(vertex_0_157, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_158 = mesh_0.vertices.elementAt(158);
      expect(vertex_0_158, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_159 = mesh_0.vertices.elementAt(159);
      expect(vertex_0_159, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, 6.44916725)));
      final vertex_0_160 = mesh_0.vertices.elementAt(160);
      expect(vertex_0_160, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_161 = mesh_0.vertices.elementAt(161);
      expect(vertex_0_161, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_162 = mesh_0.vertices.elementAt(162);
      expect(vertex_0_162, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, 3.41482902)));
      final vertex_0_163 = mesh_0.vertices.elementAt(163);
      expect(vertex_0_163, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_164 = mesh_0.vertices.elementAt(164);
      expect(vertex_0_164, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_165 = mesh_0.vertices.elementAt(165);
      expect(vertex_0_165, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_166 = mesh_0.vertices.elementAt(166);
      expect(vertex_0_166, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -4.34285402)));
      final vertex_0_167 = mesh_0.vertices.elementAt(167);
      expect(vertex_0_167, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_168 = mesh_0.vertices.elementAt(168);
      expect(vertex_0_168, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, 6.44916725)));
      final vertex_0_169 = mesh_0.vertices.elementAt(169);
      expect(vertex_0_169, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_170 = mesh_0.vertices.elementAt(170);
      expect(vertex_0_170, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_171 = mesh_0.vertices.elementAt(171);
      expect(vertex_0_171, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, 12.6327019)));
      final vertex_0_172 = mesh_0.vertices.elementAt(172);
      expect(vertex_0_172, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_173 = mesh_0.vertices.elementAt(173);
      expect(vertex_0_173, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_174 = mesh_0.vertices.elementAt(174);
      expect(vertex_0_174, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, 3.41482902)));
      final vertex_0_175 = mesh_0.vertices.elementAt(175);
      expect(vertex_0_175, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_176 = mesh_0.vertices.elementAt(176);
      expect(vertex_0_176, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_177 = mesh_0.vertices.elementAt(177);
      expect(vertex_0_177, vector3MoreOrLessEquals(Vector3(22.6561718, 10.2145386, 16.8696899)));
      final vertex_0_178 = mesh_0.vertices.elementAt(178);
      expect(vertex_0_178, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, 5.61961699)));
      final vertex_0_179 = mesh_0.vertices.elementAt(179);
      expect(vertex_0_179, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_180 = mesh_0.vertices.elementAt(180);
      expect(vertex_0_180, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, 3.41482902)));
      final vertex_0_181 = mesh_0.vertices.elementAt(181);
      expect(vertex_0_181, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_182 = mesh_0.vertices.elementAt(182);
      expect(vertex_0_182, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_183 = mesh_0.vertices.elementAt(183);
      expect(vertex_0_183, vector3MoreOrLessEquals(Vector3(39.1862564, 16.2309971, 12.6327019)));
      final vertex_0_184 = mesh_0.vertices.elementAt(184);
      expect(vertex_0_184, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_185 = mesh_0.vertices.elementAt(185);
      expect(vertex_0_185, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_186 = mesh_0.vertices.elementAt(186);
      expect(vertex_0_186, vector3MoreOrLessEquals(Vector3(54.5035934, 5.93402004, -11.5)));
      final vertex_0_187 = mesh_0.vertices.elementAt(187);
      expect(vertex_0_187, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_188 = mesh_0.vertices.elementAt(188);
      expect(vertex_0_188, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_189 = mesh_0.vertices.elementAt(189);
      expect(vertex_0_189, vector3MoreOrLessEquals(Vector3(37.2238159, 0.421530992, 11.4515648)));
      final vertex_0_190 = mesh_0.vertices.elementAt(190);
      expect(vertex_0_190, vector3MoreOrLessEquals(Vector3(46.2271118, -5.63088608, -2.73328209)));
      final vertex_0_191 = mesh_0.vertices.elementAt(191);
      expect(vertex_0_191, vector3MoreOrLessEquals(Vector3(51.0917625, 11.2348995, 2.68484592)));
      final vertex_0_192 = mesh_0.vertices.elementAt(192);
      expect(vertex_0_192, vector3MoreOrLessEquals(Vector3(-8.12036324, 15.6844597, -10.5)));
      final vertex_0_193 = mesh_0.vertices.elementAt(193);
      expect(vertex_0_193, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_194 = mesh_0.vertices.elementAt(194);
      expect(vertex_0_194, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_195 = mesh_0.vertices.elementAt(195);
      expect(vertex_0_195, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, 6.44916725)));
      final vertex_0_196 = mesh_0.vertices.elementAt(196);
      expect(vertex_0_196, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_197 = mesh_0.vertices.elementAt(197);
      expect(vertex_0_197, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_198 = mesh_0.vertices.elementAt(198);
      expect(vertex_0_198, vector3MoreOrLessEquals(Vector3(-4.68148613, -8.78443527, -10.5)));
      final vertex_0_199 = mesh_0.vertices.elementAt(199);
      expect(vertex_0_199, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_200 = mesh_0.vertices.elementAt(200);
      expect(vertex_0_200, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_201 = mesh_0.vertices.elementAt(201);
      expect(vertex_0_201, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -0.537528992)));
      final vertex_0_202 = mesh_0.vertices.elementAt(202);
      expect(vertex_0_202, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_203 = mesh_0.vertices.elementAt(203);
      expect(vertex_0_203, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -0.537528992)));
      final vertex_0_204 = mesh_0.vertices.elementAt(204);
      expect(vertex_0_204, vector3MoreOrLessEquals(Vector3(-8.12036324, 15.6844597, -10.5)));
      final vertex_0_205 = mesh_0.vertices.elementAt(205);
      expect(vertex_0_205, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_206 = mesh_0.vertices.elementAt(206);
      expect(vertex_0_206, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_207 = mesh_0.vertices.elementAt(207);
      expect(vertex_0_207, vector3MoreOrLessEquals(Vector3(-4.68148613, -8.78443527, -10.5)));
      final vertex_0_208 = mesh_0.vertices.elementAt(208);
      expect(vertex_0_208, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_209 = mesh_0.vertices.elementAt(209);
      expect(vertex_0_209, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      final vertex_0_210 = mesh_0.vertices.elementAt(210);
      expect(vertex_0_210, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, -27.4491692)));
      final vertex_0_211 = mesh_0.vertices.elementAt(211);
      expect(vertex_0_211, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      final vertex_0_212 = mesh_0.vertices.elementAt(212);
      expect(vertex_0_212, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_213 = mesh_0.vertices.elementAt(213);
      expect(vertex_0_213, vector3MoreOrLessEquals(Vector3(-9.87647629, 2.961555, -10.5)));
      final vertex_0_214 = mesh_0.vertices.elementAt(214);
      expect(vertex_0_214, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_215 = mesh_0.vertices.elementAt(215);
      expect(vertex_0_215, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      final vertex_0_216 = mesh_0.vertices.elementAt(216);
      expect(vertex_0_216, vector3MoreOrLessEquals(Vector3(-8.12036324, 15.6844597, -10.5)));
      final vertex_0_217 = mesh_0.vertices.elementAt(217);
      expect(vertex_0_217, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_218 = mesh_0.vertices.elementAt(218);
      expect(vertex_0_218, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_219 = mesh_0.vertices.elementAt(219);
      expect(vertex_0_219, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, -27.4491692)));
      final vertex_0_220 = mesh_0.vertices.elementAt(220);
      expect(vertex_0_220, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_221 = mesh_0.vertices.elementAt(221);
      expect(vertex_0_221, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_222 = mesh_0.vertices.elementAt(222);
      expect(vertex_0_222, vector3MoreOrLessEquals(Vector3(14.402298, 32.8918686, -26.4148254)));
      final vertex_0_223 = mesh_0.vertices.elementAt(223);
      expect(vertex_0_223, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_224 = mesh_0.vertices.elementAt(224);
      expect(vertex_0_224, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_225 = mesh_0.vertices.elementAt(225);
      expect(vertex_0_225, vector3MoreOrLessEquals(Vector3(-6.44271517, 10.7774048, -20.462471)));
      final vertex_0_226 = mesh_0.vertices.elementAt(226);
      expect(vertex_0_226, vector3MoreOrLessEquals(Vector3(-0.88677001, 23.4237175, -16.6571445)));
      final vertex_0_227 = mesh_0.vertices.elementAt(227);
      expect(vertex_0_227, vector3MoreOrLessEquals(Vector3(4.56831408, 16.8571129, -26.6196175)));
      final vertex_0_228 = mesh_0.vertices.elementAt(228);
      expect(vertex_0_228, vector3MoreOrLessEquals(Vector3(30.9100418, -12.4627857, -26.4148254)));
      final vertex_0_229 = mesh_0.vertices.elementAt(229);
      expect(vertex_0_229, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_230 = mesh_0.vertices.elementAt(230);
      expect(vertex_0_230, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_231 = mesh_0.vertices.elementAt(231);
      expect(vertex_0_231, vector3MoreOrLessEquals(Vector3(1.16037893, 4.51268387, -27.4491692)));
      final vertex_0_232 = mesh_0.vertices.elementAt(232);
      expect(vertex_0_232, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_233 = mesh_0.vertices.elementAt(233);
      expect(vertex_0_233, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      final vertex_0_234 = mesh_0.vertices.elementAt(234);
      expect(vertex_0_234, vector3MoreOrLessEquals(Vector3(-4.68148613, -8.78443527, -10.5)));
      final vertex_0_235 = mesh_0.vertices.elementAt(235);
      expect(vertex_0_235, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      final vertex_0_236 = mesh_0.vertices.elementAt(236);
      expect(vertex_0_236, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_237 = mesh_0.vertices.elementAt(237);
      expect(vertex_0_237, vector3MoreOrLessEquals(Vector3(7.83888102, -6.41418791, -26.6196175)));
      final vertex_0_238 = mesh_0.vertices.elementAt(238);
      expect(vertex_0_238, vector3MoreOrLessEquals(Vector3(4.40511894, -14.2300425, -16.6571445)));
      final vertex_0_239 = mesh_0.vertices.elementAt(239);
      expect(vertex_0_239, vector3MoreOrLessEquals(Vector3(-4.42139101, -3.60504913, -20.462471)));
      expect(mesh_0.normals.length, equals(240));
      final normal_0_0 = mesh_0.normals.elementAt(0);
      expect(normal_0_0, vector3MoreOrLessEquals(Vector3(-0.537588, -0.0717979968, 0.840146005)));
      final normal_0_1 = mesh_0.normals.elementAt(1);
      expect(normal_0_1, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_2 = mesh_0.normals.elementAt(2);
      expect(normal_0_2, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_3 = mesh_0.normals.elementAt(3);
      expect(normal_0_3, vector3MoreOrLessEquals(Vector3(-0.383882999, 0.724753022, 0.572160006)));
      final normal_0_4 = mesh_0.normals.elementAt(4);
      expect(normal_0_4, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_5 = mesh_0.normals.elementAt(5);
      expect(normal_0_5, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_6 = mesh_0.normals.elementAt(6);
      expect(normal_0_6, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, 0.882492006)));
      final normal_0_7 = mesh_0.normals.elementAt(7);
      expect(normal_0_7, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_8 = mesh_0.normals.elementAt(8);
      expect(normal_0_8, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_9 = mesh_0.normals.elementAt(9);
      expect(normal_0_9, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_10 = mesh_0.normals.elementAt(10);
      expect(normal_0_10, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_11 = mesh_0.normals.elementAt(11);
      expect(normal_0_11, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_12 = mesh_0.normals.elementAt(12);
      expect(normal_0_12, vector3MoreOrLessEquals(Vector3(-0.537588, -0.0717979968, 0.840146005)));
      final normal_0_13 = mesh_0.normals.elementAt(13);
      expect(normal_0_13, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_14 = mesh_0.normals.elementAt(14);
      expect(normal_0_14, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_15 = mesh_0.normals.elementAt(15);
      expect(normal_0_15, vector3MoreOrLessEquals(Vector3(-0.915534019, 0.402240008, 0)));
      final normal_0_16 = mesh_0.normals.elementAt(16);
      expect(normal_0_16, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_17 = mesh_0.normals.elementAt(17);
      expect(normal_0_17, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_18 = mesh_0.normals.elementAt(18);
      expect(normal_0_18, vector3MoreOrLessEquals(Vector3(-0.383882999, 0.724753022, 0.572160006)));
      final normal_0_19 = mesh_0.normals.elementAt(19);
      expect(normal_0_19, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_20 = mesh_0.normals.elementAt(20);
      expect(normal_0_20, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_21 = mesh_0.normals.elementAt(21);
      expect(normal_0_21, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_22 = mesh_0.normals.elementAt(22);
      expect(normal_0_22, vector3MoreOrLessEquals(Vector3(-0.510263979, 0.347193003, 0.786822021)));
      final normal_0_23 = mesh_0.normals.elementAt(23);
      expect(normal_0_23, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_24 = mesh_0.normals.elementAt(24);
      expect(normal_0_24, vector3MoreOrLessEquals(Vector3(-0.915534019, 0.402240008, 0)));
      final normal_0_25 = mesh_0.normals.elementAt(25);
      expect(normal_0_25, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_26 = mesh_0.normals.elementAt(26);
      expect(normal_0_26, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_27 = mesh_0.normals.elementAt(27);
      expect(normal_0_27, vector3MoreOrLessEquals(Vector3(-0.413628995, 0.701857984, -0.579919994)));
      final normal_0_28 = mesh_0.normals.elementAt(28);
      expect(normal_0_28, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_29 = mesh_0.normals.elementAt(29);
      expect(normal_0_29, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_30 = mesh_0.normals.elementAt(30);
      expect(normal_0_30, vector3MoreOrLessEquals(Vector3(-0.383882999, 0.724753022, 0.572160006)));
      final normal_0_31 = mesh_0.normals.elementAt(31);
      expect(normal_0_31, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_32 = mesh_0.normals.elementAt(32);
      expect(normal_0_32, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_33 = mesh_0.normals.elementAt(33);
      expect(normal_0_33, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_34 = mesh_0.normals.elementAt(34);
      expect(normal_0_34, vector3MoreOrLessEquals(Vector3(-0.710112989, 0.620185018, 0.333330989)));
      final normal_0_35 = mesh_0.normals.elementAt(35);
      expect(normal_0_35, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_36 = mesh_0.normals.elementAt(36);
      expect(normal_0_36, vector3MoreOrLessEquals(Vector3(-0.383882999, 0.724753022, 0.572160006)));
      final normal_0_37 = mesh_0.normals.elementAt(37);
      expect(normal_0_37, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_38 = mesh_0.normals.elementAt(38);
      expect(normal_0_38, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_39 = mesh_0.normals.elementAt(39);
      expect(normal_0_39, vector3MoreOrLessEquals(Vector3(-0.413628995, 0.701857984, -0.579919994)));
      final normal_0_40 = mesh_0.normals.elementAt(40);
      expect(normal_0_40, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_41 = mesh_0.normals.elementAt(41);
      expect(normal_0_41, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_42 = mesh_0.normals.elementAt(42);
      expect(normal_0_42, vector3MoreOrLessEquals(Vector3(0.339767992, 0.940509021, 0)));
      final normal_0_43 = mesh_0.normals.elementAt(43);
      expect(normal_0_43, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_44 = mesh_0.normals.elementAt(44);
      expect(normal_0_44, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_45 = mesh_0.normals.elementAt(45);
      expect(normal_0_45, vector3MoreOrLessEquals(Vector3(-0.409411013, 0.912349999, 0.000433999987)));
      final normal_0_46 = mesh_0.normals.elementAt(46);
      expect(normal_0_46, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_47 = mesh_0.normals.elementAt(47);
      expect(normal_0_47, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_48 = mesh_0.normals.elementAt(48);
      expect(normal_0_48, vector3MoreOrLessEquals(Vector3(-0.383882999, 0.724753022, 0.572160006)));
      final normal_0_49 = mesh_0.normals.elementAt(49);
      expect(normal_0_49, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_50 = mesh_0.normals.elementAt(50);
      expect(normal_0_50, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_51 = mesh_0.normals.elementAt(51);
      expect(normal_0_51, vector3MoreOrLessEquals(Vector3(0.339767992, 0.940509021, 0)));
      final normal_0_52 = mesh_0.normals.elementAt(52);
      expect(normal_0_52, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_53 = mesh_0.normals.elementAt(53);
      expect(normal_0_53, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_54 = mesh_0.normals.elementAt(54);
      expect(normal_0_54, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, 0.882492006)));
      final normal_0_55 = mesh_0.normals.elementAt(55);
      expect(normal_0_55, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_56 = mesh_0.normals.elementAt(56);
      expect(normal_0_56, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_57 = mesh_0.normals.elementAt(57);
      expect(normal_0_57, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, 0.320354998)));
      final normal_0_58 = mesh_0.normals.elementAt(58);
      expect(normal_0_58, vector3MoreOrLessEquals(Vector3(0.00679099979, 0.54708302, 0.837050974)));
      final normal_0_59 = mesh_0.normals.elementAt(59);
      expect(normal_0_59, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_60 = mesh_0.normals.elementAt(60);
      expect(normal_0_60, vector3MoreOrLessEquals(Vector3(0.339767992, 0.940509021, 0)));
      final normal_0_61 = mesh_0.normals.elementAt(61);
      expect(normal_0_61, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_62 = mesh_0.normals.elementAt(62);
      expect(normal_0_62, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_63 = mesh_0.normals.elementAt(63);
      expect(normal_0_63, vector3MoreOrLessEquals(Vector3(0.942951977, -0.332929999, 0)));
      final normal_0_64 = mesh_0.normals.elementAt(64);
      expect(normal_0_64, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_65 = mesh_0.normals.elementAt(65);
      expect(normal_0_65, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_66 = mesh_0.normals.elementAt(66);
      expect(normal_0_66, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, 0.882492006)));
      final normal_0_67 = mesh_0.normals.elementAt(67);
      expect(normal_0_67, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_68 = mesh_0.normals.elementAt(68);
      expect(normal_0_68, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_69 = mesh_0.normals.elementAt(69);
      expect(normal_0_69, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_70 = mesh_0.normals.elementAt(70);
      expect(normal_0_70, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, 0.621344984)));
      final normal_0_71 = mesh_0.normals.elementAt(71);
      expect(normal_0_71, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_72 = mesh_0.normals.elementAt(72);
      expect(normal_0_72, vector3MoreOrLessEquals(Vector3(0.339767992, 0.940509021, 0)));
      final normal_0_73 = mesh_0.normals.elementAt(73);
      expect(normal_0_73, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_74 = mesh_0.normals.elementAt(74);
      expect(normal_0_74, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_75 = mesh_0.normals.elementAt(75);
      expect(normal_0_75, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, -0.882492006)));
      final normal_0_76 = mesh_0.normals.elementAt(76);
      expect(normal_0_76, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_77 = mesh_0.normals.elementAt(77);
      expect(normal_0_77, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_78 = mesh_0.normals.elementAt(78);
      expect(normal_0_78, vector3MoreOrLessEquals(Vector3(0.942951977, -0.332929999, 0)));
      final normal_0_79 = mesh_0.normals.elementAt(79);
      expect(normal_0_79, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_80 = mesh_0.normals.elementAt(80);
      expect(normal_0_80, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_81 = mesh_0.normals.elementAt(81);
      expect(normal_0_81, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_82 = mesh_0.normals.elementAt(82);
      expect(normal_0_82, vector3MoreOrLessEquals(Vector3(0.881336987, 0.472487986, 0)));
      final normal_0_83 = mesh_0.normals.elementAt(83);
      expect(normal_0_83, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_84 = mesh_0.normals.elementAt(84);
      expect(normal_0_84, vector3MoreOrLessEquals(Vector3(-0.413628995, 0.701857984, -0.579919994)));
      final normal_0_85 = mesh_0.normals.elementAt(85);
      expect(normal_0_85, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_86 = mesh_0.normals.elementAt(86);
      expect(normal_0_86, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_87 = mesh_0.normals.elementAt(87);
      expect(normal_0_87, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, -0.882492006)));
      final normal_0_88 = mesh_0.normals.elementAt(88);
      expect(normal_0_88, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_89 = mesh_0.normals.elementAt(89);
      expect(normal_0_89, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_90 = mesh_0.normals.elementAt(90);
      expect(normal_0_90, vector3MoreOrLessEquals(Vector3(0.339767992, 0.940509021, 0)));
      final normal_0_91 = mesh_0.normals.elementAt(91);
      expect(normal_0_91, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_92 = mesh_0.normals.elementAt(92);
      expect(normal_0_92, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_93 = mesh_0.normals.elementAt(93);
      expect(normal_0_93, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_94 = mesh_0.normals.elementAt(94);
      expect(normal_0_94, vector3MoreOrLessEquals(Vector3(0.132322997, 0.938009977, -0.320354998)));
      final normal_0_95 = mesh_0.normals.elementAt(95);
      expect(normal_0_95, vector3MoreOrLessEquals(Vector3(0.481851995, 0.617859006, -0.621344984)));
      final normal_0_96 = mesh_0.normals.elementAt(96);
      expect(normal_0_96, vector3MoreOrLessEquals(Vector3(-0.413628995, 0.701857984, -0.579919994)));
      final normal_0_97 = mesh_0.normals.elementAt(97);
      expect(normal_0_97, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_98 = mesh_0.normals.elementAt(98);
      expect(normal_0_98, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_99 = mesh_0.normals.elementAt(99);
      expect(normal_0_99, vector3MoreOrLessEquals(Vector3(-0.56130302, -0.0751790032, -0.824189007)));
      final normal_0_100 = mesh_0.normals.elementAt(100);
      expect(normal_0_100, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_101 = mesh_0.normals.elementAt(101);
      expect(normal_0_101, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_102 = mesh_0.normals.elementAt(102);
      expect(normal_0_102, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, -0.882492006)));
      final normal_0_103 = mesh_0.normals.elementAt(103);
      expect(normal_0_103, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_104 = mesh_0.normals.elementAt(104);
      expect(normal_0_104, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_105 = mesh_0.normals.elementAt(105);
      expect(normal_0_105, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_106 = mesh_0.normals.elementAt(106);
      expect(normal_0_106, vector3MoreOrLessEquals(Vector3(-0.0125209996, 0.539700985, -0.841763973)));
      final normal_0_107 = mesh_0.normals.elementAt(107);
      expect(normal_0_107, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_108 = mesh_0.normals.elementAt(108);
      expect(normal_0_108, vector3MoreOrLessEquals(Vector3(-0.56130302, -0.0751790032, -0.824189007)));
      final normal_0_109 = mesh_0.normals.elementAt(109);
      expect(normal_0_109, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_110 = mesh_0.normals.elementAt(110);
      expect(normal_0_110, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_111 = mesh_0.normals.elementAt(111);
      expect(normal_0_111, vector3MoreOrLessEquals(Vector3(0.144885004, -0.802478015, -0.578823984)));
      final normal_0_112 = mesh_0.normals.elementAt(112);
      expect(normal_0_112, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_113 = mesh_0.normals.elementAt(113);
      expect(normal_0_113, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_114 = mesh_0.normals.elementAt(114);
      expect(normal_0_114, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, -0.882492006)));
      final normal_0_115 = mesh_0.normals.elementAt(115);
      expect(normal_0_115, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_116 = mesh_0.normals.elementAt(116);
      expect(normal_0_116, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_117 = mesh_0.normals.elementAt(117);
      expect(normal_0_117, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_118 = mesh_0.normals.elementAt(118);
      expect(normal_0_118, vector3MoreOrLessEquals(Vector3(-0.195775002, -0.0270760003, -0.980274975)));
      final normal_0_119 = mesh_0.normals.elementAt(119);
      expect(normal_0_119, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_120 = mesh_0.normals.elementAt(120);
      expect(normal_0_120, vector3MoreOrLessEquals(Vector3(0.144885004, -0.802478015, -0.578823984)));
      final normal_0_121 = mesh_0.normals.elementAt(121);
      expect(normal_0_121, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_122 = mesh_0.normals.elementAt(122);
      expect(normal_0_122, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_123 = mesh_0.normals.elementAt(123);
      expect(normal_0_123, vector3MoreOrLessEquals(Vector3(0.942951977, -0.332929999, 0)));
      final normal_0_124 = mesh_0.normals.elementAt(124);
      expect(normal_0_124, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_125 = mesh_0.normals.elementAt(125);
      expect(normal_0_125, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_126 = mesh_0.normals.elementAt(126);
      expect(normal_0_126, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, -0.882492006)));
      final normal_0_127 = mesh_0.normals.elementAt(127);
      expect(normal_0_127, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_128 = mesh_0.normals.elementAt(128);
      expect(normal_0_128, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_129 = mesh_0.normals.elementAt(129);
      expect(normal_0_129, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_130 = mesh_0.normals.elementAt(130);
      expect(normal_0_130, vector3MoreOrLessEquals(Vector3(0.343163013, -0.420370013, -0.839956999)));
      final normal_0_131 = mesh_0.normals.elementAt(131);
      expect(normal_0_131, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, -0.599241972)));
      final normal_0_132 = mesh_0.normals.elementAt(132);
      expect(normal_0_132, vector3MoreOrLessEquals(Vector3(0.144885004, -0.802478015, -0.578823984)));
      final normal_0_133 = mesh_0.normals.elementAt(133);
      expect(normal_0_133, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_134 = mesh_0.normals.elementAt(134);
      expect(normal_0_134, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_135 = mesh_0.normals.elementAt(135);
      expect(normal_0_135, vector3MoreOrLessEquals(Vector3(0.173225999, -0.803251982, 0.569894016)));
      final normal_0_136 = mesh_0.normals.elementAt(136);
      expect(normal_0_136, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_137 = mesh_0.normals.elementAt(137);
      expect(normal_0_137, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_138 = mesh_0.normals.elementAt(138);
      expect(normal_0_138, vector3MoreOrLessEquals(Vector3(0.942951977, -0.332929999, 0)));
      final normal_0_139 = mesh_0.normals.elementAt(139);
      expect(normal_0_139, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_140 = mesh_0.normals.elementAt(140);
      expect(normal_0_140, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_141 = mesh_0.normals.elementAt(141);
      expect(normal_0_141, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_142 = mesh_0.normals.elementAt(142);
      expect(normal_0_142, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, -0.320354998)));
      final normal_0_143 = mesh_0.normals.elementAt(143);
      expect(normal_0_143, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_144 = mesh_0.normals.elementAt(144);
      expect(normal_0_144, vector3MoreOrLessEquals(Vector3(0.144885004, -0.802478015, -0.578823984)));
      final normal_0_145 = mesh_0.normals.elementAt(145);
      expect(normal_0_145, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_146 = mesh_0.normals.elementAt(146);
      expect(normal_0_146, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_147 = mesh_0.normals.elementAt(147);
      expect(normal_0_147, vector3MoreOrLessEquals(Vector3(-0.76919502, -0.639014006, 0)));
      final normal_0_148 = mesh_0.normals.elementAt(148);
      expect(normal_0_148, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_149 = mesh_0.normals.elementAt(149);
      expect(normal_0_149, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_150 = mesh_0.normals.elementAt(150);
      expect(normal_0_150, vector3MoreOrLessEquals(Vector3(0.173225999, -0.803251982, 0.569894016)));
      final normal_0_151 = mesh_0.normals.elementAt(151);
      expect(normal_0_151, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_152 = mesh_0.normals.elementAt(152);
      expect(normal_0_152, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_153 = mesh_0.normals.elementAt(153);
      expect(normal_0_153, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_154 = mesh_0.normals.elementAt(154);
      expect(normal_0_154, vector3MoreOrLessEquals(Vector3(0.260986, -0.965342999, 0.000322000007)));
      final normal_0_155 = mesh_0.normals.elementAt(155);
      expect(normal_0_155, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_156 = mesh_0.normals.elementAt(156);
      expect(normal_0_156, vector3MoreOrLessEquals(Vector3(-0.76919502, -0.639014006, 0)));
      final normal_0_157 = mesh_0.normals.elementAt(157);
      expect(normal_0_157, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_158 = mesh_0.normals.elementAt(158);
      expect(normal_0_158, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_159 = mesh_0.normals.elementAt(159);
      expect(normal_0_159, vector3MoreOrLessEquals(Vector3(-0.537588, -0.0717979968, 0.840146005)));
      final normal_0_160 = mesh_0.normals.elementAt(160);
      expect(normal_0_160, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_161 = mesh_0.normals.elementAt(161);
      expect(normal_0_161, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_162 = mesh_0.normals.elementAt(162);
      expect(normal_0_162, vector3MoreOrLessEquals(Vector3(0.173225999, -0.803251982, 0.569894016)));
      final normal_0_163 = mesh_0.normals.elementAt(163);
      expect(normal_0_163, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_164 = mesh_0.normals.elementAt(164);
      expect(normal_0_164, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_165 = mesh_0.normals.elementAt(165);
      expect(normal_0_165, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_166 = mesh_0.normals.elementAt(166);
      expect(normal_0_166, vector3MoreOrLessEquals(Vector3(-0.334289014, -0.877614975, 0.343575001)));
      final normal_0_167 = mesh_0.normals.elementAt(167);
      expect(normal_0_167, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_168 = mesh_0.normals.elementAt(168);
      expect(normal_0_168, vector3MoreOrLessEquals(Vector3(-0.537588, -0.0717979968, 0.840146005)));
      final normal_0_169 = mesh_0.normals.elementAt(169);
      expect(normal_0_169, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_170 = mesh_0.normals.elementAt(170);
      expect(normal_0_170, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_171 = mesh_0.normals.elementAt(171);
      expect(normal_0_171, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, 0.882492006)));
      final normal_0_172 = mesh_0.normals.elementAt(172);
      expect(normal_0_172, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_173 = mesh_0.normals.elementAt(173);
      expect(normal_0_173, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_174 = mesh_0.normals.elementAt(174);
      expect(normal_0_174, vector3MoreOrLessEquals(Vector3(0.173225999, -0.803251982, 0.569894016)));
      final normal_0_175 = mesh_0.normals.elementAt(175);
      expect(normal_0_175, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_176 = mesh_0.normals.elementAt(176);
      expect(normal_0_176, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_177 = mesh_0.normals.elementAt(177);
      expect(normal_0_177, vector3MoreOrLessEquals(Vector3(-0.151555002, -0.0171109997, 0.988300979)));
      final normal_0_178 = mesh_0.normals.elementAt(178);
      expect(normal_0_178, vector3MoreOrLessEquals(Vector3(-0.264903992, -0.527345002, 0.807299972)));
      final normal_0_179 = mesh_0.normals.elementAt(179);
      expect(normal_0_179, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_180 = mesh_0.normals.elementAt(180);
      expect(normal_0_180, vector3MoreOrLessEquals(Vector3(0.173225999, -0.803251982, 0.569894016)));
      final normal_0_181 = mesh_0.normals.elementAt(181);
      expect(normal_0_181, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_182 = mesh_0.normals.elementAt(182);
      expect(normal_0_182, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_183 = mesh_0.normals.elementAt(183);
      expect(normal_0_183, vector3MoreOrLessEquals(Vector3(0.441964, 0.160861999, 0.882492006)));
      final normal_0_184 = mesh_0.normals.elementAt(184);
      expect(normal_0_184, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_185 = mesh_0.normals.elementAt(185);
      expect(normal_0_185, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_186 = mesh_0.normals.elementAt(186);
      expect(normal_0_186, vector3MoreOrLessEquals(Vector3(0.942951977, -0.332929999, 0)));
      final normal_0_187 = mesh_0.normals.elementAt(187);
      expect(normal_0_187, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_188 = mesh_0.normals.elementAt(188);
      expect(normal_0_188, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_189 = mesh_0.normals.elementAt(189);
      expect(normal_0_189, vector3MoreOrLessEquals(Vector3(0.359320998, -0.413989991, 0.836362004)));
      final normal_0_190 = mesh_0.normals.elementAt(190);
      expect(normal_0_190, vector3MoreOrLessEquals(Vector3(0.704306006, -0.633502007, 0.320354998)));
      final normal_0_191 = mesh_0.normals.elementAt(191);
      expect(normal_0_191, vector3MoreOrLessEquals(Vector3(0.795203984, -0.0925220028, 0.599241972)));
      final normal_0_192 = mesh_0.normals.elementAt(192);
      expect(normal_0_192, vector3MoreOrLessEquals(Vector3(-0.915534019, 0.402240008, 0)));
      final normal_0_193 = mesh_0.normals.elementAt(193);
      expect(normal_0_193, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_194 = mesh_0.normals.elementAt(194);
      expect(normal_0_194, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_195 = mesh_0.normals.elementAt(195);
      expect(normal_0_195, vector3MoreOrLessEquals(Vector3(-0.537588, -0.0717979968, 0.840146005)));
      final normal_0_196 = mesh_0.normals.elementAt(196);
      expect(normal_0_196, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_197 = mesh_0.normals.elementAt(197);
      expect(normal_0_197, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_198 = mesh_0.normals.elementAt(198);
      expect(normal_0_198, vector3MoreOrLessEquals(Vector3(-0.76919502, -0.639014006, 0)));
      final normal_0_199 = mesh_0.normals.elementAt(199);
      expect(normal_0_199, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_200 = mesh_0.normals.elementAt(200);
      expect(normal_0_200, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_201 = mesh_0.normals.elementAt(201);
      expect(normal_0_201, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, 0.555975974)));
      final normal_0_202 = mesh_0.normals.elementAt(202);
      expect(normal_0_202, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_203 = mesh_0.normals.elementAt(203);
      expect(normal_0_203, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, 0.555975974)));
      final normal_0_204 = mesh_0.normals.elementAt(204);
      expect(normal_0_204, vector3MoreOrLessEquals(Vector3(-0.915534019, 0.402240008, 0)));
      final normal_0_205 = mesh_0.normals.elementAt(205);
      expect(normal_0_205, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_206 = mesh_0.normals.elementAt(206);
      expect(normal_0_206, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_207 = mesh_0.normals.elementAt(207);
      expect(normal_0_207, vector3MoreOrLessEquals(Vector3(-0.76919502, -0.639014006, 0)));
      final normal_0_208 = mesh_0.normals.elementAt(208);
      expect(normal_0_208, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_209 = mesh_0.normals.elementAt(209);
      expect(normal_0_209, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      final normal_0_210 = mesh_0.normals.elementAt(210);
      expect(normal_0_210, vector3MoreOrLessEquals(Vector3(-0.56130302, -0.0751790032, -0.824189007)));
      final normal_0_211 = mesh_0.normals.elementAt(211);
      expect(normal_0_211, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      final normal_0_212 = mesh_0.normals.elementAt(212);
      expect(normal_0_212, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_213 = mesh_0.normals.elementAt(213);
      expect(normal_0_213, vector3MoreOrLessEquals(Vector3(-0.990267992, -0.139173001, 0)));
      final normal_0_214 = mesh_0.normals.elementAt(214);
      expect(normal_0_214, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_215 = mesh_0.normals.elementAt(215);
      expect(normal_0_215, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      final normal_0_216 = mesh_0.normals.elementAt(216);
      expect(normal_0_216, vector3MoreOrLessEquals(Vector3(-0.915534019, 0.402240008, 0)));
      final normal_0_217 = mesh_0.normals.elementAt(217);
      expect(normal_0_217, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_218 = mesh_0.normals.elementAt(218);
      expect(normal_0_218, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_219 = mesh_0.normals.elementAt(219);
      expect(normal_0_219, vector3MoreOrLessEquals(Vector3(-0.56130302, -0.0751790032, -0.824189007)));
      final normal_0_220 = mesh_0.normals.elementAt(220);
      expect(normal_0_220, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_221 = mesh_0.normals.elementAt(221);
      expect(normal_0_221, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_222 = mesh_0.normals.elementAt(222);
      expect(normal_0_222, vector3MoreOrLessEquals(Vector3(-0.413628995, 0.701857984, -0.579919994)));
      final normal_0_223 = mesh_0.normals.elementAt(223);
      expect(normal_0_223, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_224 = mesh_0.normals.elementAt(224);
      expect(normal_0_224, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_225 = mesh_0.normals.elementAt(225);
      expect(normal_0_225, vector3MoreOrLessEquals(Vector3(-0.810413003, 0.184717998, -0.555975974)));
      final normal_0_226 = mesh_0.normals.elementAt(226);
      expect(normal_0_226, vector3MoreOrLessEquals(Vector3(-0.721673012, 0.607891023, -0.331144989)));
      final normal_0_227 = mesh_0.normals.elementAt(227);
      expect(normal_0_227, vector3MoreOrLessEquals(Vector3(-0.544857979, 0.327293992, -0.772015989)));
      final normal_0_228 = mesh_0.normals.elementAt(228);
      expect(normal_0_228, vector3MoreOrLessEquals(Vector3(0.144885004, -0.802478015, -0.578823984)));
      final normal_0_229 = mesh_0.normals.elementAt(229);
      expect(normal_0_229, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_230 = mesh_0.normals.elementAt(230);
      expect(normal_0_230, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_231 = mesh_0.normals.elementAt(231);
      expect(normal_0_231, vector3MoreOrLessEquals(Vector3(-0.56130302, -0.0751790032, -0.824189007)));
      final normal_0_232 = mesh_0.normals.elementAt(232);
      expect(normal_0_232, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_233 = mesh_0.normals.elementAt(233);
      expect(normal_0_233, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      final normal_0_234 = mesh_0.normals.elementAt(234);
      expect(normal_0_234, vector3MoreOrLessEquals(Vector3(-0.76919502, -0.639014006, 0)));
      final normal_0_235 = mesh_0.normals.elementAt(235);
      expect(normal_0_235, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      final normal_0_236 = mesh_0.normals.elementAt(236);
      expect(normal_0_236, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_237 = mesh_0.normals.elementAt(237);
      expect(normal_0_237, vector3MoreOrLessEquals(Vector3(-0.299847007, -0.529264987, -0.793707013)));
      final normal_0_238 = mesh_0.normals.elementAt(238);
      expect(normal_0_238, vector3MoreOrLessEquals(Vector3(-0.34623, -0.872997999, -0.343510002)));
      final normal_0_239 = mesh_0.normals.elementAt(239);
      expect(normal_0_239, vector3MoreOrLessEquals(Vector3(-0.728103995, -0.400941998, -0.555975974)));
      expect(mesh_0.tangents.length, isZero);
      expect(mesh_0.bitangents.length, isZero);
      expect(mesh_0.colors.length, isZero);
      expect(mesh_0.textureCoords.length, equals(1));
      final textureCoords_0_0 = mesh_0.textureCoords.elementAt(0);
      expect(textureCoords_0_0.length, equals(240));
      final textureCoord_0_0_0 = textureCoords_0_0.elementAt(0);
      expect(textureCoord_0_0_0, vector3MoreOrLessEquals(Vector3(0.186192006, 0.222718, 0)));
      final textureCoord_0_0_1 = textureCoords_0_0.elementAt(1);
      expect(textureCoord_0_0_1, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_2 = textureCoords_0_0.elementAt(2);
      expect(textureCoord_0_0_2, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_3 = textureCoords_0_0.elementAt(3);
      expect(textureCoord_0_0_3, vector3MoreOrLessEquals(Vector3(0.381464005, 0.276196986, 0)));
      final textureCoord_0_0_4 = textureCoords_0_0.elementAt(4);
      expect(textureCoord_0_0_4, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_5 = textureCoords_0_0.elementAt(5);
      expect(textureCoord_0_0_5, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_6 = textureCoords_0_0.elementAt(6);
      expect(textureCoord_0_0_6, vector3MoreOrLessEquals(Vector3(0.74694097, 0.113737002, 0)));
      final textureCoord_0_0_7 = textureCoords_0_0.elementAt(7);
      expect(textureCoord_0_0_7, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_8 = textureCoords_0_0.elementAt(8);
      expect(textureCoord_0_0_8, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_9 = textureCoords_0_0.elementAt(9);
      expect(textureCoord_0_0_9, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_10 = textureCoords_0_0.elementAt(10);
      expect(textureCoord_0_0_10, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_11 = textureCoords_0_0.elementAt(11);
      expect(textureCoord_0_0_11, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_12 = textureCoords_0_0.elementAt(12);
      expect(textureCoord_0_0_12, vector3MoreOrLessEquals(Vector3(0.186192006, 0.222718, 0)));
      final textureCoord_0_0_13 = textureCoords_0_0.elementAt(13);
      expect(textureCoord_0_0_13, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_14 = textureCoords_0_0.elementAt(14);
      expect(textureCoord_0_0_14, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_15 = textureCoords_0_0.elementAt(15);
      expect(textureCoord_0_0_15, vector3MoreOrLessEquals(Vector3(0.0493340008, 0.521438003, 0)));
      final textureCoord_0_0_16 = textureCoords_0_0.elementAt(16);
      expect(textureCoord_0_0_16, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_17 = textureCoords_0_0.elementAt(17);
      expect(textureCoord_0_0_17, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_18 = textureCoords_0_0.elementAt(18);
      expect(textureCoord_0_0_18, vector3MoreOrLessEquals(Vector3(0.381464005, 0.276196986, 0)));
      final textureCoord_0_0_19 = textureCoords_0_0.elementAt(19);
      expect(textureCoord_0_0_19, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_20 = textureCoords_0_0.elementAt(20);
      expect(textureCoord_0_0_20, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_21 = textureCoords_0_0.elementAt(21);
      expect(textureCoord_0_0_21, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_22 = textureCoords_0_0.elementAt(22);
      expect(textureCoord_0_0_22, vector3MoreOrLessEquals(Vector3(0.236448005, 0.237339005, 0)));
      final textureCoord_0_0_23 = textureCoords_0_0.elementAt(23);
      expect(textureCoord_0_0_23, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_24 = textureCoords_0_0.elementAt(24);
      expect(textureCoord_0_0_24, vector3MoreOrLessEquals(Vector3(0.0493340008, 0.521438003, 0)));
      final textureCoord_0_0_25 = textureCoords_0_0.elementAt(25);
      expect(textureCoord_0_0_25, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_26 = textureCoords_0_0.elementAt(26);
      expect(textureCoord_0_0_26, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_27 = textureCoords_0_0.elementAt(27);
      expect(textureCoord_0_0_27, vector3MoreOrLessEquals(Vector3(0.381464005, 0.801927984, 0)));
      final textureCoord_0_0_28 = textureCoords_0_0.elementAt(28);
      expect(textureCoord_0_0_28, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_29 = textureCoords_0_0.elementAt(29);
      expect(textureCoord_0_0_29, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_30 = textureCoords_0_0.elementAt(30);
      expect(textureCoord_0_0_30, vector3MoreOrLessEquals(Vector3(0.381464005, 0.276196986, 0)));
      final textureCoord_0_0_31 = textureCoords_0_0.elementAt(31);
      expect(textureCoord_0_0_31, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_32 = textureCoords_0_0.elementAt(32);
      expect(textureCoord_0_0_32, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_33 = textureCoords_0_0.elementAt(33);
      expect(textureCoord_0_0_33, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_34 = textureCoords_0_0.elementAt(34);
      expect(textureCoord_0_0_34, vector3MoreOrLessEquals(Vector3(0.156003997, 0.412921995, 0)));
      final textureCoord_0_0_35 = textureCoords_0_0.elementAt(35);
      expect(textureCoord_0_0_35, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_36 = textureCoords_0_0.elementAt(36);
      expect(textureCoord_0_0_36, vector3MoreOrLessEquals(Vector3(0.381464005, 0.276196986, 0)));
      final textureCoord_0_0_37 = textureCoords_0_0.elementAt(37);
      expect(textureCoord_0_0_37, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_38 = textureCoords_0_0.elementAt(38);
      expect(textureCoord_0_0_38, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_39 = textureCoords_0_0.elementAt(39);
      expect(textureCoord_0_0_39, vector3MoreOrLessEquals(Vector3(0.381464005, 0.801927984, 0)));
      final textureCoord_0_0_40 = textureCoords_0_0.elementAt(40);
      expect(textureCoord_0_0_40, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_41 = textureCoords_0_0.elementAt(41);
      expect(textureCoord_0_0_41, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_42 = textureCoords_0_0.elementAt(42);
      expect(textureCoord_0_0_42, vector3MoreOrLessEquals(Vector3(0.822368979, 0.539062977, 0)));
      final textureCoord_0_0_43 = textureCoords_0_0.elementAt(43);
      expect(textureCoord_0_0_43, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_44 = textureCoords_0_0.elementAt(44);
      expect(textureCoord_0_0_44, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_45 = textureCoords_0_0.elementAt(45);
      expect(textureCoord_0_0_45, vector3MoreOrLessEquals(Vector3(0.360094994, 0.539062977, 0)));
      final textureCoord_0_0_46 = textureCoords_0_0.elementAt(46);
      expect(textureCoord_0_0_46, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_47 = textureCoords_0_0.elementAt(47);
      expect(textureCoord_0_0_47, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_48 = textureCoords_0_0.elementAt(48);
      expect(textureCoord_0_0_48, vector3MoreOrLessEquals(Vector3(0.381464005, 0.276196986, 0)));
      final textureCoord_0_0_49 = textureCoords_0_0.elementAt(49);
      expect(textureCoord_0_0_49, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_50 = textureCoords_0_0.elementAt(50);
      expect(textureCoord_0_0_50, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_51 = textureCoords_0_0.elementAt(51);
      expect(textureCoord_0_0_51, vector3MoreOrLessEquals(Vector3(0.822368979, 0.539062977, 0)));
      final textureCoord_0_0_52 = textureCoords_0_0.elementAt(52);
      expect(textureCoord_0_0_52, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_53 = textureCoords_0_0.elementAt(53);
      expect(textureCoord_0_0_53, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_54 = textureCoords_0_0.elementAt(54);
      expect(textureCoord_0_0_54, vector3MoreOrLessEquals(Vector3(0.74694097, 0.113737002, 0)));
      final textureCoord_0_0_55 = textureCoords_0_0.elementAt(55);
      expect(textureCoord_0_0_55, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_56 = textureCoords_0_0.elementAt(56);
      expect(textureCoord_0_0_56, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_57 = textureCoords_0_0.elementAt(57);
      expect(textureCoord_0_0_57, vector3MoreOrLessEquals(Vector3(0.619252026, 0.384553999, 0)));
      final textureCoord_0_0_58 = textureCoords_0_0.elementAt(58);
      expect(textureCoord_0_0_58, vector3MoreOrLessEquals(Vector3(0.574917018, 0.134553999, 0)));
      final textureCoord_0_0_59 = textureCoords_0_0.elementAt(59);
      expect(textureCoord_0_0_59, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_60 = textureCoords_0_0.elementAt(60);
      expect(textureCoord_0_0_60, vector3MoreOrLessEquals(Vector3(0.822368979, 0.539062977, 0)));
      final textureCoord_0_0_61 = textureCoords_0_0.elementAt(61);
      expect(textureCoord_0_0_61, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_62 = textureCoords_0_0.elementAt(62);
      expect(textureCoord_0_0_62, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_63 = textureCoords_0_0.elementAt(63);
      expect(textureCoord_0_0_63, vector3MoreOrLessEquals(Vector3(0.972818017, 0.539062977, 0)));
      final textureCoord_0_0_64 = textureCoords_0_0.elementAt(64);
      expect(textureCoord_0_0_64, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_65 = textureCoords_0_0.elementAt(65);
      expect(textureCoord_0_0_65, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_66 = textureCoords_0_0.elementAt(66);
      expect(textureCoord_0_0_66, vector3MoreOrLessEquals(Vector3(0.74694097, 0.113737002, 0)));
      final textureCoord_0_0_67 = textureCoords_0_0.elementAt(67);
      expect(textureCoord_0_0_67, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_68 = textureCoords_0_0.elementAt(68);
      expect(textureCoord_0_0_68, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_69 = textureCoords_0_0.elementAt(69);
      expect(textureCoord_0_0_69, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_70 = textureCoords_0_0.elementAt(70);
      expect(textureCoord_0_0_70, vector3MoreOrLessEquals(Vector3(0.83407402, 0.289063007, 0)));
      final textureCoord_0_0_71 = textureCoords_0_0.elementAt(71);
      expect(textureCoord_0_0_71, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_72 = textureCoords_0_0.elementAt(72);
      expect(textureCoord_0_0_72, vector3MoreOrLessEquals(Vector3(0.822368979, 0.539062977, 0)));
      final textureCoord_0_0_73 = textureCoords_0_0.elementAt(73);
      expect(textureCoord_0_0_73, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_74 = textureCoords_0_0.elementAt(74);
      expect(textureCoord_0_0_74, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_75 = textureCoords_0_0.elementAt(75);
      expect(textureCoord_0_0_75, vector3MoreOrLessEquals(Vector3(0.74694097, 0.964388013, 0)));
      final textureCoord_0_0_76 = textureCoords_0_0.elementAt(76);
      expect(textureCoord_0_0_76, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_77 = textureCoords_0_0.elementAt(77);
      expect(textureCoord_0_0_77, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_78 = textureCoords_0_0.elementAt(78);
      expect(textureCoord_0_0_78, vector3MoreOrLessEquals(Vector3(0.972818017, 0.539062977, 0)));
      final textureCoord_0_0_79 = textureCoords_0_0.elementAt(79);
      expect(textureCoord_0_0_79, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_80 = textureCoords_0_0.elementAt(80);
      expect(textureCoord_0_0_80, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_81 = textureCoords_0_0.elementAt(81);
      expect(textureCoord_0_0_81, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_82 = textureCoords_0_0.elementAt(82);
      expect(textureCoord_0_0_82, vector3MoreOrLessEquals(Vector3(1.02343798, 0.539062977, 0)));
      final textureCoord_0_0_83 = textureCoords_0_0.elementAt(83);
      expect(textureCoord_0_0_83, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_84 = textureCoords_0_0.elementAt(84);
      expect(textureCoord_0_0_84, vector3MoreOrLessEquals(Vector3(0.381464005, 0.801927984, 0)));
      final textureCoord_0_0_85 = textureCoords_0_0.elementAt(85);
      expect(textureCoord_0_0_85, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_86 = textureCoords_0_0.elementAt(86);
      expect(textureCoord_0_0_86, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_87 = textureCoords_0_0.elementAt(87);
      expect(textureCoord_0_0_87, vector3MoreOrLessEquals(Vector3(0.74694097, 0.964388013, 0)));
      final textureCoord_0_0_88 = textureCoords_0_0.elementAt(88);
      expect(textureCoord_0_0_88, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_89 = textureCoords_0_0.elementAt(89);
      expect(textureCoord_0_0_89, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_90 = textureCoords_0_0.elementAt(90);
      expect(textureCoord_0_0_90, vector3MoreOrLessEquals(Vector3(0.822368979, 0.539062977, 0)));
      final textureCoord_0_0_91 = textureCoords_0_0.elementAt(91);
      expect(textureCoord_0_0_91, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_92 = textureCoords_0_0.elementAt(92);
      expect(textureCoord_0_0_92, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_93 = textureCoords_0_0.elementAt(93);
      expect(textureCoord_0_0_93, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_94 = textureCoords_0_0.elementAt(94);
      expect(textureCoord_0_0_94, vector3MoreOrLessEquals(Vector3(0.619252026, 0.693570971, 0)));
      final textureCoord_0_0_95 = textureCoords_0_0.elementAt(95);
      expect(textureCoord_0_0_95, vector3MoreOrLessEquals(Vector3(0.83407402, 0.789062977, 0)));
      final textureCoord_0_0_96 = textureCoords_0_0.elementAt(96);
      expect(textureCoord_0_0_96, vector3MoreOrLessEquals(Vector3(0.381464005, 0.801927984, 0)));
      final textureCoord_0_0_97 = textureCoords_0_0.elementAt(97);
      expect(textureCoord_0_0_97, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_98 = textureCoords_0_0.elementAt(98);
      expect(textureCoord_0_0_98, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_99 = textureCoords_0_0.elementAt(99);
      expect(textureCoord_0_0_99, vector3MoreOrLessEquals(Vector3(0.186192006, 0.820158005, 0)));
      final textureCoord_0_0_100 = textureCoords_0_0.elementAt(100);
      expect(textureCoord_0_0_100, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_101 = textureCoords_0_0.elementAt(101);
      expect(textureCoord_0_0_101, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_102 = textureCoords_0_0.elementAt(102);
      expect(textureCoord_0_0_102, vector3MoreOrLessEquals(Vector3(0.74694097, 0.964388013, 0)));
      final textureCoord_0_0_103 = textureCoords_0_0.elementAt(103);
      expect(textureCoord_0_0_103, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_104 = textureCoords_0_0.elementAt(104);
      expect(textureCoord_0_0_104, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_105 = textureCoords_0_0.elementAt(105);
      expect(textureCoord_0_0_105, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_106 = textureCoords_0_0.elementAt(106);
      expect(textureCoord_0_0_106, vector3MoreOrLessEquals(Vector3(0.574917018, 0.943570971, 0)));
      final textureCoord_0_0_107 = textureCoords_0_0.elementAt(107);
      expect(textureCoord_0_0_107, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_108 = textureCoords_0_0.elementAt(108);
      expect(textureCoord_0_0_108, vector3MoreOrLessEquals(Vector3(0.186192006, 0.820158005, 0)));
      final textureCoord_0_0_109 = textureCoords_0_0.elementAt(109);
      expect(textureCoord_0_0_109, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_110 = textureCoords_0_0.elementAt(110);
      expect(textureCoord_0_0_110, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_111 = textureCoords_0_0.elementAt(111);
      expect(textureCoord_0_0_111, vector3MoreOrLessEquals(Vector3(0.62489599, 0.801927984, 0)));
      final textureCoord_0_0_112 = textureCoords_0_0.elementAt(112);
      expect(textureCoord_0_0_112, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_113 = textureCoords_0_0.elementAt(113);
      expect(textureCoord_0_0_113, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_114 = textureCoords_0_0.elementAt(114);
      expect(textureCoord_0_0_114, vector3MoreOrLessEquals(Vector3(0.74694097, 0.964388013, 0)));
      final textureCoord_0_0_115 = textureCoords_0_0.elementAt(115);
      expect(textureCoord_0_0_115, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_116 = textureCoords_0_0.elementAt(116);
      expect(textureCoord_0_0_116, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_117 = textureCoords_0_0.elementAt(117);
      expect(textureCoord_0_0_117, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_118 = textureCoords_0_0.elementAt(118);
      expect(textureCoord_0_0_118, vector3MoreOrLessEquals(Vector3(0.503180027, 1.03906298, 0)));
      final textureCoord_0_0_119 = textureCoords_0_0.elementAt(119);
      expect(textureCoord_0_0_119, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_120 = textureCoords_0_0.elementAt(120);
      expect(textureCoord_0_0_120, vector3MoreOrLessEquals(Vector3(0.62489599, 0.801927984, 0)));
      final textureCoord_0_0_121 = textureCoords_0_0.elementAt(121);
      expect(textureCoord_0_0_121, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_122 = textureCoords_0_0.elementAt(122);
      expect(textureCoord_0_0_122, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_123 = textureCoords_0_0.elementAt(123);
      expect(textureCoord_0_0_123, vector3MoreOrLessEquals(Vector3(0.972818017, 0.539062977, 0)));
      final textureCoord_0_0_124 = textureCoords_0_0.elementAt(124);
      expect(textureCoord_0_0_124, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_125 = textureCoords_0_0.elementAt(125);
      expect(textureCoord_0_0_125, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_126 = textureCoords_0_0.elementAt(126);
      expect(textureCoord_0_0_126, vector3MoreOrLessEquals(Vector3(0.74694097, 0.964388013, 0)));
      final textureCoord_0_0_127 = textureCoords_0_0.elementAt(127);
      expect(textureCoord_0_0_127, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_128 = textureCoords_0_0.elementAt(128);
      expect(textureCoord_0_0_128, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_129 = textureCoords_0_0.elementAt(129);
      expect(textureCoord_0_0_129, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_130 = textureCoords_0_0.elementAt(130);
      expect(textureCoord_0_0_130, vector3MoreOrLessEquals(Vector3(0.718002021, 0.943570971, 0)));
      final textureCoord_0_0_131 = textureCoords_0_0.elementAt(131);
      expect(textureCoord_0_0_131, vector3MoreOrLessEquals(Vector3(0.922505975, 0.789062977, 0)));
      final textureCoord_0_0_132 = textureCoords_0_0.elementAt(132);
      expect(textureCoord_0_0_132, vector3MoreOrLessEquals(Vector3(0.62489599, 0.801927984, 0)));
      final textureCoord_0_0_133 = textureCoords_0_0.elementAt(133);
      expect(textureCoord_0_0_133, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_134 = textureCoords_0_0.elementAt(134);
      expect(textureCoord_0_0_134, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_135 = textureCoords_0_0.elementAt(135);
      expect(textureCoord_0_0_135, vector3MoreOrLessEquals(Vector3(0.62489599, 0.276196986, 0)));
      final textureCoord_0_0_136 = textureCoords_0_0.elementAt(136);
      expect(textureCoord_0_0_136, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_137 = textureCoords_0_0.elementAt(137);
      expect(textureCoord_0_0_137, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_138 = textureCoords_0_0.elementAt(138);
      expect(textureCoord_0_0_138, vector3MoreOrLessEquals(Vector3(0.972818017, 0.539062977, 0)));
      final textureCoord_0_0_139 = textureCoords_0_0.elementAt(139);
      expect(textureCoord_0_0_139, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_140 = textureCoords_0_0.elementAt(140);
      expect(textureCoord_0_0_140, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_141 = textureCoords_0_0.elementAt(141);
      expect(textureCoord_0_0_141, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_142 = textureCoords_0_0.elementAt(142);
      expect(textureCoord_0_0_142, vector3MoreOrLessEquals(Vector3(0.850768983, 0.693570971, 0)));
      final textureCoord_0_0_143 = textureCoords_0_0.elementAt(143);
      expect(textureCoord_0_0_143, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_144 = textureCoords_0_0.elementAt(144);
      expect(textureCoord_0_0_144, vector3MoreOrLessEquals(Vector3(0.62489599, 0.801927984, 0)));
      final textureCoord_0_0_145 = textureCoords_0_0.elementAt(145);
      expect(textureCoord_0_0_145, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_146 = textureCoords_0_0.elementAt(146);
      expect(textureCoord_0_0_146, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_147 = textureCoords_0_0.elementAt(147);
      expect(textureCoord_0_0_147, vector3MoreOrLessEquals(Vector3(0.100045003, 0.521438003, 0)));
      final textureCoord_0_0_148 = textureCoords_0_0.elementAt(148);
      expect(textureCoord_0_0_148, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_149 = textureCoords_0_0.elementAt(149);
      expect(textureCoord_0_0_149, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_150 = textureCoords_0_0.elementAt(150);
      expect(textureCoord_0_0_150, vector3MoreOrLessEquals(Vector3(0.62489599, 0.276196986, 0)));
      final textureCoord_0_0_151 = textureCoords_0_0.elementAt(151);
      expect(textureCoord_0_0_151, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_152 = textureCoords_0_0.elementAt(152);
      expect(textureCoord_0_0_152, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_153 = textureCoords_0_0.elementAt(153);
      expect(textureCoord_0_0_153, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_154 = textureCoords_0_0.elementAt(154);
      expect(textureCoord_0_0_154, vector3MoreOrLessEquals(Vector3(0.646265984, 0.539062977, 0)));
      final textureCoord_0_0_155 = textureCoords_0_0.elementAt(155);
      expect(textureCoord_0_0_155, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_156 = textureCoords_0_0.elementAt(156);
      expect(textureCoord_0_0_156, vector3MoreOrLessEquals(Vector3(0.100045003, 0.521438003, 0)));
      final textureCoord_0_0_157 = textureCoords_0_0.elementAt(157);
      expect(textureCoord_0_0_157, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_158 = textureCoords_0_0.elementAt(158);
      expect(textureCoord_0_0_158, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_159 = textureCoords_0_0.elementAt(159);
      expect(textureCoord_0_0_159, vector3MoreOrLessEquals(Vector3(0.186192006, 0.222718, 0)));
      final textureCoord_0_0_160 = textureCoords_0_0.elementAt(160);
      expect(textureCoord_0_0_160, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_161 = textureCoords_0_0.elementAt(161);
      expect(textureCoord_0_0_161, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_162 = textureCoords_0_0.elementAt(162);
      expect(textureCoord_0_0_162, vector3MoreOrLessEquals(Vector3(0.62489599, 0.276196986, 0)));
      final textureCoord_0_0_163 = textureCoords_0_0.elementAt(163);
      expect(textureCoord_0_0_163, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_164 = textureCoords_0_0.elementAt(164);
      expect(textureCoord_0_0_164, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_165 = textureCoords_0_0.elementAt(165);
      expect(textureCoord_0_0_165, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_166 = textureCoords_0_0.elementAt(166);
      expect(textureCoord_0_0_166, vector3MoreOrLessEquals(Vector3(0.234041005, 0.412921995, 0)));
      final textureCoord_0_0_167 = textureCoords_0_0.elementAt(167);
      expect(textureCoord_0_0_167, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_168 = textureCoords_0_0.elementAt(168);
      expect(textureCoord_0_0_168, vector3MoreOrLessEquals(Vector3(0.186192006, 0.222718, 0)));
      final textureCoord_0_0_169 = textureCoords_0_0.elementAt(169);
      expect(textureCoord_0_0_169, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_170 = textureCoords_0_0.elementAt(170);
      expect(textureCoord_0_0_170, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_171 = textureCoords_0_0.elementAt(171);
      expect(textureCoord_0_0_171, vector3MoreOrLessEquals(Vector3(0.74694097, 0.113737002, 0)));
      final textureCoord_0_0_172 = textureCoords_0_0.elementAt(172);
      expect(textureCoord_0_0_172, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_173 = textureCoords_0_0.elementAt(173);
      expect(textureCoord_0_0_173, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_174 = textureCoords_0_0.elementAt(174);
      expect(textureCoord_0_0_174, vector3MoreOrLessEquals(Vector3(0.62489599, 0.276196986, 0)));
      final textureCoord_0_0_175 = textureCoords_0_0.elementAt(175);
      expect(textureCoord_0_0_175, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_176 = textureCoords_0_0.elementAt(176);
      expect(textureCoord_0_0_176, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_177 = textureCoords_0_0.elementAt(177);
      expect(textureCoord_0_0_177, vector3MoreOrLessEquals(Vector3(0.503180027, 0.0390629992, 0)));
      final textureCoord_0_0_178 = textureCoords_0_0.elementAt(178);
      expect(textureCoord_0_0_178, vector3MoreOrLessEquals(Vector3(0.284676999, 0.237339005, 0)));
      final textureCoord_0_0_179 = textureCoords_0_0.elementAt(179);
      expect(textureCoord_0_0_179, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_180 = textureCoords_0_0.elementAt(180);
      expect(textureCoord_0_0_180, vector3MoreOrLessEquals(Vector3(0.62489599, 0.276196986, 0)));
      final textureCoord_0_0_181 = textureCoords_0_0.elementAt(181);
      expect(textureCoord_0_0_181, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_182 = textureCoords_0_0.elementAt(182);
      expect(textureCoord_0_0_182, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_183 = textureCoords_0_0.elementAt(183);
      expect(textureCoord_0_0_183, vector3MoreOrLessEquals(Vector3(0.74694097, 0.113737002, 0)));
      final textureCoord_0_0_184 = textureCoords_0_0.elementAt(184);
      expect(textureCoord_0_0_184, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_185 = textureCoords_0_0.elementAt(185);
      expect(textureCoord_0_0_185, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_186 = textureCoords_0_0.elementAt(186);
      expect(textureCoord_0_0_186, vector3MoreOrLessEquals(Vector3(0.972818017, 0.539062977, 0)));
      final textureCoord_0_0_187 = textureCoords_0_0.elementAt(187);
      expect(textureCoord_0_0_187, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_188 = textureCoords_0_0.elementAt(188);
      expect(textureCoord_0_0_188, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_189 = textureCoords_0_0.elementAt(189);
      expect(textureCoord_0_0_189, vector3MoreOrLessEquals(Vector3(0.718002021, 0.134553999, 0)));
      final textureCoord_0_0_190 = textureCoords_0_0.elementAt(190);
      expect(textureCoord_0_0_190, vector3MoreOrLessEquals(Vector3(0.850768983, 0.384553999, 0)));
      final textureCoord_0_0_191 = textureCoords_0_0.elementAt(191);
      expect(textureCoord_0_0_191, vector3MoreOrLessEquals(Vector3(0.922505975, 0.289063007, 0)));
      final textureCoord_0_0_192 = textureCoords_0_0.elementAt(192);
      expect(textureCoord_0_0_192, vector3MoreOrLessEquals(Vector3(0.0493340008, 0.521438003, 0)));
      final textureCoord_0_0_193 = textureCoords_0_0.elementAt(193);
      expect(textureCoord_0_0_193, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_194 = textureCoords_0_0.elementAt(194);
      expect(textureCoord_0_0_194, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_195 = textureCoords_0_0.elementAt(195);
      expect(textureCoord_0_0_195, vector3MoreOrLessEquals(Vector3(0.186192006, 0.222718, 0)));
      final textureCoord_0_0_196 = textureCoords_0_0.elementAt(196);
      expect(textureCoord_0_0_196, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_197 = textureCoords_0_0.elementAt(197);
      expect(textureCoord_0_0_197, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_198 = textureCoords_0_0.elementAt(198);
      expect(textureCoord_0_0_198, vector3MoreOrLessEquals(Vector3(0.100045003, 0.521438003, 0)));
      final textureCoord_0_0_199 = textureCoords_0_0.elementAt(199);
      expect(textureCoord_0_0_199, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_200 = textureCoords_0_0.elementAt(200);
      expect(textureCoord_0_0_200, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_201 = textureCoords_0_0.elementAt(201);
      expect(textureCoord_0_0_201, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.345854998, 0)));
      final textureCoord_0_0_202 = textureCoords_0_0.elementAt(202);
      expect(textureCoord_0_0_202, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_203 = textureCoords_0_0.elementAt(203);
      expect(textureCoord_0_0_203, vector3MoreOrLessEquals(Vector3(0.103881001, 0.345854998, 0)));
      final textureCoord_0_0_204 = textureCoords_0_0.elementAt(204);
      expect(textureCoord_0_0_204, vector3MoreOrLessEquals(Vector3(0.0493340008, 0.521438003, 0)));
      final textureCoord_0_0_205 = textureCoords_0_0.elementAt(205);
      expect(textureCoord_0_0_205, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_206 = textureCoords_0_0.elementAt(206);
      expect(textureCoord_0_0_206, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_207 = textureCoords_0_0.elementAt(207);
      expect(textureCoord_0_0_207, vector3MoreOrLessEquals(Vector3(0.100045003, 0.521438003, 0)));
      final textureCoord_0_0_208 = textureCoords_0_0.elementAt(208);
      expect(textureCoord_0_0_208, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_209 = textureCoords_0_0.elementAt(209);
      expect(textureCoord_0_0_209, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      final textureCoord_0_0_210 = textureCoords_0_0.elementAt(210);
      expect(textureCoord_0_0_210, vector3MoreOrLessEquals(Vector3(0.186192006, 0.820158005, 0)));
      final textureCoord_0_0_211 = textureCoords_0_0.elementAt(211);
      expect(textureCoord_0_0_211, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      final textureCoord_0_0_212 = textureCoords_0_0.elementAt(212);
      expect(textureCoord_0_0_212, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_213 = textureCoords_0_0.elementAt(213);
      expect(textureCoord_0_0_213, vector3MoreOrLessEquals(Vector3(0.0234379992, 0.521438003, 0)));
      final textureCoord_0_0_214 = textureCoords_0_0.elementAt(214);
      expect(textureCoord_0_0_214, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_215 = textureCoords_0_0.elementAt(215);
      expect(textureCoord_0_0_215, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      final textureCoord_0_0_216 = textureCoords_0_0.elementAt(216);
      expect(textureCoord_0_0_216, vector3MoreOrLessEquals(Vector3(0.0493340008, 0.521438003, 0)));
      final textureCoord_0_0_217 = textureCoords_0_0.elementAt(217);
      expect(textureCoord_0_0_217, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_218 = textureCoords_0_0.elementAt(218);
      expect(textureCoord_0_0_218, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_219 = textureCoords_0_0.elementAt(219);
      expect(textureCoord_0_0_219, vector3MoreOrLessEquals(Vector3(0.186192006, 0.820158005, 0)));
      final textureCoord_0_0_220 = textureCoords_0_0.elementAt(220);
      expect(textureCoord_0_0_220, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_221 = textureCoords_0_0.elementAt(221);
      expect(textureCoord_0_0_221, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_222 = textureCoords_0_0.elementAt(222);
      expect(textureCoord_0_0_222, vector3MoreOrLessEquals(Vector3(0.381464005, 0.801927984, 0)));
      final textureCoord_0_0_223 = textureCoords_0_0.elementAt(223);
      expect(textureCoord_0_0_223, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_224 = textureCoords_0_0.elementAt(224);
      expect(textureCoord_0_0_224, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_225 = textureCoords_0_0.elementAt(225);
      expect(textureCoord_0_0_225, vector3MoreOrLessEquals(Vector3(0.0740730017, 0.697021008, 0)));
      final textureCoord_0_0_226 = textureCoords_0_0.elementAt(226);
      expect(textureCoord_0_0_226, vector3MoreOrLessEquals(Vector3(0.156003997, 0.62995398, 0)));
      final textureCoord_0_0_227 = textureCoords_0_0.elementAt(227);
      expect(textureCoord_0_0_227, vector3MoreOrLessEquals(Vector3(0.236448005, 0.805536985, 0)));
      final textureCoord_0_0_228 = textureCoords_0_0.elementAt(228);
      expect(textureCoord_0_0_228, vector3MoreOrLessEquals(Vector3(0.62489599, 0.801927984, 0)));
      final textureCoord_0_0_229 = textureCoords_0_0.elementAt(229);
      expect(textureCoord_0_0_229, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_230 = textureCoords_0_0.elementAt(230);
      expect(textureCoord_0_0_230, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_231 = textureCoords_0_0.elementAt(231);
      expect(textureCoord_0_0_231, vector3MoreOrLessEquals(Vector3(0.186192006, 0.820158005, 0)));
      final textureCoord_0_0_232 = textureCoords_0_0.elementAt(232);
      expect(textureCoord_0_0_232, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_233 = textureCoords_0_0.elementAt(233);
      expect(textureCoord_0_0_233, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      final textureCoord_0_0_234 = textureCoords_0_0.elementAt(234);
      expect(textureCoord_0_0_234, vector3MoreOrLessEquals(Vector3(0.100045003, 0.521438003, 0)));
      final textureCoord_0_0_235 = textureCoords_0_0.elementAt(235);
      expect(textureCoord_0_0_235, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      final textureCoord_0_0_236 = textureCoords_0_0.elementAt(236);
      expect(textureCoord_0_0_236, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_237 = textureCoords_0_0.elementAt(237);
      expect(textureCoord_0_0_237, vector3MoreOrLessEquals(Vector3(0.284676999, 0.805536985, 0)));
      final textureCoord_0_0_238 = textureCoords_0_0.elementAt(238);
      expect(textureCoord_0_0_238, vector3MoreOrLessEquals(Vector3(0.234041005, 0.62995398, 0)));
      final textureCoord_0_0_239 = textureCoords_0_0.elementAt(239);
      expect(textureCoord_0_0_239, vector3MoreOrLessEquals(Vector3(0.103881001, 0.697021008, 0)));
      expect(mesh_0.uvComponents.length, equals(1));
      expect(mesh_0.uvComponents, equals([2]));
      expect(mesh_0.faces.length, equals(80));
      expect(mesh_0.bones.length, isZero);
      expect(mesh_0.materialIndex, equals(3));
      expect(mesh_0.name, equals('HLeib01'));
      expect(mesh_0.animMeshes.length, isZero);
      expect(mesh_0.morphingMethod, isZero);
      expect(mesh_0.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_1 = meshes.elementAt(1);
      expect(mesh_1.primitiveTypes, equals(4));
      expect(mesh_1.vertices.length, equals(180));
      final vertex_1_0 = mesh_1.vertices.elementAt(0);
      expect(vertex_1_0, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, 9.43077183)));
      final vertex_1_1 = mesh_1.vertices.elementAt(1);
      expect(vertex_1_1, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_2 = mesh_1.vertices.elementAt(2);
      expect(vertex_1_2, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_3 = mesh_1.vertices.elementAt(3);
      expect(vertex_1_3, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -3.12268996)));
      final vertex_1_4 = mesh_1.vertices.elementAt(4);
      expect(vertex_1_4, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_5 = mesh_1.vertices.elementAt(5);
      expect(vertex_1_5, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_6 = mesh_1.vertices.elementAt(6);
      expect(vertex_1_6, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, 1.12772202)));
      final vertex_1_7 = mesh_1.vertices.elementAt(7);
      expect(vertex_1_7, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_8 = mesh_1.vertices.elementAt(8);
      expect(vertex_1_8, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_9 = mesh_1.vertices.elementAt(9);
      expect(vertex_1_9, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_10 = mesh_1.vertices.elementAt(10);
      expect(vertex_1_10, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_11 = mesh_1.vertices.elementAt(11);
      expect(vertex_1_11, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_12 = mesh_1.vertices.elementAt(12);
      expect(vertex_1_12, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, 9.43077183)));
      final vertex_1_13 = mesh_1.vertices.elementAt(13);
      expect(vertex_1_13, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_14 = mesh_1.vertices.elementAt(14);
      expect(vertex_1_14, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_15 = mesh_1.vertices.elementAt(15);
      expect(vertex_1_15, vector3MoreOrLessEquals(Vector3(-44.8447037, 15.2284927, -10)));
      final vertex_1_16 = mesh_1.vertices.elementAt(16);
      expect(vertex_1_16, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_17 = mesh_1.vertices.elementAt(17);
      expect(vertex_1_17, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_18 = mesh_1.vertices.elementAt(18);
      expect(vertex_1_18, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -3.12268996)));
      final vertex_1_19 = mesh_1.vertices.elementAt(19);
      expect(vertex_1_19, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_20 = mesh_1.vertices.elementAt(20);
      expect(vertex_1_20, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_21 = mesh_1.vertices.elementAt(21);
      expect(vertex_1_21, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_22 = mesh_1.vertices.elementAt(22);
      expect(vertex_1_22, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, 8.47976017)));
      final vertex_1_23 = mesh_1.vertices.elementAt(23);
      expect(vertex_1_23, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_24 = mesh_1.vertices.elementAt(24);
      expect(vertex_1_24, vector3MoreOrLessEquals(Vector3(-44.8447037, 15.2284927, -10)));
      final vertex_1_25 = mesh_1.vertices.elementAt(25);
      expect(vertex_1_25, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_26 = mesh_1.vertices.elementAt(26);
      expect(vertex_1_26, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_27 = mesh_1.vertices.elementAt(27);
      expect(vertex_1_27, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -16.8773098)));
      final vertex_1_28 = mesh_1.vertices.elementAt(28);
      expect(vertex_1_28, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_29 = mesh_1.vertices.elementAt(29);
      expect(vertex_1_29, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_30 = mesh_1.vertices.elementAt(30);
      expect(vertex_1_30, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -3.12268996)));
      final vertex_1_31 = mesh_1.vertices.elementAt(31);
      expect(vertex_1_31, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_32 = mesh_1.vertices.elementAt(32);
      expect(vertex_1_32, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_33 = mesh_1.vertices.elementAt(33);
      expect(vertex_1_33, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_34 = mesh_1.vertices.elementAt(34);
      expect(vertex_1_34, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -2.94135904)));
      final vertex_1_35 = mesh_1.vertices.elementAt(35);
      expect(vertex_1_35, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_36 = mesh_1.vertices.elementAt(36);
      expect(vertex_1_36, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -3.12268996)));
      final vertex_1_37 = mesh_1.vertices.elementAt(37);
      expect(vertex_1_37, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_38 = mesh_1.vertices.elementAt(38);
      expect(vertex_1_38, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_39 = mesh_1.vertices.elementAt(39);
      expect(vertex_1_39, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -16.8773098)));
      final vertex_1_40 = mesh_1.vertices.elementAt(40);
      expect(vertex_1_40, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_41 = mesh_1.vertices.elementAt(41);
      expect(vertex_1_41, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_42 = mesh_1.vertices.elementAt(42);
      expect(vertex_1_42, vector3MoreOrLessEquals(Vector3(-1.337093, 1.10810995, -10)));
      final vertex_1_43 = mesh_1.vertices.elementAt(43);
      expect(vertex_1_43, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_44 = mesh_1.vertices.elementAt(44);
      expect(vertex_1_44, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_45 = mesh_1.vertices.elementAt(45);
      expect(vertex_1_45, vector3MoreOrLessEquals(Vector3(-23.7784824, 14.1422806, -10)));
      final vertex_1_46 = mesh_1.vertices.elementAt(46);
      expect(vertex_1_46, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_47 = mesh_1.vertices.elementAt(47);
      expect(vertex_1_47, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_48 = mesh_1.vertices.elementAt(48);
      expect(vertex_1_48, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -3.12268996)));
      final vertex_1_49 = mesh_1.vertices.elementAt(49);
      expect(vertex_1_49, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_50 = mesh_1.vertices.elementAt(50);
      expect(vertex_1_50, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_51 = mesh_1.vertices.elementAt(51);
      expect(vertex_1_51, vector3MoreOrLessEquals(Vector3(-1.337093, 1.10810995, -10)));
      final vertex_1_52 = mesh_1.vertices.elementAt(52);
      expect(vertex_1_52, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_53 = mesh_1.vertices.elementAt(53);
      expect(vertex_1_53, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_54 = mesh_1.vertices.elementAt(54);
      expect(vertex_1_54, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, 1.12772202)));
      final vertex_1_55 = mesh_1.vertices.elementAt(55);
      expect(vertex_1_55, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_56 = mesh_1.vertices.elementAt(56);
      expect(vertex_1_56, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_57 = mesh_1.vertices.elementAt(57);
      expect(vertex_1_57, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -5.95761776)));
      final vertex_1_58 = mesh_1.vertices.elementAt(58);
      expect(vertex_1_58, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, 0.583091021)));
      final vertex_1_59 = mesh_1.vertices.elementAt(59);
      expect(vertex_1_59, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_60 = mesh_1.vertices.elementAt(60);
      expect(vertex_1_60, vector3MoreOrLessEquals(Vector3(-1.337093, 1.10810995, -10)));
      final vertex_1_61 = mesh_1.vertices.elementAt(61);
      expect(vertex_1_61, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_62 = mesh_1.vertices.elementAt(62);
      expect(vertex_1_62, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_63 = mesh_1.vertices.elementAt(63);
      expect(vertex_1_63, vector3MoreOrLessEquals(Vector3(-6.30518198, -14.1820984, -10)));
      final vertex_1_64 = mesh_1.vertices.elementAt(64);
      expect(vertex_1_64, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_65 = mesh_1.vertices.elementAt(65);
      expect(vertex_1_65, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_1_66 = mesh_1.vertices.elementAt(66);
      expect(vertex_1_66, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, 1.12772202)));
      final vertex_1_67 = mesh_1.vertices.elementAt(67);
      expect(vertex_1_67, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_1_68 = mesh_1.vertices.elementAt(68);
      expect(vertex_1_68, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_69 = mesh_1.vertices.elementAt(69);
      expect(vertex_1_69, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_70 = mesh_1.vertices.elementAt(70);
      expect(vertex_1_70, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -0.594703019)));
      final vertex_1_71 = mesh_1.vertices.elementAt(71);
      expect(vertex_1_71, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_1_72 = mesh_1.vertices.elementAt(72);
      expect(vertex_1_72, vector3MoreOrLessEquals(Vector3(-1.337093, 1.10810995, -10)));
      final vertex_1_73 = mesh_1.vertices.elementAt(73);
      expect(vertex_1_73, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_74 = mesh_1.vertices.elementAt(74);
      expect(vertex_1_74, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_75 = mesh_1.vertices.elementAt(75);
      expect(vertex_1_75, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, -21.1277199)));
      final vertex_1_76 = mesh_1.vertices.elementAt(76);
      expect(vertex_1_76, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_77 = mesh_1.vertices.elementAt(77);
      expect(vertex_1_77, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_1_78 = mesh_1.vertices.elementAt(78);
      expect(vertex_1_78, vector3MoreOrLessEquals(Vector3(-6.30518198, -14.1820984, -10)));
      final vertex_1_79 = mesh_1.vertices.elementAt(79);
      expect(vertex_1_79, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_1_80 = mesh_1.vertices.elementAt(80);
      expect(vertex_1_80, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_81 = mesh_1.vertices.elementAt(81);
      expect(vertex_1_81, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_82 = mesh_1.vertices.elementAt(82);
      expect(vertex_1_82, vector3MoreOrLessEquals(Vector3(-0.419667989, -7.64219809, -10)));
      final vertex_1_83 = mesh_1.vertices.elementAt(83);
      expect(vertex_1_83, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_1_84 = mesh_1.vertices.elementAt(84);
      expect(vertex_1_84, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -16.8773098)));
      final vertex_1_85 = mesh_1.vertices.elementAt(85);
      expect(vertex_1_85, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_86 = mesh_1.vertices.elementAt(86);
      expect(vertex_1_86, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_87 = mesh_1.vertices.elementAt(87);
      expect(vertex_1_87, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, -21.1277199)));
      final vertex_1_88 = mesh_1.vertices.elementAt(88);
      expect(vertex_1_88, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_89 = mesh_1.vertices.elementAt(89);
      expect(vertex_1_89, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_90 = mesh_1.vertices.elementAt(90);
      expect(vertex_1_90, vector3MoreOrLessEquals(Vector3(-1.337093, 1.10810995, -10)));
      final vertex_1_91 = mesh_1.vertices.elementAt(91);
      expect(vertex_1_91, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_92 = mesh_1.vertices.elementAt(92);
      expect(vertex_1_92, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_93 = mesh_1.vertices.elementAt(93);
      expect(vertex_1_93, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_94 = mesh_1.vertices.elementAt(94);
      expect(vertex_1_94, vector3MoreOrLessEquals(Vector3(-8.43230247, 6.44505215, -14.0423813)));
      final vertex_1_95 = mesh_1.vertices.elementAt(95);
      expect(vertex_1_95, vector3MoreOrLessEquals(Vector3(-3.309273, -1.73522401, -19.4052963)));
      final vertex_1_96 = mesh_1.vertices.elementAt(96);
      expect(vertex_1_96, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -16.8773098)));
      final vertex_1_97 = mesh_1.vertices.elementAt(97);
      expect(vertex_1_97, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_98 = mesh_1.vertices.elementAt(98);
      expect(vertex_1_98, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_99 = mesh_1.vertices.elementAt(99);
      expect(vertex_1_99, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, -29.4307709)));
      final vertex_1_100 = mesh_1.vertices.elementAt(100);
      expect(vertex_1_100, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_101 = mesh_1.vertices.elementAt(101);
      expect(vertex_1_101, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_102 = mesh_1.vertices.elementAt(102);
      expect(vertex_1_102, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, -21.1277199)));
      final vertex_1_103 = mesh_1.vertices.elementAt(103);
      expect(vertex_1_103, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_104 = mesh_1.vertices.elementAt(104);
      expect(vertex_1_104, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_105 = mesh_1.vertices.elementAt(105);
      expect(vertex_1_105, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_106 = mesh_1.vertices.elementAt(106);
      expect(vertex_1_106, vector3MoreOrLessEquals(Vector3(-18.8264046, 5.43588305, -20.5830917)));
      final vertex_1_107 = mesh_1.vertices.elementAt(107);
      expect(vertex_1_107, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_108 = mesh_1.vertices.elementAt(108);
      expect(vertex_1_108, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, -29.4307709)));
      final vertex_1_109 = mesh_1.vertices.elementAt(109);
      expect(vertex_1_109, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_110 = mesh_1.vertices.elementAt(110);
      expect(vertex_1_110, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_1_111 = mesh_1.vertices.elementAt(111);
      expect(vertex_1_111, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -16.8773098)));
      final vertex_1_112 = mesh_1.vertices.elementAt(112);
      expect(vertex_1_112, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_1_113 = mesh_1.vertices.elementAt(113);
      expect(vertex_1_113, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_1_114 = mesh_1.vertices.elementAt(114);
      expect(vertex_1_114, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, -21.1277199)));
      final vertex_1_115 = mesh_1.vertices.elementAt(115);
      expect(vertex_1_115, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_1_116 = mesh_1.vertices.elementAt(116);
      expect(vertex_1_116, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_117 = mesh_1.vertices.elementAt(117);
      expect(vertex_1_117, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_1_118 = mesh_1.vertices.elementAt(118);
      expect(vertex_1_118, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, -23.0814209)));
      final vertex_1_119 = mesh_1.vertices.elementAt(119);
      expect(vertex_1_119, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_1_120 = mesh_1.vertices.elementAt(120);
      expect(vertex_1_120, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, -21.1277199)));
      final vertex_1_121 = mesh_1.vertices.elementAt(121);
      expect(vertex_1_121, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_1_122 = mesh_1.vertices.elementAt(122);
      expect(vertex_1_122, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_1_123 = mesh_1.vertices.elementAt(123);
      expect(vertex_1_123, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, 9.43077183)));
      final vertex_1_124 = mesh_1.vertices.elementAt(124);
      expect(vertex_1_124, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_1_125 = mesh_1.vertices.elementAt(125);
      expect(vertex_1_125, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_1_126 = mesh_1.vertices.elementAt(126);
      expect(vertex_1_126, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, 9.43077183)));
      final vertex_1_127 = mesh_1.vertices.elementAt(127);
      expect(vertex_1_127, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_1_128 = mesh_1.vertices.elementAt(128);
      expect(vertex_1_128, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_129 = mesh_1.vertices.elementAt(129);
      expect(vertex_1_129, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, 1.12772202)));
      final vertex_1_130 = mesh_1.vertices.elementAt(130);
      expect(vertex_1_130, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_131 = mesh_1.vertices.elementAt(131);
      expect(vertex_1_131, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_1_132 = mesh_1.vertices.elementAt(132);
      expect(vertex_1_132, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -3.12268996)));
      final vertex_1_133 = mesh_1.vertices.elementAt(133);
      expect(vertex_1_133, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_1_134 = mesh_1.vertices.elementAt(134);
      expect(vertex_1_134, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_1_135 = mesh_1.vertices.elementAt(135);
      expect(vertex_1_135, vector3MoreOrLessEquals(Vector3(-27.9502125, 1.30301702, 3.0814209)));
      final vertex_1_136 = mesh_1.vertices.elementAt(136);
      expect(vertex_1_136, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_1_137 = mesh_1.vertices.elementAt(137);
      expect(vertex_1_137, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_1_138 = mesh_1.vertices.elementAt(138);
      expect(vertex_1_138, vector3MoreOrLessEquals(Vector3(-11.2212677, -4.1325469, 1.12772202)));
      final vertex_1_139 = mesh_1.vertices.elementAt(139);
      expect(vertex_1_139, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_1_140 = mesh_1.vertices.elementAt(140);
      expect(vertex_1_140, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_1_141 = mesh_1.vertices.elementAt(141);
      expect(vertex_1_141, vector3MoreOrLessEquals(Vector3(-44.8447037, 15.2284927, -10)));
      final vertex_1_142 = mesh_1.vertices.elementAt(142);
      expect(vertex_1_142, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_143 = mesh_1.vertices.elementAt(143);
      expect(vertex_1_143, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_144 = mesh_1.vertices.elementAt(144);
      expect(vertex_1_144, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, 9.43077183)));
      final vertex_1_145 = mesh_1.vertices.elementAt(145);
      expect(vertex_1_145, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_146 = mesh_1.vertices.elementAt(146);
      expect(vertex_1_146, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_1_147 = mesh_1.vertices.elementAt(147);
      expect(vertex_1_147, vector3MoreOrLessEquals(Vector3(-51.6475906, -5.70869398, -10)));
      final vertex_1_148 = mesh_1.vertices.elementAt(148);
      expect(vertex_1_148, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_1_149 = mesh_1.vertices.elementAt(149);
      expect(vertex_1_149, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_150 = mesh_1.vertices.elementAt(150);
      expect(vertex_1_150, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, 1.421121)));
      final vertex_1_151 = mesh_1.vertices.elementAt(151);
      expect(vertex_1_151, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_152 = mesh_1.vertices.elementAt(152);
      expect(vertex_1_152, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_1_153 = mesh_1.vertices.elementAt(153);
      expect(vertex_1_153, vector3MoreOrLessEquals(Vector3(-44.8447037, 15.2284927, -10)));
      final vertex_1_154 = mesh_1.vertices.elementAt(154);
      expect(vertex_1_154, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_155 = mesh_1.vertices.elementAt(155);
      expect(vertex_1_155, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_156 = mesh_1.vertices.elementAt(156);
      expect(vertex_1_156, vector3MoreOrLessEquals(Vector3(-51.6475906, -5.70869398, -10)));
      final vertex_1_157 = mesh_1.vertices.elementAt(157);
      expect(vertex_1_157, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_158 = mesh_1.vertices.elementAt(158);
      expect(vertex_1_158, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      final vertex_1_159 = mesh_1.vertices.elementAt(159);
      expect(vertex_1_159, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, -29.4307709)));
      final vertex_1_160 = mesh_1.vertices.elementAt(160);
      expect(vertex_1_160, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      final vertex_1_161 = mesh_1.vertices.elementAt(161);
      expect(vertex_1_161, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_162 = mesh_1.vertices.elementAt(162);
      expect(vertex_1_162, vector3MoreOrLessEquals(Vector3(-50.6370239, 8.9753933, -10)));
      final vertex_1_163 = mesh_1.vertices.elementAt(163);
      expect(vertex_1_163, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_164 = mesh_1.vertices.elementAt(164);
      expect(vertex_1_164, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      final vertex_1_165 = mesh_1.vertices.elementAt(165);
      expect(vertex_1_165, vector3MoreOrLessEquals(Vector3(-44.8447037, 15.2284927, -10)));
      final vertex_1_166 = mesh_1.vertices.elementAt(166);
      expect(vertex_1_166, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_167 = mesh_1.vertices.elementAt(167);
      expect(vertex_1_167, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_168 = mesh_1.vertices.elementAt(168);
      expect(vertex_1_168, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, -29.4307709)));
      final vertex_1_169 = mesh_1.vertices.elementAt(169);
      expect(vertex_1_169, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_170 = mesh_1.vertices.elementAt(170);
      expect(vertex_1_170, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_171 = mesh_1.vertices.elementAt(171);
      expect(vertex_1_171, vector3MoreOrLessEquals(Vector3(-24.4015236, 12.2247486, -16.8773098)));
      final vertex_1_172 = mesh_1.vertices.elementAt(172);
      expect(vertex_1_172, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_173 = mesh_1.vertices.elementAt(173);
      expect(vertex_1_173, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_174 = mesh_1.vertices.elementAt(174);
      expect(vertex_1_174, vector3MoreOrLessEquals(Vector3(-44.8820152, 11.8871975, -21.4211159)));
      final vertex_1_175 = mesh_1.vertices.elementAt(175);
      expect(vertex_1_175, vector3MoreOrLessEquals(Vector3(-35.57024, 16.5985909, -17.0586433)));
      final vertex_1_176 = mesh_1.vertices.elementAt(176);
      expect(vertex_1_176, vector3MoreOrLessEquals(Vector3(-32.6258621, 10.8601875, -28.4797592)));
      final vertex_1_177 = mesh_1.vertices.elementAt(177);
      expect(vertex_1_177, vector3MoreOrLessEquals(Vector3(-41.8566132, -0.754845977, -29.4307709)));
      final vertex_1_178 = mesh_1.vertices.elementAt(178);
      expect(vertex_1_178, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_1_179 = mesh_1.vertices.elementAt(179);
      expect(vertex_1_179, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      expect(mesh_1.normals.length, equals(180));
      final normal_1_0 = mesh_1.normals.elementAt(0);
      expect(normal_1_0, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, 0.971247017)));
      final normal_1_1 = mesh_1.normals.elementAt(1);
      expect(normal_1_1, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_2 = mesh_1.normals.elementAt(2);
      expect(normal_1_2, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_3 = mesh_1.normals.elementAt(3);
      expect(normal_1_3, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, 0.416173011)));
      final normal_1_4 = mesh_1.normals.elementAt(4);
      expect(normal_1_4, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_5 = mesh_1.normals.elementAt(5);
      expect(normal_1_5, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_6 = mesh_1.normals.elementAt(6);
      expect(normal_1_6, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, 0.991171002)));
      final normal_1_7 = mesh_1.normals.elementAt(7);
      expect(normal_1_7, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_8 = mesh_1.normals.elementAt(8);
      expect(normal_1_8, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_9 = mesh_1.normals.elementAt(9);
      expect(normal_1_9, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_10 = mesh_1.normals.elementAt(10);
      expect(normal_1_10, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_11 = mesh_1.normals.elementAt(11);
      expect(normal_1_11, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_12 = mesh_1.normals.elementAt(12);
      expect(normal_1_12, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, 0.971247017)));
      final normal_1_13 = mesh_1.normals.elementAt(13);
      expect(normal_1_13, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_14 = mesh_1.normals.elementAt(14);
      expect(normal_1_14, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_15 = mesh_1.normals.elementAt(15);
      expect(normal_1_15, vector3MoreOrLessEquals(Vector3(-0.478909999, 0.877864003, 0)));
      final normal_1_16 = mesh_1.normals.elementAt(16);
      expect(normal_1_16, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_17 = mesh_1.normals.elementAt(17);
      expect(normal_1_17, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_18 = mesh_1.normals.elementAt(18);
      expect(normal_1_18, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, 0.416173011)));
      final normal_1_19 = mesh_1.normals.elementAt(19);
      expect(normal_1_19, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_20 = mesh_1.normals.elementAt(20);
      expect(normal_1_20, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_21 = mesh_1.normals.elementAt(21);
      expect(normal_1_21, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_22 = mesh_1.normals.elementAt(22);
      expect(normal_1_22, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, 0.838837981)));
      final normal_1_23 = mesh_1.normals.elementAt(23);
      expect(normal_1_23, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_24 = mesh_1.normals.elementAt(24);
      expect(normal_1_24, vector3MoreOrLessEquals(Vector3(-0.478909999, 0.877864003, 0)));
      final normal_1_25 = mesh_1.normals.elementAt(25);
      expect(normal_1_25, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_26 = mesh_1.normals.elementAt(26);
      expect(normal_1_26, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_27 = mesh_1.normals.elementAt(27);
      expect(normal_1_27, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, -0.416173011)));
      final normal_1_28 = mesh_1.normals.elementAt(28);
      expect(normal_1_28, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_29 = mesh_1.normals.elementAt(29);
      expect(normal_1_29, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_30 = mesh_1.normals.elementAt(30);
      expect(normal_1_30, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, 0.416173011)));
      final normal_1_31 = mesh_1.normals.elementAt(31);
      expect(normal_1_31, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_32 = mesh_1.normals.elementAt(32);
      expect(normal_1_32, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_33 = mesh_1.normals.elementAt(33);
      expect(normal_1_33, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_34 = mesh_1.normals.elementAt(34);
      expect(normal_1_34, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, 0.242644995)));
      final normal_1_35 = mesh_1.normals.elementAt(35);
      expect(normal_1_35, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_36 = mesh_1.normals.elementAt(36);
      expect(normal_1_36, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, 0.416173011)));
      final normal_1_37 = mesh_1.normals.elementAt(37);
      expect(normal_1_37, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_38 = mesh_1.normals.elementAt(38);
      expect(normal_1_38, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_39 = mesh_1.normals.elementAt(39);
      expect(normal_1_39, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, -0.416173011)));
      final normal_1_40 = mesh_1.normals.elementAt(40);
      expect(normal_1_40, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_41 = mesh_1.normals.elementAt(41);
      expect(normal_1_41, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_42 = mesh_1.normals.elementAt(42);
      expect(normal_1_42, vector3MoreOrLessEquals(Vector3(0.861265004, 0.508156002, 0)));
      final normal_1_43 = mesh_1.normals.elementAt(43);
      expect(normal_1_43, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_44 = mesh_1.normals.elementAt(44);
      expect(normal_1_44, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_45 = mesh_1.normals.elementAt(45);
      expect(normal_1_45, vector3MoreOrLessEquals(Vector3(0.360915005, 0.932599008, 0)));
      final normal_1_46 = mesh_1.normals.elementAt(46);
      expect(normal_1_46, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_47 = mesh_1.normals.elementAt(47);
      expect(normal_1_47, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_48 = mesh_1.normals.elementAt(48);
      expect(normal_1_48, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, 0.416173011)));
      final normal_1_49 = mesh_1.normals.elementAt(49);
      expect(normal_1_49, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_50 = mesh_1.normals.elementAt(50);
      expect(normal_1_50, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_51 = mesh_1.normals.elementAt(51);
      expect(normal_1_51, vector3MoreOrLessEquals(Vector3(0.861265004, 0.508156002, 0)));
      final normal_1_52 = mesh_1.normals.elementAt(52);
      expect(normal_1_52, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_53 = mesh_1.normals.elementAt(53);
      expect(normal_1_53, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_54 = mesh_1.normals.elementAt(54);
      expect(normal_1_54, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, 0.991171002)));
      final normal_1_55 = mesh_1.normals.elementAt(55);
      expect(normal_1_55, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_56 = mesh_1.normals.elementAt(56);
      expect(normal_1_56, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_57 = mesh_1.normals.elementAt(57);
      expect(normal_1_57, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, 0.343037993)));
      final normal_1_58 = mesh_1.normals.elementAt(58);
      expect(normal_1_58, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, 0.84957099)));
      final normal_1_59 = mesh_1.normals.elementAt(59);
      expect(normal_1_59, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_60 = mesh_1.normals.elementAt(60);
      expect(normal_1_60, vector3MoreOrLessEquals(Vector3(0.861265004, 0.508156002, 0)));
      final normal_1_61 = mesh_1.normals.elementAt(61);
      expect(normal_1_61, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_62 = mesh_1.normals.elementAt(62);
      expect(normal_1_62, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_63 = mesh_1.normals.elementAt(63);
      expect(normal_1_63, vector3MoreOrLessEquals(Vector3(0.743317008, -0.668940008, 0)));
      final normal_1_64 = mesh_1.normals.elementAt(64);
      expect(normal_1_64, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_65 = mesh_1.normals.elementAt(65);
      expect(normal_1_65, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, 0.762651026)));
      final normal_1_66 = mesh_1.normals.elementAt(66);
      expect(normal_1_66, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, 0.991171002)));
      final normal_1_67 = mesh_1.normals.elementAt(67);
      expect(normal_1_67, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, 0.762651026)));
      final normal_1_68 = mesh_1.normals.elementAt(68);
      expect(normal_1_68, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_69 = mesh_1.normals.elementAt(69);
      expect(normal_1_69, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_70 = mesh_1.normals.elementAt(70);
      expect(normal_1_70, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246087, 0.720870018)));
      final normal_1_71 = mesh_1.normals.elementAt(71);
      expect(normal_1_71, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, 0.762651026)));
      final normal_1_72 = mesh_1.normals.elementAt(72);
      expect(normal_1_72, vector3MoreOrLessEquals(Vector3(0.861265004, 0.508156002, 0)));
      final normal_1_73 = mesh_1.normals.elementAt(73);
      expect(normal_1_73, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_74 = mesh_1.normals.elementAt(74);
      expect(normal_1_74, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_75 = mesh_1.normals.elementAt(75);
      expect(normal_1_75, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, -0.991171002)));
      final normal_1_76 = mesh_1.normals.elementAt(76);
      expect(normal_1_76, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_77 = mesh_1.normals.elementAt(77);
      expect(normal_1_77, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, -0.762651026)));
      final normal_1_78 = mesh_1.normals.elementAt(78);
      expect(normal_1_78, vector3MoreOrLessEquals(Vector3(0.743317008, -0.668940008, 0)));
      final normal_1_79 = mesh_1.normals.elementAt(79);
      expect(normal_1_79, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, -0.762651026)));
      final normal_1_80 = mesh_1.normals.elementAt(80);
      expect(normal_1_80, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_81 = mesh_1.normals.elementAt(81);
      expect(normal_1_81, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_82 = mesh_1.normals.elementAt(82);
      expect(normal_1_82, vector3MoreOrLessEquals(Vector3(0.951057017, -0.309017003, 0)));
      final normal_1_83 = mesh_1.normals.elementAt(83);
      expect(normal_1_83, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, -0.762651026)));
      final normal_1_84 = mesh_1.normals.elementAt(84);
      expect(normal_1_84, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, -0.416173011)));
      final normal_1_85 = mesh_1.normals.elementAt(85);
      expect(normal_1_85, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_86 = mesh_1.normals.elementAt(86);
      expect(normal_1_86, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_87 = mesh_1.normals.elementAt(87);
      expect(normal_1_87, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, -0.991171002)));
      final normal_1_88 = mesh_1.normals.elementAt(88);
      expect(normal_1_88, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_89 = mesh_1.normals.elementAt(89);
      expect(normal_1_89, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_90 = mesh_1.normals.elementAt(90);
      expect(normal_1_90, vector3MoreOrLessEquals(Vector3(0.861265004, 0.508156002, 0)));
      final normal_1_91 = mesh_1.normals.elementAt(91);
      expect(normal_1_91, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_92 = mesh_1.normals.elementAt(92);
      expect(normal_1_92, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_93 = mesh_1.normals.elementAt(93);
      expect(normal_1_93, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_94 = mesh_1.normals.elementAt(94);
      expect(normal_1_94, vector3MoreOrLessEquals(Vector3(0.494410992, 0.798675001, -0.343037993)));
      final normal_1_95 = mesh_1.normals.elementAt(95);
      expect(normal_1_95, vector3MoreOrLessEquals(Vector3(0.647909999, 0.246086001, -0.720870018)));
      final normal_1_96 = mesh_1.normals.elementAt(96);
      expect(normal_1_96, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, -0.416173011)));
      final normal_1_97 = mesh_1.normals.elementAt(97);
      expect(normal_1_97, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_98 = mesh_1.normals.elementAt(98);
      expect(normal_1_98, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_99 = mesh_1.normals.elementAt(99);
      expect(normal_1_99, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, -0.971247017)));
      final normal_1_100 = mesh_1.normals.elementAt(100);
      expect(normal_1_100, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_101 = mesh_1.normals.elementAt(101);
      expect(normal_1_101, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_102 = mesh_1.normals.elementAt(102);
      expect(normal_1_102, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, -0.991171002)));
      final normal_1_103 = mesh_1.normals.elementAt(103);
      expect(normal_1_103, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_104 = mesh_1.normals.elementAt(104);
      expect(normal_1_104, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_105 = mesh_1.normals.elementAt(105);
      expect(normal_1_105, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_106 = mesh_1.normals.elementAt(106);
      expect(normal_1_106, vector3MoreOrLessEquals(Vector3(0.362076014, 0.383574992, -0.84957099)));
      final normal_1_107 = mesh_1.normals.elementAt(107);
      expect(normal_1_107, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_108 = mesh_1.normals.elementAt(108);
      expect(normal_1_108, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, -0.971247017)));
      final normal_1_109 = mesh_1.normals.elementAt(109);
      expect(normal_1_109, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_110 = mesh_1.normals.elementAt(110);
      expect(normal_1_110, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, -0.899955988)));
      final normal_1_111 = mesh_1.normals.elementAt(111);
      expect(normal_1_111, vector3MoreOrLessEquals(Vector3(0.188857004, -0.970911026, -0.147192001)));
      final normal_1_112 = mesh_1.normals.elementAt(112);
      expect(normal_1_112, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, -0.899955988)));
      final normal_1_113 = mesh_1.normals.elementAt(113);
      expect(normal_1_113, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, -0.878003001)));
      final normal_1_114 = mesh_1.normals.elementAt(114);
      expect(normal_1_114, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, -0.991171002)));
      final normal_1_115 = mesh_1.normals.elementAt(115);
      expect(normal_1_115, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, -0.878003001)));
      final normal_1_116 = mesh_1.normals.elementAt(116);
      expect(normal_1_116, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_117 = mesh_1.normals.elementAt(117);
      expect(normal_1_117, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, -0.899955988)));
      final normal_1_118 = mesh_1.normals.elementAt(118);
      expect(normal_1_118, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, -0.940913022)));
      final normal_1_119 = mesh_1.normals.elementAt(119);
      expect(normal_1_119, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, -0.878003001)));
      final normal_1_120 = mesh_1.normals.elementAt(120);
      expect(normal_1_120, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, -0.991171002)));
      final normal_1_121 = mesh_1.normals.elementAt(121);
      expect(normal_1_121, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, -0.762651026)));
      final normal_1_122 = mesh_1.normals.elementAt(122);
      expect(normal_1_122, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, -0.878003001)));
      final normal_1_123 = mesh_1.normals.elementAt(123);
      expect(normal_1_123, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, 0.971247017)));
      final normal_1_124 = mesh_1.normals.elementAt(124);
      expect(normal_1_124, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, 0.500032008)));
      final normal_1_125 = mesh_1.normals.elementAt(125);
      expect(normal_1_125, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, 0.899955988)));
      final normal_1_126 = mesh_1.normals.elementAt(126);
      expect(normal_1_126, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, 0.971247017)));
      final normal_1_127 = mesh_1.normals.elementAt(127);
      expect(normal_1_127, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, 0.899955988)));
      final normal_1_128 = mesh_1.normals.elementAt(128);
      expect(normal_1_128, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_129 = mesh_1.normals.elementAt(129);
      expect(normal_1_129, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, 0.991171002)));
      final normal_1_130 = mesh_1.normals.elementAt(130);
      expect(normal_1_130, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_131 = mesh_1.normals.elementAt(131);
      expect(normal_1_131, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, 0.878001988)));
      final normal_1_132 = mesh_1.normals.elementAt(132);
      expect(normal_1_132, vector3MoreOrLessEquals(Vector3(0.188857004, -0.970911026, 0.147192001)));
      final normal_1_133 = mesh_1.normals.elementAt(133);
      expect(normal_1_133, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, 0.878001988)));
      final normal_1_134 = mesh_1.normals.elementAt(134);
      expect(normal_1_134, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, 0.899955988)));
      final normal_1_135 = mesh_1.normals.elementAt(135);
      expect(normal_1_135, vector3MoreOrLessEquals(Vector3(0.320906997, -0.108176, 0.940913022)));
      final normal_1_136 = mesh_1.normals.elementAt(136);
      expect(normal_1_136, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, 0.899955988)));
      final normal_1_137 = mesh_1.normals.elementAt(137);
      expect(normal_1_137, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, 0.878001988)));
      final normal_1_138 = mesh_1.normals.elementAt(138);
      expect(normal_1_138, vector3MoreOrLessEquals(Vector3(0.126098007, -0.0409720019, 0.991171002)));
      final normal_1_139 = mesh_1.normals.elementAt(139);
      expect(normal_1_139, vector3MoreOrLessEquals(Vector3(0.199321002, -0.435180992, 0.878001988)));
      final normal_1_140 = mesh_1.normals.elementAt(140);
      expect(normal_1_140, vector3MoreOrLessEquals(Vector3(0.535462976, -0.362827003, 0.762651026)));
      final normal_1_141 = mesh_1.normals.elementAt(141);
      expect(normal_1_141, vector3MoreOrLessEquals(Vector3(-0.478909999, 0.877864003, 0)));
      final normal_1_142 = mesh_1.normals.elementAt(142);
      expect(normal_1_142, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_143 = mesh_1.normals.elementAt(143);
      expect(normal_1_143, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_144 = mesh_1.normals.elementAt(144);
      expect(normal_1_144, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, 0.971247017)));
      final normal_1_145 = mesh_1.normals.elementAt(145);
      expect(normal_1_145, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_146 = mesh_1.normals.elementAt(146);
      expect(normal_1_146, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, 0.500032008)));
      final normal_1_147 = mesh_1.normals.elementAt(147);
      expect(normal_1_147, vector3MoreOrLessEquals(Vector3(-0.997640014, 0.0686580017, 0)));
      final normal_1_148 = mesh_1.normals.elementAt(148);
      expect(normal_1_148, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, 0.500032008)));
      final normal_1_149 = mesh_1.normals.elementAt(149);
      expect(normal_1_149, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_150 = mesh_1.normals.elementAt(150);
      expect(normal_1_150, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, 0.506218016)));
      final normal_1_151 = mesh_1.normals.elementAt(151);
      expect(normal_1_151, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_152 = mesh_1.normals.elementAt(152);
      expect(normal_1_152, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, 0.500032008)));
      final normal_1_153 = mesh_1.normals.elementAt(153);
      expect(normal_1_153, vector3MoreOrLessEquals(Vector3(-0.478909999, 0.877864003, 0)));
      final normal_1_154 = mesh_1.normals.elementAt(154);
      expect(normal_1_154, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_155 = mesh_1.normals.elementAt(155);
      expect(normal_1_155, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_156 = mesh_1.normals.elementAt(156);
      expect(normal_1_156, vector3MoreOrLessEquals(Vector3(-0.997640014, 0.0686580017, 0)));
      final normal_1_157 = mesh_1.normals.elementAt(157);
      expect(normal_1_157, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_158 = mesh_1.normals.elementAt(158);
      expect(normal_1_158, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, -0.500032008)));
      final normal_1_159 = mesh_1.normals.elementAt(159);
      expect(normal_1_159, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, -0.971247017)));
      final normal_1_160 = mesh_1.normals.elementAt(160);
      expect(normal_1_160, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, -0.500032008)));
      final normal_1_161 = mesh_1.normals.elementAt(161);
      expect(normal_1_161, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_162 = mesh_1.normals.elementAt(162);
      expect(normal_1_162, vector3MoreOrLessEquals(Vector3(-0.930204988, 0.367040008, 0)));
      final normal_1_163 = mesh_1.normals.elementAt(163);
      expect(normal_1_163, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_164 = mesh_1.normals.elementAt(164);
      expect(normal_1_164, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, -0.500032008)));
      final normal_1_165 = mesh_1.normals.elementAt(165);
      expect(normal_1_165, vector3MoreOrLessEquals(Vector3(-0.478909999, 0.877864003, 0)));
      final normal_1_166 = mesh_1.normals.elementAt(166);
      expect(normal_1_166, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_167 = mesh_1.normals.elementAt(167);
      expect(normal_1_167, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_168 = mesh_1.normals.elementAt(168);
      expect(normal_1_168, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, -0.971247017)));
      final normal_1_169 = mesh_1.normals.elementAt(169);
      expect(normal_1_169, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_170 = mesh_1.normals.elementAt(170);
      expect(normal_1_170, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_171 = mesh_1.normals.elementAt(171);
      expect(normal_1_171, vector3MoreOrLessEquals(Vector3(0.401158988, 0.816008985, -0.416173011)));
      final normal_1_172 = mesh_1.normals.elementAt(172);
      expect(normal_1_172, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_173 = mesh_1.normals.elementAt(173);
      expect(normal_1_173, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_174 = mesh_1.normals.elementAt(174);
      expect(normal_1_174, vector3MoreOrLessEquals(Vector3(-0.604686975, 0.614895999, -0.506218016)));
      final normal_1_175 = mesh_1.normals.elementAt(175);
      expect(normal_1_175, vector3MoreOrLessEquals(Vector3(0.0385759994, 0.969348013, -0.242644995)));
      final normal_1_176 = mesh_1.normals.elementAt(176);
      expect(normal_1_176, vector3MoreOrLessEquals(Vector3(0.232850999, 0.492069006, -0.838837981)));
      final normal_1_177 = mesh_1.normals.elementAt(177);
      expect(normal_1_177, vector3MoreOrLessEquals(Vector3(-0.236278996, 0.0291850008, -0.971247017)));
      final normal_1_178 = mesh_1.normals.elementAt(178);
      expect(normal_1_178, vector3MoreOrLessEquals(Vector3(0.132934004, -0.415219009, -0.899955988)));
      final normal_1_179 = mesh_1.normals.elementAt(179);
      expect(normal_1_179, vector3MoreOrLessEquals(Vector3(-0.862017989, 0.0830229968, -0.500032008)));
      expect(mesh_1.tangents.length, isZero);
      expect(mesh_1.bitangents.length, isZero);
      expect(mesh_1.colors.length, isZero);
      expect(mesh_1.textureCoords.length, equals(1));
      final textureCoords_1_0 = mesh_1.textureCoords.elementAt(0);
      expect(textureCoords_1_0.length, equals(180));
      final textureCoord_1_0_0 = textureCoords_1_0.elementAt(0);
      expect(textureCoord_1_0_0, vector3MoreOrLessEquals(Vector3(-0.0658710003, -0.410016, 0)));
      final textureCoord_1_0_1 = textureCoords_1_0.elementAt(1);
      expect(textureCoord_1_0_1, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_2 = textureCoords_1_0.elementAt(2);
      expect(textureCoord_1_0_2, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_3 = textureCoords_1_0.elementAt(3);
      expect(textureCoord_1_0_3, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_4 = textureCoords_1_0.elementAt(4);
      expect(textureCoord_1_0_4, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_5 = textureCoords_1_0.elementAt(5);
      expect(textureCoord_1_0_5, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_6 = textureCoords_1_0.elementAt(6);
      expect(textureCoord_1_0_6, vector3MoreOrLessEquals(Vector3(1.05829096, -0.0169479996, 0)));
      final textureCoord_1_0_7 = textureCoords_1_0.elementAt(7);
      expect(textureCoord_1_0_7, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_8 = textureCoords_1_0.elementAt(8);
      expect(textureCoord_1_0_8, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_9 = textureCoords_1_0.elementAt(9);
      expect(textureCoord_1_0_9, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_10 = textureCoords_1_0.elementAt(10);
      expect(textureCoord_1_0_10, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_11 = textureCoords_1_0.elementAt(11);
      expect(textureCoord_1_0_11, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_12 = textureCoords_1_0.elementAt(12);
      expect(textureCoord_1_0_12, vector3MoreOrLessEquals(Vector3(-0.0658710003, -0.410016, 0)));
      final textureCoord_1_0_13 = textureCoords_1_0.elementAt(13);
      expect(textureCoord_1_0_13, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_14 = textureCoords_1_0.elementAt(14);
      expect(textureCoord_1_0_14, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_15 = textureCoords_1_0.elementAt(15);
      expect(textureCoord_1_0_15, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_16 = textureCoords_1_0.elementAt(16);
      expect(textureCoord_1_0_16, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_17 = textureCoords_1_0.elementAt(17);
      expect(textureCoord_1_0_17, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_18 = textureCoords_1_0.elementAt(18);
      expect(textureCoord_1_0_18, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_19 = textureCoords_1_0.elementAt(19);
      expect(textureCoord_1_0_19, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_20 = textureCoords_1_0.elementAt(20);
      expect(textureCoord_1_0_20, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_21 = textureCoords_1_0.elementAt(21);
      expect(textureCoord_1_0_21, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_22 = textureCoords_1_0.elementAt(22);
      expect(textureCoord_1_0_22, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_23 = textureCoords_1_0.elementAt(23);
      expect(textureCoord_1_0_23, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_24 = textureCoords_1_0.elementAt(24);
      expect(textureCoord_1_0_24, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_25 = textureCoords_1_0.elementAt(25);
      expect(textureCoord_1_0_25, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_26 = textureCoords_1_0.elementAt(26);
      expect(textureCoord_1_0_26, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_27 = textureCoords_1_0.elementAt(27);
      expect(textureCoord_1_0_27, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_28 = textureCoords_1_0.elementAt(28);
      expect(textureCoord_1_0_28, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_29 = textureCoords_1_0.elementAt(29);
      expect(textureCoord_1_0_29, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_30 = textureCoords_1_0.elementAt(30);
      expect(textureCoord_1_0_30, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_31 = textureCoords_1_0.elementAt(31);
      expect(textureCoord_1_0_31, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_32 = textureCoords_1_0.elementAt(32);
      expect(textureCoord_1_0_32, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_33 = textureCoords_1_0.elementAt(33);
      expect(textureCoord_1_0_33, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_34 = textureCoords_1_0.elementAt(34);
      expect(textureCoord_1_0_34, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.175683007, 0)));
      final textureCoord_1_0_35 = textureCoords_1_0.elementAt(35);
      expect(textureCoord_1_0_35, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_36 = textureCoords_1_0.elementAt(36);
      expect(textureCoord_1_0_36, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_37 = textureCoords_1_0.elementAt(37);
      expect(textureCoord_1_0_37, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_38 = textureCoords_1_0.elementAt(38);
      expect(textureCoord_1_0_38, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_39 = textureCoords_1_0.elementAt(39);
      expect(textureCoord_1_0_39, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_40 = textureCoords_1_0.elementAt(40);
      expect(textureCoord_1_0_40, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_41 = textureCoords_1_0.elementAt(41);
      expect(textureCoord_1_0_41, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_42 = textureCoords_1_0.elementAt(42);
      expect(textureCoord_1_0_42, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_43 = textureCoords_1_0.elementAt(43);
      expect(textureCoord_1_0_43, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_44 = textureCoords_1_0.elementAt(44);
      expect(textureCoord_1_0_44, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_45 = textureCoords_1_0.elementAt(45);
      expect(textureCoord_1_0_45, vector3MoreOrLessEquals(Vector3(0.403088003, 0.509840012, 0)));
      final textureCoord_1_0_46 = textureCoords_1_0.elementAt(46);
      expect(textureCoord_1_0_46, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_47 = textureCoords_1_0.elementAt(47);
      expect(textureCoord_1_0_47, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_48 = textureCoords_1_0.elementAt(48);
      expect(textureCoord_1_0_48, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_49 = textureCoords_1_0.elementAt(49);
      expect(textureCoord_1_0_49, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_50 = textureCoords_1_0.elementAt(50);
      expect(textureCoord_1_0_50, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_51 = textureCoords_1_0.elementAt(51);
      expect(textureCoord_1_0_51, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_52 = textureCoords_1_0.elementAt(52);
      expect(textureCoord_1_0_52, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_53 = textureCoords_1_0.elementAt(53);
      expect(textureCoord_1_0_53, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_54 = textureCoords_1_0.elementAt(54);
      expect(textureCoord_1_0_54, vector3MoreOrLessEquals(Vector3(1.05829096, -0.0169479996, 0)));
      final textureCoord_1_0_55 = textureCoords_1_0.elementAt(55);
      expect(textureCoord_1_0_55, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_56 = textureCoords_1_0.elementAt(56);
      expect(textureCoord_1_0_56, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_57 = textureCoords_1_0.elementAt(57);
      expect(textureCoord_1_0_57, vector3MoreOrLessEquals(Vector3(1.035339, 0.318473011, 0)));
      final textureCoord_1_0_58 = textureCoords_1_0.elementAt(58);
      expect(textureCoord_1_0_58, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_59 = textureCoords_1_0.elementAt(59);
      expect(textureCoord_1_0_59, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_60 = textureCoords_1_0.elementAt(60);
      expect(textureCoord_1_0_60, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_61 = textureCoords_1_0.elementAt(61);
      expect(textureCoord_1_0_61, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_62 = textureCoords_1_0.elementAt(62);
      expect(textureCoord_1_0_62, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_63 = textureCoords_1_0.elementAt(63);
      expect(textureCoord_1_0_63, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_64 = textureCoords_1_0.elementAt(64);
      expect(textureCoord_1_0_64, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_65 = textureCoords_1_0.elementAt(65);
      expect(textureCoord_1_0_65, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_66 = textureCoords_1_0.elementAt(66);
      expect(textureCoord_1_0_66, vector3MoreOrLessEquals(Vector3(1.05829096, -0.0169479996, 0)));
      final textureCoord_1_0_67 = textureCoords_1_0.elementAt(67);
      expect(textureCoord_1_0_67, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_68 = textureCoords_1_0.elementAt(68);
      expect(textureCoord_1_0_68, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_69 = textureCoords_1_0.elementAt(69);
      expect(textureCoord_1_0_69, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_70 = textureCoords_1_0.elementAt(70);
      expect(textureCoord_1_0_70, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_71 = textureCoords_1_0.elementAt(71);
      expect(textureCoord_1_0_71, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_72 = textureCoords_1_0.elementAt(72);
      expect(textureCoord_1_0_72, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_73 = textureCoords_1_0.elementAt(73);
      expect(textureCoord_1_0_73, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_74 = textureCoords_1_0.elementAt(74);
      expect(textureCoord_1_0_74, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_75 = textureCoords_1_0.elementAt(75);
      expect(textureCoord_1_0_75, vector3MoreOrLessEquals(Vector3(1.05829096, 1.03662896, 0)));
      final textureCoord_1_0_76 = textureCoords_1_0.elementAt(76);
      expect(textureCoord_1_0_76, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_77 = textureCoords_1_0.elementAt(77);
      expect(textureCoord_1_0_77, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_78 = textureCoords_1_0.elementAt(78);
      expect(textureCoord_1_0_78, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_79 = textureCoords_1_0.elementAt(79);
      expect(textureCoord_1_0_79, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_80 = textureCoords_1_0.elementAt(80);
      expect(textureCoord_1_0_80, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_81 = textureCoords_1_0.elementAt(81);
      expect(textureCoord_1_0_81, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_82 = textureCoords_1_0.elementAt(82);
      expect(textureCoord_1_0_82, vector3MoreOrLessEquals(Vector3(1.48134494, 0.509840012, 0)));
      final textureCoord_1_0_83 = textureCoords_1_0.elementAt(83);
      expect(textureCoord_1_0_83, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_84 = textureCoords_1_0.elementAt(84);
      expect(textureCoord_1_0_84, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_85 = textureCoords_1_0.elementAt(85);
      expect(textureCoord_1_0_85, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_86 = textureCoords_1_0.elementAt(86);
      expect(textureCoord_1_0_86, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_87 = textureCoords_1_0.elementAt(87);
      expect(textureCoord_1_0_87, vector3MoreOrLessEquals(Vector3(1.05829096, 1.03662896, 0)));
      final textureCoord_1_0_88 = textureCoords_1_0.elementAt(88);
      expect(textureCoord_1_0_88, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_89 = textureCoords_1_0.elementAt(89);
      expect(textureCoord_1_0_89, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_90 = textureCoords_1_0.elementAt(90);
      expect(textureCoord_1_0_90, vector3MoreOrLessEquals(Vector3(1.34812403, 0.509840012, 0)));
      final textureCoord_1_0_91 = textureCoords_1_0.elementAt(91);
      expect(textureCoord_1_0_91, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_92 = textureCoords_1_0.elementAt(92);
      expect(textureCoord_1_0_92, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_93 = textureCoords_1_0.elementAt(93);
      expect(textureCoord_1_0_93, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_94 = textureCoords_1_0.elementAt(94);
      expect(textureCoord_1_0_94, vector3MoreOrLessEquals(Vector3(1.035339, 0.701206982, 0)));
      final textureCoord_1_0_95 = textureCoords_1_0.elementAt(95);
      expect(textureCoord_1_0_95, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_96 = textureCoords_1_0.elementAt(96);
      expect(textureCoord_1_0_96, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_97 = textureCoords_1_0.elementAt(97);
      expect(textureCoord_1_0_97, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_98 = textureCoords_1_0.elementAt(98);
      expect(textureCoord_1_0_98, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_99 = textureCoords_1_0.elementAt(99);
      expect(textureCoord_1_0_99, vector3MoreOrLessEquals(Vector3(-0.0658710003, 1.42969596, 0)));
      final textureCoord_1_0_100 = textureCoords_1_0.elementAt(100);
      expect(textureCoord_1_0_100, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_101 = textureCoords_1_0.elementAt(101);
      expect(textureCoord_1_0_101, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_102 = textureCoords_1_0.elementAt(102);
      expect(textureCoord_1_0_102, vector3MoreOrLessEquals(Vector3(1.05829096, 1.03662896, 0)));
      final textureCoord_1_0_103 = textureCoords_1_0.elementAt(103);
      expect(textureCoord_1_0_103, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_104 = textureCoords_1_0.elementAt(104);
      expect(textureCoord_1_0_104, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_105 = textureCoords_1_0.elementAt(105);
      expect(textureCoord_1_0_105, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_106 = textureCoords_1_0.elementAt(106);
      expect(textureCoord_1_0_106, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_107 = textureCoords_1_0.elementAt(107);
      expect(textureCoord_1_0_107, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_108 = textureCoords_1_0.elementAt(108);
      expect(textureCoord_1_0_108, vector3MoreOrLessEquals(Vector3(-0.0658710003, 1.42969596, 0)));
      final textureCoord_1_0_109 = textureCoords_1_0.elementAt(109);
      expect(textureCoord_1_0_109, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_110 = textureCoords_1_0.elementAt(110);
      expect(textureCoord_1_0_110, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_111 = textureCoords_1_0.elementAt(111);
      expect(textureCoord_1_0_111, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_112 = textureCoords_1_0.elementAt(112);
      expect(textureCoord_1_0_112, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_113 = textureCoords_1_0.elementAt(113);
      expect(textureCoord_1_0_113, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_114 = textureCoords_1_0.elementAt(114);
      expect(textureCoord_1_0_114, vector3MoreOrLessEquals(Vector3(1.05829096, 1.03662896, 0)));
      final textureCoord_1_0_115 = textureCoords_1_0.elementAt(115);
      expect(textureCoord_1_0_115, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_116 = textureCoords_1_0.elementAt(116);
      expect(textureCoord_1_0_116, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_117 = textureCoords_1_0.elementAt(117);
      expect(textureCoord_1_0_117, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_118 = textureCoords_1_0.elementAt(118);
      expect(textureCoord_1_0_118, vector3MoreOrLessEquals(Vector3(0.403088003, 1.12911701, 0)));
      final textureCoord_1_0_119 = textureCoords_1_0.elementAt(119);
      expect(textureCoord_1_0_119, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_120 = textureCoords_1_0.elementAt(120);
      expect(textureCoord_1_0_120, vector3MoreOrLessEquals(Vector3(1.05829096, 1.03662896, 0)));
      final textureCoord_1_0_121 = textureCoords_1_0.elementAt(121);
      expect(textureCoord_1_0_121, vector3MoreOrLessEquals(Vector3(1.31098497, 0.955088973, 0)));
      final textureCoord_1_0_122 = textureCoords_1_0.elementAt(122);
      expect(textureCoord_1_0_122, vector3MoreOrLessEquals(Vector3(0.678735018, 1.01084602, 0)));
      final textureCoord_1_0_123 = textureCoords_1_0.elementAt(123);
      expect(textureCoord_1_0_123, vector3MoreOrLessEquals(Vector3(-0.0658710003, -0.410016, 0)));
      final textureCoord_1_0_124 = textureCoords_1_0.elementAt(124);
      expect(textureCoord_1_0_124, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_125 = textureCoords_1_0.elementAt(125);
      expect(textureCoord_1_0_125, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_126 = textureCoords_1_0.elementAt(126);
      expect(textureCoord_1_0_126, vector3MoreOrLessEquals(Vector3(-0.0658710003, -0.410016, 0)));
      final textureCoord_1_0_127 = textureCoords_1_0.elementAt(127);
      expect(textureCoord_1_0_127, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_128 = textureCoords_1_0.elementAt(128);
      expect(textureCoord_1_0_128, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_129 = textureCoords_1_0.elementAt(129);
      expect(textureCoord_1_0_129, vector3MoreOrLessEquals(Vector3(1.05829096, -0.0169479996, 0)));
      final textureCoord_1_0_130 = textureCoords_1_0.elementAt(130);
      expect(textureCoord_1_0_130, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_131 = textureCoords_1_0.elementAt(131);
      expect(textureCoord_1_0_131, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_132 = textureCoords_1_0.elementAt(132);
      expect(textureCoord_1_0_132, vector3MoreOrLessEquals(Vector3(0.403088003, 0.184266999, 0)));
      final textureCoord_1_0_133 = textureCoords_1_0.elementAt(133);
      expect(textureCoord_1_0_133, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_134 = textureCoords_1_0.elementAt(134);
      expect(textureCoord_1_0_134, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_135 = textureCoords_1_0.elementAt(135);
      expect(textureCoord_1_0_135, vector3MoreOrLessEquals(Vector3(0.403088003, -0.109436996, 0)));
      final textureCoord_1_0_136 = textureCoords_1_0.elementAt(136);
      expect(textureCoord_1_0_136, vector3MoreOrLessEquals(Vector3(0.127441004, -0.364995003, 0)));
      final textureCoord_1_0_137 = textureCoords_1_0.elementAt(137);
      expect(textureCoord_1_0_137, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_138 = textureCoords_1_0.elementAt(138);
      expect(textureCoord_1_0_138, vector3MoreOrLessEquals(Vector3(1.05829096, -0.0169479996, 0)));
      final textureCoord_1_0_139 = textureCoords_1_0.elementAt(139);
      expect(textureCoord_1_0_139, vector3MoreOrLessEquals(Vector3(0.678735018, 0.00883499999, 0)));
      final textureCoord_1_0_140 = textureCoords_1_0.elementAt(140);
      expect(textureCoord_1_0_140, vector3MoreOrLessEquals(Vector3(1.31098497, 0.0645919964, 0)));
      final textureCoord_1_0_141 = textureCoords_1_0.elementAt(141);
      expect(textureCoord_1_0_141, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_142 = textureCoords_1_0.elementAt(142);
      expect(textureCoord_1_0_142, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_143 = textureCoords_1_0.elementAt(143);
      expect(textureCoord_1_0_143, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_144 = textureCoords_1_0.elementAt(144);
      expect(textureCoord_1_0_144, vector3MoreOrLessEquals(Vector3(-0.0658710003, -0.410016, 0)));
      final textureCoord_1_0_145 = textureCoords_1_0.elementAt(145);
      expect(textureCoord_1_0_145, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_146 = textureCoords_1_0.elementAt(146);
      expect(textureCoord_1_0_146, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_147 = textureCoords_1_0.elementAt(147);
      expect(textureCoord_1_0_147, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_148 = textureCoords_1_0.elementAt(148);
      expect(textureCoord_1_0_148, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_149 = textureCoords_1_0.elementAt(149);
      expect(textureCoord_1_0_149, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_150 = textureCoords_1_0.elementAt(150);
      expect(textureCoord_1_0_150, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_151 = textureCoords_1_0.elementAt(151);
      expect(textureCoord_1_0_151, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_152 = textureCoords_1_0.elementAt(152);
      expect(textureCoord_1_0_152, vector3MoreOrLessEquals(Vector3(-0.318565995, -0.0308369994, 0)));
      final textureCoord_1_0_153 = textureCoords_1_0.elementAt(153);
      expect(textureCoord_1_0_153, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_154 = textureCoords_1_0.elementAt(154);
      expect(textureCoord_1_0_154, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_155 = textureCoords_1_0.elementAt(155);
      expect(textureCoord_1_0_155, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_156 = textureCoords_1_0.elementAt(156);
      expect(textureCoord_1_0_156, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_157 = textureCoords_1_0.elementAt(157);
      expect(textureCoord_1_0_157, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_158 = textureCoords_1_0.elementAt(158);
      expect(textureCoord_1_0_158, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_159 = textureCoords_1_0.elementAt(159);
      expect(textureCoord_1_0_159, vector3MoreOrLessEquals(Vector3(-0.0658710003, 1.42969596, 0)));
      final textureCoord_1_0_160 = textureCoords_1_0.elementAt(160);
      expect(textureCoord_1_0_160, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_161 = textureCoords_1_0.elementAt(161);
      expect(textureCoord_1_0_161, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_162 = textureCoords_1_0.elementAt(162);
      expect(textureCoord_1_0_162, vector3MoreOrLessEquals(Vector3(-0.48892501, 0.509840012, 0)));
      final textureCoord_1_0_163 = textureCoords_1_0.elementAt(163);
      expect(textureCoord_1_0_163, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_164 = textureCoords_1_0.elementAt(164);
      expect(textureCoord_1_0_164, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_165 = textureCoords_1_0.elementAt(165);
      expect(textureCoord_1_0_165, vector3MoreOrLessEquals(Vector3(-0.35570401, 0.509840012, 0)));
      final textureCoord_1_0_166 = textureCoords_1_0.elementAt(166);
      expect(textureCoord_1_0_166, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_167 = textureCoords_1_0.elementAt(167);
      expect(textureCoord_1_0_167, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_168 = textureCoords_1_0.elementAt(168);
      expect(textureCoord_1_0_168, vector3MoreOrLessEquals(Vector3(-0.0658710003, 1.42969596, 0)));
      final textureCoord_1_0_169 = textureCoords_1_0.elementAt(169);
      expect(textureCoord_1_0_169, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_170 = textureCoords_1_0.elementAt(170);
      expect(textureCoord_1_0_170, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_171 = textureCoords_1_0.elementAt(171);
      expect(textureCoord_1_0_171, vector3MoreOrLessEquals(Vector3(0.403088003, 0.835413992, 0)));
      final textureCoord_1_0_172 = textureCoords_1_0.elementAt(172);
      expect(textureCoord_1_0_172, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_173 = textureCoords_1_0.elementAt(173);
      expect(textureCoord_1_0_173, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_174 = textureCoords_1_0.elementAt(174);
      expect(textureCoord_1_0_174, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      final textureCoord_1_0_175 = textureCoords_1_0.elementAt(175);
      expect(textureCoord_1_0_175, vector3MoreOrLessEquals(Vector3(-0.0429189987, 0.843998015, 0)));
      final textureCoord_1_0_176 = textureCoords_1_0.elementAt(176);
      expect(textureCoord_1_0_176, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_177 = textureCoords_1_0.elementAt(177);
      expect(textureCoord_1_0_177, vector3MoreOrLessEquals(Vector3(-0.0658710003, 1.42969596, 0)));
      final textureCoord_1_0_178 = textureCoords_1_0.elementAt(178);
      expect(textureCoord_1_0_178, vector3MoreOrLessEquals(Vector3(0.127441004, 1.38467503, 0)));
      final textureCoord_1_0_179 = textureCoords_1_0.elementAt(179);
      expect(textureCoord_1_0_179, vector3MoreOrLessEquals(Vector3(-0.318565995, 1.05051804, 0)));
      expect(mesh_1.uvComponents.length, equals(1));
      expect(mesh_1.uvComponents, equals([2]));
      expect(mesh_1.faces.length, equals(60));
      expect(mesh_1.bones.length, isZero);
      expect(mesh_1.materialIndex, equals(1));
      expect(mesh_1.name, equals('OK'));
      expect(mesh_1.animMeshes.length, isZero);
      expect(mesh_1.morphingMethod, isZero);
      expect(mesh_1.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_2 = meshes.elementAt(2);
      expect(mesh_2.primitiveTypes, equals(4));
      expect(mesh_2.vertices.length, equals(294));
      final vertex_2_0 = mesh_2.vertices.elementAt(0);
      expect(vertex_2_0, vector3MoreOrLessEquals(Vector3(-40.6714783, -3.47288704, -21.3691673)));
      final vertex_2_1 = mesh_2.vertices.elementAt(1);
      expect(vertex_2_1, vector3MoreOrLessEquals(Vector3(-41.9633331, -2.24616098, -18.4852333)));
      final vertex_2_2 = mesh_2.vertices.elementAt(2);
      expect(vertex_2_2, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_3 = mesh_2.vertices.elementAt(3);
      expect(vertex_2_3, vector3MoreOrLessEquals(Vector3(-87.605835, -39.983532, -104.351723)));
      final vertex_2_4 = mesh_2.vertices.elementAt(4);
      expect(vertex_2_4, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_5 = mesh_2.vertices.elementAt(5);
      expect(vertex_2_5, vector3MoreOrLessEquals(Vector3(-87.9501953, -39.4551468, -104.260185)));
      final vertex_2_6 = mesh_2.vertices.elementAt(6);
      expect(vertex_2_6, vector3MoreOrLessEquals(Vector3(-40.6714783, -3.47288704, -21.3691673)));
      final vertex_2_7 = mesh_2.vertices.elementAt(7);
      expect(vertex_2_7, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_8 = mesh_2.vertices.elementAt(8);
      expect(vertex_2_8, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_9 = mesh_2.vertices.elementAt(9);
      expect(vertex_2_9, vector3MoreOrLessEquals(Vector3(-40.6714783, -3.47288704, -21.3691673)));
      final vertex_2_10 = mesh_2.vertices.elementAt(10);
      expect(vertex_2_10, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_11 = mesh_2.vertices.elementAt(11);
      expect(vertex_2_11, vector3MoreOrLessEquals(Vector3(-41.9633331, -2.24616098, -18.4852333)));
      final vertex_2_12 = mesh_2.vertices.elementAt(12);
      expect(vertex_2_12, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_13 = mesh_2.vertices.elementAt(13);
      expect(vertex_2_13, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_14 = mesh_2.vertices.elementAt(14);
      expect(vertex_2_14, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_15 = mesh_2.vertices.elementAt(15);
      expect(vertex_2_15, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_16 = mesh_2.vertices.elementAt(16);
      expect(vertex_2_16, vector3MoreOrLessEquals(Vector3(-55.8050766, 29.5003433, -50.3605766)));
      final vertex_2_17 = mesh_2.vertices.elementAt(17);
      expect(vertex_2_17, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_18 = mesh_2.vertices.elementAt(18);
      expect(vertex_2_18, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_19 = mesh_2.vertices.elementAt(19);
      expect(vertex_2_19, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_20 = mesh_2.vertices.elementAt(20);
      expect(vertex_2_20, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_21 = mesh_2.vertices.elementAt(21);
      expect(vertex_2_21, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_22 = mesh_2.vertices.elementAt(22);
      expect(vertex_2_22, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_23 = mesh_2.vertices.elementAt(23);
      expect(vertex_2_23, vector3MoreOrLessEquals(Vector3(-55.8050766, 29.5003433, -50.3605766)));
      final vertex_2_24 = mesh_2.vertices.elementAt(24);
      expect(vertex_2_24, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_25 = mesh_2.vertices.elementAt(25);
      expect(vertex_2_25, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_26 = mesh_2.vertices.elementAt(26);
      expect(vertex_2_26, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_27 = mesh_2.vertices.elementAt(27);
      expect(vertex_2_27, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_28 = mesh_2.vertices.elementAt(28);
      expect(vertex_2_28, vector3MoreOrLessEquals(Vector3(-69.8936005, 14.1058426, -80.1441345)));
      final vertex_2_29 = mesh_2.vertices.elementAt(29);
      expect(vertex_2_29, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_30 = mesh_2.vertices.elementAt(30);
      expect(vertex_2_30, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_31 = mesh_2.vertices.elementAt(31);
      expect(vertex_2_31, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      final vertex_2_32 = mesh_2.vertices.elementAt(32);
      expect(vertex_2_32, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_33 = mesh_2.vertices.elementAt(33);
      expect(vertex_2_33, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_34 = mesh_2.vertices.elementAt(34);
      expect(vertex_2_34, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_35 = mesh_2.vertices.elementAt(35);
      expect(vertex_2_35, vector3MoreOrLessEquals(Vector3(-69.8936005, 14.1058426, -80.1441345)));
      final vertex_2_36 = mesh_2.vertices.elementAt(36);
      expect(vertex_2_36, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      final vertex_2_37 = mesh_2.vertices.elementAt(37);
      expect(vertex_2_37, vector3MoreOrLessEquals(Vector3(-87.605835, -39.983532, -104.351723)));
      final vertex_2_38 = mesh_2.vertices.elementAt(38);
      expect(vertex_2_38, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_39 = mesh_2.vertices.elementAt(39);
      expect(vertex_2_39, vector3MoreOrLessEquals(Vector3(-87.605835, -39.983532, -104.351723)));
      final vertex_2_40 = mesh_2.vertices.elementAt(40);
      expect(vertex_2_40, vector3MoreOrLessEquals(Vector3(-87.9501953, -39.4551468, -104.260185)));
      final vertex_2_41 = mesh_2.vertices.elementAt(41);
      expect(vertex_2_41, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_42 = mesh_2.vertices.elementAt(42);
      expect(vertex_2_42, vector3MoreOrLessEquals(Vector3(-41.9633331, -2.24616098, -18.4852333)));
      final vertex_2_43 = mesh_2.vertices.elementAt(43);
      expect(vertex_2_43, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_44 = mesh_2.vertices.elementAt(44);
      expect(vertex_2_44, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_45 = mesh_2.vertices.elementAt(45);
      expect(vertex_2_45, vector3MoreOrLessEquals(Vector3(-87.9501953, -39.4551468, -104.260185)));
      final vertex_2_46 = mesh_2.vertices.elementAt(46);
      expect(vertex_2_46, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_47 = mesh_2.vertices.elementAt(47);
      expect(vertex_2_47, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_48 = mesh_2.vertices.elementAt(48);
      expect(vertex_2_48, vector3MoreOrLessEquals(Vector3(-41.9633331, -2.24616098, -18.4852333)));
      final vertex_2_49 = mesh_2.vertices.elementAt(49);
      expect(vertex_2_49, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_50 = mesh_2.vertices.elementAt(50);
      expect(vertex_2_50, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_51 = mesh_2.vertices.elementAt(51);
      expect(vertex_2_51, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_52 = mesh_2.vertices.elementAt(52);
      expect(vertex_2_52, vector3MoreOrLessEquals(Vector3(-48.8623886, 8.96432495, -36.1507149)));
      final vertex_2_53 = mesh_2.vertices.elementAt(53);
      expect(vertex_2_53, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_54 = mesh_2.vertices.elementAt(54);
      expect(vertex_2_54, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_55 = mesh_2.vertices.elementAt(55);
      expect(vertex_2_55, vector3MoreOrLessEquals(Vector3(-55.8050766, 29.5003433, -50.3605766)));
      final vertex_2_56 = mesh_2.vertices.elementAt(56);
      expect(vertex_2_56, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_57 = mesh_2.vertices.elementAt(57);
      expect(vertex_2_57, vector3MoreOrLessEquals(Vector3(-47.146698, 8.70438766, -37.6816216)));
      final vertex_2_58 = mesh_2.vertices.elementAt(58);
      expect(vertex_2_58, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_59 = mesh_2.vertices.elementAt(59);
      expect(vertex_2_59, vector3MoreOrLessEquals(Vector3(-48.8623886, 8.96432495, -36.1507149)));
      final vertex_2_60 = mesh_2.vertices.elementAt(60);
      expect(vertex_2_60, vector3MoreOrLessEquals(Vector3(-55.8050766, 29.5003433, -50.3605766)));
      final vertex_2_61 = mesh_2.vertices.elementAt(61);
      expect(vertex_2_61, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_62 = mesh_2.vertices.elementAt(62);
      expect(vertex_2_62, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_63 = mesh_2.vertices.elementAt(63);
      expect(vertex_2_63, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_64 = mesh_2.vertices.elementAt(64);
      expect(vertex_2_64, vector3MoreOrLessEquals(Vector3(-60.0121689, 29.5602112, -54.086689)));
      final vertex_2_65 = mesh_2.vertices.elementAt(65);
      expect(vertex_2_65, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_66 = mesh_2.vertices.elementAt(66);
      expect(vertex_2_66, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_67 = mesh_2.vertices.elementAt(67);
      expect(vertex_2_67, vector3MoreOrLessEquals(Vector3(-69.8936005, 14.1058426, -80.1441345)));
      final vertex_2_68 = mesh_2.vertices.elementAt(68);
      expect(vertex_2_68, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_69 = mesh_2.vertices.elementAt(69);
      expect(vertex_2_69, vector3MoreOrLessEquals(Vector3(-57.932991, 29.207901, -55.0394478)));
      final vertex_2_70 = mesh_2.vertices.elementAt(70);
      expect(vertex_2_70, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_71 = mesh_2.vertices.elementAt(71);
      expect(vertex_2_71, vector3MoreOrLessEquals(Vector3(-60.0121689, 29.5602112, -54.086689)));
      final vertex_2_72 = mesh_2.vertices.elementAt(72);
      expect(vertex_2_72, vector3MoreOrLessEquals(Vector3(-69.8936005, 14.1058426, -80.1441345)));
      final vertex_2_73 = mesh_2.vertices.elementAt(73);
      expect(vertex_2_73, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_74 = mesh_2.vertices.elementAt(74);
      expect(vertex_2_74, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_75 = mesh_2.vertices.elementAt(75);
      expect(vertex_2_75, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_76 = mesh_2.vertices.elementAt(76);
      expect(vertex_2_76, vector3MoreOrLessEquals(Vector3(-83.4747467, -29.5186081, -100.470779)));
      final vertex_2_77 = mesh_2.vertices.elementAt(77);
      expect(vertex_2_77, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_78 = mesh_2.vertices.elementAt(78);
      expect(vertex_2_78, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_79 = mesh_2.vertices.elementAt(79);
      expect(vertex_2_79, vector3MoreOrLessEquals(Vector3(-87.9501953, -39.4551468, -104.260185)));
      final vertex_2_80 = mesh_2.vertices.elementAt(80);
      expect(vertex_2_80, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_81 = mesh_2.vertices.elementAt(81);
      expect(vertex_2_81, vector3MoreOrLessEquals(Vector3(-82.7785034, -29.8435211, -101.266586)));
      final vertex_2_82 = mesh_2.vertices.elementAt(82);
      expect(vertex_2_82, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_83 = mesh_2.vertices.elementAt(83);
      expect(vertex_2_83, vector3MoreOrLessEquals(Vector3(-83.4747467, -29.5186081, -100.470779)));
      final vertex_2_84 = mesh_2.vertices.elementAt(84);
      expect(vertex_2_84, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_85 = mesh_2.vertices.elementAt(85);
      expect(vertex_2_85, vector3MoreOrLessEquals(Vector3(-48.1118774, -2.74296999, -19.2960014)));
      final vertex_2_86 = mesh_2.vertices.elementAt(86);
      expect(vertex_2_86, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_87 = mesh_2.vertices.elementAt(87);
      expect(vertex_2_87, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_88 = mesh_2.vertices.elementAt(88);
      expect(vertex_2_88, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_89 = mesh_2.vertices.elementAt(89);
      expect(vertex_2_89, vector3MoreOrLessEquals(Vector3(-88.2457275, -39.7477417, -103.46608)));
      final vertex_2_90 = mesh_2.vertices.elementAt(90);
      expect(vertex_2_90, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_91 = mesh_2.vertices.elementAt(91);
      expect(vertex_2_91, vector3MoreOrLessEquals(Vector3(-48.8623886, 8.96432495, -36.1507149)));
      final vertex_2_92 = mesh_2.vertices.elementAt(92);
      expect(vertex_2_92, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_93 = mesh_2.vertices.elementAt(93);
      expect(vertex_2_93, vector3MoreOrLessEquals(Vector3(-45.2746124, -1.92131603, -17.562561)));
      final vertex_2_94 = mesh_2.vertices.elementAt(94);
      expect(vertex_2_94, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_95 = mesh_2.vertices.elementAt(95);
      expect(vertex_2_95, vector3MoreOrLessEquals(Vector3(-48.1118774, -2.74296999, -19.2960014)));
      final vertex_2_96 = mesh_2.vertices.elementAt(96);
      expect(vertex_2_96, vector3MoreOrLessEquals(Vector3(-48.8623886, 8.96432495, -36.1507149)));
      final vertex_2_97 = mesh_2.vertices.elementAt(97);
      expect(vertex_2_97, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_98 = mesh_2.vertices.elementAt(98);
      expect(vertex_2_98, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_99 = mesh_2.vertices.elementAt(99);
      expect(vertex_2_99, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_100 = mesh_2.vertices.elementAt(100);
      expect(vertex_2_100, vector3MoreOrLessEquals(Vector3(-57.9601364, 28.7520142, -49.2123871)));
      final vertex_2_101 = mesh_2.vertices.elementAt(101);
      expect(vertex_2_101, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_102 = mesh_2.vertices.elementAt(102);
      expect(vertex_2_102, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_103 = mesh_2.vertices.elementAt(103);
      expect(vertex_2_103, vector3MoreOrLessEquals(Vector3(-60.0121689, 29.5602112, -54.086689)));
      final vertex_2_104 = mesh_2.vertices.elementAt(104);
      expect(vertex_2_104, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_105 = mesh_2.vertices.elementAt(105);
      expect(vertex_2_105, vector3MoreOrLessEquals(Vector3(-56.9249802, 29.8274612, -49.555809)));
      final vertex_2_106 = mesh_2.vertices.elementAt(106);
      expect(vertex_2_106, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_107 = mesh_2.vertices.elementAt(107);
      expect(vertex_2_107, vector3MoreOrLessEquals(Vector3(-57.9601364, 28.7520142, -49.2123871)));
      final vertex_2_108 = mesh_2.vertices.elementAt(108);
      expect(vertex_2_108, vector3MoreOrLessEquals(Vector3(-60.0121689, 29.5602112, -54.086689)));
      final vertex_2_109 = mesh_2.vertices.elementAt(109);
      expect(vertex_2_109, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_110 = mesh_2.vertices.elementAt(110);
      expect(vertex_2_110, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_111 = mesh_2.vertices.elementAt(111);
      expect(vertex_2_111, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_112 = mesh_2.vertices.elementAt(112);
      expect(vertex_2_112, vector3MoreOrLessEquals(Vector3(-72.8725128, 13.6617985, -77.2603912)));
      final vertex_2_113 = mesh_2.vertices.elementAt(113);
      expect(vertex_2_113, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_114 = mesh_2.vertices.elementAt(114);
      expect(vertex_2_114, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_115 = mesh_2.vertices.elementAt(115);
      expect(vertex_2_115, vector3MoreOrLessEquals(Vector3(-83.4747467, -29.5186081, -100.470779)));
      final vertex_2_116 = mesh_2.vertices.elementAt(116);
      expect(vertex_2_116, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_117 = mesh_2.vertices.elementAt(117);
      expect(vertex_2_117, vector3MoreOrLessEquals(Vector3(-72.0687408, 14.2065201, -79.3609009)));
      final vertex_2_118 = mesh_2.vertices.elementAt(118);
      expect(vertex_2_118, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_119 = mesh_2.vertices.elementAt(119);
      expect(vertex_2_119, vector3MoreOrLessEquals(Vector3(-72.8725128, 13.6617985, -77.2603912)));
      final vertex_2_120 = mesh_2.vertices.elementAt(120);
      expect(vertex_2_120, vector3MoreOrLessEquals(Vector3(-83.4747467, -29.5186081, -100.470779)));
      final vertex_2_121 = mesh_2.vertices.elementAt(121);
      expect(vertex_2_121, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_122 = mesh_2.vertices.elementAt(122);
      expect(vertex_2_122, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_123 = mesh_2.vertices.elementAt(123);
      expect(vertex_2_123, vector3MoreOrLessEquals(Vector3(-88.2349854, -39.3502312, -103.866043)));
      final vertex_2_124 = mesh_2.vertices.elementAt(124);
      expect(vertex_2_124, vector3MoreOrLessEquals(Vector3(-88.2457275, -39.7477417, -103.46608)));
      final vertex_2_125 = mesh_2.vertices.elementAt(125);
      expect(vertex_2_125, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_126 = mesh_2.vertices.elementAt(126);
      expect(vertex_2_126, vector3MoreOrLessEquals(Vector3(-48.1118774, -2.74296999, -19.2960014)));
      final vertex_2_127 = mesh_2.vertices.elementAt(127);
      expect(vertex_2_127, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_128 = mesh_2.vertices.elementAt(128);
      expect(vertex_2_128, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_129 = mesh_2.vertices.elementAt(129);
      expect(vertex_2_129, vector3MoreOrLessEquals(Vector3(-88.2457275, -39.7477417, -103.46608)));
      final vertex_2_130 = mesh_2.vertices.elementAt(130);
      expect(vertex_2_130, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_131 = mesh_2.vertices.elementAt(131);
      expect(vertex_2_131, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_132 = mesh_2.vertices.elementAt(132);
      expect(vertex_2_132, vector3MoreOrLessEquals(Vector3(-48.1118774, -2.74296999, -19.2960014)));
      final vertex_2_133 = mesh_2.vertices.elementAt(133);
      expect(vertex_2_133, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_134 = mesh_2.vertices.elementAt(134);
      expect(vertex_2_134, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_135 = mesh_2.vertices.elementAt(135);
      expect(vertex_2_135, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_136 = mesh_2.vertices.elementAt(136);
      expect(vertex_2_136, vector3MoreOrLessEquals(Vector3(-51.8454132, 6.4776969, -37.669014)));
      final vertex_2_137 = mesh_2.vertices.elementAt(137);
      expect(vertex_2_137, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_138 = mesh_2.vertices.elementAt(138);
      expect(vertex_2_138, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_139 = mesh_2.vertices.elementAt(139);
      expect(vertex_2_139, vector3MoreOrLessEquals(Vector3(-57.9601364, 28.7520142, -49.2123871)));
      final vertex_2_140 = mesh_2.vertices.elementAt(140);
      expect(vertex_2_140, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_141 = mesh_2.vertices.elementAt(141);
      expect(vertex_2_141, vector3MoreOrLessEquals(Vector3(-50.9535103, 7.97335196, -36.1451073)));
      final vertex_2_142 = mesh_2.vertices.elementAt(142);
      expect(vertex_2_142, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_143 = mesh_2.vertices.elementAt(143);
      expect(vertex_2_143, vector3MoreOrLessEquals(Vector3(-51.8454132, 6.4776969, -37.669014)));
      final vertex_2_144 = mesh_2.vertices.elementAt(144);
      expect(vertex_2_144, vector3MoreOrLessEquals(Vector3(-57.9601364, 28.7520142, -49.2123871)));
      final vertex_2_145 = mesh_2.vertices.elementAt(145);
      expect(vertex_2_145, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_146 = mesh_2.vertices.elementAt(146);
      expect(vertex_2_146, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_147 = mesh_2.vertices.elementAt(147);
      expect(vertex_2_147, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_148 = mesh_2.vertices.elementAt(148);
      expect(vertex_2_148, vector3MoreOrLessEquals(Vector3(-60.3433456, 26.3995667, -51.3871231)));
      final vertex_2_149 = mesh_2.vertices.elementAt(149);
      expect(vertex_2_149, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_150 = mesh_2.vertices.elementAt(150);
      expect(vertex_2_150, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_151 = mesh_2.vertices.elementAt(151);
      expect(vertex_2_151, vector3MoreOrLessEquals(Vector3(-72.8725128, 13.6617985, -77.2603912)));
      final vertex_2_152 = mesh_2.vertices.elementAt(152);
      expect(vertex_2_152, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_153 = mesh_2.vertices.elementAt(153);
      expect(vertex_2_153, vector3MoreOrLessEquals(Vector3(-61.084877, 28.3104019, -52.4612579)));
      final vertex_2_154 = mesh_2.vertices.elementAt(154);
      expect(vertex_2_154, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_155 = mesh_2.vertices.elementAt(155);
      expect(vertex_2_155, vector3MoreOrLessEquals(Vector3(-60.3433456, 26.3995667, -51.3871231)));
      final vertex_2_156 = mesh_2.vertices.elementAt(156);
      expect(vertex_2_156, vector3MoreOrLessEquals(Vector3(-72.8725128, 13.6617985, -77.2603912)));
      final vertex_2_157 = mesh_2.vertices.elementAt(157);
      expect(vertex_2_157, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_158 = mesh_2.vertices.elementAt(158);
      expect(vertex_2_158, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_159 = mesh_2.vertices.elementAt(159);
      expect(vertex_2_159, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_160 = mesh_2.vertices.elementAt(160);
      expect(vertex_2_160, vector3MoreOrLessEquals(Vector3(-82.257225, -32.383606, -99.0929337)));
      final vertex_2_161 = mesh_2.vertices.elementAt(161);
      expect(vertex_2_161, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_162 = mesh_2.vertices.elementAt(162);
      expect(vertex_2_162, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_163 = mesh_2.vertices.elementAt(163);
      expect(vertex_2_163, vector3MoreOrLessEquals(Vector3(-88.2457275, -39.7477417, -103.46608)));
      final vertex_2_164 = mesh_2.vertices.elementAt(164);
      expect(vertex_2_164, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_165 = mesh_2.vertices.elementAt(165);
      expect(vertex_2_165, vector3MoreOrLessEquals(Vector3(-83.2427521, -30.6490288, -99.5034485)));
      final vertex_2_166 = mesh_2.vertices.elementAt(166);
      expect(vertex_2_166, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_167 = mesh_2.vertices.elementAt(167);
      expect(vertex_2_167, vector3MoreOrLessEquals(Vector3(-82.257225, -32.383606, -99.0929337)));
      final vertex_2_168 = mesh_2.vertices.elementAt(168);
      expect(vertex_2_168, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_169 = mesh_2.vertices.elementAt(169);
      expect(vertex_2_169, vector3MoreOrLessEquals(Vector3(-45.7840271, -4.95347214, -24.4926567)));
      final vertex_2_170 = mesh_2.vertices.elementAt(170);
      expect(vertex_2_170, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_171 = mesh_2.vertices.elementAt(171);
      expect(vertex_2_171, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_172 = mesh_2.vertices.elementAt(172);
      expect(vertex_2_172, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_173 = mesh_2.vertices.elementAt(173);
      expect(vertex_2_173, vector3MoreOrLessEquals(Vector3(-87.6252518, -40.6998367, -103.631096)));
      final vertex_2_174 = mesh_2.vertices.elementAt(174);
      expect(vertex_2_174, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_175 = mesh_2.vertices.elementAt(175);
      expect(vertex_2_175, vector3MoreOrLessEquals(Vector3(-51.8454132, 6.4776969, -37.669014)));
      final vertex_2_176 = mesh_2.vertices.elementAt(176);
      expect(vertex_2_176, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_177 = mesh_2.vertices.elementAt(177);
      expect(vertex_2_177, vector3MoreOrLessEquals(Vector3(-48.3385887, -4.09240198, -22.3801537)));
      final vertex_2_178 = mesh_2.vertices.elementAt(178);
      expect(vertex_2_178, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_179 = mesh_2.vertices.elementAt(179);
      expect(vertex_2_179, vector3MoreOrLessEquals(Vector3(-45.7840271, -4.95347214, -24.4926567)));
      final vertex_2_180 = mesh_2.vertices.elementAt(180);
      expect(vertex_2_180, vector3MoreOrLessEquals(Vector3(-51.8454132, 6.4776969, -37.669014)));
      final vertex_2_181 = mesh_2.vertices.elementAt(181);
      expect(vertex_2_181, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_182 = mesh_2.vertices.elementAt(182);
      expect(vertex_2_182, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_183 = mesh_2.vertices.elementAt(183);
      expect(vertex_2_183, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_184 = mesh_2.vertices.elementAt(184);
      expect(vertex_2_184, vector3MoreOrLessEquals(Vector3(-57.3089981, 26.079071, -50.4017792)));
      final vertex_2_185 = mesh_2.vertices.elementAt(185);
      expect(vertex_2_185, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_186 = mesh_2.vertices.elementAt(186);
      expect(vertex_2_186, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_187 = mesh_2.vertices.elementAt(187);
      expect(vertex_2_187, vector3MoreOrLessEquals(Vector3(-60.3433456, 26.3995667, -51.3871231)));
      final vertex_2_188 = mesh_2.vertices.elementAt(188);
      expect(vertex_2_188, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_189 = mesh_2.vertices.elementAt(189);
      expect(vertex_2_189, vector3MoreOrLessEquals(Vector3(-58.1310387, 27.0838242, -49.588871)));
      final vertex_2_190 = mesh_2.vertices.elementAt(190);
      expect(vertex_2_190, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_191 = mesh_2.vertices.elementAt(191);
      expect(vertex_2_191, vector3MoreOrLessEquals(Vector3(-57.3089981, 26.079071, -50.4017792)));
      final vertex_2_192 = mesh_2.vertices.elementAt(192);
      expect(vertex_2_192, vector3MoreOrLessEquals(Vector3(-60.3433456, 26.3995667, -51.3871231)));
      final vertex_2_193 = mesh_2.vertices.elementAt(193);
      expect(vertex_2_193, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_194 = mesh_2.vertices.elementAt(194);
      expect(vertex_2_194, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_195 = mesh_2.vertices.elementAt(195);
      expect(vertex_2_195, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_196 = mesh_2.vertices.elementAt(196);
      expect(vertex_2_196, vector3MoreOrLessEquals(Vector3(-69.4333496, 12.4539509, -75.2353973)));
      final vertex_2_197 = mesh_2.vertices.elementAt(197);
      expect(vertex_2_197, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_198 = mesh_2.vertices.elementAt(198);
      expect(vertex_2_198, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_199 = mesh_2.vertices.elementAt(199);
      expect(vertex_2_199, vector3MoreOrLessEquals(Vector3(-82.257225, -32.383606, -99.0929337)));
      final vertex_2_200 = mesh_2.vertices.elementAt(200);
      expect(vertex_2_200, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_201 = mesh_2.vertices.elementAt(201);
      expect(vertex_2_201, vector3MoreOrLessEquals(Vector3(-71.6996613, 12.8818302, -75.4243927)));
      final vertex_2_202 = mesh_2.vertices.elementAt(202);
      expect(vertex_2_202, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_203 = mesh_2.vertices.elementAt(203);
      expect(vertex_2_203, vector3MoreOrLessEquals(Vector3(-69.4333496, 12.4539509, -75.2353973)));
      final vertex_2_204 = mesh_2.vertices.elementAt(204);
      expect(vertex_2_204, vector3MoreOrLessEquals(Vector3(-82.257225, -32.383606, -99.0929337)));
      final vertex_2_205 = mesh_2.vertices.elementAt(205);
      expect(vertex_2_205, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_206 = mesh_2.vertices.elementAt(206);
      expect(vertex_2_206, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_207 = mesh_2.vertices.elementAt(207);
      expect(vertex_2_207, vector3MoreOrLessEquals(Vector3(-87.9743805, -40.3483849, -103.361534)));
      final vertex_2_208 = mesh_2.vertices.elementAt(208);
      expect(vertex_2_208, vector3MoreOrLessEquals(Vector3(-87.6252518, -40.6998367, -103.631096)));
      final vertex_2_209 = mesh_2.vertices.elementAt(209);
      expect(vertex_2_209, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_210 = mesh_2.vertices.elementAt(210);
      expect(vertex_2_210, vector3MoreOrLessEquals(Vector3(-45.7840271, -4.95347214, -24.4926567)));
      final vertex_2_211 = mesh_2.vertices.elementAt(211);
      expect(vertex_2_211, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_212 = mesh_2.vertices.elementAt(212);
      expect(vertex_2_212, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_213 = mesh_2.vertices.elementAt(213);
      expect(vertex_2_213, vector3MoreOrLessEquals(Vector3(-87.6252518, -40.6998367, -103.631096)));
      final vertex_2_214 = mesh_2.vertices.elementAt(214);
      expect(vertex_2_214, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_215 = mesh_2.vertices.elementAt(215);
      expect(vertex_2_215, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_216 = mesh_2.vertices.elementAt(216);
      expect(vertex_2_216, vector3MoreOrLessEquals(Vector3(-45.7840271, -4.95347214, -24.4926567)));
      final vertex_2_217 = mesh_2.vertices.elementAt(217);
      expect(vertex_2_217, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_218 = mesh_2.vertices.elementAt(218);
      expect(vertex_2_218, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_219 = mesh_2.vertices.elementAt(219);
      expect(vertex_2_219, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_220 = mesh_2.vertices.elementAt(220);
      expect(vertex_2_220, vector3MoreOrLessEquals(Vector3(-48.7538452, 6.00927687, -40.4276314)));
      final vertex_2_221 = mesh_2.vertices.elementAt(221);
      expect(vertex_2_221, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_222 = mesh_2.vertices.elementAt(222);
      expect(vertex_2_222, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_223 = mesh_2.vertices.elementAt(223);
      expect(vertex_2_223, vector3MoreOrLessEquals(Vector3(-57.3089981, 26.079071, -50.4017792)));
      final vertex_2_224 = mesh_2.vertices.elementAt(224);
      expect(vertex_2_224, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_225 = mesh_2.vertices.elementAt(225);
      expect(vertex_2_225, vector3MoreOrLessEquals(Vector3(-50.8664627, 5.6035862, -39.5749168)));
      final vertex_2_226 = mesh_2.vertices.elementAt(226);
      expect(vertex_2_226, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_227 = mesh_2.vertices.elementAt(227);
      expect(vertex_2_227, vector3MoreOrLessEquals(Vector3(-48.7538452, 6.00927687, -40.4276314)));
      final vertex_2_228 = mesh_2.vertices.elementAt(228);
      expect(vertex_2_228, vector3MoreOrLessEquals(Vector3(-57.3089981, 26.079071, -50.4017792)));
      final vertex_2_229 = mesh_2.vertices.elementAt(229);
      expect(vertex_2_229, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_230 = mesh_2.vertices.elementAt(230);
      expect(vertex_2_230, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_231 = mesh_2.vertices.elementAt(231);
      expect(vertex_2_231, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_232 = mesh_2.vertices.elementAt(232);
      expect(vertex_2_232, vector3MoreOrLessEquals(Vector3(-56.5968361, 25.7647324, -53.1039848)));
      final vertex_2_233 = mesh_2.vertices.elementAt(233);
      expect(vertex_2_233, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_234 = mesh_2.vertices.elementAt(234);
      expect(vertex_2_234, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_235 = mesh_2.vertices.elementAt(235);
      expect(vertex_2_235, vector3MoreOrLessEquals(Vector3(-69.4333496, 12.4539509, -75.2353973)));
      final vertex_2_236 = mesh_2.vertices.elementAt(236);
      expect(vertex_2_236, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_237 = mesh_2.vertices.elementAt(237);
      expect(vertex_2_237, vector3MoreOrLessEquals(Vector3(-58.3459625, 25.2666473, -51.6731567)));
      final vertex_2_238 = mesh_2.vertices.elementAt(238);
      expect(vertex_2_238, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_239 = mesh_2.vertices.elementAt(239);
      expect(vertex_2_239, vector3MoreOrLessEquals(Vector3(-56.5968361, 25.7647324, -53.1039848)));
      final vertex_2_240 = mesh_2.vertices.elementAt(240);
      expect(vertex_2_240, vector3MoreOrLessEquals(Vector3(-69.4333496, 12.4539509, -75.2353973)));
      final vertex_2_241 = mesh_2.vertices.elementAt(241);
      expect(vertex_2_241, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_242 = mesh_2.vertices.elementAt(242);
      expect(vertex_2_242, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_243 = mesh_2.vertices.elementAt(243);
      expect(vertex_2_243, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_244 = mesh_2.vertices.elementAt(244);
      expect(vertex_2_244, vector3MoreOrLessEquals(Vector3(-81.0026321, -32.969162, -100.526863)));
      final vertex_2_245 = mesh_2.vertices.elementAt(245);
      expect(vertex_2_245, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_246 = mesh_2.vertices.elementAt(246);
      expect(vertex_2_246, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_247 = mesh_2.vertices.elementAt(247);
      expect(vertex_2_247, vector3MoreOrLessEquals(Vector3(-87.6252518, -40.6998367, -103.631096)));
      final vertex_2_248 = mesh_2.vertices.elementAt(248);
      expect(vertex_2_248, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_249 = mesh_2.vertices.elementAt(249);
      expect(vertex_2_249, vector3MoreOrLessEquals(Vector3(-81.2602615, -33.4161797, -99.5484314)));
      final vertex_2_250 = mesh_2.vertices.elementAt(250);
      expect(vertex_2_250, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_251 = mesh_2.vertices.elementAt(251);
      expect(vertex_2_251, vector3MoreOrLessEquals(Vector3(-81.0026321, -32.969162, -100.526863)));
      final vertex_2_252 = mesh_2.vertices.elementAt(252);
      expect(vertex_2_252, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_253 = mesh_2.vertices.elementAt(253);
      expect(vertex_2_253, vector3MoreOrLessEquals(Vector3(-40.6714783, -3.47288704, -21.3691673)));
      final vertex_2_254 = mesh_2.vertices.elementAt(254);
      expect(vertex_2_254, vector3MoreOrLessEquals(Vector3(-44.6451187, -3.44383812, -21.0897903)));
      final vertex_2_255 = mesh_2.vertices.elementAt(255);
      expect(vertex_2_255, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_256 = mesh_2.vertices.elementAt(256);
      expect(vertex_2_256, vector3MoreOrLessEquals(Vector3(-87.871048, -40.0174751, -103.858307)));
      final vertex_2_257 = mesh_2.vertices.elementAt(257);
      expect(vertex_2_257, vector3MoreOrLessEquals(Vector3(-87.605835, -39.983532, -104.351723)));
      final vertex_2_258 = mesh_2.vertices.elementAt(258);
      expect(vertex_2_258, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_259 = mesh_2.vertices.elementAt(259);
      expect(vertex_2_259, vector3MoreOrLessEquals(Vector3(-48.7538452, 6.00927687, -40.4276314)));
      final vertex_2_260 = mesh_2.vertices.elementAt(260);
      expect(vertex_2_260, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_261 = mesh_2.vertices.elementAt(261);
      expect(vertex_2_261, vector3MoreOrLessEquals(Vector3(-42.3718567, -4.67775917, -24.0427094)));
      final vertex_2_262 = mesh_2.vertices.elementAt(262);
      expect(vertex_2_262, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_263 = mesh_2.vertices.elementAt(263);
      expect(vertex_2_263, vector3MoreOrLessEquals(Vector3(-40.6714783, -3.47288704, -21.3691673)));
      final vertex_2_264 = mesh_2.vertices.elementAt(264);
      expect(vertex_2_264, vector3MoreOrLessEquals(Vector3(-48.7538452, 6.00927687, -40.4276314)));
      final vertex_2_265 = mesh_2.vertices.elementAt(265);
      expect(vertex_2_265, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_266 = mesh_2.vertices.elementAt(266);
      expect(vertex_2_266, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_267 = mesh_2.vertices.elementAt(267);
      expect(vertex_2_267, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_268 = mesh_2.vertices.elementAt(268);
      expect(vertex_2_268, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_269 = mesh_2.vertices.elementAt(269);
      expect(vertex_2_269, vector3MoreOrLessEquals(Vector3(-47.0984039, 7.38926125, -39.5850334)));
      final vertex_2_270 = mesh_2.vertices.elementAt(270);
      expect(vertex_2_270, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_271 = mesh_2.vertices.elementAt(271);
      expect(vertex_2_271, vector3MoreOrLessEquals(Vector3(-56.5968361, 25.7647324, -53.1039848)));
      final vertex_2_272 = mesh_2.vertices.elementAt(272);
      expect(vertex_2_272, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_273 = mesh_2.vertices.elementAt(273);
      expect(vertex_2_273, vector3MoreOrLessEquals(Vector3(-56.1130295, 26.4943771, -51.0389671)));
      final vertex_2_274 = mesh_2.vertices.elementAt(274);
      expect(vertex_2_274, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_275 = mesh_2.vertices.elementAt(275);
      expect(vertex_2_275, vector3MoreOrLessEquals(Vector3(-55.4437256, 28.0169601, -51.020649)));
      final vertex_2_276 = mesh_2.vertices.elementAt(276);
      expect(vertex_2_276, vector3MoreOrLessEquals(Vector3(-56.5968361, 25.7647324, -53.1039848)));
      final vertex_2_277 = mesh_2.vertices.elementAt(277);
      expect(vertex_2_277, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_278 = mesh_2.vertices.elementAt(278);
      expect(vertex_2_278, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_279 = mesh_2.vertices.elementAt(279);
      expect(vertex_2_279, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_280 = mesh_2.vertices.elementAt(280);
      expect(vertex_2_280, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_281 = mesh_2.vertices.elementAt(281);
      expect(vertex_2_281, vector3MoreOrLessEquals(Vector3(-56.4130478, 27.5187531, -54.6021347)));
      final vertex_2_282 = mesh_2.vertices.elementAt(282);
      expect(vertex_2_282, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_283 = mesh_2.vertices.elementAt(283);
      expect(vertex_2_283, vector3MoreOrLessEquals(Vector3(-81.0026321, -32.969162, -100.526863)));
      final vertex_2_284 = mesh_2.vertices.elementAt(284);
      expect(vertex_2_284, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      final vertex_2_285 = mesh_2.vertices.elementAt(285);
      expect(vertex_2_285, vector3MoreOrLessEquals(Vector3(-67.7801971, 12.7004108, -76.8357697)));
      final vertex_2_286 = mesh_2.vertices.elementAt(286);
      expect(vertex_2_286, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      final vertex_2_287 = mesh_2.vertices.elementAt(287);
      expect(vertex_2_287, vector3MoreOrLessEquals(Vector3(-67.9850159, 13.4355717, -79.0203552)));
      final vertex_2_288 = mesh_2.vertices.elementAt(288);
      expect(vertex_2_288, vector3MoreOrLessEquals(Vector3(-81.0026321, -32.969162, -100.526863)));
      final vertex_2_289 = mesh_2.vertices.elementAt(289);
      expect(vertex_2_289, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_290 = mesh_2.vertices.elementAt(290);
      expect(vertex_2_290, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      final vertex_2_291 = mesh_2.vertices.elementAt(291);
      expect(vertex_2_291, vector3MoreOrLessEquals(Vector3(-87.4612198, -40.5374832, -104.071754)));
      final vertex_2_292 = mesh_2.vertices.elementAt(292);
      expect(vertex_2_292, vector3MoreOrLessEquals(Vector3(-87.605835, -39.983532, -104.351723)));
      final vertex_2_293 = mesh_2.vertices.elementAt(293);
      expect(vertex_2_293, vector3MoreOrLessEquals(Vector3(-81.6783218, -31.3791809, -101.291557)));
      expect(mesh_2.normals.length, equals(294));
      final normal_2_0 = mesh_2.normals.elementAt(0);
      expect(normal_2_0, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_1 = mesh_2.normals.elementAt(1);
      expect(normal_2_1, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_2 = mesh_2.normals.elementAt(2);
      expect(normal_2_2, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_3 = mesh_2.normals.elementAt(3);
      expect(normal_2_3, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_4 = mesh_2.normals.elementAt(4);
      expect(normal_2_4, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_5 = mesh_2.normals.elementAt(5);
      expect(normal_2_5, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_6 = mesh_2.normals.elementAt(6);
      expect(normal_2_6, vector3MoreOrLessEquals(Vector3(0.956336021, 0.228460997, -0.182282999)));
      final normal_2_7 = mesh_2.normals.elementAt(7);
      expect(normal_2_7, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_8 = mesh_2.normals.elementAt(8);
      expect(normal_2_8, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_9 = mesh_2.normals.elementAt(9);
      expect(normal_2_9, vector3MoreOrLessEquals(Vector3(0.956336021, 0.228460997, -0.182282999)));
      final normal_2_10 = mesh_2.normals.elementAt(10);
      expect(normal_2_10, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_11 = mesh_2.normals.elementAt(11);
      expect(normal_2_11, vector3MoreOrLessEquals(Vector3(0.546123981, 0.782549024, 0.298940003)));
      final normal_2_12 = mesh_2.normals.elementAt(12);
      expect(normal_2_12, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_13 = mesh_2.normals.elementAt(13);
      expect(normal_2_13, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_14 = mesh_2.normals.elementAt(14);
      expect(normal_2_14, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_15 = mesh_2.normals.elementAt(15);
      expect(normal_2_15, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_16 = mesh_2.normals.elementAt(16);
      expect(normal_2_16, vector3MoreOrLessEquals(Vector3(0.748758018, 0.66167599, -0.0393129997)));
      final normal_2_17 = mesh_2.normals.elementAt(17);
      expect(normal_2_17, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_18 = mesh_2.normals.elementAt(18);
      expect(normal_2_18, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_19 = mesh_2.normals.elementAt(19);
      expect(normal_2_19, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_20 = mesh_2.normals.elementAt(20);
      expect(normal_2_20, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_21 = mesh_2.normals.elementAt(21);
      expect(normal_2_21, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_22 = mesh_2.normals.elementAt(22);
      expect(normal_2_22, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_23 = mesh_2.normals.elementAt(23);
      expect(normal_2_23, vector3MoreOrLessEquals(Vector3(0.748758018, 0.66167599, -0.0393129997)));
      final normal_2_24 = mesh_2.normals.elementAt(24);
      expect(normal_2_24, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_25 = mesh_2.normals.elementAt(25);
      expect(normal_2_25, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_26 = mesh_2.normals.elementAt(26);
      expect(normal_2_26, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_27 = mesh_2.normals.elementAt(27);
      expect(normal_2_27, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_28 = mesh_2.normals.elementAt(28);
      expect(normal_2_28, vector3MoreOrLessEquals(Vector3(0.199512005, 0.609082997, -0.767602026)));
      final normal_2_29 = mesh_2.normals.elementAt(29);
      expect(normal_2_29, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_30 = mesh_2.normals.elementAt(30);
      expect(normal_2_30, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_31 = mesh_2.normals.elementAt(31);
      expect(normal_2_31, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      final normal_2_32 = mesh_2.normals.elementAt(32);
      expect(normal_2_32, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_33 = mesh_2.normals.elementAt(33);
      expect(normal_2_33, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_34 = mesh_2.normals.elementAt(34);
      expect(normal_2_34, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_35 = mesh_2.normals.elementAt(35);
      expect(normal_2_35, vector3MoreOrLessEquals(Vector3(0.199512005, 0.609082997, -0.767602026)));
      final normal_2_36 = mesh_2.normals.elementAt(36);
      expect(normal_2_36, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      final normal_2_37 = mesh_2.normals.elementAt(37);
      expect(normal_2_37, vector3MoreOrLessEquals(Vector3(0.352773994, 0.0794989988, -0.932325006)));
      final normal_2_38 = mesh_2.normals.elementAt(38);
      expect(normal_2_38, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_39 = mesh_2.normals.elementAt(39);
      expect(normal_2_39, vector3MoreOrLessEquals(Vector3(0.352773994, 0.0794989988, -0.932325006)));
      final normal_2_40 = mesh_2.normals.elementAt(40);
      expect(normal_2_40, vector3MoreOrLessEquals(Vector3(-0.283318013, 0.420843005, -0.861755013)));
      final normal_2_41 = mesh_2.normals.elementAt(41);
      expect(normal_2_41, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_42 = mesh_2.normals.elementAt(42);
      expect(normal_2_42, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_43 = mesh_2.normals.elementAt(43);
      expect(normal_2_43, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_44 = mesh_2.normals.elementAt(44);
      expect(normal_2_44, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_45 = mesh_2.normals.elementAt(45);
      expect(normal_2_45, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_46 = mesh_2.normals.elementAt(46);
      expect(normal_2_46, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_47 = mesh_2.normals.elementAt(47);
      expect(normal_2_47, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_48 = mesh_2.normals.elementAt(48);
      expect(normal_2_48, vector3MoreOrLessEquals(Vector3(0.546123981, 0.782549024, 0.298940003)));
      final normal_2_49 = mesh_2.normals.elementAt(49);
      expect(normal_2_49, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_50 = mesh_2.normals.elementAt(50);
      expect(normal_2_50, vector3MoreOrLessEquals(Vector3(-0.0574790016, 0.857527018, 0.511218011)));
      final normal_2_51 = mesh_2.normals.elementAt(51);
      expect(normal_2_51, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_52 = mesh_2.normals.elementAt(52);
      expect(normal_2_52, vector3MoreOrLessEquals(Vector3(0.131724, 0.743022025, 0.656176984)));
      final normal_2_53 = mesh_2.normals.elementAt(53);
      expect(normal_2_53, vector3MoreOrLessEquals(Vector3(-0.0574790016, 0.857527018, 0.511218011)));
      final normal_2_54 = mesh_2.normals.elementAt(54);
      expect(normal_2_54, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_55 = mesh_2.normals.elementAt(55);
      expect(normal_2_55, vector3MoreOrLessEquals(Vector3(0.748758018, 0.66167599, -0.0393129997)));
      final normal_2_56 = mesh_2.normals.elementAt(56);
      expect(normal_2_56, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_57 = mesh_2.normals.elementAt(57);
      expect(normal_2_57, vector3MoreOrLessEquals(Vector3(0.767799973, 0.601841986, 0.219702005)));
      final normal_2_58 = mesh_2.normals.elementAt(58);
      expect(normal_2_58, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_59 = mesh_2.normals.elementAt(59);
      expect(normal_2_59, vector3MoreOrLessEquals(Vector3(0.131724, 0.743022025, 0.656176984)));
      final normal_2_60 = mesh_2.normals.elementAt(60);
      expect(normal_2_60, vector3MoreOrLessEquals(Vector3(0.748758018, 0.66167599, -0.0393129997)));
      final normal_2_61 = mesh_2.normals.elementAt(61);
      expect(normal_2_61, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_62 = mesh_2.normals.elementAt(62);
      expect(normal_2_62, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_63 = mesh_2.normals.elementAt(63);
      expect(normal_2_63, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_64 = mesh_2.normals.elementAt(64);
      expect(normal_2_64, vector3MoreOrLessEquals(Vector3(-0.350571007, 0.931430995, -0.0976549983)));
      final normal_2_65 = mesh_2.normals.elementAt(65);
      expect(normal_2_65, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_66 = mesh_2.normals.elementAt(66);
      expect(normal_2_66, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_67 = mesh_2.normals.elementAt(67);
      expect(normal_2_67, vector3MoreOrLessEquals(Vector3(0.199512005, 0.609082997, -0.767602026)));
      final normal_2_68 = mesh_2.normals.elementAt(68);
      expect(normal_2_68, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_69 = mesh_2.normals.elementAt(69);
      expect(normal_2_69, vector3MoreOrLessEquals(Vector3(0.406836003, 0.802259982, -0.436879009)));
      final normal_2_70 = mesh_2.normals.elementAt(70);
      expect(normal_2_70, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_71 = mesh_2.normals.elementAt(71);
      expect(normal_2_71, vector3MoreOrLessEquals(Vector3(-0.350571007, 0.931430995, -0.0976549983)));
      final normal_2_72 = mesh_2.normals.elementAt(72);
      expect(normal_2_72, vector3MoreOrLessEquals(Vector3(0.199512005, 0.609082997, -0.767602026)));
      final normal_2_73 = mesh_2.normals.elementAt(73);
      expect(normal_2_73, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_74 = mesh_2.normals.elementAt(74);
      expect(normal_2_74, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_75 = mesh_2.normals.elementAt(75);
      expect(normal_2_75, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_76 = mesh_2.normals.elementAt(76);
      expect(normal_2_76, vector3MoreOrLessEquals(Vector3(-0.898308992, 0.404808015, -0.170793995)));
      final normal_2_77 = mesh_2.normals.elementAt(77);
      expect(normal_2_77, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_78 = mesh_2.normals.elementAt(78);
      expect(normal_2_78, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_79 = mesh_2.normals.elementAt(79);
      expect(normal_2_79, vector3MoreOrLessEquals(Vector3(-0.283318013, 0.420843005, -0.861755013)));
      final normal_2_80 = mesh_2.normals.elementAt(80);
      expect(normal_2_80, vector3MoreOrLessEquals(Vector3(-0.866249025, 0.480042994, -0.138458997)));
      final normal_2_81 = mesh_2.normals.elementAt(81);
      expect(normal_2_81, vector3MoreOrLessEquals(Vector3(-0.0993880033, 0.41493699, -0.904404998)));
      final normal_2_82 = mesh_2.normals.elementAt(82);
      expect(normal_2_82, vector3MoreOrLessEquals(Vector3(-0.866249025, 0.480042994, -0.138458997)));
      final normal_2_83 = mesh_2.normals.elementAt(83);
      expect(normal_2_83, vector3MoreOrLessEquals(Vector3(-0.898308992, 0.404808015, -0.170793995)));
      final normal_2_84 = mesh_2.normals.elementAt(84);
      expect(normal_2_84, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_85 = mesh_2.normals.elementAt(85);
      expect(normal_2_85, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_86 = mesh_2.normals.elementAt(86);
      expect(normal_2_86, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_87 = mesh_2.normals.elementAt(87);
      expect(normal_2_87, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_88 = mesh_2.normals.elementAt(88);
      expect(normal_2_88, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_89 = mesh_2.normals.elementAt(89);
      expect(normal_2_89, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_90 = mesh_2.normals.elementAt(90);
      expect(normal_2_90, vector3MoreOrLessEquals(Vector3(-0.0574790016, 0.857527018, 0.511218011)));
      final normal_2_91 = mesh_2.normals.elementAt(91);
      expect(normal_2_91, vector3MoreOrLessEquals(Vector3(0.131724, 0.743022025, 0.656176984)));
      final normal_2_92 = mesh_2.normals.elementAt(92);
      expect(normal_2_92, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_93 = mesh_2.normals.elementAt(93);
      expect(normal_2_93, vector3MoreOrLessEquals(Vector3(-0.0574790016, 0.857527018, 0.511218011)));
      final normal_2_94 = mesh_2.normals.elementAt(94);
      expect(normal_2_94, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_95 = mesh_2.normals.elementAt(95);
      expect(normal_2_95, vector3MoreOrLessEquals(Vector3(-0.866625011, 0.341769993, 0.36353001)));
      final normal_2_96 = mesh_2.normals.elementAt(96);
      expect(normal_2_96, vector3MoreOrLessEquals(Vector3(0.131724, 0.743022025, 0.656176984)));
      final normal_2_97 = mesh_2.normals.elementAt(97);
      expect(normal_2_97, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_98 = mesh_2.normals.elementAt(98);
      expect(normal_2_98, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_99 = mesh_2.normals.elementAt(99);
      expect(normal_2_99, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_100 = mesh_2.normals.elementAt(100);
      expect(normal_2_100, vector3MoreOrLessEquals(Vector3(-0.662377, 0.297013015, 0.687780023)));
      final normal_2_101 = mesh_2.normals.elementAt(101);
      expect(normal_2_101, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_102 = mesh_2.normals.elementAt(102);
      expect(normal_2_102, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_103 = mesh_2.normals.elementAt(103);
      expect(normal_2_103, vector3MoreOrLessEquals(Vector3(-0.350571007, 0.931430995, -0.0976549983)));
      final normal_2_104 = mesh_2.normals.elementAt(104);
      expect(normal_2_104, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_105 = mesh_2.normals.elementAt(105);
      expect(normal_2_105, vector3MoreOrLessEquals(Vector3(-0.00580900023, 0.859552026, 0.511016011)));
      final normal_2_106 = mesh_2.normals.elementAt(106);
      expect(normal_2_106, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_107 = mesh_2.normals.elementAt(107);
      expect(normal_2_107, vector3MoreOrLessEquals(Vector3(-0.662377, 0.297013015, 0.687780023)));
      final normal_2_108 = mesh_2.normals.elementAt(108);
      expect(normal_2_108, vector3MoreOrLessEquals(Vector3(-0.350571007, 0.931430995, -0.0976549983)));
      final normal_2_109 = mesh_2.normals.elementAt(109);
      expect(normal_2_109, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_110 = mesh_2.normals.elementAt(110);
      expect(normal_2_110, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_111 = mesh_2.normals.elementAt(111);
      expect(normal_2_111, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_112 = mesh_2.normals.elementAt(112);
      expect(normal_2_112, vector3MoreOrLessEquals(Vector3(-0.950899005, 0.243387997, 0.191190004)));
      final normal_2_113 = mesh_2.normals.elementAt(113);
      expect(normal_2_113, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_114 = mesh_2.normals.elementAt(114);
      expect(normal_2_114, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_115 = mesh_2.normals.elementAt(115);
      expect(normal_2_115, vector3MoreOrLessEquals(Vector3(-0.898308992, 0.404808015, -0.170793995)));
      final normal_2_116 = mesh_2.normals.elementAt(116);
      expect(normal_2_116, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_117 = mesh_2.normals.elementAt(117);
      expect(normal_2_117, vector3MoreOrLessEquals(Vector3(-0.647692978, 0.664816022, -0.372173011)));
      final normal_2_118 = mesh_2.normals.elementAt(118);
      expect(normal_2_118, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_119 = mesh_2.normals.elementAt(119);
      expect(normal_2_119, vector3MoreOrLessEquals(Vector3(-0.950899005, 0.243387997, 0.191190004)));
      final normal_2_120 = mesh_2.normals.elementAt(120);
      expect(normal_2_120, vector3MoreOrLessEquals(Vector3(-0.898308992, 0.404808015, -0.170793995)));
      final normal_2_121 = mesh_2.normals.elementAt(121);
      expect(normal_2_121, vector3MoreOrLessEquals(Vector3(-0.866249025, 0.480042994, -0.138458997)));
      final normal_2_122 = mesh_2.normals.elementAt(122);
      expect(normal_2_122, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_123 = mesh_2.normals.elementAt(123);
      expect(normal_2_123, vector3MoreOrLessEquals(Vector3(-0.866249025, 0.480042994, -0.138458997)));
      final normal_2_124 = mesh_2.normals.elementAt(124);
      expect(normal_2_124, vector3MoreOrLessEquals(Vector3(-0.759415984, 0.140949994, 0.635154009)));
      final normal_2_125 = mesh_2.normals.elementAt(125);
      expect(normal_2_125, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_126 = mesh_2.normals.elementAt(126);
      expect(normal_2_126, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_127 = mesh_2.normals.elementAt(127);
      expect(normal_2_127, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_128 = mesh_2.normals.elementAt(128);
      expect(normal_2_128, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_129 = mesh_2.normals.elementAt(129);
      expect(normal_2_129, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_130 = mesh_2.normals.elementAt(130);
      expect(normal_2_130, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_131 = mesh_2.normals.elementAt(131);
      expect(normal_2_131, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_132 = mesh_2.normals.elementAt(132);
      expect(normal_2_132, vector3MoreOrLessEquals(Vector3(-0.866625011, 0.341769993, 0.36353001)));
      final normal_2_133 = mesh_2.normals.elementAt(133);
      expect(normal_2_133, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_134 = mesh_2.normals.elementAt(134);
      expect(normal_2_134, vector3MoreOrLessEquals(Vector3(-0.940011024, -0.340514988, -0.0206930004)));
      final normal_2_135 = mesh_2.normals.elementAt(135);
      expect(normal_2_135, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_136 = mesh_2.normals.elementAt(136);
      expect(normal_2_136, vector3MoreOrLessEquals(Vector3(-0.97240001, -0.204990998, 0.111429997)));
      final normal_2_137 = mesh_2.normals.elementAt(137);
      expect(normal_2_137, vector3MoreOrLessEquals(Vector3(-0.940011024, -0.340514988, -0.0206930004)));
      final normal_2_138 = mesh_2.normals.elementAt(138);
      expect(normal_2_138, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_139 = mesh_2.normals.elementAt(139);
      expect(normal_2_139, vector3MoreOrLessEquals(Vector3(-0.662377, 0.297013015, 0.687780023)));
      final normal_2_140 = mesh_2.normals.elementAt(140);
      expect(normal_2_140, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_141 = mesh_2.normals.elementAt(141);
      expect(normal_2_141, vector3MoreOrLessEquals(Vector3(-0.715120971, 0.360249996, 0.599017978)));
      final normal_2_142 = mesh_2.normals.elementAt(142);
      expect(normal_2_142, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_143 = mesh_2.normals.elementAt(143);
      expect(normal_2_143, vector3MoreOrLessEquals(Vector3(-0.97240001, -0.204990998, 0.111429997)));
      final normal_2_144 = mesh_2.normals.elementAt(144);
      expect(normal_2_144, vector3MoreOrLessEquals(Vector3(-0.662377, 0.297013015, 0.687780023)));
      final normal_2_145 = mesh_2.normals.elementAt(145);
      expect(normal_2_145, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_146 = mesh_2.normals.elementAt(146);
      expect(normal_2_146, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_147 = mesh_2.normals.elementAt(147);
      expect(normal_2_147, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_148 = mesh_2.normals.elementAt(148);
      expect(normal_2_148, vector3MoreOrLessEquals(Vector3(-0.616699994, -0.385897994, 0.686122)));
      final normal_2_149 = mesh_2.normals.elementAt(149);
      expect(normal_2_149, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_150 = mesh_2.normals.elementAt(150);
      expect(normal_2_150, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_151 = mesh_2.normals.elementAt(151);
      expect(normal_2_151, vector3MoreOrLessEquals(Vector3(-0.950899005, 0.243387997, 0.191190004)));
      final normal_2_152 = mesh_2.normals.elementAt(152);
      expect(normal_2_152, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_153 = mesh_2.normals.elementAt(153);
      expect(normal_2_153, vector3MoreOrLessEquals(Vector3(-0.81172502, 0.388839006, 0.435781986)));
      final normal_2_154 = mesh_2.normals.elementAt(154);
      expect(normal_2_154, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_155 = mesh_2.normals.elementAt(155);
      expect(normal_2_155, vector3MoreOrLessEquals(Vector3(-0.616699994, -0.385897994, 0.686122)));
      final normal_2_156 = mesh_2.normals.elementAt(156);
      expect(normal_2_156, vector3MoreOrLessEquals(Vector3(-0.950899005, 0.243387997, 0.191190004)));
      final normal_2_157 = mesh_2.normals.elementAt(157);
      expect(normal_2_157, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_158 = mesh_2.normals.elementAt(158);
      expect(normal_2_158, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_159 = mesh_2.normals.elementAt(159);
      expect(normal_2_159, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_160 = mesh_2.normals.elementAt(160);
      expect(normal_2_160, vector3MoreOrLessEquals(Vector3(-0.342436999, -0.316576988, 0.88459897)));
      final normal_2_161 = mesh_2.normals.elementAt(161);
      expect(normal_2_161, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_162 = mesh_2.normals.elementAt(162);
      expect(normal_2_162, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_163 = mesh_2.normals.elementAt(163);
      expect(normal_2_163, vector3MoreOrLessEquals(Vector3(-0.759415984, 0.140949994, 0.635154009)));
      final normal_2_164 = mesh_2.normals.elementAt(164);
      expect(normal_2_164, vector3MoreOrLessEquals(Vector3(-0.263316989, -0.310223997, 0.913469017)));
      final normal_2_165 = mesh_2.normals.elementAt(165);
      expect(normal_2_165, vector3MoreOrLessEquals(Vector3(-0.846773028, 0.0780429989, 0.526198983)));
      final normal_2_166 = mesh_2.normals.elementAt(166);
      expect(normal_2_166, vector3MoreOrLessEquals(Vector3(-0.263316989, -0.310223997, 0.913469017)));
      final normal_2_167 = mesh_2.normals.elementAt(167);
      expect(normal_2_167, vector3MoreOrLessEquals(Vector3(-0.342436999, -0.316576988, 0.88459897)));
      final normal_2_168 = mesh_2.normals.elementAt(168);
      expect(normal_2_168, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_169 = mesh_2.normals.elementAt(169);
      expect(normal_2_169, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_170 = mesh_2.normals.elementAt(170);
      expect(normal_2_170, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_171 = mesh_2.normals.elementAt(171);
      expect(normal_2_171, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_172 = mesh_2.normals.elementAt(172);
      expect(normal_2_172, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_173 = mesh_2.normals.elementAt(173);
      expect(normal_2_173, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_174 = mesh_2.normals.elementAt(174);
      expect(normal_2_174, vector3MoreOrLessEquals(Vector3(-0.940011024, -0.340514988, -0.0206930004)));
      final normal_2_175 = mesh_2.normals.elementAt(175);
      expect(normal_2_175, vector3MoreOrLessEquals(Vector3(-0.97240001, -0.204990998, 0.111429997)));
      final normal_2_176 = mesh_2.normals.elementAt(176);
      expect(normal_2_176, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_177 = mesh_2.normals.elementAt(177);
      expect(normal_2_177, vector3MoreOrLessEquals(Vector3(-0.940011024, -0.340514988, -0.0206930004)));
      final normal_2_178 = mesh_2.normals.elementAt(178);
      expect(normal_2_178, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_179 = mesh_2.normals.elementAt(179);
      expect(normal_2_179, vector3MoreOrLessEquals(Vector3(-0.216535002, -0.832588017, -0.509814024)));
      final normal_2_180 = mesh_2.normals.elementAt(180);
      expect(normal_2_180, vector3MoreOrLessEquals(Vector3(-0.97240001, -0.204990998, 0.111429997)));
      final normal_2_181 = mesh_2.normals.elementAt(181);
      expect(normal_2_181, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_182 = mesh_2.normals.elementAt(182);
      expect(normal_2_182, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_183 = mesh_2.normals.elementAt(183);
      expect(normal_2_183, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_184 = mesh_2.normals.elementAt(184);
      expect(normal_2_184, vector3MoreOrLessEquals(Vector3(-0.336313009, -0.936688006, -0.0975100026)));
      final normal_2_185 = mesh_2.normals.elementAt(185);
      expect(normal_2_185, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_186 = mesh_2.normals.elementAt(186);
      expect(normal_2_186, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_187 = mesh_2.normals.elementAt(187);
      expect(normal_2_187, vector3MoreOrLessEquals(Vector3(-0.616699994, -0.385897994, 0.686122)));
      final normal_2_188 = mesh_2.normals.elementAt(188);
      expect(normal_2_188, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_189 = mesh_2.normals.elementAt(189);
      expect(normal_2_189, vector3MoreOrLessEquals(Vector3(-0.817030013, -0.331766009, 0.471585006)));
      final normal_2_190 = mesh_2.normals.elementAt(190);
      expect(normal_2_190, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_191 = mesh_2.normals.elementAt(191);
      expect(normal_2_191, vector3MoreOrLessEquals(Vector3(-0.336313009, -0.936688006, -0.0975100026)));
      final normal_2_192 = mesh_2.normals.elementAt(192);
      expect(normal_2_192, vector3MoreOrLessEquals(Vector3(-0.616699994, -0.385897994, 0.686122)));
      final normal_2_193 = mesh_2.normals.elementAt(193);
      expect(normal_2_193, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_194 = mesh_2.normals.elementAt(194);
      expect(normal_2_194, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_195 = mesh_2.normals.elementAt(195);
      expect(normal_2_195, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_196 = mesh_2.normals.elementAt(196);
      expect(normal_2_196, vector3MoreOrLessEquals(Vector3(0.196057007, -0.733950973, 0.650291026)));
      final normal_2_197 = mesh_2.normals.elementAt(197);
      expect(normal_2_197, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_198 = mesh_2.normals.elementAt(198);
      expect(normal_2_198, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_199 = mesh_2.normals.elementAt(199);
      expect(normal_2_199, vector3MoreOrLessEquals(Vector3(-0.342436999, -0.316576988, 0.88459897)));
      final normal_2_200 = mesh_2.normals.elementAt(200);
      expect(normal_2_200, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_201 = mesh_2.normals.elementAt(201);
      expect(normal_2_201, vector3MoreOrLessEquals(Vector3(-0.565415025, -0.413210988, 0.713837028)));
      final normal_2_202 = mesh_2.normals.elementAt(202);
      expect(normal_2_202, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_203 = mesh_2.normals.elementAt(203);
      expect(normal_2_203, vector3MoreOrLessEquals(Vector3(0.196057007, -0.733950973, 0.650291026)));
      final normal_2_204 = mesh_2.normals.elementAt(204);
      expect(normal_2_204, vector3MoreOrLessEquals(Vector3(-0.342436999, -0.316576988, 0.88459897)));
      final normal_2_205 = mesh_2.normals.elementAt(205);
      expect(normal_2_205, vector3MoreOrLessEquals(Vector3(-0.263316989, -0.310223997, 0.913469017)));
      final normal_2_206 = mesh_2.normals.elementAt(206);
      expect(normal_2_206, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_207 = mesh_2.normals.elementAt(207);
      expect(normal_2_207, vector3MoreOrLessEquals(Vector3(-0.263316989, -0.310223997, 0.913469017)));
      final normal_2_208 = mesh_2.normals.elementAt(208);
      expect(normal_2_208, vector3MoreOrLessEquals(Vector3(0.489338011, -0.710824013, 0.505249977)));
      final normal_2_209 = mesh_2.normals.elementAt(209);
      expect(normal_2_209, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_210 = mesh_2.normals.elementAt(210);
      expect(normal_2_210, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_211 = mesh_2.normals.elementAt(211);
      expect(normal_2_211, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_212 = mesh_2.normals.elementAt(212);
      expect(normal_2_212, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_213 = mesh_2.normals.elementAt(213);
      expect(normal_2_213, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_214 = mesh_2.normals.elementAt(214);
      expect(normal_2_214, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_215 = mesh_2.normals.elementAt(215);
      expect(normal_2_215, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_216 = mesh_2.normals.elementAt(216);
      expect(normal_2_216, vector3MoreOrLessEquals(Vector3(-0.216535002, -0.832588017, -0.509814024)));
      final normal_2_217 = mesh_2.normals.elementAt(217);
      expect(normal_2_217, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_218 = mesh_2.normals.elementAt(218);
      expect(normal_2_218, vector3MoreOrLessEquals(Vector3(0.458184987, -0.654603004, -0.601300001)));
      final normal_2_219 = mesh_2.normals.elementAt(219);
      expect(normal_2_219, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_220 = mesh_2.normals.elementAt(220);
      expect(normal_2_220, vector3MoreOrLessEquals(Vector3(0.273616999, -0.575276017, -0.770838022)));
      final normal_2_221 = mesh_2.normals.elementAt(221);
      expect(normal_2_221, vector3MoreOrLessEquals(Vector3(0.458184987, -0.654603004, -0.601300001)));
      final normal_2_222 = mesh_2.normals.elementAt(222);
      expect(normal_2_222, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_223 = mesh_2.normals.elementAt(223);
      expect(normal_2_223, vector3MoreOrLessEquals(Vector3(-0.336313009, -0.936688006, -0.0975100026)));
      final normal_2_224 = mesh_2.normals.elementAt(224);
      expect(normal_2_224, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_225 = mesh_2.normals.elementAt(225);
      expect(normal_2_225, vector3MoreOrLessEquals(Vector3(-0.492072999, -0.677280009, -0.546952009)));
      final normal_2_226 = mesh_2.normals.elementAt(226);
      expect(normal_2_226, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_227 = mesh_2.normals.elementAt(227);
      expect(normal_2_227, vector3MoreOrLessEquals(Vector3(0.273616999, -0.575276017, -0.770838022)));
      final normal_2_228 = mesh_2.normals.elementAt(228);
      expect(normal_2_228, vector3MoreOrLessEquals(Vector3(-0.336313009, -0.936688006, -0.0975100026)));
      final normal_2_229 = mesh_2.normals.elementAt(229);
      expect(normal_2_229, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_230 = mesh_2.normals.elementAt(230);
      expect(normal_2_230, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_231 = mesh_2.normals.elementAt(231);
      expect(normal_2_231, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_232 = mesh_2.normals.elementAt(232);
      expect(normal_2_232, vector3MoreOrLessEquals(Vector3(0.770790994, -0.636825025, 0.0183060002)));
      final normal_2_233 = mesh_2.normals.elementAt(233);
      expect(normal_2_233, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_234 = mesh_2.normals.elementAt(234);
      expect(normal_2_234, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_235 = mesh_2.normals.elementAt(235);
      expect(normal_2_235, vector3MoreOrLessEquals(Vector3(0.196057007, -0.733950973, 0.650291026)));
      final normal_2_236 = mesh_2.normals.elementAt(236);
      expect(normal_2_236, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_237 = mesh_2.normals.elementAt(237);
      expect(normal_2_237, vector3MoreOrLessEquals(Vector3(0.0850839987, -0.882947981, 0.461697012)));
      final normal_2_238 = mesh_2.normals.elementAt(238);
      expect(normal_2_238, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_239 = mesh_2.normals.elementAt(239);
      expect(normal_2_239, vector3MoreOrLessEquals(Vector3(0.770790994, -0.636825025, 0.0183060002)));
      final normal_2_240 = mesh_2.normals.elementAt(240);
      expect(normal_2_240, vector3MoreOrLessEquals(Vector3(0.196057007, -0.733950973, 0.650291026)));
      final normal_2_241 = mesh_2.normals.elementAt(241);
      expect(normal_2_241, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_242 = mesh_2.normals.elementAt(242);
      expect(normal_2_242, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_243 = mesh_2.normals.elementAt(243);
      expect(normal_2_243, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_244 = mesh_2.normals.elementAt(244);
      expect(normal_2_244, vector3MoreOrLessEquals(Vector3(0.87875998, -0.285726011, -0.382284999)));
      final normal_2_245 = mesh_2.normals.elementAt(245);
      expect(normal_2_245, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_246 = mesh_2.normals.elementAt(246);
      expect(normal_2_246, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_247 = mesh_2.normals.elementAt(247);
      expect(normal_2_247, vector3MoreOrLessEquals(Vector3(0.489338011, -0.710824013, 0.505249977)));
      final normal_2_248 = mesh_2.normals.elementAt(248);
      expect(normal_2_248, vector3MoreOrLessEquals(Vector3(0.775251985, -0.453135997, -0.44005999)));
      final normal_2_249 = mesh_2.normals.elementAt(249);
      expect(normal_2_249, vector3MoreOrLessEquals(Vector3(0.454815, -0.615702987, 0.643469989)));
      final normal_2_250 = mesh_2.normals.elementAt(250);
      expect(normal_2_250, vector3MoreOrLessEquals(Vector3(0.775251985, -0.453135997, -0.44005999)));
      final normal_2_251 = mesh_2.normals.elementAt(251);
      expect(normal_2_251, vector3MoreOrLessEquals(Vector3(0.87875998, -0.285726011, -0.382284999)));
      final normal_2_252 = mesh_2.normals.elementAt(252);
      expect(normal_2_252, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_253 = mesh_2.normals.elementAt(253);
      expect(normal_2_253, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_254 = mesh_2.normals.elementAt(254);
      expect(normal_2_254, vector3MoreOrLessEquals(Vector3(0.0213830005, -0.916512012, 0.399435997)));
      final normal_2_255 = mesh_2.normals.elementAt(255);
      expect(normal_2_255, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_256 = mesh_2.normals.elementAt(256);
      expect(normal_2_256, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_257 = mesh_2.normals.elementAt(257);
      expect(normal_2_257, vector3MoreOrLessEquals(Vector3(-0.78186202, -0.431560993, -0.449941993)));
      final normal_2_258 = mesh_2.normals.elementAt(258);
      expect(normal_2_258, vector3MoreOrLessEquals(Vector3(0.458184987, -0.654603004, -0.601300001)));
      final normal_2_259 = mesh_2.normals.elementAt(259);
      expect(normal_2_259, vector3MoreOrLessEquals(Vector3(0.273616999, -0.575276017, -0.770838022)));
      final normal_2_260 = mesh_2.normals.elementAt(260);
      expect(normal_2_260, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_261 = mesh_2.normals.elementAt(261);
      expect(normal_2_261, vector3MoreOrLessEquals(Vector3(0.458184987, -0.654603004, -0.601300001)));
      final normal_2_262 = mesh_2.normals.elementAt(262);
      expect(normal_2_262, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_263 = mesh_2.normals.elementAt(263);
      expect(normal_2_263, vector3MoreOrLessEquals(Vector3(0.956336021, 0.228460997, -0.182282999)));
      final normal_2_264 = mesh_2.normals.elementAt(264);
      expect(normal_2_264, vector3MoreOrLessEquals(Vector3(0.273616999, -0.575276017, -0.770838022)));
      final normal_2_265 = mesh_2.normals.elementAt(265);
      expect(normal_2_265, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_266 = mesh_2.normals.elementAt(266);
      expect(normal_2_266, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_267 = mesh_2.normals.elementAt(267);
      expect(normal_2_267, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_268 = mesh_2.normals.elementAt(268);
      expect(normal_2_268, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_269 = mesh_2.normals.elementAt(269);
      expect(normal_2_269, vector3MoreOrLessEquals(Vector3(0.833900988, -0.104561001, -0.541918993)));
      final normal_2_270 = mesh_2.normals.elementAt(270);
      expect(normal_2_270, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_271 = mesh_2.normals.elementAt(271);
      expect(normal_2_271, vector3MoreOrLessEquals(Vector3(0.770790994, -0.636825025, 0.0183060002)));
      final normal_2_272 = mesh_2.normals.elementAt(272);
      expect(normal_2_272, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_273 = mesh_2.normals.elementAt(273);
      expect(normal_2_273, vector3MoreOrLessEquals(Vector3(0.55725801, -0.641858995, -0.526764989)));
      final normal_2_274 = mesh_2.normals.elementAt(274);
      expect(normal_2_274, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_275 = mesh_2.normals.elementAt(275);
      expect(normal_2_275, vector3MoreOrLessEquals(Vector3(0.910924971, 0.174918994, -0.373656005)));
      final normal_2_276 = mesh_2.normals.elementAt(276);
      expect(normal_2_276, vector3MoreOrLessEquals(Vector3(0.770790994, -0.636825025, 0.0183060002)));
      final normal_2_277 = mesh_2.normals.elementAt(277);
      expect(normal_2_277, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_278 = mesh_2.normals.elementAt(278);
      expect(normal_2_278, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_279 = mesh_2.normals.elementAt(279);
      expect(normal_2_279, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_280 = mesh_2.normals.elementAt(280);
      expect(normal_2_280, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_281 = mesh_2.normals.elementAt(281);
      expect(normal_2_281, vector3MoreOrLessEquals(Vector3(0.949258029, -0.0474850014, -0.310892999)));
      final normal_2_282 = mesh_2.normals.elementAt(282);
      expect(normal_2_282, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_283 = mesh_2.normals.elementAt(283);
      expect(normal_2_283, vector3MoreOrLessEquals(Vector3(0.87875998, -0.285726011, -0.382284999)));
      final normal_2_284 = mesh_2.normals.elementAt(284);
      expect(normal_2_284, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      final normal_2_285 = mesh_2.normals.elementAt(285);
      expect(normal_2_285, vector3MoreOrLessEquals(Vector3(0.873238027, -0.487282991, 0.00316999992)));
      final normal_2_286 = mesh_2.normals.elementAt(286);
      expect(normal_2_286, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      final normal_2_287 = mesh_2.normals.elementAt(287);
      expect(normal_2_287, vector3MoreOrLessEquals(Vector3(0.769155979, 0.182668999, -0.612398028)));
      final normal_2_288 = mesh_2.normals.elementAt(288);
      expect(normal_2_288, vector3MoreOrLessEquals(Vector3(0.87875998, -0.285726011, -0.382284999)));
      final normal_2_289 = mesh_2.normals.elementAt(289);
      expect(normal_2_289, vector3MoreOrLessEquals(Vector3(0.775251985, -0.453135997, -0.44005999)));
      final normal_2_290 = mesh_2.normals.elementAt(290);
      expect(normal_2_290, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      final normal_2_291 = mesh_2.normals.elementAt(291);
      expect(normal_2_291, vector3MoreOrLessEquals(Vector3(0.775251985, -0.453135997, -0.44005999)));
      final normal_2_292 = mesh_2.normals.elementAt(292);
      expect(normal_2_292, vector3MoreOrLessEquals(Vector3(0.352773994, 0.0794989988, -0.932325006)));
      final normal_2_293 = mesh_2.normals.elementAt(293);
      expect(normal_2_293, vector3MoreOrLessEquals(Vector3(0.667603016, 0.00195900002, -0.744515002)));
      expect(mesh_2.tangents.length, isZero);
      expect(mesh_2.bitangents.length, isZero);
      expect(mesh_2.colors.length, isZero);
      expect(mesh_2.textureCoords.length, equals(1));
      final textureCoords_2_0 = mesh_2.textureCoords.elementAt(0);
      expect(textureCoords_2_0.length, equals(294));
      final textureCoord_2_0_0 = textureCoords_2_0.elementAt(0);
      expect(textureCoord_2_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_1 = textureCoords_2_0.elementAt(1);
      expect(textureCoord_2_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_2 = textureCoords_2_0.elementAt(2);
      expect(textureCoord_2_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_3 = textureCoords_2_0.elementAt(3);
      expect(textureCoord_2_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_4 = textureCoords_2_0.elementAt(4);
      expect(textureCoord_2_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_5 = textureCoords_2_0.elementAt(5);
      expect(textureCoord_2_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_6 = textureCoords_2_0.elementAt(6);
      expect(textureCoord_2_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_7 = textureCoords_2_0.elementAt(7);
      expect(textureCoord_2_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_2_0_8 = textureCoords_2_0.elementAt(8);
      expect(textureCoord_2_0_8, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_9 = textureCoords_2_0.elementAt(9);
      expect(textureCoord_2_0_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_2_0_10 = textureCoords_2_0.elementAt(10);
      expect(textureCoord_2_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_11 = textureCoords_2_0.elementAt(11);
      expect(textureCoord_2_0_11, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_2_0_12 = textureCoords_2_0.elementAt(12);
      expect(textureCoord_2_0_12, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_2_0_13 = textureCoords_2_0.elementAt(13);
      expect(textureCoord_2_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_2_0_14 = textureCoords_2_0.elementAt(14);
      expect(textureCoord_2_0_14, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_15 = textureCoords_2_0.elementAt(15);
      expect(textureCoord_2_0_15, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_2_0_16 = textureCoords_2_0.elementAt(16);
      expect(textureCoord_2_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_2_0_17 = textureCoords_2_0.elementAt(17);
      expect(textureCoord_2_0_17, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_18 = textureCoords_2_0.elementAt(18);
      expect(textureCoord_2_0_18, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_2_0_19 = textureCoords_2_0.elementAt(19);
      expect(textureCoord_2_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_2_0_20 = textureCoords_2_0.elementAt(20);
      expect(textureCoord_2_0_20, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_21 = textureCoords_2_0.elementAt(21);
      expect(textureCoord_2_0_21, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_2_0_22 = textureCoords_2_0.elementAt(22);
      expect(textureCoord_2_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_23 = textureCoords_2_0.elementAt(23);
      expect(textureCoord_2_0_23, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_2_0_24 = textureCoords_2_0.elementAt(24);
      expect(textureCoord_2_0_24, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_2_0_25 = textureCoords_2_0.elementAt(25);
      expect(textureCoord_2_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_2_0_26 = textureCoords_2_0.elementAt(26);
      expect(textureCoord_2_0_26, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_27 = textureCoords_2_0.elementAt(27);
      expect(textureCoord_2_0_27, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_2_0_28 = textureCoords_2_0.elementAt(28);
      expect(textureCoord_2_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_2_0_29 = textureCoords_2_0.elementAt(29);
      expect(textureCoord_2_0_29, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_30 = textureCoords_2_0.elementAt(30);
      expect(textureCoord_2_0_30, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_2_0_31 = textureCoords_2_0.elementAt(31);
      expect(textureCoord_2_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_2_0_32 = textureCoords_2_0.elementAt(32);
      expect(textureCoord_2_0_32, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_33 = textureCoords_2_0.elementAt(33);
      expect(textureCoord_2_0_33, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_2_0_34 = textureCoords_2_0.elementAt(34);
      expect(textureCoord_2_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_35 = textureCoords_2_0.elementAt(35);
      expect(textureCoord_2_0_35, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_2_0_36 = textureCoords_2_0.elementAt(36);
      expect(textureCoord_2_0_36, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_2_0_37 = textureCoords_2_0.elementAt(37);
      expect(textureCoord_2_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_38 = textureCoords_2_0.elementAt(38);
      expect(textureCoord_2_0_38, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_39 = textureCoords_2_0.elementAt(39);
      expect(textureCoord_2_0_39, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_40 = textureCoords_2_0.elementAt(40);
      expect(textureCoord_2_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_2_0_41 = textureCoords_2_0.elementAt(41);
      expect(textureCoord_2_0_41, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_42 = textureCoords_2_0.elementAt(42);
      expect(textureCoord_2_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_43 = textureCoords_2_0.elementAt(43);
      expect(textureCoord_2_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_44 = textureCoords_2_0.elementAt(44);
      expect(textureCoord_2_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_45 = textureCoords_2_0.elementAt(45);
      expect(textureCoord_2_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_46 = textureCoords_2_0.elementAt(46);
      expect(textureCoord_2_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_47 = textureCoords_2_0.elementAt(47);
      expect(textureCoord_2_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_48 = textureCoords_2_0.elementAt(48);
      expect(textureCoord_2_0_48, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_2_0_49 = textureCoords_2_0.elementAt(49);
      expect(textureCoord_2_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_50 = textureCoords_2_0.elementAt(50);
      expect(textureCoord_2_0_50, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_2_0_51 = textureCoords_2_0.elementAt(51);
      expect(textureCoord_2_0_51, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_52 = textureCoords_2_0.elementAt(52);
      expect(textureCoord_2_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_2_0_53 = textureCoords_2_0.elementAt(53);
      expect(textureCoord_2_0_53, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_2_0_54 = textureCoords_2_0.elementAt(54);
      expect(textureCoord_2_0_54, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_55 = textureCoords_2_0.elementAt(55);
      expect(textureCoord_2_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_2_0_56 = textureCoords_2_0.elementAt(56);
      expect(textureCoord_2_0_56, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_57 = textureCoords_2_0.elementAt(57);
      expect(textureCoord_2_0_57, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_2_0_58 = textureCoords_2_0.elementAt(58);
      expect(textureCoord_2_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_59 = textureCoords_2_0.elementAt(59);
      expect(textureCoord_2_0_59, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_2_0_60 = textureCoords_2_0.elementAt(60);
      expect(textureCoord_2_0_60, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_2_0_61 = textureCoords_2_0.elementAt(61);
      expect(textureCoord_2_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_62 = textureCoords_2_0.elementAt(62);
      expect(textureCoord_2_0_62, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_63 = textureCoords_2_0.elementAt(63);
      expect(textureCoord_2_0_63, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_64 = textureCoords_2_0.elementAt(64);
      expect(textureCoord_2_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_2_0_65 = textureCoords_2_0.elementAt(65);
      expect(textureCoord_2_0_65, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_66 = textureCoords_2_0.elementAt(66);
      expect(textureCoord_2_0_66, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_67 = textureCoords_2_0.elementAt(67);
      expect(textureCoord_2_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_2_0_68 = textureCoords_2_0.elementAt(68);
      expect(textureCoord_2_0_68, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_69 = textureCoords_2_0.elementAt(69);
      expect(textureCoord_2_0_69, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_2_0_70 = textureCoords_2_0.elementAt(70);
      expect(textureCoord_2_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_71 = textureCoords_2_0.elementAt(71);
      expect(textureCoord_2_0_71, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_2_0_72 = textureCoords_2_0.elementAt(72);
      expect(textureCoord_2_0_72, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_2_0_73 = textureCoords_2_0.elementAt(73);
      expect(textureCoord_2_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_74 = textureCoords_2_0.elementAt(74);
      expect(textureCoord_2_0_74, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_75 = textureCoords_2_0.elementAt(75);
      expect(textureCoord_2_0_75, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_76 = textureCoords_2_0.elementAt(76);
      expect(textureCoord_2_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_2_0_77 = textureCoords_2_0.elementAt(77);
      expect(textureCoord_2_0_77, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_78 = textureCoords_2_0.elementAt(78);
      expect(textureCoord_2_0_78, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_79 = textureCoords_2_0.elementAt(79);
      expect(textureCoord_2_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_2_0_80 = textureCoords_2_0.elementAt(80);
      expect(textureCoord_2_0_80, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_2_0_81 = textureCoords_2_0.elementAt(81);
      expect(textureCoord_2_0_81, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_2_0_82 = textureCoords_2_0.elementAt(82);
      expect(textureCoord_2_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_2_0_83 = textureCoords_2_0.elementAt(83);
      expect(textureCoord_2_0_83, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_2_0_84 = textureCoords_2_0.elementAt(84);
      expect(textureCoord_2_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_85 = textureCoords_2_0.elementAt(85);
      expect(textureCoord_2_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_86 = textureCoords_2_0.elementAt(86);
      expect(textureCoord_2_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_87 = textureCoords_2_0.elementAt(87);
      expect(textureCoord_2_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_88 = textureCoords_2_0.elementAt(88);
      expect(textureCoord_2_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_89 = textureCoords_2_0.elementAt(89);
      expect(textureCoord_2_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_90 = textureCoords_2_0.elementAt(90);
      expect(textureCoord_2_0_90, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_2_0_91 = textureCoords_2_0.elementAt(91);
      expect(textureCoord_2_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_2_0_92 = textureCoords_2_0.elementAt(92);
      expect(textureCoord_2_0_92, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_93 = textureCoords_2_0.elementAt(93);
      expect(textureCoord_2_0_93, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_2_0_94 = textureCoords_2_0.elementAt(94);
      expect(textureCoord_2_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_95 = textureCoords_2_0.elementAt(95);
      expect(textureCoord_2_0_95, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_2_0_96 = textureCoords_2_0.elementAt(96);
      expect(textureCoord_2_0_96, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_2_0_97 = textureCoords_2_0.elementAt(97);
      expect(textureCoord_2_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_98 = textureCoords_2_0.elementAt(98);
      expect(textureCoord_2_0_98, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_99 = textureCoords_2_0.elementAt(99);
      expect(textureCoord_2_0_99, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_100 = textureCoords_2_0.elementAt(100);
      expect(textureCoord_2_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_2_0_101 = textureCoords_2_0.elementAt(101);
      expect(textureCoord_2_0_101, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_102 = textureCoords_2_0.elementAt(102);
      expect(textureCoord_2_0_102, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_103 = textureCoords_2_0.elementAt(103);
      expect(textureCoord_2_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_2_0_104 = textureCoords_2_0.elementAt(104);
      expect(textureCoord_2_0_104, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_105 = textureCoords_2_0.elementAt(105);
      expect(textureCoord_2_0_105, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_2_0_106 = textureCoords_2_0.elementAt(106);
      expect(textureCoord_2_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_107 = textureCoords_2_0.elementAt(107);
      expect(textureCoord_2_0_107, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_2_0_108 = textureCoords_2_0.elementAt(108);
      expect(textureCoord_2_0_108, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_2_0_109 = textureCoords_2_0.elementAt(109);
      expect(textureCoord_2_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_110 = textureCoords_2_0.elementAt(110);
      expect(textureCoord_2_0_110, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_111 = textureCoords_2_0.elementAt(111);
      expect(textureCoord_2_0_111, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_112 = textureCoords_2_0.elementAt(112);
      expect(textureCoord_2_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_2_0_113 = textureCoords_2_0.elementAt(113);
      expect(textureCoord_2_0_113, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_114 = textureCoords_2_0.elementAt(114);
      expect(textureCoord_2_0_114, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_115 = textureCoords_2_0.elementAt(115);
      expect(textureCoord_2_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_2_0_116 = textureCoords_2_0.elementAt(116);
      expect(textureCoord_2_0_116, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_117 = textureCoords_2_0.elementAt(117);
      expect(textureCoord_2_0_117, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_2_0_118 = textureCoords_2_0.elementAt(118);
      expect(textureCoord_2_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_119 = textureCoords_2_0.elementAt(119);
      expect(textureCoord_2_0_119, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_2_0_120 = textureCoords_2_0.elementAt(120);
      expect(textureCoord_2_0_120, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_2_0_121 = textureCoords_2_0.elementAt(121);
      expect(textureCoord_2_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_2_0_122 = textureCoords_2_0.elementAt(122);
      expect(textureCoord_2_0_122, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_123 = textureCoords_2_0.elementAt(123);
      expect(textureCoord_2_0_123, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_2_0_124 = textureCoords_2_0.elementAt(124);
      expect(textureCoord_2_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_2_0_125 = textureCoords_2_0.elementAt(125);
      expect(textureCoord_2_0_125, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_126 = textureCoords_2_0.elementAt(126);
      expect(textureCoord_2_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_127 = textureCoords_2_0.elementAt(127);
      expect(textureCoord_2_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_128 = textureCoords_2_0.elementAt(128);
      expect(textureCoord_2_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_129 = textureCoords_2_0.elementAt(129);
      expect(textureCoord_2_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_130 = textureCoords_2_0.elementAt(130);
      expect(textureCoord_2_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_131 = textureCoords_2_0.elementAt(131);
      expect(textureCoord_2_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_132 = textureCoords_2_0.elementAt(132);
      expect(textureCoord_2_0_132, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_2_0_133 = textureCoords_2_0.elementAt(133);
      expect(textureCoord_2_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_134 = textureCoords_2_0.elementAt(134);
      expect(textureCoord_2_0_134, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_2_0_135 = textureCoords_2_0.elementAt(135);
      expect(textureCoord_2_0_135, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_136 = textureCoords_2_0.elementAt(136);
      expect(textureCoord_2_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_2_0_137 = textureCoords_2_0.elementAt(137);
      expect(textureCoord_2_0_137, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_2_0_138 = textureCoords_2_0.elementAt(138);
      expect(textureCoord_2_0_138, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_139 = textureCoords_2_0.elementAt(139);
      expect(textureCoord_2_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_2_0_140 = textureCoords_2_0.elementAt(140);
      expect(textureCoord_2_0_140, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_141 = textureCoords_2_0.elementAt(141);
      expect(textureCoord_2_0_141, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_2_0_142 = textureCoords_2_0.elementAt(142);
      expect(textureCoord_2_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_143 = textureCoords_2_0.elementAt(143);
      expect(textureCoord_2_0_143, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_2_0_144 = textureCoords_2_0.elementAt(144);
      expect(textureCoord_2_0_144, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_2_0_145 = textureCoords_2_0.elementAt(145);
      expect(textureCoord_2_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_146 = textureCoords_2_0.elementAt(146);
      expect(textureCoord_2_0_146, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_147 = textureCoords_2_0.elementAt(147);
      expect(textureCoord_2_0_147, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_148 = textureCoords_2_0.elementAt(148);
      expect(textureCoord_2_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_2_0_149 = textureCoords_2_0.elementAt(149);
      expect(textureCoord_2_0_149, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_150 = textureCoords_2_0.elementAt(150);
      expect(textureCoord_2_0_150, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_151 = textureCoords_2_0.elementAt(151);
      expect(textureCoord_2_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_2_0_152 = textureCoords_2_0.elementAt(152);
      expect(textureCoord_2_0_152, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_153 = textureCoords_2_0.elementAt(153);
      expect(textureCoord_2_0_153, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_2_0_154 = textureCoords_2_0.elementAt(154);
      expect(textureCoord_2_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_155 = textureCoords_2_0.elementAt(155);
      expect(textureCoord_2_0_155, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_2_0_156 = textureCoords_2_0.elementAt(156);
      expect(textureCoord_2_0_156, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_2_0_157 = textureCoords_2_0.elementAt(157);
      expect(textureCoord_2_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_158 = textureCoords_2_0.elementAt(158);
      expect(textureCoord_2_0_158, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_159 = textureCoords_2_0.elementAt(159);
      expect(textureCoord_2_0_159, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_160 = textureCoords_2_0.elementAt(160);
      expect(textureCoord_2_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_2_0_161 = textureCoords_2_0.elementAt(161);
      expect(textureCoord_2_0_161, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_162 = textureCoords_2_0.elementAt(162);
      expect(textureCoord_2_0_162, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_163 = textureCoords_2_0.elementAt(163);
      expect(textureCoord_2_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_2_0_164 = textureCoords_2_0.elementAt(164);
      expect(textureCoord_2_0_164, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_2_0_165 = textureCoords_2_0.elementAt(165);
      expect(textureCoord_2_0_165, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_2_0_166 = textureCoords_2_0.elementAt(166);
      expect(textureCoord_2_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_2_0_167 = textureCoords_2_0.elementAt(167);
      expect(textureCoord_2_0_167, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_2_0_168 = textureCoords_2_0.elementAt(168);
      expect(textureCoord_2_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_169 = textureCoords_2_0.elementAt(169);
      expect(textureCoord_2_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_170 = textureCoords_2_0.elementAt(170);
      expect(textureCoord_2_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_171 = textureCoords_2_0.elementAt(171);
      expect(textureCoord_2_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_172 = textureCoords_2_0.elementAt(172);
      expect(textureCoord_2_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_173 = textureCoords_2_0.elementAt(173);
      expect(textureCoord_2_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_174 = textureCoords_2_0.elementAt(174);
      expect(textureCoord_2_0_174, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_2_0_175 = textureCoords_2_0.elementAt(175);
      expect(textureCoord_2_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_2_0_176 = textureCoords_2_0.elementAt(176);
      expect(textureCoord_2_0_176, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_177 = textureCoords_2_0.elementAt(177);
      expect(textureCoord_2_0_177, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_2_0_178 = textureCoords_2_0.elementAt(178);
      expect(textureCoord_2_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_179 = textureCoords_2_0.elementAt(179);
      expect(textureCoord_2_0_179, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_2_0_180 = textureCoords_2_0.elementAt(180);
      expect(textureCoord_2_0_180, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_2_0_181 = textureCoords_2_0.elementAt(181);
      expect(textureCoord_2_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_182 = textureCoords_2_0.elementAt(182);
      expect(textureCoord_2_0_182, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_183 = textureCoords_2_0.elementAt(183);
      expect(textureCoord_2_0_183, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_184 = textureCoords_2_0.elementAt(184);
      expect(textureCoord_2_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_2_0_185 = textureCoords_2_0.elementAt(185);
      expect(textureCoord_2_0_185, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_186 = textureCoords_2_0.elementAt(186);
      expect(textureCoord_2_0_186, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_187 = textureCoords_2_0.elementAt(187);
      expect(textureCoord_2_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_2_0_188 = textureCoords_2_0.elementAt(188);
      expect(textureCoord_2_0_188, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_189 = textureCoords_2_0.elementAt(189);
      expect(textureCoord_2_0_189, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_2_0_190 = textureCoords_2_0.elementAt(190);
      expect(textureCoord_2_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_191 = textureCoords_2_0.elementAt(191);
      expect(textureCoord_2_0_191, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_2_0_192 = textureCoords_2_0.elementAt(192);
      expect(textureCoord_2_0_192, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_2_0_193 = textureCoords_2_0.elementAt(193);
      expect(textureCoord_2_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_194 = textureCoords_2_0.elementAt(194);
      expect(textureCoord_2_0_194, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_195 = textureCoords_2_0.elementAt(195);
      expect(textureCoord_2_0_195, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_196 = textureCoords_2_0.elementAt(196);
      expect(textureCoord_2_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_2_0_197 = textureCoords_2_0.elementAt(197);
      expect(textureCoord_2_0_197, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_198 = textureCoords_2_0.elementAt(198);
      expect(textureCoord_2_0_198, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_199 = textureCoords_2_0.elementAt(199);
      expect(textureCoord_2_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_2_0_200 = textureCoords_2_0.elementAt(200);
      expect(textureCoord_2_0_200, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_201 = textureCoords_2_0.elementAt(201);
      expect(textureCoord_2_0_201, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_2_0_202 = textureCoords_2_0.elementAt(202);
      expect(textureCoord_2_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_203 = textureCoords_2_0.elementAt(203);
      expect(textureCoord_2_0_203, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_2_0_204 = textureCoords_2_0.elementAt(204);
      expect(textureCoord_2_0_204, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_2_0_205 = textureCoords_2_0.elementAt(205);
      expect(textureCoord_2_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_2_0_206 = textureCoords_2_0.elementAt(206);
      expect(textureCoord_2_0_206, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_207 = textureCoords_2_0.elementAt(207);
      expect(textureCoord_2_0_207, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_2_0_208 = textureCoords_2_0.elementAt(208);
      expect(textureCoord_2_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_2_0_209 = textureCoords_2_0.elementAt(209);
      expect(textureCoord_2_0_209, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_210 = textureCoords_2_0.elementAt(210);
      expect(textureCoord_2_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_211 = textureCoords_2_0.elementAt(211);
      expect(textureCoord_2_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_212 = textureCoords_2_0.elementAt(212);
      expect(textureCoord_2_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_213 = textureCoords_2_0.elementAt(213);
      expect(textureCoord_2_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_214 = textureCoords_2_0.elementAt(214);
      expect(textureCoord_2_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_215 = textureCoords_2_0.elementAt(215);
      expect(textureCoord_2_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_216 = textureCoords_2_0.elementAt(216);
      expect(textureCoord_2_0_216, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_2_0_217 = textureCoords_2_0.elementAt(217);
      expect(textureCoord_2_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_218 = textureCoords_2_0.elementAt(218);
      expect(textureCoord_2_0_218, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_2_0_219 = textureCoords_2_0.elementAt(219);
      expect(textureCoord_2_0_219, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_220 = textureCoords_2_0.elementAt(220);
      expect(textureCoord_2_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_2_0_221 = textureCoords_2_0.elementAt(221);
      expect(textureCoord_2_0_221, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_2_0_222 = textureCoords_2_0.elementAt(222);
      expect(textureCoord_2_0_222, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_223 = textureCoords_2_0.elementAt(223);
      expect(textureCoord_2_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_2_0_224 = textureCoords_2_0.elementAt(224);
      expect(textureCoord_2_0_224, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_225 = textureCoords_2_0.elementAt(225);
      expect(textureCoord_2_0_225, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_2_0_226 = textureCoords_2_0.elementAt(226);
      expect(textureCoord_2_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_227 = textureCoords_2_0.elementAt(227);
      expect(textureCoord_2_0_227, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_2_0_228 = textureCoords_2_0.elementAt(228);
      expect(textureCoord_2_0_228, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_2_0_229 = textureCoords_2_0.elementAt(229);
      expect(textureCoord_2_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_230 = textureCoords_2_0.elementAt(230);
      expect(textureCoord_2_0_230, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_231 = textureCoords_2_0.elementAt(231);
      expect(textureCoord_2_0_231, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_232 = textureCoords_2_0.elementAt(232);
      expect(textureCoord_2_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_2_0_233 = textureCoords_2_0.elementAt(233);
      expect(textureCoord_2_0_233, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_234 = textureCoords_2_0.elementAt(234);
      expect(textureCoord_2_0_234, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_235 = textureCoords_2_0.elementAt(235);
      expect(textureCoord_2_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_2_0_236 = textureCoords_2_0.elementAt(236);
      expect(textureCoord_2_0_236, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_237 = textureCoords_2_0.elementAt(237);
      expect(textureCoord_2_0_237, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_2_0_238 = textureCoords_2_0.elementAt(238);
      expect(textureCoord_2_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_239 = textureCoords_2_0.elementAt(239);
      expect(textureCoord_2_0_239, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_2_0_240 = textureCoords_2_0.elementAt(240);
      expect(textureCoord_2_0_240, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_2_0_241 = textureCoords_2_0.elementAt(241);
      expect(textureCoord_2_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_242 = textureCoords_2_0.elementAt(242);
      expect(textureCoord_2_0_242, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_243 = textureCoords_2_0.elementAt(243);
      expect(textureCoord_2_0_243, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_244 = textureCoords_2_0.elementAt(244);
      expect(textureCoord_2_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_2_0_245 = textureCoords_2_0.elementAt(245);
      expect(textureCoord_2_0_245, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_246 = textureCoords_2_0.elementAt(246);
      expect(textureCoord_2_0_246, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_247 = textureCoords_2_0.elementAt(247);
      expect(textureCoord_2_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_2_0_248 = textureCoords_2_0.elementAt(248);
      expect(textureCoord_2_0_248, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_2_0_249 = textureCoords_2_0.elementAt(249);
      expect(textureCoord_2_0_249, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_2_0_250 = textureCoords_2_0.elementAt(250);
      expect(textureCoord_2_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_2_0_251 = textureCoords_2_0.elementAt(251);
      expect(textureCoord_2_0_251, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_2_0_252 = textureCoords_2_0.elementAt(252);
      expect(textureCoord_2_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_253 = textureCoords_2_0.elementAt(253);
      expect(textureCoord_2_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_254 = textureCoords_2_0.elementAt(254);
      expect(textureCoord_2_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_255 = textureCoords_2_0.elementAt(255);
      expect(textureCoord_2_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_256 = textureCoords_2_0.elementAt(256);
      expect(textureCoord_2_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_257 = textureCoords_2_0.elementAt(257);
      expect(textureCoord_2_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_2_0_258 = textureCoords_2_0.elementAt(258);
      expect(textureCoord_2_0_258, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_2_0_259 = textureCoords_2_0.elementAt(259);
      expect(textureCoord_2_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_2_0_260 = textureCoords_2_0.elementAt(260);
      expect(textureCoord_2_0_260, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_2_0_261 = textureCoords_2_0.elementAt(261);
      expect(textureCoord_2_0_261, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_2_0_262 = textureCoords_2_0.elementAt(262);
      expect(textureCoord_2_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_2_0_263 = textureCoords_2_0.elementAt(263);
      expect(textureCoord_2_0_263, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_2_0_264 = textureCoords_2_0.elementAt(264);
      expect(textureCoord_2_0_264, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_2_0_265 = textureCoords_2_0.elementAt(265);
      expect(textureCoord_2_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_266 = textureCoords_2_0.elementAt(266);
      expect(textureCoord_2_0_266, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_2_0_267 = textureCoords_2_0.elementAt(267);
      expect(textureCoord_2_0_267, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_268 = textureCoords_2_0.elementAt(268);
      expect(textureCoord_2_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_2_0_269 = textureCoords_2_0.elementAt(269);
      expect(textureCoord_2_0_269, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_2_0_270 = textureCoords_2_0.elementAt(270);
      expect(textureCoord_2_0_270, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_271 = textureCoords_2_0.elementAt(271);
      expect(textureCoord_2_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_2_0_272 = textureCoords_2_0.elementAt(272);
      expect(textureCoord_2_0_272, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_2_0_273 = textureCoords_2_0.elementAt(273);
      expect(textureCoord_2_0_273, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_2_0_274 = textureCoords_2_0.elementAt(274);
      expect(textureCoord_2_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_2_0_275 = textureCoords_2_0.elementAt(275);
      expect(textureCoord_2_0_275, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_2_0_276 = textureCoords_2_0.elementAt(276);
      expect(textureCoord_2_0_276, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_2_0_277 = textureCoords_2_0.elementAt(277);
      expect(textureCoord_2_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_278 = textureCoords_2_0.elementAt(278);
      expect(textureCoord_2_0_278, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_2_0_279 = textureCoords_2_0.elementAt(279);
      expect(textureCoord_2_0_279, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_280 = textureCoords_2_0.elementAt(280);
      expect(textureCoord_2_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_2_0_281 = textureCoords_2_0.elementAt(281);
      expect(textureCoord_2_0_281, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_2_0_282 = textureCoords_2_0.elementAt(282);
      expect(textureCoord_2_0_282, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_283 = textureCoords_2_0.elementAt(283);
      expect(textureCoord_2_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_2_0_284 = textureCoords_2_0.elementAt(284);
      expect(textureCoord_2_0_284, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_2_0_285 = textureCoords_2_0.elementAt(285);
      expect(textureCoord_2_0_285, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_2_0_286 = textureCoords_2_0.elementAt(286);
      expect(textureCoord_2_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_2_0_287 = textureCoords_2_0.elementAt(287);
      expect(textureCoord_2_0_287, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_2_0_288 = textureCoords_2_0.elementAt(288);
      expect(textureCoord_2_0_288, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_2_0_289 = textureCoords_2_0.elementAt(289);
      expect(textureCoord_2_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_2_0_290 = textureCoords_2_0.elementAt(290);
      expect(textureCoord_2_0_290, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_2_0_291 = textureCoords_2_0.elementAt(291);
      expect(textureCoord_2_0_291, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_2_0_292 = textureCoords_2_0.elementAt(292);
      expect(textureCoord_2_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_2_0_293 = textureCoords_2_0.elementAt(293);
      expect(textureCoord_2_0_293, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      expect(mesh_2.uvComponents.length, equals(1));
      expect(mesh_2.uvComponents, equals([2]));
      expect(mesh_2.faces.length, equals(98));
      expect(mesh_2.bones.length, isZero);
      expect(mesh_2.materialIndex, equals(4));
      expect(mesh_2.name, equals('Bein1Li'));
      expect(mesh_2.animMeshes.length, isZero);
      expect(mesh_2.morphingMethod, isZero);
      expect(mesh_2.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_3 = meshes.elementAt(3);
      expect(mesh_3.primitiveTypes, equals(4));
      expect(mesh_3.vertices.length, equals(294));
      final vertex_3_0 = mesh_3.vertices.elementAt(0);
      expect(vertex_3_0, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_1 = mesh_3.vertices.elementAt(1);
      expect(vertex_3_1, vector3MoreOrLessEquals(Vector3(-42.838028, -1.82274795, -1.17337704)));
      final vertex_3_2 = mesh_3.vertices.elementAt(2);
      expect(vertex_3_2, vector3MoreOrLessEquals(Vector3(-41.9601212, -3.15467095, 1.81762195)));
      final vertex_3_3 = mesh_3.vertices.elementAt(3);
      expect(vertex_3_3, vector3MoreOrLessEquals(Vector3(-92.2904282, -39.2115898, 57.3824883)));
      final vertex_3_4 = mesh_3.vertices.elementAt(4);
      expect(vertex_3_4, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_5 = mesh_3.vertices.elementAt(5);
      expect(vertex_3_5, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327423, 57.54076)));
      final vertex_3_6 = mesh_3.vertices.elementAt(6);
      expect(vertex_3_6, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_7 = mesh_3.vertices.elementAt(7);
      expect(vertex_3_7, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_8 = mesh_3.vertices.elementAt(8);
      expect(vertex_3_8, vector3MoreOrLessEquals(Vector3(-41.9601212, -3.15467095, 1.81762195)));
      final vertex_3_9 = mesh_3.vertices.elementAt(9);
      expect(vertex_3_9, vector3MoreOrLessEquals(Vector3(-42.838028, -1.82274795, -1.17337704)));
      final vertex_3_10 = mesh_3.vertices.elementAt(10);
      expect(vertex_3_10, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_11 = mesh_3.vertices.elementAt(11);
      expect(vertex_3_11, vector3MoreOrLessEquals(Vector3(-41.9601212, -3.15467095, 1.81762195)));
      final vertex_3_12 = mesh_3.vertices.elementAt(12);
      expect(vertex_3_12, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_13 = mesh_3.vertices.elementAt(13);
      expect(vertex_3_13, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_14 = mesh_3.vertices.elementAt(14);
      expect(vertex_3_14, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_15 = mesh_3.vertices.elementAt(15);
      expect(vertex_3_15, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_16 = mesh_3.vertices.elementAt(16);
      expect(vertex_3_16, vector3MoreOrLessEquals(Vector3(-54.9257584, 28.3423996, 29.3660545)));
      final vertex_3_17 = mesh_3.vertices.elementAt(17);
      expect(vertex_3_17, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_18 = mesh_3.vertices.elementAt(18);
      expect(vertex_3_18, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_19 = mesh_3.vertices.elementAt(19);
      expect(vertex_3_19, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_20 = mesh_3.vertices.elementAt(20);
      expect(vertex_3_20, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_21 = mesh_3.vertices.elementAt(21);
      expect(vertex_3_21, vector3MoreOrLessEquals(Vector3(-54.9257584, 28.3423996, 29.3660545)));
      final vertex_3_22 = mesh_3.vertices.elementAt(22);
      expect(vertex_3_22, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_23 = mesh_3.vertices.elementAt(23);
      expect(vertex_3_23, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_24 = mesh_3.vertices.elementAt(24);
      expect(vertex_3_24, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_25 = mesh_3.vertices.elementAt(25);
      expect(vertex_3_25, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_26 = mesh_3.vertices.elementAt(26);
      expect(vertex_3_26, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_27 = mesh_3.vertices.elementAt(27);
      expect(vertex_3_27, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_28 = mesh_3.vertices.elementAt(28);
      expect(vertex_3_28, vector3MoreOrLessEquals(Vector3(-69.6119614, 9.45497131, 44.2964516)));
      final vertex_3_29 = mesh_3.vertices.elementAt(29);
      expect(vertex_3_29, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_30 = mesh_3.vertices.elementAt(30);
      expect(vertex_3_30, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_31 = mesh_3.vertices.elementAt(31);
      expect(vertex_3_31, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_32 = mesh_3.vertices.elementAt(32);
      expect(vertex_3_32, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_33 = mesh_3.vertices.elementAt(33);
      expect(vertex_3_33, vector3MoreOrLessEquals(Vector3(-69.6119614, 9.45497131, 44.2964516)));
      final vertex_3_34 = mesh_3.vertices.elementAt(34);
      expect(vertex_3_34, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_35 = mesh_3.vertices.elementAt(35);
      expect(vertex_3_35, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_36 = mesh_3.vertices.elementAt(36);
      expect(vertex_3_36, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_37 = mesh_3.vertices.elementAt(37);
      expect(vertex_3_37, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327423, 57.54076)));
      final vertex_3_38 = mesh_3.vertices.elementAt(38);
      expect(vertex_3_38, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_39 = mesh_3.vertices.elementAt(39);
      expect(vertex_3_39, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_40 = mesh_3.vertices.elementAt(40);
      expect(vertex_3_40, vector3MoreOrLessEquals(Vector3(-92.2904282, -39.2115898, 57.3824883)));
      final vertex_3_41 = mesh_3.vertices.elementAt(41);
      expect(vertex_3_41, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327423, 57.54076)));
      final vertex_3_42 = mesh_3.vertices.elementAt(42);
      expect(vertex_3_42, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_43 = mesh_3.vertices.elementAt(43);
      expect(vertex_3_43, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_44 = mesh_3.vertices.elementAt(44);
      expect(vertex_3_44, vector3MoreOrLessEquals(Vector3(-42.838028, -1.82274795, -1.17337704)));
      final vertex_3_45 = mesh_3.vertices.elementAt(45);
      expect(vertex_3_45, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_46 = mesh_3.vertices.elementAt(46);
      expect(vertex_3_46, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_47 = mesh_3.vertices.elementAt(47);
      expect(vertex_3_47, vector3MoreOrLessEquals(Vector3(-92.2904282, -39.2115898, 57.3824883)));
      final vertex_3_48 = mesh_3.vertices.elementAt(48);
      expect(vertex_3_48, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_49 = mesh_3.vertices.elementAt(49);
      expect(vertex_3_49, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_50 = mesh_3.vertices.elementAt(50);
      expect(vertex_3_50, vector3MoreOrLessEquals(Vector3(-42.838028, -1.82274795, -1.17337704)));
      final vertex_3_51 = mesh_3.vertices.elementAt(51);
      expect(vertex_3_51, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_52 = mesh_3.vertices.elementAt(52);
      expect(vertex_3_52, vector3MoreOrLessEquals(Vector3(-50.8849716, 7.7851491, 17.480999)));
      final vertex_3_53 = mesh_3.vertices.elementAt(53);
      expect(vertex_3_53, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_54 = mesh_3.vertices.elementAt(54);
      expect(vertex_3_54, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_55 = mesh_3.vertices.elementAt(55);
      expect(vertex_3_55, vector3MoreOrLessEquals(Vector3(-54.9257584, 28.3423996, 29.3660545)));
      final vertex_3_56 = mesh_3.vertices.elementAt(56);
      expect(vertex_3_56, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_57 = mesh_3.vertices.elementAt(57);
      expect(vertex_3_57, vector3MoreOrLessEquals(Vector3(-50.8849716, 7.7851491, 17.480999)));
      final vertex_3_58 = mesh_3.vertices.elementAt(58);
      expect(vertex_3_58, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_59 = mesh_3.vertices.elementAt(59);
      expect(vertex_3_59, vector3MoreOrLessEquals(Vector3(-49.3681259, 8.47675705, 19.0858974)));
      final vertex_3_60 = mesh_3.vertices.elementAt(60);
      expect(vertex_3_60, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_61 = mesh_3.vertices.elementAt(61);
      expect(vertex_3_61, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_62 = mesh_3.vertices.elementAt(62);
      expect(vertex_3_62, vector3MoreOrLessEquals(Vector3(-54.9257584, 28.3423996, 29.3660545)));
      final vertex_3_63 = mesh_3.vertices.elementAt(63);
      expect(vertex_3_63, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_64 = mesh_3.vertices.elementAt(64);
      expect(vertex_3_64, vector3MoreOrLessEquals(Vector3(-59.4156418, 28.1469879, 32.7409706)));
      final vertex_3_65 = mesh_3.vertices.elementAt(65);
      expect(vertex_3_65, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_66 = mesh_3.vertices.elementAt(66);
      expect(vertex_3_66, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_67 = mesh_3.vertices.elementAt(67);
      expect(vertex_3_67, vector3MoreOrLessEquals(Vector3(-69.6119614, 9.45497131, 44.2964516)));
      final vertex_3_68 = mesh_3.vertices.elementAt(68);
      expect(vertex_3_68, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_69 = mesh_3.vertices.elementAt(69);
      expect(vertex_3_69, vector3MoreOrLessEquals(Vector3(-59.4156418, 28.1469879, 32.7409706)));
      final vertex_3_70 = mesh_3.vertices.elementAt(70);
      expect(vertex_3_70, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_71 = mesh_3.vertices.elementAt(71);
      expect(vertex_3_71, vector3MoreOrLessEquals(Vector3(-57.4550095, 28.7062302, 33.8355141)));
      final vertex_3_72 = mesh_3.vertices.elementAt(72);
      expect(vertex_3_72, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_73 = mesh_3.vertices.elementAt(73);
      expect(vertex_3_73, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_74 = mesh_3.vertices.elementAt(74);
      expect(vertex_3_74, vector3MoreOrLessEquals(Vector3(-69.6119614, 9.45497131, 44.2964516)));
      final vertex_3_75 = mesh_3.vertices.elementAt(75);
      expect(vertex_3_75, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_76 = mesh_3.vertices.elementAt(76);
      expect(vertex_3_76, vector3MoreOrLessEquals(Vector3(-87.756073, -30.2962208, 51.6310005)));
      final vertex_3_77 = mesh_3.vertices.elementAt(77);
      expect(vertex_3_77, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_78 = mesh_3.vertices.elementAt(78);
      expect(vertex_3_78, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_79 = mesh_3.vertices.elementAt(79);
      expect(vertex_3_79, vector3MoreOrLessEquals(Vector3(-92.2904282, -39.2115898, 57.3824883)));
      final vertex_3_80 = mesh_3.vertices.elementAt(80);
      expect(vertex_3_80, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_81 = mesh_3.vertices.elementAt(81);
      expect(vertex_3_81, vector3MoreOrLessEquals(Vector3(-87.756073, -30.2962208, 51.6310005)));
      final vertex_3_82 = mesh_3.vertices.elementAt(82);
      expect(vertex_3_82, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_83 = mesh_3.vertices.elementAt(83);
      expect(vertex_3_83, vector3MoreOrLessEquals(Vector3(-87.0141754, -30.5141373, 52.4220352)));
      final vertex_3_84 = mesh_3.vertices.elementAt(84);
      expect(vertex_3_84, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_85 = mesh_3.vertices.elementAt(85);
      expect(vertex_3_85, vector3MoreOrLessEquals(Vector3(-49.0395813, -2.31740999, -1.24353099)));
      final vertex_3_86 = mesh_3.vertices.elementAt(86);
      expect(vertex_3_86, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_87 = mesh_3.vertices.elementAt(87);
      expect(vertex_3_87, vector3MoreOrLessEquals(Vector3(-92.6552353, -39.620594, 56.6731606)));
      final vertex_3_88 = mesh_3.vertices.elementAt(88);
      expect(vertex_3_88, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_89 = mesh_3.vertices.elementAt(89);
      expect(vertex_3_89, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_90 = mesh_3.vertices.elementAt(90);
      expect(vertex_3_90, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_91 = mesh_3.vertices.elementAt(91);
      expect(vertex_3_91, vector3MoreOrLessEquals(Vector3(-50.8849716, 7.7851491, 17.480999)));
      final vertex_3_92 = mesh_3.vertices.elementAt(92);
      expect(vertex_3_92, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_93 = mesh_3.vertices.elementAt(93);
      expect(vertex_3_93, vector3MoreOrLessEquals(Vector3(-49.0395813, -2.31740999, -1.24353099)));
      final vertex_3_94 = mesh_3.vertices.elementAt(94);
      expect(vertex_3_94, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_95 = mesh_3.vertices.elementAt(95);
      expect(vertex_3_95, vector3MoreOrLessEquals(Vector3(-45.988678, -1.45013094, -2.535743)));
      final vertex_3_96 = mesh_3.vertices.elementAt(96);
      expect(vertex_3_96, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_97 = mesh_3.vertices.elementAt(97);
      expect(vertex_3_97, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_98 = mesh_3.vertices.elementAt(98);
      expect(vertex_3_98, vector3MoreOrLessEquals(Vector3(-50.8849716, 7.7851491, 17.480999)));
      final vertex_3_99 = mesh_3.vertices.elementAt(99);
      expect(vertex_3_99, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_100 = mesh_3.vertices.elementAt(100);
      expect(vertex_3_100, vector3MoreOrLessEquals(Vector3(-56.6312485, 26.7006912, 28.4075642)));
      final vertex_3_101 = mesh_3.vertices.elementAt(101);
      expect(vertex_3_101, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_102 = mesh_3.vertices.elementAt(102);
      expect(vertex_3_102, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_103 = mesh_3.vertices.elementAt(103);
      expect(vertex_3_103, vector3MoreOrLessEquals(Vector3(-59.4156418, 28.1469879, 32.7409706)));
      final vertex_3_104 = mesh_3.vertices.elementAt(104);
      expect(vertex_3_104, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_105 = mesh_3.vertices.elementAt(105);
      expect(vertex_3_105, vector3MoreOrLessEquals(Vector3(-56.6312485, 26.7006912, 28.4075642)));
      final vertex_3_106 = mesh_3.vertices.elementAt(106);
      expect(vertex_3_106, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_107 = mesh_3.vertices.elementAt(107);
      expect(vertex_3_107, vector3MoreOrLessEquals(Vector3(-55.9834213, 28.087738, 28.4575729)));
      final vertex_3_108 = mesh_3.vertices.elementAt(108);
      expect(vertex_3_108, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_109 = mesh_3.vertices.elementAt(109);
      expect(vertex_3_109, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_110 = mesh_3.vertices.elementAt(110);
      expect(vertex_3_110, vector3MoreOrLessEquals(Vector3(-59.4156418, 28.1469879, 32.7409706)));
      final vertex_3_111 = mesh_3.vertices.elementAt(111);
      expect(vertex_3_111, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_112 = mesh_3.vertices.elementAt(112);
      expect(vertex_3_112, vector3MoreOrLessEquals(Vector3(-71.9709396, 7.37397575, 41.5593529)));
      final vertex_3_113 = mesh_3.vertices.elementAt(113);
      expect(vertex_3_113, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_114 = mesh_3.vertices.elementAt(114);
      expect(vertex_3_114, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_115 = mesh_3.vertices.elementAt(115);
      expect(vertex_3_115, vector3MoreOrLessEquals(Vector3(-87.756073, -30.2962208, 51.6310005)));
      final vertex_3_116 = mesh_3.vertices.elementAt(116);
      expect(vertex_3_116, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_117 = mesh_3.vertices.elementAt(117);
      expect(vertex_3_117, vector3MoreOrLessEquals(Vector3(-71.9709396, 7.37397575, 41.5593529)));
      final vertex_3_118 = mesh_3.vertices.elementAt(118);
      expect(vertex_3_118, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_119 = mesh_3.vertices.elementAt(119);
      expect(vertex_3_119, vector3MoreOrLessEquals(Vector3(-71.6158066, 8.68278599, 43.4343796)));
      final vertex_3_120 = mesh_3.vertices.elementAt(120);
      expect(vertex_3_120, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_121 = mesh_3.vertices.elementAt(121);
      expect(vertex_3_121, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_122 = mesh_3.vertices.elementAt(122);
      expect(vertex_3_122, vector3MoreOrLessEquals(Vector3(-87.756073, -30.2962208, 51.6310005)));
      final vertex_3_123 = mesh_3.vertices.elementAt(123);
      expect(vertex_3_123, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_124 = mesh_3.vertices.elementAt(124);
      expect(vertex_3_124, vector3MoreOrLessEquals(Vector3(-92.6552353, -39.620594, 56.6731606)));
      final vertex_3_125 = mesh_3.vertices.elementAt(125);
      expect(vertex_3_125, vector3MoreOrLessEquals(Vector3(-92.6000671, -39.161705, 56.9963684)));
      final vertex_3_126 = mesh_3.vertices.elementAt(126);
      expect(vertex_3_126, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_127 = mesh_3.vertices.elementAt(127);
      expect(vertex_3_127, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_128 = mesh_3.vertices.elementAt(128);
      expect(vertex_3_128, vector3MoreOrLessEquals(Vector3(-49.0395813, -2.31740999, -1.24353099)));
      final vertex_3_129 = mesh_3.vertices.elementAt(129);
      expect(vertex_3_129, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_130 = mesh_3.vertices.elementAt(130);
      expect(vertex_3_130, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_131 = mesh_3.vertices.elementAt(131);
      expect(vertex_3_131, vector3MoreOrLessEquals(Vector3(-92.6552353, -39.620594, 56.6731606)));
      final vertex_3_132 = mesh_3.vertices.elementAt(132);
      expect(vertex_3_132, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_133 = mesh_3.vertices.elementAt(133);
      expect(vertex_3_133, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_134 = mesh_3.vertices.elementAt(134);
      expect(vertex_3_134, vector3MoreOrLessEquals(Vector3(-49.0395813, -2.31740999, -1.24353099)));
      final vertex_3_135 = mesh_3.vertices.elementAt(135);
      expect(vertex_3_135, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_136 = mesh_3.vertices.elementAt(136);
      expect(vertex_3_136, vector3MoreOrLessEquals(Vector3(-53.232193, 5.02854013, 19.5494843)));
      final vertex_3_137 = mesh_3.vertices.elementAt(137);
      expect(vertex_3_137, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_138 = mesh_3.vertices.elementAt(138);
      expect(vertex_3_138, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_139 = mesh_3.vertices.elementAt(139);
      expect(vertex_3_139, vector3MoreOrLessEquals(Vector3(-56.6312485, 26.7006912, 28.4075642)));
      final vertex_3_140 = mesh_3.vertices.elementAt(140);
      expect(vertex_3_140, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_141 = mesh_3.vertices.elementAt(141);
      expect(vertex_3_141, vector3MoreOrLessEquals(Vector3(-53.232193, 5.02854013, 19.5494843)));
      final vertex_3_142 = mesh_3.vertices.elementAt(142);
      expect(vertex_3_142, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_143 = mesh_3.vertices.elementAt(143);
      expect(vertex_3_143, vector3MoreOrLessEquals(Vector3(-52.6046448, 6.25055313, 17.6873322)));
      final vertex_3_144 = mesh_3.vertices.elementAt(144);
      expect(vertex_3_144, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_145 = mesh_3.vertices.elementAt(145);
      expect(vertex_3_145, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_146 = mesh_3.vertices.elementAt(146);
      expect(vertex_3_146, vector3MoreOrLessEquals(Vector3(-56.6312485, 26.7006912, 28.4075642)));
      final vertex_3_147 = mesh_3.vertices.elementAt(147);
      expect(vertex_3_147, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_148 = mesh_3.vertices.elementAt(148);
      expect(vertex_3_148, vector3MoreOrLessEquals(Vector3(-58.5252304, 24.4245892, 31.0862751)));
      final vertex_3_149 = mesh_3.vertices.elementAt(149);
      expect(vertex_3_149, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_150 = mesh_3.vertices.elementAt(150);
      expect(vertex_3_150, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_151 = mesh_3.vertices.elementAt(151);
      expect(vertex_3_151, vector3MoreOrLessEquals(Vector3(-71.9709396, 7.37397575, 41.5593529)));
      final vertex_3_152 = mesh_3.vertices.elementAt(152);
      expect(vertex_3_152, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_153 = mesh_3.vertices.elementAt(153);
      expect(vertex_3_153, vector3MoreOrLessEquals(Vector3(-58.5252304, 24.4245892, 31.0862751)));
      final vertex_3_154 = mesh_3.vertices.elementAt(154);
      expect(vertex_3_154, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_155 = mesh_3.vertices.elementAt(155);
      expect(vertex_3_155, vector3MoreOrLessEquals(Vector3(-59.8919449, 26.2414932, 31.5174313)));
      final vertex_3_156 = mesh_3.vertices.elementAt(156);
      expect(vertex_3_156, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_157 = mesh_3.vertices.elementAt(157);
      expect(vertex_3_157, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_158 = mesh_3.vertices.elementAt(158);
      expect(vertex_3_158, vector3MoreOrLessEquals(Vector3(-71.9709396, 7.37397575, 41.5593529)));
      final vertex_3_159 = mesh_3.vertices.elementAt(159);
      expect(vertex_3_159, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_160 = mesh_3.vertices.elementAt(160);
      expect(vertex_3_160, vector3MoreOrLessEquals(Vector3(-86.7500916, -33.4099808, 50.6919861)));
      final vertex_3_161 = mesh_3.vertices.elementAt(161);
      expect(vertex_3_161, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_162 = mesh_3.vertices.elementAt(162);
      expect(vertex_3_162, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_163 = mesh_3.vertices.elementAt(163);
      expect(vertex_3_163, vector3MoreOrLessEquals(Vector3(-92.6552353, -39.620594, 56.6731606)));
      final vertex_3_164 = mesh_3.vertices.elementAt(164);
      expect(vertex_3_164, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_165 = mesh_3.vertices.elementAt(165);
      expect(vertex_3_165, vector3MoreOrLessEquals(Vector3(-86.7500916, -33.4099808, 50.6919861)));
      final vertex_3_166 = mesh_3.vertices.elementAt(166);
      expect(vertex_3_166, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_167 = mesh_3.vertices.elementAt(167);
      expect(vertex_3_167, vector3MoreOrLessEquals(Vector3(-87.6385193, -31.5849648, 50.8610649)));
      final vertex_3_168 = mesh_3.vertices.elementAt(168);
      expect(vertex_3_168, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_169 = mesh_3.vertices.elementAt(169);
      expect(vertex_3_169, vector3MoreOrLessEquals(Vector3(-47.4576187, -4.71746922, 4.14605522)));
      final vertex_3_170 = mesh_3.vertices.elementAt(170);
      expect(vertex_3_170, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_171 = mesh_3.vertices.elementAt(171);
      expect(vertex_3_171, vector3MoreOrLessEquals(Vector3(-92.0589371, -40.5596313, 56.9584122)));
      final vertex_3_172 = mesh_3.vertices.elementAt(172);
      expect(vertex_3_172, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_173 = mesh_3.vertices.elementAt(173);
      expect(vertex_3_173, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_174 = mesh_3.vertices.elementAt(174);
      expect(vertex_3_174, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_175 = mesh_3.vertices.elementAt(175);
      expect(vertex_3_175, vector3MoreOrLessEquals(Vector3(-53.232193, 5.02854013, 19.5494843)));
      final vertex_3_176 = mesh_3.vertices.elementAt(176);
      expect(vertex_3_176, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_177 = mesh_3.vertices.elementAt(177);
      expect(vertex_3_177, vector3MoreOrLessEquals(Vector3(-47.4576187, -4.71746922, 4.14605522)));
      final vertex_3_178 = mesh_3.vertices.elementAt(178);
      expect(vertex_3_178, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_179 = mesh_3.vertices.elementAt(179);
      expect(vertex_3_179, vector3MoreOrLessEquals(Vector3(-49.6933136, -3.77150893, 1.73013806)));
      final vertex_3_180 = mesh_3.vertices.elementAt(180);
      expect(vertex_3_180, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_181 = mesh_3.vertices.elementAt(181);
      expect(vertex_3_181, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_182 = mesh_3.vertices.elementAt(182);
      expect(vertex_3_182, vector3MoreOrLessEquals(Vector3(-53.232193, 5.02854013, 19.5494843)));
      final vertex_3_183 = mesh_3.vertices.elementAt(183);
      expect(vertex_3_183, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_184 = mesh_3.vertices.elementAt(184);
      expect(vertex_3_184, vector3MoreOrLessEquals(Vector3(-55.4220352, 24.7735291, 30.3587532)));
      final vertex_3_185 = mesh_3.vertices.elementAt(185);
      expect(vertex_3_185, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_186 = mesh_3.vertices.elementAt(186);
      expect(vertex_3_186, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_187 = mesh_3.vertices.elementAt(187);
      expect(vertex_3_187, vector3MoreOrLessEquals(Vector3(-58.5252304, 24.4245892, 31.0862751)));
      final vertex_3_188 = mesh_3.vertices.elementAt(188);
      expect(vertex_3_188, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_189 = mesh_3.vertices.elementAt(189);
      expect(vertex_3_189, vector3MoreOrLessEquals(Vector3(-55.4220352, 24.7735291, 30.3587532)));
      final vertex_3_190 = mesh_3.vertices.elementAt(190);
      expect(vertex_3_190, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_191 = mesh_3.vertices.elementAt(191);
      expect(vertex_3_191, vector3MoreOrLessEquals(Vector3(-56.3814163, 25.2257156, 29.2536659)));
      final vertex_3_192 = mesh_3.vertices.elementAt(192);
      expect(vertex_3_192, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_193 = mesh_3.vertices.elementAt(193);
      expect(vertex_3_193, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_194 = mesh_3.vertices.elementAt(194);
      expect(vertex_3_194, vector3MoreOrLessEquals(Vector3(-58.5252304, 24.4245892, 31.0862751)));
      final vertex_3_195 = mesh_3.vertices.elementAt(195);
      expect(vertex_3_195, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_196 = mesh_3.vertices.elementAt(196);
      expect(vertex_3_196, vector3MoreOrLessEquals(Vector3(-68.1082382, 6.75060081, 40.1177521)));
      final vertex_3_197 = mesh_3.vertices.elementAt(197);
      expect(vertex_3_197, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_198 = mesh_3.vertices.elementAt(198);
      expect(vertex_3_198, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_199 = mesh_3.vertices.elementAt(199);
      expect(vertex_3_199, vector3MoreOrLessEquals(Vector3(-86.7500916, -33.4099808, 50.6919861)));
      final vertex_3_200 = mesh_3.vertices.elementAt(200);
      expect(vertex_3_200, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_201 = mesh_3.vertices.elementAt(201);
      expect(vertex_3_201, vector3MoreOrLessEquals(Vector3(-68.1082382, 6.75060081, 40.1177521)));
      final vertex_3_202 = mesh_3.vertices.elementAt(202);
      expect(vertex_3_202, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_203 = mesh_3.vertices.elementAt(203);
      expect(vertex_3_203, vector3MoreOrLessEquals(Vector3(-70.4099655, 6.51406908, 40.0833321)));
      final vertex_3_204 = mesh_3.vertices.elementAt(204);
      expect(vertex_3_204, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_205 = mesh_3.vertices.elementAt(205);
      expect(vertex_3_205, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_206 = mesh_3.vertices.elementAt(206);
      expect(vertex_3_206, vector3MoreOrLessEquals(Vector3(-86.7500916, -33.4099808, 50.6919861)));
      final vertex_3_207 = mesh_3.vertices.elementAt(207);
      expect(vertex_3_207, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_208 = mesh_3.vertices.elementAt(208);
      expect(vertex_3_208, vector3MoreOrLessEquals(Vector3(-92.0589371, -40.5596313, 56.9584122)));
      final vertex_3_209 = mesh_3.vertices.elementAt(209);
      expect(vertex_3_209, vector3MoreOrLessEquals(Vector3(-92.4144135, -40.2427483, 56.6562958)));
      final vertex_3_210 = mesh_3.vertices.elementAt(210);
      expect(vertex_3_210, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_211 = mesh_3.vertices.elementAt(211);
      expect(vertex_3_211, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_212 = mesh_3.vertices.elementAt(212);
      expect(vertex_3_212, vector3MoreOrLessEquals(Vector3(-47.4576187, -4.71746922, 4.14605522)));
      final vertex_3_213 = mesh_3.vertices.elementAt(213);
      expect(vertex_3_213, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      final vertex_3_214 = mesh_3.vertices.elementAt(214);
      expect(vertex_3_214, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_215 = mesh_3.vertices.elementAt(215);
      expect(vertex_3_215, vector3MoreOrLessEquals(Vector3(-92.0589371, -40.5596313, 56.9584122)));
      final vertex_3_216 = mesh_3.vertices.elementAt(216);
      expect(vertex_3_216, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_217 = mesh_3.vertices.elementAt(217);
      expect(vertex_3_217, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_218 = mesh_3.vertices.elementAt(218);
      expect(vertex_3_218, vector3MoreOrLessEquals(Vector3(-47.4576187, -4.71746922, 4.14605522)));
      final vertex_3_219 = mesh_3.vertices.elementAt(219);
      expect(vertex_3_219, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_220 = mesh_3.vertices.elementAt(220);
      expect(vertex_3_220, vector3MoreOrLessEquals(Vector3(-50.4989014, 6.27474785, 22.4414253)));
      final vertex_3_221 = mesh_3.vertices.elementAt(221);
      expect(vertex_3_221, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_222 = mesh_3.vertices.elementAt(222);
      expect(vertex_3_222, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_223 = mesh_3.vertices.elementAt(223);
      expect(vertex_3_223, vector3MoreOrLessEquals(Vector3(-55.4220352, 24.7735291, 30.3587532)));
      final vertex_3_224 = mesh_3.vertices.elementAt(224);
      expect(vertex_3_224, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_225 = mesh_3.vertices.elementAt(225);
      expect(vertex_3_225, vector3MoreOrLessEquals(Vector3(-50.4989014, 6.27474785, 22.4414253)));
      final vertex_3_226 = mesh_3.vertices.elementAt(226);
      expect(vertex_3_226, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_227 = mesh_3.vertices.elementAt(227);
      expect(vertex_3_227, vector3MoreOrLessEquals(Vector3(-52.2950363, 5.0392909, 21.6652718)));
      final vertex_3_228 = mesh_3.vertices.elementAt(228);
      expect(vertex_3_228, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_229 = mesh_3.vertices.elementAt(229);
      expect(vertex_3_229, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_230 = mesh_3.vertices.elementAt(230);
      expect(vertex_3_230, vector3MoreOrLessEquals(Vector3(-55.4220352, 24.7735291, 30.3587532)));
      final vertex_3_231 = mesh_3.vertices.elementAt(231);
      expect(vertex_3_231, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_232 = mesh_3.vertices.elementAt(232);
      expect(vertex_3_232, vector3MoreOrLessEquals(Vector3(-54.9923172, 25.4323273, 33.0586128)));
      final vertex_3_233 = mesh_3.vertices.elementAt(233);
      expect(vertex_3_233, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_234 = mesh_3.vertices.elementAt(234);
      expect(vertex_3_234, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_235 = mesh_3.vertices.elementAt(235);
      expect(vertex_3_235, vector3MoreOrLessEquals(Vector3(-68.1082382, 6.75060081, 40.1177521)));
      final vertex_3_236 = mesh_3.vertices.elementAt(236);
      expect(vertex_3_236, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_237 = mesh_3.vertices.elementAt(237);
      expect(vertex_3_237, vector3MoreOrLessEquals(Vector3(-54.9923172, 25.4323273, 33.0586128)));
      final vertex_3_238 = mesh_3.vertices.elementAt(238);
      expect(vertex_3_238, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_239 = mesh_3.vertices.elementAt(239);
      expect(vertex_3_239, vector3MoreOrLessEquals(Vector3(-56.3446884, 24.0644665, 31.7721443)));
      final vertex_3_240 = mesh_3.vertices.elementAt(240);
      expect(vertex_3_240, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_241 = mesh_3.vertices.elementAt(241);
      expect(vertex_3_241, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_242 = mesh_3.vertices.elementAt(242);
      expect(vertex_3_242, vector3MoreOrLessEquals(Vector3(-68.1082382, 6.75060081, 40.1177521)));
      final vertex_3_243 = mesh_3.vertices.elementAt(243);
      expect(vertex_3_243, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_244 = mesh_3.vertices.elementAt(244);
      expect(vertex_3_244, vector3MoreOrLessEquals(Vector3(-85.413208, -33.8027153, 52.1173401)));
      final vertex_3_245 = mesh_3.vertices.elementAt(245);
      expect(vertex_3_245, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_246 = mesh_3.vertices.elementAt(246);
      expect(vertex_3_246, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      final vertex_3_247 = mesh_3.vertices.elementAt(247);
      expect(vertex_3_247, vector3MoreOrLessEquals(Vector3(-92.0589371, -40.5596313, 56.9584122)));
      final vertex_3_248 = mesh_3.vertices.elementAt(248);
      expect(vertex_3_248, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_249 = mesh_3.vertices.elementAt(249);
      expect(vertex_3_249, vector3MoreOrLessEquals(Vector3(-85.413208, -33.8027153, 52.1173401)));
      final vertex_3_250 = mesh_3.vertices.elementAt(250);
      expect(vertex_3_250, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      final vertex_3_251 = mesh_3.vertices.elementAt(251);
      expect(vertex_3_251, vector3MoreOrLessEquals(Vector3(-85.7597198, -34.3969612, 51.2510872)));
      final vertex_3_252 = mesh_3.vertices.elementAt(252);
      expect(vertex_3_252, vector3MoreOrLessEquals(Vector3(-45.8562012, -3.09668398, 0.989461005)));
      final vertex_3_253 = mesh_3.vertices.elementAt(253);
      expect(vertex_3_253, vector3MoreOrLessEquals(Vector3(-41.9601212, -3.15467095, 1.81762195)));
      final vertex_3_254 = mesh_3.vertices.elementAt(254);
      expect(vertex_3_254, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_255 = mesh_3.vertices.elementAt(255);
      expect(vertex_3_255, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327423, 57.54076)));
      final vertex_3_256 = mesh_3.vertices.elementAt(256);
      expect(vertex_3_256, vector3MoreOrLessEquals(Vector3(-92.2621078, -39.8374023, 57.0799408)));
      final vertex_3_257 = mesh_3.vertices.elementAt(257);
      expect(vertex_3_257, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      final vertex_3_258 = mesh_3.vertices.elementAt(258);
      expect(vertex_3_258, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_259 = mesh_3.vertices.elementAt(259);
      expect(vertex_3_259, vector3MoreOrLessEquals(Vector3(-50.4989014, 6.27474785, 22.4414253)));
      final vertex_3_260 = mesh_3.vertices.elementAt(260);
      expect(vertex_3_260, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_261 = mesh_3.vertices.elementAt(261);
      expect(vertex_3_261, vector3MoreOrLessEquals(Vector3(-41.9601212, -3.15467095, 1.81762195)));
      final vertex_3_262 = mesh_3.vertices.elementAt(262);
      expect(vertex_3_262, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_263 = mesh_3.vertices.elementAt(263);
      expect(vertex_3_263, vector3MoreOrLessEquals(Vector3(-44.0160294, -4.44294786, 4.18498898)));
      final vertex_3_264 = mesh_3.vertices.elementAt(264);
      expect(vertex_3_264, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_265 = mesh_3.vertices.elementAt(265);
      expect(vertex_3_265, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_266 = mesh_3.vertices.elementAt(266);
      expect(vertex_3_266, vector3MoreOrLessEquals(Vector3(-50.4989014, 6.27474785, 22.4414253)));
      final vertex_3_267 = mesh_3.vertices.elementAt(267);
      expect(vertex_3_267, vector3MoreOrLessEquals(Vector3(-49.1963043, 7.80455589, 21.2934875)));
      final vertex_3_268 = mesh_3.vertices.elementAt(268);
      expect(vertex_3_268, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_269 = mesh_3.vertices.elementAt(269);
      expect(vertex_3_269, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_270 = mesh_3.vertices.elementAt(270);
      expect(vertex_3_270, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_271 = mesh_3.vertices.elementAt(271);
      expect(vertex_3_271, vector3MoreOrLessEquals(Vector3(-54.9923172, 25.4323273, 33.0586128)));
      final vertex_3_272 = mesh_3.vertices.elementAt(272);
      expect(vertex_3_272, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_273 = mesh_3.vertices.elementAt(273);
      expect(vertex_3_273, vector3MoreOrLessEquals(Vector3(-54.2546921, 27.2728806, 30.448885)));
      final vertex_3_274 = mesh_3.vertices.elementAt(274);
      expect(vertex_3_274, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_275 = mesh_3.vertices.elementAt(275);
      expect(vertex_3_275, vector3MoreOrLessEquals(Vector3(-54.4755478, 25.6846161, 30.8906479)));
      final vertex_3_276 = mesh_3.vertices.elementAt(276);
      expect(vertex_3_276, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_277 = mesh_3.vertices.elementAt(277);
      expect(vertex_3_277, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_278 = mesh_3.vertices.elementAt(278);
      expect(vertex_3_278, vector3MoreOrLessEquals(Vector3(-54.9923172, 25.4323273, 33.0586128)));
      final vertex_3_279 = mesh_3.vertices.elementAt(279);
      expect(vertex_3_279, vector3MoreOrLessEquals(Vector3(-55.4864731, 27.4980927, 33.9769058)));
      final vertex_3_280 = mesh_3.vertices.elementAt(280);
      expect(vertex_3_280, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_281 = mesh_3.vertices.elementAt(281);
      expect(vertex_3_281, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_282 = mesh_3.vertices.elementAt(282);
      expect(vertex_3_282, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_283 = mesh_3.vertices.elementAt(283);
      expect(vertex_3_283, vector3MoreOrLessEquals(Vector3(-85.413208, -33.8027153, 52.1173401)));
      final vertex_3_284 = mesh_3.vertices.elementAt(284);
      expect(vertex_3_284, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_285 = mesh_3.vertices.elementAt(285);
      expect(vertex_3_285, vector3MoreOrLessEquals(Vector3(-67.4683456, 9.10905743, 43.496418)));
      final vertex_3_286 = mesh_3.vertices.elementAt(286);
      expect(vertex_3_286, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_287 = mesh_3.vertices.elementAt(287);
      expect(vertex_3_287, vector3MoreOrLessEquals(Vector3(-66.7991409, 7.90549803, 41.6367302)));
      final vertex_3_288 = mesh_3.vertices.elementAt(288);
      expect(vertex_3_288, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_289 = mesh_3.vertices.elementAt(289);
      expect(vertex_3_289, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      final vertex_3_290 = mesh_3.vertices.elementAt(290);
      expect(vertex_3_290, vector3MoreOrLessEquals(Vector3(-85.413208, -33.8027153, 52.1173401)));
      final vertex_3_291 = mesh_3.vertices.elementAt(291);
      expect(vertex_3_291, vector3MoreOrLessEquals(Vector3(-85.9714966, -32.0746841, 52.6384735)));
      final vertex_3_292 = mesh_3.vertices.elementAt(292);
      expect(vertex_3_292, vector3MoreOrLessEquals(Vector3(-91.9595032, -39.7327423, 57.54076)));
      final vertex_3_293 = mesh_3.vertices.elementAt(293);
      expect(vertex_3_293, vector3MoreOrLessEquals(Vector3(-91.8564987, -40.3326797, 57.3520546)));
      expect(mesh_3.normals.length, equals(294));
      final normal_3_0 = mesh_3.normals.elementAt(0);
      expect(normal_3_0, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_1 = mesh_3.normals.elementAt(1);
      expect(normal_3_1, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_2 = mesh_3.normals.elementAt(2);
      expect(normal_3_2, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_3 = mesh_3.normals.elementAt(3);
      expect(normal_3_3, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_4 = mesh_3.normals.elementAt(4);
      expect(normal_3_4, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_5 = mesh_3.normals.elementAt(5);
      expect(normal_3_5, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_6 = mesh_3.normals.elementAt(6);
      expect(normal_3_6, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_7 = mesh_3.normals.elementAt(7);
      expect(normal_3_7, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_8 = mesh_3.normals.elementAt(8);
      expect(normal_3_8, vector3MoreOrLessEquals(Vector3(0.946923018, 0.242706001, 0.210786998)));
      final normal_3_9 = mesh_3.normals.elementAt(9);
      expect(normal_3_9, vector3MoreOrLessEquals(Vector3(0.59770602, 0.775901973, -0.201801002)));
      final normal_3_10 = mesh_3.normals.elementAt(10);
      expect(normal_3_10, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_11 = mesh_3.normals.elementAt(11);
      expect(normal_3_11, vector3MoreOrLessEquals(Vector3(0.946923018, 0.242706001, 0.210786998)));
      final normal_3_12 = mesh_3.normals.elementAt(12);
      expect(normal_3_12, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_13 = mesh_3.normals.elementAt(13);
      expect(normal_3_13, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_14 = mesh_3.normals.elementAt(14);
      expect(normal_3_14, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_15 = mesh_3.normals.elementAt(15);
      expect(normal_3_15, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_16 = mesh_3.normals.elementAt(16);
      expect(normal_3_16, vector3MoreOrLessEquals(Vector3(0.584976971, 0.777577996, -0.230597004)));
      final normal_3_17 = mesh_3.normals.elementAt(17);
      expect(normal_3_17, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_18 = mesh_3.normals.elementAt(18);
      expect(normal_3_18, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_19 = mesh_3.normals.elementAt(19);
      expect(normal_3_19, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_20 = mesh_3.normals.elementAt(20);
      expect(normal_3_20, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_21 = mesh_3.normals.elementAt(21);
      expect(normal_3_21, vector3MoreOrLessEquals(Vector3(0.584976971, 0.777577996, -0.230597004)));
      final normal_3_22 = mesh_3.normals.elementAt(22);
      expect(normal_3_22, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_23 = mesh_3.normals.elementAt(23);
      expect(normal_3_23, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_24 = mesh_3.normals.elementAt(24);
      expect(normal_3_24, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_25 = mesh_3.normals.elementAt(25);
      expect(normal_3_25, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_26 = mesh_3.normals.elementAt(26);
      expect(normal_3_26, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_27 = mesh_3.normals.elementAt(27);
      expect(normal_3_27, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_28 = mesh_3.normals.elementAt(28);
      expect(normal_3_28, vector3MoreOrLessEquals(Vector3(-0.073338002, 0.372458011, 0.925146997)));
      final normal_3_29 = mesh_3.normals.elementAt(29);
      expect(normal_3_29, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_30 = mesh_3.normals.elementAt(30);
      expect(normal_3_30, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_31 = mesh_3.normals.elementAt(31);
      expect(normal_3_31, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_32 = mesh_3.normals.elementAt(32);
      expect(normal_3_32, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_33 = mesh_3.normals.elementAt(33);
      expect(normal_3_33, vector3MoreOrLessEquals(Vector3(-0.073338002, 0.372458011, 0.925146997)));
      final normal_3_34 = mesh_3.normals.elementAt(34);
      expect(normal_3_34, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_35 = mesh_3.normals.elementAt(35);
      expect(normal_3_35, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_36 = mesh_3.normals.elementAt(36);
      expect(normal_3_36, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_37 = mesh_3.normals.elementAt(37);
      expect(normal_3_37, vector3MoreOrLessEquals(Vector3(0.424549013, 0.220069006, 0.878252983)));
      final normal_3_38 = mesh_3.normals.elementAt(38);
      expect(normal_3_38, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_39 = mesh_3.normals.elementAt(39);
      expect(normal_3_39, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_40 = mesh_3.normals.elementAt(40);
      expect(normal_3_40, vector3MoreOrLessEquals(Vector3(-0.202273995, 0.574889004, 0.792834997)));
      final normal_3_41 = mesh_3.normals.elementAt(41);
      expect(normal_3_41, vector3MoreOrLessEquals(Vector3(0.424549013, 0.220069006, 0.878252983)));
      final normal_3_42 = mesh_3.normals.elementAt(42);
      expect(normal_3_42, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_43 = mesh_3.normals.elementAt(43);
      expect(normal_3_43, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_44 = mesh_3.normals.elementAt(44);
      expect(normal_3_44, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_45 = mesh_3.normals.elementAt(45);
      expect(normal_3_45, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_46 = mesh_3.normals.elementAt(46);
      expect(normal_3_46, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_47 = mesh_3.normals.elementAt(47);
      expect(normal_3_47, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_48 = mesh_3.normals.elementAt(48);
      expect(normal_3_48, vector3MoreOrLessEquals(Vector3(-0.201495007, 0.870711029, -0.448621988)));
      final normal_3_49 = mesh_3.normals.elementAt(49);
      expect(normal_3_49, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_50 = mesh_3.normals.elementAt(50);
      expect(normal_3_50, vector3MoreOrLessEquals(Vector3(0.59770602, 0.775901973, -0.201801002)));
      final normal_3_51 = mesh_3.normals.elementAt(51);
      expect(normal_3_51, vector3MoreOrLessEquals(Vector3(-0.201495007, 0.870711029, -0.448621988)));
      final normal_3_52 = mesh_3.normals.elementAt(52);
      expect(normal_3_52, vector3MoreOrLessEquals(Vector3(-0.147519007, 0.70006597, -0.698674023)));
      final normal_3_53 = mesh_3.normals.elementAt(53);
      expect(normal_3_53, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_54 = mesh_3.normals.elementAt(54);
      expect(normal_3_54, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_55 = mesh_3.normals.elementAt(55);
      expect(normal_3_55, vector3MoreOrLessEquals(Vector3(0.584976971, 0.777577996, -0.230597004)));
      final normal_3_56 = mesh_3.normals.elementAt(56);
      expect(normal_3_56, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_57 = mesh_3.normals.elementAt(57);
      expect(normal_3_57, vector3MoreOrLessEquals(Vector3(-0.147519007, 0.70006597, -0.698674023)));
      final normal_3_58 = mesh_3.normals.elementAt(58);
      expect(normal_3_58, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_59 = mesh_3.normals.elementAt(59);
      expect(normal_3_59, vector3MoreOrLessEquals(Vector3(0.698983014, 0.632727981, -0.333285004)));
      final normal_3_60 = mesh_3.normals.elementAt(60);
      expect(normal_3_60, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_61 = mesh_3.normals.elementAt(61);
      expect(normal_3_61, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_62 = mesh_3.normals.elementAt(62);
      expect(normal_3_62, vector3MoreOrLessEquals(Vector3(0.584976971, 0.777577996, -0.230597004)));
      final normal_3_63 = mesh_3.normals.elementAt(63);
      expect(normal_3_63, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_64 = mesh_3.normals.elementAt(64);
      expect(normal_3_64, vector3MoreOrLessEquals(Vector3(-0.659228981, 0.742690027, -0.117596)));
      final normal_3_65 = mesh_3.normals.elementAt(65);
      expect(normal_3_65, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_66 = mesh_3.normals.elementAt(66);
      expect(normal_3_66, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_67 = mesh_3.normals.elementAt(67);
      expect(normal_3_67, vector3MoreOrLessEquals(Vector3(-0.073338002, 0.372458011, 0.925146997)));
      final normal_3_68 = mesh_3.normals.elementAt(68);
      expect(normal_3_68, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_69 = mesh_3.normals.elementAt(69);
      expect(normal_3_69, vector3MoreOrLessEquals(Vector3(-0.659228981, 0.742690027, -0.117596)));
      final normal_3_70 = mesh_3.normals.elementAt(70);
      expect(normal_3_70, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_71 = mesh_3.normals.elementAt(71);
      expect(normal_3_71, vector3MoreOrLessEquals(Vector3(0.0611210018, 0.865503013, 0.497161001)));
      final normal_3_72 = mesh_3.normals.elementAt(72);
      expect(normal_3_72, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_73 = mesh_3.normals.elementAt(73);
      expect(normal_3_73, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_74 = mesh_3.normals.elementAt(74);
      expect(normal_3_74, vector3MoreOrLessEquals(Vector3(-0.073338002, 0.372458011, 0.925146997)));
      final normal_3_75 = mesh_3.normals.elementAt(75);
      expect(normal_3_75, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_76 = mesh_3.normals.elementAt(76);
      expect(normal_3_76, vector3MoreOrLessEquals(Vector3(-0.880755007, 0.462224007, 0.103053004)));
      final normal_3_77 = mesh_3.normals.elementAt(77);
      expect(normal_3_77, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_78 = mesh_3.normals.elementAt(78);
      expect(normal_3_78, vector3MoreOrLessEquals(Vector3(-0.835446, 0.538147986, 0.111475997)));
      final normal_3_79 = mesh_3.normals.elementAt(79);
      expect(normal_3_79, vector3MoreOrLessEquals(Vector3(-0.202273995, 0.574889004, 0.792834997)));
      final normal_3_80 = mesh_3.normals.elementAt(80);
      expect(normal_3_80, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_81 = mesh_3.normals.elementAt(81);
      expect(normal_3_81, vector3MoreOrLessEquals(Vector3(-0.880755007, 0.462224007, 0.103053004)));
      final normal_3_82 = mesh_3.normals.elementAt(82);
      expect(normal_3_82, vector3MoreOrLessEquals(Vector3(-0.835446, 0.538147986, 0.111475997)));
      final normal_3_83 = mesh_3.normals.elementAt(83);
      expect(normal_3_83, vector3MoreOrLessEquals(Vector3(-0.168557003, 0.420635998, 0.891433001)));
      final normal_3_84 = mesh_3.normals.elementAt(84);
      expect(normal_3_84, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_85 = mesh_3.normals.elementAt(85);
      expect(normal_3_85, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_86 = mesh_3.normals.elementAt(86);
      expect(normal_3_86, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_87 = mesh_3.normals.elementAt(87);
      expect(normal_3_87, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_88 = mesh_3.normals.elementAt(88);
      expect(normal_3_88, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_89 = mesh_3.normals.elementAt(89);
      expect(normal_3_89, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_90 = mesh_3.normals.elementAt(90);
      expect(normal_3_90, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_91 = mesh_3.normals.elementAt(91);
      expect(normal_3_91, vector3MoreOrLessEquals(Vector3(-0.147519007, 0.70006597, -0.698674023)));
      final normal_3_92 = mesh_3.normals.elementAt(92);
      expect(normal_3_92, vector3MoreOrLessEquals(Vector3(-0.201495007, 0.870711029, -0.448621988)));
      final normal_3_93 = mesh_3.normals.elementAt(93);
      expect(normal_3_93, vector3MoreOrLessEquals(Vector3(-0.799017012, 0.476862997, -0.366295993)));
      final normal_3_94 = mesh_3.normals.elementAt(94);
      expect(normal_3_94, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_95 = mesh_3.normals.elementAt(95);
      expect(normal_3_95, vector3MoreOrLessEquals(Vector3(-0.201495007, 0.870711029, -0.448621988)));
      final normal_3_96 = mesh_3.normals.elementAt(96);
      expect(normal_3_96, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_97 = mesh_3.normals.elementAt(97);
      expect(normal_3_97, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_98 = mesh_3.normals.elementAt(98);
      expect(normal_3_98, vector3MoreOrLessEquals(Vector3(-0.147519007, 0.70006597, -0.698674023)));
      final normal_3_99 = mesh_3.normals.elementAt(99);
      expect(normal_3_99, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_100 = mesh_3.normals.elementAt(100);
      expect(normal_3_100, vector3MoreOrLessEquals(Vector3(-0.796564996, -0.00837500021, -0.604494989)));
      final normal_3_101 = mesh_3.normals.elementAt(101);
      expect(normal_3_101, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_102 = mesh_3.normals.elementAt(102);
      expect(normal_3_102, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_103 = mesh_3.normals.elementAt(103);
      expect(normal_3_103, vector3MoreOrLessEquals(Vector3(-0.659228981, 0.742690027, -0.117596)));
      final normal_3_104 = mesh_3.normals.elementAt(104);
      expect(normal_3_104, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_105 = mesh_3.normals.elementAt(105);
      expect(normal_3_105, vector3MoreOrLessEquals(Vector3(-0.796564996, -0.00837500021, -0.604494989)));
      final normal_3_106 = mesh_3.normals.elementAt(106);
      expect(normal_3_106, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_107 = mesh_3.normals.elementAt(107);
      expect(normal_3_107, vector3MoreOrLessEquals(Vector3(-0.247406006, 0.680028975, -0.690181971)));
      final normal_3_108 = mesh_3.normals.elementAt(108);
      expect(normal_3_108, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_109 = mesh_3.normals.elementAt(109);
      expect(normal_3_109, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_110 = mesh_3.normals.elementAt(110);
      expect(normal_3_110, vector3MoreOrLessEquals(Vector3(-0.659228981, 0.742690027, -0.117596)));
      final normal_3_111 = mesh_3.normals.elementAt(111);
      expect(normal_3_111, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_112 = mesh_3.normals.elementAt(112);
      expect(normal_3_112, vector3MoreOrLessEquals(Vector3(-0.847027004, 0.257512003, -0.465007991)));
      final normal_3_113 = mesh_3.normals.elementAt(113);
      expect(normal_3_113, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_114 = mesh_3.normals.elementAt(114);
      expect(normal_3_114, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_115 = mesh_3.normals.elementAt(115);
      expect(normal_3_115, vector3MoreOrLessEquals(Vector3(-0.880755007, 0.462224007, 0.103053004)));
      final normal_3_116 = mesh_3.normals.elementAt(116);
      expect(normal_3_116, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_117 = mesh_3.normals.elementAt(117);
      expect(normal_3_117, vector3MoreOrLessEquals(Vector3(-0.847027004, 0.257512003, -0.465007991)));
      final normal_3_118 = mesh_3.normals.elementAt(118);
      expect(normal_3_118, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_119 = mesh_3.normals.elementAt(119);
      expect(normal_3_119, vector3MoreOrLessEquals(Vector3(-0.823827982, 0.514401972, 0.238114998)));
      final normal_3_120 = mesh_3.normals.elementAt(120);
      expect(normal_3_120, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_121 = mesh_3.normals.elementAt(121);
      expect(normal_3_121, vector3MoreOrLessEquals(Vector3(-0.835446, 0.538147986, 0.111475997)));
      final normal_3_122 = mesh_3.normals.elementAt(122);
      expect(normal_3_122, vector3MoreOrLessEquals(Vector3(-0.880755007, 0.462224007, 0.103053004)));
      final normal_3_123 = mesh_3.normals.elementAt(123);
      expect(normal_3_123, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_124 = mesh_3.normals.elementAt(124);
      expect(normal_3_124, vector3MoreOrLessEquals(Vector3(-0.799434006, 0.0673109964, -0.596970975)));
      final normal_3_125 = mesh_3.normals.elementAt(125);
      expect(normal_3_125, vector3MoreOrLessEquals(Vector3(-0.835446, 0.538147986, 0.111475997)));
      final normal_3_126 = mesh_3.normals.elementAt(126);
      expect(normal_3_126, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_127 = mesh_3.normals.elementAt(127);
      expect(normal_3_127, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_128 = mesh_3.normals.elementAt(128);
      expect(normal_3_128, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_129 = mesh_3.normals.elementAt(129);
      expect(normal_3_129, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_130 = mesh_3.normals.elementAt(130);
      expect(normal_3_130, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_131 = mesh_3.normals.elementAt(131);
      expect(normal_3_131, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_132 = mesh_3.normals.elementAt(132);
      expect(normal_3_132, vector3MoreOrLessEquals(Vector3(-0.914825976, -0.40328899, 0.0212399997)));
      final normal_3_133 = mesh_3.normals.elementAt(133);
      expect(normal_3_133, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_134 = mesh_3.normals.elementAt(134);
      expect(normal_3_134, vector3MoreOrLessEquals(Vector3(-0.799017012, 0.476862997, -0.366295993)));
      final normal_3_135 = mesh_3.normals.elementAt(135);
      expect(normal_3_135, vector3MoreOrLessEquals(Vector3(-0.914825976, -0.40328899, 0.0212399997)));
      final normal_3_136 = mesh_3.normals.elementAt(136);
      expect(normal_3_136, vector3MoreOrLessEquals(Vector3(-0.960708022, -0.276547015, 0.0237199999)));
      final normal_3_137 = mesh_3.normals.elementAt(137);
      expect(normal_3_137, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_138 = mesh_3.normals.elementAt(138);
      expect(normal_3_138, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_139 = mesh_3.normals.elementAt(139);
      expect(normal_3_139, vector3MoreOrLessEquals(Vector3(-0.796564996, -0.00837500021, -0.604494989)));
      final normal_3_140 = mesh_3.normals.elementAt(140);
      expect(normal_3_140, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_141 = mesh_3.normals.elementAt(141);
      expect(normal_3_141, vector3MoreOrLessEquals(Vector3(-0.960708022, -0.276547015, 0.0237199999)));
      final normal_3_142 = mesh_3.normals.elementAt(142);
      expect(normal_3_142, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_143 = mesh_3.normals.elementAt(143);
      expect(normal_3_143, vector3MoreOrLessEquals(Vector3(-0.835433006, 0.29114899, -0.466138005)));
      final normal_3_144 = mesh_3.normals.elementAt(144);
      expect(normal_3_144, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_145 = mesh_3.normals.elementAt(145);
      expect(normal_3_145, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_146 = mesh_3.normals.elementAt(146);
      expect(normal_3_146, vector3MoreOrLessEquals(Vector3(-0.796564996, -0.00837500021, -0.604494989)));
      final normal_3_147 = mesh_3.normals.elementAt(147);
      expect(normal_3_147, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_148 = mesh_3.normals.elementAt(148);
      expect(normal_3_148, vector3MoreOrLessEquals(Vector3(-0.248105004, -0.514856994, -0.820589006)));
      final normal_3_149 = mesh_3.normals.elementAt(149);
      expect(normal_3_149, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_150 = mesh_3.normals.elementAt(150);
      expect(normal_3_150, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_151 = mesh_3.normals.elementAt(151);
      expect(normal_3_151, vector3MoreOrLessEquals(Vector3(-0.847027004, 0.257512003, -0.465007991)));
      final normal_3_152 = mesh_3.normals.elementAt(152);
      expect(normal_3_152, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_153 = mesh_3.normals.elementAt(153);
      expect(normal_3_153, vector3MoreOrLessEquals(Vector3(-0.248105004, -0.514856994, -0.820589006)));
      final normal_3_154 = mesh_3.normals.elementAt(154);
      expect(normal_3_154, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_155 = mesh_3.normals.elementAt(155);
      expect(normal_3_155, vector3MoreOrLessEquals(Vector3(-0.746075988, 0.124458, -0.654125988)));
      final normal_3_156 = mesh_3.normals.elementAt(156);
      expect(normal_3_156, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_157 = mesh_3.normals.elementAt(157);
      expect(normal_3_157, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_158 = mesh_3.normals.elementAt(158);
      expect(normal_3_158, vector3MoreOrLessEquals(Vector3(-0.847027004, 0.257512003, -0.465007991)));
      final normal_3_159 = mesh_3.normals.elementAt(159);
      expect(normal_3_159, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_160 = mesh_3.normals.elementAt(160);
      expect(normal_3_160, vector3MoreOrLessEquals(Vector3(-0.235949993, -0.324119002, -0.916118979)));
      final normal_3_161 = mesh_3.normals.elementAt(161);
      expect(normal_3_161, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_162 = mesh_3.normals.elementAt(162);
      expect(normal_3_162, vector3MoreOrLessEquals(Vector3(-0.342337012, -0.44827199, -0.825747013)));
      final normal_3_163 = mesh_3.normals.elementAt(163);
      expect(normal_3_163, vector3MoreOrLessEquals(Vector3(-0.799434006, 0.0673109964, -0.596970975)));
      final normal_3_164 = mesh_3.normals.elementAt(164);
      expect(normal_3_164, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_165 = mesh_3.normals.elementAt(165);
      expect(normal_3_165, vector3MoreOrLessEquals(Vector3(-0.235949993, -0.324119002, -0.916118979)));
      final normal_3_166 = mesh_3.normals.elementAt(166);
      expect(normal_3_166, vector3MoreOrLessEquals(Vector3(-0.342337012, -0.44827199, -0.825747013)));
      final normal_3_167 = mesh_3.normals.elementAt(167);
      expect(normal_3_167, vector3MoreOrLessEquals(Vector3(-0.774335027, 0.0941129997, -0.625738025)));
      final normal_3_168 = mesh_3.normals.elementAt(168);
      expect(normal_3_168, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_169 = mesh_3.normals.elementAt(169);
      expect(normal_3_169, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_170 = mesh_3.normals.elementAt(170);
      expect(normal_3_170, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_171 = mesh_3.normals.elementAt(171);
      expect(normal_3_171, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_172 = mesh_3.normals.elementAt(172);
      expect(normal_3_172, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_173 = mesh_3.normals.elementAt(173);
      expect(normal_3_173, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_174 = mesh_3.normals.elementAt(174);
      expect(normal_3_174, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_175 = mesh_3.normals.elementAt(175);
      expect(normal_3_175, vector3MoreOrLessEquals(Vector3(-0.960708022, -0.276547015, 0.0237199999)));
      final normal_3_176 = mesh_3.normals.elementAt(176);
      expect(normal_3_176, vector3MoreOrLessEquals(Vector3(-0.914825976, -0.40328899, 0.0212399997)));
      final normal_3_177 = mesh_3.normals.elementAt(177);
      expect(normal_3_177, vector3MoreOrLessEquals(Vector3(-0.286549002, -0.868466973, 0.404541999)));
      final normal_3_178 = mesh_3.normals.elementAt(178);
      expect(normal_3_178, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_179 = mesh_3.normals.elementAt(179);
      expect(normal_3_179, vector3MoreOrLessEquals(Vector3(-0.914825976, -0.40328899, 0.0212399997)));
      final normal_3_180 = mesh_3.normals.elementAt(180);
      expect(normal_3_180, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_181 = mesh_3.normals.elementAt(181);
      expect(normal_3_181, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_182 = mesh_3.normals.elementAt(182);
      expect(normal_3_182, vector3MoreOrLessEquals(Vector3(-0.960708022, -0.276547015, 0.0237199999)));
      final normal_3_183 = mesh_3.normals.elementAt(183);
      expect(normal_3_183, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_184 = mesh_3.normals.elementAt(184);
      expect(normal_3_184, vector3MoreOrLessEquals(Vector3(-0.0582920015, -0.911346972, 0.407490999)));
      final normal_3_185 = mesh_3.normals.elementAt(185);
      expect(normal_3_185, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_186 = mesh_3.normals.elementAt(186);
      expect(normal_3_186, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_187 = mesh_3.normals.elementAt(187);
      expect(normal_3_187, vector3MoreOrLessEquals(Vector3(-0.248105004, -0.514856994, -0.820589006)));
      final normal_3_188 = mesh_3.normals.elementAt(188);
      expect(normal_3_188, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_189 = mesh_3.normals.elementAt(189);
      expect(normal_3_189, vector3MoreOrLessEquals(Vector3(-0.0582920015, -0.911346972, 0.407490999)));
      final normal_3_190 = mesh_3.normals.elementAt(190);
      expect(normal_3_190, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_191 = mesh_3.normals.elementAt(191);
      expect(normal_3_191, vector3MoreOrLessEquals(Vector3(-0.776094019, -0.562736988, -0.284613013)));
      final normal_3_192 = mesh_3.normals.elementAt(192);
      expect(normal_3_192, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_193 = mesh_3.normals.elementAt(193);
      expect(normal_3_193, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_194 = mesh_3.normals.elementAt(194);
      expect(normal_3_194, vector3MoreOrLessEquals(Vector3(-0.248105004, -0.514856994, -0.820589006)));
      final normal_3_195 = mesh_3.normals.elementAt(195);
      expect(normal_3_195, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_196 = mesh_3.normals.elementAt(196);
      expect(normal_3_196, vector3MoreOrLessEquals(Vector3(0.48971501, -0.524664998, -0.696352005)));
      final normal_3_197 = mesh_3.normals.elementAt(197);
      expect(normal_3_197, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_198 = mesh_3.normals.elementAt(198);
      expect(normal_3_198, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_199 = mesh_3.normals.elementAt(199);
      expect(normal_3_199, vector3MoreOrLessEquals(Vector3(-0.235949993, -0.324119002, -0.916118979)));
      final normal_3_200 = mesh_3.normals.elementAt(200);
      expect(normal_3_200, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_201 = mesh_3.normals.elementAt(201);
      expect(normal_3_201, vector3MoreOrLessEquals(Vector3(0.48971501, -0.524664998, -0.696352005)));
      final normal_3_202 = mesh_3.normals.elementAt(202);
      expect(normal_3_202, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_203 = mesh_3.normals.elementAt(203);
      expect(normal_3_203, vector3MoreOrLessEquals(Vector3(-0.231599003, -0.234207004, -0.944198012)));
      final normal_3_204 = mesh_3.normals.elementAt(204);
      expect(normal_3_204, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_205 = mesh_3.normals.elementAt(205);
      expect(normal_3_205, vector3MoreOrLessEquals(Vector3(-0.342337012, -0.44827199, -0.825747013)));
      final normal_3_206 = mesh_3.normals.elementAt(206);
      expect(normal_3_206, vector3MoreOrLessEquals(Vector3(-0.235949993, -0.324119002, -0.916118979)));
      final normal_3_207 = mesh_3.normals.elementAt(207);
      expect(normal_3_207, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_208 = mesh_3.normals.elementAt(208);
      expect(normal_3_208, vector3MoreOrLessEquals(Vector3(0.423911989, -0.809500992, -0.406210005)));
      final normal_3_209 = mesh_3.normals.elementAt(209);
      expect(normal_3_209, vector3MoreOrLessEquals(Vector3(-0.342337012, -0.44827199, -0.825747013)));
      final normal_3_210 = mesh_3.normals.elementAt(210);
      expect(normal_3_210, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_211 = mesh_3.normals.elementAt(211);
      expect(normal_3_211, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_212 = mesh_3.normals.elementAt(212);
      expect(normal_3_212, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_213 = mesh_3.normals.elementAt(213);
      expect(normal_3_213, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_214 = mesh_3.normals.elementAt(214);
      expect(normal_3_214, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_215 = mesh_3.normals.elementAt(215);
      expect(normal_3_215, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_216 = mesh_3.normals.elementAt(216);
      expect(normal_3_216, vector3MoreOrLessEquals(Vector3(0.535602987, -0.635581017, 0.556026995)));
      final normal_3_217 = mesh_3.normals.elementAt(217);
      expect(normal_3_217, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_218 = mesh_3.normals.elementAt(218);
      expect(normal_3_218, vector3MoreOrLessEquals(Vector3(-0.286549002, -0.868466973, 0.404541999)));
      final normal_3_219 = mesh_3.normals.elementAt(219);
      expect(normal_3_219, vector3MoreOrLessEquals(Vector3(0.535602987, -0.635581017, 0.556026995)));
      final normal_3_220 = mesh_3.normals.elementAt(220);
      expect(normal_3_220, vector3MoreOrLessEquals(Vector3(0.490862012, -0.467516005, 0.735176027)));
      final normal_3_221 = mesh_3.normals.elementAt(221);
      expect(normal_3_221, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_222 = mesh_3.normals.elementAt(222);
      expect(normal_3_222, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_223 = mesh_3.normals.elementAt(223);
      expect(normal_3_223, vector3MoreOrLessEquals(Vector3(-0.0582920015, -0.911346972, 0.407490999)));
      final normal_3_224 = mesh_3.normals.elementAt(224);
      expect(normal_3_224, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_225 = mesh_3.normals.elementAt(225);
      expect(normal_3_225, vector3MoreOrLessEquals(Vector3(0.490862012, -0.467516005, 0.735176027)));
      final normal_3_226 = mesh_3.normals.elementAt(226);
      expect(normal_3_226, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_227 = mesh_3.normals.elementAt(227);
      expect(normal_3_227, vector3MoreOrLessEquals(Vector3(-0.389046997, -0.677990973, 0.623674989)));
      final normal_3_228 = mesh_3.normals.elementAt(228);
      expect(normal_3_228, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_229 = mesh_3.normals.elementAt(229);
      expect(normal_3_229, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_230 = mesh_3.normals.elementAt(230);
      expect(normal_3_230, vector3MoreOrLessEquals(Vector3(-0.0582920015, -0.911346972, 0.407490999)));
      final normal_3_231 = mesh_3.normals.elementAt(231);
      expect(normal_3_231, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_232 = mesh_3.normals.elementAt(232);
      expect(normal_3_232, vector3MoreOrLessEquals(Vector3(0.890119016, -0.387697011, 0.239537999)));
      final normal_3_233 = mesh_3.normals.elementAt(233);
      expect(normal_3_233, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_234 = mesh_3.normals.elementAt(234);
      expect(normal_3_234, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_235 = mesh_3.normals.elementAt(235);
      expect(normal_3_235, vector3MoreOrLessEquals(Vector3(0.48971501, -0.524664998, -0.696352005)));
      final normal_3_236 = mesh_3.normals.elementAt(236);
      expect(normal_3_236, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_237 = mesh_3.normals.elementAt(237);
      expect(normal_3_237, vector3MoreOrLessEquals(Vector3(0.890119016, -0.387697011, 0.239537999)));
      final normal_3_238 = mesh_3.normals.elementAt(238);
      expect(normal_3_238, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_239 = mesh_3.normals.elementAt(239);
      expect(normal_3_239, vector3MoreOrLessEquals(Vector3(0.455951005, -0.795072019, -0.399962008)));
      final normal_3_240 = mesh_3.normals.elementAt(240);
      expect(normal_3_240, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_241 = mesh_3.normals.elementAt(241);
      expect(normal_3_241, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_242 = mesh_3.normals.elementAt(242);
      expect(normal_3_242, vector3MoreOrLessEquals(Vector3(0.48971501, -0.524664998, -0.696352005)));
      final normal_3_243 = mesh_3.normals.elementAt(243);
      expect(normal_3_243, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_244 = mesh_3.normals.elementAt(244);
      expect(normal_3_244, vector3MoreOrLessEquals(Vector3(0.82269901, -0.324539989, 0.466733009)));
      final normal_3_245 = mesh_3.normals.elementAt(245);
      expect(normal_3_245, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_246 = mesh_3.normals.elementAt(246);
      expect(normal_3_246, vector3MoreOrLessEquals(Vector3(0.789246976, -0.408589005, 0.458413988)));
      final normal_3_247 = mesh_3.normals.elementAt(247);
      expect(normal_3_247, vector3MoreOrLessEquals(Vector3(0.423911989, -0.809500992, -0.406210005)));
      final normal_3_248 = mesh_3.normals.elementAt(248);
      expect(normal_3_248, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_249 = mesh_3.normals.elementAt(249);
      expect(normal_3_249, vector3MoreOrLessEquals(Vector3(0.82269901, -0.324539989, 0.466733009)));
      final normal_3_250 = mesh_3.normals.elementAt(250);
      expect(normal_3_250, vector3MoreOrLessEquals(Vector3(0.789246976, -0.408589005, 0.458413988)));
      final normal_3_251 = mesh_3.normals.elementAt(251);
      expect(normal_3_251, vector3MoreOrLessEquals(Vector3(0.515842974, -0.63657999, -0.573300004)));
      final normal_3_252 = mesh_3.normals.elementAt(252);
      expect(normal_3_252, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_253 = mesh_3.normals.elementAt(253);
      expect(normal_3_253, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_254 = mesh_3.normals.elementAt(254);
      expect(normal_3_254, vector3MoreOrLessEquals(Vector3(0.0767680034, -0.902253985, -0.424317002)));
      final normal_3_255 = mesh_3.normals.elementAt(255);
      expect(normal_3_255, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_256 = mesh_3.normals.elementAt(256);
      expect(normal_3_256, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_257 = mesh_3.normals.elementAt(257);
      expect(normal_3_257, vector3MoreOrLessEquals(Vector3(-0.760857999, -0.310029, 0.570066988)));
      final normal_3_258 = mesh_3.normals.elementAt(258);
      expect(normal_3_258, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_259 = mesh_3.normals.elementAt(259);
      expect(normal_3_259, vector3MoreOrLessEquals(Vector3(0.490862012, -0.467516005, 0.735176027)));
      final normal_3_260 = mesh_3.normals.elementAt(260);
      expect(normal_3_260, vector3MoreOrLessEquals(Vector3(0.535602987, -0.635581017, 0.556026995)));
      final normal_3_261 = mesh_3.normals.elementAt(261);
      expect(normal_3_261, vector3MoreOrLessEquals(Vector3(0.946923018, 0.242706001, 0.210786998)));
      final normal_3_262 = mesh_3.normals.elementAt(262);
      expect(normal_3_262, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_263 = mesh_3.normals.elementAt(263);
      expect(normal_3_263, vector3MoreOrLessEquals(Vector3(0.535602987, -0.635581017, 0.556026995)));
      final normal_3_264 = mesh_3.normals.elementAt(264);
      expect(normal_3_264, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_265 = mesh_3.normals.elementAt(265);
      expect(normal_3_265, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_266 = mesh_3.normals.elementAt(266);
      expect(normal_3_266, vector3MoreOrLessEquals(Vector3(0.490862012, -0.467516005, 0.735176027)));
      final normal_3_267 = mesh_3.normals.elementAt(267);
      expect(normal_3_267, vector3MoreOrLessEquals(Vector3(0.918945014, -0.0186110009, 0.393945009)));
      final normal_3_268 = mesh_3.normals.elementAt(268);
      expect(normal_3_268, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_269 = mesh_3.normals.elementAt(269);
      expect(normal_3_269, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_270 = mesh_3.normals.elementAt(270);
      expect(normal_3_270, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_271 = mesh_3.normals.elementAt(271);
      expect(normal_3_271, vector3MoreOrLessEquals(Vector3(0.890119016, -0.387697011, 0.239537999)));
      final normal_3_272 = mesh_3.normals.elementAt(272);
      expect(normal_3_272, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_273 = mesh_3.normals.elementAt(273);
      expect(normal_3_273, vector3MoreOrLessEquals(Vector3(0.898456991, 0.395974994, 0.189682007)));
      final normal_3_274 = mesh_3.normals.elementAt(274);
      expect(normal_3_274, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_275 = mesh_3.normals.elementAt(275);
      expect(normal_3_275, vector3MoreOrLessEquals(Vector3(0.731377006, -0.36857599, 0.573792994)));
      final normal_3_276 = mesh_3.normals.elementAt(276);
      expect(normal_3_276, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_277 = mesh_3.normals.elementAt(277);
      expect(normal_3_277, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_278 = mesh_3.normals.elementAt(278);
      expect(normal_3_278, vector3MoreOrLessEquals(Vector3(0.890119016, -0.387697011, 0.239537999)));
      final normal_3_279 = mesh_3.normals.elementAt(279);
      expect(normal_3_279, vector3MoreOrLessEquals(Vector3(0.814890981, 0.173455998, 0.553052008)));
      final normal_3_280 = mesh_3.normals.elementAt(280);
      expect(normal_3_280, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_281 = mesh_3.normals.elementAt(281);
      expect(normal_3_281, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_282 = mesh_3.normals.elementAt(282);
      expect(normal_3_282, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_283 = mesh_3.normals.elementAt(283);
      expect(normal_3_283, vector3MoreOrLessEquals(Vector3(0.82269901, -0.324539989, 0.466733009)));
      final normal_3_284 = mesh_3.normals.elementAt(284);
      expect(normal_3_284, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_285 = mesh_3.normals.elementAt(285);
      expect(normal_3_285, vector3MoreOrLessEquals(Vector3(0.488323987, 0.0521959998, 0.871100008)));
      final normal_3_286 = mesh_3.normals.elementAt(286);
      expect(normal_3_286, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_287 = mesh_3.normals.elementAt(287);
      expect(normal_3_287, vector3MoreOrLessEquals(Vector3(0.883629978, -0.404119998, 0.236398995)));
      final normal_3_288 = mesh_3.normals.elementAt(288);
      expect(normal_3_288, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_289 = mesh_3.normals.elementAt(289);
      expect(normal_3_289, vector3MoreOrLessEquals(Vector3(0.789246976, -0.408589005, 0.458413988)));
      final normal_3_290 = mesh_3.normals.elementAt(290);
      expect(normal_3_290, vector3MoreOrLessEquals(Vector3(0.82269901, -0.324539989, 0.466733009)));
      final normal_3_291 = mesh_3.normals.elementAt(291);
      expect(normal_3_291, vector3MoreOrLessEquals(Vector3(0.562605977, 0.0116499998, 0.82664299)));
      final normal_3_292 = mesh_3.normals.elementAt(292);
      expect(normal_3_292, vector3MoreOrLessEquals(Vector3(0.424549013, 0.220069006, 0.878252983)));
      final normal_3_293 = mesh_3.normals.elementAt(293);
      expect(normal_3_293, vector3MoreOrLessEquals(Vector3(0.789246976, -0.408589005, 0.458413988)));
      expect(mesh_3.tangents.length, isZero);
      expect(mesh_3.bitangents.length, isZero);
      expect(mesh_3.colors.length, isZero);
      expect(mesh_3.textureCoords.length, equals(1));
      final textureCoords_3_0 = mesh_3.textureCoords.elementAt(0);
      expect(textureCoords_3_0.length, equals(294));
      final textureCoord_3_0_0 = textureCoords_3_0.elementAt(0);
      expect(textureCoord_3_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_1 = textureCoords_3_0.elementAt(1);
      expect(textureCoord_3_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_2 = textureCoords_3_0.elementAt(2);
      expect(textureCoord_3_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_3 = textureCoords_3_0.elementAt(3);
      expect(textureCoord_3_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_4 = textureCoords_3_0.elementAt(4);
      expect(textureCoord_3_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_5 = textureCoords_3_0.elementAt(5);
      expect(textureCoord_3_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_6 = textureCoords_3_0.elementAt(6);
      expect(textureCoord_3_0_6, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_7 = textureCoords_3_0.elementAt(7);
      expect(textureCoord_3_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_3_0_8 = textureCoords_3_0.elementAt(8);
      expect(textureCoord_3_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_9 = textureCoords_3_0.elementAt(9);
      expect(textureCoord_3_0_9, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_3_0_10 = textureCoords_3_0.elementAt(10);
      expect(textureCoord_3_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_11 = textureCoords_3_0.elementAt(11);
      expect(textureCoord_3_0_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_3_0_12 = textureCoords_3_0.elementAt(12);
      expect(textureCoord_3_0_12, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_13 = textureCoords_3_0.elementAt(13);
      expect(textureCoord_3_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_3_0_14 = textureCoords_3_0.elementAt(14);
      expect(textureCoord_3_0_14, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_3_0_15 = textureCoords_3_0.elementAt(15);
      expect(textureCoord_3_0_15, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_16 = textureCoords_3_0.elementAt(16);
      expect(textureCoord_3_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_3_0_17 = textureCoords_3_0.elementAt(17);
      expect(textureCoord_3_0_17, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_3_0_18 = textureCoords_3_0.elementAt(18);
      expect(textureCoord_3_0_18, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_19 = textureCoords_3_0.elementAt(19);
      expect(textureCoord_3_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_3_0_20 = textureCoords_3_0.elementAt(20);
      expect(textureCoord_3_0_20, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_3_0_21 = textureCoords_3_0.elementAt(21);
      expect(textureCoord_3_0_21, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_3_0_22 = textureCoords_3_0.elementAt(22);
      expect(textureCoord_3_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_23 = textureCoords_3_0.elementAt(23);
      expect(textureCoord_3_0_23, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_3_0_24 = textureCoords_3_0.elementAt(24);
      expect(textureCoord_3_0_24, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_25 = textureCoords_3_0.elementAt(25);
      expect(textureCoord_3_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_3_0_26 = textureCoords_3_0.elementAt(26);
      expect(textureCoord_3_0_26, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_3_0_27 = textureCoords_3_0.elementAt(27);
      expect(textureCoord_3_0_27, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_28 = textureCoords_3_0.elementAt(28);
      expect(textureCoord_3_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_3_0_29 = textureCoords_3_0.elementAt(29);
      expect(textureCoord_3_0_29, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_3_0_30 = textureCoords_3_0.elementAt(30);
      expect(textureCoord_3_0_30, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_31 = textureCoords_3_0.elementAt(31);
      expect(textureCoord_3_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_3_0_32 = textureCoords_3_0.elementAt(32);
      expect(textureCoord_3_0_32, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_3_0_33 = textureCoords_3_0.elementAt(33);
      expect(textureCoord_3_0_33, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_3_0_34 = textureCoords_3_0.elementAt(34);
      expect(textureCoord_3_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_35 = textureCoords_3_0.elementAt(35);
      expect(textureCoord_3_0_35, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_3_0_36 = textureCoords_3_0.elementAt(36);
      expect(textureCoord_3_0_36, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_37 = textureCoords_3_0.elementAt(37);
      expect(textureCoord_3_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_38 = textureCoords_3_0.elementAt(38);
      expect(textureCoord_3_0_38, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_3_0_39 = textureCoords_3_0.elementAt(39);
      expect(textureCoord_3_0_39, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_40 = textureCoords_3_0.elementAt(40);
      expect(textureCoord_3_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_3_0_41 = textureCoords_3_0.elementAt(41);
      expect(textureCoord_3_0_41, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_42 = textureCoords_3_0.elementAt(42);
      expect(textureCoord_3_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_43 = textureCoords_3_0.elementAt(43);
      expect(textureCoord_3_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_44 = textureCoords_3_0.elementAt(44);
      expect(textureCoord_3_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_45 = textureCoords_3_0.elementAt(45);
      expect(textureCoord_3_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_46 = textureCoords_3_0.elementAt(46);
      expect(textureCoord_3_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_47 = textureCoords_3_0.elementAt(47);
      expect(textureCoord_3_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_48 = textureCoords_3_0.elementAt(48);
      expect(textureCoord_3_0_48, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_3_0_49 = textureCoords_3_0.elementAt(49);
      expect(textureCoord_3_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_50 = textureCoords_3_0.elementAt(50);
      expect(textureCoord_3_0_50, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_3_0_51 = textureCoords_3_0.elementAt(51);
      expect(textureCoord_3_0_51, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_3_0_52 = textureCoords_3_0.elementAt(52);
      expect(textureCoord_3_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_3_0_53 = textureCoords_3_0.elementAt(53);
      expect(textureCoord_3_0_53, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_54 = textureCoords_3_0.elementAt(54);
      expect(textureCoord_3_0_54, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_55 = textureCoords_3_0.elementAt(55);
      expect(textureCoord_3_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_3_0_56 = textureCoords_3_0.elementAt(56);
      expect(textureCoord_3_0_56, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_57 = textureCoords_3_0.elementAt(57);
      expect(textureCoord_3_0_57, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_3_0_58 = textureCoords_3_0.elementAt(58);
      expect(textureCoord_3_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_59 = textureCoords_3_0.elementAt(59);
      expect(textureCoord_3_0_59, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_3_0_60 = textureCoords_3_0.elementAt(60);
      expect(textureCoord_3_0_60, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_61 = textureCoords_3_0.elementAt(61);
      expect(textureCoord_3_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_62 = textureCoords_3_0.elementAt(62);
      expect(textureCoord_3_0_62, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_3_0_63 = textureCoords_3_0.elementAt(63);
      expect(textureCoord_3_0_63, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_64 = textureCoords_3_0.elementAt(64);
      expect(textureCoord_3_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_3_0_65 = textureCoords_3_0.elementAt(65);
      expect(textureCoord_3_0_65, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_66 = textureCoords_3_0.elementAt(66);
      expect(textureCoord_3_0_66, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_67 = textureCoords_3_0.elementAt(67);
      expect(textureCoord_3_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_3_0_68 = textureCoords_3_0.elementAt(68);
      expect(textureCoord_3_0_68, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_69 = textureCoords_3_0.elementAt(69);
      expect(textureCoord_3_0_69, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_3_0_70 = textureCoords_3_0.elementAt(70);
      expect(textureCoord_3_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_71 = textureCoords_3_0.elementAt(71);
      expect(textureCoord_3_0_71, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_3_0_72 = textureCoords_3_0.elementAt(72);
      expect(textureCoord_3_0_72, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_73 = textureCoords_3_0.elementAt(73);
      expect(textureCoord_3_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_74 = textureCoords_3_0.elementAt(74);
      expect(textureCoord_3_0_74, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_3_0_75 = textureCoords_3_0.elementAt(75);
      expect(textureCoord_3_0_75, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_76 = textureCoords_3_0.elementAt(76);
      expect(textureCoord_3_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_3_0_77 = textureCoords_3_0.elementAt(77);
      expect(textureCoord_3_0_77, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_78 = textureCoords_3_0.elementAt(78);
      expect(textureCoord_3_0_78, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_3_0_79 = textureCoords_3_0.elementAt(79);
      expect(textureCoord_3_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_3_0_80 = textureCoords_3_0.elementAt(80);
      expect(textureCoord_3_0_80, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_81 = textureCoords_3_0.elementAt(81);
      expect(textureCoord_3_0_81, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_3_0_82 = textureCoords_3_0.elementAt(82);
      expect(textureCoord_3_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_3_0_83 = textureCoords_3_0.elementAt(83);
      expect(textureCoord_3_0_83, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_3_0_84 = textureCoords_3_0.elementAt(84);
      expect(textureCoord_3_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_85 = textureCoords_3_0.elementAt(85);
      expect(textureCoord_3_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_86 = textureCoords_3_0.elementAt(86);
      expect(textureCoord_3_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_87 = textureCoords_3_0.elementAt(87);
      expect(textureCoord_3_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_88 = textureCoords_3_0.elementAt(88);
      expect(textureCoord_3_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_89 = textureCoords_3_0.elementAt(89);
      expect(textureCoord_3_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_90 = textureCoords_3_0.elementAt(90);
      expect(textureCoord_3_0_90, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_91 = textureCoords_3_0.elementAt(91);
      expect(textureCoord_3_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_3_0_92 = textureCoords_3_0.elementAt(92);
      expect(textureCoord_3_0_92, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_3_0_93 = textureCoords_3_0.elementAt(93);
      expect(textureCoord_3_0_93, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_3_0_94 = textureCoords_3_0.elementAt(94);
      expect(textureCoord_3_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_95 = textureCoords_3_0.elementAt(95);
      expect(textureCoord_3_0_95, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_3_0_96 = textureCoords_3_0.elementAt(96);
      expect(textureCoord_3_0_96, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_97 = textureCoords_3_0.elementAt(97);
      expect(textureCoord_3_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_98 = textureCoords_3_0.elementAt(98);
      expect(textureCoord_3_0_98, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_3_0_99 = textureCoords_3_0.elementAt(99);
      expect(textureCoord_3_0_99, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_100 = textureCoords_3_0.elementAt(100);
      expect(textureCoord_3_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_3_0_101 = textureCoords_3_0.elementAt(101);
      expect(textureCoord_3_0_101, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_102 = textureCoords_3_0.elementAt(102);
      expect(textureCoord_3_0_102, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_103 = textureCoords_3_0.elementAt(103);
      expect(textureCoord_3_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_3_0_104 = textureCoords_3_0.elementAt(104);
      expect(textureCoord_3_0_104, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_105 = textureCoords_3_0.elementAt(105);
      expect(textureCoord_3_0_105, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_3_0_106 = textureCoords_3_0.elementAt(106);
      expect(textureCoord_3_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_107 = textureCoords_3_0.elementAt(107);
      expect(textureCoord_3_0_107, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_3_0_108 = textureCoords_3_0.elementAt(108);
      expect(textureCoord_3_0_108, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_109 = textureCoords_3_0.elementAt(109);
      expect(textureCoord_3_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_110 = textureCoords_3_0.elementAt(110);
      expect(textureCoord_3_0_110, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_3_0_111 = textureCoords_3_0.elementAt(111);
      expect(textureCoord_3_0_111, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_112 = textureCoords_3_0.elementAt(112);
      expect(textureCoord_3_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_3_0_113 = textureCoords_3_0.elementAt(113);
      expect(textureCoord_3_0_113, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_114 = textureCoords_3_0.elementAt(114);
      expect(textureCoord_3_0_114, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_115 = textureCoords_3_0.elementAt(115);
      expect(textureCoord_3_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_3_0_116 = textureCoords_3_0.elementAt(116);
      expect(textureCoord_3_0_116, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_117 = textureCoords_3_0.elementAt(117);
      expect(textureCoord_3_0_117, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_3_0_118 = textureCoords_3_0.elementAt(118);
      expect(textureCoord_3_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_119 = textureCoords_3_0.elementAt(119);
      expect(textureCoord_3_0_119, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_3_0_120 = textureCoords_3_0.elementAt(120);
      expect(textureCoord_3_0_120, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_121 = textureCoords_3_0.elementAt(121);
      expect(textureCoord_3_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_3_0_122 = textureCoords_3_0.elementAt(122);
      expect(textureCoord_3_0_122, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_3_0_123 = textureCoords_3_0.elementAt(123);
      expect(textureCoord_3_0_123, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_124 = textureCoords_3_0.elementAt(124);
      expect(textureCoord_3_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_3_0_125 = textureCoords_3_0.elementAt(125);
      expect(textureCoord_3_0_125, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_3_0_126 = textureCoords_3_0.elementAt(126);
      expect(textureCoord_3_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_127 = textureCoords_3_0.elementAt(127);
      expect(textureCoord_3_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_128 = textureCoords_3_0.elementAt(128);
      expect(textureCoord_3_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_129 = textureCoords_3_0.elementAt(129);
      expect(textureCoord_3_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_130 = textureCoords_3_0.elementAt(130);
      expect(textureCoord_3_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_131 = textureCoords_3_0.elementAt(131);
      expect(textureCoord_3_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_132 = textureCoords_3_0.elementAt(132);
      expect(textureCoord_3_0_132, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_3_0_133 = textureCoords_3_0.elementAt(133);
      expect(textureCoord_3_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_134 = textureCoords_3_0.elementAt(134);
      expect(textureCoord_3_0_134, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_3_0_135 = textureCoords_3_0.elementAt(135);
      expect(textureCoord_3_0_135, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_3_0_136 = textureCoords_3_0.elementAt(136);
      expect(textureCoord_3_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_3_0_137 = textureCoords_3_0.elementAt(137);
      expect(textureCoord_3_0_137, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_138 = textureCoords_3_0.elementAt(138);
      expect(textureCoord_3_0_138, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_139 = textureCoords_3_0.elementAt(139);
      expect(textureCoord_3_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_3_0_140 = textureCoords_3_0.elementAt(140);
      expect(textureCoord_3_0_140, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_141 = textureCoords_3_0.elementAt(141);
      expect(textureCoord_3_0_141, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_3_0_142 = textureCoords_3_0.elementAt(142);
      expect(textureCoord_3_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_143 = textureCoords_3_0.elementAt(143);
      expect(textureCoord_3_0_143, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_3_0_144 = textureCoords_3_0.elementAt(144);
      expect(textureCoord_3_0_144, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_145 = textureCoords_3_0.elementAt(145);
      expect(textureCoord_3_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_146 = textureCoords_3_0.elementAt(146);
      expect(textureCoord_3_0_146, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_3_0_147 = textureCoords_3_0.elementAt(147);
      expect(textureCoord_3_0_147, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_148 = textureCoords_3_0.elementAt(148);
      expect(textureCoord_3_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_3_0_149 = textureCoords_3_0.elementAt(149);
      expect(textureCoord_3_0_149, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_150 = textureCoords_3_0.elementAt(150);
      expect(textureCoord_3_0_150, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_151 = textureCoords_3_0.elementAt(151);
      expect(textureCoord_3_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_3_0_152 = textureCoords_3_0.elementAt(152);
      expect(textureCoord_3_0_152, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_153 = textureCoords_3_0.elementAt(153);
      expect(textureCoord_3_0_153, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_3_0_154 = textureCoords_3_0.elementAt(154);
      expect(textureCoord_3_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_155 = textureCoords_3_0.elementAt(155);
      expect(textureCoord_3_0_155, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_3_0_156 = textureCoords_3_0.elementAt(156);
      expect(textureCoord_3_0_156, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_157 = textureCoords_3_0.elementAt(157);
      expect(textureCoord_3_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_158 = textureCoords_3_0.elementAt(158);
      expect(textureCoord_3_0_158, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_3_0_159 = textureCoords_3_0.elementAt(159);
      expect(textureCoord_3_0_159, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_160 = textureCoords_3_0.elementAt(160);
      expect(textureCoord_3_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_3_0_161 = textureCoords_3_0.elementAt(161);
      expect(textureCoord_3_0_161, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_162 = textureCoords_3_0.elementAt(162);
      expect(textureCoord_3_0_162, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_3_0_163 = textureCoords_3_0.elementAt(163);
      expect(textureCoord_3_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_3_0_164 = textureCoords_3_0.elementAt(164);
      expect(textureCoord_3_0_164, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_165 = textureCoords_3_0.elementAt(165);
      expect(textureCoord_3_0_165, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_3_0_166 = textureCoords_3_0.elementAt(166);
      expect(textureCoord_3_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_3_0_167 = textureCoords_3_0.elementAt(167);
      expect(textureCoord_3_0_167, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_3_0_168 = textureCoords_3_0.elementAt(168);
      expect(textureCoord_3_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_169 = textureCoords_3_0.elementAt(169);
      expect(textureCoord_3_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_170 = textureCoords_3_0.elementAt(170);
      expect(textureCoord_3_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_171 = textureCoords_3_0.elementAt(171);
      expect(textureCoord_3_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_172 = textureCoords_3_0.elementAt(172);
      expect(textureCoord_3_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_173 = textureCoords_3_0.elementAt(173);
      expect(textureCoord_3_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_174 = textureCoords_3_0.elementAt(174);
      expect(textureCoord_3_0_174, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_175 = textureCoords_3_0.elementAt(175);
      expect(textureCoord_3_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_3_0_176 = textureCoords_3_0.elementAt(176);
      expect(textureCoord_3_0_176, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_3_0_177 = textureCoords_3_0.elementAt(177);
      expect(textureCoord_3_0_177, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_3_0_178 = textureCoords_3_0.elementAt(178);
      expect(textureCoord_3_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_179 = textureCoords_3_0.elementAt(179);
      expect(textureCoord_3_0_179, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_3_0_180 = textureCoords_3_0.elementAt(180);
      expect(textureCoord_3_0_180, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_181 = textureCoords_3_0.elementAt(181);
      expect(textureCoord_3_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_182 = textureCoords_3_0.elementAt(182);
      expect(textureCoord_3_0_182, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_3_0_183 = textureCoords_3_0.elementAt(183);
      expect(textureCoord_3_0_183, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_184 = textureCoords_3_0.elementAt(184);
      expect(textureCoord_3_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_3_0_185 = textureCoords_3_0.elementAt(185);
      expect(textureCoord_3_0_185, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_186 = textureCoords_3_0.elementAt(186);
      expect(textureCoord_3_0_186, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_187 = textureCoords_3_0.elementAt(187);
      expect(textureCoord_3_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_3_0_188 = textureCoords_3_0.elementAt(188);
      expect(textureCoord_3_0_188, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_189 = textureCoords_3_0.elementAt(189);
      expect(textureCoord_3_0_189, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_3_0_190 = textureCoords_3_0.elementAt(190);
      expect(textureCoord_3_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_191 = textureCoords_3_0.elementAt(191);
      expect(textureCoord_3_0_191, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_3_0_192 = textureCoords_3_0.elementAt(192);
      expect(textureCoord_3_0_192, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_193 = textureCoords_3_0.elementAt(193);
      expect(textureCoord_3_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_194 = textureCoords_3_0.elementAt(194);
      expect(textureCoord_3_0_194, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_3_0_195 = textureCoords_3_0.elementAt(195);
      expect(textureCoord_3_0_195, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_196 = textureCoords_3_0.elementAt(196);
      expect(textureCoord_3_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_3_0_197 = textureCoords_3_0.elementAt(197);
      expect(textureCoord_3_0_197, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_198 = textureCoords_3_0.elementAt(198);
      expect(textureCoord_3_0_198, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_199 = textureCoords_3_0.elementAt(199);
      expect(textureCoord_3_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_3_0_200 = textureCoords_3_0.elementAt(200);
      expect(textureCoord_3_0_200, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_201 = textureCoords_3_0.elementAt(201);
      expect(textureCoord_3_0_201, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_3_0_202 = textureCoords_3_0.elementAt(202);
      expect(textureCoord_3_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_203 = textureCoords_3_0.elementAt(203);
      expect(textureCoord_3_0_203, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_3_0_204 = textureCoords_3_0.elementAt(204);
      expect(textureCoord_3_0_204, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_205 = textureCoords_3_0.elementAt(205);
      expect(textureCoord_3_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_3_0_206 = textureCoords_3_0.elementAt(206);
      expect(textureCoord_3_0_206, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_3_0_207 = textureCoords_3_0.elementAt(207);
      expect(textureCoord_3_0_207, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_208 = textureCoords_3_0.elementAt(208);
      expect(textureCoord_3_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_3_0_209 = textureCoords_3_0.elementAt(209);
      expect(textureCoord_3_0_209, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_3_0_210 = textureCoords_3_0.elementAt(210);
      expect(textureCoord_3_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_211 = textureCoords_3_0.elementAt(211);
      expect(textureCoord_3_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_212 = textureCoords_3_0.elementAt(212);
      expect(textureCoord_3_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_213 = textureCoords_3_0.elementAt(213);
      expect(textureCoord_3_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_214 = textureCoords_3_0.elementAt(214);
      expect(textureCoord_3_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_215 = textureCoords_3_0.elementAt(215);
      expect(textureCoord_3_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_216 = textureCoords_3_0.elementAt(216);
      expect(textureCoord_3_0_216, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_3_0_217 = textureCoords_3_0.elementAt(217);
      expect(textureCoord_3_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_218 = textureCoords_3_0.elementAt(218);
      expect(textureCoord_3_0_218, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_3_0_219 = textureCoords_3_0.elementAt(219);
      expect(textureCoord_3_0_219, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_3_0_220 = textureCoords_3_0.elementAt(220);
      expect(textureCoord_3_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_3_0_221 = textureCoords_3_0.elementAt(221);
      expect(textureCoord_3_0_221, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_222 = textureCoords_3_0.elementAt(222);
      expect(textureCoord_3_0_222, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_223 = textureCoords_3_0.elementAt(223);
      expect(textureCoord_3_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_3_0_224 = textureCoords_3_0.elementAt(224);
      expect(textureCoord_3_0_224, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_225 = textureCoords_3_0.elementAt(225);
      expect(textureCoord_3_0_225, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_3_0_226 = textureCoords_3_0.elementAt(226);
      expect(textureCoord_3_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_227 = textureCoords_3_0.elementAt(227);
      expect(textureCoord_3_0_227, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_3_0_228 = textureCoords_3_0.elementAt(228);
      expect(textureCoord_3_0_228, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_229 = textureCoords_3_0.elementAt(229);
      expect(textureCoord_3_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_230 = textureCoords_3_0.elementAt(230);
      expect(textureCoord_3_0_230, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_3_0_231 = textureCoords_3_0.elementAt(231);
      expect(textureCoord_3_0_231, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_232 = textureCoords_3_0.elementAt(232);
      expect(textureCoord_3_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_3_0_233 = textureCoords_3_0.elementAt(233);
      expect(textureCoord_3_0_233, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_234 = textureCoords_3_0.elementAt(234);
      expect(textureCoord_3_0_234, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_235 = textureCoords_3_0.elementAt(235);
      expect(textureCoord_3_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_3_0_236 = textureCoords_3_0.elementAt(236);
      expect(textureCoord_3_0_236, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_237 = textureCoords_3_0.elementAt(237);
      expect(textureCoord_3_0_237, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_3_0_238 = textureCoords_3_0.elementAt(238);
      expect(textureCoord_3_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_239 = textureCoords_3_0.elementAt(239);
      expect(textureCoord_3_0_239, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_3_0_240 = textureCoords_3_0.elementAt(240);
      expect(textureCoord_3_0_240, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_241 = textureCoords_3_0.elementAt(241);
      expect(textureCoord_3_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_242 = textureCoords_3_0.elementAt(242);
      expect(textureCoord_3_0_242, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_3_0_243 = textureCoords_3_0.elementAt(243);
      expect(textureCoord_3_0_243, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_244 = textureCoords_3_0.elementAt(244);
      expect(textureCoord_3_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_3_0_245 = textureCoords_3_0.elementAt(245);
      expect(textureCoord_3_0_245, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_246 = textureCoords_3_0.elementAt(246);
      expect(textureCoord_3_0_246, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_3_0_247 = textureCoords_3_0.elementAt(247);
      expect(textureCoord_3_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_3_0_248 = textureCoords_3_0.elementAt(248);
      expect(textureCoord_3_0_248, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_249 = textureCoords_3_0.elementAt(249);
      expect(textureCoord_3_0_249, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_3_0_250 = textureCoords_3_0.elementAt(250);
      expect(textureCoord_3_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_3_0_251 = textureCoords_3_0.elementAt(251);
      expect(textureCoord_3_0_251, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_3_0_252 = textureCoords_3_0.elementAt(252);
      expect(textureCoord_3_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_253 = textureCoords_3_0.elementAt(253);
      expect(textureCoord_3_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_254 = textureCoords_3_0.elementAt(254);
      expect(textureCoord_3_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_255 = textureCoords_3_0.elementAt(255);
      expect(textureCoord_3_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_256 = textureCoords_3_0.elementAt(256);
      expect(textureCoord_3_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_257 = textureCoords_3_0.elementAt(257);
      expect(textureCoord_3_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_3_0_258 = textureCoords_3_0.elementAt(258);
      expect(textureCoord_3_0_258, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_3_0_259 = textureCoords_3_0.elementAt(259);
      expect(textureCoord_3_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_3_0_260 = textureCoords_3_0.elementAt(260);
      expect(textureCoord_3_0_260, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_3_0_261 = textureCoords_3_0.elementAt(261);
      expect(textureCoord_3_0_261, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_3_0_262 = textureCoords_3_0.elementAt(262);
      expect(textureCoord_3_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_3_0_263 = textureCoords_3_0.elementAt(263);
      expect(textureCoord_3_0_263, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_3_0_264 = textureCoords_3_0.elementAt(264);
      expect(textureCoord_3_0_264, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_3_0_265 = textureCoords_3_0.elementAt(265);
      expect(textureCoord_3_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_266 = textureCoords_3_0.elementAt(266);
      expect(textureCoord_3_0_266, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_3_0_267 = textureCoords_3_0.elementAt(267);
      expect(textureCoord_3_0_267, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_3_0_268 = textureCoords_3_0.elementAt(268);
      expect(textureCoord_3_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_3_0_269 = textureCoords_3_0.elementAt(269);
      expect(textureCoord_3_0_269, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_270 = textureCoords_3_0.elementAt(270);
      expect(textureCoord_3_0_270, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_3_0_271 = textureCoords_3_0.elementAt(271);
      expect(textureCoord_3_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_3_0_272 = textureCoords_3_0.elementAt(272);
      expect(textureCoord_3_0_272, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_273 = textureCoords_3_0.elementAt(273);
      expect(textureCoord_3_0_273, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_3_0_274 = textureCoords_3_0.elementAt(274);
      expect(textureCoord_3_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_3_0_275 = textureCoords_3_0.elementAt(275);
      expect(textureCoord_3_0_275, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_3_0_276 = textureCoords_3_0.elementAt(276);
      expect(textureCoord_3_0_276, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_3_0_277 = textureCoords_3_0.elementAt(277);
      expect(textureCoord_3_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_278 = textureCoords_3_0.elementAt(278);
      expect(textureCoord_3_0_278, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_3_0_279 = textureCoords_3_0.elementAt(279);
      expect(textureCoord_3_0_279, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_3_0_280 = textureCoords_3_0.elementAt(280);
      expect(textureCoord_3_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_3_0_281 = textureCoords_3_0.elementAt(281);
      expect(textureCoord_3_0_281, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_282 = textureCoords_3_0.elementAt(282);
      expect(textureCoord_3_0_282, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_3_0_283 = textureCoords_3_0.elementAt(283);
      expect(textureCoord_3_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_3_0_284 = textureCoords_3_0.elementAt(284);
      expect(textureCoord_3_0_284, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_285 = textureCoords_3_0.elementAt(285);
      expect(textureCoord_3_0_285, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_3_0_286 = textureCoords_3_0.elementAt(286);
      expect(textureCoord_3_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_3_0_287 = textureCoords_3_0.elementAt(287);
      expect(textureCoord_3_0_287, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_3_0_288 = textureCoords_3_0.elementAt(288);
      expect(textureCoord_3_0_288, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_3_0_289 = textureCoords_3_0.elementAt(289);
      expect(textureCoord_3_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_3_0_290 = textureCoords_3_0.elementAt(290);
      expect(textureCoord_3_0_290, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_3_0_291 = textureCoords_3_0.elementAt(291);
      expect(textureCoord_3_0_291, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_3_0_292 = textureCoords_3_0.elementAt(292);
      expect(textureCoord_3_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_3_0_293 = textureCoords_3_0.elementAt(293);
      expect(textureCoord_3_0_293, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      expect(mesh_3.uvComponents.length, equals(1));
      expect(mesh_3.uvComponents, equals([2]));
      expect(mesh_3.faces.length, equals(98));
      expect(mesh_3.bones.length, isZero);
      expect(mesh_3.materialIndex, equals(4));
      expect(mesh_3.name, equals('Bein1Re'));
      expect(mesh_3.animMeshes.length, isZero);
      expect(mesh_3.morphingMethod, isZero);
      expect(mesh_3.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_4 = meshes.elementAt(4);
      expect(mesh_4.primitiveTypes, equals(4));
      expect(mesh_4.vertices.length, equals(294));
      final vertex_4_0 = mesh_4.vertices.elementAt(0);
      expect(vertex_4_0, vector3MoreOrLessEquals(Vector3(-32.5357819, -3.15467095, -19.1625366)));
      final vertex_4_1 = mesh_4.vertices.elementAt(1);
      expect(vertex_4_1, vector3MoreOrLessEquals(Vector3(-34.3837318, -1.82274795, -16.6521645)));
      final vertex_4_2 = mesh_4.vertices.elementAt(2);
      expect(vertex_4_2, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_3 = mesh_4.vertices.elementAt(3);
      expect(vertex_4_3, vector3MoreOrLessEquals(Vector3(-43.3857803, -41.5831604, -95.2187424)));
      final vertex_4_4 = mesh_4.vertices.elementAt(4);
      expect(vertex_4_4, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_5 = mesh_4.vertices.elementAt(5);
      expect(vertex_4_5, vector3MoreOrLessEquals(Vector3(-43.6942368, -41.0689011, -95.4345016)));
      final vertex_4_6 = mesh_4.vertices.elementAt(6);
      expect(vertex_4_6, vector3MoreOrLessEquals(Vector3(-32.5357819, -3.15467095, -19.1625366)));
      final vertex_4_7 = mesh_4.vertices.elementAt(7);
      expect(vertex_4_7, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_8 = mesh_4.vertices.elementAt(8);
      expect(vertex_4_8, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_9 = mesh_4.vertices.elementAt(9);
      expect(vertex_4_9, vector3MoreOrLessEquals(Vector3(-32.5357819, -3.15467095, -19.1625366)));
      final vertex_4_10 = mesh_4.vertices.elementAt(10);
      expect(vertex_4_10, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_11 = mesh_4.vertices.elementAt(11);
      expect(vertex_4_11, vector3MoreOrLessEquals(Vector3(-34.3837318, -1.82274795, -16.6521645)));
      final vertex_4_12 = mesh_4.vertices.elementAt(12);
      expect(vertex_4_12, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_13 = mesh_4.vertices.elementAt(13);
      expect(vertex_4_13, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_14 = mesh_4.vertices.elementAt(14);
      expect(vertex_4_14, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_15 = mesh_4.vertices.elementAt(15);
      expect(vertex_4_15, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_16 = mesh_4.vertices.elementAt(16);
      expect(vertex_4_16, vector3MoreOrLessEquals(Vector3(-38.6766319, 28.3423996, -51.0305977)));
      final vertex_4_17 = mesh_4.vertices.elementAt(17);
      expect(vertex_4_17, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_18 = mesh_4.vertices.elementAt(18);
      expect(vertex_4_18, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_19 = mesh_4.vertices.elementAt(19);
      expect(vertex_4_19, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_20 = mesh_4.vertices.elementAt(20);
      expect(vertex_4_20, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_21 = mesh_4.vertices.elementAt(21);
      expect(vertex_4_21, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_22 = mesh_4.vertices.elementAt(22);
      expect(vertex_4_22, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_23 = mesh_4.vertices.elementAt(23);
      expect(vertex_4_23, vector3MoreOrLessEquals(Vector3(-38.6766319, 28.3423996, -51.0305977)));
      final vertex_4_24 = mesh_4.vertices.elementAt(24);
      expect(vertex_4_24, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_25 = mesh_4.vertices.elementAt(25);
      expect(vertex_4_25, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_26 = mesh_4.vertices.elementAt(26);
      expect(vertex_4_26, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_27 = mesh_4.vertices.elementAt(27);
      expect(vertex_4_27, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_28 = mesh_4.vertices.elementAt(28);
      expect(vertex_4_28, vector3MoreOrLessEquals(Vector3(-40.7779884, 4.45497084, -80.9743118)));
      final vertex_4_29 = mesh_4.vertices.elementAt(29);
      expect(vertex_4_29, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_30 = mesh_4.vertices.elementAt(30);
      expect(vertex_4_30, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_31 = mesh_4.vertices.elementAt(31);
      expect(vertex_4_31, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      final vertex_4_32 = mesh_4.vertices.elementAt(32);
      expect(vertex_4_32, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_33 = mesh_4.vertices.elementAt(33);
      expect(vertex_4_33, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_34 = mesh_4.vertices.elementAt(34);
      expect(vertex_4_34, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_35 = mesh_4.vertices.elementAt(35);
      expect(vertex_4_35, vector3MoreOrLessEquals(Vector3(-40.7779884, 4.45497084, -80.9743118)));
      final vertex_4_36 = mesh_4.vertices.elementAt(36);
      expect(vertex_4_36, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      final vertex_4_37 = mesh_4.vertices.elementAt(37);
      expect(vertex_4_37, vector3MoreOrLessEquals(Vector3(-43.3857803, -41.5831604, -95.2187424)));
      final vertex_4_38 = mesh_4.vertices.elementAt(38);
      expect(vertex_4_38, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_39 = mesh_4.vertices.elementAt(39);
      expect(vertex_4_39, vector3MoreOrLessEquals(Vector3(-43.3857803, -41.5831604, -95.2187424)));
      final vertex_4_40 = mesh_4.vertices.elementAt(40);
      expect(vertex_4_40, vector3MoreOrLessEquals(Vector3(-43.6942368, -41.0689011, -95.4345016)));
      final vertex_4_41 = mesh_4.vertices.elementAt(41);
      expect(vertex_4_41, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_42 = mesh_4.vertices.elementAt(42);
      expect(vertex_4_42, vector3MoreOrLessEquals(Vector3(-34.3837318, -1.82274795, -16.6521645)));
      final vertex_4_43 = mesh_4.vertices.elementAt(43);
      expect(vertex_4_43, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_44 = mesh_4.vertices.elementAt(44);
      expect(vertex_4_44, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_45 = mesh_4.vertices.elementAt(45);
      expect(vertex_4_45, vector3MoreOrLessEquals(Vector3(-43.6942368, -41.0689011, -95.4345016)));
      final vertex_4_46 = mesh_4.vertices.elementAt(46);
      expect(vertex_4_46, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_47 = mesh_4.vertices.elementAt(47);
      expect(vertex_4_47, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_48 = mesh_4.vertices.elementAt(48);
      expect(vertex_4_48, vector3MoreOrLessEquals(Vector3(-34.3837318, -1.82274795, -16.6521645)));
      final vertex_4_49 = mesh_4.vertices.elementAt(49);
      expect(vertex_4_49, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_50 = mesh_4.vertices.elementAt(50);
      expect(vertex_4_50, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_51 = mesh_4.vertices.elementAt(51);
      expect(vertex_4_51, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_52 = mesh_4.vertices.elementAt(52);
      expect(vertex_4_52, vector3MoreOrLessEquals(Vector3(-38.4676704, 7.7851491, -36.5219193)));
      final vertex_4_53 = mesh_4.vertices.elementAt(53);
      expect(vertex_4_53, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_54 = mesh_4.vertices.elementAt(54);
      expect(vertex_4_54, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_55 = mesh_4.vertices.elementAt(55);
      expect(vertex_4_55, vector3MoreOrLessEquals(Vector3(-38.6766319, 28.3423996, -51.0305977)));
      final vertex_4_56 = mesh_4.vertices.elementAt(56);
      expect(vertex_4_56, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_57 = mesh_4.vertices.elementAt(57);
      expect(vertex_4_57, vector3MoreOrLessEquals(Vector3(-36.3515892, 8.47675705, -37.1533737)));
      final vertex_4_58 = mesh_4.vertices.elementAt(58);
      expect(vertex_4_58, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_59 = mesh_4.vertices.elementAt(59);
      expect(vertex_4_59, vector3MoreOrLessEquals(Vector3(-38.4676704, 7.7851491, -36.5219193)));
      final vertex_4_60 = mesh_4.vertices.elementAt(60);
      expect(vertex_4_60, vector3MoreOrLessEquals(Vector3(-38.6766319, 28.3423996, -51.0305977)));
      final vertex_4_61 = mesh_4.vertices.elementAt(61);
      expect(vertex_4_61, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_62 = mesh_4.vertices.elementAt(62);
      expect(vertex_4_62, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_63 = mesh_4.vertices.elementAt(63);
      expect(vertex_4_63, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_64 = mesh_4.vertices.elementAt(64);
      expect(vertex_4_64, vector3MoreOrLessEquals(Vector3(-40.8775291, 28.1469879, -56.198307)));
      final vertex_4_65 = mesh_4.vertices.elementAt(65);
      expect(vertex_4_65, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_66 = mesh_4.vertices.elementAt(66);
      expect(vertex_4_66, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_67 = mesh_4.vertices.elementAt(67);
      expect(vertex_4_67, vector3MoreOrLessEquals(Vector3(-40.7779884, 4.45497084, -80.9743118)));
      final vertex_4_68 = mesh_4.vertices.elementAt(68);
      expect(vertex_4_68, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_69 = mesh_4.vertices.elementAt(69);
      expect(vertex_4_69, vector3MoreOrLessEquals(Vector3(-38.6322975, 28.7062302, -56.1658783)));
      final vertex_4_70 = mesh_4.vertices.elementAt(70);
      expect(vertex_4_70, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_71 = mesh_4.vertices.elementAt(71);
      expect(vertex_4_71, vector3MoreOrLessEquals(Vector3(-40.8775291, 28.1469879, -56.198307)));
      final vertex_4_72 = mesh_4.vertices.elementAt(72);
      expect(vertex_4_72, vector3MoreOrLessEquals(Vector3(-40.7779884, 4.45497084, -80.9743118)));
      final vertex_4_73 = mesh_4.vertices.elementAt(73);
      expect(vertex_4_73, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_74 = mesh_4.vertices.elementAt(74);
      expect(vertex_4_74, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_75 = mesh_4.vertices.elementAt(75);
      expect(vertex_4_75, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_76 = mesh_4.vertices.elementAt(76);
      expect(vertex_4_76, vector3MoreOrLessEquals(Vector3(-42.7305679, -30.6049347, -90.66996)));
      final vertex_4_77 = mesh_4.vertices.elementAt(77);
      expect(vertex_4_77, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_78 = mesh_4.vertices.elementAt(78);
      expect(vertex_4_78, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_79 = mesh_4.vertices.elementAt(79);
      expect(vertex_4_79, vector3MoreOrLessEquals(Vector3(-43.6942368, -41.0689011, -95.4345016)));
      final vertex_4_80 = mesh_4.vertices.elementAt(80);
      expect(vertex_4_80, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_81 = mesh_4.vertices.elementAt(81);
      expect(vertex_4_81, vector3MoreOrLessEquals(Vector3(-41.6864128, -30.9585838, -90.7610855)));
      final vertex_4_82 = mesh_4.vertices.elementAt(82);
      expect(vertex_4_82, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_83 = mesh_4.vertices.elementAt(83);
      expect(vertex_4_83, vector3MoreOrLessEquals(Vector3(-42.7305679, -30.6049347, -90.66996)));
      final vertex_4_84 = mesh_4.vertices.elementAt(84);
      expect(vertex_4_84, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_85 = mesh_4.vertices.elementAt(85);
      expect(vertex_4_85, vector3MoreOrLessEquals(Vector3(-40.2352791, -2.31740999, -18.7073097)));
      final vertex_4_86 = mesh_4.vertices.elementAt(86);
      expect(vertex_4_86, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_87 = mesh_4.vertices.elementAt(87);
      expect(vertex_4_87, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_88 = mesh_4.vertices.elementAt(88);
      expect(vertex_4_88, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_89 = mesh_4.vertices.elementAt(89);
      expect(vertex_4_89, vector3MoreOrLessEquals(Vector3(-44.4495163, -41.3071823, -95.0146561)));
      final vertex_4_90 = mesh_4.vertices.elementAt(90);
      expect(vertex_4_90, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_91 = mesh_4.vertices.elementAt(91);
      expect(vertex_4_91, vector3MoreOrLessEquals(Vector3(-38.4676704, 7.7851491, -36.5219193)));
      final vertex_4_92 = mesh_4.vertices.elementAt(92);
      expect(vertex_4_92, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_93 = mesh_4.vertices.elementAt(93);
      expect(vertex_4_93, vector3MoreOrLessEquals(Vector3(-37.8103333, -1.45013094, -16.4495506)));
      final vertex_4_94 = mesh_4.vertices.elementAt(94);
      expect(vertex_4_94, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_95 = mesh_4.vertices.elementAt(95);
      expect(vertex_4_95, vector3MoreOrLessEquals(Vector3(-40.2352791, -2.31740999, -18.7073097)));
      final vertex_4_96 = mesh_4.vertices.elementAt(96);
      expect(vertex_4_96, vector3MoreOrLessEquals(Vector3(-38.4676704, 7.7851491, -36.5219193)));
      final vertex_4_97 = mesh_4.vertices.elementAt(97);
      expect(vertex_4_97, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_98 = mesh_4.vertices.elementAt(98);
      expect(vertex_4_98, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_99 = mesh_4.vertices.elementAt(99);
      expect(vertex_4_99, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_100 = mesh_4.vertices.elementAt(100);
      expect(vertex_4_100, vector3MoreOrLessEquals(Vector3(-40.6328773, 26.7006912, -51.0532532)));
      final vertex_4_101 = mesh_4.vertices.elementAt(101);
      expect(vertex_4_101, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_102 = mesh_4.vertices.elementAt(102);
      expect(vertex_4_102, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_103 = mesh_4.vertices.elementAt(103);
      expect(vertex_4_103, vector3MoreOrLessEquals(Vector3(-40.8775291, 28.1469879, -56.198307)));
      final vertex_4_104 = mesh_4.vertices.elementAt(104);
      expect(vertex_4_104, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_105 = mesh_4.vertices.elementAt(105);
      expect(vertex_4_105, vector3MoreOrLessEquals(Vector3(-40.046833, 28.087738, -50.7726517)));
      final vertex_4_106 = mesh_4.vertices.elementAt(106);
      expect(vertex_4_106, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_107 = mesh_4.vertices.elementAt(107);
      expect(vertex_4_107, vector3MoreOrLessEquals(Vector3(-40.6328773, 26.7006912, -51.0532532)));
      final vertex_4_108 = mesh_4.vertices.elementAt(108);
      expect(vertex_4_108, vector3MoreOrLessEquals(Vector3(-40.8775291, 28.1469879, -56.198307)));
      final vertex_4_109 = mesh_4.vertices.elementAt(109);
      expect(vertex_4_109, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_110 = mesh_4.vertices.elementAt(110);
      expect(vertex_4_110, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_111 = mesh_4.vertices.elementAt(111);
      expect(vertex_4_111, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_112 = mesh_4.vertices.elementAt(112);
      expect(vertex_4_112, vector3MoreOrLessEquals(Vector3(-44.1894684, 2.37397599, -79.7833939)));
      final vertex_4_113 = mesh_4.vertices.elementAt(113);
      expect(vertex_4_113, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_114 = mesh_4.vertices.elementAt(114);
      expect(vertex_4_114, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_115 = mesh_4.vertices.elementAt(115);
      expect(vertex_4_115, vector3MoreOrLessEquals(Vector3(-42.7305679, -30.6049347, -90.66996)));
      final vertex_4_116 = mesh_4.vertices.elementAt(116);
      expect(vertex_4_116, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_117 = mesh_4.vertices.elementAt(117);
      expect(vertex_4_117, vector3MoreOrLessEquals(Vector3(-42.9444046, 3.68278599, -81.2296524)));
      final vertex_4_118 = mesh_4.vertices.elementAt(118);
      expect(vertex_4_118, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_119 = mesh_4.vertices.elementAt(119);
      expect(vertex_4_119, vector3MoreOrLessEquals(Vector3(-44.1894684, 2.37397599, -79.7833939)));
      final vertex_4_120 = mesh_4.vertices.elementAt(120);
      expect(vertex_4_120, vector3MoreOrLessEquals(Vector3(-42.7305679, -30.6049347, -90.66996)));
      final vertex_4_121 = mesh_4.vertices.elementAt(121);
      expect(vertex_4_121, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_122 = mesh_4.vertices.elementAt(122);
      expect(vertex_4_122, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_123 = mesh_4.vertices.elementAt(123);
      expect(vertex_4_123, vector3MoreOrLessEquals(Vector3(-44.1676559, -40.9460907, -95.3436661)));
      final vertex_4_124 = mesh_4.vertices.elementAt(124);
      expect(vertex_4_124, vector3MoreOrLessEquals(Vector3(-44.4495163, -41.3071823, -95.0146561)));
      final vertex_4_125 = mesh_4.vertices.elementAt(125);
      expect(vertex_4_125, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_126 = mesh_4.vertices.elementAt(126);
      expect(vertex_4_126, vector3MoreOrLessEquals(Vector3(-40.2352791, -2.31740999, -18.7073097)));
      final vertex_4_127 = mesh_4.vertices.elementAt(127);
      expect(vertex_4_127, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_128 = mesh_4.vertices.elementAt(128);
      expect(vertex_4_128, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_129 = mesh_4.vertices.elementAt(129);
      expect(vertex_4_129, vector3MoreOrLessEquals(Vector3(-44.4495163, -41.3071823, -95.0146561)));
      final vertex_4_130 = mesh_4.vertices.elementAt(130);
      expect(vertex_4_130, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_131 = mesh_4.vertices.elementAt(131);
      expect(vertex_4_131, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_132 = mesh_4.vertices.elementAt(132);
      expect(vertex_4_132, vector3MoreOrLessEquals(Vector3(-40.2352791, -2.31740999, -18.7073097)));
      final vertex_4_133 = mesh_4.vertices.elementAt(133);
      expect(vertex_4_133, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_134 = mesh_4.vertices.elementAt(134);
      expect(vertex_4_134, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_135 = mesh_4.vertices.elementAt(135);
      expect(vertex_4_135, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_136 = mesh_4.vertices.elementAt(136);
      expect(vertex_4_136, vector3MoreOrLessEquals(Vector3(-39.4661751, 5.02854013, -39.4869041)));
      final vertex_4_137 = mesh_4.vertices.elementAt(137);
      expect(vertex_4_137, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_138 = mesh_4.vertices.elementAt(138);
      expect(vertex_4_138, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_139 = mesh_4.vertices.elementAt(139);
      expect(vertex_4_139, vector3MoreOrLessEquals(Vector3(-40.6328773, 26.7006912, -51.0532532)));
      final vertex_4_140 = mesh_4.vertices.elementAt(140);
      expect(vertex_4_140, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_141 = mesh_4.vertices.elementAt(141);
      expect(vertex_4_141, vector3MoreOrLessEquals(Vector3(-39.8537827, 6.25055313, -37.5604439)));
      final vertex_4_142 = mesh_4.vertices.elementAt(142);
      expect(vertex_4_142, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_143 = mesh_4.vertices.elementAt(143);
      expect(vertex_4_143, vector3MoreOrLessEquals(Vector3(-39.4661751, 5.02854013, -39.4869041)));
      final vertex_4_144 = mesh_4.vertices.elementAt(144);
      expect(vertex_4_144, vector3MoreOrLessEquals(Vector3(-40.6328773, 26.7006912, -51.0532532)));
      final vertex_4_145 = mesh_4.vertices.elementAt(145);
      expect(vertex_4_145, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_146 = mesh_4.vertices.elementAt(146);
      expect(vertex_4_146, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_147 = mesh_4.vertices.elementAt(147);
      expect(vertex_4_147, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_148 = mesh_4.vertices.elementAt(148);
      expect(vertex_4_148, vector3MoreOrLessEquals(Vector3(-40.9337578, 24.4245892, -54.3200798)));
      final vertex_4_149 = mesh_4.vertices.elementAt(149);
      expect(vertex_4_149, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_150 = mesh_4.vertices.elementAt(150);
      expect(vertex_4_150, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_151 = mesh_4.vertices.elementAt(151);
      expect(vertex_4_151, vector3MoreOrLessEquals(Vector3(-44.1894684, 2.37397599, -79.7833939)));
      final vertex_4_152 = mesh_4.vertices.elementAt(152);
      expect(vertex_4_152, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_153 = mesh_4.vertices.elementAt(153);
      expect(vertex_4_153, vector3MoreOrLessEquals(Vector3(-41.9017754, 26.2414932, -55.3768349)));
      final vertex_4_154 = mesh_4.vertices.elementAt(154);
      expect(vertex_4_154, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_155 = mesh_4.vertices.elementAt(155);
      expect(vertex_4_155, vector3MoreOrLessEquals(Vector3(-40.9337578, 24.4245892, -54.3200798)));
      final vertex_4_156 = mesh_4.vertices.elementAt(156);
      expect(vertex_4_156, vector3MoreOrLessEquals(Vector3(-44.1894684, 2.37397599, -79.7833939)));
      final vertex_4_157 = mesh_4.vertices.elementAt(157);
      expect(vertex_4_157, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_158 = mesh_4.vertices.elementAt(158);
      expect(vertex_4_158, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_159 = mesh_4.vertices.elementAt(159);
      expect(vertex_4_159, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_160 = mesh_4.vertices.elementAt(160);
      expect(vertex_4_160, vector3MoreOrLessEquals(Vector3(-42.7935486, -33.2662239, -88.5479813)));
      final vertex_4_161 = mesh_4.vertices.elementAt(161);
      expect(vertex_4_161, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_162 = mesh_4.vertices.elementAt(162);
      expect(vertex_4_162, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_163 = mesh_4.vertices.elementAt(163);
      expect(vertex_4_163, vector3MoreOrLessEquals(Vector3(-44.4495163, -41.3071823, -95.0146561)));
      final vertex_4_164 = mesh_4.vertices.elementAt(164);
      expect(vertex_4_164, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_165 = mesh_4.vertices.elementAt(165);
      expect(vertex_4_165, vector3MoreOrLessEquals(Vector3(-43.2232666, -31.6319122, -89.6850662)));
      final vertex_4_166 = mesh_4.vertices.elementAt(166);
      expect(vertex_4_166, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_167 = mesh_4.vertices.elementAt(167);
      expect(vertex_4_167, vector3MoreOrLessEquals(Vector3(-42.7935486, -33.2662239, -88.5479813)));
      final vertex_4_168 = mesh_4.vertices.elementAt(168);
      expect(vertex_4_168, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_169 = mesh_4.vertices.elementAt(169);
      expect(vertex_4_169, vector3MoreOrLessEquals(Vector3(-36.9053688, -4.71746922, -23.2307949)));
      final vertex_4_170 = mesh_4.vertices.elementAt(170);
      expect(vertex_4_170, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_171 = mesh_4.vertices.elementAt(171);
      expect(vertex_4_171, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_172 = mesh_4.vertices.elementAt(172);
      expect(vertex_4_172, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_173 = mesh_4.vertices.elementAt(173);
      expect(vertex_4_173, vector3MoreOrLessEquals(Vector3(-43.8937149, -42.2338257, -94.6259232)));
      final vertex_4_174 = mesh_4.vertices.elementAt(174);
      expect(vertex_4_174, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_175 = mesh_4.vertices.elementAt(175);
      expect(vertex_4_175, vector3MoreOrLessEquals(Vector3(-39.4661751, 5.02854013, -39.4869041)));
      final vertex_4_176 = mesh_4.vertices.elementAt(176);
      expect(vertex_4_176, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_177 = mesh_4.vertices.elementAt(177);
      expect(vertex_4_177, vector3MoreOrLessEquals(Vector3(-39.832531, -3.77150893, -21.7252274)));
      final vertex_4_178 = mesh_4.vertices.elementAt(178);
      expect(vertex_4_178, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_179 = mesh_4.vertices.elementAt(179);
      expect(vertex_4_179, vector3MoreOrLessEquals(Vector3(-36.9053688, -4.71746922, -23.2307949)));
      final vertex_4_180 = mesh_4.vertices.elementAt(180);
      expect(vertex_4_180, vector3MoreOrLessEquals(Vector3(-39.4661751, 5.02854013, -39.4869041)));
      final vertex_4_181 = mesh_4.vertices.elementAt(181);
      expect(vertex_4_181, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_182 = mesh_4.vertices.elementAt(182);
      expect(vertex_4_182, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_183 = mesh_4.vertices.elementAt(183);
      expect(vertex_4_183, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_184 = mesh_4.vertices.elementAt(184);
      expect(vertex_4_184, vector3MoreOrLessEquals(Vector3(-38.6100616, 24.7735291, -52.1384315)));
      final vertex_4_185 = mesh_4.vertices.elementAt(185);
      expect(vertex_4_185, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_186 = mesh_4.vertices.elementAt(186);
      expect(vertex_4_186, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_187 = mesh_4.vertices.elementAt(187);
      expect(vertex_4_187, vector3MoreOrLessEquals(Vector3(-40.9337578, 24.4245892, -54.3200798)));
      final vertex_4_188 = mesh_4.vertices.elementAt(188);
      expect(vertex_4_188, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_189 = mesh_4.vertices.elementAt(189);
      expect(vertex_4_189, vector3MoreOrLessEquals(Vector3(-39.9934578, 25.2257156, -51.6610909)));
      final vertex_4_190 = mesh_4.vertices.elementAt(190);
      expect(vertex_4_190, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_191 = mesh_4.vertices.elementAt(191);
      expect(vertex_4_191, vector3MoreOrLessEquals(Vector3(-38.6100616, 24.7735291, -52.1384315)));
      final vertex_4_192 = mesh_4.vertices.elementAt(192);
      expect(vertex_4_192, vector3MoreOrLessEquals(Vector3(-40.9337578, 24.4245892, -54.3200798)));
      final vertex_4_193 = mesh_4.vertices.elementAt(193);
      expect(vertex_4_193, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_194 = mesh_4.vertices.elementAt(194);
      expect(vertex_4_194, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_195 = mesh_4.vertices.elementAt(195);
      expect(vertex_4_195, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_196 = mesh_4.vertices.elementAt(196);
      expect(vertex_4_196, vector3MoreOrLessEquals(Vector3(-41.5650826, 1.75060105, -76.6035843)));
      final vertex_4_197 = mesh_4.vertices.elementAt(197);
      expect(vertex_4_197, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_198 = mesh_4.vertices.elementAt(198);
      expect(vertex_4_198, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_199 = mesh_4.vertices.elementAt(199);
      expect(vertex_4_199, vector3MoreOrLessEquals(Vector3(-42.7935486, -33.2662239, -88.5479813)));
      final vertex_4_200 = mesh_4.vertices.elementAt(200);
      expect(vertex_4_200, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_201 = mesh_4.vertices.elementAt(201);
      expect(vertex_4_201, vector3MoreOrLessEquals(Vector3(-43.5756378, 1.51406908, -77.7246475)));
      final vertex_4_202 = mesh_4.vertices.elementAt(202);
      expect(vertex_4_202, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_203 = mesh_4.vertices.elementAt(203);
      expect(vertex_4_203, vector3MoreOrLessEquals(Vector3(-41.5650826, 1.75060105, -76.6035843)));
      final vertex_4_204 = mesh_4.vertices.elementAt(204);
      expect(vertex_4_204, vector3MoreOrLessEquals(Vector3(-42.7935486, -33.2662239, -88.5479813)));
      final vertex_4_205 = mesh_4.vertices.elementAt(205);
      expect(vertex_4_205, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_206 = mesh_4.vertices.elementAt(206);
      expect(vertex_4_206, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_207 = mesh_4.vertices.elementAt(207);
      expect(vertex_4_207, vector3MoreOrLessEquals(Vector3(-44.3276138, -41.8803024, -94.6952591)));
      final vertex_4_208 = mesh_4.vertices.elementAt(208);
      expect(vertex_4_208, vector3MoreOrLessEquals(Vector3(-43.8937149, -42.2338257, -94.6259232)));
      final vertex_4_209 = mesh_4.vertices.elementAt(209);
      expect(vertex_4_209, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_210 = mesh_4.vertices.elementAt(210);
      expect(vertex_4_210, vector3MoreOrLessEquals(Vector3(-36.9053688, -4.71746922, -23.2307949)));
      final vertex_4_211 = mesh_4.vertices.elementAt(211);
      expect(vertex_4_211, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_212 = mesh_4.vertices.elementAt(212);
      expect(vertex_4_212, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_213 = mesh_4.vertices.elementAt(213);
      expect(vertex_4_213, vector3MoreOrLessEquals(Vector3(-43.8937149, -42.2338257, -94.6259232)));
      final vertex_4_214 = mesh_4.vertices.elementAt(214);
      expect(vertex_4_214, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_215 = mesh_4.vertices.elementAt(215);
      expect(vertex_4_215, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_216 = mesh_4.vertices.elementAt(216);
      expect(vertex_4_216, vector3MoreOrLessEquals(Vector3(-36.9053688, -4.71746922, -23.2307949)));
      final vertex_4_217 = mesh_4.vertices.elementAt(217);
      expect(vertex_4_217, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_218 = mesh_4.vertices.elementAt(218);
      expect(vertex_4_218, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_219 = mesh_4.vertices.elementAt(219);
      expect(vertex_4_219, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_220 = mesh_4.vertices.elementAt(220);
      expect(vertex_4_220, vector3MoreOrLessEquals(Vector3(-35.6531067, 6.27474785, -40.6247368)));
      final vertex_4_221 = mesh_4.vertices.elementAt(221);
      expect(vertex_4_221, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_222 = mesh_4.vertices.elementAt(222);
      expect(vertex_4_222, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_223 = mesh_4.vertices.elementAt(223);
      expect(vertex_4_223, vector3MoreOrLessEquals(Vector3(-38.6100616, 24.7735291, -52.1384315)));
      final vertex_4_224 = mesh_4.vertices.elementAt(224);
      expect(vertex_4_224, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_225 = mesh_4.vertices.elementAt(225);
      expect(vertex_4_225, vector3MoreOrLessEquals(Vector3(-37.5966759, 5.0392909, -40.8506393)));
      final vertex_4_226 = mesh_4.vertices.elementAt(226);
      expect(vertex_4_226, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_227 = mesh_4.vertices.elementAt(227);
      expect(vertex_4_227, vector3MoreOrLessEquals(Vector3(-35.6531067, 6.27474785, -40.6247368)));
      final vertex_4_228 = mesh_4.vertices.elementAt(228);
      expect(vertex_4_228, vector3MoreOrLessEquals(Vector3(-38.6100616, 24.7735291, -52.1384315)));
      final vertex_4_229 = mesh_4.vertices.elementAt(229);
      expect(vertex_4_229, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_230 = mesh_4.vertices.elementAt(230);
      expect(vertex_4_230, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_231 = mesh_4.vertices.elementAt(231);
      expect(vertex_4_231, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_232 = mesh_4.vertices.elementAt(232);
      expect(vertex_4_232, vector3MoreOrLessEquals(Vector3(-36.8880005, 25.4323273, -54.2617264)));
      final vertex_4_233 = mesh_4.vertices.elementAt(233);
      expect(vertex_4_233, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_234 = mesh_4.vertices.elementAt(234);
      expect(vertex_4_234, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_235 = mesh_4.vertices.elementAt(235);
      expect(vertex_4_235, vector3MoreOrLessEquals(Vector3(-41.5650826, 1.75060105, -76.6035843)));
      final vertex_4_236 = mesh_4.vertices.elementAt(236);
      expect(vertex_4_236, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_237 = mesh_4.vertices.elementAt(237);
      expect(vertex_4_237, vector3MoreOrLessEquals(Vector3(-38.7024155, 24.0644665, -53.8237953)));
      final vertex_4_238 = mesh_4.vertices.elementAt(238);
      expect(vertex_4_238, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_239 = mesh_4.vertices.elementAt(239);
      expect(vertex_4_239, vector3MoreOrLessEquals(Vector3(-36.8880005, 25.4323273, -54.2617264)));
      final vertex_4_240 = mesh_4.vertices.elementAt(240);
      expect(vertex_4_240, vector3MoreOrLessEquals(Vector3(-41.5650826, 1.75060105, -76.6035843)));
      final vertex_4_241 = mesh_4.vertices.elementAt(241);
      expect(vertex_4_241, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_242 = mesh_4.vertices.elementAt(242);
      expect(vertex_4_242, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_243 = mesh_4.vertices.elementAt(243);
      expect(vertex_4_243, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_244 = mesh_4.vertices.elementAt(244);
      expect(vertex_4_244, vector3MoreOrLessEquals(Vector3(-40.9120522, -33.9035225, -88.7120895)));
      final vertex_4_245 = mesh_4.vertices.elementAt(245);
      expect(vertex_4_245, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_246 = mesh_4.vertices.elementAt(246);
      expect(vertex_4_246, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_247 = mesh_4.vertices.elementAt(247);
      expect(vertex_4_247, vector3MoreOrLessEquals(Vector3(-43.8937149, -42.2338257, -94.6259232)));
      final vertex_4_248 = mesh_4.vertices.elementAt(248);
      expect(vertex_4_248, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_249 = mesh_4.vertices.elementAt(249);
      expect(vertex_4_249, vector3MoreOrLessEquals(Vector3(-41.7649345, -34.2771835, -88.1149826)));
      final vertex_4_250 = mesh_4.vertices.elementAt(250);
      expect(vertex_4_250, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_251 = mesh_4.vertices.elementAt(251);
      expect(vertex_4_251, vector3MoreOrLessEquals(Vector3(-40.9120522, -33.9035225, -88.7120895)));
      final vertex_4_252 = mesh_4.vertices.elementAt(252);
      expect(vertex_4_252, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_253 = mesh_4.vertices.elementAt(253);
      expect(vertex_4_253, vector3MoreOrLessEquals(Vector3(-32.5357819, -3.15467095, -19.1625366)));
      final vertex_4_254 = mesh_4.vertices.elementAt(254);
      expect(vertex_4_254, vector3MoreOrLessEquals(Vector3(-36.4801521, -3.09668398, -19.7168503)));
      final vertex_4_255 = mesh_4.vertices.elementAt(255);
      expect(vertex_4_255, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_256 = mesh_4.vertices.elementAt(256);
      expect(vertex_4_256, vector3MoreOrLessEquals(Vector3(-43.9132614, -41.5887375, -95.0273514)));
      final vertex_4_257 = mesh_4.vertices.elementAt(257);
      expect(vertex_4_257, vector3MoreOrLessEquals(Vector3(-43.3857803, -41.5831604, -95.2187424)));
      final vertex_4_258 = mesh_4.vertices.elementAt(258);
      expect(vertex_4_258, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_259 = mesh_4.vertices.elementAt(259);
      expect(vertex_4_259, vector3MoreOrLessEquals(Vector3(-35.6531067, 6.27474785, -40.6247368)));
      final vertex_4_260 = mesh_4.vertices.elementAt(260);
      expect(vertex_4_260, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_261 = mesh_4.vertices.elementAt(261);
      expect(vertex_4_261, vector3MoreOrLessEquals(Vector3(-33.6580238, -4.44294786, -22.0902901)));
      final vertex_4_262 = mesh_4.vertices.elementAt(262);
      expect(vertex_4_262, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_263 = mesh_4.vertices.elementAt(263);
      expect(vertex_4_263, vector3MoreOrLessEquals(Vector3(-32.5357819, -3.15467095, -19.1625366)));
      final vertex_4_264 = mesh_4.vertices.elementAt(264);
      expect(vertex_4_264, vector3MoreOrLessEquals(Vector3(-35.6531067, 6.27474785, -40.6247368)));
      final vertex_4_265 = mesh_4.vertices.elementAt(265);
      expect(vertex_4_265, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_266 = mesh_4.vertices.elementAt(266);
      expect(vertex_4_266, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_267 = mesh_4.vertices.elementAt(267);
      expect(vertex_4_267, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_268 = mesh_4.vertices.elementAt(268);
      expect(vertex_4_268, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_269 = mesh_4.vertices.elementAt(269);
      expect(vertex_4_269, vector3MoreOrLessEquals(Vector3(-35.0989876, 7.80455589, -38.9793053)));
      final vertex_4_270 = mesh_4.vertices.elementAt(270);
      expect(vertex_4_270, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_271 = mesh_4.vertices.elementAt(271);
      expect(vertex_4_271, vector3MoreOrLessEquals(Vector3(-36.8880005, 25.4323273, -54.2617264)));
      final vertex_4_272 = mesh_4.vertices.elementAt(272);
      expect(vertex_4_272, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_273 = mesh_4.vertices.elementAt(273);
      expect(vertex_4_273, vector3MoreOrLessEquals(Vector3(-37.5244408, 25.6846161, -52.1258163)));
      final vertex_4_274 = mesh_4.vertices.elementAt(274);
      expect(vertex_4_274, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_275 = mesh_4.vertices.elementAt(275);
      expect(vertex_4_275, vector3MoreOrLessEquals(Vector3(-37.5540581, 27.2728806, -51.6328163)));
      final vertex_4_276 = mesh_4.vertices.elementAt(276);
      expect(vertex_4_276, vector3MoreOrLessEquals(Vector3(-36.8880005, 25.4323273, -54.2617264)));
      final vertex_4_277 = mesh_4.vertices.elementAt(277);
      expect(vertex_4_277, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_278 = mesh_4.vertices.elementAt(278);
      expect(vertex_4_278, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_279 = mesh_4.vertices.elementAt(279);
      expect(vertex_4_279, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_280 = mesh_4.vertices.elementAt(280);
      expect(vertex_4_280, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_281 = mesh_4.vertices.elementAt(281);
      expect(vertex_4_281, vector3MoreOrLessEquals(Vector3(-36.8568001, 27.4980927, -55.3040657)));
      final vertex_4_282 = mesh_4.vertices.elementAt(282);
      expect(vertex_4_282, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_283 = mesh_4.vertices.elementAt(283);
      expect(vertex_4_283, vector3MoreOrLessEquals(Vector3(-40.9120522, -33.9035225, -88.7120895)));
      final vertex_4_284 = mesh_4.vertices.elementAt(284);
      expect(vertex_4_284, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      final vertex_4_285 = mesh_4.vertices.elementAt(285);
      expect(vertex_4_285, vector3MoreOrLessEquals(Vector3(-39.6718864, 2.90549803, -77.2645035)));
      final vertex_4_286 = mesh_4.vertices.elementAt(286);
      expect(vertex_4_286, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      final vertex_4_287 = mesh_4.vertices.elementAt(287);
      expect(vertex_4_287, vector3MoreOrLessEquals(Vector3(-39.3215866, 4.10905695, -79.2096481)));
      final vertex_4_288 = mesh_4.vertices.elementAt(288);
      expect(vertex_4_288, vector3MoreOrLessEquals(Vector3(-40.9120522, -33.9035225, -88.7120895)));
      final vertex_4_289 = mesh_4.vertices.elementAt(289);
      expect(vertex_4_289, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_290 = mesh_4.vertices.elementAt(290);
      expect(vertex_4_290, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      final vertex_4_291 = mesh_4.vertices.elementAt(291);
      expect(vertex_4_291, vector3MoreOrLessEquals(Vector3(-43.4745636, -42.1016159, -94.8589249)));
      final vertex_4_292 = mesh_4.vertices.elementAt(292);
      expect(vertex_4_292, vector3MoreOrLessEquals(Vector3(-43.3857803, -41.5831604, -95.2187424)));
      final vertex_4_293 = mesh_4.vertices.elementAt(293);
      expect(vertex_4_293, vector3MoreOrLessEquals(Vector3(-40.8770866, -32.4266052, -89.8897324)));
      expect(mesh_4.normals.length, equals(294));
      final normal_4_0 = mesh_4.normals.elementAt(0);
      expect(normal_4_0, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_1 = mesh_4.normals.elementAt(1);
      expect(normal_4_1, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_2 = mesh_4.normals.elementAt(2);
      expect(normal_4_2, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_3 = mesh_4.normals.elementAt(3);
      expect(normal_4_3, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_4 = mesh_4.normals.elementAt(4);
      expect(normal_4_4, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_5 = mesh_4.normals.elementAt(5);
      expect(normal_4_5, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_6 = mesh_4.normals.elementAt(6);
      expect(normal_4_6, vector3MoreOrLessEquals(Vector3(0.918806016, 0.38398701, 0.0913719982)));
      final normal_4_7 = mesh_4.normals.elementAt(7);
      expect(normal_4_7, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_8 = mesh_4.normals.elementAt(8);
      expect(normal_4_8, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_9 = mesh_4.normals.elementAt(9);
      expect(normal_4_9, vector3MoreOrLessEquals(Vector3(0.918806016, 0.38398701, 0.0913719982)));
      final normal_4_10 = mesh_4.normals.elementAt(10);
      expect(normal_4_10, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_11 = mesh_4.normals.elementAt(11);
      expect(normal_4_11, vector3MoreOrLessEquals(Vector3(0.471863002, 0.805176973, 0.359216005)));
      final normal_4_12 = mesh_4.normals.elementAt(12);
      expect(normal_4_12, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_13 = mesh_4.normals.elementAt(13);
      expect(normal_4_13, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_14 = mesh_4.normals.elementAt(14);
      expect(normal_4_14, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_15 = mesh_4.normals.elementAt(15);
      expect(normal_4_15, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_16 = mesh_4.normals.elementAt(16);
      expect(normal_4_16, vector3MoreOrLessEquals(Vector3(0.38696599, 0.811178029, 0.438461006)));
      final normal_4_17 = mesh_4.normals.elementAt(17);
      expect(normal_4_17, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_18 = mesh_4.normals.elementAt(18);
      expect(normal_4_18, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_19 = mesh_4.normals.elementAt(19);
      expect(normal_4_19, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_20 = mesh_4.normals.elementAt(20);
      expect(normal_4_20, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_21 = mesh_4.normals.elementAt(21);
      expect(normal_4_21, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_22 = mesh_4.normals.elementAt(22);
      expect(normal_4_22, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_23 = mesh_4.normals.elementAt(23);
      expect(normal_4_23, vector3MoreOrLessEquals(Vector3(0.38696599, 0.811178029, 0.438461006)));
      final normal_4_24 = mesh_4.normals.elementAt(24);
      expect(normal_4_24, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_25 = mesh_4.normals.elementAt(25);
      expect(normal_4_25, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_26 = mesh_4.normals.elementAt(26);
      expect(normal_4_26, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_27 = mesh_4.normals.elementAt(27);
      expect(normal_4_27, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_28 = mesh_4.normals.elementAt(28);
      expect(normal_4_28, vector3MoreOrLessEquals(Vector3(0.389797986, 0.457679987, -0.799116015)));
      final normal_4_29 = mesh_4.normals.elementAt(29);
      expect(normal_4_29, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_30 = mesh_4.normals.elementAt(30);
      expect(normal_4_30, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_31 = mesh_4.normals.elementAt(31);
      expect(normal_4_31, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      final normal_4_32 = mesh_4.normals.elementAt(32);
      expect(normal_4_32, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_33 = mesh_4.normals.elementAt(33);
      expect(normal_4_33, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_34 = mesh_4.normals.elementAt(34);
      expect(normal_4_34, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_35 = mesh_4.normals.elementAt(35);
      expect(normal_4_35, vector3MoreOrLessEquals(Vector3(0.389797986, 0.457679987, -0.799116015)));
      final normal_4_36 = mesh_4.normals.elementAt(36);
      expect(normal_4_36, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      final normal_4_37 = mesh_4.normals.elementAt(37);
      expect(normal_4_37, vector3MoreOrLessEquals(Vector3(0.886673987, 0.0174749997, -0.462065011)));
      final normal_4_38 = mesh_4.normals.elementAt(38);
      expect(normal_4_38, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_39 = mesh_4.normals.elementAt(39);
      expect(normal_4_39, vector3MoreOrLessEquals(Vector3(0.886673987, 0.0174749997, -0.462065011)));
      final normal_4_40 = mesh_4.normals.elementAt(40);
      expect(normal_4_40, vector3MoreOrLessEquals(Vector3(0.372092009, 0.327553988, -0.868479013)));
      final normal_4_41 = mesh_4.normals.elementAt(41);
      expect(normal_4_41, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_42 = mesh_4.normals.elementAt(42);
      expect(normal_4_42, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_43 = mesh_4.normals.elementAt(43);
      expect(normal_4_43, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_44 = mesh_4.normals.elementAt(44);
      expect(normal_4_44, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_45 = mesh_4.normals.elementAt(45);
      expect(normal_4_45, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_46 = mesh_4.normals.elementAt(46);
      expect(normal_4_46, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_47 = mesh_4.normals.elementAt(47);
      expect(normal_4_47, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_48 = mesh_4.normals.elementAt(48);
      expect(normal_4_48, vector3MoreOrLessEquals(Vector3(0.471863002, 0.805176973, 0.359216005)));
      final normal_4_49 = mesh_4.normals.elementAt(49);
      expect(normal_4_49, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_50 = mesh_4.normals.elementAt(50);
      expect(normal_4_50, vector3MoreOrLessEquals(Vector3(-0.38508001, 0.834046006, 0.395071)));
      final normal_4_51 = mesh_4.normals.elementAt(51);
      expect(normal_4_51, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_52 = mesh_4.normals.elementAt(52);
      expect(normal_4_52, vector3MoreOrLessEquals(Vector3(-0.476105988, 0.659960985, 0.581184983)));
      final normal_4_53 = mesh_4.normals.elementAt(53);
      expect(normal_4_53, vector3MoreOrLessEquals(Vector3(-0.38508001, 0.834046006, 0.395071)));
      final normal_4_54 = mesh_4.normals.elementAt(54);
      expect(normal_4_54, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_55 = mesh_4.normals.elementAt(55);
      expect(normal_4_55, vector3MoreOrLessEquals(Vector3(0.38696599, 0.811178029, 0.438461006)));
      final normal_4_56 = mesh_4.normals.elementAt(56);
      expect(normal_4_56, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_57 = mesh_4.normals.elementAt(57);
      expect(normal_4_57, vector3MoreOrLessEquals(Vector3(0.434383005, 0.709097981, 0.555419981)));
      final normal_4_58 = mesh_4.normals.elementAt(58);
      expect(normal_4_58, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_59 = mesh_4.normals.elementAt(59);
      expect(normal_4_59, vector3MoreOrLessEquals(Vector3(-0.476105988, 0.659960985, 0.581184983)));
      final normal_4_60 = mesh_4.normals.elementAt(60);
      expect(normal_4_60, vector3MoreOrLessEquals(Vector3(0.38696599, 0.811178029, 0.438461006)));
      final normal_4_61 = mesh_4.normals.elementAt(61);
      expect(normal_4_61, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_62 = mesh_4.normals.elementAt(62);
      expect(normal_4_62, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_63 = mesh_4.normals.elementAt(63);
      expect(normal_4_63, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_64 = mesh_4.normals.elementAt(64);
      expect(normal_4_64, vector3MoreOrLessEquals(Vector3(-0.626859009, 0.745436013, -0.226656005)));
      final normal_4_65 = mesh_4.normals.elementAt(65);
      expect(normal_4_65, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_66 = mesh_4.normals.elementAt(66);
      expect(normal_4_66, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_67 = mesh_4.normals.elementAt(67);
      expect(normal_4_67, vector3MoreOrLessEquals(Vector3(0.389797986, 0.457679987, -0.799116015)));
      final normal_4_68 = mesh_4.normals.elementAt(68);
      expect(normal_4_68, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_69 = mesh_4.normals.elementAt(69);
      expect(normal_4_69, vector3MoreOrLessEquals(Vector3(0.277938992, 0.903859019, -0.325251997)));
      final normal_4_70 = mesh_4.normals.elementAt(70);
      expect(normal_4_70, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_71 = mesh_4.normals.elementAt(71);
      expect(normal_4_71, vector3MoreOrLessEquals(Vector3(-0.626859009, 0.745436013, -0.226656005)));
      final normal_4_72 = mesh_4.normals.elementAt(72);
      expect(normal_4_72, vector3MoreOrLessEquals(Vector3(0.389797986, 0.457679987, -0.799116015)));
      final normal_4_73 = mesh_4.normals.elementAt(73);
      expect(normal_4_73, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_74 = mesh_4.normals.elementAt(74);
      expect(normal_4_74, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_75 = mesh_4.normals.elementAt(75);
      expect(normal_4_75, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_76 = mesh_4.normals.elementAt(76);
      expect(normal_4_76, vector3MoreOrLessEquals(Vector3(-0.561559021, 0.310301989, -0.767049015)));
      final normal_4_77 = mesh_4.normals.elementAt(77);
      expect(normal_4_77, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_78 = mesh_4.normals.elementAt(78);
      expect(normal_4_78, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_79 = mesh_4.normals.elementAt(79);
      expect(normal_4_79, vector3MoreOrLessEquals(Vector3(0.372092009, 0.327553988, -0.868479013)));
      final normal_4_80 = mesh_4.normals.elementAt(80);
      expect(normal_4_80, vector3MoreOrLessEquals(Vector3(-0.54381001, 0.416914999, -0.728322029)));
      final normal_4_81 = mesh_4.normals.elementAt(81);
      expect(normal_4_81, vector3MoreOrLessEquals(Vector3(0.441749007, 0.266582996, -0.85661602)));
      final normal_4_82 = mesh_4.normals.elementAt(82);
      expect(normal_4_82, vector3MoreOrLessEquals(Vector3(-0.54381001, 0.416914999, -0.728322029)));
      final normal_4_83 = mesh_4.normals.elementAt(83);
      expect(normal_4_83, vector3MoreOrLessEquals(Vector3(-0.561559021, 0.310301989, -0.767049015)));
      final normal_4_84 = mesh_4.normals.elementAt(84);
      expect(normal_4_84, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_85 = mesh_4.normals.elementAt(85);
      expect(normal_4_85, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_86 = mesh_4.normals.elementAt(86);
      expect(normal_4_86, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_87 = mesh_4.normals.elementAt(87);
      expect(normal_4_87, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_88 = mesh_4.normals.elementAt(88);
      expect(normal_4_88, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_89 = mesh_4.normals.elementAt(89);
      expect(normal_4_89, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_90 = mesh_4.normals.elementAt(90);
      expect(normal_4_90, vector3MoreOrLessEquals(Vector3(-0.38508001, 0.834046006, 0.395071)));
      final normal_4_91 = mesh_4.normals.elementAt(91);
      expect(normal_4_91, vector3MoreOrLessEquals(Vector3(-0.476105988, 0.659960985, 0.581184983)));
      final normal_4_92 = mesh_4.normals.elementAt(92);
      expect(normal_4_92, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_93 = mesh_4.normals.elementAt(93);
      expect(normal_4_93, vector3MoreOrLessEquals(Vector3(-0.38508001, 0.834046006, 0.395071)));
      final normal_4_94 = mesh_4.normals.elementAt(94);
      expect(normal_4_94, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_95 = mesh_4.normals.elementAt(95);
      expect(normal_4_95, vector3MoreOrLessEquals(Vector3(-0.917252004, 0.369282007, 0.149262995)));
      final normal_4_96 = mesh_4.normals.elementAt(96);
      expect(normal_4_96, vector3MoreOrLessEquals(Vector3(-0.476105988, 0.659960985, 0.581184983)));
      final normal_4_97 = mesh_4.normals.elementAt(97);
      expect(normal_4_97, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_98 = mesh_4.normals.elementAt(98);
      expect(normal_4_98, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_99 = mesh_4.normals.elementAt(99);
      expect(normal_4_99, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_100 = mesh_4.normals.elementAt(100);
      expect(normal_4_100, vector3MoreOrLessEquals(Vector3(-0.982764006, -0.0363040008, 0.181266993)));
      final normal_4_101 = mesh_4.normals.elementAt(101);
      expect(normal_4_101, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_102 = mesh_4.normals.elementAt(102);
      expect(normal_4_102, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_103 = mesh_4.normals.elementAt(103);
      expect(normal_4_103, vector3MoreOrLessEquals(Vector3(-0.626859009, 0.745436013, -0.226656005)));
      final normal_4_104 = mesh_4.normals.elementAt(104);
      expect(normal_4_104, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_105 = mesh_4.normals.elementAt(105);
      expect(normal_4_105, vector3MoreOrLessEquals(Vector3(-0.556160986, 0.685572982, 0.469761014)));
      final normal_4_106 = mesh_4.normals.elementAt(106);
      expect(normal_4_106, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_107 = mesh_4.normals.elementAt(107);
      expect(normal_4_107, vector3MoreOrLessEquals(Vector3(-0.982764006, -0.0363040008, 0.181266993)));
      final normal_4_108 = mesh_4.normals.elementAt(108);
      expect(normal_4_108, vector3MoreOrLessEquals(Vector3(-0.626859009, 0.745436013, -0.226656005)));
      final normal_4_109 = mesh_4.normals.elementAt(109);
      expect(normal_4_109, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_110 = mesh_4.normals.elementAt(110);
      expect(normal_4_110, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_111 = mesh_4.normals.elementAt(111);
      expect(normal_4_111, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_112 = mesh_4.normals.elementAt(112);
      expect(normal_4_112, vector3MoreOrLessEquals(Vector3(-0.988708019, 0.0906609967, -0.119318999)));
      final normal_4_113 = mesh_4.normals.elementAt(113);
      expect(normal_4_113, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_114 = mesh_4.normals.elementAt(114);
      expect(normal_4_114, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_115 = mesh_4.normals.elementAt(115);
      expect(normal_4_115, vector3MoreOrLessEquals(Vector3(-0.561559021, 0.310301989, -0.767049015)));
      final normal_4_116 = mesh_4.normals.elementAt(116);
      expect(normal_4_116, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_117 = mesh_4.normals.elementAt(117);
      expect(normal_4_117, vector3MoreOrLessEquals(Vector3(-0.554270983, 0.436145991, -0.708914995)));
      final normal_4_118 = mesh_4.normals.elementAt(118);
      expect(normal_4_118, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_119 = mesh_4.normals.elementAt(119);
      expect(normal_4_119, vector3MoreOrLessEquals(Vector3(-0.988708019, 0.0906609967, -0.119318999)));
      final normal_4_120 = mesh_4.normals.elementAt(120);
      expect(normal_4_120, vector3MoreOrLessEquals(Vector3(-0.561559021, 0.310301989, -0.767049015)));
      final normal_4_121 = mesh_4.normals.elementAt(121);
      expect(normal_4_121, vector3MoreOrLessEquals(Vector3(-0.54381001, 0.416914999, -0.728322029)));
      final normal_4_122 = mesh_4.normals.elementAt(122);
      expect(normal_4_122, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_123 = mesh_4.normals.elementAt(123);
      expect(normal_4_123, vector3MoreOrLessEquals(Vector3(-0.54381001, 0.416914999, -0.728322029)));
      final normal_4_124 = mesh_4.normals.elementAt(124);
      expect(normal_4_124, vector3MoreOrLessEquals(Vector3(-0.986899018, 0.153108001, -0.0508820005)));
      final normal_4_125 = mesh_4.normals.elementAt(125);
      expect(normal_4_125, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_126 = mesh_4.normals.elementAt(126);
      expect(normal_4_126, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_127 = mesh_4.normals.elementAt(127);
      expect(normal_4_127, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_128 = mesh_4.normals.elementAt(128);
      expect(normal_4_128, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_129 = mesh_4.normals.elementAt(129);
      expect(normal_4_129, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_130 = mesh_4.normals.elementAt(130);
      expect(normal_4_130, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_131 = mesh_4.normals.elementAt(131);
      expect(normal_4_131, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_132 = mesh_4.normals.elementAt(132);
      expect(normal_4_132, vector3MoreOrLessEquals(Vector3(-0.917252004, 0.369282007, 0.149262995)));
      final normal_4_133 = mesh_4.normals.elementAt(133);
      expect(normal_4_133, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_134 = mesh_4.normals.elementAt(134);
      expect(normal_4_134, vector3MoreOrLessEquals(Vector3(-0.78570199, -0.546218991, -0.290374011)));
      final normal_4_135 = mesh_4.normals.elementAt(135);
      expect(normal_4_135, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_136 = mesh_4.normals.elementAt(136);
      expect(normal_4_136, vector3MoreOrLessEquals(Vector3(-0.802166998, -0.447423011, -0.395399988)));
      final normal_4_137 = mesh_4.normals.elementAt(137);
      expect(normal_4_137, vector3MoreOrLessEquals(Vector3(-0.78570199, -0.546218991, -0.290374011)));
      final normal_4_138 = mesh_4.normals.elementAt(138);
      expect(normal_4_138, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_139 = mesh_4.normals.elementAt(139);
      expect(normal_4_139, vector3MoreOrLessEquals(Vector3(-0.982764006, -0.0363040008, 0.181266993)));
      final normal_4_140 = mesh_4.normals.elementAt(140);
      expect(normal_4_140, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_141 = mesh_4.normals.elementAt(141);
      expect(normal_4_141, vector3MoreOrLessEquals(Vector3(-0.974713981, 0.176357999, 0.137223005)));
      final normal_4_142 = mesh_4.normals.elementAt(142);
      expect(normal_4_142, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_143 = mesh_4.normals.elementAt(143);
      expect(normal_4_143, vector3MoreOrLessEquals(Vector3(-0.802166998, -0.447423011, -0.395399988)));
      final normal_4_144 = mesh_4.normals.elementAt(144);
      expect(normal_4_144, vector3MoreOrLessEquals(Vector3(-0.982764006, -0.0363040008, 0.181266993)));
      final normal_4_145 = mesh_4.normals.elementAt(145);
      expect(normal_4_145, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_146 = mesh_4.normals.elementAt(146);
      expect(normal_4_146, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_147 = mesh_4.normals.elementAt(147);
      expect(normal_4_147, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_148 = mesh_4.normals.elementAt(148);
      expect(normal_4_148, vector3MoreOrLessEquals(Vector3(-0.635308027, -0.586831987, 0.502008021)));
      final normal_4_149 = mesh_4.normals.elementAt(149);
      expect(normal_4_149, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_150 = mesh_4.normals.elementAt(150);
      expect(normal_4_150, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_151 = mesh_4.normals.elementAt(151);
      expect(normal_4_151, vector3MoreOrLessEquals(Vector3(-0.988708019, 0.0906609967, -0.119318999)));
      final normal_4_152 = mesh_4.normals.elementAt(152);
      expect(normal_4_152, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_153 = mesh_4.normals.elementAt(153);
      expect(normal_4_153, vector3MoreOrLessEquals(Vector3(-0.987205029, 0.0703769997, 0.143084005)));
      final normal_4_154 = mesh_4.normals.elementAt(154);
      expect(normal_4_154, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_155 = mesh_4.normals.elementAt(155);
      expect(normal_4_155, vector3MoreOrLessEquals(Vector3(-0.635308027, -0.586831987, 0.502008021)));
      final normal_4_156 = mesh_4.normals.elementAt(156);
      expect(normal_4_156, vector3MoreOrLessEquals(Vector3(-0.988708019, 0.0906609967, -0.119318999)));
      final normal_4_157 = mesh_4.normals.elementAt(157);
      expect(normal_4_157, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_158 = mesh_4.normals.elementAt(158);
      expect(normal_4_158, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_159 = mesh_4.normals.elementAt(159);
      expect(normal_4_159, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_160 = mesh_4.normals.elementAt(160);
      expect(normal_4_160, vector3MoreOrLessEquals(Vector3(-0.829074979, -0.199819997, 0.522212982)));
      final normal_4_161 = mesh_4.normals.elementAt(161);
      expect(normal_4_161, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_162 = mesh_4.normals.elementAt(162);
      expect(normal_4_162, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_163 = mesh_4.normals.elementAt(163);
      expect(normal_4_163, vector3MoreOrLessEquals(Vector3(-0.986899018, 0.153108001, -0.0508820005)));
      final normal_4_164 = mesh_4.normals.elementAt(164);
      expect(normal_4_164, vector3MoreOrLessEquals(Vector3(-0.811408997, -0.243593007, 0.531298995)));
      final normal_4_165 = mesh_4.normals.elementAt(165);
      expect(normal_4_165, vector3MoreOrLessEquals(Vector3(-0.995464981, 0.0698050037, -0.0646279976)));
      final normal_4_166 = mesh_4.normals.elementAt(166);
      expect(normal_4_166, vector3MoreOrLessEquals(Vector3(-0.811408997, -0.243593007, 0.531298995)));
      final normal_4_167 = mesh_4.normals.elementAt(167);
      expect(normal_4_167, vector3MoreOrLessEquals(Vector3(-0.829074979, -0.199819997, 0.522212982)));
      final normal_4_168 = mesh_4.normals.elementAt(168);
      expect(normal_4_168, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_169 = mesh_4.normals.elementAt(169);
      expect(normal_4_169, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_170 = mesh_4.normals.elementAt(170);
      expect(normal_4_170, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_171 = mesh_4.normals.elementAt(171);
      expect(normal_4_171, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_172 = mesh_4.normals.elementAt(172);
      expect(normal_4_172, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_173 = mesh_4.normals.elementAt(173);
      expect(normal_4_173, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_174 = mesh_4.normals.elementAt(174);
      expect(normal_4_174, vector3MoreOrLessEquals(Vector3(-0.78570199, -0.546218991, -0.290374011)));
      final normal_4_175 = mesh_4.normals.elementAt(175);
      expect(normal_4_175, vector3MoreOrLessEquals(Vector3(-0.802166998, -0.447423011, -0.395399988)));
      final normal_4_176 = mesh_4.normals.elementAt(176);
      expect(normal_4_176, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_177 = mesh_4.normals.elementAt(177);
      expect(normal_4_177, vector3MoreOrLessEquals(Vector3(-0.78570199, -0.546218991, -0.290374011)));
      final normal_4_178 = mesh_4.normals.elementAt(178);
      expect(normal_4_178, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_179 = mesh_4.normals.elementAt(179);
      expect(normal_4_179, vector3MoreOrLessEquals(Vector3(-0.121255003, -0.870384991, -0.477207005)));
      final normal_4_180 = mesh_4.normals.elementAt(180);
      expect(normal_4_180, vector3MoreOrLessEquals(Vector3(-0.802166998, -0.447423011, -0.395399988)));
      final normal_4_181 = mesh_4.normals.elementAt(181);
      expect(normal_4_181, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_182 = mesh_4.normals.elementAt(182);
      expect(normal_4_182, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_183 = mesh_4.normals.elementAt(183);
      expect(normal_4_183, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_184 = mesh_4.normals.elementAt(184);
      expect(normal_4_184, vector3MoreOrLessEquals(Vector3(0.151176006, -0.929850996, -0.335444987)));
      final normal_4_185 = mesh_4.normals.elementAt(185);
      expect(normal_4_185, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_186 = mesh_4.normals.elementAt(186);
      expect(normal_4_186, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_187 = mesh_4.normals.elementAt(187);
      expect(normal_4_187, vector3MoreOrLessEquals(Vector3(-0.635308027, -0.586831987, 0.502008021)));
      final normal_4_188 = mesh_4.normals.elementAt(188);
      expect(normal_4_188, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_189 = mesh_4.normals.elementAt(189);
      expect(normal_4_189, vector3MoreOrLessEquals(Vector3(-0.788299978, -0.60918802, -0.0864429995)));
      final normal_4_190 = mesh_4.normals.elementAt(190);
      expect(normal_4_190, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_191 = mesh_4.normals.elementAt(191);
      expect(normal_4_191, vector3MoreOrLessEquals(Vector3(0.151176006, -0.929850996, -0.335444987)));
      final normal_4_192 = mesh_4.normals.elementAt(192);
      expect(normal_4_192, vector3MoreOrLessEquals(Vector3(-0.635308027, -0.586831987, 0.502008021)));
      final normal_4_193 = mesh_4.normals.elementAt(193);
      expect(normal_4_193, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_194 = mesh_4.normals.elementAt(194);
      expect(normal_4_194, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_195 = mesh_4.normals.elementAt(195);
      expect(normal_4_195, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_196 = mesh_4.normals.elementAt(196);
      expect(normal_4_196, vector3MoreOrLessEquals(Vector3(0.0809139982, -0.528182983, 0.845265985)));
      final normal_4_197 = mesh_4.normals.elementAt(197);
      expect(normal_4_197, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_198 = mesh_4.normals.elementAt(198);
      expect(normal_4_198, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_199 = mesh_4.normals.elementAt(199);
      expect(normal_4_199, vector3MoreOrLessEquals(Vector3(-0.829074979, -0.199819997, 0.522212982)));
      final normal_4_200 = mesh_4.normals.elementAt(200);
      expect(normal_4_200, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_201 = mesh_4.normals.elementAt(201);
      expect(normal_4_201, vector3MoreOrLessEquals(Vector3(-0.748920023, -0.342648, 0.567196012)));
      final normal_4_202 = mesh_4.normals.elementAt(202);
      expect(normal_4_202, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_203 = mesh_4.normals.elementAt(203);
      expect(normal_4_203, vector3MoreOrLessEquals(Vector3(0.0809139982, -0.528182983, 0.845265985)));
      final normal_4_204 = mesh_4.normals.elementAt(204);
      expect(normal_4_204, vector3MoreOrLessEquals(Vector3(-0.829074979, -0.199819997, 0.522212982)));
      final normal_4_205 = mesh_4.normals.elementAt(205);
      expect(normal_4_205, vector3MoreOrLessEquals(Vector3(-0.811408997, -0.243593007, 0.531298995)));
      final normal_4_206 = mesh_4.normals.elementAt(206);
      expect(normal_4_206, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_207 = mesh_4.normals.elementAt(207);
      expect(normal_4_207, vector3MoreOrLessEquals(Vector3(-0.811408997, -0.243593007, 0.531298995)));
      final normal_4_208 = mesh_4.normals.elementAt(208);
      expect(normal_4_208, vector3MoreOrLessEquals(Vector3(0.0144889997, -0.635546029, 0.771926999)));
      final normal_4_209 = mesh_4.normals.elementAt(209);
      expect(normal_4_209, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_210 = mesh_4.normals.elementAt(210);
      expect(normal_4_210, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_211 = mesh_4.normals.elementAt(211);
      expect(normal_4_211, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_212 = mesh_4.normals.elementAt(212);
      expect(normal_4_212, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_213 = mesh_4.normals.elementAt(213);
      expect(normal_4_213, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_214 = mesh_4.normals.elementAt(214);
      expect(normal_4_214, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_215 = mesh_4.normals.elementAt(215);
      expect(normal_4_215, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_216 = mesh_4.normals.elementAt(216);
      expect(normal_4_216, vector3MoreOrLessEquals(Vector3(-0.121255003, -0.870384991, -0.477207005)));
      final normal_4_217 = mesh_4.normals.elementAt(217);
      expect(normal_4_217, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_218 = mesh_4.normals.elementAt(218);
      expect(normal_4_218, vector3MoreOrLessEquals(Vector3(0.742724001, -0.545145988, -0.388814002)));
      final normal_4_219 = mesh_4.normals.elementAt(219);
      expect(normal_4_219, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_220 = mesh_4.normals.elementAt(220);
      expect(normal_4_220, vector3MoreOrLessEquals(Vector3(0.786509991, -0.383302003, -0.484232992)));
      final normal_4_221 = mesh_4.normals.elementAt(221);
      expect(normal_4_221, vector3MoreOrLessEquals(Vector3(0.742724001, -0.545145988, -0.388814002)));
      final normal_4_222 = mesh_4.normals.elementAt(222);
      expect(normal_4_222, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_223 = mesh_4.normals.elementAt(223);
      expect(normal_4_223, vector3MoreOrLessEquals(Vector3(0.151176006, -0.929850996, -0.335444987)));
      final normal_4_224 = mesh_4.normals.elementAt(224);
      expect(normal_4_224, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_225 = mesh_4.normals.elementAt(225);
      expect(normal_4_225, vector3MoreOrLessEquals(Vector3(-0.0297260005, -0.712975979, -0.700558007)));
      final normal_4_226 = mesh_4.normals.elementAt(226);
      expect(normal_4_226, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_227 = mesh_4.normals.elementAt(227);
      expect(normal_4_227, vector3MoreOrLessEquals(Vector3(0.786509991, -0.383302003, -0.484232992)));
      final normal_4_228 = mesh_4.normals.elementAt(228);
      expect(normal_4_228, vector3MoreOrLessEquals(Vector3(0.151176006, -0.929850996, -0.335444987)));
      final normal_4_229 = mesh_4.normals.elementAt(229);
      expect(normal_4_229, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_230 = mesh_4.normals.elementAt(230);
      expect(normal_4_230, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_231 = mesh_4.normals.elementAt(231);
      expect(normal_4_231, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_232 = mesh_4.normals.elementAt(232);
      expect(normal_4_232, vector3MoreOrLessEquals(Vector3(0.889766991, -0.359425992, 0.281296998)));
      final normal_4_233 = mesh_4.normals.elementAt(233);
      expect(normal_4_233, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_234 = mesh_4.normals.elementAt(234);
      expect(normal_4_234, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_235 = mesh_4.normals.elementAt(235);
      expect(normal_4_235, vector3MoreOrLessEquals(Vector3(0.0809139982, -0.528182983, 0.845265985)));
      final normal_4_236 = mesh_4.normals.elementAt(236);
      expect(normal_4_236, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_237 = mesh_4.normals.elementAt(237);
      expect(normal_4_237, vector3MoreOrLessEquals(Vector3(0.202840999, -0.825730979, 0.526331007)));
      final normal_4_238 = mesh_4.normals.elementAt(238);
      expect(normal_4_238, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_239 = mesh_4.normals.elementAt(239);
      expect(normal_4_239, vector3MoreOrLessEquals(Vector3(0.889766991, -0.359425992, 0.281296998)));
      final normal_4_240 = mesh_4.normals.elementAt(240);
      expect(normal_4_240, vector3MoreOrLessEquals(Vector3(0.0809139982, -0.528182983, 0.845265985)));
      final normal_4_241 = mesh_4.normals.elementAt(241);
      expect(normal_4_241, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_242 = mesh_4.normals.elementAt(242);
      expect(normal_4_242, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_243 = mesh_4.normals.elementAt(243);
      expect(normal_4_243, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_244 = mesh_4.normals.elementAt(244);
      expect(normal_4_244, vector3MoreOrLessEquals(Vector3(0.907656014, -0.291729987, 0.301752001)));
      final normal_4_245 = mesh_4.normals.elementAt(245);
      expect(normal_4_245, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_246 = mesh_4.normals.elementAt(246);
      expect(normal_4_246, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_247 = mesh_4.normals.elementAt(247);
      expect(normal_4_247, vector3MoreOrLessEquals(Vector3(0.0144889997, -0.635546029, 0.771926999)));
      final normal_4_248 = mesh_4.normals.elementAt(248);
      expect(normal_4_248, vector3MoreOrLessEquals(Vector3(0.863097012, -0.44570899, 0.237501994)));
      final normal_4_249 = mesh_4.normals.elementAt(249);
      expect(normal_4_249, vector3MoreOrLessEquals(Vector3(0.010675, -0.474240988, 0.880330026)));
      final normal_4_250 = mesh_4.normals.elementAt(250);
      expect(normal_4_250, vector3MoreOrLessEquals(Vector3(0.863097012, -0.44570899, 0.237501994)));
      final normal_4_251 = mesh_4.normals.elementAt(251);
      expect(normal_4_251, vector3MoreOrLessEquals(Vector3(0.907656014, -0.291729987, 0.301752001)));
      final normal_4_252 = mesh_4.normals.elementAt(252);
      expect(normal_4_252, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_253 = mesh_4.normals.elementAt(253);
      expect(normal_4_253, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_254 = mesh_4.normals.elementAt(254);
      expect(normal_4_254, vector3MoreOrLessEquals(Vector3(-0.0729880035, -0.902253985, 0.424984008)));
      final normal_4_255 = mesh_4.normals.elementAt(255);
      expect(normal_4_255, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_256 = mesh_4.normals.elementAt(256);
      expect(normal_4_256, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_257 = mesh_4.normals.elementAt(257);
      expect(normal_4_257, vector3MoreOrLessEquals(Vector3(-0.288147986, -0.512224019, -0.809072018)));
      final normal_4_258 = mesh_4.normals.elementAt(258);
      expect(normal_4_258, vector3MoreOrLessEquals(Vector3(0.742724001, -0.545145988, -0.388814002)));
      final normal_4_259 = mesh_4.normals.elementAt(259);
      expect(normal_4_259, vector3MoreOrLessEquals(Vector3(0.786509991, -0.383302003, -0.484232992)));
      final normal_4_260 = mesh_4.normals.elementAt(260);
      expect(normal_4_260, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_261 = mesh_4.normals.elementAt(261);
      expect(normal_4_261, vector3MoreOrLessEquals(Vector3(0.742724001, -0.545145988, -0.388814002)));
      final normal_4_262 = mesh_4.normals.elementAt(262);
      expect(normal_4_262, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_263 = mesh_4.normals.elementAt(263);
      expect(normal_4_263, vector3MoreOrLessEquals(Vector3(0.918806016, 0.38398701, 0.0913719982)));
      final normal_4_264 = mesh_4.normals.elementAt(264);
      expect(normal_4_264, vector3MoreOrLessEquals(Vector3(0.786509991, -0.383302003, -0.484232992)));
      final normal_4_265 = mesh_4.normals.elementAt(265);
      expect(normal_4_265, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_266 = mesh_4.normals.elementAt(266);
      expect(normal_4_266, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_267 = mesh_4.normals.elementAt(267);
      expect(normal_4_267, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_268 = mesh_4.normals.elementAt(268);
      expect(normal_4_268, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_269 = mesh_4.normals.elementAt(269);
      expect(normal_4_269, vector3MoreOrLessEquals(Vector3(0.99316299, 0.114096001, -0.0246879999)));
      final normal_4_270 = mesh_4.normals.elementAt(270);
      expect(normal_4_270, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_271 = mesh_4.normals.elementAt(271);
      expect(normal_4_271, vector3MoreOrLessEquals(Vector3(0.889766991, -0.359425992, 0.281296998)));
      final normal_4_272 = mesh_4.normals.elementAt(272);
      expect(normal_4_272, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_273 = mesh_4.normals.elementAt(273);
      expect(normal_4_273, vector3MoreOrLessEquals(Vector3(0.920593977, -0.358141989, -0.155695006)));
      final normal_4_274 = mesh_4.normals.elementAt(274);
      expect(normal_4_274, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_275 = mesh_4.normals.elementAt(275);
      expect(normal_4_275, vector3MoreOrLessEquals(Vector3(0.868050992, 0.441893011, 0.226312995)));
      final normal_4_276 = mesh_4.normals.elementAt(276);
      expect(normal_4_276, vector3MoreOrLessEquals(Vector3(0.889766991, -0.359425992, 0.281296998)));
      final normal_4_277 = mesh_4.normals.elementAt(277);
      expect(normal_4_277, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_278 = mesh_4.normals.elementAt(278);
      expect(normal_4_278, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_279 = mesh_4.normals.elementAt(279);
      expect(normal_4_279, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_280 = mesh_4.normals.elementAt(280);
      expect(normal_4_280, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_281 = mesh_4.normals.elementAt(281);
      expect(normal_4_281, vector3MoreOrLessEquals(Vector3(0.971728981, 0.236044005, 0.00516299997)));
      final normal_4_282 = mesh_4.normals.elementAt(282);
      expect(normal_4_282, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_283 = mesh_4.normals.elementAt(283);
      expect(normal_4_283, vector3MoreOrLessEquals(Vector3(0.907656014, -0.291729987, 0.301752001)));
      final normal_4_284 = mesh_4.normals.elementAt(284);
      expect(normal_4_284, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      final normal_4_285 = mesh_4.normals.elementAt(285);
      expect(normal_4_285, vector3MoreOrLessEquals(Vector3(0.873004973, -0.294225991, 0.388965011)));
      final normal_4_286 = mesh_4.normals.elementAt(286);
      expect(normal_4_286, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      final normal_4_287 = mesh_4.normals.elementAt(287);
      expect(normal_4_287, vector3MoreOrLessEquals(Vector3(0.907561004, 0.183989003, -0.377467006)));
      final normal_4_288 = mesh_4.normals.elementAt(288);
      expect(normal_4_288, vector3MoreOrLessEquals(Vector3(0.907656014, -0.291729987, 0.301752001)));
      final normal_4_289 = mesh_4.normals.elementAt(289);
      expect(normal_4_289, vector3MoreOrLessEquals(Vector3(0.863097012, -0.44570899, 0.237501994)));
      final normal_4_290 = mesh_4.normals.elementAt(290);
      expect(normal_4_290, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      final normal_4_291 = mesh_4.normals.elementAt(291);
      expect(normal_4_291, vector3MoreOrLessEquals(Vector3(0.863097012, -0.44570899, 0.237501994)));
      final normal_4_292 = mesh_4.normals.elementAt(292);
      expect(normal_4_292, vector3MoreOrLessEquals(Vector3(0.886673987, 0.0174749997, -0.462065011)));
      final normal_4_293 = mesh_4.normals.elementAt(293);
      expect(normal_4_293, vector3MoreOrLessEquals(Vector3(0.974180996, -0.0459770001, -0.221037)));
      expect(mesh_4.tangents.length, isZero);
      expect(mesh_4.bitangents.length, isZero);
      expect(mesh_4.colors.length, isZero);
      expect(mesh_4.textureCoords.length, equals(1));
      final textureCoords_4_0 = mesh_4.textureCoords.elementAt(0);
      expect(textureCoords_4_0.length, equals(294));
      final textureCoord_4_0_0 = textureCoords_4_0.elementAt(0);
      expect(textureCoord_4_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_1 = textureCoords_4_0.elementAt(1);
      expect(textureCoord_4_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_2 = textureCoords_4_0.elementAt(2);
      expect(textureCoord_4_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_3 = textureCoords_4_0.elementAt(3);
      expect(textureCoord_4_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_4 = textureCoords_4_0.elementAt(4);
      expect(textureCoord_4_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_5 = textureCoords_4_0.elementAt(5);
      expect(textureCoord_4_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_6 = textureCoords_4_0.elementAt(6);
      expect(textureCoord_4_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_7 = textureCoords_4_0.elementAt(7);
      expect(textureCoord_4_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_4_0_8 = textureCoords_4_0.elementAt(8);
      expect(textureCoord_4_0_8, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_9 = textureCoords_4_0.elementAt(9);
      expect(textureCoord_4_0_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_4_0_10 = textureCoords_4_0.elementAt(10);
      expect(textureCoord_4_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_11 = textureCoords_4_0.elementAt(11);
      expect(textureCoord_4_0_11, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_4_0_12 = textureCoords_4_0.elementAt(12);
      expect(textureCoord_4_0_12, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_4_0_13 = textureCoords_4_0.elementAt(13);
      expect(textureCoord_4_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_4_0_14 = textureCoords_4_0.elementAt(14);
      expect(textureCoord_4_0_14, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_15 = textureCoords_4_0.elementAt(15);
      expect(textureCoord_4_0_15, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_4_0_16 = textureCoords_4_0.elementAt(16);
      expect(textureCoord_4_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_4_0_17 = textureCoords_4_0.elementAt(17);
      expect(textureCoord_4_0_17, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_18 = textureCoords_4_0.elementAt(18);
      expect(textureCoord_4_0_18, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_4_0_19 = textureCoords_4_0.elementAt(19);
      expect(textureCoord_4_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_4_0_20 = textureCoords_4_0.elementAt(20);
      expect(textureCoord_4_0_20, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_21 = textureCoords_4_0.elementAt(21);
      expect(textureCoord_4_0_21, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_4_0_22 = textureCoords_4_0.elementAt(22);
      expect(textureCoord_4_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_23 = textureCoords_4_0.elementAt(23);
      expect(textureCoord_4_0_23, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_4_0_24 = textureCoords_4_0.elementAt(24);
      expect(textureCoord_4_0_24, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_4_0_25 = textureCoords_4_0.elementAt(25);
      expect(textureCoord_4_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_4_0_26 = textureCoords_4_0.elementAt(26);
      expect(textureCoord_4_0_26, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_27 = textureCoords_4_0.elementAt(27);
      expect(textureCoord_4_0_27, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_4_0_28 = textureCoords_4_0.elementAt(28);
      expect(textureCoord_4_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_4_0_29 = textureCoords_4_0.elementAt(29);
      expect(textureCoord_4_0_29, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_30 = textureCoords_4_0.elementAt(30);
      expect(textureCoord_4_0_30, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_4_0_31 = textureCoords_4_0.elementAt(31);
      expect(textureCoord_4_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_4_0_32 = textureCoords_4_0.elementAt(32);
      expect(textureCoord_4_0_32, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_33 = textureCoords_4_0.elementAt(33);
      expect(textureCoord_4_0_33, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_4_0_34 = textureCoords_4_0.elementAt(34);
      expect(textureCoord_4_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_35 = textureCoords_4_0.elementAt(35);
      expect(textureCoord_4_0_35, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_4_0_36 = textureCoords_4_0.elementAt(36);
      expect(textureCoord_4_0_36, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_4_0_37 = textureCoords_4_0.elementAt(37);
      expect(textureCoord_4_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_38 = textureCoords_4_0.elementAt(38);
      expect(textureCoord_4_0_38, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_39 = textureCoords_4_0.elementAt(39);
      expect(textureCoord_4_0_39, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_40 = textureCoords_4_0.elementAt(40);
      expect(textureCoord_4_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_4_0_41 = textureCoords_4_0.elementAt(41);
      expect(textureCoord_4_0_41, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_42 = textureCoords_4_0.elementAt(42);
      expect(textureCoord_4_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_43 = textureCoords_4_0.elementAt(43);
      expect(textureCoord_4_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_44 = textureCoords_4_0.elementAt(44);
      expect(textureCoord_4_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_45 = textureCoords_4_0.elementAt(45);
      expect(textureCoord_4_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_46 = textureCoords_4_0.elementAt(46);
      expect(textureCoord_4_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_47 = textureCoords_4_0.elementAt(47);
      expect(textureCoord_4_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_48 = textureCoords_4_0.elementAt(48);
      expect(textureCoord_4_0_48, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_4_0_49 = textureCoords_4_0.elementAt(49);
      expect(textureCoord_4_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_50 = textureCoords_4_0.elementAt(50);
      expect(textureCoord_4_0_50, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_4_0_51 = textureCoords_4_0.elementAt(51);
      expect(textureCoord_4_0_51, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_52 = textureCoords_4_0.elementAt(52);
      expect(textureCoord_4_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_4_0_53 = textureCoords_4_0.elementAt(53);
      expect(textureCoord_4_0_53, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_4_0_54 = textureCoords_4_0.elementAt(54);
      expect(textureCoord_4_0_54, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_55 = textureCoords_4_0.elementAt(55);
      expect(textureCoord_4_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_4_0_56 = textureCoords_4_0.elementAt(56);
      expect(textureCoord_4_0_56, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_57 = textureCoords_4_0.elementAt(57);
      expect(textureCoord_4_0_57, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_4_0_58 = textureCoords_4_0.elementAt(58);
      expect(textureCoord_4_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_59 = textureCoords_4_0.elementAt(59);
      expect(textureCoord_4_0_59, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_4_0_60 = textureCoords_4_0.elementAt(60);
      expect(textureCoord_4_0_60, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_4_0_61 = textureCoords_4_0.elementAt(61);
      expect(textureCoord_4_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_62 = textureCoords_4_0.elementAt(62);
      expect(textureCoord_4_0_62, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_63 = textureCoords_4_0.elementAt(63);
      expect(textureCoord_4_0_63, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_64 = textureCoords_4_0.elementAt(64);
      expect(textureCoord_4_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_4_0_65 = textureCoords_4_0.elementAt(65);
      expect(textureCoord_4_0_65, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_66 = textureCoords_4_0.elementAt(66);
      expect(textureCoord_4_0_66, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_67 = textureCoords_4_0.elementAt(67);
      expect(textureCoord_4_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_4_0_68 = textureCoords_4_0.elementAt(68);
      expect(textureCoord_4_0_68, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_69 = textureCoords_4_0.elementAt(69);
      expect(textureCoord_4_0_69, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_4_0_70 = textureCoords_4_0.elementAt(70);
      expect(textureCoord_4_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_71 = textureCoords_4_0.elementAt(71);
      expect(textureCoord_4_0_71, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_4_0_72 = textureCoords_4_0.elementAt(72);
      expect(textureCoord_4_0_72, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_4_0_73 = textureCoords_4_0.elementAt(73);
      expect(textureCoord_4_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_74 = textureCoords_4_0.elementAt(74);
      expect(textureCoord_4_0_74, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_75 = textureCoords_4_0.elementAt(75);
      expect(textureCoord_4_0_75, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_76 = textureCoords_4_0.elementAt(76);
      expect(textureCoord_4_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_4_0_77 = textureCoords_4_0.elementAt(77);
      expect(textureCoord_4_0_77, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_78 = textureCoords_4_0.elementAt(78);
      expect(textureCoord_4_0_78, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_79 = textureCoords_4_0.elementAt(79);
      expect(textureCoord_4_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_4_0_80 = textureCoords_4_0.elementAt(80);
      expect(textureCoord_4_0_80, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_4_0_81 = textureCoords_4_0.elementAt(81);
      expect(textureCoord_4_0_81, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_4_0_82 = textureCoords_4_0.elementAt(82);
      expect(textureCoord_4_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_4_0_83 = textureCoords_4_0.elementAt(83);
      expect(textureCoord_4_0_83, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_4_0_84 = textureCoords_4_0.elementAt(84);
      expect(textureCoord_4_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_85 = textureCoords_4_0.elementAt(85);
      expect(textureCoord_4_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_86 = textureCoords_4_0.elementAt(86);
      expect(textureCoord_4_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_87 = textureCoords_4_0.elementAt(87);
      expect(textureCoord_4_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_88 = textureCoords_4_0.elementAt(88);
      expect(textureCoord_4_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_89 = textureCoords_4_0.elementAt(89);
      expect(textureCoord_4_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_90 = textureCoords_4_0.elementAt(90);
      expect(textureCoord_4_0_90, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_4_0_91 = textureCoords_4_0.elementAt(91);
      expect(textureCoord_4_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_4_0_92 = textureCoords_4_0.elementAt(92);
      expect(textureCoord_4_0_92, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_93 = textureCoords_4_0.elementAt(93);
      expect(textureCoord_4_0_93, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_4_0_94 = textureCoords_4_0.elementAt(94);
      expect(textureCoord_4_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_95 = textureCoords_4_0.elementAt(95);
      expect(textureCoord_4_0_95, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_4_0_96 = textureCoords_4_0.elementAt(96);
      expect(textureCoord_4_0_96, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_4_0_97 = textureCoords_4_0.elementAt(97);
      expect(textureCoord_4_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_98 = textureCoords_4_0.elementAt(98);
      expect(textureCoord_4_0_98, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_99 = textureCoords_4_0.elementAt(99);
      expect(textureCoord_4_0_99, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_100 = textureCoords_4_0.elementAt(100);
      expect(textureCoord_4_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_4_0_101 = textureCoords_4_0.elementAt(101);
      expect(textureCoord_4_0_101, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_102 = textureCoords_4_0.elementAt(102);
      expect(textureCoord_4_0_102, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_103 = textureCoords_4_0.elementAt(103);
      expect(textureCoord_4_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_4_0_104 = textureCoords_4_0.elementAt(104);
      expect(textureCoord_4_0_104, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_105 = textureCoords_4_0.elementAt(105);
      expect(textureCoord_4_0_105, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_4_0_106 = textureCoords_4_0.elementAt(106);
      expect(textureCoord_4_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_107 = textureCoords_4_0.elementAt(107);
      expect(textureCoord_4_0_107, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_4_0_108 = textureCoords_4_0.elementAt(108);
      expect(textureCoord_4_0_108, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_4_0_109 = textureCoords_4_0.elementAt(109);
      expect(textureCoord_4_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_110 = textureCoords_4_0.elementAt(110);
      expect(textureCoord_4_0_110, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_111 = textureCoords_4_0.elementAt(111);
      expect(textureCoord_4_0_111, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_112 = textureCoords_4_0.elementAt(112);
      expect(textureCoord_4_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_4_0_113 = textureCoords_4_0.elementAt(113);
      expect(textureCoord_4_0_113, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_114 = textureCoords_4_0.elementAt(114);
      expect(textureCoord_4_0_114, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_115 = textureCoords_4_0.elementAt(115);
      expect(textureCoord_4_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_4_0_116 = textureCoords_4_0.elementAt(116);
      expect(textureCoord_4_0_116, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_117 = textureCoords_4_0.elementAt(117);
      expect(textureCoord_4_0_117, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_4_0_118 = textureCoords_4_0.elementAt(118);
      expect(textureCoord_4_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_119 = textureCoords_4_0.elementAt(119);
      expect(textureCoord_4_0_119, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_4_0_120 = textureCoords_4_0.elementAt(120);
      expect(textureCoord_4_0_120, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_4_0_121 = textureCoords_4_0.elementAt(121);
      expect(textureCoord_4_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_4_0_122 = textureCoords_4_0.elementAt(122);
      expect(textureCoord_4_0_122, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_123 = textureCoords_4_0.elementAt(123);
      expect(textureCoord_4_0_123, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_4_0_124 = textureCoords_4_0.elementAt(124);
      expect(textureCoord_4_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_4_0_125 = textureCoords_4_0.elementAt(125);
      expect(textureCoord_4_0_125, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_126 = textureCoords_4_0.elementAt(126);
      expect(textureCoord_4_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_127 = textureCoords_4_0.elementAt(127);
      expect(textureCoord_4_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_128 = textureCoords_4_0.elementAt(128);
      expect(textureCoord_4_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_129 = textureCoords_4_0.elementAt(129);
      expect(textureCoord_4_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_130 = textureCoords_4_0.elementAt(130);
      expect(textureCoord_4_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_131 = textureCoords_4_0.elementAt(131);
      expect(textureCoord_4_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_132 = textureCoords_4_0.elementAt(132);
      expect(textureCoord_4_0_132, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_4_0_133 = textureCoords_4_0.elementAt(133);
      expect(textureCoord_4_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_134 = textureCoords_4_0.elementAt(134);
      expect(textureCoord_4_0_134, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_4_0_135 = textureCoords_4_0.elementAt(135);
      expect(textureCoord_4_0_135, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_136 = textureCoords_4_0.elementAt(136);
      expect(textureCoord_4_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_4_0_137 = textureCoords_4_0.elementAt(137);
      expect(textureCoord_4_0_137, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_4_0_138 = textureCoords_4_0.elementAt(138);
      expect(textureCoord_4_0_138, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_139 = textureCoords_4_0.elementAt(139);
      expect(textureCoord_4_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_4_0_140 = textureCoords_4_0.elementAt(140);
      expect(textureCoord_4_0_140, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_141 = textureCoords_4_0.elementAt(141);
      expect(textureCoord_4_0_141, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_4_0_142 = textureCoords_4_0.elementAt(142);
      expect(textureCoord_4_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_143 = textureCoords_4_0.elementAt(143);
      expect(textureCoord_4_0_143, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_4_0_144 = textureCoords_4_0.elementAt(144);
      expect(textureCoord_4_0_144, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_4_0_145 = textureCoords_4_0.elementAt(145);
      expect(textureCoord_4_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_146 = textureCoords_4_0.elementAt(146);
      expect(textureCoord_4_0_146, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_147 = textureCoords_4_0.elementAt(147);
      expect(textureCoord_4_0_147, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_148 = textureCoords_4_0.elementAt(148);
      expect(textureCoord_4_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_4_0_149 = textureCoords_4_0.elementAt(149);
      expect(textureCoord_4_0_149, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_150 = textureCoords_4_0.elementAt(150);
      expect(textureCoord_4_0_150, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_151 = textureCoords_4_0.elementAt(151);
      expect(textureCoord_4_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_4_0_152 = textureCoords_4_0.elementAt(152);
      expect(textureCoord_4_0_152, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_153 = textureCoords_4_0.elementAt(153);
      expect(textureCoord_4_0_153, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_4_0_154 = textureCoords_4_0.elementAt(154);
      expect(textureCoord_4_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_155 = textureCoords_4_0.elementAt(155);
      expect(textureCoord_4_0_155, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_4_0_156 = textureCoords_4_0.elementAt(156);
      expect(textureCoord_4_0_156, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_4_0_157 = textureCoords_4_0.elementAt(157);
      expect(textureCoord_4_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_158 = textureCoords_4_0.elementAt(158);
      expect(textureCoord_4_0_158, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_159 = textureCoords_4_0.elementAt(159);
      expect(textureCoord_4_0_159, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_160 = textureCoords_4_0.elementAt(160);
      expect(textureCoord_4_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_4_0_161 = textureCoords_4_0.elementAt(161);
      expect(textureCoord_4_0_161, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_162 = textureCoords_4_0.elementAt(162);
      expect(textureCoord_4_0_162, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_163 = textureCoords_4_0.elementAt(163);
      expect(textureCoord_4_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_4_0_164 = textureCoords_4_0.elementAt(164);
      expect(textureCoord_4_0_164, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_4_0_165 = textureCoords_4_0.elementAt(165);
      expect(textureCoord_4_0_165, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_4_0_166 = textureCoords_4_0.elementAt(166);
      expect(textureCoord_4_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_4_0_167 = textureCoords_4_0.elementAt(167);
      expect(textureCoord_4_0_167, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_4_0_168 = textureCoords_4_0.elementAt(168);
      expect(textureCoord_4_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_169 = textureCoords_4_0.elementAt(169);
      expect(textureCoord_4_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_170 = textureCoords_4_0.elementAt(170);
      expect(textureCoord_4_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_171 = textureCoords_4_0.elementAt(171);
      expect(textureCoord_4_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_172 = textureCoords_4_0.elementAt(172);
      expect(textureCoord_4_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_173 = textureCoords_4_0.elementAt(173);
      expect(textureCoord_4_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_174 = textureCoords_4_0.elementAt(174);
      expect(textureCoord_4_0_174, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_4_0_175 = textureCoords_4_0.elementAt(175);
      expect(textureCoord_4_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_4_0_176 = textureCoords_4_0.elementAt(176);
      expect(textureCoord_4_0_176, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_177 = textureCoords_4_0.elementAt(177);
      expect(textureCoord_4_0_177, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_4_0_178 = textureCoords_4_0.elementAt(178);
      expect(textureCoord_4_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_179 = textureCoords_4_0.elementAt(179);
      expect(textureCoord_4_0_179, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_4_0_180 = textureCoords_4_0.elementAt(180);
      expect(textureCoord_4_0_180, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_4_0_181 = textureCoords_4_0.elementAt(181);
      expect(textureCoord_4_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_182 = textureCoords_4_0.elementAt(182);
      expect(textureCoord_4_0_182, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_183 = textureCoords_4_0.elementAt(183);
      expect(textureCoord_4_0_183, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_184 = textureCoords_4_0.elementAt(184);
      expect(textureCoord_4_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_4_0_185 = textureCoords_4_0.elementAt(185);
      expect(textureCoord_4_0_185, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_186 = textureCoords_4_0.elementAt(186);
      expect(textureCoord_4_0_186, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_187 = textureCoords_4_0.elementAt(187);
      expect(textureCoord_4_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_4_0_188 = textureCoords_4_0.elementAt(188);
      expect(textureCoord_4_0_188, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_189 = textureCoords_4_0.elementAt(189);
      expect(textureCoord_4_0_189, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_4_0_190 = textureCoords_4_0.elementAt(190);
      expect(textureCoord_4_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_191 = textureCoords_4_0.elementAt(191);
      expect(textureCoord_4_0_191, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_4_0_192 = textureCoords_4_0.elementAt(192);
      expect(textureCoord_4_0_192, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_4_0_193 = textureCoords_4_0.elementAt(193);
      expect(textureCoord_4_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_194 = textureCoords_4_0.elementAt(194);
      expect(textureCoord_4_0_194, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_195 = textureCoords_4_0.elementAt(195);
      expect(textureCoord_4_0_195, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_196 = textureCoords_4_0.elementAt(196);
      expect(textureCoord_4_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_4_0_197 = textureCoords_4_0.elementAt(197);
      expect(textureCoord_4_0_197, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_198 = textureCoords_4_0.elementAt(198);
      expect(textureCoord_4_0_198, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_199 = textureCoords_4_0.elementAt(199);
      expect(textureCoord_4_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_4_0_200 = textureCoords_4_0.elementAt(200);
      expect(textureCoord_4_0_200, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_201 = textureCoords_4_0.elementAt(201);
      expect(textureCoord_4_0_201, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_4_0_202 = textureCoords_4_0.elementAt(202);
      expect(textureCoord_4_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_203 = textureCoords_4_0.elementAt(203);
      expect(textureCoord_4_0_203, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_4_0_204 = textureCoords_4_0.elementAt(204);
      expect(textureCoord_4_0_204, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_4_0_205 = textureCoords_4_0.elementAt(205);
      expect(textureCoord_4_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_4_0_206 = textureCoords_4_0.elementAt(206);
      expect(textureCoord_4_0_206, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_207 = textureCoords_4_0.elementAt(207);
      expect(textureCoord_4_0_207, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_4_0_208 = textureCoords_4_0.elementAt(208);
      expect(textureCoord_4_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_4_0_209 = textureCoords_4_0.elementAt(209);
      expect(textureCoord_4_0_209, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_210 = textureCoords_4_0.elementAt(210);
      expect(textureCoord_4_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_211 = textureCoords_4_0.elementAt(211);
      expect(textureCoord_4_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_212 = textureCoords_4_0.elementAt(212);
      expect(textureCoord_4_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_213 = textureCoords_4_0.elementAt(213);
      expect(textureCoord_4_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_214 = textureCoords_4_0.elementAt(214);
      expect(textureCoord_4_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_215 = textureCoords_4_0.elementAt(215);
      expect(textureCoord_4_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_216 = textureCoords_4_0.elementAt(216);
      expect(textureCoord_4_0_216, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_4_0_217 = textureCoords_4_0.elementAt(217);
      expect(textureCoord_4_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_218 = textureCoords_4_0.elementAt(218);
      expect(textureCoord_4_0_218, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_4_0_219 = textureCoords_4_0.elementAt(219);
      expect(textureCoord_4_0_219, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_220 = textureCoords_4_0.elementAt(220);
      expect(textureCoord_4_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_4_0_221 = textureCoords_4_0.elementAt(221);
      expect(textureCoord_4_0_221, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_4_0_222 = textureCoords_4_0.elementAt(222);
      expect(textureCoord_4_0_222, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_223 = textureCoords_4_0.elementAt(223);
      expect(textureCoord_4_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_4_0_224 = textureCoords_4_0.elementAt(224);
      expect(textureCoord_4_0_224, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_225 = textureCoords_4_0.elementAt(225);
      expect(textureCoord_4_0_225, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_4_0_226 = textureCoords_4_0.elementAt(226);
      expect(textureCoord_4_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_227 = textureCoords_4_0.elementAt(227);
      expect(textureCoord_4_0_227, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_4_0_228 = textureCoords_4_0.elementAt(228);
      expect(textureCoord_4_0_228, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_4_0_229 = textureCoords_4_0.elementAt(229);
      expect(textureCoord_4_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_230 = textureCoords_4_0.elementAt(230);
      expect(textureCoord_4_0_230, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_231 = textureCoords_4_0.elementAt(231);
      expect(textureCoord_4_0_231, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_232 = textureCoords_4_0.elementAt(232);
      expect(textureCoord_4_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_4_0_233 = textureCoords_4_0.elementAt(233);
      expect(textureCoord_4_0_233, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_234 = textureCoords_4_0.elementAt(234);
      expect(textureCoord_4_0_234, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_235 = textureCoords_4_0.elementAt(235);
      expect(textureCoord_4_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_4_0_236 = textureCoords_4_0.elementAt(236);
      expect(textureCoord_4_0_236, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_237 = textureCoords_4_0.elementAt(237);
      expect(textureCoord_4_0_237, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_4_0_238 = textureCoords_4_0.elementAt(238);
      expect(textureCoord_4_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_239 = textureCoords_4_0.elementAt(239);
      expect(textureCoord_4_0_239, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_4_0_240 = textureCoords_4_0.elementAt(240);
      expect(textureCoord_4_0_240, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_4_0_241 = textureCoords_4_0.elementAt(241);
      expect(textureCoord_4_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_242 = textureCoords_4_0.elementAt(242);
      expect(textureCoord_4_0_242, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_243 = textureCoords_4_0.elementAt(243);
      expect(textureCoord_4_0_243, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_244 = textureCoords_4_0.elementAt(244);
      expect(textureCoord_4_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_4_0_245 = textureCoords_4_0.elementAt(245);
      expect(textureCoord_4_0_245, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_246 = textureCoords_4_0.elementAt(246);
      expect(textureCoord_4_0_246, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_247 = textureCoords_4_0.elementAt(247);
      expect(textureCoord_4_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_4_0_248 = textureCoords_4_0.elementAt(248);
      expect(textureCoord_4_0_248, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_4_0_249 = textureCoords_4_0.elementAt(249);
      expect(textureCoord_4_0_249, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_4_0_250 = textureCoords_4_0.elementAt(250);
      expect(textureCoord_4_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_4_0_251 = textureCoords_4_0.elementAt(251);
      expect(textureCoord_4_0_251, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_4_0_252 = textureCoords_4_0.elementAt(252);
      expect(textureCoord_4_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_253 = textureCoords_4_0.elementAt(253);
      expect(textureCoord_4_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_254 = textureCoords_4_0.elementAt(254);
      expect(textureCoord_4_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_255 = textureCoords_4_0.elementAt(255);
      expect(textureCoord_4_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_256 = textureCoords_4_0.elementAt(256);
      expect(textureCoord_4_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_257 = textureCoords_4_0.elementAt(257);
      expect(textureCoord_4_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_4_0_258 = textureCoords_4_0.elementAt(258);
      expect(textureCoord_4_0_258, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_4_0_259 = textureCoords_4_0.elementAt(259);
      expect(textureCoord_4_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_4_0_260 = textureCoords_4_0.elementAt(260);
      expect(textureCoord_4_0_260, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_4_0_261 = textureCoords_4_0.elementAt(261);
      expect(textureCoord_4_0_261, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_4_0_262 = textureCoords_4_0.elementAt(262);
      expect(textureCoord_4_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_4_0_263 = textureCoords_4_0.elementAt(263);
      expect(textureCoord_4_0_263, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_4_0_264 = textureCoords_4_0.elementAt(264);
      expect(textureCoord_4_0_264, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_4_0_265 = textureCoords_4_0.elementAt(265);
      expect(textureCoord_4_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_266 = textureCoords_4_0.elementAt(266);
      expect(textureCoord_4_0_266, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_4_0_267 = textureCoords_4_0.elementAt(267);
      expect(textureCoord_4_0_267, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_268 = textureCoords_4_0.elementAt(268);
      expect(textureCoord_4_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_4_0_269 = textureCoords_4_0.elementAt(269);
      expect(textureCoord_4_0_269, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_4_0_270 = textureCoords_4_0.elementAt(270);
      expect(textureCoord_4_0_270, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_271 = textureCoords_4_0.elementAt(271);
      expect(textureCoord_4_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_4_0_272 = textureCoords_4_0.elementAt(272);
      expect(textureCoord_4_0_272, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_4_0_273 = textureCoords_4_0.elementAt(273);
      expect(textureCoord_4_0_273, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_4_0_274 = textureCoords_4_0.elementAt(274);
      expect(textureCoord_4_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_4_0_275 = textureCoords_4_0.elementAt(275);
      expect(textureCoord_4_0_275, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_4_0_276 = textureCoords_4_0.elementAt(276);
      expect(textureCoord_4_0_276, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_4_0_277 = textureCoords_4_0.elementAt(277);
      expect(textureCoord_4_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_278 = textureCoords_4_0.elementAt(278);
      expect(textureCoord_4_0_278, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_4_0_279 = textureCoords_4_0.elementAt(279);
      expect(textureCoord_4_0_279, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_280 = textureCoords_4_0.elementAt(280);
      expect(textureCoord_4_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_4_0_281 = textureCoords_4_0.elementAt(281);
      expect(textureCoord_4_0_281, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_4_0_282 = textureCoords_4_0.elementAt(282);
      expect(textureCoord_4_0_282, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_283 = textureCoords_4_0.elementAt(283);
      expect(textureCoord_4_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_4_0_284 = textureCoords_4_0.elementAt(284);
      expect(textureCoord_4_0_284, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_4_0_285 = textureCoords_4_0.elementAt(285);
      expect(textureCoord_4_0_285, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_4_0_286 = textureCoords_4_0.elementAt(286);
      expect(textureCoord_4_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_4_0_287 = textureCoords_4_0.elementAt(287);
      expect(textureCoord_4_0_287, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_4_0_288 = textureCoords_4_0.elementAt(288);
      expect(textureCoord_4_0_288, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_4_0_289 = textureCoords_4_0.elementAt(289);
      expect(textureCoord_4_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_4_0_290 = textureCoords_4_0.elementAt(290);
      expect(textureCoord_4_0_290, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_4_0_291 = textureCoords_4_0.elementAt(291);
      expect(textureCoord_4_0_291, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_4_0_292 = textureCoords_4_0.elementAt(292);
      expect(textureCoord_4_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_4_0_293 = textureCoords_4_0.elementAt(293);
      expect(textureCoord_4_0_293, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      expect(mesh_4.uvComponents.length, equals(1));
      expect(mesh_4.uvComponents, equals([2]));
      expect(mesh_4.faces.length, equals(98));
      expect(mesh_4.bones.length, isZero);
      expect(mesh_4.materialIndex, equals(4));
      expect(mesh_4.name, equals('Bein2Li'));
      expect(mesh_4.animMeshes.length, isZero);
      expect(mesh_4.morphingMethod, isZero);
      expect(mesh_4.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_5 = meshes.elementAt(5);
      expect(mesh_5.primitiveTypes, equals(4));
      expect(mesh_5.vertices.length, equals(294));
      final vertex_5_0 = mesh_5.vertices.elementAt(0);
      expect(vertex_5_0, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_1 = mesh_5.vertices.elementAt(1);
      expect(vertex_5_1, vector3MoreOrLessEquals(Vector3(-34.5024452, -1.65542102, -5.03219604)));
      final vertex_5_2 = mesh_5.vertices.elementAt(2);
      expect(vertex_5_2, vector3MoreOrLessEquals(Vector3(-32.2028313, -2.60240698, -2.72874093)));
      final vertex_5_3 = mesh_5.vertices.elementAt(3);
      expect(vertex_5_3, vector3MoreOrLessEquals(Vector3(-28.6963577, -38.6124077, 75.6980515)));
      final vertex_5_4 = mesh_5.vertices.elementAt(4);
      expect(vertex_5_4, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_5 = mesh_5.vertices.elementAt(5);
      expect(vertex_5_5, vector3MoreOrLessEquals(Vector3(-28.3271656, -39.1318741, 75.6946945)));
      final vertex_5_6 = mesh_5.vertices.elementAt(6);
      expect(vertex_5_6, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_7 = mesh_5.vertices.elementAt(7);
      expect(vertex_5_7, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_8 = mesh_5.vertices.elementAt(8);
      expect(vertex_5_8, vector3MoreOrLessEquals(Vector3(-32.2028313, -2.60240698, -2.72874093)));
      final vertex_5_9 = mesh_5.vertices.elementAt(9);
      expect(vertex_5_9, vector3MoreOrLessEquals(Vector3(-34.5024452, -1.65542102, -5.03219604)));
      final vertex_5_10 = mesh_5.vertices.elementAt(10);
      expect(vertex_5_10, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_11 = mesh_5.vertices.elementAt(11);
      expect(vertex_5_11, vector3MoreOrLessEquals(Vector3(-32.2028313, -2.60240698, -2.72874093)));
      final vertex_5_12 = mesh_5.vertices.elementAt(12);
      expect(vertex_5_12, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_13 = mesh_5.vertices.elementAt(13);
      expect(vertex_5_13, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_14 = mesh_5.vertices.elementAt(14);
      expect(vertex_5_14, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_15 = mesh_5.vertices.elementAt(15);
      expect(vertex_5_15, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_16 = mesh_5.vertices.elementAt(16);
      expect(vertex_5_16, vector3MoreOrLessEquals(Vector3(-40.4061546, 27.9340973, 29.606636)));
      final vertex_5_17 = mesh_5.vertices.elementAt(17);
      expect(vertex_5_17, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_18 = mesh_5.vertices.elementAt(18);
      expect(vertex_5_18, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_19 = mesh_5.vertices.elementAt(19);
      expect(vertex_5_19, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_20 = mesh_5.vertices.elementAt(20);
      expect(vertex_5_20, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_21 = mesh_5.vertices.elementAt(21);
      expect(vertex_5_21, vector3MoreOrLessEquals(Vector3(-40.4061546, 27.9340973, 29.606636)));
      final vertex_5_22 = mesh_5.vertices.elementAt(22);
      expect(vertex_5_22, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_23 = mesh_5.vertices.elementAt(23);
      expect(vertex_5_23, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_24 = mesh_5.vertices.elementAt(24);
      expect(vertex_5_24, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_25 = mesh_5.vertices.elementAt(25);
      expect(vertex_5_25, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_26 = mesh_5.vertices.elementAt(26);
      expect(vertex_5_26, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_27 = mesh_5.vertices.elementAt(27);
      expect(vertex_5_27, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_28 = mesh_5.vertices.elementAt(28);
      expect(vertex_5_28, vector3MoreOrLessEquals(Vector3(-35.8452263, 17.4360943, 48.6662407)));
      final vertex_5_29 = mesh_5.vertices.elementAt(29);
      expect(vertex_5_29, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_30 = mesh_5.vertices.elementAt(30);
      expect(vertex_5_30, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_31 = mesh_5.vertices.elementAt(31);
      expect(vertex_5_31, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_32 = mesh_5.vertices.elementAt(32);
      expect(vertex_5_32, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_33 = mesh_5.vertices.elementAt(33);
      expect(vertex_5_33, vector3MoreOrLessEquals(Vector3(-35.8452263, 17.4360943, 48.6662407)));
      final vertex_5_34 = mesh_5.vertices.elementAt(34);
      expect(vertex_5_34, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_35 = mesh_5.vertices.elementAt(35);
      expect(vertex_5_35, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_36 = mesh_5.vertices.elementAt(36);
      expect(vertex_5_36, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_37 = mesh_5.vertices.elementAt(37);
      expect(vertex_5_37, vector3MoreOrLessEquals(Vector3(-28.3271656, -39.1318741, 75.6946945)));
      final vertex_5_38 = mesh_5.vertices.elementAt(38);
      expect(vertex_5_38, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_39 = mesh_5.vertices.elementAt(39);
      expect(vertex_5_39, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_40 = mesh_5.vertices.elementAt(40);
      expect(vertex_5_40, vector3MoreOrLessEquals(Vector3(-28.6963577, -38.6124077, 75.6980515)));
      final vertex_5_41 = mesh_5.vertices.elementAt(41);
      expect(vertex_5_41, vector3MoreOrLessEquals(Vector3(-28.3271656, -39.1318741, 75.6946945)));
      final vertex_5_42 = mesh_5.vertices.elementAt(42);
      expect(vertex_5_42, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_43 = mesh_5.vertices.elementAt(43);
      expect(vertex_5_43, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_44 = mesh_5.vertices.elementAt(44);
      expect(vertex_5_44, vector3MoreOrLessEquals(Vector3(-34.5024452, -1.65542102, -5.03219604)));
      final vertex_5_45 = mesh_5.vertices.elementAt(45);
      expect(vertex_5_45, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_46 = mesh_5.vertices.elementAt(46);
      expect(vertex_5_46, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_47 = mesh_5.vertices.elementAt(47);
      expect(vertex_5_47, vector3MoreOrLessEquals(Vector3(-28.6963577, -38.6124077, 75.6980515)));
      final vertex_5_48 = mesh_5.vertices.elementAt(48);
      expect(vertex_5_48, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_49 = mesh_5.vertices.elementAt(49);
      expect(vertex_5_49, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_50 = mesh_5.vertices.elementAt(50);
      expect(vertex_5_50, vector3MoreOrLessEquals(Vector3(-34.5024452, -1.65542102, -5.03219604)));
      final vertex_5_51 = mesh_5.vertices.elementAt(51);
      expect(vertex_5_51, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_52 = mesh_5.vertices.elementAt(52);
      expect(vertex_5_52, vector3MoreOrLessEquals(Vector3(-38.1253014, 7.46188688, 15.1555939)));
      final vertex_5_53 = mesh_5.vertices.elementAt(53);
      expect(vertex_5_53, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_54 = mesh_5.vertices.elementAt(54);
      expect(vertex_5_54, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_55 = mesh_5.vertices.elementAt(55);
      expect(vertex_5_55, vector3MoreOrLessEquals(Vector3(-40.4061546, 27.9340973, 29.606636)));
      final vertex_5_56 = mesh_5.vertices.elementAt(56);
      expect(vertex_5_56, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_57 = mesh_5.vertices.elementAt(57);
      expect(vertex_5_57, vector3MoreOrLessEquals(Vector3(-38.1253014, 7.46188688, 15.1555939)));
      final vertex_5_58 = mesh_5.vertices.elementAt(58);
      expect(vertex_5_58, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_59 = mesh_5.vertices.elementAt(59);
      expect(vertex_5_59, vector3MoreOrLessEquals(Vector3(-36.1078758, 8.51988983, 15.5624008)));
      final vertex_5_60 = mesh_5.vertices.elementAt(60);
      expect(vertex_5_60, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_61 = mesh_5.vertices.elementAt(61);
      expect(vertex_5_61, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_62 = mesh_5.vertices.elementAt(62);
      expect(vertex_5_62, vector3MoreOrLessEquals(Vector3(-40.4061546, 27.9340973, 29.606636)));
      final vertex_5_63 = mesh_5.vertices.elementAt(63);
      expect(vertex_5_63, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_64 = mesh_5.vertices.elementAt(64);
      expect(vertex_5_64, vector3MoreOrLessEquals(Vector3(-41.9958458, 27.4553604, 34.9760971)));
      final vertex_5_65 = mesh_5.vertices.elementAt(65);
      expect(vertex_5_65, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_66 = mesh_5.vertices.elementAt(66);
      expect(vertex_5_66, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_67 = mesh_5.vertices.elementAt(67);
      expect(vertex_5_67, vector3MoreOrLessEquals(Vector3(-35.8452263, 17.4360943, 48.6662407)));
      final vertex_5_68 = mesh_5.vertices.elementAt(68);
      expect(vertex_5_68, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_69 = mesh_5.vertices.elementAt(69);
      expect(vertex_5_69, vector3MoreOrLessEquals(Vector3(-41.9958458, 27.4553604, 34.9760971)));
      final vertex_5_70 = mesh_5.vertices.elementAt(70);
      expect(vertex_5_70, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_71 = mesh_5.vertices.elementAt(71);
      expect(vertex_5_71, vector3MoreOrLessEquals(Vector3(-39.8972816, 28.3932724, 34.709156)));
      final vertex_5_72 = mesh_5.vertices.elementAt(72);
      expect(vertex_5_72, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_73 = mesh_5.vertices.elementAt(73);
      expect(vertex_5_73, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_74 = mesh_5.vertices.elementAt(74);
      expect(vertex_5_74, vector3MoreOrLessEquals(Vector3(-35.8452263, 17.4360943, 48.6662407)));
      final vertex_5_75 = mesh_5.vertices.elementAt(75);
      expect(vertex_5_75, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_76 = mesh_5.vertices.elementAt(76);
      expect(vertex_5_76, vector3MoreOrLessEquals(Vector3(-30.0600395, -31.7149162, 66.5498734)));
      final vertex_5_77 = mesh_5.vertices.elementAt(77);
      expect(vertex_5_77, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_78 = mesh_5.vertices.elementAt(78);
      expect(vertex_5_78, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_79 = mesh_5.vertices.elementAt(79);
      expect(vertex_5_79, vector3MoreOrLessEquals(Vector3(-28.6963577, -38.6124077, 75.6980515)));
      final vertex_5_80 = mesh_5.vertices.elementAt(80);
      expect(vertex_5_80, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_81 = mesh_5.vertices.elementAt(81);
      expect(vertex_5_81, vector3MoreOrLessEquals(Vector3(-30.0600395, -31.7149162, 66.5498734)));
      final vertex_5_82 = mesh_5.vertices.elementAt(82);
      expect(vertex_5_82, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_83 = mesh_5.vertices.elementAt(83);
      expect(vertex_5_83, vector3MoreOrLessEquals(Vector3(-28.9665947, -31.8704395, 66.6115799)));
      final vertex_5_84 = mesh_5.vertices.elementAt(84);
      expect(vertex_5_84, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_85 = mesh_5.vertices.elementAt(85);
      expect(vertex_5_85, vector3MoreOrLessEquals(Vector3(-39.9360695, -3.11580706, -2.37665892)));
      final vertex_5_86 = mesh_5.vertices.elementAt(86);
      expect(vertex_5_86, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_87 = mesh_5.vertices.elementAt(87);
      expect(vertex_5_87, vector3MoreOrLessEquals(Vector3(-29.437933, -39.1004524, 75.5740585)));
      final vertex_5_88 = mesh_5.vertices.elementAt(88);
      expect(vertex_5_88, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_89 = mesh_5.vertices.elementAt(89);
      expect(vertex_5_89, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_90 = mesh_5.vertices.elementAt(90);
      expect(vertex_5_90, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_91 = mesh_5.vertices.elementAt(91);
      expect(vertex_5_91, vector3MoreOrLessEquals(Vector3(-38.1253014, 7.46188688, 15.1555939)));
      final vertex_5_92 = mesh_5.vertices.elementAt(92);
      expect(vertex_5_92, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_93 = mesh_5.vertices.elementAt(93);
      expect(vertex_5_93, vector3MoreOrLessEquals(Vector3(-39.9360695, -3.11580706, -2.37665892)));
      final vertex_5_94 = mesh_5.vertices.elementAt(94);
      expect(vertex_5_94, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_95 = mesh_5.vertices.elementAt(95);
      expect(vertex_5_95, vector3MoreOrLessEquals(Vector3(-37.9440613, -1.88390493, -4.87552595)));
      final vertex_5_96 = mesh_5.vertices.elementAt(96);
      expect(vertex_5_96, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_97 = mesh_5.vertices.elementAt(97);
      expect(vertex_5_97, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_98 = mesh_5.vertices.elementAt(98);
      expect(vertex_5_98, vector3MoreOrLessEquals(Vector3(-38.1253014, 7.46188688, 15.1555939)));
      final vertex_5_99 = mesh_5.vertices.elementAt(99);
      expect(vertex_5_99, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_100 = mesh_5.vertices.elementAt(100);
      expect(vertex_5_100, vector3MoreOrLessEquals(Vector3(-42.0347137, 25.9799042, 29.8336506)));
      final vertex_5_101 = mesh_5.vertices.elementAt(101);
      expect(vertex_5_101, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_102 = mesh_5.vertices.elementAt(102);
      expect(vertex_5_102, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_103 = mesh_5.vertices.elementAt(103);
      expect(vertex_5_103, vector3MoreOrLessEquals(Vector3(-41.9958458, 27.4553604, 34.9760971)));
      final vertex_5_104 = mesh_5.vertices.elementAt(104);
      expect(vertex_5_104, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_105 = mesh_5.vertices.elementAt(105);
      expect(vertex_5_105, vector3MoreOrLessEquals(Vector3(-42.0347137, 25.9799042, 29.8336506)));
      final vertex_5_106 = mesh_5.vertices.elementAt(106);
      expect(vertex_5_106, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_107 = mesh_5.vertices.elementAt(107);
      expect(vertex_5_107, vector3MoreOrLessEquals(Vector3(-41.7304802, 27.4419785, 29.4933281)));
      final vertex_5_108 = mesh_5.vertices.elementAt(108);
      expect(vertex_5_108, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_109 = mesh_5.vertices.elementAt(109);
      expect(vertex_5_109, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_110 = mesh_5.vertices.elementAt(110);
      expect(vertex_5_110, vector3MoreOrLessEquals(Vector3(-41.9958458, 27.4553604, 34.9760971)));
      final vertex_5_111 = mesh_5.vertices.elementAt(111);
      expect(vertex_5_111, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_112 = mesh_5.vertices.elementAt(112);
      expect(vertex_5_112, vector3MoreOrLessEquals(Vector3(-38.9477043, 14.7759466, 47.8384514)));
      final vertex_5_113 = mesh_5.vertices.elementAt(113);
      expect(vertex_5_113, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_114 = mesh_5.vertices.elementAt(114);
      expect(vertex_5_114, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_115 = mesh_5.vertices.elementAt(115);
      expect(vertex_5_115, vector3MoreOrLessEquals(Vector3(-30.0600395, -31.7149162, 66.5498734)));
      final vertex_5_116 = mesh_5.vertices.elementAt(116);
      expect(vertex_5_116, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_117 = mesh_5.vertices.elementAt(117);
      expect(vertex_5_117, vector3MoreOrLessEquals(Vector3(-38.9477043, 14.7759466, 47.8384514)));
      final vertex_5_118 = mesh_5.vertices.elementAt(118);
      expect(vertex_5_118, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_119 = mesh_5.vertices.elementAt(119);
      expect(vertex_5_119, vector3MoreOrLessEquals(Vector3(-37.8066673, 16.3061428, 49.1466331)));
      final vertex_5_120 = mesh_5.vertices.elementAt(120);
      expect(vertex_5_120, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_121 = mesh_5.vertices.elementAt(121);
      expect(vertex_5_121, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_122 = mesh_5.vertices.elementAt(122);
      expect(vertex_5_122, vector3MoreOrLessEquals(Vector3(-30.0600395, -31.7149162, 66.5498734)));
      final vertex_5_123 = mesh_5.vertices.elementAt(123);
      expect(vertex_5_123, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_124 = mesh_5.vertices.elementAt(124);
      expect(vertex_5_124, vector3MoreOrLessEquals(Vector3(-29.437933, -39.1004524, 75.5740585)));
      final vertex_5_125 = mesh_5.vertices.elementAt(125);
      expect(vertex_5_125, vector3MoreOrLessEquals(Vector3(-29.1907082, -38.5984459, 75.6443558)));
      final vertex_5_126 = mesh_5.vertices.elementAt(126);
      expect(vertex_5_126, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_127 = mesh_5.vertices.elementAt(127);
      expect(vertex_5_127, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_128 = mesh_5.vertices.elementAt(128);
      expect(vertex_5_128, vector3MoreOrLessEquals(Vector3(-39.9360695, -3.11580706, -2.37665892)));
      final vertex_5_129 = mesh_5.vertices.elementAt(129);
      expect(vertex_5_129, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_130 = mesh_5.vertices.elementAt(130);
      expect(vertex_5_130, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_131 = mesh_5.vertices.elementAt(131);
      expect(vertex_5_131, vector3MoreOrLessEquals(Vector3(-29.437933, -39.1004524, 75.5740585)));
      final vertex_5_132 = mesh_5.vertices.elementAt(132);
      expect(vertex_5_132, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_133 = mesh_5.vertices.elementAt(133);
      expect(vertex_5_133, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_134 = mesh_5.vertices.elementAt(134);
      expect(vertex_5_134, vector3MoreOrLessEquals(Vector3(-39.9360695, -3.11580706, -2.37665892)));
      final vertex_5_135 = mesh_5.vertices.elementAt(135);
      expect(vertex_5_135, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_136 = mesh_5.vertices.elementAt(136);
      expect(vertex_5_136, vector3MoreOrLessEquals(Vector3(-38.3193474, 4.62854004, 18.2087116)));
      final vertex_5_137 = mesh_5.vertices.elementAt(137);
      expect(vertex_5_137, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_138 = mesh_5.vertices.elementAt(138);
      expect(vertex_5_138, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_139 = mesh_5.vertices.elementAt(139);
      expect(vertex_5_139, vector3MoreOrLessEquals(Vector3(-42.0347137, 25.9799042, 29.8336506)));
      final vertex_5_140 = mesh_5.vertices.elementAt(140);
      expect(vertex_5_140, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_141 = mesh_5.vertices.elementAt(141);
      expect(vertex_5_141, vector3MoreOrLessEquals(Vector3(-38.3193474, 4.62854004, 18.2087116)));
      final vertex_5_142 = mesh_5.vertices.elementAt(142);
      expect(vertex_5_142, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_143 = mesh_5.vertices.elementAt(143);
      expect(vertex_5_143, vector3MoreOrLessEquals(Vector3(-39.1094856, 5.73008013, 16.3333206)));
      final vertex_5_144 = mesh_5.vertices.elementAt(144);
      expect(vertex_5_144, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_145 = mesh_5.vertices.elementAt(145);
      expect(vertex_5_145, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_146 = mesh_5.vertices.elementAt(146);
      expect(vertex_5_146, vector3MoreOrLessEquals(Vector3(-42.0347137, 25.9799042, 29.8336506)));
      final vertex_5_147 = mesh_5.vertices.elementAt(147);
      expect(vertex_5_147, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_148 = mesh_5.vertices.elementAt(148);
      expect(vertex_5_148, vector3MoreOrLessEquals(Vector3(-41.5978737, 23.745718, 33.1140366)));
      final vertex_5_149 = mesh_5.vertices.elementAt(149);
      expect(vertex_5_149, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_150 = mesh_5.vertices.elementAt(150);
      expect(vertex_5_150, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_151 = mesh_5.vertices.elementAt(151);
      expect(vertex_5_151, vector3MoreOrLessEquals(Vector3(-38.9477043, 14.7759466, 47.8384514)));
      final vertex_5_152 = mesh_5.vertices.elementAt(152);
      expect(vertex_5_152, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_153 = mesh_5.vertices.elementAt(153);
      expect(vertex_5_153, vector3MoreOrLessEquals(Vector3(-41.5978737, 23.745718, 33.1140366)));
      final vertex_5_154 = mesh_5.vertices.elementAt(154);
      expect(vertex_5_154, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_155 = mesh_5.vertices.elementAt(155);
      expect(vertex_5_155, vector3MoreOrLessEquals(Vector3(-42.7526855, 25.3870239, 34.2661896)));
      final vertex_5_156 = mesh_5.vertices.elementAt(156);
      expect(vertex_5_156, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_157 = mesh_5.vertices.elementAt(157);
      expect(vertex_5_157, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_158 = mesh_5.vertices.elementAt(158);
      expect(vertex_5_158, vector3MoreOrLessEquals(Vector3(-38.9477043, 14.7759466, 47.8384514)));
      final vertex_5_159 = mesh_5.vertices.elementAt(159);
      expect(vertex_5_159, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_160 = mesh_5.vertices.elementAt(160);
      expect(vertex_5_160, vector3MoreOrLessEquals(Vector3(-29.8780327, -35.060257, 65.9459457)));
      final vertex_5_161 = mesh_5.vertices.elementAt(161);
      expect(vertex_5_161, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_162 = mesh_5.vertices.elementAt(162);
      expect(vertex_5_162, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_163 = mesh_5.vertices.elementAt(163);
      expect(vertex_5_163, vector3MoreOrLessEquals(Vector3(-29.437933, -39.1004524, 75.5740585)));
      final vertex_5_164 = mesh_5.vertices.elementAt(164);
      expect(vertex_5_164, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_165 = mesh_5.vertices.elementAt(165);
      expect(vertex_5_165, vector3MoreOrLessEquals(Vector3(-29.8780327, -35.060257, 65.9459457)));
      final vertex_5_166 = mesh_5.vertices.elementAt(166);
      expect(vertex_5_166, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_167 = mesh_5.vertices.elementAt(167);
      expect(vertex_5_167, vector3MoreOrLessEquals(Vector3(-30.4656448, -33.1344757, 66.2536697)));
      final vertex_5_168 = mesh_5.vertices.elementAt(168);
      expect(vertex_5_168, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_169 = mesh_5.vertices.elementAt(169);
      expect(vertex_5_169, vector3MoreOrLessEquals(Vector3(-35.7922974, -4.8222332, 1.77397895)));
      final vertex_5_170 = mesh_5.vertices.elementAt(170);
      expect(vertex_5_170, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_171 = mesh_5.vertices.elementAt(171);
      expect(vertex_5_171, vector3MoreOrLessEquals(Vector3(-28.7726765, -40.0364685, 75.5680771)));
      final vertex_5_172 = mesh_5.vertices.elementAt(172);
      expect(vertex_5_172, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_173 = mesh_5.vertices.elementAt(173);
      expect(vertex_5_173, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_174 = mesh_5.vertices.elementAt(174);
      expect(vertex_5_174, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_175 = mesh_5.vertices.elementAt(175);
      expect(vertex_5_175, vector3MoreOrLessEquals(Vector3(-38.3193474, 4.62854004, 18.2087116)));
      final vertex_5_176 = mesh_5.vertices.elementAt(176);
      expect(vertex_5_176, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_177 = mesh_5.vertices.elementAt(177);
      expect(vertex_5_177, vector3MoreOrLessEquals(Vector3(-35.7922974, -4.8222332, 1.77397895)));
      final vertex_5_178 = mesh_5.vertices.elementAt(178);
      expect(vertex_5_178, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_179 = mesh_5.vertices.elementAt(179);
      expect(vertex_5_179, vector3MoreOrLessEquals(Vector3(-38.9784431, -4.42348385, 0.582625985)));
      final vertex_5_180 = mesh_5.vertices.elementAt(180);
      expect(vertex_5_180, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_181 = mesh_5.vertices.elementAt(181);
      expect(vertex_5_181, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_182 = mesh_5.vertices.elementAt(182);
      expect(vertex_5_182, vector3MoreOrLessEquals(Vector3(-38.3193474, 4.62854004, 18.2087116)));
      final vertex_5_183 = mesh_5.vertices.elementAt(183);
      expect(vertex_5_183, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_184 = mesh_5.vertices.elementAt(184);
      expect(vertex_5_184, vector3MoreOrLessEquals(Vector3(-39.6071892, 24.4510403, 30.7014484)));
      final vertex_5_185 = mesh_5.vertices.elementAt(185);
      expect(vertex_5_185, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_186 = mesh_5.vertices.elementAt(186);
      expect(vertex_5_186, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_187 = mesh_5.vertices.elementAt(187);
      expect(vertex_5_187, vector3MoreOrLessEquals(Vector3(-41.5978737, 23.745718, 33.1140366)));
      final vertex_5_188 = mesh_5.vertices.elementAt(188);
      expect(vertex_5_188, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_189 = mesh_5.vertices.elementAt(189);
      expect(vertex_5_189, vector3MoreOrLessEquals(Vector3(-39.6071892, 24.4510403, 30.7014484)));
      final vertex_5_190 = mesh_5.vertices.elementAt(190);
      expect(vertex_5_190, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_191 = mesh_5.vertices.elementAt(191);
      expect(vertex_5_191, vector3MoreOrLessEquals(Vector3(-41.089756, 24.6487865, 30.3713264)));
      final vertex_5_192 = mesh_5.vertices.elementAt(192);
      expect(vertex_5_192, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_193 = mesh_5.vertices.elementAt(193);
      expect(vertex_5_193, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_194 = mesh_5.vertices.elementAt(194);
      expect(vertex_5_194, vector3MoreOrLessEquals(Vector3(-41.5978737, 23.745718, 33.1140366)));
      final vertex_5_195 = mesh_5.vertices.elementAt(195);
      expect(vertex_5_195, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_196 = mesh_5.vertices.elementAt(196);
      expect(vertex_5_196, vector3MoreOrLessEquals(Vector3(-36.5964279, 14.5575476, 44.4017372)));
      final vertex_5_197 = mesh_5.vertices.elementAt(197);
      expect(vertex_5_197, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_198 = mesh_5.vertices.elementAt(198);
      expect(vertex_5_198, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_199 = mesh_5.vertices.elementAt(199);
      expect(vertex_5_199, vector3MoreOrLessEquals(Vector3(-29.8780327, -35.060257, 65.9459457)));
      final vertex_5_200 = mesh_5.vertices.elementAt(200);
      expect(vertex_5_200, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_201 = mesh_5.vertices.elementAt(201);
      expect(vertex_5_201, vector3MoreOrLessEquals(Vector3(-36.5964279, 14.5575476, 44.4017372)));
      final vertex_5_202 = mesh_5.vertices.elementAt(202);
      expect(vertex_5_202, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_203 = mesh_5.vertices.elementAt(203);
      expect(vertex_5_203, vector3MoreOrLessEquals(Vector3(-38.4091187, 13.9977407, 45.7268105)));
      final vertex_5_204 = mesh_5.vertices.elementAt(204);
      expect(vertex_5_204, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_205 = mesh_5.vertices.elementAt(205);
      expect(vertex_5_205, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_206 = mesh_5.vertices.elementAt(206);
      expect(vertex_5_206, vector3MoreOrLessEquals(Vector3(-29.8780327, -35.060257, 65.9459457)));
      final vertex_5_207 = mesh_5.vertices.elementAt(207);
      expect(vertex_5_207, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_208 = mesh_5.vertices.elementAt(208);
      expect(vertex_5_208, vector3MoreOrLessEquals(Vector3(-28.7726765, -40.0364685, 75.5680771)));
      final vertex_5_209 = mesh_5.vertices.elementAt(209);
      expect(vertex_5_209, vector3MoreOrLessEquals(Vector3(-29.2518959, -39.7404518, 75.5401382)));
      final vertex_5_210 = mesh_5.vertices.elementAt(210);
      expect(vertex_5_210, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_211 = mesh_5.vertices.elementAt(211);
      expect(vertex_5_211, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_212 = mesh_5.vertices.elementAt(212);
      expect(vertex_5_212, vector3MoreOrLessEquals(Vector3(-35.7922974, -4.8222332, 1.77397895)));
      final vertex_5_213 = mesh_5.vertices.elementAt(213);
      expect(vertex_5_213, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      final vertex_5_214 = mesh_5.vertices.elementAt(214);
      expect(vertex_5_214, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_215 = mesh_5.vertices.elementAt(215);
      expect(vertex_5_215, vector3MoreOrLessEquals(Vector3(-28.7726765, -40.0364685, 75.5680771)));
      final vertex_5_216 = mesh_5.vertices.elementAt(216);
      expect(vertex_5_216, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_217 = mesh_5.vertices.elementAt(217);
      expect(vertex_5_217, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_218 = mesh_5.vertices.elementAt(218);
      expect(vertex_5_218, vector3MoreOrLessEquals(Vector3(-35.7922974, -4.8222332, 1.77397895)));
      final vertex_5_219 = mesh_5.vertices.elementAt(219);
      expect(vertex_5_219, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_220 = mesh_5.vertices.elementAt(220);
      expect(vertex_5_220, vector3MoreOrLessEquals(Vector3(-34.6840553, 6.53496885, 18.9417362)));
      final vertex_5_221 = mesh_5.vertices.elementAt(221);
      expect(vertex_5_221, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_222 = mesh_5.vertices.elementAt(222);
      expect(vertex_5_222, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_223 = mesh_5.vertices.elementAt(223);
      expect(vertex_5_223, vector3MoreOrLessEquals(Vector3(-39.6071892, 24.4510403, 30.7014484)));
      final vertex_5_224 = mesh_5.vertices.elementAt(224);
      expect(vertex_5_224, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_225 = mesh_5.vertices.elementAt(225);
      expect(vertex_5_225, vector3MoreOrLessEquals(Vector3(-34.6840553, 6.53496885, 18.9417362)));
      final vertex_5_226 = mesh_5.vertices.elementAt(226);
      expect(vertex_5_226, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_227 = mesh_5.vertices.elementAt(227);
      expect(vertex_5_227, vector3MoreOrLessEquals(Vector3(-36.3498192, 4.98673582, 19.3695564)));
      final vertex_5_228 = mesh_5.vertices.elementAt(228);
      expect(vertex_5_228, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_229 = mesh_5.vertices.elementAt(229);
      expect(vertex_5_229, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_230 = mesh_5.vertices.elementAt(230);
      expect(vertex_5_230, vector3MoreOrLessEquals(Vector3(-39.6071892, 24.4510403, 30.7014484)));
      final vertex_5_231 = mesh_5.vertices.elementAt(231);
      expect(vertex_5_231, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_232 = mesh_5.vertices.elementAt(232);
      expect(vertex_5_232, vector3MoreOrLessEquals(Vector3(-37.8164024, 25.4357681, 32.6331062)));
      final vertex_5_233 = mesh_5.vertices.elementAt(233);
      expect(vertex_5_233, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_234 = mesh_5.vertices.elementAt(234);
      expect(vertex_5_234, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_235 = mesh_5.vertices.elementAt(235);
      expect(vertex_5_235, vector3MoreOrLessEquals(Vector3(-36.5964279, 14.5575476, 44.4017372)));
      final vertex_5_236 = mesh_5.vertices.elementAt(236);
      expect(vertex_5_236, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_237 = mesh_5.vertices.elementAt(237);
      expect(vertex_5_237, vector3MoreOrLessEquals(Vector3(-37.8164024, 25.4357681, 32.6331062)));
      final vertex_5_238 = mesh_5.vertices.elementAt(238);
      expect(vertex_5_238, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_239 = mesh_5.vertices.elementAt(239);
      expect(vertex_5_239, vector3MoreOrLessEquals(Vector3(-39.4010201, 23.7674007, 32.3872337)));
      final vertex_5_240 = mesh_5.vertices.elementAt(240);
      expect(vertex_5_240, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_241 = mesh_5.vertices.elementAt(241);
      expect(vertex_5_241, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_242 = mesh_5.vertices.elementAt(242);
      expect(vertex_5_242, vector3MoreOrLessEquals(Vector3(-36.5964279, 14.5575476, 44.4017372)));
      final vertex_5_243 = mesh_5.vertices.elementAt(243);
      expect(vertex_5_243, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_244 = mesh_5.vertices.elementAt(244);
      expect(vertex_5_244, vector3MoreOrLessEquals(Vector3(-27.9077129, -35.3406067, 66.0571213)));
      final vertex_5_245 = mesh_5.vertices.elementAt(245);
      expect(vertex_5_245, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_246 = mesh_5.vertices.elementAt(246);
      expect(vertex_5_246, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      final vertex_5_247 = mesh_5.vertices.elementAt(247);
      expect(vertex_5_247, vector3MoreOrLessEquals(Vector3(-28.7726765, -40.0364685, 75.5680771)));
      final vertex_5_248 = mesh_5.vertices.elementAt(248);
      expect(vertex_5_248, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_249 = mesh_5.vertices.elementAt(249);
      expect(vertex_5_249, vector3MoreOrLessEquals(Vector3(-27.9077129, -35.3406067, 66.0571213)));
      final vertex_5_250 = mesh_5.vertices.elementAt(250);
      expect(vertex_5_250, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      final vertex_5_251 = mesh_5.vertices.elementAt(251);
      expect(vertex_5_251, vector3MoreOrLessEquals(Vector3(-28.7396183, -36.0420647, 65.8584976)));
      final vertex_5_252 = mesh_5.vertices.elementAt(252);
      expect(vertex_5_252, vector3MoreOrLessEquals(Vector3(-36.0190086, -3.21641803, -1.76516294)));
      final vertex_5_253 = mesh_5.vertices.elementAt(253);
      expect(vertex_5_253, vector3MoreOrLessEquals(Vector3(-32.2028313, -2.60240698, -2.72874093)));
      final vertex_5_254 = mesh_5.vertices.elementAt(254);
      expect(vertex_5_254, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_255 = mesh_5.vertices.elementAt(255);
      expect(vertex_5_255, vector3MoreOrLessEquals(Vector3(-28.3271656, -39.1318741, 75.6946945)));
      final vertex_5_256 = mesh_5.vertices.elementAt(256);
      expect(vertex_5_256, vector3MoreOrLessEquals(Vector3(-28.8625202, -39.2837067, 75.6222916)));
      final vertex_5_257 = mesh_5.vertices.elementAt(257);
      expect(vertex_5_257, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      final vertex_5_258 = mesh_5.vertices.elementAt(258);
      expect(vertex_5_258, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_259 = mesh_5.vertices.elementAt(259);
      expect(vertex_5_259, vector3MoreOrLessEquals(Vector3(-34.6840553, 6.53496885, 18.9417362)));
      final vertex_5_260 = mesh_5.vertices.elementAt(260);
      expect(vertex_5_260, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_261 = mesh_5.vertices.elementAt(261);
      expect(vertex_5_261, vector3MoreOrLessEquals(Vector3(-32.2028313, -2.60240698, -2.72874093)));
      final vertex_5_262 = mesh_5.vertices.elementAt(262);
      expect(vertex_5_262, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_263 = mesh_5.vertices.elementAt(263);
      expect(vertex_5_263, vector3MoreOrLessEquals(Vector3(-32.7768745, -4.01177692, 0.300282001)));
      final vertex_5_264 = mesh_5.vertices.elementAt(264);
      expect(vertex_5_264, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_265 = mesh_5.vertices.elementAt(265);
      expect(vertex_5_265, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_266 = mesh_5.vertices.elementAt(266);
      expect(vertex_5_266, vector3MoreOrLessEquals(Vector3(-34.6840553, 6.53496885, 18.9417362)));
      final vertex_5_267 = mesh_5.vertices.elementAt(267);
      expect(vertex_5_267, vector3MoreOrLessEquals(Vector3(-34.5763702, 8.10736465, 17.2473965)));
      final vertex_5_268 = mesh_5.vertices.elementAt(268);
      expect(vertex_5_268, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_269 = mesh_5.vertices.elementAt(269);
      expect(vertex_5_269, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_270 = mesh_5.vertices.elementAt(270);
      expect(vertex_5_270, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_271 = mesh_5.vertices.elementAt(271);
      expect(vertex_5_271, vector3MoreOrLessEquals(Vector3(-37.8164024, 25.4357681, 32.6331062)));
      final vertex_5_272 = mesh_5.vertices.elementAt(272);
      expect(vertex_5_272, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_273 = mesh_5.vertices.elementAt(273);
      expect(vertex_5_273, vector3MoreOrLessEquals(Vector3(-39.058979, 27.0856247, 30.0882187)));
      final vertex_5_274 = mesh_5.vertices.elementAt(274);
      expect(vertex_5_274, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_275 = mesh_5.vertices.elementAt(275);
      expect(vertex_5_275, vector3MoreOrLessEquals(Vector3(-38.7034225, 25.5355453, 30.5754223)));
      final vertex_5_276 = mesh_5.vertices.elementAt(276);
      expect(vertex_5_276, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_277 = mesh_5.vertices.elementAt(277);
      expect(vertex_5_277, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_278 = mesh_5.vertices.elementAt(278);
      expect(vertex_5_278, vector3MoreOrLessEquals(Vector3(-37.8164024, 25.4357681, 32.6331062)));
      final vertex_5_279 = mesh_5.vertices.elementAt(279);
      expect(vertex_5_279, vector3MoreOrLessEquals(Vector3(-38.0372658, 27.4944611, 33.6664772)));
      final vertex_5_280 = mesh_5.vertices.elementAt(280);
      expect(vertex_5_280, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_281 = mesh_5.vertices.elementAt(281);
      expect(vertex_5_281, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_282 = mesh_5.vertices.elementAt(282);
      expect(vertex_5_282, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_283 = mesh_5.vertices.elementAt(283);
      expect(vertex_5_283, vector3MoreOrLessEquals(Vector3(-27.9077129, -35.3406067, 66.0571213)));
      final vertex_5_284 = mesh_5.vertices.elementAt(284);
      expect(vertex_5_284, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_285 = mesh_5.vertices.elementAt(285);
      expect(vertex_5_285, vector3MoreOrLessEquals(Vector3(-34.5403938, 17.3149223, 46.7590065)));
      final vertex_5_286 = mesh_5.vertices.elementAt(286);
      expect(vertex_5_286, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_287 = mesh_5.vertices.elementAt(287);
      expect(vertex_5_287, vector3MoreOrLessEquals(Vector3(-34.8747139, 16.033844, 44.8611412)));
      final vertex_5_288 = mesh_5.vertices.elementAt(288);
      expect(vertex_5_288, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_289 = mesh_5.vertices.elementAt(289);
      expect(vertex_5_289, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      final vertex_5_290 = mesh_5.vertices.elementAt(290);
      expect(vertex_5_290, vector3MoreOrLessEquals(Vector3(-27.9077129, -35.3406067, 66.0571213)));
      final vertex_5_291 = mesh_5.vertices.elementAt(291);
      expect(vertex_5_291, vector3MoreOrLessEquals(Vector3(-28.0087051, -33.4840393, 66.3922958)));
      final vertex_5_292 = mesh_5.vertices.elementAt(292);
      expect(vertex_5_292, vector3MoreOrLessEquals(Vector3(-28.3271656, -39.1318741, 75.6946945)));
      final vertex_5_293 = mesh_5.vertices.elementAt(293);
      expect(vertex_5_293, vector3MoreOrLessEquals(Vector3(-28.3611279, -39.7656364, 75.6369095)));
      expect(mesh_5.normals.length, equals(294));
      final normal_5_0 = mesh_5.normals.elementAt(0);
      expect(normal_5_0, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_1 = mesh_5.normals.elementAt(1);
      expect(normal_5_1, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_2 = mesh_5.normals.elementAt(2);
      expect(normal_5_2, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_3 = mesh_5.normals.elementAt(3);
      expect(normal_5_3, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_4 = mesh_5.normals.elementAt(4);
      expect(normal_5_4, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_5 = mesh_5.normals.elementAt(5);
      expect(normal_5_5, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_6 = mesh_5.normals.elementAt(6);
      expect(normal_5_6, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_7 = mesh_5.normals.elementAt(7);
      expect(normal_5_7, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_8 = mesh_5.normals.elementAt(8);
      expect(normal_5_8, vector3MoreOrLessEquals(Vector3(0.823804975, 0.535170972, -0.186912999)));
      final normal_5_9 = mesh_5.normals.elementAt(9);
      expect(normal_5_9, vector3MoreOrLessEquals(Vector3(0.285353005, 0.867913008, -0.406571001)));
      final normal_5_10 = mesh_5.normals.elementAt(10);
      expect(normal_5_10, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_11 = mesh_5.normals.elementAt(11);
      expect(normal_5_11, vector3MoreOrLessEquals(Vector3(0.823804975, 0.535170972, -0.186912999)));
      final normal_5_12 = mesh_5.normals.elementAt(12);
      expect(normal_5_12, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_13 = mesh_5.normals.elementAt(13);
      expect(normal_5_13, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_14 = mesh_5.normals.elementAt(14);
      expect(normal_5_14, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_15 = mesh_5.normals.elementAt(15);
      expect(normal_5_15, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_16 = mesh_5.normals.elementAt(16);
      expect(normal_5_16, vector3MoreOrLessEquals(Vector3(0.193001002, 0.857724011, -0.476509005)));
      final normal_5_17 = mesh_5.normals.elementAt(17);
      expect(normal_5_17, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_18 = mesh_5.normals.elementAt(18);
      expect(normal_5_18, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_19 = mesh_5.normals.elementAt(19);
      expect(normal_5_19, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_20 = mesh_5.normals.elementAt(20);
      expect(normal_5_20, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_21 = mesh_5.normals.elementAt(21);
      expect(normal_5_21, vector3MoreOrLessEquals(Vector3(0.193001002, 0.857724011, -0.476509005)));
      final normal_5_22 = mesh_5.normals.elementAt(22);
      expect(normal_5_22, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_23 = mesh_5.normals.elementAt(23);
      expect(normal_5_23, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_24 = mesh_5.normals.elementAt(24);
      expect(normal_5_24, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_25 = mesh_5.normals.elementAt(25);
      expect(normal_5_25, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_26 = mesh_5.normals.elementAt(26);
      expect(normal_5_26, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_27 = mesh_5.normals.elementAt(27);
      expect(normal_5_27, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_28 = mesh_5.normals.elementAt(28);
      expect(normal_5_28, vector3MoreOrLessEquals(Vector3(0.342557997, 0.602317989, 0.721018016)));
      final normal_5_29 = mesh_5.normals.elementAt(29);
      expect(normal_5_29, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_30 = mesh_5.normals.elementAt(30);
      expect(normal_5_30, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_31 = mesh_5.normals.elementAt(31);
      expect(normal_5_31, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_32 = mesh_5.normals.elementAt(32);
      expect(normal_5_32, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_33 = mesh_5.normals.elementAt(33);
      expect(normal_5_33, vector3MoreOrLessEquals(Vector3(0.342557997, 0.602317989, 0.721018016)));
      final normal_5_34 = mesh_5.normals.elementAt(34);
      expect(normal_5_34, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_35 = mesh_5.normals.elementAt(35);
      expect(normal_5_35, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_36 = mesh_5.normals.elementAt(36);
      expect(normal_5_36, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_37 = mesh_5.normals.elementAt(37);
      expect(normal_5_37, vector3MoreOrLessEquals(Vector3(0.912952006, 0.330027014, 0.240004003)));
      final normal_5_38 = mesh_5.normals.elementAt(38);
      expect(normal_5_38, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_39 = mesh_5.normals.elementAt(39);
      expect(normal_5_39, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_40 = mesh_5.normals.elementAt(40);
      expect(normal_5_40, vector3MoreOrLessEquals(Vector3(0.39695999, 0.742707014, 0.539267004)));
      final normal_5_41 = mesh_5.normals.elementAt(41);
      expect(normal_5_41, vector3MoreOrLessEquals(Vector3(0.912952006, 0.330027014, 0.240004003)));
      final normal_5_42 = mesh_5.normals.elementAt(42);
      expect(normal_5_42, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_43 = mesh_5.normals.elementAt(43);
      expect(normal_5_43, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_44 = mesh_5.normals.elementAt(44);
      expect(normal_5_44, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_45 = mesh_5.normals.elementAt(45);
      expect(normal_5_45, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_46 = mesh_5.normals.elementAt(46);
      expect(normal_5_46, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_47 = mesh_5.normals.elementAt(47);
      expect(normal_5_47, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_48 = mesh_5.normals.elementAt(48);
      expect(normal_5_48, vector3MoreOrLessEquals(Vector3(-0.562651992, 0.747700989, -0.352654994)));
      final normal_5_49 = mesh_5.normals.elementAt(49);
      expect(normal_5_49, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_50 = mesh_5.normals.elementAt(50);
      expect(normal_5_50, vector3MoreOrLessEquals(Vector3(0.285353005, 0.867913008, -0.406571001)));
      final normal_5_51 = mesh_5.normals.elementAt(51);
      expect(normal_5_51, vector3MoreOrLessEquals(Vector3(-0.562651992, 0.747700989, -0.352654994)));
      final normal_5_52 = mesh_5.normals.elementAt(52);
      expect(normal_5_52, vector3MoreOrLessEquals(Vector3(-0.640733004, 0.557163, -0.528234005)));
      final normal_5_53 = mesh_5.normals.elementAt(53);
      expect(normal_5_53, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_54 = mesh_5.normals.elementAt(54);
      expect(normal_5_54, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_55 = mesh_5.normals.elementAt(55);
      expect(normal_5_55, vector3MoreOrLessEquals(Vector3(0.193001002, 0.857724011, -0.476509005)));
      final normal_5_56 = mesh_5.normals.elementAt(56);
      expect(normal_5_56, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_57 = mesh_5.normals.elementAt(57);
      expect(normal_5_57, vector3MoreOrLessEquals(Vector3(-0.640733004, 0.557163, -0.528234005)));
      final normal_5_58 = mesh_5.normals.elementAt(58);
      expect(normal_5_58, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_59 = mesh_5.normals.elementAt(59);
      expect(normal_5_59, vector3MoreOrLessEquals(Vector3(0.245131001, 0.763260007, -0.597783029)));
      final normal_5_60 = mesh_5.normals.elementAt(60);
      expect(normal_5_60, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_61 = mesh_5.normals.elementAt(61);
      expect(normal_5_61, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_62 = mesh_5.normals.elementAt(62);
      expect(normal_5_62, vector3MoreOrLessEquals(Vector3(0.193001002, 0.857724011, -0.476509005)));
      final normal_5_63 = mesh_5.normals.elementAt(63);
      expect(normal_5_63, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_64 = mesh_5.normals.elementAt(64);
      expect(normal_5_64, vector3MoreOrLessEquals(Vector3(-0.719413996, 0.632987976, 0.285952985)));
      final normal_5_65 = mesh_5.normals.elementAt(65);
      expect(normal_5_65, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_66 = mesh_5.normals.elementAt(66);
      expect(normal_5_66, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_67 = mesh_5.normals.elementAt(67);
      expect(normal_5_67, vector3MoreOrLessEquals(Vector3(0.342557997, 0.602317989, 0.721018016)));
      final normal_5_68 = mesh_5.normals.elementAt(68);
      expect(normal_5_68, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_69 = mesh_5.normals.elementAt(69);
      expect(normal_5_69, vector3MoreOrLessEquals(Vector3(-0.719413996, 0.632987976, 0.285952985)));
      final normal_5_70 = mesh_5.normals.elementAt(70);
      expect(normal_5_70, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_71 = mesh_5.normals.elementAt(71);
      expect(normal_5_71, vector3MoreOrLessEquals(Vector3(0.122061998, 0.961257994, 0.247151002)));
      final normal_5_72 = mesh_5.normals.elementAt(72);
      expect(normal_5_72, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_73 = mesh_5.normals.elementAt(73);
      expect(normal_5_73, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_74 = mesh_5.normals.elementAt(74);
      expect(normal_5_74, vector3MoreOrLessEquals(Vector3(0.342557997, 0.602317989, 0.721018016)));
      final normal_5_75 = mesh_5.normals.elementAt(75);
      expect(normal_5_75, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_76 = mesh_5.normals.elementAt(76);
      expect(normal_5_76, vector3MoreOrLessEquals(Vector3(-0.506871998, 0.445327997, 0.738080978)));
      final normal_5_77 = mesh_5.normals.elementAt(77);
      expect(normal_5_77, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_78 = mesh_5.normals.elementAt(78);
      expect(normal_5_78, vector3MoreOrLessEquals(Vector3(-0.530035973, 0.658013999, 0.534864008)));
      final normal_5_79 = mesh_5.normals.elementAt(79);
      expect(normal_5_79, vector3MoreOrLessEquals(Vector3(0.39695999, 0.742707014, 0.539267004)));
      final normal_5_80 = mesh_5.normals.elementAt(80);
      expect(normal_5_80, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_81 = mesh_5.normals.elementAt(81);
      expect(normal_5_81, vector3MoreOrLessEquals(Vector3(-0.506871998, 0.445327997, 0.738080978)));
      final normal_5_82 = mesh_5.normals.elementAt(82);
      expect(normal_5_82, vector3MoreOrLessEquals(Vector3(-0.530035973, 0.658013999, 0.534864008)));
      final normal_5_83 = mesh_5.normals.elementAt(83);
      expect(normal_5_83, vector3MoreOrLessEquals(Vector3(0.449593008, 0.557051003, 0.698255002)));
      final normal_5_84 = mesh_5.normals.elementAt(84);
      expect(normal_5_84, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_85 = mesh_5.normals.elementAt(85);
      expect(normal_5_85, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_86 = mesh_5.normals.elementAt(86);
      expect(normal_5_86, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_87 = mesh_5.normals.elementAt(87);
      expect(normal_5_87, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_88 = mesh_5.normals.elementAt(88);
      expect(normal_5_88, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_89 = mesh_5.normals.elementAt(89);
      expect(normal_5_89, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_90 = mesh_5.normals.elementAt(90);
      expect(normal_5_90, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_91 = mesh_5.normals.elementAt(91);
      expect(normal_5_91, vector3MoreOrLessEquals(Vector3(-0.640733004, 0.557163, -0.528234005)));
      final normal_5_92 = mesh_5.normals.elementAt(92);
      expect(normal_5_92, vector3MoreOrLessEquals(Vector3(-0.562651992, 0.747700989, -0.352654994)));
      final normal_5_93 = mesh_5.normals.elementAt(93);
      expect(normal_5_93, vector3MoreOrLessEquals(Vector3(-0.97785902, 0.202555999, -0.0525659993)));
      final normal_5_94 = mesh_5.normals.elementAt(94);
      expect(normal_5_94, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_95 = mesh_5.normals.elementAt(95);
      expect(normal_5_95, vector3MoreOrLessEquals(Vector3(-0.562651992, 0.747700989, -0.352654994)));
      final normal_5_96 = mesh_5.normals.elementAt(96);
      expect(normal_5_96, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_97 = mesh_5.normals.elementAt(97);
      expect(normal_5_97, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_98 = mesh_5.normals.elementAt(98);
      expect(normal_5_98, vector3MoreOrLessEquals(Vector3(-0.640733004, 0.557163, -0.528234005)));
      final normal_5_99 = mesh_5.normals.elementAt(99);
      expect(normal_5_99, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_100 = mesh_5.normals.elementAt(100);
      expect(normal_5_100, vector3MoreOrLessEquals(Vector3(-0.974887013, -0.208763003, -0.0775479972)));
      final normal_5_101 = mesh_5.normals.elementAt(101);
      expect(normal_5_101, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_102 = mesh_5.normals.elementAt(102);
      expect(normal_5_102, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_103 = mesh_5.normals.elementAt(103);
      expect(normal_5_103, vector3MoreOrLessEquals(Vector3(-0.719413996, 0.632987976, 0.285952985)));
      final normal_5_104 = mesh_5.normals.elementAt(104);
      expect(normal_5_104, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_105 = mesh_5.normals.elementAt(105);
      expect(normal_5_105, vector3MoreOrLessEquals(Vector3(-0.974887013, -0.208763003, -0.0775479972)));
      final normal_5_106 = mesh_5.normals.elementAt(106);
      expect(normal_5_106, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_107 = mesh_5.normals.elementAt(107);
      expect(normal_5_107, vector3MoreOrLessEquals(Vector3(-0.71211803, 0.570581973, -0.409052998)));
      final normal_5_108 = mesh_5.normals.elementAt(108);
      expect(normal_5_108, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_109 = mesh_5.normals.elementAt(109);
      expect(normal_5_109, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_110 = mesh_5.normals.elementAt(110);
      expect(normal_5_110, vector3MoreOrLessEquals(Vector3(-0.719413996, 0.632987976, 0.285952985)));
      final normal_5_111 = mesh_5.normals.elementAt(111);
      expect(normal_5_111, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_112 = mesh_5.normals.elementAt(112);
      expect(normal_5_112, vector3MoreOrLessEquals(Vector3(-0.971467972, -0.0840829983, 0.221764997)));
      final normal_5_113 = mesh_5.normals.elementAt(113);
      expect(normal_5_113, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_114 = mesh_5.normals.elementAt(114);
      expect(normal_5_114, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_115 = mesh_5.normals.elementAt(115);
      expect(normal_5_115, vector3MoreOrLessEquals(Vector3(-0.506871998, 0.445327997, 0.738080978)));
      final normal_5_116 = mesh_5.normals.elementAt(116);
      expect(normal_5_116, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_117 = mesh_5.normals.elementAt(117);
      expect(normal_5_117, vector3MoreOrLessEquals(Vector3(-0.971467972, -0.0840829983, 0.221764997)));
      final normal_5_118 = mesh_5.normals.elementAt(118);
      expect(normal_5_118, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_119 = mesh_5.normals.elementAt(119);
      expect(normal_5_119, vector3MoreOrLessEquals(Vector3(-0.541634977, 0.392908007, 0.743139029)));
      final normal_5_120 = mesh_5.normals.elementAt(120);
      expect(normal_5_120, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_121 = mesh_5.normals.elementAt(121);
      expect(normal_5_121, vector3MoreOrLessEquals(Vector3(-0.530035973, 0.658013999, 0.534864008)));
      final normal_5_122 = mesh_5.normals.elementAt(122);
      expect(normal_5_122, vector3MoreOrLessEquals(Vector3(-0.506871998, 0.445327997, 0.738080978)));
      final normal_5_123 = mesh_5.normals.elementAt(123);
      expect(normal_5_123, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_124 = mesh_5.normals.elementAt(124);
      expect(normal_5_124, vector3MoreOrLessEquals(Vector3(-0.98793, 0.0556549989, 0.144558996)));
      final normal_5_125 = mesh_5.normals.elementAt(125);
      expect(normal_5_125, vector3MoreOrLessEquals(Vector3(-0.530035973, 0.658013999, 0.534864008)));
      final normal_5_126 = mesh_5.normals.elementAt(126);
      expect(normal_5_126, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_127 = mesh_5.normals.elementAt(127);
      expect(normal_5_127, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_128 = mesh_5.normals.elementAt(128);
      expect(normal_5_128, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_129 = mesh_5.normals.elementAt(129);
      expect(normal_5_129, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_130 = mesh_5.normals.elementAt(130);
      expect(normal_5_130, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_131 = mesh_5.normals.elementAt(131);
      expect(normal_5_131, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_132 = mesh_5.normals.elementAt(132);
      expect(normal_5_132, vector3MoreOrLessEquals(Vector3(-0.644784987, -0.668339014, 0.370911986)));
      final normal_5_133 = mesh_5.normals.elementAt(133);
      expect(normal_5_133, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_134 = mesh_5.normals.elementAt(134);
      expect(normal_5_134, vector3MoreOrLessEquals(Vector3(-0.97785902, 0.202555999, -0.0525659993)));
      final normal_5_135 = mesh_5.normals.elementAt(135);
      expect(normal_5_135, vector3MoreOrLessEquals(Vector3(-0.644784987, -0.668339014, 0.370911986)));
      final normal_5_136 = mesh_5.normals.elementAt(136);
      expect(normal_5_136, vector3MoreOrLessEquals(Vector3(-0.667255998, -0.57198, 0.477084011)));
      final normal_5_137 = mesh_5.normals.elementAt(137);
      expect(normal_5_137, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_138 = mesh_5.normals.elementAt(138);
      expect(normal_5_138, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_139 = mesh_5.normals.elementAt(139);
      expect(normal_5_139, vector3MoreOrLessEquals(Vector3(-0.974887013, -0.208763003, -0.0775479972)));
      final normal_5_140 = mesh_5.normals.elementAt(140);
      expect(normal_5_140, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_141 = mesh_5.normals.elementAt(141);
      expect(normal_5_141, vector3MoreOrLessEquals(Vector3(-0.667255998, -0.57198, 0.477084011)));
      final normal_5_142 = mesh_5.normals.elementAt(142);
      expect(normal_5_142, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_143 = mesh_5.normals.elementAt(143);
      expect(normal_5_143, vector3MoreOrLessEquals(Vector3(-0.999397993, 0.0028570001, -0.0345860012)));
      final normal_5_144 = mesh_5.normals.elementAt(144);
      expect(normal_5_144, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_145 = mesh_5.normals.elementAt(145);
      expect(normal_5_145, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_146 = mesh_5.normals.elementAt(146);
      expect(normal_5_146, vector3MoreOrLessEquals(Vector3(-0.974887013, -0.208763003, -0.0775479972)));
      final normal_5_147 = mesh_5.normals.elementAt(147);
      expect(normal_5_147, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_148 = mesh_5.normals.elementAt(148);
      expect(normal_5_148, vector3MoreOrLessEquals(Vector3(-0.560535014, -0.736307025, -0.379014999)));
      final normal_5_149 = mesh_5.normals.elementAt(149);
      expect(normal_5_149, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_150 = mesh_5.normals.elementAt(150);
      expect(normal_5_150, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_151 = mesh_5.normals.elementAt(151);
      expect(normal_5_151, vector3MoreOrLessEquals(Vector3(-0.971467972, -0.0840829983, 0.221764997)));
      final normal_5_152 = mesh_5.normals.elementAt(152);
      expect(normal_5_152, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_153 = mesh_5.normals.elementAt(153);
      expect(normal_5_153, vector3MoreOrLessEquals(Vector3(-0.560535014, -0.736307025, -0.379014999)));
      final normal_5_154 = mesh_5.normals.elementAt(154);
      expect(normal_5_154, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_155 = mesh_5.normals.elementAt(155);
      expect(normal_5_155, vector3MoreOrLessEquals(Vector3(-0.990809023, -0.134970993, -0.00891099963)));
      final normal_5_156 = mesh_5.normals.elementAt(156);
      expect(normal_5_156, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_157 = mesh_5.normals.elementAt(157);
      expect(normal_5_157, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_158 = mesh_5.normals.elementAt(158);
      expect(normal_5_158, vector3MoreOrLessEquals(Vector3(-0.971467972, -0.0840829983, 0.221764997)));
      final normal_5_159 = mesh_5.normals.elementAt(159);
      expect(normal_5_159, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_160 = mesh_5.normals.elementAt(160);
      expect(normal_5_160, vector3MoreOrLessEquals(Vector3(-0.805446982, -0.450708002, -0.384860009)));
      final normal_5_161 = mesh_5.normals.elementAt(161);
      expect(normal_5_161, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_162 = mesh_5.normals.elementAt(162);
      expect(normal_5_162, vector3MoreOrLessEquals(Vector3(-0.807097018, -0.552296996, -0.208715007)));
      final normal_5_163 = mesh_5.normals.elementAt(163);
      expect(normal_5_163, vector3MoreOrLessEquals(Vector3(-0.98793, 0.0556549989, 0.144558996)));
      final normal_5_164 = mesh_5.normals.elementAt(164);
      expect(normal_5_164, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_165 = mesh_5.normals.elementAt(165);
      expect(normal_5_165, vector3MoreOrLessEquals(Vector3(-0.805446982, -0.450708002, -0.384860009)));
      final normal_5_166 = mesh_5.normals.elementAt(166);
      expect(normal_5_166, vector3MoreOrLessEquals(Vector3(-0.807097018, -0.552296996, -0.208715007)));
      final normal_5_167 = mesh_5.normals.elementAt(167);
      expect(normal_5_167, vector3MoreOrLessEquals(Vector3(-0.983986974, -0.035831999, 0.174602002)));
      final normal_5_168 = mesh_5.normals.elementAt(168);
      expect(normal_5_168, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_169 = mesh_5.normals.elementAt(169);
      expect(normal_5_169, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_170 = mesh_5.normals.elementAt(170);
      expect(normal_5_170, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_171 = mesh_5.normals.elementAt(171);
      expect(normal_5_171, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_172 = mesh_5.normals.elementAt(172);
      expect(normal_5_172, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_173 = mesh_5.normals.elementAt(173);
      expect(normal_5_173, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_174 = mesh_5.normals.elementAt(174);
      expect(normal_5_174, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_175 = mesh_5.normals.elementAt(175);
      expect(normal_5_175, vector3MoreOrLessEquals(Vector3(-0.667255998, -0.57198, 0.477084011)));
      final normal_5_176 = mesh_5.normals.elementAt(176);
      expect(normal_5_176, vector3MoreOrLessEquals(Vector3(-0.644784987, -0.668339014, 0.370911986)));
      final normal_5_177 = mesh_5.normals.elementAt(177);
      expect(normal_5_177, vector3MoreOrLessEquals(Vector3(0.0815050006, -0.869440973, 0.487268001)));
      final normal_5_178 = mesh_5.normals.elementAt(178);
      expect(normal_5_178, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_179 = mesh_5.normals.elementAt(179);
      expect(normal_5_179, vector3MoreOrLessEquals(Vector3(-0.644784987, -0.668339014, 0.370911986)));
      final normal_5_180 = mesh_5.normals.elementAt(180);
      expect(normal_5_180, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_181 = mesh_5.normals.elementAt(181);
      expect(normal_5_181, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_182 = mesh_5.normals.elementAt(182);
      expect(normal_5_182, vector3MoreOrLessEquals(Vector3(-0.667255998, -0.57198, 0.477084011)));
      final normal_5_183 = mesh_5.normals.elementAt(183);
      expect(normal_5_183, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_184 = mesh_5.normals.elementAt(184);
      expect(normal_5_184, vector3MoreOrLessEquals(Vector3(0.344060004, -0.883527994, 0.317806989)));
      final normal_5_185 = mesh_5.normals.elementAt(185);
      expect(normal_5_185, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_186 = mesh_5.normals.elementAt(186);
      expect(normal_5_186, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_187 = mesh_5.normals.elementAt(187);
      expect(normal_5_187, vector3MoreOrLessEquals(Vector3(-0.560535014, -0.736307025, -0.379014999)));
      final normal_5_188 = mesh_5.normals.elementAt(188);
      expect(normal_5_188, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_189 = mesh_5.normals.elementAt(189);
      expect(normal_5_189, vector3MoreOrLessEquals(Vector3(0.344060004, -0.883527994, 0.317806989)));
      final normal_5_190 = mesh_5.normals.elementAt(190);
      expect(normal_5_190, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_191 = mesh_5.normals.elementAt(191);
      expect(normal_5_191, vector3MoreOrLessEquals(Vector3(-0.657388985, -0.734501004, 0.168368995)));
      final normal_5_192 = mesh_5.normals.elementAt(192);
      expect(normal_5_192, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_193 = mesh_5.normals.elementAt(193);
      expect(normal_5_193, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_194 = mesh_5.normals.elementAt(194);
      expect(normal_5_194, vector3MoreOrLessEquals(Vector3(-0.560535014, -0.736307025, -0.379014999)));
      final normal_5_195 = mesh_5.normals.elementAt(195);
      expect(normal_5_195, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_196 = mesh_5.normals.elementAt(196);
      expect(normal_5_196, vector3MoreOrLessEquals(Vector3(0.132505998, -0.587486982, -0.798312008)));
      final normal_5_197 = mesh_5.normals.elementAt(197);
      expect(normal_5_197, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_198 = mesh_5.normals.elementAt(198);
      expect(normal_5_198, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_199 = mesh_5.normals.elementAt(199);
      expect(normal_5_199, vector3MoreOrLessEquals(Vector3(-0.805446982, -0.450708002, -0.384860009)));
      final normal_5_200 = mesh_5.normals.elementAt(200);
      expect(normal_5_200, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_201 = mesh_5.normals.elementAt(201);
      expect(normal_5_201, vector3MoreOrLessEquals(Vector3(0.132505998, -0.587486982, -0.798312008)));
      final normal_5_202 = mesh_5.normals.elementAt(202);
      expect(normal_5_202, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_203 = mesh_5.normals.elementAt(203);
      expect(normal_5_203, vector3MoreOrLessEquals(Vector3(-0.692903996, -0.540327013, -0.477420986)));
      final normal_5_204 = mesh_5.normals.elementAt(204);
      expect(normal_5_204, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_205 = mesh_5.normals.elementAt(205);
      expect(normal_5_205, vector3MoreOrLessEquals(Vector3(-0.807097018, -0.552296996, -0.208715007)));
      final normal_5_206 = mesh_5.normals.elementAt(206);
      expect(normal_5_206, vector3MoreOrLessEquals(Vector3(-0.805446982, -0.450708002, -0.384860009)));
      final normal_5_207 = mesh_5.normals.elementAt(207);
      expect(normal_5_207, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_208 = mesh_5.normals.elementAt(208);
      expect(normal_5_208, vector3MoreOrLessEquals(Vector3(0.0450999998, -0.923914015, -0.379933)));
      final normal_5_209 = mesh_5.normals.elementAt(209);
      expect(normal_5_209, vector3MoreOrLessEquals(Vector3(-0.807097018, -0.552296996, -0.208715007)));
      final normal_5_210 = mesh_5.normals.elementAt(210);
      expect(normal_5_210, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_211 = mesh_5.normals.elementAt(211);
      expect(normal_5_211, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_212 = mesh_5.normals.elementAt(212);
      expect(normal_5_212, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_213 = mesh_5.normals.elementAt(213);
      expect(normal_5_213, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_214 = mesh_5.normals.elementAt(214);
      expect(normal_5_214, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_215 = mesh_5.normals.elementAt(215);
      expect(normal_5_215, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_216 = mesh_5.normals.elementAt(216);
      expect(normal_5_216, vector3MoreOrLessEquals(Vector3(0.862121999, -0.401540995, 0.309047997)));
      final normal_5_217 = mesh_5.normals.elementAt(217);
      expect(normal_5_217, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_218 = mesh_5.normals.elementAt(218);
      expect(normal_5_218, vector3MoreOrLessEquals(Vector3(0.0815050006, -0.869440973, 0.487268001)));
      final normal_5_219 = mesh_5.normals.elementAt(219);
      expect(normal_5_219, vector3MoreOrLessEquals(Vector3(0.862121999, -0.401540995, 0.309047997)));
      final normal_5_220 = mesh_5.normals.elementAt(220);
      expect(normal_5_220, vector3MoreOrLessEquals(Vector3(0.886723995, -0.232861996, 0.399367988)));
      final normal_5_221 = mesh_5.normals.elementAt(221);
      expect(normal_5_221, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_222 = mesh_5.normals.elementAt(222);
      expect(normal_5_222, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_223 = mesh_5.normals.elementAt(223);
      expect(normal_5_223, vector3MoreOrLessEquals(Vector3(0.344060004, -0.883527994, 0.317806989)));
      final normal_5_224 = mesh_5.normals.elementAt(224);
      expect(normal_5_224, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_225 = mesh_5.normals.elementAt(225);
      expect(normal_5_225, vector3MoreOrLessEquals(Vector3(0.886723995, -0.232861996, 0.399367988)));
      final normal_5_226 = mesh_5.normals.elementAt(226);
      expect(normal_5_226, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_227 = mesh_5.normals.elementAt(227);
      expect(normal_5_227, vector3MoreOrLessEquals(Vector3(0.166808993, -0.694562018, 0.699828029)));
      final normal_5_228 = mesh_5.normals.elementAt(228);
      expect(normal_5_228, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_229 = mesh_5.normals.elementAt(229);
      expect(normal_5_229, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_230 = mesh_5.normals.elementAt(230);
      expect(normal_5_230, vector3MoreOrLessEquals(Vector3(0.344060004, -0.883527994, 0.317806989)));
      final normal_5_231 = mesh_5.normals.elementAt(231);
      expect(normal_5_231, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_232 = mesh_5.normals.elementAt(232);
      expect(normal_5_232, vector3MoreOrLessEquals(Vector3(0.901261985, -0.198276997, -0.385244995)));
      final normal_5_233 = mesh_5.normals.elementAt(233);
      expect(normal_5_233, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_234 = mesh_5.normals.elementAt(234);
      expect(normal_5_234, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_235 = mesh_5.normals.elementAt(235);
      expect(normal_5_235, vector3MoreOrLessEquals(Vector3(0.132505998, -0.587486982, -0.798312008)));
      final normal_5_236 = mesh_5.normals.elementAt(236);
      expect(normal_5_236, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_237 = mesh_5.normals.elementAt(237);
      expect(normal_5_237, vector3MoreOrLessEquals(Vector3(0.901261985, -0.198276997, -0.385244995)));
      final normal_5_238 = mesh_5.normals.elementAt(238);
      expect(normal_5_238, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_239 = mesh_5.normals.elementAt(239);
      expect(normal_5_239, vector3MoreOrLessEquals(Vector3(0.303265005, -0.806547999, -0.507454991)));
      final normal_5_240 = mesh_5.normals.elementAt(240);
      expect(normal_5_240, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_241 = mesh_5.normals.elementAt(241);
      expect(normal_5_241, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_242 = mesh_5.normals.elementAt(242);
      expect(normal_5_242, vector3MoreOrLessEquals(Vector3(0.132505998, -0.587486982, -0.798312008)));
      final normal_5_243 = mesh_5.normals.elementAt(243);
      expect(normal_5_243, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_244 = mesh_5.normals.elementAt(244);
      expect(normal_5_244, vector3MoreOrLessEquals(Vector3(0.901238024, -0.252507001, -0.352151006)));
      final normal_5_245 = mesh_5.normals.elementAt(245);
      expect(normal_5_245, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_246 = mesh_5.normals.elementAt(246);
      expect(normal_5_246, vector3MoreOrLessEquals(Vector3(0.898277998, -0.412999004, -0.150093004)));
      final normal_5_247 = mesh_5.normals.elementAt(247);
      expect(normal_5_247, vector3MoreOrLessEquals(Vector3(0.0450999998, -0.923914015, -0.379933)));
      final normal_5_248 = mesh_5.normals.elementAt(248);
      expect(normal_5_248, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_249 = mesh_5.normals.elementAt(249);
      expect(normal_5_249, vector3MoreOrLessEquals(Vector3(0.901238024, -0.252507001, -0.352151006)));
      final normal_5_250 = mesh_5.normals.elementAt(250);
      expect(normal_5_250, vector3MoreOrLessEquals(Vector3(0.898277998, -0.412999004, -0.150093004)));
      final normal_5_251 = mesh_5.normals.elementAt(251);
      expect(normal_5_251, vector3MoreOrLessEquals(Vector3(0.0226099994, -0.69362998, -0.719976008)));
      final normal_5_252 = mesh_5.normals.elementAt(252);
      expect(normal_5_252, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_253 = mesh_5.normals.elementAt(253);
      expect(normal_5_253, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_254 = mesh_5.normals.elementAt(254);
      expect(normal_5_254, vector3MoreOrLessEquals(Vector3(0.0414430015, -0.908864975, -0.415026993)));
      final normal_5_255 = mesh_5.normals.elementAt(255);
      expect(normal_5_255, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_256 = mesh_5.normals.elementAt(256);
      expect(normal_5_256, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_257 = mesh_5.normals.elementAt(257);
      expect(normal_5_257, vector3MoreOrLessEquals(Vector3(-0.109957002, -0.0845479965, 0.990333974)));
      final normal_5_258 = mesh_5.normals.elementAt(258);
      expect(normal_5_258, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_259 = mesh_5.normals.elementAt(259);
      expect(normal_5_259, vector3MoreOrLessEquals(Vector3(0.886723995, -0.232861996, 0.399367988)));
      final normal_5_260 = mesh_5.normals.elementAt(260);
      expect(normal_5_260, vector3MoreOrLessEquals(Vector3(0.862121999, -0.401540995, 0.309047997)));
      final normal_5_261 = mesh_5.normals.elementAt(261);
      expect(normal_5_261, vector3MoreOrLessEquals(Vector3(0.823804975, 0.535170972, -0.186912999)));
      final normal_5_262 = mesh_5.normals.elementAt(262);
      expect(normal_5_262, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_263 = mesh_5.normals.elementAt(263);
      expect(normal_5_263, vector3MoreOrLessEquals(Vector3(0.862121999, -0.401540995, 0.309047997)));
      final normal_5_264 = mesh_5.normals.elementAt(264);
      expect(normal_5_264, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_265 = mesh_5.normals.elementAt(265);
      expect(normal_5_265, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_266 = mesh_5.normals.elementAt(266);
      expect(normal_5_266, vector3MoreOrLessEquals(Vector3(0.886723995, -0.232861996, 0.399367988)));
      final normal_5_267 = mesh_5.normals.elementAt(267);
      expect(normal_5_267, vector3MoreOrLessEquals(Vector3(0.955444992, 0.284327, -0.0792609975)));
      final normal_5_268 = mesh_5.normals.elementAt(268);
      expect(normal_5_268, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_269 = mesh_5.normals.elementAt(269);
      expect(normal_5_269, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_270 = mesh_5.normals.elementAt(270);
      expect(normal_5_270, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_271 = mesh_5.normals.elementAt(271);
      expect(normal_5_271, vector3MoreOrLessEquals(Vector3(0.901261985, -0.198276997, -0.385244995)));
      final normal_5_272 = mesh_5.normals.elementAt(272);
      expect(normal_5_272, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_273 = mesh_5.normals.elementAt(273);
      expect(normal_5_273, vector3MoreOrLessEquals(Vector3(0.750150025, 0.580981016, -0.315809011)));
      final normal_5_274 = mesh_5.normals.elementAt(274);
      expect(normal_5_274, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_275 = mesh_5.normals.elementAt(275);
      expect(normal_5_275, vector3MoreOrLessEquals(Vector3(0.979858994, -0.190891996, 0.0586149991)));
      final normal_5_276 = mesh_5.normals.elementAt(276);
      expect(normal_5_276, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_277 = mesh_5.normals.elementAt(277);
      expect(normal_5_277, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_278 = mesh_5.normals.elementAt(278);
      expect(normal_5_278, vector3MoreOrLessEquals(Vector3(0.901261985, -0.198276997, -0.385244995)));
      final normal_5_279 = mesh_5.normals.elementAt(279);
      expect(normal_5_279, vector3MoreOrLessEquals(Vector3(0.890763998, 0.429946989, -0.147257)));
      final normal_5_280 = mesh_5.normals.elementAt(280);
      expect(normal_5_280, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_281 = mesh_5.normals.elementAt(281);
      expect(normal_5_281, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_282 = mesh_5.normals.elementAt(282);
      expect(normal_5_282, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_283 = mesh_5.normals.elementAt(283);
      expect(normal_5_283, vector3MoreOrLessEquals(Vector3(0.901238024, -0.252507001, -0.352151006)));
      final normal_5_284 = mesh_5.normals.elementAt(284);
      expect(normal_5_284, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_285 = mesh_5.normals.elementAt(285);
      expect(normal_5_285, vector3MoreOrLessEquals(Vector3(0.86936003, 0.404801995, 0.283457994)));
      final normal_5_286 = mesh_5.normals.elementAt(286);
      expect(normal_5_286, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_287 = mesh_5.normals.elementAt(287);
      expect(normal_5_287, vector3MoreOrLessEquals(Vector3(0.854373991, -0.181939006, -0.486768007)));
      final normal_5_288 = mesh_5.normals.elementAt(288);
      expect(normal_5_288, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_289 = mesh_5.normals.elementAt(289);
      expect(normal_5_289, vector3MoreOrLessEquals(Vector3(0.898277998, -0.412999004, -0.150093004)));
      final normal_5_290 = mesh_5.normals.elementAt(290);
      expect(normal_5_290, vector3MoreOrLessEquals(Vector3(0.901238024, -0.252507001, -0.352151006)));
      final normal_5_291 = mesh_5.normals.elementAt(291);
      expect(normal_5_291, vector3MoreOrLessEquals(Vector3(0.979970992, 0.160597995, 0.117751002)));
      final normal_5_292 = mesh_5.normals.elementAt(292);
      expect(normal_5_292, vector3MoreOrLessEquals(Vector3(0.912952006, 0.330027014, 0.240004003)));
      final normal_5_293 = mesh_5.normals.elementAt(293);
      expect(normal_5_293, vector3MoreOrLessEquals(Vector3(0.898277998, -0.412999004, -0.150093004)));
      expect(mesh_5.tangents.length, isZero);
      expect(mesh_5.bitangents.length, isZero);
      expect(mesh_5.colors.length, isZero);
      expect(mesh_5.textureCoords.length, equals(1));
      final textureCoords_5_0 = mesh_5.textureCoords.elementAt(0);
      expect(textureCoords_5_0.length, equals(294));
      final textureCoord_5_0_0 = textureCoords_5_0.elementAt(0);
      expect(textureCoord_5_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_1 = textureCoords_5_0.elementAt(1);
      expect(textureCoord_5_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_2 = textureCoords_5_0.elementAt(2);
      expect(textureCoord_5_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_3 = textureCoords_5_0.elementAt(3);
      expect(textureCoord_5_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_4 = textureCoords_5_0.elementAt(4);
      expect(textureCoord_5_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_5 = textureCoords_5_0.elementAt(5);
      expect(textureCoord_5_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_6 = textureCoords_5_0.elementAt(6);
      expect(textureCoord_5_0_6, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_7 = textureCoords_5_0.elementAt(7);
      expect(textureCoord_5_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_5_0_8 = textureCoords_5_0.elementAt(8);
      expect(textureCoord_5_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_9 = textureCoords_5_0.elementAt(9);
      expect(textureCoord_5_0_9, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_5_0_10 = textureCoords_5_0.elementAt(10);
      expect(textureCoord_5_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_11 = textureCoords_5_0.elementAt(11);
      expect(textureCoord_5_0_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_5_0_12 = textureCoords_5_0.elementAt(12);
      expect(textureCoord_5_0_12, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_13 = textureCoords_5_0.elementAt(13);
      expect(textureCoord_5_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_5_0_14 = textureCoords_5_0.elementAt(14);
      expect(textureCoord_5_0_14, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_5_0_15 = textureCoords_5_0.elementAt(15);
      expect(textureCoord_5_0_15, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_16 = textureCoords_5_0.elementAt(16);
      expect(textureCoord_5_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_5_0_17 = textureCoords_5_0.elementAt(17);
      expect(textureCoord_5_0_17, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_5_0_18 = textureCoords_5_0.elementAt(18);
      expect(textureCoord_5_0_18, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_19 = textureCoords_5_0.elementAt(19);
      expect(textureCoord_5_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_5_0_20 = textureCoords_5_0.elementAt(20);
      expect(textureCoord_5_0_20, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_5_0_21 = textureCoords_5_0.elementAt(21);
      expect(textureCoord_5_0_21, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_5_0_22 = textureCoords_5_0.elementAt(22);
      expect(textureCoord_5_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_23 = textureCoords_5_0.elementAt(23);
      expect(textureCoord_5_0_23, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_5_0_24 = textureCoords_5_0.elementAt(24);
      expect(textureCoord_5_0_24, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_25 = textureCoords_5_0.elementAt(25);
      expect(textureCoord_5_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_5_0_26 = textureCoords_5_0.elementAt(26);
      expect(textureCoord_5_0_26, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_5_0_27 = textureCoords_5_0.elementAt(27);
      expect(textureCoord_5_0_27, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_28 = textureCoords_5_0.elementAt(28);
      expect(textureCoord_5_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_5_0_29 = textureCoords_5_0.elementAt(29);
      expect(textureCoord_5_0_29, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_5_0_30 = textureCoords_5_0.elementAt(30);
      expect(textureCoord_5_0_30, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_31 = textureCoords_5_0.elementAt(31);
      expect(textureCoord_5_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_5_0_32 = textureCoords_5_0.elementAt(32);
      expect(textureCoord_5_0_32, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_5_0_33 = textureCoords_5_0.elementAt(33);
      expect(textureCoord_5_0_33, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_5_0_34 = textureCoords_5_0.elementAt(34);
      expect(textureCoord_5_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_35 = textureCoords_5_0.elementAt(35);
      expect(textureCoord_5_0_35, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_5_0_36 = textureCoords_5_0.elementAt(36);
      expect(textureCoord_5_0_36, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_37 = textureCoords_5_0.elementAt(37);
      expect(textureCoord_5_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_38 = textureCoords_5_0.elementAt(38);
      expect(textureCoord_5_0_38, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_5_0_39 = textureCoords_5_0.elementAt(39);
      expect(textureCoord_5_0_39, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_40 = textureCoords_5_0.elementAt(40);
      expect(textureCoord_5_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_5_0_41 = textureCoords_5_0.elementAt(41);
      expect(textureCoord_5_0_41, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_42 = textureCoords_5_0.elementAt(42);
      expect(textureCoord_5_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_43 = textureCoords_5_0.elementAt(43);
      expect(textureCoord_5_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_44 = textureCoords_5_0.elementAt(44);
      expect(textureCoord_5_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_45 = textureCoords_5_0.elementAt(45);
      expect(textureCoord_5_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_46 = textureCoords_5_0.elementAt(46);
      expect(textureCoord_5_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_47 = textureCoords_5_0.elementAt(47);
      expect(textureCoord_5_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_48 = textureCoords_5_0.elementAt(48);
      expect(textureCoord_5_0_48, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_5_0_49 = textureCoords_5_0.elementAt(49);
      expect(textureCoord_5_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_50 = textureCoords_5_0.elementAt(50);
      expect(textureCoord_5_0_50, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_5_0_51 = textureCoords_5_0.elementAt(51);
      expect(textureCoord_5_0_51, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_5_0_52 = textureCoords_5_0.elementAt(52);
      expect(textureCoord_5_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_5_0_53 = textureCoords_5_0.elementAt(53);
      expect(textureCoord_5_0_53, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_54 = textureCoords_5_0.elementAt(54);
      expect(textureCoord_5_0_54, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_55 = textureCoords_5_0.elementAt(55);
      expect(textureCoord_5_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_5_0_56 = textureCoords_5_0.elementAt(56);
      expect(textureCoord_5_0_56, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_57 = textureCoords_5_0.elementAt(57);
      expect(textureCoord_5_0_57, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_5_0_58 = textureCoords_5_0.elementAt(58);
      expect(textureCoord_5_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_59 = textureCoords_5_0.elementAt(59);
      expect(textureCoord_5_0_59, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_5_0_60 = textureCoords_5_0.elementAt(60);
      expect(textureCoord_5_0_60, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_61 = textureCoords_5_0.elementAt(61);
      expect(textureCoord_5_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_62 = textureCoords_5_0.elementAt(62);
      expect(textureCoord_5_0_62, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_5_0_63 = textureCoords_5_0.elementAt(63);
      expect(textureCoord_5_0_63, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_64 = textureCoords_5_0.elementAt(64);
      expect(textureCoord_5_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_5_0_65 = textureCoords_5_0.elementAt(65);
      expect(textureCoord_5_0_65, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_66 = textureCoords_5_0.elementAt(66);
      expect(textureCoord_5_0_66, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_67 = textureCoords_5_0.elementAt(67);
      expect(textureCoord_5_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_5_0_68 = textureCoords_5_0.elementAt(68);
      expect(textureCoord_5_0_68, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_69 = textureCoords_5_0.elementAt(69);
      expect(textureCoord_5_0_69, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_5_0_70 = textureCoords_5_0.elementAt(70);
      expect(textureCoord_5_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_71 = textureCoords_5_0.elementAt(71);
      expect(textureCoord_5_0_71, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_5_0_72 = textureCoords_5_0.elementAt(72);
      expect(textureCoord_5_0_72, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_73 = textureCoords_5_0.elementAt(73);
      expect(textureCoord_5_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_74 = textureCoords_5_0.elementAt(74);
      expect(textureCoord_5_0_74, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_5_0_75 = textureCoords_5_0.elementAt(75);
      expect(textureCoord_5_0_75, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_76 = textureCoords_5_0.elementAt(76);
      expect(textureCoord_5_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_5_0_77 = textureCoords_5_0.elementAt(77);
      expect(textureCoord_5_0_77, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_78 = textureCoords_5_0.elementAt(78);
      expect(textureCoord_5_0_78, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_5_0_79 = textureCoords_5_0.elementAt(79);
      expect(textureCoord_5_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_5_0_80 = textureCoords_5_0.elementAt(80);
      expect(textureCoord_5_0_80, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_81 = textureCoords_5_0.elementAt(81);
      expect(textureCoord_5_0_81, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_5_0_82 = textureCoords_5_0.elementAt(82);
      expect(textureCoord_5_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_5_0_83 = textureCoords_5_0.elementAt(83);
      expect(textureCoord_5_0_83, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_5_0_84 = textureCoords_5_0.elementAt(84);
      expect(textureCoord_5_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_85 = textureCoords_5_0.elementAt(85);
      expect(textureCoord_5_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_86 = textureCoords_5_0.elementAt(86);
      expect(textureCoord_5_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_87 = textureCoords_5_0.elementAt(87);
      expect(textureCoord_5_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_88 = textureCoords_5_0.elementAt(88);
      expect(textureCoord_5_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_89 = textureCoords_5_0.elementAt(89);
      expect(textureCoord_5_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_90 = textureCoords_5_0.elementAt(90);
      expect(textureCoord_5_0_90, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_91 = textureCoords_5_0.elementAt(91);
      expect(textureCoord_5_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_5_0_92 = textureCoords_5_0.elementAt(92);
      expect(textureCoord_5_0_92, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_5_0_93 = textureCoords_5_0.elementAt(93);
      expect(textureCoord_5_0_93, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_5_0_94 = textureCoords_5_0.elementAt(94);
      expect(textureCoord_5_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_95 = textureCoords_5_0.elementAt(95);
      expect(textureCoord_5_0_95, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_5_0_96 = textureCoords_5_0.elementAt(96);
      expect(textureCoord_5_0_96, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_97 = textureCoords_5_0.elementAt(97);
      expect(textureCoord_5_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_98 = textureCoords_5_0.elementAt(98);
      expect(textureCoord_5_0_98, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_5_0_99 = textureCoords_5_0.elementAt(99);
      expect(textureCoord_5_0_99, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_100 = textureCoords_5_0.elementAt(100);
      expect(textureCoord_5_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_5_0_101 = textureCoords_5_0.elementAt(101);
      expect(textureCoord_5_0_101, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_102 = textureCoords_5_0.elementAt(102);
      expect(textureCoord_5_0_102, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_103 = textureCoords_5_0.elementAt(103);
      expect(textureCoord_5_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_5_0_104 = textureCoords_5_0.elementAt(104);
      expect(textureCoord_5_0_104, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_105 = textureCoords_5_0.elementAt(105);
      expect(textureCoord_5_0_105, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_5_0_106 = textureCoords_5_0.elementAt(106);
      expect(textureCoord_5_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_107 = textureCoords_5_0.elementAt(107);
      expect(textureCoord_5_0_107, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_5_0_108 = textureCoords_5_0.elementAt(108);
      expect(textureCoord_5_0_108, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_109 = textureCoords_5_0.elementAt(109);
      expect(textureCoord_5_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_110 = textureCoords_5_0.elementAt(110);
      expect(textureCoord_5_0_110, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_5_0_111 = textureCoords_5_0.elementAt(111);
      expect(textureCoord_5_0_111, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_112 = textureCoords_5_0.elementAt(112);
      expect(textureCoord_5_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_5_0_113 = textureCoords_5_0.elementAt(113);
      expect(textureCoord_5_0_113, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_114 = textureCoords_5_0.elementAt(114);
      expect(textureCoord_5_0_114, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_115 = textureCoords_5_0.elementAt(115);
      expect(textureCoord_5_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_5_0_116 = textureCoords_5_0.elementAt(116);
      expect(textureCoord_5_0_116, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_117 = textureCoords_5_0.elementAt(117);
      expect(textureCoord_5_0_117, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_5_0_118 = textureCoords_5_0.elementAt(118);
      expect(textureCoord_5_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_119 = textureCoords_5_0.elementAt(119);
      expect(textureCoord_5_0_119, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_5_0_120 = textureCoords_5_0.elementAt(120);
      expect(textureCoord_5_0_120, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_121 = textureCoords_5_0.elementAt(121);
      expect(textureCoord_5_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_5_0_122 = textureCoords_5_0.elementAt(122);
      expect(textureCoord_5_0_122, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_5_0_123 = textureCoords_5_0.elementAt(123);
      expect(textureCoord_5_0_123, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_124 = textureCoords_5_0.elementAt(124);
      expect(textureCoord_5_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_5_0_125 = textureCoords_5_0.elementAt(125);
      expect(textureCoord_5_0_125, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_5_0_126 = textureCoords_5_0.elementAt(126);
      expect(textureCoord_5_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_127 = textureCoords_5_0.elementAt(127);
      expect(textureCoord_5_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_128 = textureCoords_5_0.elementAt(128);
      expect(textureCoord_5_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_129 = textureCoords_5_0.elementAt(129);
      expect(textureCoord_5_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_130 = textureCoords_5_0.elementAt(130);
      expect(textureCoord_5_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_131 = textureCoords_5_0.elementAt(131);
      expect(textureCoord_5_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_132 = textureCoords_5_0.elementAt(132);
      expect(textureCoord_5_0_132, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_5_0_133 = textureCoords_5_0.elementAt(133);
      expect(textureCoord_5_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_134 = textureCoords_5_0.elementAt(134);
      expect(textureCoord_5_0_134, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_5_0_135 = textureCoords_5_0.elementAt(135);
      expect(textureCoord_5_0_135, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_5_0_136 = textureCoords_5_0.elementAt(136);
      expect(textureCoord_5_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_5_0_137 = textureCoords_5_0.elementAt(137);
      expect(textureCoord_5_0_137, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_138 = textureCoords_5_0.elementAt(138);
      expect(textureCoord_5_0_138, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_139 = textureCoords_5_0.elementAt(139);
      expect(textureCoord_5_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_5_0_140 = textureCoords_5_0.elementAt(140);
      expect(textureCoord_5_0_140, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_141 = textureCoords_5_0.elementAt(141);
      expect(textureCoord_5_0_141, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_5_0_142 = textureCoords_5_0.elementAt(142);
      expect(textureCoord_5_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_143 = textureCoords_5_0.elementAt(143);
      expect(textureCoord_5_0_143, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_5_0_144 = textureCoords_5_0.elementAt(144);
      expect(textureCoord_5_0_144, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_145 = textureCoords_5_0.elementAt(145);
      expect(textureCoord_5_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_146 = textureCoords_5_0.elementAt(146);
      expect(textureCoord_5_0_146, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_5_0_147 = textureCoords_5_0.elementAt(147);
      expect(textureCoord_5_0_147, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_148 = textureCoords_5_0.elementAt(148);
      expect(textureCoord_5_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_5_0_149 = textureCoords_5_0.elementAt(149);
      expect(textureCoord_5_0_149, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_150 = textureCoords_5_0.elementAt(150);
      expect(textureCoord_5_0_150, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_151 = textureCoords_5_0.elementAt(151);
      expect(textureCoord_5_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_5_0_152 = textureCoords_5_0.elementAt(152);
      expect(textureCoord_5_0_152, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_153 = textureCoords_5_0.elementAt(153);
      expect(textureCoord_5_0_153, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_5_0_154 = textureCoords_5_0.elementAt(154);
      expect(textureCoord_5_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_155 = textureCoords_5_0.elementAt(155);
      expect(textureCoord_5_0_155, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_5_0_156 = textureCoords_5_0.elementAt(156);
      expect(textureCoord_5_0_156, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_157 = textureCoords_5_0.elementAt(157);
      expect(textureCoord_5_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_158 = textureCoords_5_0.elementAt(158);
      expect(textureCoord_5_0_158, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_5_0_159 = textureCoords_5_0.elementAt(159);
      expect(textureCoord_5_0_159, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_160 = textureCoords_5_0.elementAt(160);
      expect(textureCoord_5_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_5_0_161 = textureCoords_5_0.elementAt(161);
      expect(textureCoord_5_0_161, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_162 = textureCoords_5_0.elementAt(162);
      expect(textureCoord_5_0_162, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_5_0_163 = textureCoords_5_0.elementAt(163);
      expect(textureCoord_5_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_5_0_164 = textureCoords_5_0.elementAt(164);
      expect(textureCoord_5_0_164, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_165 = textureCoords_5_0.elementAt(165);
      expect(textureCoord_5_0_165, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_5_0_166 = textureCoords_5_0.elementAt(166);
      expect(textureCoord_5_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_5_0_167 = textureCoords_5_0.elementAt(167);
      expect(textureCoord_5_0_167, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_5_0_168 = textureCoords_5_0.elementAt(168);
      expect(textureCoord_5_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_169 = textureCoords_5_0.elementAt(169);
      expect(textureCoord_5_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_170 = textureCoords_5_0.elementAt(170);
      expect(textureCoord_5_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_171 = textureCoords_5_0.elementAt(171);
      expect(textureCoord_5_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_172 = textureCoords_5_0.elementAt(172);
      expect(textureCoord_5_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_173 = textureCoords_5_0.elementAt(173);
      expect(textureCoord_5_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_174 = textureCoords_5_0.elementAt(174);
      expect(textureCoord_5_0_174, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_175 = textureCoords_5_0.elementAt(175);
      expect(textureCoord_5_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_5_0_176 = textureCoords_5_0.elementAt(176);
      expect(textureCoord_5_0_176, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_5_0_177 = textureCoords_5_0.elementAt(177);
      expect(textureCoord_5_0_177, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_5_0_178 = textureCoords_5_0.elementAt(178);
      expect(textureCoord_5_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_179 = textureCoords_5_0.elementAt(179);
      expect(textureCoord_5_0_179, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_5_0_180 = textureCoords_5_0.elementAt(180);
      expect(textureCoord_5_0_180, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_181 = textureCoords_5_0.elementAt(181);
      expect(textureCoord_5_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_182 = textureCoords_5_0.elementAt(182);
      expect(textureCoord_5_0_182, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_5_0_183 = textureCoords_5_0.elementAt(183);
      expect(textureCoord_5_0_183, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_184 = textureCoords_5_0.elementAt(184);
      expect(textureCoord_5_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_5_0_185 = textureCoords_5_0.elementAt(185);
      expect(textureCoord_5_0_185, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_186 = textureCoords_5_0.elementAt(186);
      expect(textureCoord_5_0_186, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_187 = textureCoords_5_0.elementAt(187);
      expect(textureCoord_5_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_5_0_188 = textureCoords_5_0.elementAt(188);
      expect(textureCoord_5_0_188, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_189 = textureCoords_5_0.elementAt(189);
      expect(textureCoord_5_0_189, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_5_0_190 = textureCoords_5_0.elementAt(190);
      expect(textureCoord_5_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_191 = textureCoords_5_0.elementAt(191);
      expect(textureCoord_5_0_191, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_5_0_192 = textureCoords_5_0.elementAt(192);
      expect(textureCoord_5_0_192, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_193 = textureCoords_5_0.elementAt(193);
      expect(textureCoord_5_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_194 = textureCoords_5_0.elementAt(194);
      expect(textureCoord_5_0_194, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_5_0_195 = textureCoords_5_0.elementAt(195);
      expect(textureCoord_5_0_195, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_196 = textureCoords_5_0.elementAt(196);
      expect(textureCoord_5_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_5_0_197 = textureCoords_5_0.elementAt(197);
      expect(textureCoord_5_0_197, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_198 = textureCoords_5_0.elementAt(198);
      expect(textureCoord_5_0_198, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_199 = textureCoords_5_0.elementAt(199);
      expect(textureCoord_5_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_5_0_200 = textureCoords_5_0.elementAt(200);
      expect(textureCoord_5_0_200, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_201 = textureCoords_5_0.elementAt(201);
      expect(textureCoord_5_0_201, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_5_0_202 = textureCoords_5_0.elementAt(202);
      expect(textureCoord_5_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_203 = textureCoords_5_0.elementAt(203);
      expect(textureCoord_5_0_203, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_5_0_204 = textureCoords_5_0.elementAt(204);
      expect(textureCoord_5_0_204, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_205 = textureCoords_5_0.elementAt(205);
      expect(textureCoord_5_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_5_0_206 = textureCoords_5_0.elementAt(206);
      expect(textureCoord_5_0_206, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_5_0_207 = textureCoords_5_0.elementAt(207);
      expect(textureCoord_5_0_207, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_208 = textureCoords_5_0.elementAt(208);
      expect(textureCoord_5_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_5_0_209 = textureCoords_5_0.elementAt(209);
      expect(textureCoord_5_0_209, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_5_0_210 = textureCoords_5_0.elementAt(210);
      expect(textureCoord_5_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_211 = textureCoords_5_0.elementAt(211);
      expect(textureCoord_5_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_212 = textureCoords_5_0.elementAt(212);
      expect(textureCoord_5_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_213 = textureCoords_5_0.elementAt(213);
      expect(textureCoord_5_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_214 = textureCoords_5_0.elementAt(214);
      expect(textureCoord_5_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_215 = textureCoords_5_0.elementAt(215);
      expect(textureCoord_5_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_216 = textureCoords_5_0.elementAt(216);
      expect(textureCoord_5_0_216, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_5_0_217 = textureCoords_5_0.elementAt(217);
      expect(textureCoord_5_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_218 = textureCoords_5_0.elementAt(218);
      expect(textureCoord_5_0_218, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_5_0_219 = textureCoords_5_0.elementAt(219);
      expect(textureCoord_5_0_219, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_5_0_220 = textureCoords_5_0.elementAt(220);
      expect(textureCoord_5_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_5_0_221 = textureCoords_5_0.elementAt(221);
      expect(textureCoord_5_0_221, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_222 = textureCoords_5_0.elementAt(222);
      expect(textureCoord_5_0_222, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_223 = textureCoords_5_0.elementAt(223);
      expect(textureCoord_5_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_5_0_224 = textureCoords_5_0.elementAt(224);
      expect(textureCoord_5_0_224, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_225 = textureCoords_5_0.elementAt(225);
      expect(textureCoord_5_0_225, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_5_0_226 = textureCoords_5_0.elementAt(226);
      expect(textureCoord_5_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_227 = textureCoords_5_0.elementAt(227);
      expect(textureCoord_5_0_227, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_5_0_228 = textureCoords_5_0.elementAt(228);
      expect(textureCoord_5_0_228, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_229 = textureCoords_5_0.elementAt(229);
      expect(textureCoord_5_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_230 = textureCoords_5_0.elementAt(230);
      expect(textureCoord_5_0_230, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_5_0_231 = textureCoords_5_0.elementAt(231);
      expect(textureCoord_5_0_231, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_232 = textureCoords_5_0.elementAt(232);
      expect(textureCoord_5_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_5_0_233 = textureCoords_5_0.elementAt(233);
      expect(textureCoord_5_0_233, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_234 = textureCoords_5_0.elementAt(234);
      expect(textureCoord_5_0_234, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_235 = textureCoords_5_0.elementAt(235);
      expect(textureCoord_5_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_5_0_236 = textureCoords_5_0.elementAt(236);
      expect(textureCoord_5_0_236, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_237 = textureCoords_5_0.elementAt(237);
      expect(textureCoord_5_0_237, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_5_0_238 = textureCoords_5_0.elementAt(238);
      expect(textureCoord_5_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_239 = textureCoords_5_0.elementAt(239);
      expect(textureCoord_5_0_239, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_5_0_240 = textureCoords_5_0.elementAt(240);
      expect(textureCoord_5_0_240, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_241 = textureCoords_5_0.elementAt(241);
      expect(textureCoord_5_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_242 = textureCoords_5_0.elementAt(242);
      expect(textureCoord_5_0_242, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_5_0_243 = textureCoords_5_0.elementAt(243);
      expect(textureCoord_5_0_243, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_244 = textureCoords_5_0.elementAt(244);
      expect(textureCoord_5_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_5_0_245 = textureCoords_5_0.elementAt(245);
      expect(textureCoord_5_0_245, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_246 = textureCoords_5_0.elementAt(246);
      expect(textureCoord_5_0_246, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_5_0_247 = textureCoords_5_0.elementAt(247);
      expect(textureCoord_5_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_5_0_248 = textureCoords_5_0.elementAt(248);
      expect(textureCoord_5_0_248, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_249 = textureCoords_5_0.elementAt(249);
      expect(textureCoord_5_0_249, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_5_0_250 = textureCoords_5_0.elementAt(250);
      expect(textureCoord_5_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_5_0_251 = textureCoords_5_0.elementAt(251);
      expect(textureCoord_5_0_251, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_5_0_252 = textureCoords_5_0.elementAt(252);
      expect(textureCoord_5_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_253 = textureCoords_5_0.elementAt(253);
      expect(textureCoord_5_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_254 = textureCoords_5_0.elementAt(254);
      expect(textureCoord_5_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_255 = textureCoords_5_0.elementAt(255);
      expect(textureCoord_5_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_256 = textureCoords_5_0.elementAt(256);
      expect(textureCoord_5_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_257 = textureCoords_5_0.elementAt(257);
      expect(textureCoord_5_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_5_0_258 = textureCoords_5_0.elementAt(258);
      expect(textureCoord_5_0_258, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_5_0_259 = textureCoords_5_0.elementAt(259);
      expect(textureCoord_5_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_5_0_260 = textureCoords_5_0.elementAt(260);
      expect(textureCoord_5_0_260, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_5_0_261 = textureCoords_5_0.elementAt(261);
      expect(textureCoord_5_0_261, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_5_0_262 = textureCoords_5_0.elementAt(262);
      expect(textureCoord_5_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_5_0_263 = textureCoords_5_0.elementAt(263);
      expect(textureCoord_5_0_263, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_5_0_264 = textureCoords_5_0.elementAt(264);
      expect(textureCoord_5_0_264, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_5_0_265 = textureCoords_5_0.elementAt(265);
      expect(textureCoord_5_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_266 = textureCoords_5_0.elementAt(266);
      expect(textureCoord_5_0_266, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_5_0_267 = textureCoords_5_0.elementAt(267);
      expect(textureCoord_5_0_267, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_5_0_268 = textureCoords_5_0.elementAt(268);
      expect(textureCoord_5_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_5_0_269 = textureCoords_5_0.elementAt(269);
      expect(textureCoord_5_0_269, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_270 = textureCoords_5_0.elementAt(270);
      expect(textureCoord_5_0_270, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_5_0_271 = textureCoords_5_0.elementAt(271);
      expect(textureCoord_5_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_5_0_272 = textureCoords_5_0.elementAt(272);
      expect(textureCoord_5_0_272, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_273 = textureCoords_5_0.elementAt(273);
      expect(textureCoord_5_0_273, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_5_0_274 = textureCoords_5_0.elementAt(274);
      expect(textureCoord_5_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_5_0_275 = textureCoords_5_0.elementAt(275);
      expect(textureCoord_5_0_275, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_5_0_276 = textureCoords_5_0.elementAt(276);
      expect(textureCoord_5_0_276, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_5_0_277 = textureCoords_5_0.elementAt(277);
      expect(textureCoord_5_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_278 = textureCoords_5_0.elementAt(278);
      expect(textureCoord_5_0_278, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_5_0_279 = textureCoords_5_0.elementAt(279);
      expect(textureCoord_5_0_279, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_5_0_280 = textureCoords_5_0.elementAt(280);
      expect(textureCoord_5_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_5_0_281 = textureCoords_5_0.elementAt(281);
      expect(textureCoord_5_0_281, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_282 = textureCoords_5_0.elementAt(282);
      expect(textureCoord_5_0_282, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_5_0_283 = textureCoords_5_0.elementAt(283);
      expect(textureCoord_5_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_5_0_284 = textureCoords_5_0.elementAt(284);
      expect(textureCoord_5_0_284, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_285 = textureCoords_5_0.elementAt(285);
      expect(textureCoord_5_0_285, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_5_0_286 = textureCoords_5_0.elementAt(286);
      expect(textureCoord_5_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_5_0_287 = textureCoords_5_0.elementAt(287);
      expect(textureCoord_5_0_287, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_5_0_288 = textureCoords_5_0.elementAt(288);
      expect(textureCoord_5_0_288, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_5_0_289 = textureCoords_5_0.elementAt(289);
      expect(textureCoord_5_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_5_0_290 = textureCoords_5_0.elementAt(290);
      expect(textureCoord_5_0_290, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_5_0_291 = textureCoords_5_0.elementAt(291);
      expect(textureCoord_5_0_291, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_5_0_292 = textureCoords_5_0.elementAt(292);
      expect(textureCoord_5_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_5_0_293 = textureCoords_5_0.elementAt(293);
      expect(textureCoord_5_0_293, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      expect(mesh_5.uvComponents.length, equals(1));
      expect(mesh_5.uvComponents, equals([2]));
      expect(mesh_5.faces.length, equals(98));
      expect(mesh_5.bones.length, isZero);
      expect(mesh_5.materialIndex, equals(4));
      expect(mesh_5.name, equals('Bein2Re'));
      expect(mesh_5.animMeshes.length, isZero);
      expect(mesh_5.morphingMethod, isZero);
      expect(mesh_5.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_6 = meshes.elementAt(6);
      expect(mesh_6.primitiveTypes, equals(4));
      expect(mesh_6.vertices.length, equals(294));
      final vertex_6_0 = mesh_6.vertices.elementAt(0);
      expect(vertex_6_0, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_1 = mesh_6.vertices.elementAt(1);
      expect(vertex_6_1, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -5.88752699)));
      final vertex_6_2 = mesh_6.vertices.elementAt(2);
      expect(vertex_6_2, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -4.81346512)));
      final vertex_6_3 = mesh_6.vertices.elementAt(3);
      expect(vertex_6_3, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, 86.510231)));
      final vertex_6_4 = mesh_6.vertices.elementAt(4);
      expect(vertex_6_4, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_5 = mesh_6.vertices.elementAt(5);
      expect(vertex_6_5, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, 86.1982498)));
      final vertex_6_6 = mesh_6.vertices.elementAt(6);
      expect(vertex_6_6, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_7 = mesh_6.vertices.elementAt(7);
      expect(vertex_6_7, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_8 = mesh_6.vertices.elementAt(8);
      expect(vertex_6_8, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -4.81346512)));
      final vertex_6_9 = mesh_6.vertices.elementAt(9);
      expect(vertex_6_9, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -5.88752699)));
      final vertex_6_10 = mesh_6.vertices.elementAt(10);
      expect(vertex_6_10, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_11 = mesh_6.vertices.elementAt(11);
      expect(vertex_6_11, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -4.81346512)));
      final vertex_6_12 = mesh_6.vertices.elementAt(12);
      expect(vertex_6_12, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_13 = mesh_6.vertices.elementAt(13);
      expect(vertex_6_13, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_14 = mesh_6.vertices.elementAt(14);
      expect(vertex_6_14, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_15 = mesh_6.vertices.elementAt(15);
      expect(vertex_6_15, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_16 = mesh_6.vertices.elementAt(16);
      expect(vertex_6_16, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, 26.2118568)));
      final vertex_6_17 = mesh_6.vertices.elementAt(17);
      expect(vertex_6_17, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_18 = mesh_6.vertices.elementAt(18);
      expect(vertex_6_18, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_19 = mesh_6.vertices.elementAt(19);
      expect(vertex_6_19, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_20 = mesh_6.vertices.elementAt(20);
      expect(vertex_6_20, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_21 = mesh_6.vertices.elementAt(21);
      expect(vertex_6_21, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, 26.2118568)));
      final vertex_6_22 = mesh_6.vertices.elementAt(22);
      expect(vertex_6_22, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_23 = mesh_6.vertices.elementAt(23);
      expect(vertex_6_23, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_24 = mesh_6.vertices.elementAt(24);
      expect(vertex_6_24, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_25 = mesh_6.vertices.elementAt(25);
      expect(vertex_6_25, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_26 = mesh_6.vertices.elementAt(26);
      expect(vertex_6_26, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_27 = mesh_6.vertices.elementAt(27);
      expect(vertex_6_27, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_28 = mesh_6.vertices.elementAt(28);
      expect(vertex_6_28, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, 57.0357132)));
      final vertex_6_29 = mesh_6.vertices.elementAt(29);
      expect(vertex_6_29, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_30 = mesh_6.vertices.elementAt(30);
      expect(vertex_6_30, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_31 = mesh_6.vertices.elementAt(31);
      expect(vertex_6_31, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_32 = mesh_6.vertices.elementAt(32);
      expect(vertex_6_32, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_33 = mesh_6.vertices.elementAt(33);
      expect(vertex_6_33, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, 57.0357132)));
      final vertex_6_34 = mesh_6.vertices.elementAt(34);
      expect(vertex_6_34, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_35 = mesh_6.vertices.elementAt(35);
      expect(vertex_6_35, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_36 = mesh_6.vertices.elementAt(36);
      expect(vertex_6_36, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_37 = mesh_6.vertices.elementAt(37);
      expect(vertex_6_37, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, 86.1982498)));
      final vertex_6_38 = mesh_6.vertices.elementAt(38);
      expect(vertex_6_38, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_39 = mesh_6.vertices.elementAt(39);
      expect(vertex_6_39, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_40 = mesh_6.vertices.elementAt(40);
      expect(vertex_6_40, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, 86.510231)));
      final vertex_6_41 = mesh_6.vertices.elementAt(41);
      expect(vertex_6_41, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, 86.1982498)));
      final vertex_6_42 = mesh_6.vertices.elementAt(42);
      expect(vertex_6_42, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_43 = mesh_6.vertices.elementAt(43);
      expect(vertex_6_43, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_44 = mesh_6.vertices.elementAt(44);
      expect(vertex_6_44, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -5.88752699)));
      final vertex_6_45 = mesh_6.vertices.elementAt(45);
      expect(vertex_6_45, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_46 = mesh_6.vertices.elementAt(46);
      expect(vertex_6_46, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_47 = mesh_6.vertices.elementAt(47);
      expect(vertex_6_47, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, 86.510231)));
      final vertex_6_48 = mesh_6.vertices.elementAt(48);
      expect(vertex_6_48, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_49 = mesh_6.vertices.elementAt(49);
      expect(vertex_6_49, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_50 = mesh_6.vertices.elementAt(50);
      expect(vertex_6_50, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -5.88752699)));
      final vertex_6_51 = mesh_6.vertices.elementAt(51);
      expect(vertex_6_51, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_52 = mesh_6.vertices.elementAt(52);
      expect(vertex_6_52, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, 11.3467064)));
      final vertex_6_53 = mesh_6.vertices.elementAt(53);
      expect(vertex_6_53, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_54 = mesh_6.vertices.elementAt(54);
      expect(vertex_6_54, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_55 = mesh_6.vertices.elementAt(55);
      expect(vertex_6_55, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, 26.2118568)));
      final vertex_6_56 = mesh_6.vertices.elementAt(56);
      expect(vertex_6_56, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_57 = mesh_6.vertices.elementAt(57);
      expect(vertex_6_57, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, 11.3467064)));
      final vertex_6_58 = mesh_6.vertices.elementAt(58);
      expect(vertex_6_58, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_59 = mesh_6.vertices.elementAt(59);
      expect(vertex_6_59, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, 11.1760082)));
      final vertex_6_60 = mesh_6.vertices.elementAt(60);
      expect(vertex_6_60, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_61 = mesh_6.vertices.elementAt(61);
      expect(vertex_6_61, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_62 = mesh_6.vertices.elementAt(62);
      expect(vertex_6_62, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, 26.2118568)));
      final vertex_6_63 = mesh_6.vertices.elementAt(63);
      expect(vertex_6_63, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_64 = mesh_6.vertices.elementAt(64);
      expect(vertex_6_64, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, 31.8265648)));
      final vertex_6_65 = mesh_6.vertices.elementAt(65);
      expect(vertex_6_65, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_66 = mesh_6.vertices.elementAt(66);
      expect(vertex_6_66, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_67 = mesh_6.vertices.elementAt(67);
      expect(vertex_6_67, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, 57.0357132)));
      final vertex_6_68 = mesh_6.vertices.elementAt(68);
      expect(vertex_6_68, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_69 = mesh_6.vertices.elementAt(69);
      expect(vertex_6_69, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, 31.8265648)));
      final vertex_6_70 = mesh_6.vertices.elementAt(70);
      expect(vertex_6_70, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_71 = mesh_6.vertices.elementAt(71);
      expect(vertex_6_71, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, 30.9927711)));
      final vertex_6_72 = mesh_6.vertices.elementAt(72);
      expect(vertex_6_72, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_73 = mesh_6.vertices.elementAt(73);
      expect(vertex_6_73, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_74 = mesh_6.vertices.elementAt(74);
      expect(vertex_6_74, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, 57.0357132)));
      final vertex_6_75 = mesh_6.vertices.elementAt(75);
      expect(vertex_6_75, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_76 = mesh_6.vertices.elementAt(76);
      expect(vertex_6_76, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, 81.2510147)));
      final vertex_6_77 = mesh_6.vertices.elementAt(77);
      expect(vertex_6_77, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_78 = mesh_6.vertices.elementAt(78);
      expect(vertex_6_78, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_79 = mesh_6.vertices.elementAt(79);
      expect(vertex_6_79, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, 86.510231)));
      final vertex_6_80 = mesh_6.vertices.elementAt(80);
      expect(vertex_6_80, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_81 = mesh_6.vertices.elementAt(81);
      expect(vertex_6_81, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, 81.2510147)));
      final vertex_6_82 = mesh_6.vertices.elementAt(82);
      expect(vertex_6_82, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_83 = mesh_6.vertices.elementAt(83);
      expect(vertex_6_83, vector3MoreOrLessEquals(Vector3(3.385566, -29.8435211, 80.767952)));
      final vertex_6_84 = mesh_6.vertices.elementAt(84);
      expect(vertex_6_84, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_85 = mesh_6.vertices.elementAt(85);
      expect(vertex_6_85, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -0.901443005)));
      final vertex_6_86 = mesh_6.vertices.elementAt(86);
      expect(vertex_6_86, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_87 = mesh_6.vertices.elementAt(87);
      expect(vertex_6_87, vector3MoreOrLessEquals(Vector3(4.1970911, -39.7477417, 86.604866)));
      final vertex_6_88 = mesh_6.vertices.elementAt(88);
      expect(vertex_6_88, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_89 = mesh_6.vertices.elementAt(89);
      expect(vertex_6_89, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_90 = mesh_6.vertices.elementAt(90);
      expect(vertex_6_90, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_91 = mesh_6.vertices.elementAt(91);
      expect(vertex_6_91, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, 11.3467064)));
      final vertex_6_92 = mesh_6.vertices.elementAt(92);
      expect(vertex_6_92, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_93 = mesh_6.vertices.elementAt(93);
      expect(vertex_6_93, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -0.901443005)));
      final vertex_6_94 = mesh_6.vertices.elementAt(94);
      expect(vertex_6_94, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_95 = mesh_6.vertices.elementAt(95);
      expect(vertex_6_95, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -4.14655304)));
      final vertex_6_96 = mesh_6.vertices.elementAt(96);
      expect(vertex_6_96, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_97 = mesh_6.vertices.elementAt(97);
      expect(vertex_6_97, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_98 = mesh_6.vertices.elementAt(98);
      expect(vertex_6_98, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, 11.3467064)));
      final vertex_6_99 = mesh_6.vertices.elementAt(99);
      expect(vertex_6_99, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_100 = mesh_6.vertices.elementAt(100);
      expect(vertex_6_100, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, 26.9644775)));
      final vertex_6_101 = mesh_6.vertices.elementAt(101);
      expect(vertex_6_101, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_102 = mesh_6.vertices.elementAt(102);
      expect(vertex_6_102, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_103 = mesh_6.vertices.elementAt(103);
      expect(vertex_6_103, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, 31.8265648)));
      final vertex_6_104 = mesh_6.vertices.elementAt(104);
      expect(vertex_6_104, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_105 = mesh_6.vertices.elementAt(105);
      expect(vertex_6_105, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, 26.9644775)));
      final vertex_6_106 = mesh_6.vertices.elementAt(106);
      expect(vertex_6_106, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_107 = mesh_6.vertices.elementAt(107);
      expect(vertex_6_107, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, 26.4584103)));
      final vertex_6_108 = mesh_6.vertices.elementAt(108);
      expect(vertex_6_108, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_109 = mesh_6.vertices.elementAt(109);
      expect(vertex_6_109, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_110 = mesh_6.vertices.elementAt(110);
      expect(vertex_6_110, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, 31.8265648)));
      final vertex_6_111 = mesh_6.vertices.elementAt(111);
      expect(vertex_6_111, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_112 = mesh_6.vertices.elementAt(112);
      expect(vertex_6_112, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, 57.1753235)));
      final vertex_6_113 = mesh_6.vertices.elementAt(113);
      expect(vertex_6_113, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_114 = mesh_6.vertices.elementAt(114);
      expect(vertex_6_114, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_115 = mesh_6.vertices.elementAt(115);
      expect(vertex_6_115, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, 81.2510147)));
      final vertex_6_116 = mesh_6.vertices.elementAt(116);
      expect(vertex_6_116, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_117 = mesh_6.vertices.elementAt(117);
      expect(vertex_6_117, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, 57.1753235)));
      final vertex_6_118 = mesh_6.vertices.elementAt(118);
      expect(vertex_6_118, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_119 = mesh_6.vertices.elementAt(119);
      expect(vertex_6_119, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, 58.0562744)));
      final vertex_6_120 = mesh_6.vertices.elementAt(120);
      expect(vertex_6_120, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_121 = mesh_6.vertices.elementAt(121);
      expect(vertex_6_121, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_122 = mesh_6.vertices.elementAt(122);
      expect(vertex_6_122, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, 81.2510147)));
      final vertex_6_123 = mesh_6.vertices.elementAt(123);
      expect(vertex_6_123, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_124 = mesh_6.vertices.elementAt(124);
      expect(vertex_6_124, vector3MoreOrLessEquals(Vector3(4.1970911, -39.7477417, 86.604866)));
      final vertex_6_125 = mesh_6.vertices.elementAt(125);
      expect(vertex_6_125, vector3MoreOrLessEquals(Vector3(4.58776617, -39.3502312, 86.6912003)));
      final vertex_6_126 = mesh_6.vertices.elementAt(126);
      expect(vertex_6_126, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_127 = mesh_6.vertices.elementAt(127);
      expect(vertex_6_127, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_128 = mesh_6.vertices.elementAt(128);
      expect(vertex_6_128, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -0.901443005)));
      final vertex_6_129 = mesh_6.vertices.elementAt(129);
      expect(vertex_6_129, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_130 = mesh_6.vertices.elementAt(130);
      expect(vertex_6_130, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_131 = mesh_6.vertices.elementAt(131);
      expect(vertex_6_131, vector3MoreOrLessEquals(Vector3(4.1970911, -39.7477417, 86.604866)));
      final vertex_6_132 = mesh_6.vertices.elementAt(132);
      expect(vertex_6_132, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_133 = mesh_6.vertices.elementAt(133);
      expect(vertex_6_133, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_134 = mesh_6.vertices.elementAt(134);
      expect(vertex_6_134, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -0.901443005)));
      final vertex_6_135 = mesh_6.vertices.elementAt(135);
      expect(vertex_6_135, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_136 = mesh_6.vertices.elementAt(136);
      expect(vertex_6_136, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, 14.5472088)));
      final vertex_6_137 = mesh_6.vertices.elementAt(137);
      expect(vertex_6_137, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_138 = mesh_6.vertices.elementAt(138);
      expect(vertex_6_138, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_139 = mesh_6.vertices.elementAt(139);
      expect(vertex_6_139, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, 26.9644775)));
      final vertex_6_140 = mesh_6.vertices.elementAt(140);
      expect(vertex_6_140, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_141 = mesh_6.vertices.elementAt(141);
      expect(vertex_6_141, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, 14.5472088)));
      final vertex_6_142 = mesh_6.vertices.elementAt(142);
      expect(vertex_6_142, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_143 = mesh_6.vertices.elementAt(143);
      expect(vertex_6_143, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, 12.8470345)));
      final vertex_6_144 = mesh_6.vertices.elementAt(144);
      expect(vertex_6_144, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_145 = mesh_6.vertices.elementAt(145);
      expect(vertex_6_145, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_146 = mesh_6.vertices.elementAt(146);
      expect(vertex_6_146, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, 26.9644775)));
      final vertex_6_147 = mesh_6.vertices.elementAt(147);
      expect(vertex_6_147, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_148 = mesh_6.vertices.elementAt(148);
      expect(vertex_6_148, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, 30.1895142)));
      final vertex_6_149 = mesh_6.vertices.elementAt(149);
      expect(vertex_6_149, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_150 = mesh_6.vertices.elementAt(150);
      expect(vertex_6_150, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_151 = mesh_6.vertices.elementAt(151);
      expect(vertex_6_151, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, 57.1753235)));
      final vertex_6_152 = mesh_6.vertices.elementAt(152);
      expect(vertex_6_152, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_153 = mesh_6.vertices.elementAt(153);
      expect(vertex_6_153, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, 30.1895142)));
      final vertex_6_154 = mesh_6.vertices.elementAt(154);
      expect(vertex_6_154, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_155 = mesh_6.vertices.elementAt(155);
      expect(vertex_6_155, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, 31.4690781)));
      final vertex_6_156 = mesh_6.vertices.elementAt(156);
      expect(vertex_6_156, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_157 = mesh_6.vertices.elementAt(157);
      expect(vertex_6_157, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_158 = mesh_6.vertices.elementAt(158);
      expect(vertex_6_158, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, 57.1753235)));
      final vertex_6_159 = mesh_6.vertices.elementAt(159);
      expect(vertex_6_159, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_160 = mesh_6.vertices.elementAt(160);
      expect(vertex_6_160, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, 79.73629)));
      final vertex_6_161 = mesh_6.vertices.elementAt(161);
      expect(vertex_6_161, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_162 = mesh_6.vertices.elementAt(162);
      expect(vertex_6_162, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_163 = mesh_6.vertices.elementAt(163);
      expect(vertex_6_163, vector3MoreOrLessEquals(Vector3(4.1970911, -39.7477417, 86.604866)));
      final vertex_6_164 = mesh_6.vertices.elementAt(164);
      expect(vertex_6_164, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_165 = mesh_6.vertices.elementAt(165);
      expect(vertex_6_165, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, 79.73629)));
      final vertex_6_166 = mesh_6.vertices.elementAt(166);
      expect(vertex_6_166, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_167 = mesh_6.vertices.elementAt(167);
      expect(vertex_6_167, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, 80.7918625)));
      final vertex_6_168 = mesh_6.vertices.elementAt(168);
      expect(vertex_6_168, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_169 = mesh_6.vertices.elementAt(169);
      expect(vertex_6_169, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, 1.03395498)));
      final vertex_6_170 = mesh_6.vertices.elementAt(170);
      expect(vertex_6_170, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_171 = mesh_6.vertices.elementAt(171);
      expect(vertex_6_171, vector3MoreOrLessEquals(Vector3(4.50732327, -40.6998367, 86.0427628)));
      final vertex_6_172 = mesh_6.vertices.elementAt(172);
      expect(vertex_6_172, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_173 = mesh_6.vertices.elementAt(173);
      expect(vertex_6_173, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_174 = mesh_6.vertices.elementAt(174);
      expect(vertex_6_174, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_175 = mesh_6.vertices.elementAt(175);
      expect(vertex_6_175, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, 14.5472088)));
      final vertex_6_176 = mesh_6.vertices.elementAt(176);
      expect(vertex_6_176, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_177 = mesh_6.vertices.elementAt(177);
      expect(vertex_6_177, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, 1.03395498)));
      final vertex_6_178 = mesh_6.vertices.elementAt(178);
      expect(vertex_6_178, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_179 = mesh_6.vertices.elementAt(179);
      expect(vertex_6_179, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, 1.40407896)));
      final vertex_6_180 = mesh_6.vertices.elementAt(180);
      expect(vertex_6_180, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_181 = mesh_6.vertices.elementAt(181);
      expect(vertex_6_181, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_182 = mesh_6.vertices.elementAt(182);
      expect(vertex_6_182, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, 14.5472088)));
      final vertex_6_183 = mesh_6.vertices.elementAt(183);
      expect(vertex_6_183, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_184 = mesh_6.vertices.elementAt(184);
      expect(vertex_6_184, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, 27.3223076)));
      final vertex_6_185 = mesh_6.vertices.elementAt(185);
      expect(vertex_6_185, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_186 = mesh_6.vertices.elementAt(186);
      expect(vertex_6_186, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_187 = mesh_6.vertices.elementAt(187);
      expect(vertex_6_187, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, 30.1895142)));
      final vertex_6_188 = mesh_6.vertices.elementAt(188);
      expect(vertex_6_188, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_189 = mesh_6.vertices.elementAt(189);
      expect(vertex_6_189, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, 27.3223076)));
      final vertex_6_190 = mesh_6.vertices.elementAt(190);
      expect(vertex_6_190, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_191 = mesh_6.vertices.elementAt(191);
      expect(vertex_6_191, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, 27.3489475)));
      final vertex_6_192 = mesh_6.vertices.elementAt(192);
      expect(vertex_6_192, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_193 = mesh_6.vertices.elementAt(193);
      expect(vertex_6_193, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_194 = mesh_6.vertices.elementAt(194);
      expect(vertex_6_194, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, 30.1895142)));
      final vertex_6_195 = mesh_6.vertices.elementAt(195);
      expect(vertex_6_195, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_196 = mesh_6.vertices.elementAt(196);
      expect(vertex_6_196, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, 53.2947235)));
      final vertex_6_197 = mesh_6.vertices.elementAt(197);
      expect(vertex_6_197, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_198 = mesh_6.vertices.elementAt(198);
      expect(vertex_6_198, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_199 = mesh_6.vertices.elementAt(199);
      expect(vertex_6_199, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, 79.73629)));
      final vertex_6_200 = mesh_6.vertices.elementAt(200);
      expect(vertex_6_200, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_201 = mesh_6.vertices.elementAt(201);
      expect(vertex_6_201, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, 53.2947235)));
      final vertex_6_202 = mesh_6.vertices.elementAt(202);
      expect(vertex_6_202, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_203 = mesh_6.vertices.elementAt(203);
      expect(vertex_6_203, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, 55.0562592)));
      final vertex_6_204 = mesh_6.vertices.elementAt(204);
      expect(vertex_6_204, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_205 = mesh_6.vertices.elementAt(205);
      expect(vertex_6_205, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_206 = mesh_6.vertices.elementAt(206);
      expect(vertex_6_206, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, 79.73629)));
      final vertex_6_207 = mesh_6.vertices.elementAt(207);
      expect(vertex_6_207, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_208 = mesh_6.vertices.elementAt(208);
      expect(vertex_6_208, vector3MoreOrLessEquals(Vector3(4.50732327, -40.6998367, 86.0427628)));
      final vertex_6_209 = mesh_6.vertices.elementAt(209);
      expect(vertex_6_209, vector3MoreOrLessEquals(Vector3(4.16130686, -40.3483849, 86.3163071)));
      final vertex_6_210 = mesh_6.vertices.elementAt(210);
      expect(vertex_6_210, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_211 = mesh_6.vertices.elementAt(211);
      expect(vertex_6_211, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_212 = mesh_6.vertices.elementAt(212);
      expect(vertex_6_212, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, 1.03395498)));
      final vertex_6_213 = mesh_6.vertices.elementAt(213);
      expect(vertex_6_213, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      final vertex_6_214 = mesh_6.vertices.elementAt(214);
      expect(vertex_6_214, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_215 = mesh_6.vertices.elementAt(215);
      expect(vertex_6_215, vector3MoreOrLessEquals(Vector3(4.50732327, -40.6998367, 86.0427628)));
      final vertex_6_216 = mesh_6.vertices.elementAt(216);
      expect(vertex_6_216, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_217 = mesh_6.vertices.elementAt(217);
      expect(vertex_6_217, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_218 = mesh_6.vertices.elementAt(218);
      expect(vertex_6_218, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, 1.03395498)));
      final vertex_6_219 = mesh_6.vertices.elementAt(219);
      expect(vertex_6_219, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_220 = mesh_6.vertices.elementAt(220);
      expect(vertex_6_220, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, 14.239624)));
      final vertex_6_221 = mesh_6.vertices.elementAt(221);
      expect(vertex_6_221, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_222 = mesh_6.vertices.elementAt(222);
      expect(vertex_6_222, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_223 = mesh_6.vertices.elementAt(223);
      expect(vertex_6_223, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, 27.3223076)));
      final vertex_6_224 = mesh_6.vertices.elementAt(224);
      expect(vertex_6_224, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_225 = mesh_6.vertices.elementAt(225);
      expect(vertex_6_225, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, 14.239624)));
      final vertex_6_226 = mesh_6.vertices.elementAt(226);
      expect(vertex_6_226, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_227 = mesh_6.vertices.elementAt(227);
      expect(vertex_6_227, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, 15.1669617)));
      final vertex_6_228 = mesh_6.vertices.elementAt(228);
      expect(vertex_6_228, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_229 = mesh_6.vertices.elementAt(229);
      expect(vertex_6_229, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_230 = mesh_6.vertices.elementAt(230);
      expect(vertex_6_230, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, 27.3223076)));
      final vertex_6_231 = mesh_6.vertices.elementAt(231);
      expect(vertex_6_231, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_232 = mesh_6.vertices.elementAt(232);
      expect(vertex_6_232, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, 28.6871376)));
      final vertex_6_233 = mesh_6.vertices.elementAt(233);
      expect(vertex_6_233, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_234 = mesh_6.vertices.elementAt(234);
      expect(vertex_6_234, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_235 = mesh_6.vertices.elementAt(235);
      expect(vertex_6_235, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, 53.2947235)));
      final vertex_6_236 = mesh_6.vertices.elementAt(236);
      expect(vertex_6_236, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_237 = mesh_6.vertices.elementAt(237);
      expect(vertex_6_237, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, 28.6871376)));
      final vertex_6_238 = mesh_6.vertices.elementAt(238);
      expect(vertex_6_238, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_239 = mesh_6.vertices.elementAt(239);
      expect(vertex_6_239, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, 28.9514179)));
      final vertex_6_240 = mesh_6.vertices.elementAt(240);
      expect(vertex_6_240, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_241 = mesh_6.vertices.elementAt(241);
      expect(vertex_6_241, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_242 = mesh_6.vertices.elementAt(242);
      expect(vertex_6_242, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, 53.2947235)));
      final vertex_6_243 = mesh_6.vertices.elementAt(243);
      expect(vertex_6_243, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_244 = mesh_6.vertices.elementAt(244);
      expect(vertex_6_244, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, 78.8658829)));
      final vertex_6_245 = mesh_6.vertices.elementAt(245);
      expect(vertex_6_245, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_246 = mesh_6.vertices.elementAt(246);
      expect(vertex_6_246, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      final vertex_6_247 = mesh_6.vertices.elementAt(247);
      expect(vertex_6_247, vector3MoreOrLessEquals(Vector3(4.50732327, -40.6998367, 86.0427628)));
      final vertex_6_248 = mesh_6.vertices.elementAt(248);
      expect(vertex_6_248, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_249 = mesh_6.vertices.elementAt(249);
      expect(vertex_6_249, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, 78.8658829)));
      final vertex_6_250 = mesh_6.vertices.elementAt(250);
      expect(vertex_6_250, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      final vertex_6_251 = mesh_6.vertices.elementAt(251);
      expect(vertex_6_251, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, 78.8791428)));
      final vertex_6_252 = mesh_6.vertices.elementAt(252);
      expect(vertex_6_252, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -2.14914298)));
      final vertex_6_253 = mesh_6.vertices.elementAt(253);
      expect(vertex_6_253, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -4.81346512)));
      final vertex_6_254 = mesh_6.vertices.elementAt(254);
      expect(vertex_6_254, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_255 = mesh_6.vertices.elementAt(255);
      expect(vertex_6_255, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, 86.1982498)));
      final vertex_6_256 = mesh_6.vertices.elementAt(256);
      expect(vertex_6_256, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, 86.3362198)));
      final vertex_6_257 = mesh_6.vertices.elementAt(257);
      expect(vertex_6_257, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      final vertex_6_258 = mesh_6.vertices.elementAt(258);
      expect(vertex_6_258, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_259 = mesh_6.vertices.elementAt(259);
      expect(vertex_6_259, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, 14.239624)));
      final vertex_6_260 = mesh_6.vertices.elementAt(260);
      expect(vertex_6_260, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_261 = mesh_6.vertices.elementAt(261);
      expect(vertex_6_261, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -4.81346512)));
      final vertex_6_262 = mesh_6.vertices.elementAt(262);
      expect(vertex_6_262, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_263 = mesh_6.vertices.elementAt(263);
      expect(vertex_6_263, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -1.73312402)));
      final vertex_6_264 = mesh_6.vertices.elementAt(264);
      expect(vertex_6_264, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_265 = mesh_6.vertices.elementAt(265);
      expect(vertex_6_265, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_266 = mesh_6.vertices.elementAt(266);
      expect(vertex_6_266, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, 14.239624)));
      final vertex_6_267 = mesh_6.vertices.elementAt(267);
      expect(vertex_6_267, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, 12.4634762)));
      final vertex_6_268 = mesh_6.vertices.elementAt(268);
      expect(vertex_6_268, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_269 = mesh_6.vertices.elementAt(269);
      expect(vertex_6_269, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_270 = mesh_6.vertices.elementAt(270);
      expect(vertex_6_270, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_271 = mesh_6.vertices.elementAt(271);
      expect(vertex_6_271, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, 28.6871376)));
      final vertex_6_272 = mesh_6.vertices.elementAt(272);
      expect(vertex_6_272, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_273 = mesh_6.vertices.elementAt(273);
      expect(vertex_6_273, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, 26.41045)));
      final vertex_6_274 = mesh_6.vertices.elementAt(274);
      expect(vertex_6_274, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_275 = mesh_6.vertices.elementAt(275);
      expect(vertex_6_275, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, 26.9046268)));
      final vertex_6_276 = mesh_6.vertices.elementAt(276);
      expect(vertex_6_276, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_277 = mesh_6.vertices.elementAt(277);
      expect(vertex_6_277, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_278 = mesh_6.vertices.elementAt(278);
      expect(vertex_6_278, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, 28.6871376)));
      final vertex_6_279 = mesh_6.vertices.elementAt(279);
      expect(vertex_6_279, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, 29.5956383)));
      final vertex_6_280 = mesh_6.vertices.elementAt(280);
      expect(vertex_6_280, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_281 = mesh_6.vertices.elementAt(281);
      expect(vertex_6_281, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_282 = mesh_6.vertices.elementAt(282);
      expect(vertex_6_282, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_283 = mesh_6.vertices.elementAt(283);
      expect(vertex_6_283, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, 78.8658829)));
      final vertex_6_284 = mesh_6.vertices.elementAt(284);
      expect(vertex_6_284, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_285 = mesh_6.vertices.elementAt(285);
      expect(vertex_6_285, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, 54.8821411)));
      final vertex_6_286 = mesh_6.vertices.elementAt(286);
      expect(vertex_6_286, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_287 = mesh_6.vertices.elementAt(287);
      expect(vertex_6_287, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, 53.2172623)));
      final vertex_6_288 = mesh_6.vertices.elementAt(288);
      expect(vertex_6_288, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_289 = mesh_6.vertices.elementAt(289);
      expect(vertex_6_289, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      final vertex_6_290 = mesh_6.vertices.elementAt(290);
      expect(vertex_6_290, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, 78.8658829)));
      final vertex_6_291 = mesh_6.vertices.elementAt(291);
      expect(vertex_6_291, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, 79.7064896)));
      final vertex_6_292 = mesh_6.vertices.elementAt(292);
      expect(vertex_6_292, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, 86.1982498)));
      final vertex_6_293 = mesh_6.vertices.elementAt(293);
      expect(vertex_6_293, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, 85.9902115)));
      expect(mesh_6.normals.length, equals(294));
      final normal_6_0 = mesh_6.normals.elementAt(0);
      expect(normal_6_0, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_1 = mesh_6.normals.elementAt(1);
      expect(normal_6_1, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_2 = mesh_6.normals.elementAt(2);
      expect(normal_6_2, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_3 = mesh_6.normals.elementAt(3);
      expect(normal_6_3, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_4 = mesh_6.normals.elementAt(4);
      expect(normal_6_4, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_5 = mesh_6.normals.elementAt(5);
      expect(normal_6_5, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_6 = mesh_6.normals.elementAt(6);
      expect(normal_6_6, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_7 = mesh_6.normals.elementAt(7);
      expect(normal_6_7, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_8 = mesh_6.normals.elementAt(8);
      expect(normal_6_8, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, -0.561307013)));
      final normal_6_9 = mesh_6.normals.elementAt(9);
      expect(normal_6_9, vector3MoreOrLessEquals(Vector3(0.164332002, 0.78254801, -0.600511014)));
      final normal_6_10 = mesh_6.normals.elementAt(10);
      expect(normal_6_10, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_11 = mesh_6.normals.elementAt(11);
      expect(normal_6_11, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, -0.561307013)));
      final normal_6_12 = mesh_6.normals.elementAt(12);
      expect(normal_6_12, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_13 = mesh_6.normals.elementAt(13);
      expect(normal_6_13, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_14 = mesh_6.normals.elementAt(14);
      expect(normal_6_14, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_15 = mesh_6.normals.elementAt(15);
      expect(normal_6_15, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_16 = mesh_6.normals.elementAt(16);
      expect(normal_6_16, vector3MoreOrLessEquals(Vector3(0.548411012, 0.66167599, -0.511303008)));
      final normal_6_17 = mesh_6.normals.elementAt(17);
      expect(normal_6_17, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_18 = mesh_6.normals.elementAt(18);
      expect(normal_6_18, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_19 = mesh_6.normals.elementAt(19);
      expect(normal_6_19, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_20 = mesh_6.normals.elementAt(20);
      expect(normal_6_20, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_21 = mesh_6.normals.elementAt(21);
      expect(normal_6_21, vector3MoreOrLessEquals(Vector3(0.548411012, 0.66167599, -0.511303008)));
      final normal_6_22 = mesh_6.normals.elementAt(22);
      expect(normal_6_22, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_23 = mesh_6.normals.elementAt(23);
      expect(normal_6_23, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_24 = mesh_6.normals.elementAt(24);
      expect(normal_6_24, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_25 = mesh_6.normals.elementAt(25);
      expect(normal_6_25, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_26 = mesh_6.normals.elementAt(26);
      expect(normal_6_26, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_27 = mesh_6.normals.elementAt(27);
      expect(normal_6_27, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_28 = mesh_6.normals.elementAt(28);
      expect(normal_6_28, vector3MoreOrLessEquals(Vector3(0.695006013, 0.60056299, 0.395334989)));
      final normal_6_29 = mesh_6.normals.elementAt(29);
      expect(normal_6_29, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_30 = mesh_6.normals.elementAt(30);
      expect(normal_6_30, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_31 = mesh_6.normals.elementAt(31);
      expect(normal_6_31, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_32 = mesh_6.normals.elementAt(32);
      expect(normal_6_32, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_33 = mesh_6.normals.elementAt(33);
      expect(normal_6_33, vector3MoreOrLessEquals(Vector3(0.695006013, 0.60056299, 0.395334989)));
      final normal_6_34 = mesh_6.normals.elementAt(34);
      expect(normal_6_34, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_35 = mesh_6.normals.elementAt(35);
      expect(normal_6_35, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_36 = mesh_6.normals.elementAt(36);
      expect(normal_6_36, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_37 = mesh_6.normals.elementAt(37);
      expect(normal_6_37, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, -0.116746999)));
      final normal_6_38 = mesh_6.normals.elementAt(38);
      expect(normal_6_38, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_39 = mesh_6.normals.elementAt(39);
      expect(normal_6_39, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_40 = mesh_6.normals.elementAt(40);
      expect(normal_6_40, vector3MoreOrLessEquals(Vector3(0.76761198, 0.420845985, 0.483384997)));
      final normal_6_41 = mesh_6.normals.elementAt(41);
      expect(normal_6_41, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, -0.116746999)));
      final normal_6_42 = mesh_6.normals.elementAt(42);
      expect(normal_6_42, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_43 = mesh_6.normals.elementAt(43);
      expect(normal_6_43, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_44 = mesh_6.normals.elementAt(44);
      expect(normal_6_44, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_45 = mesh_6.normals.elementAt(45);
      expect(normal_6_45, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_46 = mesh_6.normals.elementAt(46);
      expect(normal_6_46, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_47 = mesh_6.normals.elementAt(47);
      expect(normal_6_47, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_48 = mesh_6.normals.elementAt(48);
      expect(normal_6_48, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, -0.313775003)));
      final normal_6_49 = mesh_6.normals.elementAt(49);
      expect(normal_6_49, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_50 = mesh_6.normals.elementAt(50);
      expect(normal_6_50, vector3MoreOrLessEquals(Vector3(0.164332002, 0.78254801, -0.600511014)));
      final normal_6_51 = mesh_6.normals.elementAt(51);
      expect(normal_6_51, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, -0.313775003)));
      final normal_6_52 = mesh_6.normals.elementAt(52);
      expect(normal_6_52, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, -0.550574005)));
      final normal_6_53 = mesh_6.normals.elementAt(53);
      expect(normal_6_53, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_54 = mesh_6.normals.elementAt(54);
      expect(normal_6_54, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_55 = mesh_6.normals.elementAt(55);
      expect(normal_6_55, vector3MoreOrLessEquals(Vector3(0.548411012, 0.66167599, -0.511303008)));
      final normal_6_56 = mesh_6.normals.elementAt(56);
      expect(normal_6_56, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_57 = mesh_6.normals.elementAt(57);
      expect(normal_6_57, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, -0.550574005)));
      final normal_6_58 = mesh_6.normals.elementAt(58);
      expect(normal_6_58, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_59 = mesh_6.normals.elementAt(59);
      expect(normal_6_59, vector3MoreOrLessEquals(Vector3(0.375319004, 0.601841986, -0.704927027)));
      final normal_6_60 = mesh_6.normals.elementAt(60);
      expect(normal_6_60, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_61 = mesh_6.normals.elementAt(61);
      expect(normal_6_61, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_62 = mesh_6.normals.elementAt(62);
      expect(normal_6_62, vector3MoreOrLessEquals(Vector3(0.548411012, 0.66167599, -0.511303008)));
      final normal_6_63 = mesh_6.normals.elementAt(63);
      expect(normal_6_63, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_64 = mesh_6.normals.elementAt(64);
      expect(normal_6_64, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, 0.32001701)));
      final normal_6_65 = mesh_6.normals.elementAt(65);
      expect(normal_6_65, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_66 = mesh_6.normals.elementAt(66);
      expect(normal_6_66, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_67 = mesh_6.normals.elementAt(67);
      expect(normal_6_67, vector3MoreOrLessEquals(Vector3(0.695006013, 0.60056299, 0.395334989)));
      final normal_6_68 = mesh_6.normals.elementAt(68);
      expect(normal_6_68, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_69 = mesh_6.normals.elementAt(69);
      expect(normal_6_69, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, 0.32001701)));
      final normal_6_70 = mesh_6.normals.elementAt(70);
      expect(normal_6_70, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_71 = mesh_6.normals.elementAt(71);
      expect(normal_6_71, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, 0.0108289998)));
      final normal_6_72 = mesh_6.normals.elementAt(72);
      expect(normal_6_72, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_73 = mesh_6.normals.elementAt(73);
      expect(normal_6_73, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_74 = mesh_6.normals.elementAt(74);
      expect(normal_6_74, vector3MoreOrLessEquals(Vector3(0.695006013, 0.60056299, 0.395334989)));
      final normal_6_75 = mesh_6.normals.elementAt(75);
      expect(normal_6_75, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_76 = mesh_6.normals.elementAt(76);
      expect(normal_6_76, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, 0.882099986)));
      final normal_6_77 = mesh_6.normals.elementAt(77);
      expect(normal_6_77, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_78 = mesh_6.normals.elementAt(78);
      expect(normal_6_78, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, 0.874014974)));
      final normal_6_79 = mesh_6.normals.elementAt(79);
      expect(normal_6_79, vector3MoreOrLessEquals(Vector3(0.76761198, 0.420845985, 0.483384997)));
      final normal_6_80 = mesh_6.normals.elementAt(80);
      expect(normal_6_80, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_81 = mesh_6.normals.elementAt(81);
      expect(normal_6_81, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, 0.882099986)));
      final normal_6_82 = mesh_6.normals.elementAt(82);
      expect(normal_6_82, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, 0.874014974)));
      final normal_6_83 = mesh_6.normals.elementAt(83);
      expect(normal_6_83, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, 0.460397005)));
      final normal_6_84 = mesh_6.normals.elementAt(84);
      expect(normal_6_84, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_85 = mesh_6.normals.elementAt(85);
      expect(normal_6_85, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_86 = mesh_6.normals.elementAt(86);
      expect(normal_6_86, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_87 = mesh_6.normals.elementAt(87);
      expect(normal_6_87, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_88 = mesh_6.normals.elementAt(88);
      expect(normal_6_88, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_89 = mesh_6.normals.elementAt(89);
      expect(normal_6_89, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_90 = mesh_6.normals.elementAt(90);
      expect(normal_6_90, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_91 = mesh_6.normals.elementAt(91);
      expect(normal_6_91, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, -0.550574005)));
      final normal_6_92 = mesh_6.normals.elementAt(92);
      expect(normal_6_92, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, -0.313775003)));
      final normal_6_93 = mesh_6.normals.elementAt(93);
      expect(normal_6_93, vector3MoreOrLessEquals(Vector3(-0.863510013, 0.34177199, 0.370867997)));
      final normal_6_94 = mesh_6.normals.elementAt(94);
      expect(normal_6_94, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_95 = mesh_6.normals.elementAt(95);
      expect(normal_6_95, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, -0.313775003)));
      final normal_6_96 = mesh_6.normals.elementAt(96);
      expect(normal_6_96, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_97 = mesh_6.normals.elementAt(97);
      expect(normal_6_97, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_98 = mesh_6.normals.elementAt(98);
      expect(normal_6_98, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, -0.550574005)));
      final normal_6_99 = mesh_6.normals.elementAt(99);
      expect(normal_6_99, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_100 = mesh_6.normals.elementAt(100);
      expect(normal_6_100, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, -0.00129699998)));
      final normal_6_101 = mesh_6.normals.elementAt(101);
      expect(normal_6_101, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_102 = mesh_6.normals.elementAt(102);
      expect(normal_6_102, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_103 = mesh_6.normals.elementAt(103);
      expect(normal_6_103, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, 0.32001701)));
      final normal_6_104 = mesh_6.normals.elementAt(104);
      expect(normal_6_104, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_105 = mesh_6.normals.elementAt(105);
      expect(normal_6_105, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, -0.00129699998)));
      final normal_6_106 = mesh_6.normals.elementAt(106);
      expect(normal_6_106, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_107 = mesh_6.normals.elementAt(107);
      expect(normal_6_107, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, -0.350802988)));
      final normal_6_108 = mesh_6.normals.elementAt(108);
      expect(normal_6_108, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_109 = mesh_6.normals.elementAt(109);
      expect(normal_6_109, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_110 = mesh_6.normals.elementAt(110);
      expect(normal_6_110, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, 0.32001701)));
      final normal_6_111 = mesh_6.normals.elementAt(111);
      expect(normal_6_111, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_112 = mesh_6.normals.elementAt(112);
      expect(normal_6_112, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, 0.544032991)));
      final normal_6_113 = mesh_6.normals.elementAt(113);
      expect(normal_6_113, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_114 = mesh_6.normals.elementAt(114);
      expect(normal_6_114, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_115 = mesh_6.normals.elementAt(115);
      expect(normal_6_115, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, 0.882099986)));
      final normal_6_116 = mesh_6.normals.elementAt(116);
      expect(normal_6_116, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_117 = mesh_6.normals.elementAt(117);
      expect(normal_6_117, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, 0.544032991)));
      final normal_6_118 = mesh_6.normals.elementAt(118);
      expect(normal_6_118, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_119 = mesh_6.normals.elementAt(119);
      expect(normal_6_119, vector3MoreOrLessEquals(Vector3(-0.0883440003, 0.681833029, 0.726154029)));
      final normal_6_120 = mesh_6.normals.elementAt(120);
      expect(normal_6_120, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_121 = mesh_6.normals.elementAt(121);
      expect(normal_6_121, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, 0.874014974)));
      final normal_6_122 = mesh_6.normals.elementAt(122);
      expect(normal_6_122, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, 0.882099986)));
      final normal_6_123 = mesh_6.normals.elementAt(123);
      expect(normal_6_123, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_124 = mesh_6.normals.elementAt(124);
      expect(normal_6_124, vector3MoreOrLessEquals(Vector3(-0.800009012, 0.140946001, 0.583196998)));
      final normal_6_125 = mesh_6.normals.elementAt(125);
      expect(normal_6_125, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, 0.874014974)));
      final normal_6_126 = mesh_6.normals.elementAt(126);
      expect(normal_6_126, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_127 = mesh_6.normals.elementAt(127);
      expect(normal_6_127, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_128 = mesh_6.normals.elementAt(128);
      expect(normal_6_128, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_129 = mesh_6.normals.elementAt(129);
      expect(normal_6_129, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_130 = mesh_6.normals.elementAt(130);
      expect(normal_6_130, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_131 = mesh_6.normals.elementAt(131);
      expect(normal_6_131, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_132 = mesh_6.normals.elementAt(132);
      expect(normal_6_132, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, 0.69056201)));
      final normal_6_133 = mesh_6.normals.elementAt(133);
      expect(normal_6_133, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_134 = mesh_6.normals.elementAt(134);
      expect(normal_6_134, vector3MoreOrLessEquals(Vector3(-0.863510013, 0.34177199, 0.370867997)));
      final normal_6_135 = mesh_6.normals.elementAt(135);
      expect(normal_6_135, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, 0.69056201)));
      final normal_6_136 = mesh_6.normals.elementAt(136);
      expect(normal_6_136, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, 0.622080028)));
      final normal_6_137 = mesh_6.normals.elementAt(137);
      expect(normal_6_137, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_138 = mesh_6.normals.elementAt(138);
      expect(normal_6_138, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_139 = mesh_6.normals.elementAt(139);
      expect(normal_6_139, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, -0.00129699998)));
      final normal_6_140 = mesh_6.normals.elementAt(140);
      expect(normal_6_140, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_141 = mesh_6.normals.elementAt(141);
      expect(normal_6_141, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, 0.622080028)));
      final normal_6_142 = mesh_6.normals.elementAt(142);
      expect(normal_6_142, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_143 = mesh_6.normals.elementAt(143);
      expect(normal_6_143, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, 0.0983019993)));
      final normal_6_144 = mesh_6.normals.elementAt(144);
      expect(normal_6_144, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_145 = mesh_6.normals.elementAt(145);
      expect(normal_6_145, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_146 = mesh_6.normals.elementAt(146);
      expect(normal_6_146, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, -0.00129699998)));
      final normal_6_147 = mesh_6.normals.elementAt(147);
      expect(normal_6_147, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_148 = mesh_6.normals.elementAt(148);
      expect(normal_6_148, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, -0.0330040008)));
      final normal_6_149 = mesh_6.normals.elementAt(149);
      expect(normal_6_149, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_150 = mesh_6.normals.elementAt(150);
      expect(normal_6_150, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_151 = mesh_6.normals.elementAt(151);
      expect(normal_6_151, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, 0.544032991)));
      final normal_6_152 = mesh_6.normals.elementAt(152);
      expect(normal_6_152, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_153 = mesh_6.normals.elementAt(153);
      expect(normal_6_153, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, -0.0330040008)));
      final normal_6_154 = mesh_6.normals.elementAt(154);
      expect(normal_6_154, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_155 = mesh_6.normals.elementAt(155);
      expect(normal_6_155, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, 0.281186998)));
      final normal_6_156 = mesh_6.normals.elementAt(156);
      expect(normal_6_156, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_157 = mesh_6.normals.elementAt(157);
      expect(normal_6_157, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_158 = mesh_6.normals.elementAt(158);
      expect(normal_6_158, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, 0.544032991)));
      final normal_6_159 = mesh_6.normals.elementAt(159);
      expect(normal_6_159, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_160 = mesh_6.normals.elementAt(160);
      expect(normal_6_160, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, 0.00591900013)));
      final normal_6_161 = mesh_6.normals.elementAt(161);
      expect(normal_6_161, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_162 = mesh_6.normals.elementAt(162);
      expect(normal_6_162, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, 0.0345030017)));
      final normal_6_163 = mesh_6.normals.elementAt(163);
      expect(normal_6_163, vector3MoreOrLessEquals(Vector3(-0.800009012, 0.140946001, 0.583196998)));
      final normal_6_164 = mesh_6.normals.elementAt(164);
      expect(normal_6_164, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_165 = mesh_6.normals.elementAt(165);
      expect(normal_6_165, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, 0.00591900013)));
      final normal_6_166 = mesh_6.normals.elementAt(166);
      expect(normal_6_166, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, 0.0345030017)));
      final normal_6_167 = mesh_6.normals.elementAt(167);
      expect(normal_6_167, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, 0.540970027)));
      final normal_6_168 = mesh_6.normals.elementAt(168);
      expect(normal_6_168, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_169 = mesh_6.normals.elementAt(169);
      expect(normal_6_169, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_170 = mesh_6.normals.elementAt(170);
      expect(normal_6_170, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_171 = mesh_6.normals.elementAt(171);
      expect(normal_6_171, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_172 = mesh_6.normals.elementAt(172);
      expect(normal_6_172, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_173 = mesh_6.normals.elementAt(173);
      expect(normal_6_173, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_174 = mesh_6.normals.elementAt(174);
      expect(normal_6_174, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_175 = mesh_6.normals.elementAt(175);
      expect(normal_6_175, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, 0.622080028)));
      final normal_6_176 = mesh_6.normals.elementAt(176);
      expect(normal_6_176, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, 0.69056201)));
      final normal_6_177 = mesh_6.normals.elementAt(177);
      expect(normal_6_177, vector3MoreOrLessEquals(Vector3(0.216309994, -0.832587004, 0.509909987)));
      final normal_6_178 = mesh_6.normals.elementAt(178);
      expect(normal_6_178, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_179 = mesh_6.normals.elementAt(179);
      expect(normal_6_179, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, 0.69056201)));
      final normal_6_180 = mesh_6.normals.elementAt(180);
      expect(normal_6_180, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_181 = mesh_6.normals.elementAt(181);
      expect(normal_6_181, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_182 = mesh_6.normals.elementAt(182);
      expect(normal_6_182, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, 0.622080028)));
      final normal_6_183 = mesh_6.normals.elementAt(183);
      expect(normal_6_183, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_184 = mesh_6.normals.elementAt(184);
      expect(normal_6_184, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936688006, 0.309662014)));
      final normal_6_185 = mesh_6.normals.elementAt(185);
      expect(normal_6_185, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_186 = mesh_6.normals.elementAt(186);
      expect(normal_6_186, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_187 = mesh_6.normals.elementAt(187);
      expect(normal_6_187, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, -0.0330040008)));
      final normal_6_188 = mesh_6.normals.elementAt(188);
      expect(normal_6_188, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_189 = mesh_6.normals.elementAt(189);
      expect(normal_6_189, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936688006, 0.309662014)));
      final normal_6_190 = mesh_6.normals.elementAt(190);
      expect(normal_6_190, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_191 = mesh_6.normals.elementAt(191);
      expect(normal_6_191, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, 0.260132998)));
      final normal_6_192 = mesh_6.normals.elementAt(192);
      expect(normal_6_192, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_193 = mesh_6.normals.elementAt(193);
      expect(normal_6_193, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_194 = mesh_6.normals.elementAt(194);
      expect(normal_6_194, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, -0.0330040008)));
      final normal_6_195 = mesh_6.normals.elementAt(195);
      expect(normal_6_195, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_196 = mesh_6.normals.elementAt(196);
      expect(normal_6_196, vector3MoreOrLessEquals(Vector3(-0.334488988, -0.728676021, -0.597618997)));
      final normal_6_197 = mesh_6.normals.elementAt(197);
      expect(normal_6_197, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_198 = mesh_6.normals.elementAt(198);
      expect(normal_6_198, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_199 = mesh_6.normals.elementAt(199);
      expect(normal_6_199, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, 0.00591900013)));
      final normal_6_200 = mesh_6.normals.elementAt(200);
      expect(normal_6_200, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_201 = mesh_6.normals.elementAt(201);
      expect(normal_6_201, vector3MoreOrLessEquals(Vector3(-0.334488988, -0.728676021, -0.597618997)));
      final normal_6_202 = mesh_6.normals.elementAt(202);
      expect(normal_6_202, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_203 = mesh_6.normals.elementAt(203);
      expect(normal_6_203, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, -0.0245079994)));
      final normal_6_204 = mesh_6.normals.elementAt(204);
      expect(normal_6_204, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_205 = mesh_6.normals.elementAt(205);
      expect(normal_6_205, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, 0.0345030017)));
      final normal_6_206 = mesh_6.normals.elementAt(206);
      expect(normal_6_206, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, 0.00591900013)));
      final normal_6_207 = mesh_6.normals.elementAt(207);
      expect(normal_6_207, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_208 = mesh_6.normals.elementAt(208);
      expect(normal_6_208, vector3MoreOrLessEquals(Vector3(-0.371856987, -0.710825026, -0.597034991)));
      final normal_6_209 = mesh_6.normals.elementAt(209);
      expect(normal_6_209, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, 0.0345030017)));
      final normal_6_210 = mesh_6.normals.elementAt(210);
      expect(normal_6_210, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_211 = mesh_6.normals.elementAt(211);
      expect(normal_6_211, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_212 = mesh_6.normals.elementAt(212);
      expect(normal_6_212, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_213 = mesh_6.normals.elementAt(213);
      expect(normal_6_213, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_214 = mesh_6.normals.elementAt(214);
      expect(normal_6_214, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_215 = mesh_6.normals.elementAt(215);
      expect(normal_6_215, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_216 = mesh_6.normals.elementAt(216);
      expect(normal_6_216, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, 0.0881069973)));
      final normal_6_217 = mesh_6.normals.elementAt(217);
      expect(normal_6_217, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_218 = mesh_6.normals.elementAt(218);
      expect(normal_6_218, vector3MoreOrLessEquals(Vector3(0.216309994, -0.832587004, 0.509909987)));
      final normal_6_219 = mesh_6.normals.elementAt(219);
      expect(normal_6_219, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, 0.0881069973)));
      final normal_6_220 = mesh_6.normals.elementAt(220);
      expect(normal_6_220, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, 0.338645995)));
      final normal_6_221 = mesh_6.normals.elementAt(221);
      expect(normal_6_221, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_222 = mesh_6.normals.elementAt(222);
      expect(normal_6_222, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_223 = mesh_6.normals.elementAt(223);
      expect(normal_6_223, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936688006, 0.309662014)));
      final normal_6_224 = mesh_6.normals.elementAt(224);
      expect(normal_6_224, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_225 = mesh_6.normals.elementAt(225);
      expect(normal_6_225, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, 0.338645995)));
      final normal_6_226 = mesh_6.normals.elementAt(226);
      expect(normal_6_226, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_227 = mesh_6.normals.elementAt(227);
      expect(normal_6_227, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, 0.733911991)));
      final normal_6_228 = mesh_6.normals.elementAt(228);
      expect(normal_6_228, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_229 = mesh_6.normals.elementAt(229);
      expect(normal_6_229, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_230 = mesh_6.normals.elementAt(230);
      expect(normal_6_230, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936688006, 0.309662014)));
      final normal_6_231 = mesh_6.normals.elementAt(231);
      expect(normal_6_231, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_232 = mesh_6.normals.elementAt(232);
      expect(normal_6_232, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, -0.567175984)));
      final normal_6_233 = mesh_6.normals.elementAt(233);
      expect(normal_6_233, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_234 = mesh_6.normals.elementAt(234);
      expect(normal_6_234, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_235 = mesh_6.normals.elementAt(235);
      expect(normal_6_235, vector3MoreOrLessEquals(Vector3(-0.334488988, -0.728676021, -0.597618997)));
      final normal_6_236 = mesh_6.normals.elementAt(236);
      expect(normal_6_236, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_237 = mesh_6.normals.elementAt(237);
      expect(normal_6_237, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, -0.567175984)));
      final normal_6_238 = mesh_6.normals.elementAt(238);
      expect(normal_6_238, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_239 = mesh_6.normals.elementAt(239);
      expect(normal_6_239, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, -0.381924987)));
      final normal_6_240 = mesh_6.normals.elementAt(240);
      expect(normal_6_240, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_241 = mesh_6.normals.elementAt(241);
      expect(normal_6_241, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_242 = mesh_6.normals.elementAt(242);
      expect(normal_6_242, vector3MoreOrLessEquals(Vector3(-0.334488988, -0.728676021, -0.597618997)));
      final normal_6_243 = mesh_6.normals.elementAt(243);
      expect(normal_6_243, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_244 = mesh_6.normals.elementAt(244);
      expect(normal_6_244, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, -0.669538021)));
      final normal_6_245 = mesh_6.normals.elementAt(245);
      expect(normal_6_245, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_246 = mesh_6.normals.elementAt(246);
      expect(normal_6_246, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, -0.645761013)));
      final normal_6_247 = mesh_6.normals.elementAt(247);
      expect(normal_6_247, vector3MoreOrLessEquals(Vector3(-0.371856987, -0.710825026, -0.597034991)));
      final normal_6_248 = mesh_6.normals.elementAt(248);
      expect(normal_6_248, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_249 = mesh_6.normals.elementAt(249);
      expect(normal_6_249, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, -0.669538021)));
      final normal_6_250 = mesh_6.normals.elementAt(250);
      expect(normal_6_250, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, -0.645761013)));
      final normal_6_251 = mesh_6.normals.elementAt(251);
      expect(normal_6_251, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, -0.685741007)));
      final normal_6_252 = mesh_6.normals.elementAt(252);
      expect(normal_6_252, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_253 = mesh_6.normals.elementAt(253);
      expect(normal_6_253, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_254 = mesh_6.normals.elementAt(254);
      expect(normal_6_254, vector3MoreOrLessEquals(Vector3(-0.272473007, -0.916512012, -0.292854011)));
      final normal_6_255 = mesh_6.normals.elementAt(255);
      expect(normal_6_255, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_256 = mesh_6.normals.elementAt(256);
      expect(normal_6_256, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_257 = mesh_6.normals.elementAt(257);
      expect(normal_6_257, vector3MoreOrLessEquals(Vector3(0.247462004, -0.431596994, 0.867460012)));
      final normal_6_258 = mesh_6.normals.elementAt(258);
      expect(normal_6_258, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_259 = mesh_6.normals.elementAt(259);
      expect(normal_6_259, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, 0.338645995)));
      final normal_6_260 = mesh_6.normals.elementAt(260);
      expect(normal_6_260, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, 0.0881069973)));
      final normal_6_261 = mesh_6.normals.elementAt(261);
      expect(normal_6_261, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, -0.561307013)));
      final normal_6_262 = mesh_6.normals.elementAt(262);
      expect(normal_6_262, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_263 = mesh_6.normals.elementAt(263);
      expect(normal_6_263, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, 0.0881069973)));
      final normal_6_264 = mesh_6.normals.elementAt(264);
      expect(normal_6_264, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_265 = mesh_6.normals.elementAt(265);
      expect(normal_6_265, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_266 = mesh_6.normals.elementAt(266);
      expect(normal_6_266, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, 0.338645995)));
      final normal_6_267 = mesh_6.normals.elementAt(267);
      expect(normal_6_267, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, -0.223412007)));
      final normal_6_268 = mesh_6.normals.elementAt(268);
      expect(normal_6_268, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_269 = mesh_6.normals.elementAt(269);
      expect(normal_6_269, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_270 = mesh_6.normals.elementAt(270);
      expect(normal_6_270, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_271 = mesh_6.normals.elementAt(271);
      expect(normal_6_271, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, -0.567175984)));
      final normal_6_272 = mesh_6.normals.elementAt(272);
      expect(normal_6_272, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_273 = mesh_6.normals.elementAt(273);
      expect(normal_6_273, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, -0.395700991)));
      final normal_6_274 = mesh_6.normals.elementAt(274);
      expect(normal_6_274, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_275 = mesh_6.normals.elementAt(275);
      expect(normal_6_275, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, -0.0349359997)));
      final normal_6_276 = mesh_6.normals.elementAt(276);
      expect(normal_6_276, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_277 = mesh_6.normals.elementAt(277);
      expect(normal_6_277, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_278 = mesh_6.normals.elementAt(278);
      expect(normal_6_278, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, -0.567175984)));
      final normal_6_279 = mesh_6.normals.elementAt(279);
      expect(normal_6_279, vector3MoreOrLessEquals(Vector3(0.883047998, -0.0474839993, -0.466874987)));
      final normal_6_280 = mesh_6.normals.elementAt(280);
      expect(normal_6_280, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_281 = mesh_6.normals.elementAt(281);
      expect(normal_6_281, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_282 = mesh_6.normals.elementAt(282);
      expect(normal_6_282, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_283 = mesh_6.normals.elementAt(283);
      expect(normal_6_283, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, -0.669538021)));
      final normal_6_284 = mesh_6.normals.elementAt(284);
      expect(normal_6_284, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_285 = mesh_6.normals.elementAt(285);
      expect(normal_6_285, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, -0.167289004)));
      final normal_6_286 = mesh_6.normals.elementAt(286);
      expect(normal_6_286, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_287 = mesh_6.normals.elementAt(287);
      expect(normal_6_287, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, -0.665841997)));
      final normal_6_288 = mesh_6.normals.elementAt(288);
      expect(normal_6_288, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_289 = mesh_6.normals.elementAt(289);
      expect(normal_6_289, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, -0.645761013)));
      final normal_6_290 = mesh_6.normals.elementAt(290);
      expect(normal_6_290, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, -0.669538021)));
      final normal_6_291 = mesh_6.normals.elementAt(291);
      expect(normal_6_291, vector3MoreOrLessEquals(Vector3(0.95045501, -0.0623300001, -0.304551005)));
      final normal_6_292 = mesh_6.normals.elementAt(292);
      expect(normal_6_292, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, -0.116746999)));
      final normal_6_293 = mesh_6.normals.elementAt(293);
      expect(normal_6_293, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, -0.645761013)));
      expect(mesh_6.tangents.length, isZero);
      expect(mesh_6.bitangents.length, isZero);
      expect(mesh_6.colors.length, isZero);
      expect(mesh_6.textureCoords.length, equals(1));
      final textureCoords_6_0 = mesh_6.textureCoords.elementAt(0);
      expect(textureCoords_6_0.length, equals(294));
      final textureCoord_6_0_0 = textureCoords_6_0.elementAt(0);
      expect(textureCoord_6_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_1 = textureCoords_6_0.elementAt(1);
      expect(textureCoord_6_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_2 = textureCoords_6_0.elementAt(2);
      expect(textureCoord_6_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_3 = textureCoords_6_0.elementAt(3);
      expect(textureCoord_6_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_4 = textureCoords_6_0.elementAt(4);
      expect(textureCoord_6_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_5 = textureCoords_6_0.elementAt(5);
      expect(textureCoord_6_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_6 = textureCoords_6_0.elementAt(6);
      expect(textureCoord_6_0_6, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_7 = textureCoords_6_0.elementAt(7);
      expect(textureCoord_6_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_6_0_8 = textureCoords_6_0.elementAt(8);
      expect(textureCoord_6_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_9 = textureCoords_6_0.elementAt(9);
      expect(textureCoord_6_0_9, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_6_0_10 = textureCoords_6_0.elementAt(10);
      expect(textureCoord_6_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_11 = textureCoords_6_0.elementAt(11);
      expect(textureCoord_6_0_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_6_0_12 = textureCoords_6_0.elementAt(12);
      expect(textureCoord_6_0_12, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_13 = textureCoords_6_0.elementAt(13);
      expect(textureCoord_6_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_6_0_14 = textureCoords_6_0.elementAt(14);
      expect(textureCoord_6_0_14, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_6_0_15 = textureCoords_6_0.elementAt(15);
      expect(textureCoord_6_0_15, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_16 = textureCoords_6_0.elementAt(16);
      expect(textureCoord_6_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_6_0_17 = textureCoords_6_0.elementAt(17);
      expect(textureCoord_6_0_17, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_6_0_18 = textureCoords_6_0.elementAt(18);
      expect(textureCoord_6_0_18, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_19 = textureCoords_6_0.elementAt(19);
      expect(textureCoord_6_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_6_0_20 = textureCoords_6_0.elementAt(20);
      expect(textureCoord_6_0_20, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_6_0_21 = textureCoords_6_0.elementAt(21);
      expect(textureCoord_6_0_21, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_6_0_22 = textureCoords_6_0.elementAt(22);
      expect(textureCoord_6_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_23 = textureCoords_6_0.elementAt(23);
      expect(textureCoord_6_0_23, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_6_0_24 = textureCoords_6_0.elementAt(24);
      expect(textureCoord_6_0_24, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_25 = textureCoords_6_0.elementAt(25);
      expect(textureCoord_6_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_6_0_26 = textureCoords_6_0.elementAt(26);
      expect(textureCoord_6_0_26, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_6_0_27 = textureCoords_6_0.elementAt(27);
      expect(textureCoord_6_0_27, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_28 = textureCoords_6_0.elementAt(28);
      expect(textureCoord_6_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_6_0_29 = textureCoords_6_0.elementAt(29);
      expect(textureCoord_6_0_29, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_6_0_30 = textureCoords_6_0.elementAt(30);
      expect(textureCoord_6_0_30, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_31 = textureCoords_6_0.elementAt(31);
      expect(textureCoord_6_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_6_0_32 = textureCoords_6_0.elementAt(32);
      expect(textureCoord_6_0_32, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_6_0_33 = textureCoords_6_0.elementAt(33);
      expect(textureCoord_6_0_33, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_6_0_34 = textureCoords_6_0.elementAt(34);
      expect(textureCoord_6_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_35 = textureCoords_6_0.elementAt(35);
      expect(textureCoord_6_0_35, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_6_0_36 = textureCoords_6_0.elementAt(36);
      expect(textureCoord_6_0_36, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_37 = textureCoords_6_0.elementAt(37);
      expect(textureCoord_6_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_38 = textureCoords_6_0.elementAt(38);
      expect(textureCoord_6_0_38, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_6_0_39 = textureCoords_6_0.elementAt(39);
      expect(textureCoord_6_0_39, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_40 = textureCoords_6_0.elementAt(40);
      expect(textureCoord_6_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_6_0_41 = textureCoords_6_0.elementAt(41);
      expect(textureCoord_6_0_41, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_42 = textureCoords_6_0.elementAt(42);
      expect(textureCoord_6_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_43 = textureCoords_6_0.elementAt(43);
      expect(textureCoord_6_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_44 = textureCoords_6_0.elementAt(44);
      expect(textureCoord_6_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_45 = textureCoords_6_0.elementAt(45);
      expect(textureCoord_6_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_46 = textureCoords_6_0.elementAt(46);
      expect(textureCoord_6_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_47 = textureCoords_6_0.elementAt(47);
      expect(textureCoord_6_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_48 = textureCoords_6_0.elementAt(48);
      expect(textureCoord_6_0_48, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_6_0_49 = textureCoords_6_0.elementAt(49);
      expect(textureCoord_6_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_50 = textureCoords_6_0.elementAt(50);
      expect(textureCoord_6_0_50, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_6_0_51 = textureCoords_6_0.elementAt(51);
      expect(textureCoord_6_0_51, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_6_0_52 = textureCoords_6_0.elementAt(52);
      expect(textureCoord_6_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_6_0_53 = textureCoords_6_0.elementAt(53);
      expect(textureCoord_6_0_53, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_54 = textureCoords_6_0.elementAt(54);
      expect(textureCoord_6_0_54, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_55 = textureCoords_6_0.elementAt(55);
      expect(textureCoord_6_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_6_0_56 = textureCoords_6_0.elementAt(56);
      expect(textureCoord_6_0_56, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_57 = textureCoords_6_0.elementAt(57);
      expect(textureCoord_6_0_57, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_6_0_58 = textureCoords_6_0.elementAt(58);
      expect(textureCoord_6_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_59 = textureCoords_6_0.elementAt(59);
      expect(textureCoord_6_0_59, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_6_0_60 = textureCoords_6_0.elementAt(60);
      expect(textureCoord_6_0_60, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_61 = textureCoords_6_0.elementAt(61);
      expect(textureCoord_6_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_62 = textureCoords_6_0.elementAt(62);
      expect(textureCoord_6_0_62, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_6_0_63 = textureCoords_6_0.elementAt(63);
      expect(textureCoord_6_0_63, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_64 = textureCoords_6_0.elementAt(64);
      expect(textureCoord_6_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_6_0_65 = textureCoords_6_0.elementAt(65);
      expect(textureCoord_6_0_65, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_66 = textureCoords_6_0.elementAt(66);
      expect(textureCoord_6_0_66, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_67 = textureCoords_6_0.elementAt(67);
      expect(textureCoord_6_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_6_0_68 = textureCoords_6_0.elementAt(68);
      expect(textureCoord_6_0_68, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_69 = textureCoords_6_0.elementAt(69);
      expect(textureCoord_6_0_69, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_6_0_70 = textureCoords_6_0.elementAt(70);
      expect(textureCoord_6_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_71 = textureCoords_6_0.elementAt(71);
      expect(textureCoord_6_0_71, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_6_0_72 = textureCoords_6_0.elementAt(72);
      expect(textureCoord_6_0_72, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_73 = textureCoords_6_0.elementAt(73);
      expect(textureCoord_6_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_74 = textureCoords_6_0.elementAt(74);
      expect(textureCoord_6_0_74, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_6_0_75 = textureCoords_6_0.elementAt(75);
      expect(textureCoord_6_0_75, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_76 = textureCoords_6_0.elementAt(76);
      expect(textureCoord_6_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_6_0_77 = textureCoords_6_0.elementAt(77);
      expect(textureCoord_6_0_77, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_78 = textureCoords_6_0.elementAt(78);
      expect(textureCoord_6_0_78, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_6_0_79 = textureCoords_6_0.elementAt(79);
      expect(textureCoord_6_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_6_0_80 = textureCoords_6_0.elementAt(80);
      expect(textureCoord_6_0_80, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_81 = textureCoords_6_0.elementAt(81);
      expect(textureCoord_6_0_81, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_6_0_82 = textureCoords_6_0.elementAt(82);
      expect(textureCoord_6_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_6_0_83 = textureCoords_6_0.elementAt(83);
      expect(textureCoord_6_0_83, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_6_0_84 = textureCoords_6_0.elementAt(84);
      expect(textureCoord_6_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_85 = textureCoords_6_0.elementAt(85);
      expect(textureCoord_6_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_86 = textureCoords_6_0.elementAt(86);
      expect(textureCoord_6_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_87 = textureCoords_6_0.elementAt(87);
      expect(textureCoord_6_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_88 = textureCoords_6_0.elementAt(88);
      expect(textureCoord_6_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_89 = textureCoords_6_0.elementAt(89);
      expect(textureCoord_6_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_90 = textureCoords_6_0.elementAt(90);
      expect(textureCoord_6_0_90, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_91 = textureCoords_6_0.elementAt(91);
      expect(textureCoord_6_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_6_0_92 = textureCoords_6_0.elementAt(92);
      expect(textureCoord_6_0_92, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_6_0_93 = textureCoords_6_0.elementAt(93);
      expect(textureCoord_6_0_93, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_6_0_94 = textureCoords_6_0.elementAt(94);
      expect(textureCoord_6_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_95 = textureCoords_6_0.elementAt(95);
      expect(textureCoord_6_0_95, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_6_0_96 = textureCoords_6_0.elementAt(96);
      expect(textureCoord_6_0_96, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_97 = textureCoords_6_0.elementAt(97);
      expect(textureCoord_6_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_98 = textureCoords_6_0.elementAt(98);
      expect(textureCoord_6_0_98, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_6_0_99 = textureCoords_6_0.elementAt(99);
      expect(textureCoord_6_0_99, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_100 = textureCoords_6_0.elementAt(100);
      expect(textureCoord_6_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_6_0_101 = textureCoords_6_0.elementAt(101);
      expect(textureCoord_6_0_101, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_102 = textureCoords_6_0.elementAt(102);
      expect(textureCoord_6_0_102, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_103 = textureCoords_6_0.elementAt(103);
      expect(textureCoord_6_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_6_0_104 = textureCoords_6_0.elementAt(104);
      expect(textureCoord_6_0_104, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_105 = textureCoords_6_0.elementAt(105);
      expect(textureCoord_6_0_105, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_6_0_106 = textureCoords_6_0.elementAt(106);
      expect(textureCoord_6_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_107 = textureCoords_6_0.elementAt(107);
      expect(textureCoord_6_0_107, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_6_0_108 = textureCoords_6_0.elementAt(108);
      expect(textureCoord_6_0_108, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_109 = textureCoords_6_0.elementAt(109);
      expect(textureCoord_6_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_110 = textureCoords_6_0.elementAt(110);
      expect(textureCoord_6_0_110, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_6_0_111 = textureCoords_6_0.elementAt(111);
      expect(textureCoord_6_0_111, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_112 = textureCoords_6_0.elementAt(112);
      expect(textureCoord_6_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_6_0_113 = textureCoords_6_0.elementAt(113);
      expect(textureCoord_6_0_113, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_114 = textureCoords_6_0.elementAt(114);
      expect(textureCoord_6_0_114, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_115 = textureCoords_6_0.elementAt(115);
      expect(textureCoord_6_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_6_0_116 = textureCoords_6_0.elementAt(116);
      expect(textureCoord_6_0_116, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_117 = textureCoords_6_0.elementAt(117);
      expect(textureCoord_6_0_117, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_6_0_118 = textureCoords_6_0.elementAt(118);
      expect(textureCoord_6_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_119 = textureCoords_6_0.elementAt(119);
      expect(textureCoord_6_0_119, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_6_0_120 = textureCoords_6_0.elementAt(120);
      expect(textureCoord_6_0_120, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_121 = textureCoords_6_0.elementAt(121);
      expect(textureCoord_6_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_6_0_122 = textureCoords_6_0.elementAt(122);
      expect(textureCoord_6_0_122, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_6_0_123 = textureCoords_6_0.elementAt(123);
      expect(textureCoord_6_0_123, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_124 = textureCoords_6_0.elementAt(124);
      expect(textureCoord_6_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_6_0_125 = textureCoords_6_0.elementAt(125);
      expect(textureCoord_6_0_125, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_6_0_126 = textureCoords_6_0.elementAt(126);
      expect(textureCoord_6_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_127 = textureCoords_6_0.elementAt(127);
      expect(textureCoord_6_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_128 = textureCoords_6_0.elementAt(128);
      expect(textureCoord_6_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_129 = textureCoords_6_0.elementAt(129);
      expect(textureCoord_6_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_130 = textureCoords_6_0.elementAt(130);
      expect(textureCoord_6_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_131 = textureCoords_6_0.elementAt(131);
      expect(textureCoord_6_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_132 = textureCoords_6_0.elementAt(132);
      expect(textureCoord_6_0_132, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_6_0_133 = textureCoords_6_0.elementAt(133);
      expect(textureCoord_6_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_134 = textureCoords_6_0.elementAt(134);
      expect(textureCoord_6_0_134, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_6_0_135 = textureCoords_6_0.elementAt(135);
      expect(textureCoord_6_0_135, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_6_0_136 = textureCoords_6_0.elementAt(136);
      expect(textureCoord_6_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_6_0_137 = textureCoords_6_0.elementAt(137);
      expect(textureCoord_6_0_137, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_138 = textureCoords_6_0.elementAt(138);
      expect(textureCoord_6_0_138, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_139 = textureCoords_6_0.elementAt(139);
      expect(textureCoord_6_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_6_0_140 = textureCoords_6_0.elementAt(140);
      expect(textureCoord_6_0_140, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_141 = textureCoords_6_0.elementAt(141);
      expect(textureCoord_6_0_141, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_6_0_142 = textureCoords_6_0.elementAt(142);
      expect(textureCoord_6_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_143 = textureCoords_6_0.elementAt(143);
      expect(textureCoord_6_0_143, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_6_0_144 = textureCoords_6_0.elementAt(144);
      expect(textureCoord_6_0_144, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_145 = textureCoords_6_0.elementAt(145);
      expect(textureCoord_6_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_146 = textureCoords_6_0.elementAt(146);
      expect(textureCoord_6_0_146, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_6_0_147 = textureCoords_6_0.elementAt(147);
      expect(textureCoord_6_0_147, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_148 = textureCoords_6_0.elementAt(148);
      expect(textureCoord_6_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_6_0_149 = textureCoords_6_0.elementAt(149);
      expect(textureCoord_6_0_149, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_150 = textureCoords_6_0.elementAt(150);
      expect(textureCoord_6_0_150, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_151 = textureCoords_6_0.elementAt(151);
      expect(textureCoord_6_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_6_0_152 = textureCoords_6_0.elementAt(152);
      expect(textureCoord_6_0_152, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_153 = textureCoords_6_0.elementAt(153);
      expect(textureCoord_6_0_153, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_6_0_154 = textureCoords_6_0.elementAt(154);
      expect(textureCoord_6_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_155 = textureCoords_6_0.elementAt(155);
      expect(textureCoord_6_0_155, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_6_0_156 = textureCoords_6_0.elementAt(156);
      expect(textureCoord_6_0_156, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_157 = textureCoords_6_0.elementAt(157);
      expect(textureCoord_6_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_158 = textureCoords_6_0.elementAt(158);
      expect(textureCoord_6_0_158, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_6_0_159 = textureCoords_6_0.elementAt(159);
      expect(textureCoord_6_0_159, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_160 = textureCoords_6_0.elementAt(160);
      expect(textureCoord_6_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_6_0_161 = textureCoords_6_0.elementAt(161);
      expect(textureCoord_6_0_161, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_162 = textureCoords_6_0.elementAt(162);
      expect(textureCoord_6_0_162, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_6_0_163 = textureCoords_6_0.elementAt(163);
      expect(textureCoord_6_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_6_0_164 = textureCoords_6_0.elementAt(164);
      expect(textureCoord_6_0_164, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_165 = textureCoords_6_0.elementAt(165);
      expect(textureCoord_6_0_165, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_6_0_166 = textureCoords_6_0.elementAt(166);
      expect(textureCoord_6_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_6_0_167 = textureCoords_6_0.elementAt(167);
      expect(textureCoord_6_0_167, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_6_0_168 = textureCoords_6_0.elementAt(168);
      expect(textureCoord_6_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_169 = textureCoords_6_0.elementAt(169);
      expect(textureCoord_6_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_170 = textureCoords_6_0.elementAt(170);
      expect(textureCoord_6_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_171 = textureCoords_6_0.elementAt(171);
      expect(textureCoord_6_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_172 = textureCoords_6_0.elementAt(172);
      expect(textureCoord_6_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_173 = textureCoords_6_0.elementAt(173);
      expect(textureCoord_6_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_174 = textureCoords_6_0.elementAt(174);
      expect(textureCoord_6_0_174, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_175 = textureCoords_6_0.elementAt(175);
      expect(textureCoord_6_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_6_0_176 = textureCoords_6_0.elementAt(176);
      expect(textureCoord_6_0_176, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_6_0_177 = textureCoords_6_0.elementAt(177);
      expect(textureCoord_6_0_177, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_6_0_178 = textureCoords_6_0.elementAt(178);
      expect(textureCoord_6_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_179 = textureCoords_6_0.elementAt(179);
      expect(textureCoord_6_0_179, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_6_0_180 = textureCoords_6_0.elementAt(180);
      expect(textureCoord_6_0_180, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_181 = textureCoords_6_0.elementAt(181);
      expect(textureCoord_6_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_182 = textureCoords_6_0.elementAt(182);
      expect(textureCoord_6_0_182, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_6_0_183 = textureCoords_6_0.elementAt(183);
      expect(textureCoord_6_0_183, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_184 = textureCoords_6_0.elementAt(184);
      expect(textureCoord_6_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_6_0_185 = textureCoords_6_0.elementAt(185);
      expect(textureCoord_6_0_185, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_186 = textureCoords_6_0.elementAt(186);
      expect(textureCoord_6_0_186, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_187 = textureCoords_6_0.elementAt(187);
      expect(textureCoord_6_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_6_0_188 = textureCoords_6_0.elementAt(188);
      expect(textureCoord_6_0_188, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_189 = textureCoords_6_0.elementAt(189);
      expect(textureCoord_6_0_189, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_6_0_190 = textureCoords_6_0.elementAt(190);
      expect(textureCoord_6_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_191 = textureCoords_6_0.elementAt(191);
      expect(textureCoord_6_0_191, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_6_0_192 = textureCoords_6_0.elementAt(192);
      expect(textureCoord_6_0_192, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_193 = textureCoords_6_0.elementAt(193);
      expect(textureCoord_6_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_194 = textureCoords_6_0.elementAt(194);
      expect(textureCoord_6_0_194, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_6_0_195 = textureCoords_6_0.elementAt(195);
      expect(textureCoord_6_0_195, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_196 = textureCoords_6_0.elementAt(196);
      expect(textureCoord_6_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_6_0_197 = textureCoords_6_0.elementAt(197);
      expect(textureCoord_6_0_197, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_198 = textureCoords_6_0.elementAt(198);
      expect(textureCoord_6_0_198, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_199 = textureCoords_6_0.elementAt(199);
      expect(textureCoord_6_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_6_0_200 = textureCoords_6_0.elementAt(200);
      expect(textureCoord_6_0_200, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_201 = textureCoords_6_0.elementAt(201);
      expect(textureCoord_6_0_201, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_6_0_202 = textureCoords_6_0.elementAt(202);
      expect(textureCoord_6_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_203 = textureCoords_6_0.elementAt(203);
      expect(textureCoord_6_0_203, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_6_0_204 = textureCoords_6_0.elementAt(204);
      expect(textureCoord_6_0_204, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_205 = textureCoords_6_0.elementAt(205);
      expect(textureCoord_6_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_6_0_206 = textureCoords_6_0.elementAt(206);
      expect(textureCoord_6_0_206, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_6_0_207 = textureCoords_6_0.elementAt(207);
      expect(textureCoord_6_0_207, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_208 = textureCoords_6_0.elementAt(208);
      expect(textureCoord_6_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_6_0_209 = textureCoords_6_0.elementAt(209);
      expect(textureCoord_6_0_209, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_6_0_210 = textureCoords_6_0.elementAt(210);
      expect(textureCoord_6_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_211 = textureCoords_6_0.elementAt(211);
      expect(textureCoord_6_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_212 = textureCoords_6_0.elementAt(212);
      expect(textureCoord_6_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_213 = textureCoords_6_0.elementAt(213);
      expect(textureCoord_6_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_214 = textureCoords_6_0.elementAt(214);
      expect(textureCoord_6_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_215 = textureCoords_6_0.elementAt(215);
      expect(textureCoord_6_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_216 = textureCoords_6_0.elementAt(216);
      expect(textureCoord_6_0_216, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_6_0_217 = textureCoords_6_0.elementAt(217);
      expect(textureCoord_6_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_218 = textureCoords_6_0.elementAt(218);
      expect(textureCoord_6_0_218, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_6_0_219 = textureCoords_6_0.elementAt(219);
      expect(textureCoord_6_0_219, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_6_0_220 = textureCoords_6_0.elementAt(220);
      expect(textureCoord_6_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_6_0_221 = textureCoords_6_0.elementAt(221);
      expect(textureCoord_6_0_221, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_222 = textureCoords_6_0.elementAt(222);
      expect(textureCoord_6_0_222, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_223 = textureCoords_6_0.elementAt(223);
      expect(textureCoord_6_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_6_0_224 = textureCoords_6_0.elementAt(224);
      expect(textureCoord_6_0_224, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_225 = textureCoords_6_0.elementAt(225);
      expect(textureCoord_6_0_225, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_6_0_226 = textureCoords_6_0.elementAt(226);
      expect(textureCoord_6_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_227 = textureCoords_6_0.elementAt(227);
      expect(textureCoord_6_0_227, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_6_0_228 = textureCoords_6_0.elementAt(228);
      expect(textureCoord_6_0_228, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_229 = textureCoords_6_0.elementAt(229);
      expect(textureCoord_6_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_230 = textureCoords_6_0.elementAt(230);
      expect(textureCoord_6_0_230, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_6_0_231 = textureCoords_6_0.elementAt(231);
      expect(textureCoord_6_0_231, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_232 = textureCoords_6_0.elementAt(232);
      expect(textureCoord_6_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_6_0_233 = textureCoords_6_0.elementAt(233);
      expect(textureCoord_6_0_233, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_234 = textureCoords_6_0.elementAt(234);
      expect(textureCoord_6_0_234, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_235 = textureCoords_6_0.elementAt(235);
      expect(textureCoord_6_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_6_0_236 = textureCoords_6_0.elementAt(236);
      expect(textureCoord_6_0_236, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_237 = textureCoords_6_0.elementAt(237);
      expect(textureCoord_6_0_237, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_6_0_238 = textureCoords_6_0.elementAt(238);
      expect(textureCoord_6_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_239 = textureCoords_6_0.elementAt(239);
      expect(textureCoord_6_0_239, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_6_0_240 = textureCoords_6_0.elementAt(240);
      expect(textureCoord_6_0_240, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_241 = textureCoords_6_0.elementAt(241);
      expect(textureCoord_6_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_242 = textureCoords_6_0.elementAt(242);
      expect(textureCoord_6_0_242, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_6_0_243 = textureCoords_6_0.elementAt(243);
      expect(textureCoord_6_0_243, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_244 = textureCoords_6_0.elementAt(244);
      expect(textureCoord_6_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_6_0_245 = textureCoords_6_0.elementAt(245);
      expect(textureCoord_6_0_245, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_246 = textureCoords_6_0.elementAt(246);
      expect(textureCoord_6_0_246, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_6_0_247 = textureCoords_6_0.elementAt(247);
      expect(textureCoord_6_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_6_0_248 = textureCoords_6_0.elementAt(248);
      expect(textureCoord_6_0_248, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_249 = textureCoords_6_0.elementAt(249);
      expect(textureCoord_6_0_249, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_6_0_250 = textureCoords_6_0.elementAt(250);
      expect(textureCoord_6_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_6_0_251 = textureCoords_6_0.elementAt(251);
      expect(textureCoord_6_0_251, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_6_0_252 = textureCoords_6_0.elementAt(252);
      expect(textureCoord_6_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_253 = textureCoords_6_0.elementAt(253);
      expect(textureCoord_6_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_254 = textureCoords_6_0.elementAt(254);
      expect(textureCoord_6_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_255 = textureCoords_6_0.elementAt(255);
      expect(textureCoord_6_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_256 = textureCoords_6_0.elementAt(256);
      expect(textureCoord_6_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_257 = textureCoords_6_0.elementAt(257);
      expect(textureCoord_6_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_6_0_258 = textureCoords_6_0.elementAt(258);
      expect(textureCoord_6_0_258, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_6_0_259 = textureCoords_6_0.elementAt(259);
      expect(textureCoord_6_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_6_0_260 = textureCoords_6_0.elementAt(260);
      expect(textureCoord_6_0_260, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_6_0_261 = textureCoords_6_0.elementAt(261);
      expect(textureCoord_6_0_261, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_6_0_262 = textureCoords_6_0.elementAt(262);
      expect(textureCoord_6_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_6_0_263 = textureCoords_6_0.elementAt(263);
      expect(textureCoord_6_0_263, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_6_0_264 = textureCoords_6_0.elementAt(264);
      expect(textureCoord_6_0_264, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_6_0_265 = textureCoords_6_0.elementAt(265);
      expect(textureCoord_6_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_266 = textureCoords_6_0.elementAt(266);
      expect(textureCoord_6_0_266, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_6_0_267 = textureCoords_6_0.elementAt(267);
      expect(textureCoord_6_0_267, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_6_0_268 = textureCoords_6_0.elementAt(268);
      expect(textureCoord_6_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_6_0_269 = textureCoords_6_0.elementAt(269);
      expect(textureCoord_6_0_269, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_270 = textureCoords_6_0.elementAt(270);
      expect(textureCoord_6_0_270, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_6_0_271 = textureCoords_6_0.elementAt(271);
      expect(textureCoord_6_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_6_0_272 = textureCoords_6_0.elementAt(272);
      expect(textureCoord_6_0_272, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_273 = textureCoords_6_0.elementAt(273);
      expect(textureCoord_6_0_273, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_6_0_274 = textureCoords_6_0.elementAt(274);
      expect(textureCoord_6_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_6_0_275 = textureCoords_6_0.elementAt(275);
      expect(textureCoord_6_0_275, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_6_0_276 = textureCoords_6_0.elementAt(276);
      expect(textureCoord_6_0_276, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_6_0_277 = textureCoords_6_0.elementAt(277);
      expect(textureCoord_6_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_278 = textureCoords_6_0.elementAt(278);
      expect(textureCoord_6_0_278, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_6_0_279 = textureCoords_6_0.elementAt(279);
      expect(textureCoord_6_0_279, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_6_0_280 = textureCoords_6_0.elementAt(280);
      expect(textureCoord_6_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_6_0_281 = textureCoords_6_0.elementAt(281);
      expect(textureCoord_6_0_281, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_282 = textureCoords_6_0.elementAt(282);
      expect(textureCoord_6_0_282, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_6_0_283 = textureCoords_6_0.elementAt(283);
      expect(textureCoord_6_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_6_0_284 = textureCoords_6_0.elementAt(284);
      expect(textureCoord_6_0_284, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_285 = textureCoords_6_0.elementAt(285);
      expect(textureCoord_6_0_285, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_6_0_286 = textureCoords_6_0.elementAt(286);
      expect(textureCoord_6_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_6_0_287 = textureCoords_6_0.elementAt(287);
      expect(textureCoord_6_0_287, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_6_0_288 = textureCoords_6_0.elementAt(288);
      expect(textureCoord_6_0_288, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_6_0_289 = textureCoords_6_0.elementAt(289);
      expect(textureCoord_6_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_6_0_290 = textureCoords_6_0.elementAt(290);
      expect(textureCoord_6_0_290, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_6_0_291 = textureCoords_6_0.elementAt(291);
      expect(textureCoord_6_0_291, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_6_0_292 = textureCoords_6_0.elementAt(292);
      expect(textureCoord_6_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_6_0_293 = textureCoords_6_0.elementAt(293);
      expect(textureCoord_6_0_293, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      expect(mesh_6.uvComponents.length, equals(1));
      expect(mesh_6.uvComponents, equals([2]));
      expect(mesh_6.faces.length, equals(98));
      expect(mesh_6.bones.length, isZero);
      expect(mesh_6.materialIndex, equals(4));
      expect(mesh_6.name, equals('Bein3Re'));
      expect(mesh_6.animMeshes.length, isZero);
      expect(mesh_6.morphingMethod, isZero);
      expect(mesh_6.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_7 = meshes.elementAt(7);
      expect(mesh_7.primitiveTypes, equals(4));
      expect(mesh_7.vertices.length, equals(294));
      final vertex_7_0 = mesh_7.vertices.elementAt(0);
      expect(vertex_7_0, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -15.1865387)));
      final vertex_7_1 = mesh_7.vertices.elementAt(1);
      expect(vertex_7_1, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -14.1124763)));
      final vertex_7_2 = mesh_7.vertices.elementAt(2);
      expect(vertex_7_2, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_3 = mesh_7.vertices.elementAt(3);
      expect(vertex_7_3, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, -106.19825)));
      final vertex_7_4 = mesh_7.vertices.elementAt(4);
      expect(vertex_7_4, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_5 = mesh_7.vertices.elementAt(5);
      expect(vertex_7_5, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, -106.510231)));
      final vertex_7_6 = mesh_7.vertices.elementAt(6);
      expect(vertex_7_6, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -15.1865387)));
      final vertex_7_7 = mesh_7.vertices.elementAt(7);
      expect(vertex_7_7, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_8 = mesh_7.vertices.elementAt(8);
      expect(vertex_7_8, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_9 = mesh_7.vertices.elementAt(9);
      expect(vertex_7_9, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -15.1865387)));
      final vertex_7_10 = mesh_7.vertices.elementAt(10);
      expect(vertex_7_10, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_11 = mesh_7.vertices.elementAt(11);
      expect(vertex_7_11, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -14.1124763)));
      final vertex_7_12 = mesh_7.vertices.elementAt(12);
      expect(vertex_7_12, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_13 = mesh_7.vertices.elementAt(13);
      expect(vertex_7_13, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_14 = mesh_7.vertices.elementAt(14);
      expect(vertex_7_14, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_15 = mesh_7.vertices.elementAt(15);
      expect(vertex_7_15, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_16 = mesh_7.vertices.elementAt(16);
      expect(vertex_7_16, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, -46.211853)));
      final vertex_7_17 = mesh_7.vertices.elementAt(17);
      expect(vertex_7_17, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_18 = mesh_7.vertices.elementAt(18);
      expect(vertex_7_18, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_19 = mesh_7.vertices.elementAt(19);
      expect(vertex_7_19, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_20 = mesh_7.vertices.elementAt(20);
      expect(vertex_7_20, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_21 = mesh_7.vertices.elementAt(21);
      expect(vertex_7_21, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_22 = mesh_7.vertices.elementAt(22);
      expect(vertex_7_22, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_23 = mesh_7.vertices.elementAt(23);
      expect(vertex_7_23, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, -46.211853)));
      final vertex_7_24 = mesh_7.vertices.elementAt(24);
      expect(vertex_7_24, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_25 = mesh_7.vertices.elementAt(25);
      expect(vertex_7_25, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_26 = mesh_7.vertices.elementAt(26);
      expect(vertex_7_26, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_27 = mesh_7.vertices.elementAt(27);
      expect(vertex_7_27, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_28 = mesh_7.vertices.elementAt(28);
      expect(vertex_7_28, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, -77.0357132)));
      final vertex_7_29 = mesh_7.vertices.elementAt(29);
      expect(vertex_7_29, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_30 = mesh_7.vertices.elementAt(30);
      expect(vertex_7_30, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_31 = mesh_7.vertices.elementAt(31);
      expect(vertex_7_31, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      final vertex_7_32 = mesh_7.vertices.elementAt(32);
      expect(vertex_7_32, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_33 = mesh_7.vertices.elementAt(33);
      expect(vertex_7_33, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_34 = mesh_7.vertices.elementAt(34);
      expect(vertex_7_34, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_35 = mesh_7.vertices.elementAt(35);
      expect(vertex_7_35, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, -77.0357132)));
      final vertex_7_36 = mesh_7.vertices.elementAt(36);
      expect(vertex_7_36, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      final vertex_7_37 = mesh_7.vertices.elementAt(37);
      expect(vertex_7_37, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, -106.19825)));
      final vertex_7_38 = mesh_7.vertices.elementAt(38);
      expect(vertex_7_38, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_39 = mesh_7.vertices.elementAt(39);
      expect(vertex_7_39, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, -106.19825)));
      final vertex_7_40 = mesh_7.vertices.elementAt(40);
      expect(vertex_7_40, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, -106.510231)));
      final vertex_7_41 = mesh_7.vertices.elementAt(41);
      expect(vertex_7_41, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_42 = mesh_7.vertices.elementAt(42);
      expect(vertex_7_42, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -14.1124763)));
      final vertex_7_43 = mesh_7.vertices.elementAt(43);
      expect(vertex_7_43, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_44 = mesh_7.vertices.elementAt(44);
      expect(vertex_7_44, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_45 = mesh_7.vertices.elementAt(45);
      expect(vertex_7_45, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, -106.510231)));
      final vertex_7_46 = mesh_7.vertices.elementAt(46);
      expect(vertex_7_46, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_47 = mesh_7.vertices.elementAt(47);
      expect(vertex_7_47, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_48 = mesh_7.vertices.elementAt(48);
      expect(vertex_7_48, vector3MoreOrLessEquals(Vector3(-26.4664001, -2.24616098, -14.1124763)));
      final vertex_7_49 = mesh_7.vertices.elementAt(49);
      expect(vertex_7_49, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_50 = mesh_7.vertices.elementAt(50);
      expect(vertex_7_50, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_51 = mesh_7.vertices.elementAt(51);
      expect(vertex_7_51, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_52 = mesh_7.vertices.elementAt(52);
      expect(vertex_7_52, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, -31.3467102)));
      final vertex_7_53 = mesh_7.vertices.elementAt(53);
      expect(vertex_7_53, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_54 = mesh_7.vertices.elementAt(54);
      expect(vertex_7_54, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_55 = mesh_7.vertices.elementAt(55);
      expect(vertex_7_55, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, -46.211853)));
      final vertex_7_56 = mesh_7.vertices.elementAt(56);
      expect(vertex_7_56, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_57 = mesh_7.vertices.elementAt(57);
      expect(vertex_7_57, vector3MoreOrLessEquals(Vector3(-16.2583504, 8.70438766, -31.1760101)));
      final vertex_7_58 = mesh_7.vertices.elementAt(58);
      expect(vertex_7_58, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_59 = mesh_7.vertices.elementAt(59);
      expect(vertex_7_59, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, -31.3467102)));
      final vertex_7_60 = mesh_7.vertices.elementAt(60);
      expect(vertex_7_60, vector3MoreOrLessEquals(Vector3(-13.1524906, 29.5003433, -46.211853)));
      final vertex_7_61 = mesh_7.vertices.elementAt(61);
      expect(vertex_7_61, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_62 = mesh_7.vertices.elementAt(62);
      expect(vertex_7_62, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_63 = mesh_7.vertices.elementAt(63);
      expect(vertex_7_63, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_64 = mesh_7.vertices.elementAt(64);
      expect(vertex_7_64, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, -51.826561)));
      final vertex_7_65 = mesh_7.vertices.elementAt(65);
      expect(vertex_7_65, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_66 = mesh_7.vertices.elementAt(66);
      expect(vertex_7_66, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_67 = mesh_7.vertices.elementAt(67);
      expect(vertex_7_67, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, -77.0357132)));
      final vertex_7_68 = mesh_7.vertices.elementAt(68);
      expect(vertex_7_68, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_69 = mesh_7.vertices.elementAt(69);
      expect(vertex_7_69, vector3MoreOrLessEquals(Vector3(-11.2649651, 29.207901, -50.9927673)));
      final vertex_7_70 = mesh_7.vertices.elementAt(70);
      expect(vertex_7_70, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_71 = mesh_7.vertices.elementAt(71);
      expect(vertex_7_71, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, -51.826561)));
      final vertex_7_72 = mesh_7.vertices.elementAt(72);
      expect(vertex_7_72, vector3MoreOrLessEquals(Vector3(-1.51469803, 14.1058426, -77.0357132)));
      final vertex_7_73 = mesh_7.vertices.elementAt(73);
      expect(vertex_7_73, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_74 = mesh_7.vertices.elementAt(74);
      expect(vertex_7_74, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_75 = mesh_7.vertices.elementAt(75);
      expect(vertex_7_75, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_76 = mesh_7.vertices.elementAt(76);
      expect(vertex_7_76, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, -101.251015)));
      final vertex_7_77 = mesh_7.vertices.elementAt(77);
      expect(vertex_7_77, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_78 = mesh_7.vertices.elementAt(78);
      expect(vertex_7_78, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_79 = mesh_7.vertices.elementAt(79);
      expect(vertex_7_79, vector3MoreOrLessEquals(Vector3(5.0391078, -39.4551468, -106.510231)));
      final vertex_7_80 = mesh_7.vertices.elementAt(80);
      expect(vertex_7_80, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_81 = mesh_7.vertices.elementAt(81);
      expect(vertex_7_81, vector3MoreOrLessEquals(Vector3(3.38556695, -29.8435211, -100.767952)));
      final vertex_7_82 = mesh_7.vertices.elementAt(82);
      expect(vertex_7_82, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_83 = mesh_7.vertices.elementAt(83);
      expect(vertex_7_83, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, -101.251015)));
      final vertex_7_84 = mesh_7.vertices.elementAt(84);
      expect(vertex_7_84, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_85 = mesh_7.vertices.elementAt(85);
      expect(vertex_7_85, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -19.0985603)));
      final vertex_7_86 = mesh_7.vertices.elementAt(86);
      expect(vertex_7_86, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_87 = mesh_7.vertices.elementAt(87);
      expect(vertex_7_87, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_88 = mesh_7.vertices.elementAt(88);
      expect(vertex_7_88, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_89 = mesh_7.vertices.elementAt(89);
      expect(vertex_7_89, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7477417, -106.604866)));
      final vertex_7_90 = mesh_7.vertices.elementAt(90);
      expect(vertex_7_90, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_91 = mesh_7.vertices.elementAt(91);
      expect(vertex_7_91, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, -31.3467102)));
      final vertex_7_92 = mesh_7.vertices.elementAt(92);
      expect(vertex_7_92, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_93 = mesh_7.vertices.elementAt(93);
      expect(vertex_7_93, vector3MoreOrLessEquals(Vector3(-29.430336, -1.92131603, -15.8534508)));
      final vertex_7_94 = mesh_7.vertices.elementAt(94);
      expect(vertex_7_94, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_95 = mesh_7.vertices.elementAt(95);
      expect(vertex_7_95, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -19.0985603)));
      final vertex_7_96 = mesh_7.vertices.elementAt(96);
      expect(vertex_7_96, vector3MoreOrLessEquals(Vector3(-18.5514107, 8.96432495, -31.3467102)));
      final vertex_7_97 = mesh_7.vertices.elementAt(97);
      expect(vertex_7_97, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_98 = mesh_7.vertices.elementAt(98);
      expect(vertex_7_98, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_99 = mesh_7.vertices.elementAt(99);
      expect(vertex_7_99, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_100 = mesh_7.vertices.elementAt(100);
      expect(vertex_7_100, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, -46.9644775)));
      final vertex_7_101 = mesh_7.vertices.elementAt(101);
      expect(vertex_7_101, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_102 = mesh_7.vertices.elementAt(102);
      expect(vertex_7_102, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_103 = mesh_7.vertices.elementAt(103);
      expect(vertex_7_103, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, -51.826561)));
      final vertex_7_104 = mesh_7.vertices.elementAt(104);
      expect(vertex_7_104, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_105 = mesh_7.vertices.elementAt(105);
      expect(vertex_7_105, vector3MoreOrLessEquals(Vector3(-14.509346, 29.8274612, -46.4584122)));
      final vertex_7_106 = mesh_7.vertices.elementAt(106);
      expect(vertex_7_106, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_107 = mesh_7.vertices.elementAt(107);
      expect(vertex_7_107, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, -46.9644775)));
      final vertex_7_108 = mesh_7.vertices.elementAt(108);
      expect(vertex_7_108, vector3MoreOrLessEquals(Vector3(-13.3946419, 29.5602112, -51.826561)));
      final vertex_7_109 = mesh_7.vertices.elementAt(109);
      expect(vertex_7_109, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_110 = mesh_7.vertices.elementAt(110);
      expect(vertex_7_110, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_111 = mesh_7.vertices.elementAt(111);
      expect(vertex_7_111, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_112 = mesh_7.vertices.elementAt(112);
      expect(vertex_7_112, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, -77.1753159)));
      final vertex_7_113 = mesh_7.vertices.elementAt(113);
      expect(vertex_7_113, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_114 = mesh_7.vertices.elementAt(114);
      expect(vertex_7_114, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_115 = mesh_7.vertices.elementAt(115);
      expect(vertex_7_115, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, -101.251015)));
      final vertex_7_116 = mesh_7.vertices.elementAt(116);
      expect(vertex_7_116, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_117 = mesh_7.vertices.elementAt(117);
      expect(vertex_7_117, vector3MoreOrLessEquals(Vector3(-3.58909392, 14.2065201, -78.0562668)));
      final vertex_7_118 = mesh_7.vertices.elementAt(118);
      expect(vertex_7_118, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_119 = mesh_7.vertices.elementAt(119);
      expect(vertex_7_119, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, -77.1753159)));
      final vertex_7_120 = mesh_7.vertices.elementAt(120);
      expect(vertex_7_120, vector3MoreOrLessEquals(Vector3(2.44500113, -29.5186081, -101.251015)));
      final vertex_7_121 = mesh_7.vertices.elementAt(121);
      expect(vertex_7_121, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_122 = mesh_7.vertices.elementAt(122);
      expect(vertex_7_122, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_123 = mesh_7.vertices.elementAt(123);
      expect(vertex_7_123, vector3MoreOrLessEquals(Vector3(4.58776474, -39.3502312, -106.6912)));
      final vertex_7_124 = mesh_7.vertices.elementAt(124);
      expect(vertex_7_124, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7477417, -106.604866)));
      final vertex_7_125 = mesh_7.vertices.elementAt(125);
      expect(vertex_7_125, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_126 = mesh_7.vertices.elementAt(126);
      expect(vertex_7_126, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -19.0985603)));
      final vertex_7_127 = mesh_7.vertices.elementAt(127);
      expect(vertex_7_127, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_128 = mesh_7.vertices.elementAt(128);
      expect(vertex_7_128, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_129 = mesh_7.vertices.elementAt(129);
      expect(vertex_7_129, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7477417, -106.604866)));
      final vertex_7_130 = mesh_7.vertices.elementAt(130);
      expect(vertex_7_130, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_131 = mesh_7.vertices.elementAt(131);
      expect(vertex_7_131, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_132 = mesh_7.vertices.elementAt(132);
      expect(vertex_7_132, vector3MoreOrLessEquals(Vector3(-30.1543274, -2.74296999, -19.0985603)));
      final vertex_7_133 = mesh_7.vertices.elementAt(133);
      expect(vertex_7_133, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_134 = mesh_7.vertices.elementAt(134);
      expect(vertex_7_134, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_135 = mesh_7.vertices.elementAt(135);
      expect(vertex_7_135, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_136 = mesh_7.vertices.elementAt(136);
      expect(vertex_7_136, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, -34.5472107)));
      final vertex_7_137 = mesh_7.vertices.elementAt(137);
      expect(vertex_7_137, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_138 = mesh_7.vertices.elementAt(138);
      expect(vertex_7_138, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_139 = mesh_7.vertices.elementAt(139);
      expect(vertex_7_139, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, -46.9644775)));
      final vertex_7_140 = mesh_7.vertices.elementAt(140);
      expect(vertex_7_140, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_141 = mesh_7.vertices.elementAt(141);
      expect(vertex_7_141, vector3MoreOrLessEquals(Vector3(-20.0080605, 7.97335196, -32.8470345)));
      final vertex_7_142 = mesh_7.vertices.elementAt(142);
      expect(vertex_7_142, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_143 = mesh_7.vertices.elementAt(143);
      expect(vertex_7_143, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, -34.5472107)));
      final vertex_7_144 = mesh_7.vertices.elementAt(144);
      expect(vertex_7_144, vector3MoreOrLessEquals(Vector3(-15.4754639, 28.7520142, -46.9644775)));
      final vertex_7_145 = mesh_7.vertices.elementAt(145);
      expect(vertex_7_145, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_146 = mesh_7.vertices.elementAt(146);
      expect(vertex_7_146, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_147 = mesh_7.vertices.elementAt(147);
      expect(vertex_7_147, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_148 = mesh_7.vertices.elementAt(148);
      expect(vertex_7_148, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, -50.1895142)));
      final vertex_7_149 = mesh_7.vertices.elementAt(149);
      expect(vertex_7_149, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_150 = mesh_7.vertices.elementAt(150);
      expect(vertex_7_150, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_151 = mesh_7.vertices.elementAt(151);
      expect(vertex_7_151, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, -77.1753159)));
      final vertex_7_152 = mesh_7.vertices.elementAt(152);
      expect(vertex_7_152, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_153 = mesh_7.vertices.elementAt(153);
      expect(vertex_7_153, vector3MoreOrLessEquals(Vector3(-15.3090458, 28.3104019, -51.4690781)));
      final vertex_7_154 = mesh_7.vertices.elementAt(154);
      expect(vertex_7_154, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_155 = mesh_7.vertices.elementAt(155);
      expect(vertex_7_155, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, -50.1895142)));
      final vertex_7_156 = mesh_7.vertices.elementAt(156);
      expect(vertex_7_156, vector3MoreOrLessEquals(Vector3(-5.65841675, 13.6617985, -77.1753159)));
      final vertex_7_157 = mesh_7.vertices.elementAt(157);
      expect(vertex_7_157, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_158 = mesh_7.vertices.elementAt(158);
      expect(vertex_7_158, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_159 = mesh_7.vertices.elementAt(159);
      expect(vertex_7_159, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_160 = mesh_7.vertices.elementAt(160);
      expect(vertex_7_160, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, -99.73629)));
      final vertex_7_161 = mesh_7.vertices.elementAt(161);
      expect(vertex_7_161, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_162 = mesh_7.vertices.elementAt(162);
      expect(vertex_7_162, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_163 = mesh_7.vertices.elementAt(163);
      expect(vertex_7_163, vector3MoreOrLessEquals(Vector3(4.19709015, -39.7477417, -106.604866)));
      final vertex_7_164 = mesh_7.vertices.elementAt(164);
      expect(vertex_7_164, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_165 = mesh_7.vertices.elementAt(165);
      expect(vertex_7_165, vector3MoreOrLessEquals(Vector3(1.56249309, -30.6490288, -100.791862)));
      final vertex_7_166 = mesh_7.vertices.elementAt(166);
      expect(vertex_7_166, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_167 = mesh_7.vertices.elementAt(167);
      expect(vertex_7_167, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, -99.73629)));
      final vertex_7_168 = mesh_7.vertices.elementAt(168);
      expect(vertex_7_168, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_169 = mesh_7.vertices.elementAt(169);
      expect(vertex_7_169, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, -21.0339584)));
      final vertex_7_170 = mesh_7.vertices.elementAt(170);
      expect(vertex_7_170, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_171 = mesh_7.vertices.elementAt(171);
      expect(vertex_7_171, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_172 = mesh_7.vertices.elementAt(172);
      expect(vertex_7_172, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_173 = mesh_7.vertices.elementAt(173);
      expect(vertex_7_173, vector3MoreOrLessEquals(Vector3(4.50732422, -40.6998367, -106.042763)));
      final vertex_7_174 = mesh_7.vertices.elementAt(174);
      expect(vertex_7_174, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_175 = mesh_7.vertices.elementAt(175);
      expect(vertex_7_175, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, -34.5472107)));
      final vertex_7_176 = mesh_7.vertices.elementAt(176);
      expect(vertex_7_176, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_177 = mesh_7.vertices.elementAt(177);
      expect(vertex_7_177, vector3MoreOrLessEquals(Vector3(-28.0932732, -4.09240198, -21.4040833)));
      final vertex_7_178 = mesh_7.vertices.elementAt(178);
      expect(vertex_7_178, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_179 = mesh_7.vertices.elementAt(179);
      expect(vertex_7_179, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, -21.0339584)));
      final vertex_7_180 = mesh_7.vertices.elementAt(180);
      expect(vertex_7_180, vector3MoreOrLessEquals(Vector3(-19.5314217, 6.4776969, -34.5472107)));
      final vertex_7_181 = mesh_7.vertices.elementAt(181);
      expect(vertex_7_181, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_182 = mesh_7.vertices.elementAt(182);
      expect(vertex_7_182, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_183 = mesh_7.vertices.elementAt(183);
      expect(vertex_7_183, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_184 = mesh_7.vertices.elementAt(184);
      expect(vertex_7_184, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, -47.3223038)));
      final vertex_7_185 = mesh_7.vertices.elementAt(185);
      expect(vertex_7_185, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_186 = mesh_7.vertices.elementAt(186);
      expect(vertex_7_186, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_187 = mesh_7.vertices.elementAt(187);
      expect(vertex_7_187, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, -50.1895142)));
      final vertex_7_188 = mesh_7.vertices.elementAt(188);
      expect(vertex_7_188, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_189 = mesh_7.vertices.elementAt(189);
      expect(vertex_7_189, vector3MoreOrLessEquals(Vector3(-15.3233566, 27.0838242, -47.3489456)));
      final vertex_7_190 = mesh_7.vertices.elementAt(190);
      expect(vertex_7_190, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_191 = mesh_7.vertices.elementAt(191);
      expect(vertex_7_191, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, -47.3223038)));
      final vertex_7_192 = mesh_7.vertices.elementAt(192);
      expect(vertex_7_192, vector3MoreOrLessEquals(Vector3(-15.566597, 26.3995667, -50.1895142)));
      final vertex_7_193 = mesh_7.vertices.elementAt(193);
      expect(vertex_7_193, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_194 = mesh_7.vertices.elementAt(194);
      expect(vertex_7_194, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_195 = mesh_7.vertices.elementAt(195);
      expect(vertex_7_195, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_196 = mesh_7.vertices.elementAt(196);
      expect(vertex_7_196, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, -73.2947159)));
      final vertex_7_197 = mesh_7.vertices.elementAt(197);
      expect(vertex_7_197, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_198 = mesh_7.vertices.elementAt(198);
      expect(vertex_7_198, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_199 = mesh_7.vertices.elementAt(199);
      expect(vertex_7_199, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, -99.73629)));
      final vertex_7_200 = mesh_7.vertices.elementAt(200);
      expect(vertex_7_200, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_201 = mesh_7.vertices.elementAt(201);
      expect(vertex_7_201, vector3MoreOrLessEquals(Vector3(-6.16438723, 12.8818302, -75.0562515)));
      final vertex_7_202 = mesh_7.vertices.elementAt(202);
      expect(vertex_7_202, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_203 = mesh_7.vertices.elementAt(203);
      expect(vertex_7_203, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, -73.2947159)));
      final vertex_7_204 = mesh_7.vertices.elementAt(204);
      expect(vertex_7_204, vector3MoreOrLessEquals(Vector3(1.40261507, -32.383606, -99.73629)));
      final vertex_7_205 = mesh_7.vertices.elementAt(205);
      expect(vertex_7_205, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_206 = mesh_7.vertices.elementAt(206);
      expect(vertex_7_206, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_207 = mesh_7.vertices.elementAt(207);
      expect(vertex_7_207, vector3MoreOrLessEquals(Vector3(4.16130781, -40.3483849, -106.316307)));
      final vertex_7_208 = mesh_7.vertices.elementAt(208);
      expect(vertex_7_208, vector3MoreOrLessEquals(Vector3(4.50732422, -40.6998367, -106.042763)));
      final vertex_7_209 = mesh_7.vertices.elementAt(209);
      expect(vertex_7_209, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_210 = mesh_7.vertices.elementAt(210);
      expect(vertex_7_210, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, -21.0339584)));
      final vertex_7_211 = mesh_7.vertices.elementAt(211);
      expect(vertex_7_211, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_212 = mesh_7.vertices.elementAt(212);
      expect(vertex_7_212, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_213 = mesh_7.vertices.elementAt(213);
      expect(vertex_7_213, vector3MoreOrLessEquals(Vector3(4.50732422, -40.6998367, -106.042763)));
      final vertex_7_214 = mesh_7.vertices.elementAt(214);
      expect(vertex_7_214, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_215 = mesh_7.vertices.elementAt(215);
      expect(vertex_7_215, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_216 = mesh_7.vertices.elementAt(216);
      expect(vertex_7_216, vector3MoreOrLessEquals(Vector3(-24.7991104, -4.95347214, -21.0339584)));
      final vertex_7_217 = mesh_7.vertices.elementAt(217);
      expect(vertex_7_217, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_218 = mesh_7.vertices.elementAt(218);
      expect(vertex_7_218, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_219 = mesh_7.vertices.elementAt(219);
      expect(vertex_7_219, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_220 = mesh_7.vertices.elementAt(220);
      expect(vertex_7_220, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, -34.239624)));
      final vertex_7_221 = mesh_7.vertices.elementAt(221);
      expect(vertex_7_221, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_222 = mesh_7.vertices.elementAt(222);
      expect(vertex_7_222, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_223 = mesh_7.vertices.elementAt(223);
      expect(vertex_7_223, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, -47.3223038)));
      final vertex_7_224 = mesh_7.vertices.elementAt(224);
      expect(vertex_7_224, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_225 = mesh_7.vertices.elementAt(225);
      expect(vertex_7_225, vector3MoreOrLessEquals(Vector3(-17.4803963, 5.6035862, -35.1669617)));
      final vertex_7_226 = mesh_7.vertices.elementAt(226);
      expect(vertex_7_226, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_227 = mesh_7.vertices.elementAt(227);
      expect(vertex_7_227, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, -34.239624)));
      final vertex_7_228 = mesh_7.vertices.elementAt(228);
      expect(vertex_7_228, vector3MoreOrLessEquals(Vector3(-14.1675682, 26.079071, -47.3223038)));
      final vertex_7_229 = mesh_7.vertices.elementAt(229);
      expect(vertex_7_229, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_230 = mesh_7.vertices.elementAt(230);
      expect(vertex_7_230, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_231 = mesh_7.vertices.elementAt(231);
      expect(vertex_7_231, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_232 = mesh_7.vertices.elementAt(232);
      expect(vertex_7_232, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, -48.6871338)));
      final vertex_7_233 = mesh_7.vertices.elementAt(233);
      expect(vertex_7_233, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_234 = mesh_7.vertices.elementAt(234);
      expect(vertex_7_234, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_235 = mesh_7.vertices.elementAt(235);
      expect(vertex_7_235, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, -73.2947159)));
      final vertex_7_236 = mesh_7.vertices.elementAt(236);
      expect(vertex_7_236, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_237 = mesh_7.vertices.elementAt(237);
      expect(vertex_7_237, vector3MoreOrLessEquals(Vector3(-13.9733467, 25.2666473, -48.951416)));
      final vertex_7_238 = mesh_7.vertices.elementAt(238);
      expect(vertex_7_238, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_239 = mesh_7.vertices.elementAt(239);
      expect(vertex_7_239, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, -48.6871338)));
      final vertex_7_240 = mesh_7.vertices.elementAt(240);
      expect(vertex_7_240, vector3MoreOrLessEquals(Vector3(-4.72602701, 12.4539509, -73.2947159)));
      final vertex_7_241 = mesh_7.vertices.elementAt(241);
      expect(vertex_7_241, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_242 = mesh_7.vertices.elementAt(242);
      expect(vertex_7_242, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_243 = mesh_7.vertices.elementAt(243);
      expect(vertex_7_243, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_244 = mesh_7.vertices.elementAt(244);
      expect(vertex_7_244, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, -98.8658829)));
      final vertex_7_245 = mesh_7.vertices.elementAt(245);
      expect(vertex_7_245, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_246 = mesh_7.vertices.elementAt(246);
      expect(vertex_7_246, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_247 = mesh_7.vertices.elementAt(247);
      expect(vertex_7_247, vector3MoreOrLessEquals(Vector3(4.50732422, -40.6998367, -106.042763)));
      final vertex_7_248 = mesh_7.vertices.elementAt(248);
      expect(vertex_7_248, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_249 = mesh_7.vertices.elementAt(249);
      expect(vertex_7_249, vector3MoreOrLessEquals(Vector3(2.08576488, -33.4161797, -98.8791428)));
      final vertex_7_250 = mesh_7.vertices.elementAt(250);
      expect(vertex_7_250, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_251 = mesh_7.vertices.elementAt(251);
      expect(vertex_7_251, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, -98.8658829)));
      final vertex_7_252 = mesh_7.vertices.elementAt(252);
      expect(vertex_7_252, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_253 = mesh_7.vertices.elementAt(253);
      expect(vertex_7_253, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -15.1865387)));
      final vertex_7_254 = mesh_7.vertices.elementAt(254);
      expect(vertex_7_254, vector3MoreOrLessEquals(Vector3(-26.4557762, -3.44383812, -17.8508606)));
      final vertex_7_255 = mesh_7.vertices.elementAt(255);
      expect(vertex_7_255, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_256 = mesh_7.vertices.elementAt(256);
      expect(vertex_7_256, vector3MoreOrLessEquals(Vector3(4.66833878, -40.0174751, -106.33622)));
      final vertex_7_257 = mesh_7.vertices.elementAt(257);
      expect(vertex_7_257, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, -106.19825)));
      final vertex_7_258 = mesh_7.vertices.elementAt(258);
      expect(vertex_7_258, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_259 = mesh_7.vertices.elementAt(259);
      expect(vertex_7_259, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, -34.239624)));
      final vertex_7_260 = mesh_7.vertices.elementAt(260);
      expect(vertex_7_260, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_261 = mesh_7.vertices.elementAt(261);
      expect(vertex_7_261, vector3MoreOrLessEquals(Vector3(-22.7524681, -4.67775917, -18.26688)));
      final vertex_7_262 = mesh_7.vertices.elementAt(262);
      expect(vertex_7_262, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_263 = mesh_7.vertices.elementAt(263);
      expect(vertex_7_263, vector3MoreOrLessEquals(Vector3(-23.4944839, -3.47288704, -15.1865387)));
      final vertex_7_264 = mesh_7.vertices.elementAt(264);
      expect(vertex_7_264, vector3MoreOrLessEquals(Vector3(-15.3994484, 6.00927687, -34.239624)));
      final vertex_7_265 = mesh_7.vertices.elementAt(265);
      expect(vertex_7_265, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_266 = mesh_7.vertices.elementAt(266);
      expect(vertex_7_266, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_267 = mesh_7.vertices.elementAt(267);
      expect(vertex_7_267, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_268 = mesh_7.vertices.elementAt(268);
      expect(vertex_7_268, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_269 = mesh_7.vertices.elementAt(269);
      expect(vertex_7_269, vector3MoreOrLessEquals(Vector3(-14.8556042, 7.38926125, -32.4634781)));
      final vertex_7_270 = mesh_7.vertices.elementAt(270);
      expect(vertex_7_270, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_271 = mesh_7.vertices.elementAt(271);
      expect(vertex_7_271, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, -48.6871338)));
      final vertex_7_272 = mesh_7.vertices.elementAt(272);
      expect(vertex_7_272, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_273 = mesh_7.vertices.elementAt(273);
      expect(vertex_7_273, vector3MoreOrLessEquals(Vector3(-12.8784199, 26.4943771, -46.9046249)));
      final vertex_7_274 = mesh_7.vertices.elementAt(274);
      expect(vertex_7_274, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_275 = mesh_7.vertices.elementAt(275);
      expect(vertex_7_275, vector3MoreOrLessEquals(Vector3(-12.4266586, 28.0169601, -46.4104462)));
      final vertex_7_276 = mesh_7.vertices.elementAt(276);
      expect(vertex_7_276, vector3MoreOrLessEquals(Vector3(-11.7290459, 25.7647324, -48.6871338)));
      final vertex_7_277 = mesh_7.vertices.elementAt(277);
      expect(vertex_7_277, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_278 = mesh_7.vertices.elementAt(278);
      expect(vertex_7_278, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_279 = mesh_7.vertices.elementAt(279);
      expect(vertex_7_279, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_280 = mesh_7.vertices.elementAt(280);
      expect(vertex_7_280, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_281 = mesh_7.vertices.elementAt(281);
      expect(vertex_7_281, vector3MoreOrLessEquals(Vector3(-10.523695, 27.5187531, -49.5956345)));
      final vertex_7_282 = mesh_7.vertices.elementAt(282);
      expect(vertex_7_282, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_283 = mesh_7.vertices.elementAt(283);
      expect(vertex_7_283, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, -98.8658829)));
      final vertex_7_284 = mesh_7.vertices.elementAt(284);
      expect(vertex_7_284, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      final vertex_7_285 = mesh_7.vertices.elementAt(285);
      expect(vertex_7_285, vector3MoreOrLessEquals(Vector3(-2.42644095, 12.7004108, -73.2172623)));
      final vertex_7_286 = mesh_7.vertices.elementAt(286);
      expect(vertex_7_286, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      final vertex_7_287 = mesh_7.vertices.elementAt(287);
      expect(vertex_7_287, vector3MoreOrLessEquals(Vector3(-0.997256994, 13.4355717, -74.8821335)));
      final vertex_7_288 = mesh_7.vertices.elementAt(288);
      expect(vertex_7_288, vector3MoreOrLessEquals(Vector3(3.09747291, -32.969162, -98.8658829)));
      final vertex_7_289 = mesh_7.vertices.elementAt(289);
      expect(vertex_7_289, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_290 = mesh_7.vertices.elementAt(290);
      expect(vertex_7_290, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      final vertex_7_291 = mesh_7.vertices.elementAt(291);
      expect(vertex_7_291, vector3MoreOrLessEquals(Vector3(4.97456598, -40.5374832, -105.990211)));
      final vertex_7_292 = mesh_7.vertices.elementAt(292);
      expect(vertex_7_292, vector3MoreOrLessEquals(Vector3(5.21122885, -39.983532, -106.19825)));
      final vertex_7_293 = mesh_7.vertices.elementAt(293);
      expect(vertex_7_293, vector3MoreOrLessEquals(Vector3(3.67597008, -31.3791809, -99.7064896)));
      expect(mesh_7.normals.length, equals(294));
      final normal_7_0 = mesh_7.normals.elementAt(0);
      expect(normal_7_0, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_1 = mesh_7.normals.elementAt(1);
      expect(normal_7_1, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_2 = mesh_7.normals.elementAt(2);
      expect(normal_7_2, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_3 = mesh_7.normals.elementAt(3);
      expect(normal_7_3, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_4 = mesh_7.normals.elementAt(4);
      expect(normal_7_4, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_5 = mesh_7.normals.elementAt(5);
      expect(normal_7_5, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_6 = mesh_7.normals.elementAt(6);
      expect(normal_7_6, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, 0.561307013)));
      final normal_7_7 = mesh_7.normals.elementAt(7);
      expect(normal_7_7, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_8 = mesh_7.normals.elementAt(8);
      expect(normal_7_8, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_9 = mesh_7.normals.elementAt(9);
      expect(normal_7_9, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, 0.561307013)));
      final normal_7_10 = mesh_7.normals.elementAt(10);
      expect(normal_7_10, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_11 = mesh_7.normals.elementAt(11);
      expect(normal_7_11, vector3MoreOrLessEquals(Vector3(0.164332002, 0.78254801, 0.600511014)));
      final normal_7_12 = mesh_7.normals.elementAt(12);
      expect(normal_7_12, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_13 = mesh_7.normals.elementAt(13);
      expect(normal_7_13, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_14 = mesh_7.normals.elementAt(14);
      expect(normal_7_14, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_15 = mesh_7.normals.elementAt(15);
      expect(normal_7_15, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_16 = mesh_7.normals.elementAt(16);
      expect(normal_7_16, vector3MoreOrLessEquals(Vector3(0.548409998, 0.66167599, 0.511303008)));
      final normal_7_17 = mesh_7.normals.elementAt(17);
      expect(normal_7_17, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_18 = mesh_7.normals.elementAt(18);
      expect(normal_7_18, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_19 = mesh_7.normals.elementAt(19);
      expect(normal_7_19, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_20 = mesh_7.normals.elementAt(20);
      expect(normal_7_20, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_21 = mesh_7.normals.elementAt(21);
      expect(normal_7_21, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_22 = mesh_7.normals.elementAt(22);
      expect(normal_7_22, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_23 = mesh_7.normals.elementAt(23);
      expect(normal_7_23, vector3MoreOrLessEquals(Vector3(0.548409998, 0.66167599, 0.511303008)));
      final normal_7_24 = mesh_7.normals.elementAt(24);
      expect(normal_7_24, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_25 = mesh_7.normals.elementAt(25);
      expect(normal_7_25, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_26 = mesh_7.normals.elementAt(26);
      expect(normal_7_26, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_27 = mesh_7.normals.elementAt(27);
      expect(normal_7_27, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_28 = mesh_7.normals.elementAt(28);
      expect(normal_7_28, vector3MoreOrLessEquals(Vector3(0.695006013, 0.600564003, -0.395336002)));
      final normal_7_29 = mesh_7.normals.elementAt(29);
      expect(normal_7_29, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_30 = mesh_7.normals.elementAt(30);
      expect(normal_7_30, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_31 = mesh_7.normals.elementAt(31);
      expect(normal_7_31, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      final normal_7_32 = mesh_7.normals.elementAt(32);
      expect(normal_7_32, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_33 = mesh_7.normals.elementAt(33);
      expect(normal_7_33, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_34 = mesh_7.normals.elementAt(34);
      expect(normal_7_34, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_35 = mesh_7.normals.elementAt(35);
      expect(normal_7_35, vector3MoreOrLessEquals(Vector3(0.695006013, 0.600564003, -0.395336002)));
      final normal_7_36 = mesh_7.normals.elementAt(36);
      expect(normal_7_36, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      final normal_7_37 = mesh_7.normals.elementAt(37);
      expect(normal_7_37, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, 0.116746999)));
      final normal_7_38 = mesh_7.normals.elementAt(38);
      expect(normal_7_38, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_39 = mesh_7.normals.elementAt(39);
      expect(normal_7_39, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, 0.116746999)));
      final normal_7_40 = mesh_7.normals.elementAt(40);
      expect(normal_7_40, vector3MoreOrLessEquals(Vector3(0.767611027, 0.420845985, -0.483384997)));
      final normal_7_41 = mesh_7.normals.elementAt(41);
      expect(normal_7_41, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_42 = mesh_7.normals.elementAt(42);
      expect(normal_7_42, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_43 = mesh_7.normals.elementAt(43);
      expect(normal_7_43, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_44 = mesh_7.normals.elementAt(44);
      expect(normal_7_44, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_45 = mesh_7.normals.elementAt(45);
      expect(normal_7_45, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_46 = mesh_7.normals.elementAt(46);
      expect(normal_7_46, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_47 = mesh_7.normals.elementAt(47);
      expect(normal_7_47, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_48 = mesh_7.normals.elementAt(48);
      expect(normal_7_48, vector3MoreOrLessEquals(Vector3(0.164332002, 0.78254801, 0.600511014)));
      final normal_7_49 = mesh_7.normals.elementAt(49);
      expect(normal_7_49, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_50 = mesh_7.normals.elementAt(50);
      expect(normal_7_50, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, 0.313775003)));
      final normal_7_51 = mesh_7.normals.elementAt(51);
      expect(normal_7_51, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_52 = mesh_7.normals.elementAt(52);
      expect(normal_7_52, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, 0.550574005)));
      final normal_7_53 = mesh_7.normals.elementAt(53);
      expect(normal_7_53, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, 0.313775003)));
      final normal_7_54 = mesh_7.normals.elementAt(54);
      expect(normal_7_54, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_55 = mesh_7.normals.elementAt(55);
      expect(normal_7_55, vector3MoreOrLessEquals(Vector3(0.548409998, 0.66167599, 0.511303008)));
      final normal_7_56 = mesh_7.normals.elementAt(56);
      expect(normal_7_56, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_57 = mesh_7.normals.elementAt(57);
      expect(normal_7_57, vector3MoreOrLessEquals(Vector3(0.375317991, 0.601841986, 0.704927027)));
      final normal_7_58 = mesh_7.normals.elementAt(58);
      expect(normal_7_58, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_59 = mesh_7.normals.elementAt(59);
      expect(normal_7_59, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, 0.550574005)));
      final normal_7_60 = mesh_7.normals.elementAt(60);
      expect(normal_7_60, vector3MoreOrLessEquals(Vector3(0.548409998, 0.66167599, 0.511303008)));
      final normal_7_61 = mesh_7.normals.elementAt(61);
      expect(normal_7_61, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_62 = mesh_7.normals.elementAt(62);
      expect(normal_7_62, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_63 = mesh_7.normals.elementAt(63);
      expect(normal_7_63, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_64 = mesh_7.normals.elementAt(64);
      expect(normal_7_64, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, -0.32001701)));
      final normal_7_65 = mesh_7.normals.elementAt(65);
      expect(normal_7_65, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_66 = mesh_7.normals.elementAt(66);
      expect(normal_7_66, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_67 = mesh_7.normals.elementAt(67);
      expect(normal_7_67, vector3MoreOrLessEquals(Vector3(0.695006013, 0.600564003, -0.395336002)));
      final normal_7_68 = mesh_7.normals.elementAt(68);
      expect(normal_7_68, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_69 = mesh_7.normals.elementAt(69);
      expect(normal_7_69, vector3MoreOrLessEquals(Vector3(0.596875012, 0.802260995, -0.0108289998)));
      final normal_7_70 = mesh_7.normals.elementAt(70);
      expect(normal_7_70, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_71 = mesh_7.normals.elementAt(71);
      expect(normal_7_71, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, -0.32001701)));
      final normal_7_72 = mesh_7.normals.elementAt(72);
      expect(normal_7_72, vector3MoreOrLessEquals(Vector3(0.695006013, 0.600564003, -0.395336002)));
      final normal_7_73 = mesh_7.normals.elementAt(73);
      expect(normal_7_73, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_74 = mesh_7.normals.elementAt(74);
      expect(normal_7_74, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_75 = mesh_7.normals.elementAt(75);
      expect(normal_7_75, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_76 = mesh_7.normals.elementAt(76);
      expect(normal_7_76, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, -0.882099986)));
      final normal_7_77 = mesh_7.normals.elementAt(77);
      expect(normal_7_77, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_78 = mesh_7.normals.elementAt(78);
      expect(normal_7_78, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_79 = mesh_7.normals.elementAt(79);
      expect(normal_7_79, vector3MoreOrLessEquals(Vector3(0.767611027, 0.420845985, -0.483384997)));
      final normal_7_80 = mesh_7.normals.elementAt(80);
      expect(normal_7_80, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, -0.874014974)));
      final normal_7_81 = mesh_7.normals.elementAt(81);
      expect(normal_7_81, vector3MoreOrLessEquals(Vector3(0.804391026, 0.375485003, -0.460397005)));
      final normal_7_82 = mesh_7.normals.elementAt(82);
      expect(normal_7_82, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, -0.874014974)));
      final normal_7_83 = mesh_7.normals.elementAt(83);
      expect(normal_7_83, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, -0.882099986)));
      final normal_7_84 = mesh_7.normals.elementAt(84);
      expect(normal_7_84, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_85 = mesh_7.normals.elementAt(85);
      expect(normal_7_85, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_86 = mesh_7.normals.elementAt(86);
      expect(normal_7_86, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_87 = mesh_7.normals.elementAt(87);
      expect(normal_7_87, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_88 = mesh_7.normals.elementAt(88);
      expect(normal_7_88, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_89 = mesh_7.normals.elementAt(89);
      expect(normal_7_89, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_90 = mesh_7.normals.elementAt(90);
      expect(normal_7_90, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, 0.313775003)));
      final normal_7_91 = mesh_7.normals.elementAt(91);
      expect(normal_7_91, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, 0.550574005)));
      final normal_7_92 = mesh_7.normals.elementAt(92);
      expect(normal_7_92, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_93 = mesh_7.normals.elementAt(93);
      expect(normal_7_93, vector3MoreOrLessEquals(Vector3(-0.407667011, 0.857527018, 0.313775003)));
      final normal_7_94 = mesh_7.normals.elementAt(94);
      expect(normal_7_94, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_95 = mesh_7.normals.elementAt(95);
      expect(normal_7_95, vector3MoreOrLessEquals(Vector3(-0.863510013, 0.34177199, -0.370867997)));
      final normal_7_96 = mesh_7.normals.elementAt(96);
      expect(normal_7_96, vector3MoreOrLessEquals(Vector3(-0.380508989, 0.743022025, 0.550574005)));
      final normal_7_97 = mesh_7.normals.elementAt(97);
      expect(normal_7_97, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_98 = mesh_7.normals.elementAt(98);
      expect(normal_7_98, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_99 = mesh_7.normals.elementAt(99);
      expect(normal_7_99, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_100 = mesh_7.normals.elementAt(100);
      expect(normal_7_100, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, 0.00129699998)));
      final normal_7_101 = mesh_7.normals.elementAt(101);
      expect(normal_7_101, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_102 = mesh_7.normals.elementAt(102);
      expect(normal_7_102, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_103 = mesh_7.normals.elementAt(103);
      expect(normal_7_103, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, -0.32001701)));
      final normal_7_104 = mesh_7.normals.elementAt(104);
      expect(normal_7_104, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_105 = mesh_7.normals.elementAt(105);
      expect(normal_7_105, vector3MoreOrLessEquals(Vector3(-0.371629, 0.859552026, 0.350802988)));
      final normal_7_106 = mesh_7.normals.elementAt(106);
      expect(normal_7_106, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_107 = mesh_7.normals.elementAt(107);
      expect(normal_7_107, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, 0.00129699998)));
      final normal_7_108 = mesh_7.normals.elementAt(108);
      expect(normal_7_108, vector3MoreOrLessEquals(Vector3(-0.173280999, 0.931430995, -0.32001701)));
      final normal_7_109 = mesh_7.normals.elementAt(109);
      expect(normal_7_109, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_110 = mesh_7.normals.elementAt(110);
      expect(normal_7_110, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_111 = mesh_7.normals.elementAt(111);
      expect(normal_7_111, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_112 = mesh_7.normals.elementAt(112);
      expect(normal_7_112, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, -0.544032991)));
      final normal_7_113 = mesh_7.normals.elementAt(113);
      expect(normal_7_113, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_114 = mesh_7.normals.elementAt(114);
      expect(normal_7_114, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_115 = mesh_7.normals.elementAt(115);
      expect(normal_7_115, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, -0.882099986)));
      final normal_7_116 = mesh_7.normals.elementAt(116);
      expect(normal_7_116, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_117 = mesh_7.normals.elementAt(117);
      expect(normal_7_117, vector3MoreOrLessEquals(Vector3(-0.0883449987, 0.681833029, -0.726154029)));
      final normal_7_118 = mesh_7.normals.elementAt(118);
      expect(normal_7_118, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_119 = mesh_7.normals.elementAt(119);
      expect(normal_7_119, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, -0.544032991)));
      final normal_7_120 = mesh_7.normals.elementAt(120);
      expect(normal_7_120, vector3MoreOrLessEquals(Vector3(-0.0978619978, 0.460783988, -0.882099986)));
      final normal_7_121 = mesh_7.normals.elementAt(121);
      expect(normal_7_121, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, -0.874014974)));
      final normal_7_122 = mesh_7.normals.elementAt(122);
      expect(normal_7_122, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_123 = mesh_7.normals.elementAt(123);
      expect(normal_7_123, vector3MoreOrLessEquals(Vector3(-0.0752170011, 0.480042011, -0.874014974)));
      final normal_7_124 = mesh_7.normals.elementAt(124);
      expect(normal_7_124, vector3MoreOrLessEquals(Vector3(-0.800010026, 0.140945002, -0.583195984)));
      final normal_7_125 = mesh_7.normals.elementAt(125);
      expect(normal_7_125, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_126 = mesh_7.normals.elementAt(126);
      expect(normal_7_126, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_127 = mesh_7.normals.elementAt(127);
      expect(normal_7_127, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_128 = mesh_7.normals.elementAt(128);
      expect(normal_7_128, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_129 = mesh_7.normals.elementAt(129);
      expect(normal_7_129, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_130 = mesh_7.normals.elementAt(130);
      expect(normal_7_130, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_131 = mesh_7.normals.elementAt(131);
      expect(normal_7_131, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_132 = mesh_7.normals.elementAt(132);
      expect(normal_7_132, vector3MoreOrLessEquals(Vector3(-0.863510013, 0.34177199, -0.370867997)));
      final normal_7_133 = mesh_7.normals.elementAt(133);
      expect(normal_7_133, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_134 = mesh_7.normals.elementAt(134);
      expect(normal_7_134, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, -0.69056201)));
      final normal_7_135 = mesh_7.normals.elementAt(135);
      expect(normal_7_135, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_136 = mesh_7.normals.elementAt(136);
      expect(normal_7_136, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, -0.622080982)));
      final normal_7_137 = mesh_7.normals.elementAt(137);
      expect(normal_7_137, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, -0.69056201)));
      final normal_7_138 = mesh_7.normals.elementAt(138);
      expect(normal_7_138, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_139 = mesh_7.normals.elementAt(139);
      expect(normal_7_139, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, 0.00129699998)));
      final normal_7_140 = mesh_7.normals.elementAt(140);
      expect(normal_7_140, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_141 = mesh_7.normals.elementAt(141);
      expect(normal_7_141, vector3MoreOrLessEquals(Vector3(-0.927662015, 0.360249996, -0.0983019993)));
      final normal_7_142 = mesh_7.normals.elementAt(142);
      expect(normal_7_142, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_143 = mesh_7.normals.elementAt(143);
      expect(normal_7_143, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, -0.622080982)));
      final normal_7_144 = mesh_7.normals.elementAt(144);
      expect(normal_7_144, vector3MoreOrLessEquals(Vector3(-0.954873025, 0.297012001, 0.00129699998)));
      final normal_7_145 = mesh_7.normals.elementAt(145);
      expect(normal_7_145, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_146 = mesh_7.normals.elementAt(146);
      expect(normal_7_146, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_147 = mesh_7.normals.elementAt(147);
      expect(normal_7_147, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_148 = mesh_7.normals.elementAt(148);
      expect(normal_7_148, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, 0.0330040008)));
      final normal_7_149 = mesh_7.normals.elementAt(149);
      expect(normal_7_149, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_150 = mesh_7.normals.elementAt(150);
      expect(normal_7_150, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_151 = mesh_7.normals.elementAt(151);
      expect(normal_7_151, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, -0.544032991)));
      final normal_7_152 = mesh_7.normals.elementAt(152);
      expect(normal_7_152, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_153 = mesh_7.normals.elementAt(153);
      expect(normal_7_153, vector3MoreOrLessEquals(Vector3(-0.877348006, 0.388837993, -0.281186998)));
      final normal_7_154 = mesh_7.normals.elementAt(154);
      expect(normal_7_154, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_155 = mesh_7.normals.elementAt(155);
      expect(normal_7_155, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, 0.0330040008)));
      final normal_7_156 = mesh_7.normals.elementAt(156);
      expect(normal_7_156, vector3MoreOrLessEquals(Vector3(-0.798205018, 0.258643001, -0.544032991)));
      final normal_7_157 = mesh_7.normals.elementAt(157);
      expect(normal_7_157, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_158 = mesh_7.normals.elementAt(158);
      expect(normal_7_158, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_159 = mesh_7.normals.elementAt(159);
      expect(normal_7_159, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_160 = mesh_7.normals.elementAt(160);
      expect(normal_7_160, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, -0.00591900013)));
      final normal_7_161 = mesh_7.normals.elementAt(161);
      expect(normal_7_161, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_162 = mesh_7.normals.elementAt(162);
      expect(normal_7_162, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_163 = mesh_7.normals.elementAt(163);
      expect(normal_7_163, vector3MoreOrLessEquals(Vector3(-0.800010026, 0.140945002, -0.583195984)));
      final normal_7_164 = mesh_7.normals.elementAt(164);
      expect(normal_7_164, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, -0.0345030017)));
      final normal_7_165 = mesh_7.normals.elementAt(165);
      expect(normal_7_165, vector3MoreOrLessEquals(Vector3(-0.830945015, 0.129933, -0.540970027)));
      final normal_7_166 = mesh_7.normals.elementAt(166);
      expect(normal_7_166, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, -0.0345030017)));
      final normal_7_167 = mesh_7.normals.elementAt(167);
      expect(normal_7_167, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, -0.00591900013)));
      final normal_7_168 = mesh_7.normals.elementAt(168);
      expect(normal_7_168, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_169 = mesh_7.normals.elementAt(169);
      expect(normal_7_169, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_170 = mesh_7.normals.elementAt(170);
      expect(normal_7_170, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_171 = mesh_7.normals.elementAt(171);
      expect(normal_7_171, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_172 = mesh_7.normals.elementAt(172);
      expect(normal_7_172, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_173 = mesh_7.normals.elementAt(173);
      expect(normal_7_173, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_174 = mesh_7.normals.elementAt(174);
      expect(normal_7_174, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, -0.69056201)));
      final normal_7_175 = mesh_7.normals.elementAt(175);
      expect(normal_7_175, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, -0.622080982)));
      final normal_7_176 = mesh_7.normals.elementAt(176);
      expect(normal_7_176, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_177 = mesh_7.normals.elementAt(177);
      expect(normal_7_177, vector3MoreOrLessEquals(Vector3(-0.638103008, -0.340512991, -0.69056201)));
      final normal_7_178 = mesh_7.normals.elementAt(178);
      expect(normal_7_178, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_179 = mesh_7.normals.elementAt(179);
      expect(normal_7_179, vector3MoreOrLessEquals(Vector3(0.216309994, -0.832587004, -0.509909987)));
      final normal_7_180 = mesh_7.normals.elementAt(180);
      expect(normal_7_180, vector3MoreOrLessEquals(Vector3(-0.755641997, -0.204990998, -0.622080982)));
      final normal_7_181 = mesh_7.normals.elementAt(181);
      expect(normal_7_181, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_182 = mesh_7.normals.elementAt(182);
      expect(normal_7_182, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_183 = mesh_7.normals.elementAt(183);
      expect(normal_7_183, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_184 = mesh_7.normals.elementAt(184);
      expect(normal_7_184, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936686993, -0.309662014)));
      final normal_7_185 = mesh_7.normals.elementAt(185);
      expect(normal_7_185, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_186 = mesh_7.normals.elementAt(186);
      expect(normal_7_186, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_187 = mesh_7.normals.elementAt(187);
      expect(normal_7_187, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, 0.0330040008)));
      final normal_7_188 = mesh_7.normals.elementAt(188);
      expect(normal_7_188, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_189 = mesh_7.normals.elementAt(189);
      expect(normal_7_189, vector3MoreOrLessEquals(Vector3(-0.906786025, -0.331766993, -0.260132998)));
      final normal_7_190 = mesh_7.normals.elementAt(190);
      expect(normal_7_190, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_191 = mesh_7.normals.elementAt(191);
      expect(normal_7_191, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936686993, -0.309662014)));
      final normal_7_192 = mesh_7.normals.elementAt(192);
      expect(normal_7_192, vector3MoreOrLessEquals(Vector3(-0.921949983, -0.385899007, 0.0330040008)));
      final normal_7_193 = mesh_7.normals.elementAt(193);
      expect(normal_7_193, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_194 = mesh_7.normals.elementAt(194);
      expect(normal_7_194, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_195 = mesh_7.normals.elementAt(195);
      expect(normal_7_195, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_196 = mesh_7.normals.elementAt(196);
      expect(normal_7_196, vector3MoreOrLessEquals(Vector3(-0.334488004, -0.728676021, 0.59762001)));
      final normal_7_197 = mesh_7.normals.elementAt(197);
      expect(normal_7_197, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_198 = mesh_7.normals.elementAt(198);
      expect(normal_7_198, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_199 = mesh_7.normals.elementAt(199);
      expect(normal_7_199, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, -0.00591900013)));
      final normal_7_200 = mesh_7.normals.elementAt(200);
      expect(normal_7_200, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_201 = mesh_7.normals.elementAt(201);
      expect(normal_7_201, vector3MoreOrLessEquals(Vector3(-0.932303011, -0.36084801, 0.0245079994)));
      final normal_7_202 = mesh_7.normals.elementAt(202);
      expect(normal_7_202, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_203 = mesh_7.normals.elementAt(203);
      expect(normal_7_203, vector3MoreOrLessEquals(Vector3(-0.334488004, -0.728676021, 0.59762001)));
      final normal_7_204 = mesh_7.normals.elementAt(204);
      expect(normal_7_204, vector3MoreOrLessEquals(Vector3(-0.971642971, -0.236379996, -0.00591900013)));
      final normal_7_205 = mesh_7.normals.elementAt(205);
      expect(normal_7_205, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, -0.0345030017)));
      final normal_7_206 = mesh_7.normals.elementAt(206);
      expect(normal_7_206, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_207 = mesh_7.normals.elementAt(207);
      expect(normal_7_207, vector3MoreOrLessEquals(Vector3(-0.950035989, -0.310227007, -0.0345030017)));
      final normal_7_208 = mesh_7.normals.elementAt(208);
      expect(normal_7_208, vector3MoreOrLessEquals(Vector3(-0.371856987, -0.710825026, 0.597034991)));
      final normal_7_209 = mesh_7.normals.elementAt(209);
      expect(normal_7_209, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_210 = mesh_7.normals.elementAt(210);
      expect(normal_7_210, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_211 = mesh_7.normals.elementAt(211);
      expect(normal_7_211, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_212 = mesh_7.normals.elementAt(212);
      expect(normal_7_212, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_213 = mesh_7.normals.elementAt(213);
      expect(normal_7_213, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_214 = mesh_7.normals.elementAt(214);
      expect(normal_7_214, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_215 = mesh_7.normals.elementAt(215);
      expect(normal_7_215, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_216 = mesh_7.normals.elementAt(216);
      expect(normal_7_216, vector3MoreOrLessEquals(Vector3(0.216309994, -0.832587004, -0.509909987)));
      final normal_7_217 = mesh_7.normals.elementAt(217);
      expect(normal_7_217, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_218 = mesh_7.normals.elementAt(218);
      expect(normal_7_218, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, -0.0881069973)));
      final normal_7_219 = mesh_7.normals.elementAt(219);
      expect(normal_7_219, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_220 = mesh_7.normals.elementAt(220);
      expect(normal_7_220, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, -0.338645995)));
      final normal_7_221 = mesh_7.normals.elementAt(221);
      expect(normal_7_221, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, -0.0881069973)));
      final normal_7_222 = mesh_7.normals.elementAt(222);
      expect(normal_7_222, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_223 = mesh_7.normals.elementAt(223);
      expect(normal_7_223, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936686993, -0.309662014)));
      final normal_7_224 = mesh_7.normals.elementAt(224);
      expect(normal_7_224, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_225 = mesh_7.normals.elementAt(225);
      expect(normal_7_225, vector3MoreOrLessEquals(Vector3(0.0516210012, -0.677280009, -0.733911991)));
      final normal_7_226 = mesh_7.normals.elementAt(226);
      expect(normal_7_226, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_227 = mesh_7.normals.elementAt(227);
      expect(normal_7_227, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, -0.338645995)));
      final normal_7_228 = mesh_7.normals.elementAt(228);
      expect(normal_7_228, vector3MoreOrLessEquals(Vector3(-0.163480997, -0.936686993, -0.309662014)));
      final normal_7_229 = mesh_7.normals.elementAt(229);
      expect(normal_7_229, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_230 = mesh_7.normals.elementAt(230);
      expect(normal_7_230, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_231 = mesh_7.normals.elementAt(231);
      expect(normal_7_231, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_232 = mesh_7.normals.elementAt(232);
      expect(normal_7_232, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, 0.567176998)));
      final normal_7_233 = mesh_7.normals.elementAt(233);
      expect(normal_7_233, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_234 = mesh_7.normals.elementAt(234);
      expect(normal_7_234, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_235 = mesh_7.normals.elementAt(235);
      expect(normal_7_235, vector3MoreOrLessEquals(Vector3(-0.334488004, -0.728676021, 0.59762001)));
      final normal_7_236 = mesh_7.normals.elementAt(236);
      expect(normal_7_236, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_237 = mesh_7.normals.elementAt(237);
      expect(normal_7_237, vector3MoreOrLessEquals(Vector3(-0.273012996, -0.882947981, 0.381924987)));
      final normal_7_238 = mesh_7.normals.elementAt(238);
      expect(normal_7_238, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_239 = mesh_7.normals.elementAt(239);
      expect(normal_7_239, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, 0.567176998)));
      final normal_7_240 = mesh_7.normals.elementAt(240);
      expect(normal_7_240, vector3MoreOrLessEquals(Vector3(-0.334488004, -0.728676021, 0.59762001)));
      final normal_7_241 = mesh_7.normals.elementAt(241);
      expect(normal_7_241, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_242 = mesh_7.normals.elementAt(242);
      expect(normal_7_242, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_243 = mesh_7.normals.elementAt(243);
      expect(normal_7_243, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_244 = mesh_7.normals.elementAt(244);
      expect(normal_7_244, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, 0.669538021)));
      final normal_7_245 = mesh_7.normals.elementAt(245);
      expect(normal_7_245, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_246 = mesh_7.normals.elementAt(246);
      expect(normal_7_246, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_247 = mesh_7.normals.elementAt(247);
      expect(normal_7_247, vector3MoreOrLessEquals(Vector3(-0.371856987, -0.710825026, 0.597034991)));
      final normal_7_248 = mesh_7.normals.elementAt(248);
      expect(normal_7_248, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, 0.645761013)));
      final normal_7_249 = mesh_7.normals.elementAt(249);
      expect(normal_7_249, vector3MoreOrLessEquals(Vector3(-0.408235013, -0.602580011, 0.685741007)));
      final normal_7_250 = mesh_7.normals.elementAt(250);
      expect(normal_7_250, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, 0.645761013)));
      final normal_7_251 = mesh_7.normals.elementAt(251);
      expect(normal_7_251, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, 0.669538021)));
      final normal_7_252 = mesh_7.normals.elementAt(252);
      expect(normal_7_252, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_253 = mesh_7.normals.elementAt(253);
      expect(normal_7_253, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_254 = mesh_7.normals.elementAt(254);
      expect(normal_7_254, vector3MoreOrLessEquals(Vector3(-0.272475988, -0.916512012, 0.292854011)));
      final normal_7_255 = mesh_7.normals.elementAt(255);
      expect(normal_7_255, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_256 = mesh_7.normals.elementAt(256);
      expect(normal_7_256, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_257 = mesh_7.normals.elementAt(257);
      expect(normal_7_257, vector3MoreOrLessEquals(Vector3(0.247445002, -0.431549013, -0.867488027)));
      final normal_7_258 = mesh_7.normals.elementAt(258);
      expect(normal_7_258, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, -0.0881069973)));
      final normal_7_259 = mesh_7.normals.elementAt(259);
      expect(normal_7_259, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, -0.338645995)));
      final normal_7_260 = mesh_7.normals.elementAt(260);
      expect(normal_7_260, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_261 = mesh_7.normals.elementAt(261);
      expect(normal_7_261, vector3MoreOrLessEquals(Vector3(0.750822008, -0.654601991, -0.0881069973)));
      final normal_7_262 = mesh_7.normals.elementAt(262);
      expect(normal_7_262, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_263 = mesh_7.normals.elementAt(263);
      expect(normal_7_263, vector3MoreOrLessEquals(Vector3(0.795449018, 0.228462994, 0.561307013)));
      final normal_7_264 = mesh_7.normals.elementAt(264);
      expect(normal_7_264, vector3MoreOrLessEquals(Vector3(0.74456501, -0.575276017, -0.338645995)));
      final normal_7_265 = mesh_7.normals.elementAt(265);
      expect(normal_7_265, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_266 = mesh_7.normals.elementAt(266);
      expect(normal_7_266, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_267 = mesh_7.normals.elementAt(267);
      expect(normal_7_267, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_268 = mesh_7.normals.elementAt(268);
      expect(normal_7_268, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_269 = mesh_7.normals.elementAt(269);
      expect(normal_7_269, vector3MoreOrLessEquals(Vector3(0.969099998, -0.104558997, 0.223412007)));
      final normal_7_270 = mesh_7.normals.elementAt(270);
      expect(normal_7_270, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_271 = mesh_7.normals.elementAt(271);
      expect(normal_7_271, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, 0.567176998)));
      final normal_7_272 = mesh_7.normals.elementAt(272);
      expect(normal_7_272, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_273 = mesh_7.normals.elementAt(273);
      expect(normal_7_273, vector3MoreOrLessEquals(Vector3(0.766026974, -0.641858995, 0.0349359997)));
      final normal_7_274 = mesh_7.normals.elementAt(274);
      expect(normal_7_274, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_275 = mesh_7.normals.elementAt(275);
      expect(normal_7_275, vector3MoreOrLessEquals(Vector3(0.901566982, 0.174918994, 0.395700991)));
      final normal_7_276 = mesh_7.normals.elementAt(276);
      expect(normal_7_276, vector3MoreOrLessEquals(Vector3(0.522267997, -0.636825025, 0.567176998)));
      final normal_7_277 = mesh_7.normals.elementAt(277);
      expect(normal_7_277, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_278 = mesh_7.normals.elementAt(278);
      expect(normal_7_278, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_279 = mesh_7.normals.elementAt(279);
      expect(normal_7_279, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_280 = mesh_7.normals.elementAt(280);
      expect(normal_7_280, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_281 = mesh_7.normals.elementAt(281);
      expect(normal_7_281, vector3MoreOrLessEquals(Vector3(0.883046985, -0.0474850014, 0.466874987)));
      final normal_7_282 = mesh_7.normals.elementAt(282);
      expect(normal_7_282, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_283 = mesh_7.normals.elementAt(283);
      expect(normal_7_283, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, 0.669538021)));
      final normal_7_284 = mesh_7.normals.elementAt(284);
      expect(normal_7_284, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      final normal_7_285 = mesh_7.normals.elementAt(285);
      expect(normal_7_285, vector3MoreOrLessEquals(Vector3(0.527666986, -0.527467012, 0.665841997)));
      final normal_7_286 = mesh_7.normals.elementAt(286);
      expect(normal_7_286, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      final normal_7_287 = mesh_7.normals.elementAt(287);
      expect(normal_7_287, vector3MoreOrLessEquals(Vector3(0.975847006, 0.140488997, 0.167289004)));
      final normal_7_288 = mesh_7.normals.elementAt(288);
      expect(normal_7_288, vector3MoreOrLessEquals(Vector3(0.641036987, -0.375221014, 0.669538021)));
      final normal_7_289 = mesh_7.normals.elementAt(289);
      expect(normal_7_289, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, 0.645761013)));
      final normal_7_290 = mesh_7.normals.elementAt(290);
      expect(normal_7_290, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      final normal_7_291 = mesh_7.normals.elementAt(291);
      expect(normal_7_291, vector3MoreOrLessEquals(Vector3(0.614542007, -0.453134, 0.645761013)));
      final normal_7_292 = mesh_7.normals.elementAt(292);
      expect(normal_7_292, vector3MoreOrLessEquals(Vector3(0.989974976, 0.0794980004, 0.116746999)));
      final normal_7_293 = mesh_7.normals.elementAt(293);
      expect(normal_7_293, vector3MoreOrLessEquals(Vector3(0.950453997, -0.0623300001, 0.304551005)));
      expect(mesh_7.tangents.length, isZero);
      expect(mesh_7.bitangents.length, isZero);
      expect(mesh_7.colors.length, isZero);
      expect(mesh_7.textureCoords.length, equals(1));
      final textureCoords_7_0 = mesh_7.textureCoords.elementAt(0);
      expect(textureCoords_7_0.length, equals(294));
      final textureCoord_7_0_0 = textureCoords_7_0.elementAt(0);
      expect(textureCoord_7_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_1 = textureCoords_7_0.elementAt(1);
      expect(textureCoord_7_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_2 = textureCoords_7_0.elementAt(2);
      expect(textureCoord_7_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_3 = textureCoords_7_0.elementAt(3);
      expect(textureCoord_7_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_4 = textureCoords_7_0.elementAt(4);
      expect(textureCoord_7_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_5 = textureCoords_7_0.elementAt(5);
      expect(textureCoord_7_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_6 = textureCoords_7_0.elementAt(6);
      expect(textureCoord_7_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_7 = textureCoords_7_0.elementAt(7);
      expect(textureCoord_7_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_7_0_8 = textureCoords_7_0.elementAt(8);
      expect(textureCoord_7_0_8, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_9 = textureCoords_7_0.elementAt(9);
      expect(textureCoord_7_0_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_7_0_10 = textureCoords_7_0.elementAt(10);
      expect(textureCoord_7_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_11 = textureCoords_7_0.elementAt(11);
      expect(textureCoord_7_0_11, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_7_0_12 = textureCoords_7_0.elementAt(12);
      expect(textureCoord_7_0_12, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_7_0_13 = textureCoords_7_0.elementAt(13);
      expect(textureCoord_7_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_7_0_14 = textureCoords_7_0.elementAt(14);
      expect(textureCoord_7_0_14, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_15 = textureCoords_7_0.elementAt(15);
      expect(textureCoord_7_0_15, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_7_0_16 = textureCoords_7_0.elementAt(16);
      expect(textureCoord_7_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_7_0_17 = textureCoords_7_0.elementAt(17);
      expect(textureCoord_7_0_17, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_18 = textureCoords_7_0.elementAt(18);
      expect(textureCoord_7_0_18, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_7_0_19 = textureCoords_7_0.elementAt(19);
      expect(textureCoord_7_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_7_0_20 = textureCoords_7_0.elementAt(20);
      expect(textureCoord_7_0_20, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_21 = textureCoords_7_0.elementAt(21);
      expect(textureCoord_7_0_21, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_7_0_22 = textureCoords_7_0.elementAt(22);
      expect(textureCoord_7_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_23 = textureCoords_7_0.elementAt(23);
      expect(textureCoord_7_0_23, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_7_0_24 = textureCoords_7_0.elementAt(24);
      expect(textureCoord_7_0_24, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_7_0_25 = textureCoords_7_0.elementAt(25);
      expect(textureCoord_7_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_7_0_26 = textureCoords_7_0.elementAt(26);
      expect(textureCoord_7_0_26, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_27 = textureCoords_7_0.elementAt(27);
      expect(textureCoord_7_0_27, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_7_0_28 = textureCoords_7_0.elementAt(28);
      expect(textureCoord_7_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_7_0_29 = textureCoords_7_0.elementAt(29);
      expect(textureCoord_7_0_29, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_30 = textureCoords_7_0.elementAt(30);
      expect(textureCoord_7_0_30, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_7_0_31 = textureCoords_7_0.elementAt(31);
      expect(textureCoord_7_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_7_0_32 = textureCoords_7_0.elementAt(32);
      expect(textureCoord_7_0_32, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_33 = textureCoords_7_0.elementAt(33);
      expect(textureCoord_7_0_33, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_7_0_34 = textureCoords_7_0.elementAt(34);
      expect(textureCoord_7_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_35 = textureCoords_7_0.elementAt(35);
      expect(textureCoord_7_0_35, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_7_0_36 = textureCoords_7_0.elementAt(36);
      expect(textureCoord_7_0_36, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_7_0_37 = textureCoords_7_0.elementAt(37);
      expect(textureCoord_7_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_38 = textureCoords_7_0.elementAt(38);
      expect(textureCoord_7_0_38, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_39 = textureCoords_7_0.elementAt(39);
      expect(textureCoord_7_0_39, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_40 = textureCoords_7_0.elementAt(40);
      expect(textureCoord_7_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_7_0_41 = textureCoords_7_0.elementAt(41);
      expect(textureCoord_7_0_41, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_42 = textureCoords_7_0.elementAt(42);
      expect(textureCoord_7_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_43 = textureCoords_7_0.elementAt(43);
      expect(textureCoord_7_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_44 = textureCoords_7_0.elementAt(44);
      expect(textureCoord_7_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_45 = textureCoords_7_0.elementAt(45);
      expect(textureCoord_7_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_46 = textureCoords_7_0.elementAt(46);
      expect(textureCoord_7_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_47 = textureCoords_7_0.elementAt(47);
      expect(textureCoord_7_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_48 = textureCoords_7_0.elementAt(48);
      expect(textureCoord_7_0_48, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_7_0_49 = textureCoords_7_0.elementAt(49);
      expect(textureCoord_7_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_50 = textureCoords_7_0.elementAt(50);
      expect(textureCoord_7_0_50, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_7_0_51 = textureCoords_7_0.elementAt(51);
      expect(textureCoord_7_0_51, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_52 = textureCoords_7_0.elementAt(52);
      expect(textureCoord_7_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_7_0_53 = textureCoords_7_0.elementAt(53);
      expect(textureCoord_7_0_53, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_7_0_54 = textureCoords_7_0.elementAt(54);
      expect(textureCoord_7_0_54, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_55 = textureCoords_7_0.elementAt(55);
      expect(textureCoord_7_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_7_0_56 = textureCoords_7_0.elementAt(56);
      expect(textureCoord_7_0_56, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_57 = textureCoords_7_0.elementAt(57);
      expect(textureCoord_7_0_57, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_7_0_58 = textureCoords_7_0.elementAt(58);
      expect(textureCoord_7_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_59 = textureCoords_7_0.elementAt(59);
      expect(textureCoord_7_0_59, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_7_0_60 = textureCoords_7_0.elementAt(60);
      expect(textureCoord_7_0_60, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_7_0_61 = textureCoords_7_0.elementAt(61);
      expect(textureCoord_7_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_62 = textureCoords_7_0.elementAt(62);
      expect(textureCoord_7_0_62, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_63 = textureCoords_7_0.elementAt(63);
      expect(textureCoord_7_0_63, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_64 = textureCoords_7_0.elementAt(64);
      expect(textureCoord_7_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_7_0_65 = textureCoords_7_0.elementAt(65);
      expect(textureCoord_7_0_65, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_66 = textureCoords_7_0.elementAt(66);
      expect(textureCoord_7_0_66, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_67 = textureCoords_7_0.elementAt(67);
      expect(textureCoord_7_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_7_0_68 = textureCoords_7_0.elementAt(68);
      expect(textureCoord_7_0_68, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_69 = textureCoords_7_0.elementAt(69);
      expect(textureCoord_7_0_69, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_7_0_70 = textureCoords_7_0.elementAt(70);
      expect(textureCoord_7_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_71 = textureCoords_7_0.elementAt(71);
      expect(textureCoord_7_0_71, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_7_0_72 = textureCoords_7_0.elementAt(72);
      expect(textureCoord_7_0_72, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_7_0_73 = textureCoords_7_0.elementAt(73);
      expect(textureCoord_7_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_74 = textureCoords_7_0.elementAt(74);
      expect(textureCoord_7_0_74, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_75 = textureCoords_7_0.elementAt(75);
      expect(textureCoord_7_0_75, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_76 = textureCoords_7_0.elementAt(76);
      expect(textureCoord_7_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_7_0_77 = textureCoords_7_0.elementAt(77);
      expect(textureCoord_7_0_77, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_78 = textureCoords_7_0.elementAt(78);
      expect(textureCoord_7_0_78, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_79 = textureCoords_7_0.elementAt(79);
      expect(textureCoord_7_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_7_0_80 = textureCoords_7_0.elementAt(80);
      expect(textureCoord_7_0_80, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_7_0_81 = textureCoords_7_0.elementAt(81);
      expect(textureCoord_7_0_81, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_7_0_82 = textureCoords_7_0.elementAt(82);
      expect(textureCoord_7_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_7_0_83 = textureCoords_7_0.elementAt(83);
      expect(textureCoord_7_0_83, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_7_0_84 = textureCoords_7_0.elementAt(84);
      expect(textureCoord_7_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_85 = textureCoords_7_0.elementAt(85);
      expect(textureCoord_7_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_86 = textureCoords_7_0.elementAt(86);
      expect(textureCoord_7_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_87 = textureCoords_7_0.elementAt(87);
      expect(textureCoord_7_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_88 = textureCoords_7_0.elementAt(88);
      expect(textureCoord_7_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_89 = textureCoords_7_0.elementAt(89);
      expect(textureCoord_7_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_90 = textureCoords_7_0.elementAt(90);
      expect(textureCoord_7_0_90, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_7_0_91 = textureCoords_7_0.elementAt(91);
      expect(textureCoord_7_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_7_0_92 = textureCoords_7_0.elementAt(92);
      expect(textureCoord_7_0_92, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_93 = textureCoords_7_0.elementAt(93);
      expect(textureCoord_7_0_93, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_7_0_94 = textureCoords_7_0.elementAt(94);
      expect(textureCoord_7_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_95 = textureCoords_7_0.elementAt(95);
      expect(textureCoord_7_0_95, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_7_0_96 = textureCoords_7_0.elementAt(96);
      expect(textureCoord_7_0_96, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_7_0_97 = textureCoords_7_0.elementAt(97);
      expect(textureCoord_7_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_98 = textureCoords_7_0.elementAt(98);
      expect(textureCoord_7_0_98, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_99 = textureCoords_7_0.elementAt(99);
      expect(textureCoord_7_0_99, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_100 = textureCoords_7_0.elementAt(100);
      expect(textureCoord_7_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_7_0_101 = textureCoords_7_0.elementAt(101);
      expect(textureCoord_7_0_101, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_102 = textureCoords_7_0.elementAt(102);
      expect(textureCoord_7_0_102, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_103 = textureCoords_7_0.elementAt(103);
      expect(textureCoord_7_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_7_0_104 = textureCoords_7_0.elementAt(104);
      expect(textureCoord_7_0_104, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_105 = textureCoords_7_0.elementAt(105);
      expect(textureCoord_7_0_105, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_7_0_106 = textureCoords_7_0.elementAt(106);
      expect(textureCoord_7_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_107 = textureCoords_7_0.elementAt(107);
      expect(textureCoord_7_0_107, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_7_0_108 = textureCoords_7_0.elementAt(108);
      expect(textureCoord_7_0_108, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_7_0_109 = textureCoords_7_0.elementAt(109);
      expect(textureCoord_7_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_110 = textureCoords_7_0.elementAt(110);
      expect(textureCoord_7_0_110, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_111 = textureCoords_7_0.elementAt(111);
      expect(textureCoord_7_0_111, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_112 = textureCoords_7_0.elementAt(112);
      expect(textureCoord_7_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_7_0_113 = textureCoords_7_0.elementAt(113);
      expect(textureCoord_7_0_113, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_114 = textureCoords_7_0.elementAt(114);
      expect(textureCoord_7_0_114, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_115 = textureCoords_7_0.elementAt(115);
      expect(textureCoord_7_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_7_0_116 = textureCoords_7_0.elementAt(116);
      expect(textureCoord_7_0_116, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_117 = textureCoords_7_0.elementAt(117);
      expect(textureCoord_7_0_117, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_7_0_118 = textureCoords_7_0.elementAt(118);
      expect(textureCoord_7_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_119 = textureCoords_7_0.elementAt(119);
      expect(textureCoord_7_0_119, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_7_0_120 = textureCoords_7_0.elementAt(120);
      expect(textureCoord_7_0_120, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_7_0_121 = textureCoords_7_0.elementAt(121);
      expect(textureCoord_7_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_7_0_122 = textureCoords_7_0.elementAt(122);
      expect(textureCoord_7_0_122, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_123 = textureCoords_7_0.elementAt(123);
      expect(textureCoord_7_0_123, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_7_0_124 = textureCoords_7_0.elementAt(124);
      expect(textureCoord_7_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_7_0_125 = textureCoords_7_0.elementAt(125);
      expect(textureCoord_7_0_125, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_126 = textureCoords_7_0.elementAt(126);
      expect(textureCoord_7_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_127 = textureCoords_7_0.elementAt(127);
      expect(textureCoord_7_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_128 = textureCoords_7_0.elementAt(128);
      expect(textureCoord_7_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_129 = textureCoords_7_0.elementAt(129);
      expect(textureCoord_7_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_130 = textureCoords_7_0.elementAt(130);
      expect(textureCoord_7_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_131 = textureCoords_7_0.elementAt(131);
      expect(textureCoord_7_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_132 = textureCoords_7_0.elementAt(132);
      expect(textureCoord_7_0_132, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_7_0_133 = textureCoords_7_0.elementAt(133);
      expect(textureCoord_7_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_134 = textureCoords_7_0.elementAt(134);
      expect(textureCoord_7_0_134, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_7_0_135 = textureCoords_7_0.elementAt(135);
      expect(textureCoord_7_0_135, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_136 = textureCoords_7_0.elementAt(136);
      expect(textureCoord_7_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_7_0_137 = textureCoords_7_0.elementAt(137);
      expect(textureCoord_7_0_137, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_7_0_138 = textureCoords_7_0.elementAt(138);
      expect(textureCoord_7_0_138, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_139 = textureCoords_7_0.elementAt(139);
      expect(textureCoord_7_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_7_0_140 = textureCoords_7_0.elementAt(140);
      expect(textureCoord_7_0_140, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_141 = textureCoords_7_0.elementAt(141);
      expect(textureCoord_7_0_141, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_7_0_142 = textureCoords_7_0.elementAt(142);
      expect(textureCoord_7_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_143 = textureCoords_7_0.elementAt(143);
      expect(textureCoord_7_0_143, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_7_0_144 = textureCoords_7_0.elementAt(144);
      expect(textureCoord_7_0_144, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_7_0_145 = textureCoords_7_0.elementAt(145);
      expect(textureCoord_7_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_146 = textureCoords_7_0.elementAt(146);
      expect(textureCoord_7_0_146, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_147 = textureCoords_7_0.elementAt(147);
      expect(textureCoord_7_0_147, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_148 = textureCoords_7_0.elementAt(148);
      expect(textureCoord_7_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_7_0_149 = textureCoords_7_0.elementAt(149);
      expect(textureCoord_7_0_149, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_150 = textureCoords_7_0.elementAt(150);
      expect(textureCoord_7_0_150, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_151 = textureCoords_7_0.elementAt(151);
      expect(textureCoord_7_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_7_0_152 = textureCoords_7_0.elementAt(152);
      expect(textureCoord_7_0_152, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_153 = textureCoords_7_0.elementAt(153);
      expect(textureCoord_7_0_153, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_7_0_154 = textureCoords_7_0.elementAt(154);
      expect(textureCoord_7_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_155 = textureCoords_7_0.elementAt(155);
      expect(textureCoord_7_0_155, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_7_0_156 = textureCoords_7_0.elementAt(156);
      expect(textureCoord_7_0_156, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_7_0_157 = textureCoords_7_0.elementAt(157);
      expect(textureCoord_7_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_158 = textureCoords_7_0.elementAt(158);
      expect(textureCoord_7_0_158, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_159 = textureCoords_7_0.elementAt(159);
      expect(textureCoord_7_0_159, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_160 = textureCoords_7_0.elementAt(160);
      expect(textureCoord_7_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_7_0_161 = textureCoords_7_0.elementAt(161);
      expect(textureCoord_7_0_161, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_162 = textureCoords_7_0.elementAt(162);
      expect(textureCoord_7_0_162, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_163 = textureCoords_7_0.elementAt(163);
      expect(textureCoord_7_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_7_0_164 = textureCoords_7_0.elementAt(164);
      expect(textureCoord_7_0_164, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_7_0_165 = textureCoords_7_0.elementAt(165);
      expect(textureCoord_7_0_165, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_7_0_166 = textureCoords_7_0.elementAt(166);
      expect(textureCoord_7_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_7_0_167 = textureCoords_7_0.elementAt(167);
      expect(textureCoord_7_0_167, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_7_0_168 = textureCoords_7_0.elementAt(168);
      expect(textureCoord_7_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_169 = textureCoords_7_0.elementAt(169);
      expect(textureCoord_7_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_170 = textureCoords_7_0.elementAt(170);
      expect(textureCoord_7_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_171 = textureCoords_7_0.elementAt(171);
      expect(textureCoord_7_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_172 = textureCoords_7_0.elementAt(172);
      expect(textureCoord_7_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_173 = textureCoords_7_0.elementAt(173);
      expect(textureCoord_7_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_174 = textureCoords_7_0.elementAt(174);
      expect(textureCoord_7_0_174, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_7_0_175 = textureCoords_7_0.elementAt(175);
      expect(textureCoord_7_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_7_0_176 = textureCoords_7_0.elementAt(176);
      expect(textureCoord_7_0_176, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_177 = textureCoords_7_0.elementAt(177);
      expect(textureCoord_7_0_177, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_7_0_178 = textureCoords_7_0.elementAt(178);
      expect(textureCoord_7_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_179 = textureCoords_7_0.elementAt(179);
      expect(textureCoord_7_0_179, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_7_0_180 = textureCoords_7_0.elementAt(180);
      expect(textureCoord_7_0_180, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_7_0_181 = textureCoords_7_0.elementAt(181);
      expect(textureCoord_7_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_182 = textureCoords_7_0.elementAt(182);
      expect(textureCoord_7_0_182, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_183 = textureCoords_7_0.elementAt(183);
      expect(textureCoord_7_0_183, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_184 = textureCoords_7_0.elementAt(184);
      expect(textureCoord_7_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_7_0_185 = textureCoords_7_0.elementAt(185);
      expect(textureCoord_7_0_185, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_186 = textureCoords_7_0.elementAt(186);
      expect(textureCoord_7_0_186, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_187 = textureCoords_7_0.elementAt(187);
      expect(textureCoord_7_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_7_0_188 = textureCoords_7_0.elementAt(188);
      expect(textureCoord_7_0_188, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_189 = textureCoords_7_0.elementAt(189);
      expect(textureCoord_7_0_189, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_7_0_190 = textureCoords_7_0.elementAt(190);
      expect(textureCoord_7_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_191 = textureCoords_7_0.elementAt(191);
      expect(textureCoord_7_0_191, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_7_0_192 = textureCoords_7_0.elementAt(192);
      expect(textureCoord_7_0_192, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_7_0_193 = textureCoords_7_0.elementAt(193);
      expect(textureCoord_7_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_194 = textureCoords_7_0.elementAt(194);
      expect(textureCoord_7_0_194, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_195 = textureCoords_7_0.elementAt(195);
      expect(textureCoord_7_0_195, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_196 = textureCoords_7_0.elementAt(196);
      expect(textureCoord_7_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_7_0_197 = textureCoords_7_0.elementAt(197);
      expect(textureCoord_7_0_197, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_198 = textureCoords_7_0.elementAt(198);
      expect(textureCoord_7_0_198, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_199 = textureCoords_7_0.elementAt(199);
      expect(textureCoord_7_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_7_0_200 = textureCoords_7_0.elementAt(200);
      expect(textureCoord_7_0_200, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_201 = textureCoords_7_0.elementAt(201);
      expect(textureCoord_7_0_201, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_7_0_202 = textureCoords_7_0.elementAt(202);
      expect(textureCoord_7_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_203 = textureCoords_7_0.elementAt(203);
      expect(textureCoord_7_0_203, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_7_0_204 = textureCoords_7_0.elementAt(204);
      expect(textureCoord_7_0_204, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_7_0_205 = textureCoords_7_0.elementAt(205);
      expect(textureCoord_7_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_7_0_206 = textureCoords_7_0.elementAt(206);
      expect(textureCoord_7_0_206, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_207 = textureCoords_7_0.elementAt(207);
      expect(textureCoord_7_0_207, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_7_0_208 = textureCoords_7_0.elementAt(208);
      expect(textureCoord_7_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_7_0_209 = textureCoords_7_0.elementAt(209);
      expect(textureCoord_7_0_209, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_210 = textureCoords_7_0.elementAt(210);
      expect(textureCoord_7_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_211 = textureCoords_7_0.elementAt(211);
      expect(textureCoord_7_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_212 = textureCoords_7_0.elementAt(212);
      expect(textureCoord_7_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_213 = textureCoords_7_0.elementAt(213);
      expect(textureCoord_7_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_214 = textureCoords_7_0.elementAt(214);
      expect(textureCoord_7_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_215 = textureCoords_7_0.elementAt(215);
      expect(textureCoord_7_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_216 = textureCoords_7_0.elementAt(216);
      expect(textureCoord_7_0_216, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_7_0_217 = textureCoords_7_0.elementAt(217);
      expect(textureCoord_7_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_218 = textureCoords_7_0.elementAt(218);
      expect(textureCoord_7_0_218, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_7_0_219 = textureCoords_7_0.elementAt(219);
      expect(textureCoord_7_0_219, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_220 = textureCoords_7_0.elementAt(220);
      expect(textureCoord_7_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_7_0_221 = textureCoords_7_0.elementAt(221);
      expect(textureCoord_7_0_221, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_7_0_222 = textureCoords_7_0.elementAt(222);
      expect(textureCoord_7_0_222, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_223 = textureCoords_7_0.elementAt(223);
      expect(textureCoord_7_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_7_0_224 = textureCoords_7_0.elementAt(224);
      expect(textureCoord_7_0_224, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_225 = textureCoords_7_0.elementAt(225);
      expect(textureCoord_7_0_225, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_7_0_226 = textureCoords_7_0.elementAt(226);
      expect(textureCoord_7_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_227 = textureCoords_7_0.elementAt(227);
      expect(textureCoord_7_0_227, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_7_0_228 = textureCoords_7_0.elementAt(228);
      expect(textureCoord_7_0_228, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_7_0_229 = textureCoords_7_0.elementAt(229);
      expect(textureCoord_7_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_230 = textureCoords_7_0.elementAt(230);
      expect(textureCoord_7_0_230, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_231 = textureCoords_7_0.elementAt(231);
      expect(textureCoord_7_0_231, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_232 = textureCoords_7_0.elementAt(232);
      expect(textureCoord_7_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_7_0_233 = textureCoords_7_0.elementAt(233);
      expect(textureCoord_7_0_233, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_234 = textureCoords_7_0.elementAt(234);
      expect(textureCoord_7_0_234, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_235 = textureCoords_7_0.elementAt(235);
      expect(textureCoord_7_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_7_0_236 = textureCoords_7_0.elementAt(236);
      expect(textureCoord_7_0_236, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_237 = textureCoords_7_0.elementAt(237);
      expect(textureCoord_7_0_237, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_7_0_238 = textureCoords_7_0.elementAt(238);
      expect(textureCoord_7_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_239 = textureCoords_7_0.elementAt(239);
      expect(textureCoord_7_0_239, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_7_0_240 = textureCoords_7_0.elementAt(240);
      expect(textureCoord_7_0_240, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_7_0_241 = textureCoords_7_0.elementAt(241);
      expect(textureCoord_7_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_242 = textureCoords_7_0.elementAt(242);
      expect(textureCoord_7_0_242, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_243 = textureCoords_7_0.elementAt(243);
      expect(textureCoord_7_0_243, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_244 = textureCoords_7_0.elementAt(244);
      expect(textureCoord_7_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_7_0_245 = textureCoords_7_0.elementAt(245);
      expect(textureCoord_7_0_245, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_246 = textureCoords_7_0.elementAt(246);
      expect(textureCoord_7_0_246, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_247 = textureCoords_7_0.elementAt(247);
      expect(textureCoord_7_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_7_0_248 = textureCoords_7_0.elementAt(248);
      expect(textureCoord_7_0_248, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_7_0_249 = textureCoords_7_0.elementAt(249);
      expect(textureCoord_7_0_249, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_7_0_250 = textureCoords_7_0.elementAt(250);
      expect(textureCoord_7_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_7_0_251 = textureCoords_7_0.elementAt(251);
      expect(textureCoord_7_0_251, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_7_0_252 = textureCoords_7_0.elementAt(252);
      expect(textureCoord_7_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_253 = textureCoords_7_0.elementAt(253);
      expect(textureCoord_7_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_254 = textureCoords_7_0.elementAt(254);
      expect(textureCoord_7_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_255 = textureCoords_7_0.elementAt(255);
      expect(textureCoord_7_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_256 = textureCoords_7_0.elementAt(256);
      expect(textureCoord_7_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_257 = textureCoords_7_0.elementAt(257);
      expect(textureCoord_7_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_7_0_258 = textureCoords_7_0.elementAt(258);
      expect(textureCoord_7_0_258, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_7_0_259 = textureCoords_7_0.elementAt(259);
      expect(textureCoord_7_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_7_0_260 = textureCoords_7_0.elementAt(260);
      expect(textureCoord_7_0_260, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_7_0_261 = textureCoords_7_0.elementAt(261);
      expect(textureCoord_7_0_261, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_7_0_262 = textureCoords_7_0.elementAt(262);
      expect(textureCoord_7_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_7_0_263 = textureCoords_7_0.elementAt(263);
      expect(textureCoord_7_0_263, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_7_0_264 = textureCoords_7_0.elementAt(264);
      expect(textureCoord_7_0_264, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_7_0_265 = textureCoords_7_0.elementAt(265);
      expect(textureCoord_7_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_266 = textureCoords_7_0.elementAt(266);
      expect(textureCoord_7_0_266, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_7_0_267 = textureCoords_7_0.elementAt(267);
      expect(textureCoord_7_0_267, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_268 = textureCoords_7_0.elementAt(268);
      expect(textureCoord_7_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_7_0_269 = textureCoords_7_0.elementAt(269);
      expect(textureCoord_7_0_269, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_7_0_270 = textureCoords_7_0.elementAt(270);
      expect(textureCoord_7_0_270, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_271 = textureCoords_7_0.elementAt(271);
      expect(textureCoord_7_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_7_0_272 = textureCoords_7_0.elementAt(272);
      expect(textureCoord_7_0_272, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_7_0_273 = textureCoords_7_0.elementAt(273);
      expect(textureCoord_7_0_273, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_7_0_274 = textureCoords_7_0.elementAt(274);
      expect(textureCoord_7_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_7_0_275 = textureCoords_7_0.elementAt(275);
      expect(textureCoord_7_0_275, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_7_0_276 = textureCoords_7_0.elementAt(276);
      expect(textureCoord_7_0_276, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_7_0_277 = textureCoords_7_0.elementAt(277);
      expect(textureCoord_7_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_278 = textureCoords_7_0.elementAt(278);
      expect(textureCoord_7_0_278, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_7_0_279 = textureCoords_7_0.elementAt(279);
      expect(textureCoord_7_0_279, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_280 = textureCoords_7_0.elementAt(280);
      expect(textureCoord_7_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_7_0_281 = textureCoords_7_0.elementAt(281);
      expect(textureCoord_7_0_281, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_7_0_282 = textureCoords_7_0.elementAt(282);
      expect(textureCoord_7_0_282, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_283 = textureCoords_7_0.elementAt(283);
      expect(textureCoord_7_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_7_0_284 = textureCoords_7_0.elementAt(284);
      expect(textureCoord_7_0_284, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_7_0_285 = textureCoords_7_0.elementAt(285);
      expect(textureCoord_7_0_285, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_7_0_286 = textureCoords_7_0.elementAt(286);
      expect(textureCoord_7_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_7_0_287 = textureCoords_7_0.elementAt(287);
      expect(textureCoord_7_0_287, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_7_0_288 = textureCoords_7_0.elementAt(288);
      expect(textureCoord_7_0_288, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_7_0_289 = textureCoords_7_0.elementAt(289);
      expect(textureCoord_7_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_7_0_290 = textureCoords_7_0.elementAt(290);
      expect(textureCoord_7_0_290, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_7_0_291 = textureCoords_7_0.elementAt(291);
      expect(textureCoord_7_0_291, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_7_0_292 = textureCoords_7_0.elementAt(292);
      expect(textureCoord_7_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_7_0_293 = textureCoords_7_0.elementAt(293);
      expect(textureCoord_7_0_293, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      expect(mesh_7.uvComponents.length, equals(1));
      expect(mesh_7.uvComponents, equals([2]));
      expect(mesh_7.faces.length, equals(98));
      expect(mesh_7.bones.length, isZero);
      expect(mesh_7.materialIndex, equals(4));
      expect(mesh_7.name, equals('Bein3Li'));
      expect(mesh_7.animMeshes.length, isZero);
      expect(mesh_7.morphingMethod, isZero);
      expect(mesh_7.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_8 = meshes.elementAt(8);
      expect(mesh_8.primitiveTypes, equals(4));
      expect(mesh_8.vertices.length, equals(294));
      final vertex_8_0 = mesh_8.vertices.elementAt(0);
      expect(vertex_8_0, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_1 = mesh_8.vertices.elementAt(1);
      expect(vertex_8_1, vector3MoreOrLessEquals(Vector3(-14.1026573, -6.07577896, -7.12446022)));
      final vertex_8_2 = mesh_8.vertices.elementAt(2);
      expect(vertex_8_2, vector3MoreOrLessEquals(Vector3(-11.2052116, -7.28023195, -5.84187889)));
      final vertex_8_3 = mesh_8.vertices.elementAt(3);
      expect(vertex_8_3, vector3MoreOrLessEquals(Vector3(19.7498646, -37.6075363, 68.3299255)));
      final vertex_8_4 = mesh_8.vertices.elementAt(4);
      expect(vertex_8_4, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_5 = mesh_8.vertices.elementAt(5);
      expect(vertex_8_5, vector3MoreOrLessEquals(Vector3(19.8971176, -38.1551971, 68.0391235)));
      final vertex_8_6 = mesh_8.vertices.elementAt(6);
      expect(vertex_8_6, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_7 = mesh_8.vertices.elementAt(7);
      expect(vertex_8_7, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_8 = mesh_8.vertices.elementAt(8);
      expect(vertex_8_8, vector3MoreOrLessEquals(Vector3(-11.2052116, -7.28023195, -5.84187889)));
      final vertex_8_9 = mesh_8.vertices.elementAt(9);
      expect(vertex_8_9, vector3MoreOrLessEquals(Vector3(-14.1026573, -6.07577896, -7.12446022)));
      final vertex_8_10 = mesh_8.vertices.elementAt(10);
      expect(vertex_8_10, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_11 = mesh_8.vertices.elementAt(11);
      expect(vertex_8_11, vector3MoreOrLessEquals(Vector3(-11.2052116, -7.28023195, -5.84187889)));
      final vertex_8_12 = mesh_8.vertices.elementAt(12);
      expect(vertex_8_12, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_13 = mesh_8.vertices.elementAt(13);
      expect(vertex_8_13, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_14 = mesh_8.vertices.elementAt(14);
      expect(vertex_8_14, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_15 = mesh_8.vertices.elementAt(15);
      expect(vertex_8_15, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_16 = mesh_8.vertices.elementAt(16);
      expect(vertex_8_16, vector3MoreOrLessEquals(Vector3(0.474552006, 27.2093964, 20.9797153)));
      final vertex_8_17 = mesh_8.vertices.elementAt(17);
      expect(vertex_8_17, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_18 = mesh_8.vertices.elementAt(18);
      expect(vertex_8_18, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_19 = mesh_8.vertices.elementAt(19);
      expect(vertex_8_19, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_20 = mesh_8.vertices.elementAt(20);
      expect(vertex_8_20, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_21 = mesh_8.vertices.elementAt(21);
      expect(vertex_8_21, vector3MoreOrLessEquals(Vector3(0.474552006, 27.2093964, 20.9797153)));
      final vertex_8_22 = mesh_8.vertices.elementAt(22);
      expect(vertex_8_22, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_23 = mesh_8.vertices.elementAt(23);
      expect(vertex_8_23, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_24 = mesh_8.vertices.elementAt(24);
      expect(vertex_8_24, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_25 = mesh_8.vertices.elementAt(25);
      expect(vertex_8_25, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_26 = mesh_8.vertices.elementAt(26);
      expect(vertex_8_26, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_27 = mesh_8.vertices.elementAt(27);
      expect(vertex_8_27, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_28 = mesh_8.vertices.elementAt(28);
      expect(vertex_8_28, vector3MoreOrLessEquals(Vector3(14.5602531, 6.22358894, 49.8386841)));
      final vertex_8_29 = mesh_8.vertices.elementAt(29);
      expect(vertex_8_29, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_30 = mesh_8.vertices.elementAt(30);
      expect(vertex_8_30, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_31 = mesh_8.vertices.elementAt(31);
      expect(vertex_8_31, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_32 = mesh_8.vertices.elementAt(32);
      expect(vertex_8_32, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_33 = mesh_8.vertices.elementAt(33);
      expect(vertex_8_33, vector3MoreOrLessEquals(Vector3(14.5602531, 6.22358894, 49.8386841)));
      final vertex_8_34 = mesh_8.vertices.elementAt(34);
      expect(vertex_8_34, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_35 = mesh_8.vertices.elementAt(35);
      expect(vertex_8_35, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_36 = mesh_8.vertices.elementAt(36);
      expect(vertex_8_36, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_37 = mesh_8.vertices.elementAt(37);
      expect(vertex_8_37, vector3MoreOrLessEquals(Vector3(19.8971176, -38.1551971, 68.0391235)));
      final vertex_8_38 = mesh_8.vertices.elementAt(38);
      expect(vertex_8_38, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_39 = mesh_8.vertices.elementAt(39);
      expect(vertex_8_39, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_40 = mesh_8.vertices.elementAt(40);
      expect(vertex_8_40, vector3MoreOrLessEquals(Vector3(19.7498646, -37.6075363, 68.3299255)));
      final vertex_8_41 = mesh_8.vertices.elementAt(41);
      expect(vertex_8_41, vector3MoreOrLessEquals(Vector3(19.8971176, -38.1551971, 68.0391235)));
      final vertex_8_42 = mesh_8.vertices.elementAt(42);
      expect(vertex_8_42, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_43 = mesh_8.vertices.elementAt(43);
      expect(vertex_8_43, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_44 = mesh_8.vertices.elementAt(44);
      expect(vertex_8_44, vector3MoreOrLessEquals(Vector3(-14.1026573, -6.07577896, -7.12446022)));
      final vertex_8_45 = mesh_8.vertices.elementAt(45);
      expect(vertex_8_45, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_46 = mesh_8.vertices.elementAt(46);
      expect(vertex_8_46, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_47 = mesh_8.vertices.elementAt(47);
      expect(vertex_8_47, vector3MoreOrLessEquals(Vector3(19.7498646, -37.6075363, 68.3299255)));
      final vertex_8_48 = mesh_8.vertices.elementAt(48);
      expect(vertex_8_48, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_49 = mesh_8.vertices.elementAt(49);
      expect(vertex_8_49, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_50 = mesh_8.vertices.elementAt(50);
      expect(vertex_8_50, vector3MoreOrLessEquals(Vector3(-14.1026573, -6.07577896, -7.12446022)));
      final vertex_8_51 = mesh_8.vertices.elementAt(51);
      expect(vertex_8_51, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_52 = mesh_8.vertices.elementAt(52);
      expect(vertex_8_52, vector3MoreOrLessEquals(Vector3(-7.03667498, 5.46706009, 10.7817459)));
      final vertex_8_53 = mesh_8.vertices.elementAt(53);
      expect(vertex_8_53, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_54 = mesh_8.vertices.elementAt(54);
      expect(vertex_8_54, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_55 = mesh_8.vertices.elementAt(55);
      expect(vertex_8_55, vector3MoreOrLessEquals(Vector3(0.474552006, 27.2093964, 20.9797153)));
      final vertex_8_56 = mesh_8.vertices.elementAt(56);
      expect(vertex_8_56, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_57 = mesh_8.vertices.elementAt(57);
      expect(vertex_8_57, vector3MoreOrLessEquals(Vector3(-7.03667498, 5.46706009, 10.7817459)));
      final vertex_8_58 = mesh_8.vertices.elementAt(58);
      expect(vertex_8_58, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_59 = mesh_8.vertices.elementAt(59);
      expect(vertex_8_59, vector3MoreOrLessEquals(Vector3(-4.90751076, 6.0936408, 10.1268177)));
      final vertex_8_60 = mesh_8.vertices.elementAt(60);
      expect(vertex_8_60, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_61 = mesh_8.vertices.elementAt(61);
      expect(vertex_8_61, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_62 = mesh_8.vertices.elementAt(62);
      expect(vertex_8_62, vector3MoreOrLessEquals(Vector3(0.474552006, 27.2093964, 20.9797153)));
      final vertex_8_63 = mesh_8.vertices.elementAt(63);
      expect(vertex_8_63, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_64 = mesh_8.vertices.elementAt(64);
      expect(vertex_8_64, vector3MoreOrLessEquals(Vector3(1.34655404, 27.5950623, 26.5185108)));
      final vertex_8_65 = mesh_8.vertices.elementAt(65);
      expect(vertex_8_65, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_66 = mesh_8.vertices.elementAt(66);
      expect(vertex_8_66, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_67 = mesh_8.vertices.elementAt(67);
      expect(vertex_8_67, vector3MoreOrLessEquals(Vector3(14.5602531, 6.22358894, 49.8386841)));
      final vertex_8_68 = mesh_8.vertices.elementAt(68);
      expect(vertex_8_68, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_69 = mesh_8.vertices.elementAt(69);
      expect(vertex_8_69, vector3MoreOrLessEquals(Vector3(1.34655404, 27.5950623, 26.5185108)));
      final vertex_8_70 = mesh_8.vertices.elementAt(70);
      expect(vertex_8_70, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_71 = mesh_8.vertices.elementAt(71);
      expect(vertex_8_71, vector3MoreOrLessEquals(Vector3(3.23343492, 28.0240021, 25.2494297)));
      final vertex_8_72 = mesh_8.vertices.elementAt(72);
      expect(vertex_8_72, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_73 = mesh_8.vertices.elementAt(73);
      expect(vertex_8_73, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_74 = mesh_8.vertices.elementAt(74);
      expect(vertex_8_74, vector3MoreOrLessEquals(Vector3(14.5602531, 6.22358894, 49.8386841)));
      final vertex_8_75 = mesh_8.vertices.elementAt(75);
      expect(vertex_8_75, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_76 = mesh_8.vertices.elementAt(76);
      expect(vertex_8_76, vector3MoreOrLessEquals(Vector3(18.0422783, -27.6766319, 62.7098236)));
      final vertex_8_77 = mesh_8.vertices.elementAt(77);
      expect(vertex_8_77, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_78 = mesh_8.vertices.elementAt(78);
      expect(vertex_8_78, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_79 = mesh_8.vertices.elementAt(79);
      expect(vertex_8_79, vector3MoreOrLessEquals(Vector3(19.7498646, -37.6075363, 68.3299255)));
      final vertex_8_80 = mesh_8.vertices.elementAt(80);
      expect(vertex_8_80, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_81 = mesh_8.vertices.elementAt(81);
      expect(vertex_8_81, vector3MoreOrLessEquals(Vector3(18.0422783, -27.6766319, 62.7098236)));
      final vertex_8_82 = mesh_8.vertices.elementAt(82);
      expect(vertex_8_82, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_83 = mesh_8.vertices.elementAt(83);
      expect(vertex_8_83, vector3MoreOrLessEquals(Vector3(18.9760628, -28.0781002, 62.2733536)));
      final vertex_8_84 = mesh_8.vertices.elementAt(84);
      expect(vertex_8_84, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_85 = mesh_8.vertices.elementAt(85);
      expect(vertex_8_85, vector3MoreOrLessEquals(Vector3(-17.9759941, -6.06142521, -2.25557089)));
      final vertex_8_86 = mesh_8.vertices.elementAt(86);
      expect(vertex_8_86, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_87 = mesh_8.vertices.elementAt(87);
      expect(vertex_8_87, vector3MoreOrLessEquals(Vector3(18.8868675, -37.8398972, 68.3987732)));
      final vertex_8_88 = mesh_8.vertices.elementAt(88);
      expect(vertex_8_88, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_89 = mesh_8.vertices.elementAt(89);
      expect(vertex_8_89, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_90 = mesh_8.vertices.elementAt(90);
      expect(vertex_8_90, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_91 = mesh_8.vertices.elementAt(91);
      expect(vertex_8_91, vector3MoreOrLessEquals(Vector3(-7.03667498, 5.46706009, 10.7817459)));
      final vertex_8_92 = mesh_8.vertices.elementAt(92);
      expect(vertex_8_92, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_93 = mesh_8.vertices.elementAt(93);
      expect(vertex_8_93, vector3MoreOrLessEquals(Vector3(-17.9759941, -6.06142521, -2.25557089)));
      final vertex_8_94 = mesh_8.vertices.elementAt(94);
      expect(vertex_8_94, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_95 = mesh_8.vertices.elementAt(95);
      expect(vertex_8_95, vector3MoreOrLessEquals(Vector3(-17.1159515, -5.53335905, -5.52841806)));
      final vertex_8_96 = mesh_8.vertices.elementAt(96);
      expect(vertex_8_96, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_97 = mesh_8.vertices.elementAt(97);
      expect(vertex_8_97, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_98 = mesh_8.vertices.elementAt(98);
      expect(vertex_8_98, vector3MoreOrLessEquals(Vector3(-7.03667498, 5.46706009, 10.7817459)));
      final vertex_8_99 = mesh_8.vertices.elementAt(99);
      expect(vertex_8_99, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_100 = mesh_8.vertices.elementAt(100);
      expect(vertex_8_100, vector3MoreOrLessEquals(Vector3(-1.172436, 25.6870499, 22.2014027)));
      final vertex_8_101 = mesh_8.vertices.elementAt(101);
      expect(vertex_8_101, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_102 = mesh_8.vertices.elementAt(102);
      expect(vertex_8_102, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_103 = mesh_8.vertices.elementAt(103);
      expect(vertex_8_103, vector3MoreOrLessEquals(Vector3(1.34655404, 27.5950623, 26.5185108)));
      final vertex_8_104 = mesh_8.vertices.elementAt(104);
      expect(vertex_8_104, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_105 = mesh_8.vertices.elementAt(105);
      expect(vertex_8_105, vector3MoreOrLessEquals(Vector3(-1.172436, 25.6870499, 22.2014027)));
      final vertex_8_106 = mesh_8.vertices.elementAt(106);
      expect(vertex_8_106, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_107 = mesh_8.vertices.elementAt(107);
      expect(vertex_8_107, vector3MoreOrLessEquals(Vector3(-0.824136972, 27.0091629, 21.5109005)));
      final vertex_8_108 = mesh_8.vertices.elementAt(108);
      expect(vertex_8_108, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_109 = mesh_8.vertices.elementAt(109);
      expect(vertex_8_109, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_110 = mesh_8.vertices.elementAt(110);
      expect(vertex_8_110, vector3MoreOrLessEquals(Vector3(1.34655404, 27.5950623, 26.5185108)));
      final vertex_8_111 = mesh_8.vertices.elementAt(111);
      expect(vertex_8_111, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_112 = mesh_8.vertices.elementAt(112);
      expect(vertex_8_112, vector3MoreOrLessEquals(Vector3(11.0360613, 4.23739195, 50.8496933)));
      final vertex_8_113 = mesh_8.vertices.elementAt(113);
      expect(vertex_8_113, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_114 = mesh_8.vertices.elementAt(114);
      expect(vertex_8_114, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_115 = mesh_8.vertices.elementAt(115);
      expect(vertex_8_115, vector3MoreOrLessEquals(Vector3(18.0422783, -27.6766319, 62.7098236)));
      final vertex_8_116 = mesh_8.vertices.elementAt(116);
      expect(vertex_8_116, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_117 = mesh_8.vertices.elementAt(117);
      expect(vertex_8_117, vector3MoreOrLessEquals(Vector3(11.0360613, 4.23739195, 50.8496933)));
      final vertex_8_118 = mesh_8.vertices.elementAt(118);
      expect(vertex_8_118, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_119 = mesh_8.vertices.elementAt(119);
      expect(vertex_8_119, vector3MoreOrLessEquals(Vector3(12.8583355, 5.59826994, 51.2765045)));
      final vertex_8_120 = mesh_8.vertices.elementAt(120);
      expect(vertex_8_120, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_121 = mesh_8.vertices.elementAt(121);
      expect(vertex_8_121, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_122 = mesh_8.vertices.elementAt(122);
      expect(vertex_8_122, vector3MoreOrLessEquals(Vector3(18.0422783, -27.6766319, 62.7098236)));
      final vertex_8_123 = mesh_8.vertices.elementAt(123);
      expect(vertex_8_123, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_124 = mesh_8.vertices.elementAt(124);
      expect(vertex_8_124, vector3MoreOrLessEquals(Vector3(18.8868675, -37.8398972, 68.3987732)));
      final vertex_8_125 = mesh_8.vertices.elementAt(125);
      expect(vertex_8_125, vector3MoreOrLessEquals(Vector3(19.3002472, -37.4672318, 68.4899597)));
      final vertex_8_126 = mesh_8.vertices.elementAt(126);
      expect(vertex_8_126, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_127 = mesh_8.vertices.elementAt(127);
      expect(vertex_8_127, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_128 = mesh_8.vertices.elementAt(128);
      expect(vertex_8_128, vector3MoreOrLessEquals(Vector3(-17.9759941, -6.06142521, -2.25557089)));
      final vertex_8_129 = mesh_8.vertices.elementAt(129);
      expect(vertex_8_129, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_130 = mesh_8.vertices.elementAt(130);
      expect(vertex_8_130, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_131 = mesh_8.vertices.elementAt(131);
      expect(vertex_8_131, vector3MoreOrLessEquals(Vector3(18.8868675, -37.8398972, 68.3987732)));
      final vertex_8_132 = mesh_8.vertices.elementAt(132);
      expect(vertex_8_132, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_133 = mesh_8.vertices.elementAt(133);
      expect(vertex_8_133, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_134 = mesh_8.vertices.elementAt(134);
      expect(vertex_8_134, vector3MoreOrLessEquals(Vector3(-17.9759941, -6.06142521, -2.25557089)));
      final vertex_8_135 = mesh_8.vertices.elementAt(135);
      expect(vertex_8_135, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_136 = mesh_8.vertices.elementAt(136);
      expect(vertex_8_136, vector3MoreOrLessEquals(Vector3(-6.31224918, 3.04369402, 14.0967979)));
      final vertex_8_137 = mesh_8.vertices.elementAt(137);
      expect(vertex_8_137, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_138 = mesh_8.vertices.elementAt(138);
      expect(vertex_8_138, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_139 = mesh_8.vertices.elementAt(139);
      expect(vertex_8_139, vector3MoreOrLessEquals(Vector3(-1.172436, 25.6870499, 22.2014027)));
      final vertex_8_140 = mesh_8.vertices.elementAt(140);
      expect(vertex_8_140, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_141 = mesh_8.vertices.elementAt(141);
      expect(vertex_8_141, vector3MoreOrLessEquals(Vector3(-6.31224918, 3.04369402, 14.0967979)));
      final vertex_8_142 = mesh_8.vertices.elementAt(142);
      expect(vertex_8_142, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_143 = mesh_8.vertices.elementAt(143);
      expect(vertex_8_143, vector3MoreOrLessEquals(Vector3(-7.66182089, 4.10971117, 12.5485611)));
      final vertex_8_144 = mesh_8.vertices.elementAt(144);
      expect(vertex_8_144, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_145 = mesh_8.vertices.elementAt(145);
      expect(vertex_8_145, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_146 = mesh_8.vertices.elementAt(146);
      expect(vertex_8_146, vector3MoreOrLessEquals(Vector3(-1.172436, 25.6870499, 22.2014027)));
      final vertex_8_147 = mesh_8.vertices.elementAt(147);
      expect(vertex_8_147, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_148 = mesh_8.vertices.elementAt(148);
      expect(vertex_8_148, vector3MoreOrLessEquals(Vector3(0.303561985, 23.7296715, 25.3531437)));
      final vertex_8_149 = mesh_8.vertices.elementAt(149);
      expect(vertex_8_149, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_150 = mesh_8.vertices.elementAt(150);
      expect(vertex_8_150, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_151 = mesh_8.vertices.elementAt(151);
      expect(vertex_8_151, vector3MoreOrLessEquals(Vector3(11.0360613, 4.23739195, 50.8496933)));
      final vertex_8_152 = mesh_8.vertices.elementAt(152);
      expect(vertex_8_152, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_153 = mesh_8.vertices.elementAt(153);
      expect(vertex_8_153, vector3MoreOrLessEquals(Vector3(0.303561985, 23.7296715, 25.3531437)));
      final vertex_8_154 = mesh_8.vertices.elementAt(154);
      expect(vertex_8_154, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_155 = mesh_8.vertices.elementAt(155);
      expect(vertex_8_155, vector3MoreOrLessEquals(Vector3(0.0426269993, 25.6839218, 26.564661)));
      final vertex_8_156 = mesh_8.vertices.elementAt(156);
      expect(vertex_8_156, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_157 = mesh_8.vertices.elementAt(157);
      expect(vertex_8_157, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_158 = mesh_8.vertices.elementAt(158);
      expect(vertex_8_158, vector3MoreOrLessEquals(Vector3(11.0360613, 4.23739195, 50.8496933)));
      final vertex_8_159 = mesh_8.vertices.elementAt(159);
      expect(vertex_8_159, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_160 = mesh_8.vertices.elementAt(160);
      expect(vertex_8_160, vector3MoreOrLessEquals(Vector3(16.8643856, -30.5079556, 61.231514)));
      final vertex_8_161 = mesh_8.vertices.elementAt(161);
      expect(vertex_8_161, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_162 = mesh_8.vertices.elementAt(162);
      expect(vertex_8_162, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_163 = mesh_8.vertices.elementAt(163);
      expect(vertex_8_163, vector3MoreOrLessEquals(Vector3(18.8868675, -37.8398972, 68.3987732)));
      final vertex_8_164 = mesh_8.vertices.elementAt(164);
      expect(vertex_8_164, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_165 = mesh_8.vertices.elementAt(165);
      expect(vertex_8_165, vector3MoreOrLessEquals(Vector3(16.8643856, -30.5079556, 61.231514)));
      final vertex_8_166 = mesh_8.vertices.elementAt(166);
      expect(vertex_8_166, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_167 = mesh_8.vertices.elementAt(167);
      expect(vertex_8_167, vector3MoreOrLessEquals(Vector3(17.1025314, -28.7579956, 62.2461777)));
      final vertex_8_168 = mesh_8.vertices.elementAt(168);
      expect(vertex_8_168, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_169 = mesh_8.vertices.elementAt(169);
      expect(vertex_8_169, vector3MoreOrLessEquals(Vector3(-12.7549858, -8.23180103, 0.0555059984)));
      final vertex_8_170 = mesh_8.vertices.elementAt(170);
      expect(vertex_8_170, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_171 = mesh_8.vertices.elementAt(171);
      expect(vertex_8_171, vector3MoreOrLessEquals(Vector3(19.1522141, -38.8267174, 67.8748322)));
      final vertex_8_172 = mesh_8.vertices.elementAt(172);
      expect(vertex_8_172, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_173 = mesh_8.vertices.elementAt(173);
      expect(vertex_8_173, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_174 = mesh_8.vertices.elementAt(174);
      expect(vertex_8_174, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_175 = mesh_8.vertices.elementAt(175);
      expect(vertex_8_175, vector3MoreOrLessEquals(Vector3(-6.31224918, 3.04369402, 14.0967979)));
      final vertex_8_176 = mesh_8.vertices.elementAt(176);
      expect(vertex_8_176, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_177 = mesh_8.vertices.elementAt(177);
      expect(vertex_8_177, vector3MoreOrLessEquals(Vector3(-12.7549858, -8.23180103, 0.0555059984)));
      final vertex_8_178 = mesh_8.vertices.elementAt(178);
      expect(vertex_8_178, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_179 = mesh_8.vertices.elementAt(179);
      expect(vertex_8_179, vector3MoreOrLessEquals(Vector3(-16.0351944, -7.26234484, 0.229479)));
      final vertex_8_180 = mesh_8.vertices.elementAt(180);
      expect(vertex_8_180, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_181 = mesh_8.vertices.elementAt(181);
      expect(vertex_8_181, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_182 = mesh_8.vertices.elementAt(182);
      expect(vertex_8_182, vector3MoreOrLessEquals(Vector3(-6.31224918, 3.04369402, 14.0967979)));
      final vertex_8_183 = mesh_8.vertices.elementAt(183);
      expect(vertex_8_183, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_184 = mesh_8.vertices.elementAt(184);
      expect(vertex_8_184, vector3MoreOrLessEquals(Vector3(1.11806703, 23.7545967, 22.2520313)));
      final vertex_8_185 = mesh_8.vertices.elementAt(185);
      expect(vertex_8_185, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_186 = mesh_8.vertices.elementAt(186);
      expect(vertex_8_186, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_187 = mesh_8.vertices.elementAt(187);
      expect(vertex_8_187, vector3MoreOrLessEquals(Vector3(0.303561985, 23.7296715, 25.3531437)));
      final vertex_8_188 = mesh_8.vertices.elementAt(188);
      expect(vertex_8_188, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_189 = mesh_8.vertices.elementAt(189);
      expect(vertex_8_189, vector3MoreOrLessEquals(Vector3(1.11806703, 23.7545967, 22.2520313)));
      final vertex_8_190 = mesh_8.vertices.elementAt(190);
      expect(vertex_8_190, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_191 = mesh_8.vertices.elementAt(191);
      expect(vertex_8_191, vector3MoreOrLessEquals(Vector3(-0.308070987, 24.2386189, 22.5312481)));
      final vertex_8_192 = mesh_8.vertices.elementAt(192);
      expect(vertex_8_192, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_193 = mesh_8.vertices.elementAt(193);
      expect(vertex_8_193, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_194 = mesh_8.vertices.elementAt(194);
      expect(vertex_8_194, vector3MoreOrLessEquals(Vector3(0.303561985, 23.7296715, 25.3531437)));
      final vertex_8_195 = mesh_8.vertices.elementAt(195);
      expect(vertex_8_195, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_196 = mesh_8.vertices.elementAt(196);
      expect(vertex_8_196, vector3MoreOrLessEquals(Vector3(11.5766258, 3.19018793, 46.8499069)));
      final vertex_8_197 = mesh_8.vertices.elementAt(197);
      expect(vertex_8_197, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_198 = mesh_8.vertices.elementAt(198);
      expect(vertex_8_198, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_199 = mesh_8.vertices.elementAt(199);
      expect(vertex_8_199, vector3MoreOrLessEquals(Vector3(16.8643856, -30.5079556, 61.231514)));
      final vertex_8_200 = mesh_8.vertices.elementAt(200);
      expect(vertex_8_200, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_201 = mesh_8.vertices.elementAt(201);
      expect(vertex_8_201, vector3MoreOrLessEquals(Vector3(11.5766258, 3.19018793, 46.8499069)));
      final vertex_8_202 = mesh_8.vertices.elementAt(202);
      expect(vertex_8_202, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_203 = mesh_8.vertices.elementAt(203);
      expect(vertex_8_203, vector3MoreOrLessEquals(Vector3(10.4656506, 3.16569495, 48.8797302)));
      final vertex_8_204 = mesh_8.vertices.elementAt(204);
      expect(vertex_8_204, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_205 = mesh_8.vertices.elementAt(205);
      expect(vertex_8_205, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_206 = mesh_8.vertices.elementAt(206);
      expect(vertex_8_206, vector3MoreOrLessEquals(Vector3(16.8643856, -30.5079556, 61.231514)));
      final vertex_8_207 = mesh_8.vertices.elementAt(207);
      expect(vertex_8_207, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_208 = mesh_8.vertices.elementAt(208);
      expect(vertex_8_208, vector3MoreOrLessEquals(Vector3(19.1522141, -38.8267174, 67.8748322)));
      final vertex_8_209 = mesh_8.vertices.elementAt(209);
      expect(vertex_8_209, vector3MoreOrLessEquals(Vector3(18.8209934, -38.4449425, 68.125061)));
      final vertex_8_210 = mesh_8.vertices.elementAt(210);
      expect(vertex_8_210, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_211 = mesh_8.vertices.elementAt(211);
      expect(vertex_8_211, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_212 = mesh_8.vertices.elementAt(212);
      expect(vertex_8_212, vector3MoreOrLessEquals(Vector3(-12.7549858, -8.23180103, 0.0555059984)));
      final vertex_8_213 = mesh_8.vertices.elementAt(213);
      expect(vertex_8_213, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      final vertex_8_214 = mesh_8.vertices.elementAt(214);
      expect(vertex_8_214, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_215 = mesh_8.vertices.elementAt(215);
      expect(vertex_8_215, vector3MoreOrLessEquals(Vector3(19.1522141, -38.8267174, 67.8748322)));
      final vertex_8_216 = mesh_8.vertices.elementAt(216);
      expect(vertex_8_216, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_217 = mesh_8.vertices.elementAt(217);
      expect(vertex_8_217, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_218 = mesh_8.vertices.elementAt(218);
      expect(vertex_8_218, vector3MoreOrLessEquals(Vector3(-12.7549858, -8.23180103, 0.0555059984)));
      final vertex_8_219 = mesh_8.vertices.elementAt(219);
      expect(vertex_8_219, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_220 = mesh_8.vertices.elementAt(220);
      expect(vertex_8_220, vector3MoreOrLessEquals(Vector3(-2.47562003, 4.17272615, 12.9166393)));
      final vertex_8_221 = mesh_8.vertices.elementAt(221);
      expect(vertex_8_221, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_222 = mesh_8.vertices.elementAt(222);
      expect(vertex_8_222, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_223 = mesh_8.vertices.elementAt(223);
      expect(vertex_8_223, vector3MoreOrLessEquals(Vector3(1.11806703, 23.7545967, 22.2520313)));
      final vertex_8_224 = mesh_8.vertices.elementAt(224);
      expect(vertex_8_224, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_225 = mesh_8.vertices.elementAt(225);
      expect(vertex_8_225, vector3MoreOrLessEquals(Vector3(-2.47562003, 4.17272615, 12.9166393)));
      final vertex_8_226 = mesh_8.vertices.elementAt(226);
      expect(vertex_8_226, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_227 = mesh_8.vertices.elementAt(227);
      expect(vertex_8_227, vector3MoreOrLessEquals(Vector3(-4.00415516, 3.07171893, 14.2605953)));
      final vertex_8_228 = mesh_8.vertices.elementAt(228);
      expect(vertex_8_228, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_229 = mesh_8.vertices.elementAt(229);
      expect(vertex_8_229, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_230 = mesh_8.vertices.elementAt(230);
      expect(vertex_8_230, vector3MoreOrLessEquals(Vector3(1.11806703, 23.7545967, 22.2520313)));
      final vertex_8_231 = mesh_8.vertices.elementAt(231);
      expect(vertex_8_231, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_232 = mesh_8.vertices.elementAt(232);
      expect(vertex_8_232, vector3MoreOrLessEquals(Vector3(3.70363402, 24.502615, 23.0664082)));
      final vertex_8_233 = mesh_8.vertices.elementAt(233);
      expect(vertex_8_233, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_234 = mesh_8.vertices.elementAt(234);
      expect(vertex_8_234, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_235 = mesh_8.vertices.elementAt(235);
      expect(vertex_8_235, vector3MoreOrLessEquals(Vector3(11.5766258, 3.19018793, 46.8499069)));
      final vertex_8_236 = mesh_8.vertices.elementAt(236);
      expect(vertex_8_236, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_237 = mesh_8.vertices.elementAt(237);
      expect(vertex_8_237, vector3MoreOrLessEquals(Vector3(3.70363402, 24.502615, 23.0664082)));
      final vertex_8_238 = mesh_8.vertices.elementAt(238);
      expect(vertex_8_238, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_239 = mesh_8.vertices.elementAt(239);
      expect(vertex_8_239, vector3MoreOrLessEquals(Vector3(1.93285394, 23.2039318, 23.7962627)));
      final vertex_8_240 = mesh_8.vertices.elementAt(240);
      expect(vertex_8_240, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_241 = mesh_8.vertices.elementAt(241);
      expect(vertex_8_241, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_242 = mesh_8.vertices.elementAt(242);
      expect(vertex_8_242, vector3MoreOrLessEquals(Vector3(11.5766258, 3.19018793, 46.8499069)));
      final vertex_8_243 = mesh_8.vertices.elementAt(243);
      expect(vertex_8_243, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_244 = mesh_8.vertices.elementAt(244);
      expect(vertex_8_244, vector3MoreOrLessEquals(Vector3(18.5469494, -31.2314377, 60.4449539)));
      final vertex_8_245 = mesh_8.vertices.elementAt(245);
      expect(vertex_8_245, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_246 = mesh_8.vertices.elementAt(246);
      expect(vertex_8_246, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      final vertex_8_247 = mesh_8.vertices.elementAt(247);
      expect(vertex_8_247, vector3MoreOrLessEquals(Vector3(19.1522141, -38.8267174, 67.8748322)));
      final vertex_8_248 = mesh_8.vertices.elementAt(248);
      expect(vertex_8_248, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_249 = mesh_8.vertices.elementAt(249);
      expect(vertex_8_249, vector3MoreOrLessEquals(Vector3(18.5469494, -31.2314377, 60.4449539)));
      final vertex_8_250 = mesh_8.vertices.elementAt(250);
      expect(vertex_8_250, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      final vertex_8_251 = mesh_8.vertices.elementAt(251);
      expect(vertex_8_251, vector3MoreOrLessEquals(Vector3(17.5072479, -31.608736, 60.4298935)));
      final vertex_8_252 = mesh_8.vertices.elementAt(252);
      expect(vertex_8_252, vector3MoreOrLessEquals(Vector3(-14.2564888, -6.9549408, -3.30169106)));
      final vertex_8_253 = mesh_8.vertices.elementAt(253);
      expect(vertex_8_253, vector3MoreOrLessEquals(Vector3(-11.2052116, -7.28023195, -5.84187889)));
      final vertex_8_254 = mesh_8.vertices.elementAt(254);
      expect(vertex_8_254, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_255 = mesh_8.vertices.elementAt(255);
      expect(vertex_8_255, vector3MoreOrLessEquals(Vector3(19.8971176, -38.1551971, 68.0391235)));
      final vertex_8_256 = mesh_8.vertices.elementAt(256);
      expect(vertex_8_256, vector3MoreOrLessEquals(Vector3(19.3483639, -38.1484947, 68.1562805)));
      final vertex_8_257 = mesh_8.vertices.elementAt(257);
      expect(vertex_8_257, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      final vertex_8_258 = mesh_8.vertices.elementAt(258);
      expect(vertex_8_258, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_259 = mesh_8.vertices.elementAt(259);
      expect(vertex_8_259, vector3MoreOrLessEquals(Vector3(-2.47562003, 4.17272615, 12.9166393)));
      final vertex_8_260 = mesh_8.vertices.elementAt(260);
      expect(vertex_8_260, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_261 = mesh_8.vertices.elementAt(261);
      expect(vertex_8_261, vector3MoreOrLessEquals(Vector3(-11.2052116, -7.28023195, -5.84187889)));
      final vertex_8_262 = mesh_8.vertices.elementAt(262);
      expect(vertex_8_262, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_263 = mesh_8.vertices.elementAt(263);
      expect(vertex_8_263, vector3MoreOrLessEquals(Vector3(-10.6054573, -8.23975754, -2.64649796)));
      final vertex_8_264 = mesh_8.vertices.elementAt(264);
      expect(vertex_8_264, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_265 = mesh_8.vertices.elementAt(265);
      expect(vertex_8_265, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_266 = mesh_8.vertices.elementAt(266);
      expect(vertex_8_266, vector3MoreOrLessEquals(Vector3(-2.47562003, 4.17272615, 12.9166393)));
      final vertex_8_267 = mesh_8.vertices.elementAt(267);
      expect(vertex_8_267, vector3MoreOrLessEquals(Vector3(-2.87764907, 5.51760101, 11.0769405)));
      final vertex_8_268 = mesh_8.vertices.elementAt(268);
      expect(vertex_8_268, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_269 = mesh_8.vertices.elementAt(269);
      expect(vertex_8_269, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_270 = mesh_8.vertices.elementAt(270);
      expect(vertex_8_270, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_271 = mesh_8.vertices.elementAt(271);
      expect(vertex_8_271, vector3MoreOrLessEquals(Vector3(3.70363402, 24.502615, 23.0664082)));
      final vertex_8_272 = mesh_8.vertices.elementAt(272);
      expect(vertex_8_272, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_273 = mesh_8.vertices.elementAt(273);
      expect(vertex_8_273, vector3MoreOrLessEquals(Vector3(1.74567401, 26.13694, 21.0078144)));
      final vertex_8_274 = mesh_8.vertices.elementAt(274);
      expect(vertex_8_274, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_275 = mesh_8.vertices.elementAt(275);
      expect(vertex_8_275, vector3MoreOrLessEquals(Vector3(2.03204012, 24.5994377, 21.5740223)));
      final vertex_8_276 = mesh_8.vertices.elementAt(276);
      expect(vertex_8_276, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_277 = mesh_8.vertices.elementAt(277);
      expect(vertex_8_277, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_278 = mesh_8.vertices.elementAt(278);
      expect(vertex_8_278, vector3MoreOrLessEquals(Vector3(3.70363402, 24.502615, 23.0664082)));
      final vertex_8_279 = mesh_8.vertices.elementAt(279);
      expect(vertex_8_279, vector3MoreOrLessEquals(Vector3(4.2824502, 26.6477356, 23.7131443)));
      final vertex_8_280 = mesh_8.vertices.elementAt(280);
      expect(vertex_8_280, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_281 = mesh_8.vertices.elementAt(281);
      expect(vertex_8_281, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_282 = mesh_8.vertices.elementAt(282);
      expect(vertex_8_282, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_283 = mesh_8.vertices.elementAt(283);
      expect(vertex_8_283, vector3MoreOrLessEquals(Vector3(18.5469494, -31.2314377, 60.4449539)));
      final vertex_8_284 = mesh_8.vertices.elementAt(284);
      expect(vertex_8_284, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_285 = mesh_8.vertices.elementAt(285);
      expect(vertex_8_285, vector3MoreOrLessEquals(Vector3(14.860218, 5.64246798, 47.6189728)));
      final vertex_8_286 = mesh_8.vertices.elementAt(286);
      expect(vertex_8_286, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_287 = mesh_8.vertices.elementAt(287);
      expect(vertex_8_287, vector3MoreOrLessEquals(Vector3(13.5323792, 4.29247904, 46.2888565)));
      final vertex_8_288 = mesh_8.vertices.elementAt(288);
      expect(vertex_8_288, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_289 = mesh_8.vertices.elementAt(289);
      expect(vertex_8_289, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      final vertex_8_290 = mesh_8.vertices.elementAt(290);
      expect(vertex_8_290, vector3MoreOrLessEquals(Vector3(18.5469494, -31.2314377, 60.4449539)));
      final vertex_8_291 = mesh_8.vertices.elementAt(291);
      expect(vertex_8_291, vector3MoreOrLessEquals(Vector3(19.2006607, -29.6601524, 61.2653732)));
      final vertex_8_292 = mesh_8.vertices.elementAt(292);
      expect(vertex_8_292, vector3MoreOrLessEquals(Vector3(19.8971176, -38.1551971, 68.0391235)));
      final vertex_8_293 = mesh_8.vertices.elementAt(293);
      expect(vertex_8_293, vector3MoreOrLessEquals(Vector3(19.6311455, -38.6977844, 67.8366394)));
      expect(mesh_8.normals.length, equals(294));
      final normal_8_0 = mesh_8.normals.elementAt(0);
      expect(normal_8_0, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_1 = mesh_8.normals.elementAt(1);
      expect(normal_8_1, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_2 = mesh_8.normals.elementAt(2);
      expect(normal_8_2, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_3 = mesh_8.normals.elementAt(3);
      expect(normal_8_3, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_4 = mesh_8.normals.elementAt(4);
      expect(normal_8_4, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_5 = mesh_8.normals.elementAt(5);
      expect(normal_8_5, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_6 = mesh_8.normals.elementAt(6);
      expect(normal_8_6, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_7 = mesh_8.normals.elementAt(7);
      expect(normal_8_7, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_8 = mesh_8.normals.elementAt(8);
      expect(normal_8_8, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, -0.601426005)));
      final normal_8_9 = mesh_8.normals.elementAt(9);
      expect(normal_8_9, vector3MoreOrLessEquals(Vector3(0.209806994, 0.74278599, -0.635806978)));
      final normal_8_10 = mesh_8.normals.elementAt(10);
      expect(normal_8_10, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_11 = mesh_8.normals.elementAt(11);
      expect(normal_8_11, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, -0.601426005)));
      final normal_8_12 = mesh_8.normals.elementAt(12);
      expect(normal_8_12, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_13 = mesh_8.normals.elementAt(13);
      expect(normal_8_13, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_14 = mesh_8.normals.elementAt(14);
      expect(normal_8_14, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_15 = mesh_8.normals.elementAt(15);
      expect(normal_8_15, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_16 = mesh_8.normals.elementAt(16);
      expect(normal_8_16, vector3MoreOrLessEquals(Vector3(0.0958189964, 0.746430993, -0.65852797)));
      final normal_8_17 = mesh_8.normals.elementAt(17);
      expect(normal_8_17, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_18 = mesh_8.normals.elementAt(18);
      expect(normal_8_18, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_19 = mesh_8.normals.elementAt(19);
      expect(normal_8_19, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_20 = mesh_8.normals.elementAt(20);
      expect(normal_8_20, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_21 = mesh_8.normals.elementAt(21);
      expect(normal_8_21, vector3MoreOrLessEquals(Vector3(0.0958189964, 0.746430993, -0.65852797)));
      final normal_8_22 = mesh_8.normals.elementAt(22);
      expect(normal_8_22, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_23 = mesh_8.normals.elementAt(23);
      expect(normal_8_23, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_24 = mesh_8.normals.elementAt(24);
      expect(normal_8_24, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_25 = mesh_8.normals.elementAt(25);
      expect(normal_8_25, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_26 = mesh_8.normals.elementAt(26);
      expect(normal_8_26, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_27 = mesh_8.normals.elementAt(27);
      expect(normal_8_27, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_28 = mesh_8.normals.elementAt(28);
      expect(normal_8_28, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, 0.420704007)));
      final normal_8_29 = mesh_8.normals.elementAt(29);
      expect(normal_8_29, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_30 = mesh_8.normals.elementAt(30);
      expect(normal_8_30, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_31 = mesh_8.normals.elementAt(31);
      expect(normal_8_31, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_32 = mesh_8.normals.elementAt(32);
      expect(normal_8_32, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_33 = mesh_8.normals.elementAt(33);
      expect(normal_8_33, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, 0.420704007)));
      final normal_8_34 = mesh_8.normals.elementAt(34);
      expect(normal_8_34, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_35 = mesh_8.normals.elementAt(35);
      expect(normal_8_35, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_36 = mesh_8.normals.elementAt(36);
      expect(normal_8_36, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_37 = mesh_8.normals.elementAt(37);
      expect(normal_8_37, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, -0.0794169977)));
      final normal_8_38 = mesh_8.normals.elementAt(38);
      expect(normal_8_38, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_39 = mesh_8.normals.elementAt(39);
      expect(normal_8_39, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_40 = mesh_8.normals.elementAt(40);
      expect(normal_8_40, vector3MoreOrLessEquals(Vector3(0.775767982, 0.382140994, 0.502147973)));
      final normal_8_41 = mesh_8.normals.elementAt(41);
      expect(normal_8_41, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, -0.0794169977)));
      final normal_8_42 = mesh_8.normals.elementAt(42);
      expect(normal_8_42, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_43 = mesh_8.normals.elementAt(43);
      expect(normal_8_43, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_44 = mesh_8.normals.elementAt(44);
      expect(normal_8_44, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_45 = mesh_8.normals.elementAt(45);
      expect(normal_8_45, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_46 = mesh_8.normals.elementAt(46);
      expect(normal_8_46, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_47 = mesh_8.normals.elementAt(47);
      expect(normal_8_47, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_48 = mesh_8.normals.elementAt(48);
      expect(normal_8_48, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, -0.217442006)));
      final normal_8_49 = mesh_8.normals.elementAt(49);
      expect(normal_8_49, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_50 = mesh_8.normals.elementAt(50);
      expect(normal_8_50, vector3MoreOrLessEquals(Vector3(0.209806994, 0.74278599, -0.635806978)));
      final normal_8_51 = mesh_8.normals.elementAt(51);
      expect(normal_8_51, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, -0.217442006)));
      final normal_8_52 = mesh_8.normals.elementAt(52);
      expect(normal_8_52, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, -0.30824101)));
      final normal_8_53 = mesh_8.normals.elementAt(53);
      expect(normal_8_53, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_54 = mesh_8.normals.elementAt(54);
      expect(normal_8_54, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_55 = mesh_8.normals.elementAt(55);
      expect(normal_8_55, vector3MoreOrLessEquals(Vector3(0.0958189964, 0.746430993, -0.65852797)));
      final normal_8_56 = mesh_8.normals.elementAt(56);
      expect(normal_8_56, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_57 = mesh_8.normals.elementAt(57);
      expect(normal_8_57, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, -0.30824101)));
      final normal_8_58 = mesh_8.normals.elementAt(58);
      expect(normal_8_58, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_59 = mesh_8.normals.elementAt(59);
      expect(normal_8_59, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, -0.771489978)));
      final normal_8_60 = mesh_8.normals.elementAt(60);
      expect(normal_8_60, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_61 = mesh_8.normals.elementAt(61);
      expect(normal_8_61, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_62 = mesh_8.normals.elementAt(62);
      expect(normal_8_62, vector3MoreOrLessEquals(Vector3(0.0958189964, 0.746430993, -0.65852797)));
      final normal_8_63 = mesh_8.normals.elementAt(63);
      expect(normal_8_63, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_64 = mesh_8.normals.elementAt(64);
      expect(normal_8_64, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, 0.443607002)));
      final normal_8_65 = mesh_8.normals.elementAt(65);
      expect(normal_8_65, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_66 = mesh_8.normals.elementAt(66);
      expect(normal_8_66, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_67 = mesh_8.normals.elementAt(67);
      expect(normal_8_67, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, 0.420704007)));
      final normal_8_68 = mesh_8.normals.elementAt(68);
      expect(normal_8_68, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_69 = mesh_8.normals.elementAt(69);
      expect(normal_8_69, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, 0.443607002)));
      final normal_8_70 = mesh_8.normals.elementAt(70);
      expect(normal_8_70, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_71 = mesh_8.normals.elementAt(71);
      expect(normal_8_71, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, 0.0333600007)));
      final normal_8_72 = mesh_8.normals.elementAt(72);
      expect(normal_8_72, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_73 = mesh_8.normals.elementAt(73);
      expect(normal_8_73, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_74 = mesh_8.normals.elementAt(74);
      expect(normal_8_74, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, 0.420704007)));
      final normal_8_75 = mesh_8.normals.elementAt(75);
      expect(normal_8_75, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_76 = mesh_8.normals.elementAt(76);
      expect(normal_8_76, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, 0.910445988)));
      final normal_8_77 = mesh_8.normals.elementAt(77);
      expect(normal_8_77, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_78 = mesh_8.normals.elementAt(78);
      expect(normal_8_78, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, 0.857284009)));
      final normal_8_79 = mesh_8.normals.elementAt(79);
      expect(normal_8_79, vector3MoreOrLessEquals(Vector3(0.775767982, 0.382140994, 0.502147973)));
      final normal_8_80 = mesh_8.normals.elementAt(80);
      expect(normal_8_80, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_81 = mesh_8.normals.elementAt(81);
      expect(normal_8_81, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, 0.910445988)));
      final normal_8_82 = mesh_8.normals.elementAt(82);
      expect(normal_8_82, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, 0.857284009)));
      final normal_8_83 = mesh_8.normals.elementAt(83);
      expect(normal_8_83, vector3MoreOrLessEquals(Vector3(0.828561008, 0.316590011, 0.461798012)));
      final normal_8_84 = mesh_8.normals.elementAt(84);
      expect(normal_8_84, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_85 = mesh_8.normals.elementAt(85);
      expect(normal_8_85, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_86 = mesh_8.normals.elementAt(86);
      expect(normal_8_86, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_87 = mesh_8.normals.elementAt(87);
      expect(normal_8_87, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_88 = mesh_8.normals.elementAt(88);
      expect(normal_8_88, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_89 = mesh_8.normals.elementAt(89);
      expect(normal_8_89, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_90 = mesh_8.normals.elementAt(90);
      expect(normal_8_90, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_91 = mesh_8.normals.elementAt(91);
      expect(normal_8_91, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, -0.30824101)));
      final normal_8_92 = mesh_8.normals.elementAt(92);
      expect(normal_8_92, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, -0.217442006)));
      final normal_8_93 = mesh_8.normals.elementAt(93);
      expect(normal_8_93, vector3MoreOrLessEquals(Vector3(-0.856971025, 0.404835999, 0.31891799)));
      final normal_8_94 = mesh_8.normals.elementAt(94);
      expect(normal_8_94, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_95 = mesh_8.normals.elementAt(95);
      expect(normal_8_95, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, -0.217442006)));
      final normal_8_96 = mesh_8.normals.elementAt(96);
      expect(normal_8_96, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_97 = mesh_8.normals.elementAt(97);
      expect(normal_8_97, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_98 = mesh_8.normals.elementAt(98);
      expect(normal_8_98, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, -0.30824101)));
      final normal_8_99 = mesh_8.normals.elementAt(99);
      expect(normal_8_99, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_100 = mesh_8.normals.elementAt(100);
      expect(normal_8_100, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, 0.368845999)));
      final normal_8_101 = mesh_8.normals.elementAt(101);
      expect(normal_8_101, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_102 = mesh_8.normals.elementAt(102);
      expect(normal_8_102, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_103 = mesh_8.normals.elementAt(103);
      expect(normal_8_103, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, 0.443607002)));
      final normal_8_104 = mesh_8.normals.elementAt(104);
      expect(normal_8_104, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_105 = mesh_8.normals.elementAt(105);
      expect(normal_8_105, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, 0.368845999)));
      final normal_8_106 = mesh_8.normals.elementAt(106);
      expect(normal_8_106, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_107 = mesh_8.normals.elementAt(107);
      expect(normal_8_107, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, -0.174753994)));
      final normal_8_108 = mesh_8.normals.elementAt(108);
      expect(normal_8_108, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_109 = mesh_8.normals.elementAt(109);
      expect(normal_8_109, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_110 = mesh_8.normals.elementAt(110);
      expect(normal_8_110, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, 0.443607002)));
      final normal_8_111 = mesh_8.normals.elementAt(111);
      expect(normal_8_111, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_112 = mesh_8.normals.elementAt(112);
      expect(normal_8_112, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506998, 0.612221003)));
      final normal_8_113 = mesh_8.normals.elementAt(113);
      expect(normal_8_113, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_114 = mesh_8.normals.elementAt(114);
      expect(normal_8_114, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_115 = mesh_8.normals.elementAt(115);
      expect(normal_8_115, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, 0.910445988)));
      final normal_8_116 = mesh_8.normals.elementAt(116);
      expect(normal_8_116, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_117 = mesh_8.normals.elementAt(117);
      expect(normal_8_117, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506998, 0.612221003)));
      final normal_8_118 = mesh_8.normals.elementAt(118);
      expect(normal_8_118, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_119 = mesh_8.normals.elementAt(119);
      expect(normal_8_119, vector3MoreOrLessEquals(Vector3(-0.0943790004, 0.527301013, 0.844421029)));
      final normal_8_120 = mesh_8.normals.elementAt(120);
      expect(normal_8_120, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_121 = mesh_8.normals.elementAt(121);
      expect(normal_8_121, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, 0.857284009)));
      final normal_8_122 = mesh_8.normals.elementAt(122);
      expect(normal_8_122, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, 0.910445988)));
      final normal_8_123 = mesh_8.normals.elementAt(123);
      expect(normal_8_123, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_124 = mesh_8.normals.elementAt(124);
      expect(normal_8_124, vector3MoreOrLessEquals(Vector3(-0.809970021, 0.211450994, 0.547025979)));
      final normal_8_125 = mesh_8.normals.elementAt(125);
      expect(normal_8_125, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, 0.857284009)));
      final normal_8_126 = mesh_8.normals.elementAt(126);
      expect(normal_8_126, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_127 = mesh_8.normals.elementAt(127);
      expect(normal_8_127, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_128 = mesh_8.normals.elementAt(128);
      expect(normal_8_128, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_129 = mesh_8.normals.elementAt(129);
      expect(normal_8_129, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_130 = mesh_8.normals.elementAt(130);
      expect(normal_8_130, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_131 = mesh_8.normals.elementAt(131);
      expect(normal_8_131, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_132 = mesh_8.normals.elementAt(132);
      expect(normal_8_132, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, 0.716075003)));
      final normal_8_133 = mesh_8.normals.elementAt(133);
      expect(normal_8_133, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_134 = mesh_8.normals.elementAt(134);
      expect(normal_8_134, vector3MoreOrLessEquals(Vector3(-0.856971025, 0.404835999, 0.31891799)));
      final normal_8_135 = mesh_8.normals.elementAt(135);
      expect(normal_8_135, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, 0.716075003)));
      final normal_8_136 = mesh_8.normals.elementAt(136);
      expect(normal_8_136, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, 0.80300498)));
      final normal_8_137 = mesh_8.normals.elementAt(137);
      expect(normal_8_137, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_138 = mesh_8.normals.elementAt(138);
      expect(normal_8_138, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_139 = mesh_8.normals.elementAt(139);
      expect(normal_8_139, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, 0.368845999)));
      final normal_8_140 = mesh_8.normals.elementAt(140);
      expect(normal_8_140, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_141 = mesh_8.normals.elementAt(141);
      expect(normal_8_141, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, 0.80300498)));
      final normal_8_142 = mesh_8.normals.elementAt(142);
      expect(normal_8_142, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_143 = mesh_8.normals.elementAt(143);
      expect(normal_8_143, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, 0.379521996)));
      final normal_8_144 = mesh_8.normals.elementAt(144);
      expect(normal_8_144, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_145 = mesh_8.normals.elementAt(145);
      expect(normal_8_145, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_146 = mesh_8.normals.elementAt(146);
      expect(normal_8_146, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, 0.368845999)));
      final normal_8_147 = mesh_8.normals.elementAt(147);
      expect(normal_8_147, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_148 = mesh_8.normals.elementAt(148);
      expect(normal_8_148, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592926979, -0.0272359997)));
      final normal_8_149 = mesh_8.normals.elementAt(149);
      expect(normal_8_149, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_150 = mesh_8.normals.elementAt(150);
      expect(normal_8_150, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_151 = mesh_8.normals.elementAt(151);
      expect(normal_8_151, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506998, 0.612221003)));
      final normal_8_152 = mesh_8.normals.elementAt(152);
      expect(normal_8_152, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_153 = mesh_8.normals.elementAt(153);
      expect(normal_8_153, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592926979, -0.0272359997)));
      final normal_8_154 = mesh_8.normals.elementAt(154);
      expect(normal_8_154, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_155 = mesh_8.normals.elementAt(155);
      expect(normal_8_155, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, 0.392239004)));
      final normal_8_156 = mesh_8.normals.elementAt(156);
      expect(normal_8_156, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_157 = mesh_8.normals.elementAt(157);
      expect(normal_8_157, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_158 = mesh_8.normals.elementAt(158);
      expect(normal_8_158, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506998, 0.612221003)));
      final normal_8_159 = mesh_8.normals.elementAt(159);
      expect(normal_8_159, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_160 = mesh_8.normals.elementAt(160);
      expect(normal_8_160, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, 0.0173879992)));
      final normal_8_161 = mesh_8.normals.elementAt(161);
      expect(normal_8_161, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_162 = mesh_8.normals.elementAt(162);
      expect(normal_8_162, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, 0.00499500008)));
      final normal_8_163 = mesh_8.normals.elementAt(163);
      expect(normal_8_163, vector3MoreOrLessEquals(Vector3(-0.809970021, 0.211450994, 0.547025979)));
      final normal_8_164 = mesh_8.normals.elementAt(164);
      expect(normal_8_164, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_165 = mesh_8.normals.elementAt(165);
      expect(normal_8_165, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, 0.0173879992)));
      final normal_8_166 = mesh_8.normals.elementAt(166);
      expect(normal_8_166, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, 0.00499500008)));
      final normal_8_167 = mesh_8.normals.elementAt(167);
      expect(normal_8_167, vector3MoreOrLessEquals(Vector3(-0.809952974, 0.130293995, 0.571838975)));
      final normal_8_168 = mesh_8.normals.elementAt(168);
      expect(normal_8_168, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_169 = mesh_8.normals.elementAt(169);
      expect(normal_8_169, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_170 = mesh_8.normals.elementAt(170);
      expect(normal_8_170, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_171 = mesh_8.normals.elementAt(171);
      expect(normal_8_171, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_172 = mesh_8.normals.elementAt(172);
      expect(normal_8_172, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_173 = mesh_8.normals.elementAt(173);
      expect(normal_8_173, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_174 = mesh_8.normals.elementAt(174);
      expect(normal_8_174, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_175 = mesh_8.normals.elementAt(175);
      expect(normal_8_175, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, 0.80300498)));
      final normal_8_176 = mesh_8.normals.elementAt(176);
      expect(normal_8_176, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, 0.716075003)));
      final normal_8_177 = mesh_8.normals.elementAt(177);
      expect(normal_8_177, vector3MoreOrLessEquals(Vector3(0.150050998, -0.816597998, 0.557361007)));
      final normal_8_178 = mesh_8.normals.elementAt(178);
      expect(normal_8_178, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_179 = mesh_8.normals.elementAt(179);
      expect(normal_8_179, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, 0.716075003)));
      final normal_8_180 = mesh_8.normals.elementAt(180);
      expect(normal_8_180, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_181 = mesh_8.normals.elementAt(181);
      expect(normal_8_181, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_182 = mesh_8.normals.elementAt(182);
      expect(normal_8_182, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, 0.80300498)));
      final normal_8_183 = mesh_8.normals.elementAt(183);
      expect(normal_8_183, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_184 = mesh_8.normals.elementAt(184);
      expect(normal_8_184, vector3MoreOrLessEquals(Vector3(0.30596301, -0.903394997, 0.300439)));
      final normal_8_185 = mesh_8.normals.elementAt(185);
      expect(normal_8_185, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_186 = mesh_8.normals.elementAt(186);
      expect(normal_8_186, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_187 = mesh_8.normals.elementAt(187);
      expect(normal_8_187, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592926979, -0.0272359997)));
      final normal_8_188 = mesh_8.normals.elementAt(188);
      expect(normal_8_188, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_189 = mesh_8.normals.elementAt(189);
      expect(normal_8_189, vector3MoreOrLessEquals(Vector3(0.30596301, -0.903394997, 0.300439)));
      final normal_8_190 = mesh_8.normals.elementAt(190);
      expect(normal_8_190, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_191 = mesh_8.normals.elementAt(191);
      expect(normal_8_191, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, 0.552030027)));
      final normal_8_192 = mesh_8.normals.elementAt(192);
      expect(normal_8_192, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_193 = mesh_8.normals.elementAt(193);
      expect(normal_8_193, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_194 = mesh_8.normals.elementAt(194);
      expect(normal_8_194, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592926979, -0.0272359997)));
      final normal_8_195 = mesh_8.normals.elementAt(195);
      expect(normal_8_195, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_196 = mesh_8.normals.elementAt(196);
      expect(normal_8_196, vector3MoreOrLessEquals(Vector3(-0.379303992, -0.604700983, -0.700331986)));
      final normal_8_197 = mesh_8.normals.elementAt(197);
      expect(normal_8_197, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_198 = mesh_8.normals.elementAt(198);
      expect(normal_8_198, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_199 = mesh_8.normals.elementAt(199);
      expect(normal_8_199, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, 0.0173879992)));
      final normal_8_200 = mesh_8.normals.elementAt(200);
      expect(normal_8_200, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_201 = mesh_8.normals.elementAt(201);
      expect(normal_8_201, vector3MoreOrLessEquals(Vector3(-0.379303992, -0.604700983, -0.700331986)));
      final normal_8_202 = mesh_8.normals.elementAt(202);
      expect(normal_8_202, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_203 = mesh_8.normals.elementAt(203);
      expect(normal_8_203, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, -0.0478649996)));
      final normal_8_204 = mesh_8.normals.elementAt(204);
      expect(normal_8_204, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_205 = mesh_8.normals.elementAt(205);
      expect(normal_8_205, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, 0.00499500008)));
      final normal_8_206 = mesh_8.normals.elementAt(206);
      expect(normal_8_206, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, 0.0173879992)));
      final normal_8_207 = mesh_8.normals.elementAt(207);
      expect(normal_8_207, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_208 = mesh_8.normals.elementAt(208);
      expect(normal_8_208, vector3MoreOrLessEquals(Vector3(-0.396771014, -0.701295018, -0.592248976)));
      final normal_8_209 = mesh_8.normals.elementAt(209);
      expect(normal_8_209, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, 0.00499500008)));
      final normal_8_210 = mesh_8.normals.elementAt(210);
      expect(normal_8_210, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_211 = mesh_8.normals.elementAt(211);
      expect(normal_8_211, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_212 = mesh_8.normals.elementAt(212);
      expect(normal_8_212, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_213 = mesh_8.normals.elementAt(213);
      expect(normal_8_213, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_214 = mesh_8.normals.elementAt(214);
      expect(normal_8_214, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_215 = mesh_8.normals.elementAt(215);
      expect(normal_8_215, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_216 = mesh_8.normals.elementAt(216);
      expect(normal_8_216, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, -0.00651799981)));
      final normal_8_217 = mesh_8.normals.elementAt(217);
      expect(normal_8_217, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_218 = mesh_8.normals.elementAt(218);
      expect(normal_8_218, vector3MoreOrLessEquals(Vector3(0.150050998, -0.816597998, 0.557361007)));
      final normal_8_219 = mesh_8.normals.elementAt(219);
      expect(normal_8_219, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, -0.00651799981)));
      final normal_8_220 = mesh_8.normals.elementAt(220);
      expect(normal_8_220, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, 0.0339660011)));
      final normal_8_221 = mesh_8.normals.elementAt(221);
      expect(normal_8_221, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_222 = mesh_8.normals.elementAt(222);
      expect(normal_8_222, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_223 = mesh_8.normals.elementAt(223);
      expect(normal_8_223, vector3MoreOrLessEquals(Vector3(0.30596301, -0.903394997, 0.300439)));
      final normal_8_224 = mesh_8.normals.elementAt(224);
      expect(normal_8_224, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_225 = mesh_8.normals.elementAt(225);
      expect(normal_8_225, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, 0.0339660011)));
      final normal_8_226 = mesh_8.normals.elementAt(226);
      expect(normal_8_226, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_227 = mesh_8.normals.elementAt(227);
      expect(normal_8_227, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, 0.681044996)));
      final normal_8_228 = mesh_8.normals.elementAt(228);
      expect(normal_8_228, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_229 = mesh_8.normals.elementAt(229);
      expect(normal_8_229, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_230 = mesh_8.normals.elementAt(230);
      expect(normal_8_230, vector3MoreOrLessEquals(Vector3(0.30596301, -0.903394997, 0.300439)));
      final normal_8_231 = mesh_8.normals.elementAt(231);
      expect(normal_8_231, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_232 = mesh_8.normals.elementAt(232);
      expect(normal_8_232, vector3MoreOrLessEquals(Vector3(0.605499983, -0.431677997, -0.668597996)));
      final normal_8_233 = mesh_8.normals.elementAt(233);
      expect(normal_8_233, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_234 = mesh_8.normals.elementAt(234);
      expect(normal_8_234, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_235 = mesh_8.normals.elementAt(235);
      expect(normal_8_235, vector3MoreOrLessEquals(Vector3(-0.379303992, -0.604700983, -0.700331986)));
      final normal_8_236 = mesh_8.normals.elementAt(236);
      expect(normal_8_236, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_237 = mesh_8.normals.elementAt(237);
      expect(normal_8_237, vector3MoreOrLessEquals(Vector3(0.605499983, -0.431677997, -0.668597996)));
      final normal_8_238 = mesh_8.normals.elementAt(238);
      expect(normal_8_238, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_239 = mesh_8.normals.elementAt(239);
      expect(normal_8_239, vector3MoreOrLessEquals(Vector3(-0.106894001, -0.879100025, -0.464497)));
      final normal_8_240 = mesh_8.normals.elementAt(240);
      expect(normal_8_240, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_241 = mesh_8.normals.elementAt(241);
      expect(normal_8_241, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_242 = mesh_8.normals.elementAt(242);
      expect(normal_8_242, vector3MoreOrLessEquals(Vector3(-0.379303992, -0.604700983, -0.700331986)));
      final normal_8_243 = mesh_8.normals.elementAt(243);
      expect(normal_8_243, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_244 = mesh_8.normals.elementAt(244);
      expect(normal_8_244, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, -0.702354014)));
      final normal_8_245 = mesh_8.normals.elementAt(245);
      expect(normal_8_245, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_246 = mesh_8.normals.elementAt(246);
      expect(normal_8_246, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126982, -0.608586013)));
      final normal_8_247 = mesh_8.normals.elementAt(247);
      expect(normal_8_247, vector3MoreOrLessEquals(Vector3(-0.396771014, -0.701295018, -0.592248976)));
      final normal_8_248 = mesh_8.normals.elementAt(248);
      expect(normal_8_248, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_249 = mesh_8.normals.elementAt(249);
      expect(normal_8_249, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, -0.702354014)));
      final normal_8_250 = mesh_8.normals.elementAt(250);
      expect(normal_8_250, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126982, -0.608586013)));
      final normal_8_251 = mesh_8.normals.elementAt(251);
      expect(normal_8_251, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, -0.698526978)));
      final normal_8_252 = mesh_8.normals.elementAt(252);
      expect(normal_8_252, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_253 = mesh_8.normals.elementAt(253);
      expect(normal_8_253, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_254 = mesh_8.normals.elementAt(254);
      expect(normal_8_254, vector3MoreOrLessEquals(Vector3(-0.287102997, -0.930940986, -0.225656003)));
      final normal_8_255 = mesh_8.normals.elementAt(255);
      expect(normal_8_255, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_256 = mesh_8.normals.elementAt(256);
      expect(normal_8_256, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_257 = mesh_8.normals.elementAt(257);
      expect(normal_8_257, vector3MoreOrLessEquals(Vector3(0.184367999, -0.421801001, 0.887745976)));
      final normal_8_258 = mesh_8.normals.elementAt(258);
      expect(normal_8_258, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_259 = mesh_8.normals.elementAt(259);
      expect(normal_8_259, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, 0.0339660011)));
      final normal_8_260 = mesh_8.normals.elementAt(260);
      expect(normal_8_260, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, -0.00651799981)));
      final normal_8_261 = mesh_8.normals.elementAt(261);
      expect(normal_8_261, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, -0.601426005)));
      final normal_8_262 = mesh_8.normals.elementAt(262);
      expect(normal_8_262, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_263 = mesh_8.normals.elementAt(263);
      expect(normal_8_263, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, -0.00651799981)));
      final normal_8_264 = mesh_8.normals.elementAt(264);
      expect(normal_8_264, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_265 = mesh_8.normals.elementAt(265);
      expect(normal_8_265, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_266 = mesh_8.normals.elementAt(266);
      expect(normal_8_266, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, 0.0339660011)));
      final normal_8_267 = mesh_8.normals.elementAt(267);
      expect(normal_8_267, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, -0.514517009)));
      final normal_8_268 = mesh_8.normals.elementAt(268);
      expect(normal_8_268, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_269 = mesh_8.normals.elementAt(269);
      expect(normal_8_269, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_270 = mesh_8.normals.elementAt(270);
      expect(normal_8_270, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_271 = mesh_8.normals.elementAt(271);
      expect(normal_8_271, vector3MoreOrLessEquals(Vector3(0.605499983, -0.431677997, -0.668597996)));
      final normal_8_272 = mesh_8.normals.elementAt(272);
      expect(normal_8_272, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_273 = mesh_8.normals.elementAt(273);
      expect(normal_8_273, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, -0.694540024)));
      final normal_8_274 = mesh_8.normals.elementAt(274);
      expect(normal_8_274, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_275 = mesh_8.normals.elementAt(275);
      expect(normal_8_275, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393371999, -0.316417992)));
      final normal_8_276 = mesh_8.normals.elementAt(276);
      expect(normal_8_276, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_277 = mesh_8.normals.elementAt(277);
      expect(normal_8_277, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_278 = mesh_8.normals.elementAt(278);
      expect(normal_8_278, vector3MoreOrLessEquals(Vector3(0.605499983, -0.431677997, -0.668597996)));
      final normal_8_279 = mesh_8.normals.elementAt(279);
      expect(normal_8_279, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, -0.54114598)));
      final normal_8_280 = mesh_8.normals.elementAt(280);
      expect(normal_8_280, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_281 = mesh_8.normals.elementAt(281);
      expect(normal_8_281, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_282 = mesh_8.normals.elementAt(282);
      expect(normal_8_282, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_283 = mesh_8.normals.elementAt(283);
      expect(normal_8_283, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, -0.702354014)));
      final normal_8_284 = mesh_8.normals.elementAt(284);
      expect(normal_8_284, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_285 = mesh_8.normals.elementAt(285);
      expect(normal_8_285, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, -0.179176003)));
      final normal_8_286 = mesh_8.normals.elementAt(286);
      expect(normal_8_286, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_287 = mesh_8.normals.elementAt(287);
      expect(normal_8_287, vector3MoreOrLessEquals(Vector3(0.534228981, -0.375452012, -0.757386982)));
      final normal_8_288 = mesh_8.normals.elementAt(288);
      expect(normal_8_288, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_289 = mesh_8.normals.elementAt(289);
      expect(normal_8_289, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126982, -0.608586013)));
      final normal_8_290 = mesh_8.normals.elementAt(290);
      expect(normal_8_290, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, -0.702354014)));
      final normal_8_291 = mesh_8.normals.elementAt(291);
      expect(normal_8_291, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, -0.322182)));
      final normal_8_292 = mesh_8.normals.elementAt(292);
      expect(normal_8_292, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, -0.0794169977)));
      final normal_8_293 = mesh_8.normals.elementAt(293);
      expect(normal_8_293, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126982, -0.608586013)));
      expect(mesh_8.tangents.length, isZero);
      expect(mesh_8.bitangents.length, isZero);
      expect(mesh_8.colors.length, isZero);
      expect(mesh_8.textureCoords.length, equals(1));
      final textureCoords_8_0 = mesh_8.textureCoords.elementAt(0);
      expect(textureCoords_8_0.length, equals(294));
      final textureCoord_8_0_0 = textureCoords_8_0.elementAt(0);
      expect(textureCoord_8_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_1 = textureCoords_8_0.elementAt(1);
      expect(textureCoord_8_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_2 = textureCoords_8_0.elementAt(2);
      expect(textureCoord_8_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_3 = textureCoords_8_0.elementAt(3);
      expect(textureCoord_8_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_4 = textureCoords_8_0.elementAt(4);
      expect(textureCoord_8_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_5 = textureCoords_8_0.elementAt(5);
      expect(textureCoord_8_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_6 = textureCoords_8_0.elementAt(6);
      expect(textureCoord_8_0_6, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_7 = textureCoords_8_0.elementAt(7);
      expect(textureCoord_8_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_8_0_8 = textureCoords_8_0.elementAt(8);
      expect(textureCoord_8_0_8, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_9 = textureCoords_8_0.elementAt(9);
      expect(textureCoord_8_0_9, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_8_0_10 = textureCoords_8_0.elementAt(10);
      expect(textureCoord_8_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_11 = textureCoords_8_0.elementAt(11);
      expect(textureCoord_8_0_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_8_0_12 = textureCoords_8_0.elementAt(12);
      expect(textureCoord_8_0_12, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_13 = textureCoords_8_0.elementAt(13);
      expect(textureCoord_8_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_8_0_14 = textureCoords_8_0.elementAt(14);
      expect(textureCoord_8_0_14, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_8_0_15 = textureCoords_8_0.elementAt(15);
      expect(textureCoord_8_0_15, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_16 = textureCoords_8_0.elementAt(16);
      expect(textureCoord_8_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_8_0_17 = textureCoords_8_0.elementAt(17);
      expect(textureCoord_8_0_17, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_8_0_18 = textureCoords_8_0.elementAt(18);
      expect(textureCoord_8_0_18, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_19 = textureCoords_8_0.elementAt(19);
      expect(textureCoord_8_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_8_0_20 = textureCoords_8_0.elementAt(20);
      expect(textureCoord_8_0_20, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_8_0_21 = textureCoords_8_0.elementAt(21);
      expect(textureCoord_8_0_21, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_8_0_22 = textureCoords_8_0.elementAt(22);
      expect(textureCoord_8_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_23 = textureCoords_8_0.elementAt(23);
      expect(textureCoord_8_0_23, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_8_0_24 = textureCoords_8_0.elementAt(24);
      expect(textureCoord_8_0_24, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_25 = textureCoords_8_0.elementAt(25);
      expect(textureCoord_8_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_8_0_26 = textureCoords_8_0.elementAt(26);
      expect(textureCoord_8_0_26, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_8_0_27 = textureCoords_8_0.elementAt(27);
      expect(textureCoord_8_0_27, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_28 = textureCoords_8_0.elementAt(28);
      expect(textureCoord_8_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_8_0_29 = textureCoords_8_0.elementAt(29);
      expect(textureCoord_8_0_29, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_8_0_30 = textureCoords_8_0.elementAt(30);
      expect(textureCoord_8_0_30, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_31 = textureCoords_8_0.elementAt(31);
      expect(textureCoord_8_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_8_0_32 = textureCoords_8_0.elementAt(32);
      expect(textureCoord_8_0_32, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_8_0_33 = textureCoords_8_0.elementAt(33);
      expect(textureCoord_8_0_33, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_8_0_34 = textureCoords_8_0.elementAt(34);
      expect(textureCoord_8_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_35 = textureCoords_8_0.elementAt(35);
      expect(textureCoord_8_0_35, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_8_0_36 = textureCoords_8_0.elementAt(36);
      expect(textureCoord_8_0_36, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_37 = textureCoords_8_0.elementAt(37);
      expect(textureCoord_8_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_38 = textureCoords_8_0.elementAt(38);
      expect(textureCoord_8_0_38, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_8_0_39 = textureCoords_8_0.elementAt(39);
      expect(textureCoord_8_0_39, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_40 = textureCoords_8_0.elementAt(40);
      expect(textureCoord_8_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_8_0_41 = textureCoords_8_0.elementAt(41);
      expect(textureCoord_8_0_41, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_42 = textureCoords_8_0.elementAt(42);
      expect(textureCoord_8_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_43 = textureCoords_8_0.elementAt(43);
      expect(textureCoord_8_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_44 = textureCoords_8_0.elementAt(44);
      expect(textureCoord_8_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_45 = textureCoords_8_0.elementAt(45);
      expect(textureCoord_8_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_46 = textureCoords_8_0.elementAt(46);
      expect(textureCoord_8_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_47 = textureCoords_8_0.elementAt(47);
      expect(textureCoord_8_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_48 = textureCoords_8_0.elementAt(48);
      expect(textureCoord_8_0_48, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_8_0_49 = textureCoords_8_0.elementAt(49);
      expect(textureCoord_8_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_50 = textureCoords_8_0.elementAt(50);
      expect(textureCoord_8_0_50, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_8_0_51 = textureCoords_8_0.elementAt(51);
      expect(textureCoord_8_0_51, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_8_0_52 = textureCoords_8_0.elementAt(52);
      expect(textureCoord_8_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_8_0_53 = textureCoords_8_0.elementAt(53);
      expect(textureCoord_8_0_53, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_54 = textureCoords_8_0.elementAt(54);
      expect(textureCoord_8_0_54, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_55 = textureCoords_8_0.elementAt(55);
      expect(textureCoord_8_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_8_0_56 = textureCoords_8_0.elementAt(56);
      expect(textureCoord_8_0_56, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_57 = textureCoords_8_0.elementAt(57);
      expect(textureCoord_8_0_57, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_8_0_58 = textureCoords_8_0.elementAt(58);
      expect(textureCoord_8_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_59 = textureCoords_8_0.elementAt(59);
      expect(textureCoord_8_0_59, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_8_0_60 = textureCoords_8_0.elementAt(60);
      expect(textureCoord_8_0_60, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_61 = textureCoords_8_0.elementAt(61);
      expect(textureCoord_8_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_62 = textureCoords_8_0.elementAt(62);
      expect(textureCoord_8_0_62, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_8_0_63 = textureCoords_8_0.elementAt(63);
      expect(textureCoord_8_0_63, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_64 = textureCoords_8_0.elementAt(64);
      expect(textureCoord_8_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_8_0_65 = textureCoords_8_0.elementAt(65);
      expect(textureCoord_8_0_65, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_66 = textureCoords_8_0.elementAt(66);
      expect(textureCoord_8_0_66, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_67 = textureCoords_8_0.elementAt(67);
      expect(textureCoord_8_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_8_0_68 = textureCoords_8_0.elementAt(68);
      expect(textureCoord_8_0_68, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_69 = textureCoords_8_0.elementAt(69);
      expect(textureCoord_8_0_69, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_8_0_70 = textureCoords_8_0.elementAt(70);
      expect(textureCoord_8_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_71 = textureCoords_8_0.elementAt(71);
      expect(textureCoord_8_0_71, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_8_0_72 = textureCoords_8_0.elementAt(72);
      expect(textureCoord_8_0_72, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_73 = textureCoords_8_0.elementAt(73);
      expect(textureCoord_8_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_74 = textureCoords_8_0.elementAt(74);
      expect(textureCoord_8_0_74, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_8_0_75 = textureCoords_8_0.elementAt(75);
      expect(textureCoord_8_0_75, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_76 = textureCoords_8_0.elementAt(76);
      expect(textureCoord_8_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_8_0_77 = textureCoords_8_0.elementAt(77);
      expect(textureCoord_8_0_77, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_78 = textureCoords_8_0.elementAt(78);
      expect(textureCoord_8_0_78, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_8_0_79 = textureCoords_8_0.elementAt(79);
      expect(textureCoord_8_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_8_0_80 = textureCoords_8_0.elementAt(80);
      expect(textureCoord_8_0_80, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_81 = textureCoords_8_0.elementAt(81);
      expect(textureCoord_8_0_81, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_8_0_82 = textureCoords_8_0.elementAt(82);
      expect(textureCoord_8_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_8_0_83 = textureCoords_8_0.elementAt(83);
      expect(textureCoord_8_0_83, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_8_0_84 = textureCoords_8_0.elementAt(84);
      expect(textureCoord_8_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_85 = textureCoords_8_0.elementAt(85);
      expect(textureCoord_8_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_86 = textureCoords_8_0.elementAt(86);
      expect(textureCoord_8_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_87 = textureCoords_8_0.elementAt(87);
      expect(textureCoord_8_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_88 = textureCoords_8_0.elementAt(88);
      expect(textureCoord_8_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_89 = textureCoords_8_0.elementAt(89);
      expect(textureCoord_8_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_90 = textureCoords_8_0.elementAt(90);
      expect(textureCoord_8_0_90, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_91 = textureCoords_8_0.elementAt(91);
      expect(textureCoord_8_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_8_0_92 = textureCoords_8_0.elementAt(92);
      expect(textureCoord_8_0_92, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_8_0_93 = textureCoords_8_0.elementAt(93);
      expect(textureCoord_8_0_93, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_8_0_94 = textureCoords_8_0.elementAt(94);
      expect(textureCoord_8_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_95 = textureCoords_8_0.elementAt(95);
      expect(textureCoord_8_0_95, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_8_0_96 = textureCoords_8_0.elementAt(96);
      expect(textureCoord_8_0_96, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_97 = textureCoords_8_0.elementAt(97);
      expect(textureCoord_8_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_98 = textureCoords_8_0.elementAt(98);
      expect(textureCoord_8_0_98, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_8_0_99 = textureCoords_8_0.elementAt(99);
      expect(textureCoord_8_0_99, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_100 = textureCoords_8_0.elementAt(100);
      expect(textureCoord_8_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_8_0_101 = textureCoords_8_0.elementAt(101);
      expect(textureCoord_8_0_101, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_102 = textureCoords_8_0.elementAt(102);
      expect(textureCoord_8_0_102, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_103 = textureCoords_8_0.elementAt(103);
      expect(textureCoord_8_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_8_0_104 = textureCoords_8_0.elementAt(104);
      expect(textureCoord_8_0_104, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_105 = textureCoords_8_0.elementAt(105);
      expect(textureCoord_8_0_105, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_8_0_106 = textureCoords_8_0.elementAt(106);
      expect(textureCoord_8_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_107 = textureCoords_8_0.elementAt(107);
      expect(textureCoord_8_0_107, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_8_0_108 = textureCoords_8_0.elementAt(108);
      expect(textureCoord_8_0_108, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_109 = textureCoords_8_0.elementAt(109);
      expect(textureCoord_8_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_110 = textureCoords_8_0.elementAt(110);
      expect(textureCoord_8_0_110, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_8_0_111 = textureCoords_8_0.elementAt(111);
      expect(textureCoord_8_0_111, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_112 = textureCoords_8_0.elementAt(112);
      expect(textureCoord_8_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_8_0_113 = textureCoords_8_0.elementAt(113);
      expect(textureCoord_8_0_113, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_114 = textureCoords_8_0.elementAt(114);
      expect(textureCoord_8_0_114, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_115 = textureCoords_8_0.elementAt(115);
      expect(textureCoord_8_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_8_0_116 = textureCoords_8_0.elementAt(116);
      expect(textureCoord_8_0_116, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_117 = textureCoords_8_0.elementAt(117);
      expect(textureCoord_8_0_117, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_8_0_118 = textureCoords_8_0.elementAt(118);
      expect(textureCoord_8_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_119 = textureCoords_8_0.elementAt(119);
      expect(textureCoord_8_0_119, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_8_0_120 = textureCoords_8_0.elementAt(120);
      expect(textureCoord_8_0_120, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_121 = textureCoords_8_0.elementAt(121);
      expect(textureCoord_8_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_8_0_122 = textureCoords_8_0.elementAt(122);
      expect(textureCoord_8_0_122, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_8_0_123 = textureCoords_8_0.elementAt(123);
      expect(textureCoord_8_0_123, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_124 = textureCoords_8_0.elementAt(124);
      expect(textureCoord_8_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_8_0_125 = textureCoords_8_0.elementAt(125);
      expect(textureCoord_8_0_125, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_8_0_126 = textureCoords_8_0.elementAt(126);
      expect(textureCoord_8_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_127 = textureCoords_8_0.elementAt(127);
      expect(textureCoord_8_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_128 = textureCoords_8_0.elementAt(128);
      expect(textureCoord_8_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_129 = textureCoords_8_0.elementAt(129);
      expect(textureCoord_8_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_130 = textureCoords_8_0.elementAt(130);
      expect(textureCoord_8_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_131 = textureCoords_8_0.elementAt(131);
      expect(textureCoord_8_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_132 = textureCoords_8_0.elementAt(132);
      expect(textureCoord_8_0_132, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_8_0_133 = textureCoords_8_0.elementAt(133);
      expect(textureCoord_8_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_134 = textureCoords_8_0.elementAt(134);
      expect(textureCoord_8_0_134, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_8_0_135 = textureCoords_8_0.elementAt(135);
      expect(textureCoord_8_0_135, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_8_0_136 = textureCoords_8_0.elementAt(136);
      expect(textureCoord_8_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_8_0_137 = textureCoords_8_0.elementAt(137);
      expect(textureCoord_8_0_137, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_138 = textureCoords_8_0.elementAt(138);
      expect(textureCoord_8_0_138, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_139 = textureCoords_8_0.elementAt(139);
      expect(textureCoord_8_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_8_0_140 = textureCoords_8_0.elementAt(140);
      expect(textureCoord_8_0_140, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_141 = textureCoords_8_0.elementAt(141);
      expect(textureCoord_8_0_141, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_8_0_142 = textureCoords_8_0.elementAt(142);
      expect(textureCoord_8_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_143 = textureCoords_8_0.elementAt(143);
      expect(textureCoord_8_0_143, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_8_0_144 = textureCoords_8_0.elementAt(144);
      expect(textureCoord_8_0_144, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_145 = textureCoords_8_0.elementAt(145);
      expect(textureCoord_8_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_146 = textureCoords_8_0.elementAt(146);
      expect(textureCoord_8_0_146, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_8_0_147 = textureCoords_8_0.elementAt(147);
      expect(textureCoord_8_0_147, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_148 = textureCoords_8_0.elementAt(148);
      expect(textureCoord_8_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_8_0_149 = textureCoords_8_0.elementAt(149);
      expect(textureCoord_8_0_149, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_150 = textureCoords_8_0.elementAt(150);
      expect(textureCoord_8_0_150, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_151 = textureCoords_8_0.elementAt(151);
      expect(textureCoord_8_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_8_0_152 = textureCoords_8_0.elementAt(152);
      expect(textureCoord_8_0_152, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_153 = textureCoords_8_0.elementAt(153);
      expect(textureCoord_8_0_153, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_8_0_154 = textureCoords_8_0.elementAt(154);
      expect(textureCoord_8_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_155 = textureCoords_8_0.elementAt(155);
      expect(textureCoord_8_0_155, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_8_0_156 = textureCoords_8_0.elementAt(156);
      expect(textureCoord_8_0_156, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_157 = textureCoords_8_0.elementAt(157);
      expect(textureCoord_8_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_158 = textureCoords_8_0.elementAt(158);
      expect(textureCoord_8_0_158, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_8_0_159 = textureCoords_8_0.elementAt(159);
      expect(textureCoord_8_0_159, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_160 = textureCoords_8_0.elementAt(160);
      expect(textureCoord_8_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_8_0_161 = textureCoords_8_0.elementAt(161);
      expect(textureCoord_8_0_161, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_162 = textureCoords_8_0.elementAt(162);
      expect(textureCoord_8_0_162, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_8_0_163 = textureCoords_8_0.elementAt(163);
      expect(textureCoord_8_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_8_0_164 = textureCoords_8_0.elementAt(164);
      expect(textureCoord_8_0_164, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_165 = textureCoords_8_0.elementAt(165);
      expect(textureCoord_8_0_165, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_8_0_166 = textureCoords_8_0.elementAt(166);
      expect(textureCoord_8_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_8_0_167 = textureCoords_8_0.elementAt(167);
      expect(textureCoord_8_0_167, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_8_0_168 = textureCoords_8_0.elementAt(168);
      expect(textureCoord_8_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_169 = textureCoords_8_0.elementAt(169);
      expect(textureCoord_8_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_170 = textureCoords_8_0.elementAt(170);
      expect(textureCoord_8_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_171 = textureCoords_8_0.elementAt(171);
      expect(textureCoord_8_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_172 = textureCoords_8_0.elementAt(172);
      expect(textureCoord_8_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_173 = textureCoords_8_0.elementAt(173);
      expect(textureCoord_8_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_174 = textureCoords_8_0.elementAt(174);
      expect(textureCoord_8_0_174, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_175 = textureCoords_8_0.elementAt(175);
      expect(textureCoord_8_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_8_0_176 = textureCoords_8_0.elementAt(176);
      expect(textureCoord_8_0_176, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_8_0_177 = textureCoords_8_0.elementAt(177);
      expect(textureCoord_8_0_177, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_8_0_178 = textureCoords_8_0.elementAt(178);
      expect(textureCoord_8_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_179 = textureCoords_8_0.elementAt(179);
      expect(textureCoord_8_0_179, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_8_0_180 = textureCoords_8_0.elementAt(180);
      expect(textureCoord_8_0_180, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_181 = textureCoords_8_0.elementAt(181);
      expect(textureCoord_8_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_182 = textureCoords_8_0.elementAt(182);
      expect(textureCoord_8_0_182, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_8_0_183 = textureCoords_8_0.elementAt(183);
      expect(textureCoord_8_0_183, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_184 = textureCoords_8_0.elementAt(184);
      expect(textureCoord_8_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_8_0_185 = textureCoords_8_0.elementAt(185);
      expect(textureCoord_8_0_185, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_186 = textureCoords_8_0.elementAt(186);
      expect(textureCoord_8_0_186, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_187 = textureCoords_8_0.elementAt(187);
      expect(textureCoord_8_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_8_0_188 = textureCoords_8_0.elementAt(188);
      expect(textureCoord_8_0_188, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_189 = textureCoords_8_0.elementAt(189);
      expect(textureCoord_8_0_189, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_8_0_190 = textureCoords_8_0.elementAt(190);
      expect(textureCoord_8_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_191 = textureCoords_8_0.elementAt(191);
      expect(textureCoord_8_0_191, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_8_0_192 = textureCoords_8_0.elementAt(192);
      expect(textureCoord_8_0_192, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_193 = textureCoords_8_0.elementAt(193);
      expect(textureCoord_8_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_194 = textureCoords_8_0.elementAt(194);
      expect(textureCoord_8_0_194, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_8_0_195 = textureCoords_8_0.elementAt(195);
      expect(textureCoord_8_0_195, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_196 = textureCoords_8_0.elementAt(196);
      expect(textureCoord_8_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_8_0_197 = textureCoords_8_0.elementAt(197);
      expect(textureCoord_8_0_197, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_198 = textureCoords_8_0.elementAt(198);
      expect(textureCoord_8_0_198, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_199 = textureCoords_8_0.elementAt(199);
      expect(textureCoord_8_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_8_0_200 = textureCoords_8_0.elementAt(200);
      expect(textureCoord_8_0_200, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_201 = textureCoords_8_0.elementAt(201);
      expect(textureCoord_8_0_201, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_8_0_202 = textureCoords_8_0.elementAt(202);
      expect(textureCoord_8_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_203 = textureCoords_8_0.elementAt(203);
      expect(textureCoord_8_0_203, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_8_0_204 = textureCoords_8_0.elementAt(204);
      expect(textureCoord_8_0_204, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_205 = textureCoords_8_0.elementAt(205);
      expect(textureCoord_8_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_8_0_206 = textureCoords_8_0.elementAt(206);
      expect(textureCoord_8_0_206, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_8_0_207 = textureCoords_8_0.elementAt(207);
      expect(textureCoord_8_0_207, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_208 = textureCoords_8_0.elementAt(208);
      expect(textureCoord_8_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_8_0_209 = textureCoords_8_0.elementAt(209);
      expect(textureCoord_8_0_209, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_8_0_210 = textureCoords_8_0.elementAt(210);
      expect(textureCoord_8_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_211 = textureCoords_8_0.elementAt(211);
      expect(textureCoord_8_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_212 = textureCoords_8_0.elementAt(212);
      expect(textureCoord_8_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_213 = textureCoords_8_0.elementAt(213);
      expect(textureCoord_8_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_214 = textureCoords_8_0.elementAt(214);
      expect(textureCoord_8_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_215 = textureCoords_8_0.elementAt(215);
      expect(textureCoord_8_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_216 = textureCoords_8_0.elementAt(216);
      expect(textureCoord_8_0_216, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_8_0_217 = textureCoords_8_0.elementAt(217);
      expect(textureCoord_8_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_218 = textureCoords_8_0.elementAt(218);
      expect(textureCoord_8_0_218, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_8_0_219 = textureCoords_8_0.elementAt(219);
      expect(textureCoord_8_0_219, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_8_0_220 = textureCoords_8_0.elementAt(220);
      expect(textureCoord_8_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_8_0_221 = textureCoords_8_0.elementAt(221);
      expect(textureCoord_8_0_221, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_222 = textureCoords_8_0.elementAt(222);
      expect(textureCoord_8_0_222, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_223 = textureCoords_8_0.elementAt(223);
      expect(textureCoord_8_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_8_0_224 = textureCoords_8_0.elementAt(224);
      expect(textureCoord_8_0_224, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_225 = textureCoords_8_0.elementAt(225);
      expect(textureCoord_8_0_225, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_8_0_226 = textureCoords_8_0.elementAt(226);
      expect(textureCoord_8_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_227 = textureCoords_8_0.elementAt(227);
      expect(textureCoord_8_0_227, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_8_0_228 = textureCoords_8_0.elementAt(228);
      expect(textureCoord_8_0_228, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_229 = textureCoords_8_0.elementAt(229);
      expect(textureCoord_8_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_230 = textureCoords_8_0.elementAt(230);
      expect(textureCoord_8_0_230, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_8_0_231 = textureCoords_8_0.elementAt(231);
      expect(textureCoord_8_0_231, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_232 = textureCoords_8_0.elementAt(232);
      expect(textureCoord_8_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_8_0_233 = textureCoords_8_0.elementAt(233);
      expect(textureCoord_8_0_233, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_234 = textureCoords_8_0.elementAt(234);
      expect(textureCoord_8_0_234, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_235 = textureCoords_8_0.elementAt(235);
      expect(textureCoord_8_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_8_0_236 = textureCoords_8_0.elementAt(236);
      expect(textureCoord_8_0_236, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_237 = textureCoords_8_0.elementAt(237);
      expect(textureCoord_8_0_237, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_8_0_238 = textureCoords_8_0.elementAt(238);
      expect(textureCoord_8_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_239 = textureCoords_8_0.elementAt(239);
      expect(textureCoord_8_0_239, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_8_0_240 = textureCoords_8_0.elementAt(240);
      expect(textureCoord_8_0_240, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_241 = textureCoords_8_0.elementAt(241);
      expect(textureCoord_8_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_242 = textureCoords_8_0.elementAt(242);
      expect(textureCoord_8_0_242, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_8_0_243 = textureCoords_8_0.elementAt(243);
      expect(textureCoord_8_0_243, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_244 = textureCoords_8_0.elementAt(244);
      expect(textureCoord_8_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_8_0_245 = textureCoords_8_0.elementAt(245);
      expect(textureCoord_8_0_245, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_246 = textureCoords_8_0.elementAt(246);
      expect(textureCoord_8_0_246, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_8_0_247 = textureCoords_8_0.elementAt(247);
      expect(textureCoord_8_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_8_0_248 = textureCoords_8_0.elementAt(248);
      expect(textureCoord_8_0_248, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_249 = textureCoords_8_0.elementAt(249);
      expect(textureCoord_8_0_249, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_8_0_250 = textureCoords_8_0.elementAt(250);
      expect(textureCoord_8_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_8_0_251 = textureCoords_8_0.elementAt(251);
      expect(textureCoord_8_0_251, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_8_0_252 = textureCoords_8_0.elementAt(252);
      expect(textureCoord_8_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_253 = textureCoords_8_0.elementAt(253);
      expect(textureCoord_8_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_254 = textureCoords_8_0.elementAt(254);
      expect(textureCoord_8_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_255 = textureCoords_8_0.elementAt(255);
      expect(textureCoord_8_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_256 = textureCoords_8_0.elementAt(256);
      expect(textureCoord_8_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_257 = textureCoords_8_0.elementAt(257);
      expect(textureCoord_8_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_8_0_258 = textureCoords_8_0.elementAt(258);
      expect(textureCoord_8_0_258, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_8_0_259 = textureCoords_8_0.elementAt(259);
      expect(textureCoord_8_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_8_0_260 = textureCoords_8_0.elementAt(260);
      expect(textureCoord_8_0_260, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_8_0_261 = textureCoords_8_0.elementAt(261);
      expect(textureCoord_8_0_261, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_8_0_262 = textureCoords_8_0.elementAt(262);
      expect(textureCoord_8_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_8_0_263 = textureCoords_8_0.elementAt(263);
      expect(textureCoord_8_0_263, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_8_0_264 = textureCoords_8_0.elementAt(264);
      expect(textureCoord_8_0_264, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_8_0_265 = textureCoords_8_0.elementAt(265);
      expect(textureCoord_8_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_266 = textureCoords_8_0.elementAt(266);
      expect(textureCoord_8_0_266, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_8_0_267 = textureCoords_8_0.elementAt(267);
      expect(textureCoord_8_0_267, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_8_0_268 = textureCoords_8_0.elementAt(268);
      expect(textureCoord_8_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_8_0_269 = textureCoords_8_0.elementAt(269);
      expect(textureCoord_8_0_269, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_270 = textureCoords_8_0.elementAt(270);
      expect(textureCoord_8_0_270, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_8_0_271 = textureCoords_8_0.elementAt(271);
      expect(textureCoord_8_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_8_0_272 = textureCoords_8_0.elementAt(272);
      expect(textureCoord_8_0_272, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_273 = textureCoords_8_0.elementAt(273);
      expect(textureCoord_8_0_273, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_8_0_274 = textureCoords_8_0.elementAt(274);
      expect(textureCoord_8_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_8_0_275 = textureCoords_8_0.elementAt(275);
      expect(textureCoord_8_0_275, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_8_0_276 = textureCoords_8_0.elementAt(276);
      expect(textureCoord_8_0_276, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_8_0_277 = textureCoords_8_0.elementAt(277);
      expect(textureCoord_8_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_278 = textureCoords_8_0.elementAt(278);
      expect(textureCoord_8_0_278, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_8_0_279 = textureCoords_8_0.elementAt(279);
      expect(textureCoord_8_0_279, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_8_0_280 = textureCoords_8_0.elementAt(280);
      expect(textureCoord_8_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_8_0_281 = textureCoords_8_0.elementAt(281);
      expect(textureCoord_8_0_281, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_282 = textureCoords_8_0.elementAt(282);
      expect(textureCoord_8_0_282, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_8_0_283 = textureCoords_8_0.elementAt(283);
      expect(textureCoord_8_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_8_0_284 = textureCoords_8_0.elementAt(284);
      expect(textureCoord_8_0_284, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_285 = textureCoords_8_0.elementAt(285);
      expect(textureCoord_8_0_285, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_8_0_286 = textureCoords_8_0.elementAt(286);
      expect(textureCoord_8_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_8_0_287 = textureCoords_8_0.elementAt(287);
      expect(textureCoord_8_0_287, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_8_0_288 = textureCoords_8_0.elementAt(288);
      expect(textureCoord_8_0_288, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_8_0_289 = textureCoords_8_0.elementAt(289);
      expect(textureCoord_8_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_8_0_290 = textureCoords_8_0.elementAt(290);
      expect(textureCoord_8_0_290, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_8_0_291 = textureCoords_8_0.elementAt(291);
      expect(textureCoord_8_0_291, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_8_0_292 = textureCoords_8_0.elementAt(292);
      expect(textureCoord_8_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_8_0_293 = textureCoords_8_0.elementAt(293);
      expect(textureCoord_8_0_293, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      expect(mesh_8.uvComponents.length, equals(1));
      expect(mesh_8.uvComponents, equals([2]));
      expect(mesh_8.faces.length, equals(98));
      expect(mesh_8.bones.length, isZero);
      expect(mesh_8.materialIndex, equals(4));
      expect(mesh_8.name, equals('Bein4Re'));
      expect(mesh_8.animMeshes.length, isZero);
      expect(mesh_8.morphingMethod, isZero);
      expect(mesh_8.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_9 = meshes.elementAt(9);
      expect(mesh_9.primitiveTypes, equals(4));
      expect(mesh_9.vertices.length, equals(294));
      final vertex_9_0 = mesh_9.vertices.elementAt(0);
      expect(vertex_9_0, vector3MoreOrLessEquals(Vector3(-12.5385437, -7.28023195, -13.4914551)));
      final vertex_9_1 = mesh_9.vertices.elementAt(1);
      expect(vertex_9_1, vector3MoreOrLessEquals(Vector3(-15.4359894, -6.07577896, -12.2088737)));
      final vertex_9_2 = mesh_9.vertices.elementAt(2);
      expect(vertex_9_2, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_3 = mesh_9.vertices.elementAt(3);
      expect(vertex_9_3, vector3MoreOrLessEquals(Vector3(18.5637856, -38.1551971, -87.372467)));
      final vertex_9_4 = mesh_9.vertices.elementAt(4);
      expect(vertex_9_4, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_5 = mesh_9.vertices.elementAt(5);
      expect(vertex_9_5, vector3MoreOrLessEquals(Vector3(18.4165325, -37.6075363, -87.663269)));
      final vertex_9_6 = mesh_9.vertices.elementAt(6);
      expect(vertex_9_6, vector3MoreOrLessEquals(Vector3(-12.5385437, -7.28023195, -13.4914551)));
      final vertex_9_7 = mesh_9.vertices.elementAt(7);
      expect(vertex_9_7, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_8 = mesh_9.vertices.elementAt(8);
      expect(vertex_9_8, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_9 = mesh_9.vertices.elementAt(9);
      expect(vertex_9_9, vector3MoreOrLessEquals(Vector3(-12.5385437, -7.28023195, -13.4914551)));
      final vertex_9_10 = mesh_9.vertices.elementAt(10);
      expect(vertex_9_10, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_11 = mesh_9.vertices.elementAt(11);
      expect(vertex_9_11, vector3MoreOrLessEquals(Vector3(-15.4359894, -6.07577896, -12.2088737)));
      final vertex_9_12 = mesh_9.vertices.elementAt(12);
      expect(vertex_9_12, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_13 = mesh_9.vertices.elementAt(13);
      expect(vertex_9_13, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_14 = mesh_9.vertices.elementAt(14);
      expect(vertex_9_14, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_15 = mesh_9.vertices.elementAt(15);
      expect(vertex_9_15, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_16 = mesh_9.vertices.elementAt(16);
      expect(vertex_9_16, vector3MoreOrLessEquals(Vector3(-0.858780026, 27.2093964, -40.3130493)));
      final vertex_9_17 = mesh_9.vertices.elementAt(17);
      expect(vertex_9_17, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_18 = mesh_9.vertices.elementAt(18);
      expect(vertex_9_18, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_19 = mesh_9.vertices.elementAt(19);
      expect(vertex_9_19, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_20 = mesh_9.vertices.elementAt(20);
      expect(vertex_9_20, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_21 = mesh_9.vertices.elementAt(21);
      expect(vertex_9_21, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_22 = mesh_9.vertices.elementAt(22);
      expect(vertex_9_22, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_23 = mesh_9.vertices.elementAt(23);
      expect(vertex_9_23, vector3MoreOrLessEquals(Vector3(-0.858780026, 27.2093964, -40.3130493)));
      final vertex_9_24 = mesh_9.vertices.elementAt(24);
      expect(vertex_9_24, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_25 = mesh_9.vertices.elementAt(25);
      expect(vertex_9_25, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_26 = mesh_9.vertices.elementAt(26);
      expect(vertex_9_26, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_27 = mesh_9.vertices.elementAt(27);
      expect(vertex_9_27, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_28 = mesh_9.vertices.elementAt(28);
      expect(vertex_9_28, vector3MoreOrLessEquals(Vector3(13.2269211, 6.22358894, -69.1720276)));
      final vertex_9_29 = mesh_9.vertices.elementAt(29);
      expect(vertex_9_29, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_30 = mesh_9.vertices.elementAt(30);
      expect(vertex_9_30, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_31 = mesh_9.vertices.elementAt(31);
      expect(vertex_9_31, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      final vertex_9_32 = mesh_9.vertices.elementAt(32);
      expect(vertex_9_32, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_33 = mesh_9.vertices.elementAt(33);
      expect(vertex_9_33, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_34 = mesh_9.vertices.elementAt(34);
      expect(vertex_9_34, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_35 = mesh_9.vertices.elementAt(35);
      expect(vertex_9_35, vector3MoreOrLessEquals(Vector3(13.2269211, 6.22358894, -69.1720276)));
      final vertex_9_36 = mesh_9.vertices.elementAt(36);
      expect(vertex_9_36, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      final vertex_9_37 = mesh_9.vertices.elementAt(37);
      expect(vertex_9_37, vector3MoreOrLessEquals(Vector3(18.5637856, -38.1551971, -87.372467)));
      final vertex_9_38 = mesh_9.vertices.elementAt(38);
      expect(vertex_9_38, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_39 = mesh_9.vertices.elementAt(39);
      expect(vertex_9_39, vector3MoreOrLessEquals(Vector3(18.5637856, -38.1551971, -87.372467)));
      final vertex_9_40 = mesh_9.vertices.elementAt(40);
      expect(vertex_9_40, vector3MoreOrLessEquals(Vector3(18.4165325, -37.6075363, -87.663269)));
      final vertex_9_41 = mesh_9.vertices.elementAt(41);
      expect(vertex_9_41, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_42 = mesh_9.vertices.elementAt(42);
      expect(vertex_9_42, vector3MoreOrLessEquals(Vector3(-15.4359894, -6.07577896, -12.2088737)));
      final vertex_9_43 = mesh_9.vertices.elementAt(43);
      expect(vertex_9_43, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_44 = mesh_9.vertices.elementAt(44);
      expect(vertex_9_44, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_45 = mesh_9.vertices.elementAt(45);
      expect(vertex_9_45, vector3MoreOrLessEquals(Vector3(18.4165325, -37.6075363, -87.663269)));
      final vertex_9_46 = mesh_9.vertices.elementAt(46);
      expect(vertex_9_46, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_47 = mesh_9.vertices.elementAt(47);
      expect(vertex_9_47, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_48 = mesh_9.vertices.elementAt(48);
      expect(vertex_9_48, vector3MoreOrLessEquals(Vector3(-15.4359894, -6.07577896, -12.2088737)));
      final vertex_9_49 = mesh_9.vertices.elementAt(49);
      expect(vertex_9_49, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_50 = mesh_9.vertices.elementAt(50);
      expect(vertex_9_50, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_51 = mesh_9.vertices.elementAt(51);
      expect(vertex_9_51, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_52 = mesh_9.vertices.elementAt(52);
      expect(vertex_9_52, vector3MoreOrLessEquals(Vector3(-8.37000656, 5.46706009, -30.1150818)));
      final vertex_9_53 = mesh_9.vertices.elementAt(53);
      expect(vertex_9_53, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_54 = mesh_9.vertices.elementAt(54);
      expect(vertex_9_54, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_55 = mesh_9.vertices.elementAt(55);
      expect(vertex_9_55, vector3MoreOrLessEquals(Vector3(-0.858780026, 27.2093964, -40.3130493)));
      final vertex_9_56 = mesh_9.vertices.elementAt(56);
      expect(vertex_9_56, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_57 = mesh_9.vertices.elementAt(57);
      expect(vertex_9_57, vector3MoreOrLessEquals(Vector3(-6.24084282, 6.0936408, -29.4601517)));
      final vertex_9_58 = mesh_9.vertices.elementAt(58);
      expect(vertex_9_58, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_59 = mesh_9.vertices.elementAt(59);
      expect(vertex_9_59, vector3MoreOrLessEquals(Vector3(-8.37000656, 5.46706009, -30.1150818)));
      final vertex_9_60 = mesh_9.vertices.elementAt(60);
      expect(vertex_9_60, vector3MoreOrLessEquals(Vector3(-0.858780026, 27.2093964, -40.3130493)));
      final vertex_9_61 = mesh_9.vertices.elementAt(61);
      expect(vertex_9_61, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_62 = mesh_9.vertices.elementAt(62);
      expect(vertex_9_62, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_63 = mesh_9.vertices.elementAt(63);
      expect(vertex_9_63, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_64 = mesh_9.vertices.elementAt(64);
      expect(vertex_9_64, vector3MoreOrLessEquals(Vector3(0.0132219996, 27.5950623, -45.8518448)));
      final vertex_9_65 = mesh_9.vertices.elementAt(65);
      expect(vertex_9_65, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_66 = mesh_9.vertices.elementAt(66);
      expect(vertex_9_66, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_67 = mesh_9.vertices.elementAt(67);
      expect(vertex_9_67, vector3MoreOrLessEquals(Vector3(13.2269211, 6.22358894, -69.1720276)));
      final vertex_9_68 = mesh_9.vertices.elementAt(68);
      expect(vertex_9_68, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_69 = mesh_9.vertices.elementAt(69);
      expect(vertex_9_69, vector3MoreOrLessEquals(Vector3(1.90010297, 28.0240021, -44.5827637)));
      final vertex_9_70 = mesh_9.vertices.elementAt(70);
      expect(vertex_9_70, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_71 = mesh_9.vertices.elementAt(71);
      expect(vertex_9_71, vector3MoreOrLessEquals(Vector3(0.0132219996, 27.5950623, -45.8518448)));
      final vertex_9_72 = mesh_9.vertices.elementAt(72);
      expect(vertex_9_72, vector3MoreOrLessEquals(Vector3(13.2269211, 6.22358894, -69.1720276)));
      final vertex_9_73 = mesh_9.vertices.elementAt(73);
      expect(vertex_9_73, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_74 = mesh_9.vertices.elementAt(74);
      expect(vertex_9_74, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_75 = mesh_9.vertices.elementAt(75);
      expect(vertex_9_75, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_76 = mesh_9.vertices.elementAt(76);
      expect(vertex_9_76, vector3MoreOrLessEquals(Vector3(16.7089462, -27.6766319, -82.0431671)));
      final vertex_9_77 = mesh_9.vertices.elementAt(77);
      expect(vertex_9_77, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_78 = mesh_9.vertices.elementAt(78);
      expect(vertex_9_78, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_79 = mesh_9.vertices.elementAt(79);
      expect(vertex_9_79, vector3MoreOrLessEquals(Vector3(18.4165325, -37.6075363, -87.663269)));
      final vertex_9_80 = mesh_9.vertices.elementAt(80);
      expect(vertex_9_80, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_81 = mesh_9.vertices.elementAt(81);
      expect(vertex_9_81, vector3MoreOrLessEquals(Vector3(17.6427307, -28.0781002, -81.6067047)));
      final vertex_9_82 = mesh_9.vertices.elementAt(82);
      expect(vertex_9_82, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_83 = mesh_9.vertices.elementAt(83);
      expect(vertex_9_83, vector3MoreOrLessEquals(Vector3(16.7089462, -27.6766319, -82.0431671)));
      final vertex_9_84 = mesh_9.vertices.elementAt(84);
      expect(vertex_9_84, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_85 = mesh_9.vertices.elementAt(85);
      expect(vertex_9_85, vector3MoreOrLessEquals(Vector3(-19.3093262, -6.06142521, -17.0777626)));
      final vertex_9_86 = mesh_9.vertices.elementAt(86);
      expect(vertex_9_86, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_87 = mesh_9.vertices.elementAt(87);
      expect(vertex_9_87, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_88 = mesh_9.vertices.elementAt(88);
      expect(vertex_9_88, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_89 = mesh_9.vertices.elementAt(89);
      expect(vertex_9_89, vector3MoreOrLessEquals(Vector3(17.5535355, -37.8398972, -87.7321167)));
      final vertex_9_90 = mesh_9.vertices.elementAt(90);
      expect(vertex_9_90, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_91 = mesh_9.vertices.elementAt(91);
      expect(vertex_9_91, vector3MoreOrLessEquals(Vector3(-8.37000656, 5.46706009, -30.1150818)));
      final vertex_9_92 = mesh_9.vertices.elementAt(92);
      expect(vertex_9_92, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_93 = mesh_9.vertices.elementAt(93);
      expect(vertex_9_93, vector3MoreOrLessEquals(Vector3(-18.4492836, -5.53335905, -13.8049164)));
      final vertex_9_94 = mesh_9.vertices.elementAt(94);
      expect(vertex_9_94, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_95 = mesh_9.vertices.elementAt(95);
      expect(vertex_9_95, vector3MoreOrLessEquals(Vector3(-19.3093262, -6.06142521, -17.0777626)));
      final vertex_9_96 = mesh_9.vertices.elementAt(96);
      expect(vertex_9_96, vector3MoreOrLessEquals(Vector3(-8.37000656, 5.46706009, -30.1150818)));
      final vertex_9_97 = mesh_9.vertices.elementAt(97);
      expect(vertex_9_97, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_98 = mesh_9.vertices.elementAt(98);
      expect(vertex_9_98, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_99 = mesh_9.vertices.elementAt(99);
      expect(vertex_9_99, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_100 = mesh_9.vertices.elementAt(100);
      expect(vertex_9_100, vector3MoreOrLessEquals(Vector3(-2.50576806, 25.6870499, -41.5347366)));
      final vertex_9_101 = mesh_9.vertices.elementAt(101);
      expect(vertex_9_101, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_102 = mesh_9.vertices.elementAt(102);
      expect(vertex_9_102, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_103 = mesh_9.vertices.elementAt(103);
      expect(vertex_9_103, vector3MoreOrLessEquals(Vector3(0.0132219996, 27.5950623, -45.8518448)));
      final vertex_9_104 = mesh_9.vertices.elementAt(104);
      expect(vertex_9_104, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_105 = mesh_9.vertices.elementAt(105);
      expect(vertex_9_105, vector3MoreOrLessEquals(Vector3(-2.15746903, 27.0091629, -40.8442383)));
      final vertex_9_106 = mesh_9.vertices.elementAt(106);
      expect(vertex_9_106, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_107 = mesh_9.vertices.elementAt(107);
      expect(vertex_9_107, vector3MoreOrLessEquals(Vector3(-2.50576806, 25.6870499, -41.5347366)));
      final vertex_9_108 = mesh_9.vertices.elementAt(108);
      expect(vertex_9_108, vector3MoreOrLessEquals(Vector3(0.0132219996, 27.5950623, -45.8518448)));
      final vertex_9_109 = mesh_9.vertices.elementAt(109);
      expect(vertex_9_109, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_110 = mesh_9.vertices.elementAt(110);
      expect(vertex_9_110, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_111 = mesh_9.vertices.elementAt(111);
      expect(vertex_9_111, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_112 = mesh_9.vertices.elementAt(112);
      expect(vertex_9_112, vector3MoreOrLessEquals(Vector3(9.70272923, 4.23739195, -70.1830292)));
      final vertex_9_113 = mesh_9.vertices.elementAt(113);
      expect(vertex_9_113, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_114 = mesh_9.vertices.elementAt(114);
      expect(vertex_9_114, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_115 = mesh_9.vertices.elementAt(115);
      expect(vertex_9_115, vector3MoreOrLessEquals(Vector3(16.7089462, -27.6766319, -82.0431671)));
      final vertex_9_116 = mesh_9.vertices.elementAt(116);
      expect(vertex_9_116, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_117 = mesh_9.vertices.elementAt(117);
      expect(vertex_9_117, vector3MoreOrLessEquals(Vector3(11.5250034, 5.59826994, -70.609848)));
      final vertex_9_118 = mesh_9.vertices.elementAt(118);
      expect(vertex_9_118, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_119 = mesh_9.vertices.elementAt(119);
      expect(vertex_9_119, vector3MoreOrLessEquals(Vector3(9.70272923, 4.23739195, -70.1830292)));
      final vertex_9_120 = mesh_9.vertices.elementAt(120);
      expect(vertex_9_120, vector3MoreOrLessEquals(Vector3(16.7089462, -27.6766319, -82.0431671)));
      final vertex_9_121 = mesh_9.vertices.elementAt(121);
      expect(vertex_9_121, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_122 = mesh_9.vertices.elementAt(122);
      expect(vertex_9_122, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_123 = mesh_9.vertices.elementAt(123);
      expect(vertex_9_123, vector3MoreOrLessEquals(Vector3(17.9669151, -37.4672318, -87.8233032)));
      final vertex_9_124 = mesh_9.vertices.elementAt(124);
      expect(vertex_9_124, vector3MoreOrLessEquals(Vector3(17.5535355, -37.8398972, -87.7321167)));
      final vertex_9_125 = mesh_9.vertices.elementAt(125);
      expect(vertex_9_125, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_126 = mesh_9.vertices.elementAt(126);
      expect(vertex_9_126, vector3MoreOrLessEquals(Vector3(-19.3093262, -6.06142521, -17.0777626)));
      final vertex_9_127 = mesh_9.vertices.elementAt(127);
      expect(vertex_9_127, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_128 = mesh_9.vertices.elementAt(128);
      expect(vertex_9_128, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_129 = mesh_9.vertices.elementAt(129);
      expect(vertex_9_129, vector3MoreOrLessEquals(Vector3(17.5535355, -37.8398972, -87.7321167)));
      final vertex_9_130 = mesh_9.vertices.elementAt(130);
      expect(vertex_9_130, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_131 = mesh_9.vertices.elementAt(131);
      expect(vertex_9_131, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_132 = mesh_9.vertices.elementAt(132);
      expect(vertex_9_132, vector3MoreOrLessEquals(Vector3(-19.3093262, -6.06142521, -17.0777626)));
      final vertex_9_133 = mesh_9.vertices.elementAt(133);
      expect(vertex_9_133, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_134 = mesh_9.vertices.elementAt(134);
      expect(vertex_9_134, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_135 = mesh_9.vertices.elementAt(135);
      expect(vertex_9_135, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_136 = mesh_9.vertices.elementAt(136);
      expect(vertex_9_136, vector3MoreOrLessEquals(Vector3(-7.64558125, 3.04369402, -33.43013)));
      final vertex_9_137 = mesh_9.vertices.elementAt(137);
      expect(vertex_9_137, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_138 = mesh_9.vertices.elementAt(138);
      expect(vertex_9_138, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_139 = mesh_9.vertices.elementAt(139);
      expect(vertex_9_139, vector3MoreOrLessEquals(Vector3(-2.50576806, 25.6870499, -41.5347366)));
      final vertex_9_140 = mesh_9.vertices.elementAt(140);
      expect(vertex_9_140, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_141 = mesh_9.vertices.elementAt(141);
      expect(vertex_9_141, vector3MoreOrLessEquals(Vector3(-8.99515343, 4.10971117, -31.881897)));
      final vertex_9_142 = mesh_9.vertices.elementAt(142);
      expect(vertex_9_142, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_143 = mesh_9.vertices.elementAt(143);
      expect(vertex_9_143, vector3MoreOrLessEquals(Vector3(-7.64558125, 3.04369402, -33.43013)));
      final vertex_9_144 = mesh_9.vertices.elementAt(144);
      expect(vertex_9_144, vector3MoreOrLessEquals(Vector3(-2.50576806, 25.6870499, -41.5347366)));
      final vertex_9_145 = mesh_9.vertices.elementAt(145);
      expect(vertex_9_145, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_146 = mesh_9.vertices.elementAt(146);
      expect(vertex_9_146, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_147 = mesh_9.vertices.elementAt(147);
      expect(vertex_9_147, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_148 = mesh_9.vertices.elementAt(148);
      expect(vertex_9_148, vector3MoreOrLessEquals(Vector3(-1.02977002, 23.7296715, -44.6864777)));
      final vertex_9_149 = mesh_9.vertices.elementAt(149);
      expect(vertex_9_149, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_150 = mesh_9.vertices.elementAt(150);
      expect(vertex_9_150, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_151 = mesh_9.vertices.elementAt(151);
      expect(vertex_9_151, vector3MoreOrLessEquals(Vector3(9.70272923, 4.23739195, -70.1830292)));
      final vertex_9_152 = mesh_9.vertices.elementAt(152);
      expect(vertex_9_152, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_153 = mesh_9.vertices.elementAt(153);
      expect(vertex_9_153, vector3MoreOrLessEquals(Vector3(-1.29070497, 25.6839218, -45.897995)));
      final vertex_9_154 = mesh_9.vertices.elementAt(154);
      expect(vertex_9_154, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_155 = mesh_9.vertices.elementAt(155);
      expect(vertex_9_155, vector3MoreOrLessEquals(Vector3(-1.02977002, 23.7296715, -44.6864777)));
      final vertex_9_156 = mesh_9.vertices.elementAt(156);
      expect(vertex_9_156, vector3MoreOrLessEquals(Vector3(9.70272923, 4.23739195, -70.1830292)));
      final vertex_9_157 = mesh_9.vertices.elementAt(157);
      expect(vertex_9_157, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_158 = mesh_9.vertices.elementAt(158);
      expect(vertex_9_158, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_159 = mesh_9.vertices.elementAt(159);
      expect(vertex_9_159, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_160 = mesh_9.vertices.elementAt(160);
      expect(vertex_9_160, vector3MoreOrLessEquals(Vector3(15.5310535, -30.5079556, -80.5648651)));
      final vertex_9_161 = mesh_9.vertices.elementAt(161);
      expect(vertex_9_161, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_162 = mesh_9.vertices.elementAt(162);
      expect(vertex_9_162, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_163 = mesh_9.vertices.elementAt(163);
      expect(vertex_9_163, vector3MoreOrLessEquals(Vector3(17.5535355, -37.8398972, -87.7321167)));
      final vertex_9_164 = mesh_9.vertices.elementAt(164);
      expect(vertex_9_164, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_165 = mesh_9.vertices.elementAt(165);
      expect(vertex_9_165, vector3MoreOrLessEquals(Vector3(15.7691994, -28.7579956, -81.5795288)));
      final vertex_9_166 = mesh_9.vertices.elementAt(166);
      expect(vertex_9_166, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_167 = mesh_9.vertices.elementAt(167);
      expect(vertex_9_167, vector3MoreOrLessEquals(Vector3(15.5310535, -30.5079556, -80.5648651)));
      final vertex_9_168 = mesh_9.vertices.elementAt(168);
      expect(vertex_9_168, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_169 = mesh_9.vertices.elementAt(169);
      expect(vertex_9_169, vector3MoreOrLessEquals(Vector3(-14.0883179, -8.23180103, -19.3888397)));
      final vertex_9_170 = mesh_9.vertices.elementAt(170);
      expect(vertex_9_170, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_171 = mesh_9.vertices.elementAt(171);
      expect(vertex_9_171, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_172 = mesh_9.vertices.elementAt(172);
      expect(vertex_9_172, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_173 = mesh_9.vertices.elementAt(173);
      expect(vertex_9_173, vector3MoreOrLessEquals(Vector3(17.818882, -38.8267174, -87.2081757)));
      final vertex_9_174 = mesh_9.vertices.elementAt(174);
      expect(vertex_9_174, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_175 = mesh_9.vertices.elementAt(175);
      expect(vertex_9_175, vector3MoreOrLessEquals(Vector3(-7.64558125, 3.04369402, -33.43013)));
      final vertex_9_176 = mesh_9.vertices.elementAt(176);
      expect(vertex_9_176, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_177 = mesh_9.vertices.elementAt(177);
      expect(vertex_9_177, vector3MoreOrLessEquals(Vector3(-17.3685265, -7.26234484, -19.5628128)));
      final vertex_9_178 = mesh_9.vertices.elementAt(178);
      expect(vertex_9_178, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_179 = mesh_9.vertices.elementAt(179);
      expect(vertex_9_179, vector3MoreOrLessEquals(Vector3(-14.0883179, -8.23180103, -19.3888397)));
      final vertex_9_180 = mesh_9.vertices.elementAt(180);
      expect(vertex_9_180, vector3MoreOrLessEquals(Vector3(-7.64558125, 3.04369402, -33.43013)));
      final vertex_9_181 = mesh_9.vertices.elementAt(181);
      expect(vertex_9_181, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_182 = mesh_9.vertices.elementAt(182);
      expect(vertex_9_182, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_183 = mesh_9.vertices.elementAt(183);
      expect(vertex_9_183, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_184 = mesh_9.vertices.elementAt(184);
      expect(vertex_9_184, vector3MoreOrLessEquals(Vector3(-0.215265006, 23.7545967, -41.5853653)));
      final vertex_9_185 = mesh_9.vertices.elementAt(185);
      expect(vertex_9_185, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_186 = mesh_9.vertices.elementAt(186);
      expect(vertex_9_186, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_187 = mesh_9.vertices.elementAt(187);
      expect(vertex_9_187, vector3MoreOrLessEquals(Vector3(-1.02977002, 23.7296715, -44.6864777)));
      final vertex_9_188 = mesh_9.vertices.elementAt(188);
      expect(vertex_9_188, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_189 = mesh_9.vertices.elementAt(189);
      expect(vertex_9_189, vector3MoreOrLessEquals(Vector3(-1.64140296, 24.2386189, -41.8645859)));
      final vertex_9_190 = mesh_9.vertices.elementAt(190);
      expect(vertex_9_190, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_191 = mesh_9.vertices.elementAt(191);
      expect(vertex_9_191, vector3MoreOrLessEquals(Vector3(-0.215265006, 23.7545967, -41.5853653)));
      final vertex_9_192 = mesh_9.vertices.elementAt(192);
      expect(vertex_9_192, vector3MoreOrLessEquals(Vector3(-1.02977002, 23.7296715, -44.6864777)));
      final vertex_9_193 = mesh_9.vertices.elementAt(193);
      expect(vertex_9_193, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_194 = mesh_9.vertices.elementAt(194);
      expect(vertex_9_194, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_195 = mesh_9.vertices.elementAt(195);
      expect(vertex_9_195, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_196 = mesh_9.vertices.elementAt(196);
      expect(vertex_9_196, vector3MoreOrLessEquals(Vector3(10.2432938, 3.19018793, -66.1832428)));
      final vertex_9_197 = mesh_9.vertices.elementAt(197);
      expect(vertex_9_197, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_198 = mesh_9.vertices.elementAt(198);
      expect(vertex_9_198, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_199 = mesh_9.vertices.elementAt(199);
      expect(vertex_9_199, vector3MoreOrLessEquals(Vector3(15.5310535, -30.5079556, -80.5648651)));
      final vertex_9_200 = mesh_9.vertices.elementAt(200);
      expect(vertex_9_200, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_201 = mesh_9.vertices.elementAt(201);
      expect(vertex_9_201, vector3MoreOrLessEquals(Vector3(9.13231754, 3.16569495, -68.2130737)));
      final vertex_9_202 = mesh_9.vertices.elementAt(202);
      expect(vertex_9_202, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_203 = mesh_9.vertices.elementAt(203);
      expect(vertex_9_203, vector3MoreOrLessEquals(Vector3(10.2432938, 3.19018793, -66.1832428)));
      final vertex_9_204 = mesh_9.vertices.elementAt(204);
      expect(vertex_9_204, vector3MoreOrLessEquals(Vector3(15.5310535, -30.5079556, -80.5648651)));
      final vertex_9_205 = mesh_9.vertices.elementAt(205);
      expect(vertex_9_205, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_206 = mesh_9.vertices.elementAt(206);
      expect(vertex_9_206, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_207 = mesh_9.vertices.elementAt(207);
      expect(vertex_9_207, vector3MoreOrLessEquals(Vector3(17.4876614, -38.4449425, -87.4584045)));
      final vertex_9_208 = mesh_9.vertices.elementAt(208);
      expect(vertex_9_208, vector3MoreOrLessEquals(Vector3(17.818882, -38.8267174, -87.2081757)));
      final vertex_9_209 = mesh_9.vertices.elementAt(209);
      expect(vertex_9_209, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_210 = mesh_9.vertices.elementAt(210);
      expect(vertex_9_210, vector3MoreOrLessEquals(Vector3(-14.0883179, -8.23180103, -19.3888397)));
      final vertex_9_211 = mesh_9.vertices.elementAt(211);
      expect(vertex_9_211, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_212 = mesh_9.vertices.elementAt(212);
      expect(vertex_9_212, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_213 = mesh_9.vertices.elementAt(213);
      expect(vertex_9_213, vector3MoreOrLessEquals(Vector3(17.818882, -38.8267174, -87.2081757)));
      final vertex_9_214 = mesh_9.vertices.elementAt(214);
      expect(vertex_9_214, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_215 = mesh_9.vertices.elementAt(215);
      expect(vertex_9_215, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_216 = mesh_9.vertices.elementAt(216);
      expect(vertex_9_216, vector3MoreOrLessEquals(Vector3(-14.0883179, -8.23180103, -19.3888397)));
      final vertex_9_217 = mesh_9.vertices.elementAt(217);
      expect(vertex_9_217, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_218 = mesh_9.vertices.elementAt(218);
      expect(vertex_9_218, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_219 = mesh_9.vertices.elementAt(219);
      expect(vertex_9_219, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_220 = mesh_9.vertices.elementAt(220);
      expect(vertex_9_220, vector3MoreOrLessEquals(Vector3(-3.80895185, 4.17272615, -32.2499733)));
      final vertex_9_221 = mesh_9.vertices.elementAt(221);
      expect(vertex_9_221, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_222 = mesh_9.vertices.elementAt(222);
      expect(vertex_9_222, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_223 = mesh_9.vertices.elementAt(223);
      expect(vertex_9_223, vector3MoreOrLessEquals(Vector3(-0.215265006, 23.7545967, -41.5853653)));
      final vertex_9_224 = mesh_9.vertices.elementAt(224);
      expect(vertex_9_224, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_225 = mesh_9.vertices.elementAt(225);
      expect(vertex_9_225, vector3MoreOrLessEquals(Vector3(-5.33748722, 3.07171893, -33.5939293)));
      final vertex_9_226 = mesh_9.vertices.elementAt(226);
      expect(vertex_9_226, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_227 = mesh_9.vertices.elementAt(227);
      expect(vertex_9_227, vector3MoreOrLessEquals(Vector3(-3.80895185, 4.17272615, -32.2499733)));
      final vertex_9_228 = mesh_9.vertices.elementAt(228);
      expect(vertex_9_228, vector3MoreOrLessEquals(Vector3(-0.215265006, 23.7545967, -41.5853653)));
      final vertex_9_229 = mesh_9.vertices.elementAt(229);
      expect(vertex_9_229, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_230 = mesh_9.vertices.elementAt(230);
      expect(vertex_9_230, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_231 = mesh_9.vertices.elementAt(231);
      expect(vertex_9_231, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_232 = mesh_9.vertices.elementAt(232);
      expect(vertex_9_232, vector3MoreOrLessEquals(Vector3(2.37030196, 24.502615, -42.3997421)));
      final vertex_9_233 = mesh_9.vertices.elementAt(233);
      expect(vertex_9_233, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_234 = mesh_9.vertices.elementAt(234);
      expect(vertex_9_234, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_235 = mesh_9.vertices.elementAt(235);
      expect(vertex_9_235, vector3MoreOrLessEquals(Vector3(10.2432938, 3.19018793, -66.1832428)));
      final vertex_9_236 = mesh_9.vertices.elementAt(236);
      expect(vertex_9_236, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_237 = mesh_9.vertices.elementAt(237);
      expect(vertex_9_237, vector3MoreOrLessEquals(Vector3(0.599521995, 23.2039318, -43.1296005)));
      final vertex_9_238 = mesh_9.vertices.elementAt(238);
      expect(vertex_9_238, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_239 = mesh_9.vertices.elementAt(239);
      expect(vertex_9_239, vector3MoreOrLessEquals(Vector3(2.37030196, 24.502615, -42.3997421)));
      final vertex_9_240 = mesh_9.vertices.elementAt(240);
      expect(vertex_9_240, vector3MoreOrLessEquals(Vector3(10.2432938, 3.19018793, -66.1832428)));
      final vertex_9_241 = mesh_9.vertices.elementAt(241);
      expect(vertex_9_241, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_242 = mesh_9.vertices.elementAt(242);
      expect(vertex_9_242, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_243 = mesh_9.vertices.elementAt(243);
      expect(vertex_9_243, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_244 = mesh_9.vertices.elementAt(244);
      expect(vertex_9_244, vector3MoreOrLessEquals(Vector3(17.2136173, -31.2314377, -79.7783051)));
      final vertex_9_245 = mesh_9.vertices.elementAt(245);
      expect(vertex_9_245, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_246 = mesh_9.vertices.elementAt(246);
      expect(vertex_9_246, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_247 = mesh_9.vertices.elementAt(247);
      expect(vertex_9_247, vector3MoreOrLessEquals(Vector3(17.818882, -38.8267174, -87.2081757)));
      final vertex_9_248 = mesh_9.vertices.elementAt(248);
      expect(vertex_9_248, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_249 = mesh_9.vertices.elementAt(249);
      expect(vertex_9_249, vector3MoreOrLessEquals(Vector3(16.1739159, -31.608736, -79.7632446)));
      final vertex_9_250 = mesh_9.vertices.elementAt(250);
      expect(vertex_9_250, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_251 = mesh_9.vertices.elementAt(251);
      expect(vertex_9_251, vector3MoreOrLessEquals(Vector3(17.2136173, -31.2314377, -79.7783051)));
      final vertex_9_252 = mesh_9.vertices.elementAt(252);
      expect(vertex_9_252, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_253 = mesh_9.vertices.elementAt(253);
      expect(vertex_9_253, vector3MoreOrLessEquals(Vector3(-12.5385437, -7.28023195, -13.4914551)));
      final vertex_9_254 = mesh_9.vertices.elementAt(254);
      expect(vertex_9_254, vector3MoreOrLessEquals(Vector3(-15.5898209, -6.9549408, -16.0316429)));
      final vertex_9_255 = mesh_9.vertices.elementAt(255);
      expect(vertex_9_255, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_256 = mesh_9.vertices.elementAt(256);
      expect(vertex_9_256, vector3MoreOrLessEquals(Vector3(18.0150318, -38.1484947, -87.489624)));
      final vertex_9_257 = mesh_9.vertices.elementAt(257);
      expect(vertex_9_257, vector3MoreOrLessEquals(Vector3(18.5637856, -38.1551971, -87.372467)));
      final vertex_9_258 = mesh_9.vertices.elementAt(258);
      expect(vertex_9_258, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_259 = mesh_9.vertices.elementAt(259);
      expect(vertex_9_259, vector3MoreOrLessEquals(Vector3(-3.80895185, 4.17272615, -32.2499733)));
      final vertex_9_260 = mesh_9.vertices.elementAt(260);
      expect(vertex_9_260, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_261 = mesh_9.vertices.elementAt(261);
      expect(vertex_9_261, vector3MoreOrLessEquals(Vector3(-11.9387894, -8.23975754, -16.6868362)));
      final vertex_9_262 = mesh_9.vertices.elementAt(262);
      expect(vertex_9_262, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_263 = mesh_9.vertices.elementAt(263);
      expect(vertex_9_263, vector3MoreOrLessEquals(Vector3(-12.5385437, -7.28023195, -13.4914551)));
      final vertex_9_264 = mesh_9.vertices.elementAt(264);
      expect(vertex_9_264, vector3MoreOrLessEquals(Vector3(-3.80895185, 4.17272615, -32.2499733)));
      final vertex_9_265 = mesh_9.vertices.elementAt(265);
      expect(vertex_9_265, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_266 = mesh_9.vertices.elementAt(266);
      expect(vertex_9_266, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_267 = mesh_9.vertices.elementAt(267);
      expect(vertex_9_267, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_268 = mesh_9.vertices.elementAt(268);
      expect(vertex_9_268, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_269 = mesh_9.vertices.elementAt(269);
      expect(vertex_9_269, vector3MoreOrLessEquals(Vector3(-4.21098089, 5.51760101, -30.4102745)));
      final vertex_9_270 = mesh_9.vertices.elementAt(270);
      expect(vertex_9_270, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_271 = mesh_9.vertices.elementAt(271);
      expect(vertex_9_271, vector3MoreOrLessEquals(Vector3(2.37030196, 24.502615, -42.3997421)));
      final vertex_9_272 = mesh_9.vertices.elementAt(272);
      expect(vertex_9_272, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_273 = mesh_9.vertices.elementAt(273);
      expect(vertex_9_273, vector3MoreOrLessEquals(Vector3(0.698707998, 24.5994377, -40.9073563)));
      final vertex_9_274 = mesh_9.vertices.elementAt(274);
      expect(vertex_9_274, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_275 = mesh_9.vertices.elementAt(275);
      expect(vertex_9_275, vector3MoreOrLessEquals(Vector3(0.412342012, 26.13694, -40.3411484)));
      final vertex_9_276 = mesh_9.vertices.elementAt(276);
      expect(vertex_9_276, vector3MoreOrLessEquals(Vector3(2.37030196, 24.502615, -42.3997421)));
      final vertex_9_277 = mesh_9.vertices.elementAt(277);
      expect(vertex_9_277, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_278 = mesh_9.vertices.elementAt(278);
      expect(vertex_9_278, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_279 = mesh_9.vertices.elementAt(279);
      expect(vertex_9_279, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_280 = mesh_9.vertices.elementAt(280);
      expect(vertex_9_280, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_281 = mesh_9.vertices.elementAt(281);
      expect(vertex_9_281, vector3MoreOrLessEquals(Vector3(2.94911814, 26.6477356, -43.0464783)));
      final vertex_9_282 = mesh_9.vertices.elementAt(282);
      expect(vertex_9_282, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_283 = mesh_9.vertices.elementAt(283);
      expect(vertex_9_283, vector3MoreOrLessEquals(Vector3(17.2136173, -31.2314377, -79.7783051)));
      final vertex_9_284 = mesh_9.vertices.elementAt(284);
      expect(vertex_9_284, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      final vertex_9_285 = mesh_9.vertices.elementAt(285);
      expect(vertex_9_285, vector3MoreOrLessEquals(Vector3(12.1990471, 4.29247904, -65.6221924)));
      final vertex_9_286 = mesh_9.vertices.elementAt(286);
      expect(vertex_9_286, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      final vertex_9_287 = mesh_9.vertices.elementAt(287);
      expect(vertex_9_287, vector3MoreOrLessEquals(Vector3(13.526886, 5.64246798, -66.9523163)));
      final vertex_9_288 = mesh_9.vertices.elementAt(288);
      expect(vertex_9_288, vector3MoreOrLessEquals(Vector3(17.2136173, -31.2314377, -79.7783051)));
      final vertex_9_289 = mesh_9.vertices.elementAt(289);
      expect(vertex_9_289, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_290 = mesh_9.vertices.elementAt(290);
      expect(vertex_9_290, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      final vertex_9_291 = mesh_9.vertices.elementAt(291);
      expect(vertex_9_291, vector3MoreOrLessEquals(Vector3(18.2978134, -38.6977844, -87.1699829)));
      final vertex_9_292 = mesh_9.vertices.elementAt(292);
      expect(vertex_9_292, vector3MoreOrLessEquals(Vector3(18.5637856, -38.1551971, -87.372467)));
      final vertex_9_293 = mesh_9.vertices.elementAt(293);
      expect(vertex_9_293, vector3MoreOrLessEquals(Vector3(17.8673286, -29.6601524, -80.5987244)));
      expect(mesh_9.normals.length, equals(294));
      final normal_9_0 = mesh_9.normals.elementAt(0);
      expect(normal_9_0, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_1 = mesh_9.normals.elementAt(1);
      expect(normal_9_1, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_2 = mesh_9.normals.elementAt(2);
      expect(normal_9_2, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_3 = mesh_9.normals.elementAt(3);
      expect(normal_9_3, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_4 = mesh_9.normals.elementAt(4);
      expect(normal_9_4, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_5 = mesh_9.normals.elementAt(5);
      expect(normal_9_5, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_6 = mesh_9.normals.elementAt(6);
      expect(normal_9_6, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, 0.601426005)));
      final normal_9_7 = mesh_9.normals.elementAt(7);
      expect(normal_9_7, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_8 = mesh_9.normals.elementAt(8);
      expect(normal_9_8, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_9 = mesh_9.normals.elementAt(9);
      expect(normal_9_9, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, 0.601426005)));
      final normal_9_10 = mesh_9.normals.elementAt(10);
      expect(normal_9_10, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_11 = mesh_9.normals.elementAt(11);
      expect(normal_9_11, vector3MoreOrLessEquals(Vector3(0.209806994, 0.74278599, 0.635806978)));
      final normal_9_12 = mesh_9.normals.elementAt(12);
      expect(normal_9_12, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_13 = mesh_9.normals.elementAt(13);
      expect(normal_9_13, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_14 = mesh_9.normals.elementAt(14);
      expect(normal_9_14, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_15 = mesh_9.normals.elementAt(15);
      expect(normal_9_15, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_16 = mesh_9.normals.elementAt(16);
      expect(normal_9_16, vector3MoreOrLessEquals(Vector3(0.0958179981, 0.746430993, 0.65852797)));
      final normal_9_17 = mesh_9.normals.elementAt(17);
      expect(normal_9_17, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_18 = mesh_9.normals.elementAt(18);
      expect(normal_9_18, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_19 = mesh_9.normals.elementAt(19);
      expect(normal_9_19, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_20 = mesh_9.normals.elementAt(20);
      expect(normal_9_20, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_21 = mesh_9.normals.elementAt(21);
      expect(normal_9_21, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_22 = mesh_9.normals.elementAt(22);
      expect(normal_9_22, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_23 = mesh_9.normals.elementAt(23);
      expect(normal_9_23, vector3MoreOrLessEquals(Vector3(0.0958179981, 0.746430993, 0.65852797)));
      final normal_9_24 = mesh_9.normals.elementAt(24);
      expect(normal_9_24, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_25 = mesh_9.normals.elementAt(25);
      expect(normal_9_25, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_26 = mesh_9.normals.elementAt(26);
      expect(normal_9_26, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_27 = mesh_9.normals.elementAt(27);
      expect(normal_9_27, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_28 = mesh_9.normals.elementAt(28);
      expect(normal_9_28, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, -0.420704007)));
      final normal_9_29 = mesh_9.normals.elementAt(29);
      expect(normal_9_29, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_30 = mesh_9.normals.elementAt(30);
      expect(normal_9_30, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_31 = mesh_9.normals.elementAt(31);
      expect(normal_9_31, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      final normal_9_32 = mesh_9.normals.elementAt(32);
      expect(normal_9_32, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_33 = mesh_9.normals.elementAt(33);
      expect(normal_9_33, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_34 = mesh_9.normals.elementAt(34);
      expect(normal_9_34, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_35 = mesh_9.normals.elementAt(35);
      expect(normal_9_35, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, -0.420704007)));
      final normal_9_36 = mesh_9.normals.elementAt(36);
      expect(normal_9_36, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      final normal_9_37 = mesh_9.normals.elementAt(37);
      expect(normal_9_37, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, 0.0794169977)));
      final normal_9_38 = mesh_9.normals.elementAt(38);
      expect(normal_9_38, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_39 = mesh_9.normals.elementAt(39);
      expect(normal_9_39, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, 0.0794169977)));
      final normal_9_40 = mesh_9.normals.elementAt(40);
      expect(normal_9_40, vector3MoreOrLessEquals(Vector3(0.775767982, 0.382140994, -0.502147973)));
      final normal_9_41 = mesh_9.normals.elementAt(41);
      expect(normal_9_41, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_42 = mesh_9.normals.elementAt(42);
      expect(normal_9_42, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_43 = mesh_9.normals.elementAt(43);
      expect(normal_9_43, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_44 = mesh_9.normals.elementAt(44);
      expect(normal_9_44, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_45 = mesh_9.normals.elementAt(45);
      expect(normal_9_45, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_46 = mesh_9.normals.elementAt(46);
      expect(normal_9_46, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_47 = mesh_9.normals.elementAt(47);
      expect(normal_9_47, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_48 = mesh_9.normals.elementAt(48);
      expect(normal_9_48, vector3MoreOrLessEquals(Vector3(0.209806994, 0.74278599, 0.635806978)));
      final normal_9_49 = mesh_9.normals.elementAt(49);
      expect(normal_9_49, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_50 = mesh_9.normals.elementAt(50);
      expect(normal_9_50, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, 0.217442006)));
      final normal_9_51 = mesh_9.normals.elementAt(51);
      expect(normal_9_51, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_52 = mesh_9.normals.elementAt(52);
      expect(normal_9_52, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, 0.30824101)));
      final normal_9_53 = mesh_9.normals.elementAt(53);
      expect(normal_9_53, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, 0.217442006)));
      final normal_9_54 = mesh_9.normals.elementAt(54);
      expect(normal_9_54, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_55 = mesh_9.normals.elementAt(55);
      expect(normal_9_55, vector3MoreOrLessEquals(Vector3(0.0958179981, 0.746430993, 0.65852797)));
      final normal_9_56 = mesh_9.normals.elementAt(56);
      expect(normal_9_56, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_57 = mesh_9.normals.elementAt(57);
      expect(normal_9_57, vector3MoreOrLessEquals(Vector3(0.0740510002, 0.631917, 0.771489978)));
      final normal_9_58 = mesh_9.normals.elementAt(58);
      expect(normal_9_58, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_59 = mesh_9.normals.elementAt(59);
      expect(normal_9_59, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, 0.30824101)));
      final normal_9_60 = mesh_9.normals.elementAt(60);
      expect(normal_9_60, vector3MoreOrLessEquals(Vector3(0.0958179981, 0.746430993, 0.65852797)));
      final normal_9_61 = mesh_9.normals.elementAt(61);
      expect(normal_9_61, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_62 = mesh_9.normals.elementAt(62);
      expect(normal_9_62, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_63 = mesh_9.normals.elementAt(63);
      expect(normal_9_63, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_64 = mesh_9.normals.elementAt(64);
      expect(normal_9_64, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, -0.443607002)));
      final normal_9_65 = mesh_9.normals.elementAt(65);
      expect(normal_9_65, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_66 = mesh_9.normals.elementAt(66);
      expect(normal_9_66, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_67 = mesh_9.normals.elementAt(67);
      expect(normal_9_67, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, -0.420704007)));
      final normal_9_68 = mesh_9.normals.elementAt(68);
      expect(normal_9_68, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_69 = mesh_9.normals.elementAt(69);
      expect(normal_9_69, vector3MoreOrLessEquals(Vector3(0.408064008, 0.912343979, -0.0333600007)));
      final normal_9_70 = mesh_9.normals.elementAt(70);
      expect(normal_9_70, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_71 = mesh_9.normals.elementAt(71);
      expect(normal_9_71, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, -0.443607002)));
      final normal_9_72 = mesh_9.normals.elementAt(72);
      expect(normal_9_72, vector3MoreOrLessEquals(Vector3(0.754037023, 0.504418015, -0.420704007)));
      final normal_9_73 = mesh_9.normals.elementAt(73);
      expect(normal_9_73, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_74 = mesh_9.normals.elementAt(74);
      expect(normal_9_74, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_75 = mesh_9.normals.elementAt(75);
      expect(normal_9_75, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_76 = mesh_9.normals.elementAt(76);
      expect(normal_9_76, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, -0.910445988)));
      final normal_9_77 = mesh_9.normals.elementAt(77);
      expect(normal_9_77, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_78 = mesh_9.normals.elementAt(78);
      expect(normal_9_78, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_79 = mesh_9.normals.elementAt(79);
      expect(normal_9_79, vector3MoreOrLessEquals(Vector3(0.775767982, 0.382140994, -0.502147973)));
      final normal_9_80 = mesh_9.normals.elementAt(80);
      expect(normal_9_80, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, -0.857285023)));
      final normal_9_81 = mesh_9.normals.elementAt(81);
      expect(normal_9_81, vector3MoreOrLessEquals(Vector3(0.828559995, 0.316590011, -0.461798996)));
      final normal_9_82 = mesh_9.normals.elementAt(82);
      expect(normal_9_82, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, -0.857285023)));
      final normal_9_83 = mesh_9.normals.elementAt(83);
      expect(normal_9_83, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, -0.910445988)));
      final normal_9_84 = mesh_9.normals.elementAt(84);
      expect(normal_9_84, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_85 = mesh_9.normals.elementAt(85);
      expect(normal_9_85, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_86 = mesh_9.normals.elementAt(86);
      expect(normal_9_86, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_87 = mesh_9.normals.elementAt(87);
      expect(normal_9_87, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_88 = mesh_9.normals.elementAt(88);
      expect(normal_9_88, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_89 = mesh_9.normals.elementAt(89);
      expect(normal_9_89, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_90 = mesh_9.normals.elementAt(90);
      expect(normal_9_90, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, 0.217442006)));
      final normal_9_91 = mesh_9.normals.elementAt(91);
      expect(normal_9_91, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, 0.30824101)));
      final normal_9_92 = mesh_9.normals.elementAt(92);
      expect(normal_9_92, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_93 = mesh_9.normals.elementAt(93);
      expect(normal_9_93, vector3MoreOrLessEquals(Vector3(-0.535921991, 0.815786004, 0.217442006)));
      final normal_9_94 = mesh_9.normals.elementAt(94);
      expect(normal_9_94, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_95 = mesh_9.normals.elementAt(95);
      expect(normal_9_95, vector3MoreOrLessEquals(Vector3(-0.856971025, 0.404835999, -0.31891799)));
      final normal_9_96 = mesh_9.normals.elementAt(96);
      expect(normal_9_96, vector3MoreOrLessEquals(Vector3(-0.711741984, 0.631197989, 0.30824101)));
      final normal_9_97 = mesh_9.normals.elementAt(97);
      expect(normal_9_97, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_98 = mesh_9.normals.elementAt(98);
      expect(normal_9_98, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_99 = mesh_9.normals.elementAt(99);
      expect(normal_9_99, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_100 = mesh_9.normals.elementAt(100);
      expect(normal_9_100, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, -0.368844986)));
      final normal_9_101 = mesh_9.normals.elementAt(101);
      expect(normal_9_101, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_102 = mesh_9.normals.elementAt(102);
      expect(normal_9_102, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_103 = mesh_9.normals.elementAt(103);
      expect(normal_9_103, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, -0.443607002)));
      final normal_9_104 = mesh_9.normals.elementAt(104);
      expect(normal_9_104, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_105 = mesh_9.normals.elementAt(105);
      expect(normal_9_105, vector3MoreOrLessEquals(Vector3(-0.720586002, 0.670982003, 0.174753994)));
      final normal_9_106 = mesh_9.normals.elementAt(106);
      expect(normal_9_106, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_107 = mesh_9.normals.elementAt(107);
      expect(normal_9_107, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, -0.368844986)));
      final normal_9_108 = mesh_9.normals.elementAt(108);
      expect(normal_9_108, vector3MoreOrLessEquals(Vector3(-0.411496013, 0.796168029, -0.443607002)));
      final normal_9_109 = mesh_9.normals.elementAt(109);
      expect(normal_9_109, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_110 = mesh_9.normals.elementAt(110);
      expect(normal_9_110, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_111 = mesh_9.normals.elementAt(111);
      expect(normal_9_111, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_112 = mesh_9.normals.elementAt(112);
      expect(normal_9_112, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506, -0.612221003)));
      final normal_9_113 = mesh_9.normals.elementAt(113);
      expect(normal_9_113, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_114 = mesh_9.normals.elementAt(114);
      expect(normal_9_114, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_115 = mesh_9.normals.elementAt(115);
      expect(normal_9_115, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, -0.910445988)));
      final normal_9_116 = mesh_9.normals.elementAt(116);
      expect(normal_9_116, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_117 = mesh_9.normals.elementAt(117);
      expect(normal_9_117, vector3MoreOrLessEquals(Vector3(-0.0943799987, 0.527301013, -0.844421029)));
      final normal_9_118 = mesh_9.normals.elementAt(118);
      expect(normal_9_118, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_119 = mesh_9.normals.elementAt(119);
      expect(normal_9_119, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506, -0.612221003)));
      final normal_9_120 = mesh_9.normals.elementAt(120);
      expect(normal_9_120, vector3MoreOrLessEquals(Vector3(-0.0697520003, 0.407703996, -0.910445988)));
      final normal_9_121 = mesh_9.normals.elementAt(121);
      expect(normal_9_121, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, -0.857285023)));
      final normal_9_122 = mesh_9.normals.elementAt(122);
      expect(normal_9_122, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_123 = mesh_9.normals.elementAt(123);
      expect(normal_9_123, vector3MoreOrLessEquals(Vector3(-0.0752269998, 0.509316981, -0.857285023)));
      final normal_9_124 = mesh_9.normals.elementAt(124);
      expect(normal_9_124, vector3MoreOrLessEquals(Vector3(-0.809969008, 0.211449996, -0.547026992)));
      final normal_9_125 = mesh_9.normals.elementAt(125);
      expect(normal_9_125, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_126 = mesh_9.normals.elementAt(126);
      expect(normal_9_126, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_127 = mesh_9.normals.elementAt(127);
      expect(normal_9_127, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_128 = mesh_9.normals.elementAt(128);
      expect(normal_9_128, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_129 = mesh_9.normals.elementAt(129);
      expect(normal_9_129, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_130 = mesh_9.normals.elementAt(130);
      expect(normal_9_130, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_131 = mesh_9.normals.elementAt(131);
      expect(normal_9_131, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_132 = mesh_9.normals.elementAt(132);
      expect(normal_9_132, vector3MoreOrLessEquals(Vector3(-0.856971025, 0.404835999, -0.31891799)));
      final normal_9_133 = mesh_9.normals.elementAt(133);
      expect(normal_9_133, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_134 = mesh_9.normals.elementAt(134);
      expect(normal_9_134, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, -0.716075003)));
      final normal_9_135 = mesh_9.normals.elementAt(135);
      expect(normal_9_135, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_136 = mesh_9.normals.elementAt(136);
      expect(normal_9_136, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, -0.80300498)));
      final normal_9_137 = mesh_9.normals.elementAt(137);
      expect(normal_9_137, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, -0.716075003)));
      final normal_9_138 = mesh_9.normals.elementAt(138);
      expect(normal_9_138, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_139 = mesh_9.normals.elementAt(139);
      expect(normal_9_139, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, -0.368844986)));
      final normal_9_140 = mesh_9.normals.elementAt(140);
      expect(normal_9_140, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_141 = mesh_9.normals.elementAt(141);
      expect(normal_9_141, vector3MoreOrLessEquals(Vector3(-0.899321973, 0.217217997, -0.379521996)));
      final normal_9_142 = mesh_9.normals.elementAt(142);
      expect(normal_9_142, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_143 = mesh_9.normals.elementAt(143);
      expect(normal_9_143, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, -0.80300498)));
      final normal_9_144 = mesh_9.normals.elementAt(144);
      expect(normal_9_144, vector3MoreOrLessEquals(Vector3(-0.929488003, 0.002263, -0.368844986)));
      final normal_9_145 = mesh_9.normals.elementAt(145);
      expect(normal_9_145, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_146 = mesh_9.normals.elementAt(146);
      expect(normal_9_146, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_147 = mesh_9.normals.elementAt(147);
      expect(normal_9_147, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_148 = mesh_9.normals.elementAt(148);
      expect(normal_9_148, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592927992, 0.0272359997)));
      final normal_9_149 = mesh_9.normals.elementAt(149);
      expect(normal_9_149, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_150 = mesh_9.normals.elementAt(150);
      expect(normal_9_150, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_151 = mesh_9.normals.elementAt(151);
      expect(normal_9_151, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506, -0.612221003)));
      final normal_9_152 = mesh_9.normals.elementAt(152);
      expect(normal_9_152, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_153 = mesh_9.normals.elementAt(153);
      expect(normal_9_153, vector3MoreOrLessEquals(Vector3(-0.913020015, 0.111991003, -0.392239004)));
      final normal_9_154 = mesh_9.normals.elementAt(154);
      expect(normal_9_154, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_155 = mesh_9.normals.elementAt(155);
      expect(normal_9_155, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592927992, 0.0272359997)));
      final normal_9_156 = mesh_9.normals.elementAt(156);
      expect(normal_9_156, vector3MoreOrLessEquals(Vector3(-0.775243998, 0.155506, -0.612221003)));
      final normal_9_157 = mesh_9.normals.elementAt(157);
      expect(normal_9_157, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_158 = mesh_9.normals.elementAt(158);
      expect(normal_9_158, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_159 = mesh_9.normals.elementAt(159);
      expect(normal_9_159, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_160 = mesh_9.normals.elementAt(160);
      expect(normal_9_160, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, -0.0173879992)));
      final normal_9_161 = mesh_9.normals.elementAt(161);
      expect(normal_9_161, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_162 = mesh_9.normals.elementAt(162);
      expect(normal_9_162, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_163 = mesh_9.normals.elementAt(163);
      expect(normal_9_163, vector3MoreOrLessEquals(Vector3(-0.809969008, 0.211449996, -0.547026992)));
      final normal_9_164 = mesh_9.normals.elementAt(164);
      expect(normal_9_164, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, -0.00499500008)));
      final normal_9_165 = mesh_9.normals.elementAt(165);
      expect(normal_9_165, vector3MoreOrLessEquals(Vector3(-0.809952021, 0.130293995, -0.571838975)));
      final normal_9_166 = mesh_9.normals.elementAt(166);
      expect(normal_9_166, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, -0.00499500008)));
      final normal_9_167 = mesh_9.normals.elementAt(167);
      expect(normal_9_167, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, -0.0173879992)));
      final normal_9_168 = mesh_9.normals.elementAt(168);
      expect(normal_9_168, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_169 = mesh_9.normals.elementAt(169);
      expect(normal_9_169, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_170 = mesh_9.normals.elementAt(170);
      expect(normal_9_170, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_171 = mesh_9.normals.elementAt(171);
      expect(normal_9_171, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_172 = mesh_9.normals.elementAt(172);
      expect(normal_9_172, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_173 = mesh_9.normals.elementAt(173);
      expect(normal_9_173, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_174 = mesh_9.normals.elementAt(174);
      expect(normal_9_174, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, -0.716075003)));
      final normal_9_175 = mesh_9.normals.elementAt(175);
      expect(normal_9_175, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, -0.80300498)));
      final normal_9_176 = mesh_9.normals.elementAt(176);
      expect(normal_9_176, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_177 = mesh_9.normals.elementAt(177);
      expect(normal_9_177, vector3MoreOrLessEquals(Vector3(-0.512437999, -0.473964989, -0.716075003)));
      final normal_9_178 = mesh_9.normals.elementAt(178);
      expect(normal_9_178, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_179 = mesh_9.normals.elementAt(179);
      expect(normal_9_179, vector3MoreOrLessEquals(Vector3(0.150050998, -0.816597998, -0.557361007)));
      final normal_9_180 = mesh_9.normals.elementAt(180);
      expect(normal_9_180, vector3MoreOrLessEquals(Vector3(-0.470746011, -0.365487993, -0.80300498)));
      final normal_9_181 = mesh_9.normals.elementAt(181);
      expect(normal_9_181, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_182 = mesh_9.normals.elementAt(182);
      expect(normal_9_182, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_183 = mesh_9.normals.elementAt(183);
      expect(normal_9_183, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_184 = mesh_9.normals.elementAt(184);
      expect(normal_9_184, vector3MoreOrLessEquals(Vector3(0.305963993, -0.903394997, -0.300439)));
      final normal_9_185 = mesh_9.normals.elementAt(185);
      expect(normal_9_185, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_186 = mesh_9.normals.elementAt(186);
      expect(normal_9_186, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_187 = mesh_9.normals.elementAt(187);
      expect(normal_9_187, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592927992, 0.0272359997)));
      final normal_9_188 = mesh_9.normals.elementAt(188);
      expect(normal_9_188, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_189 = mesh_9.normals.elementAt(189);
      expect(normal_9_189, vector3MoreOrLessEquals(Vector3(-0.622708023, -0.554524004, -0.552030027)));
      final normal_9_190 = mesh_9.normals.elementAt(190);
      expect(normal_9_190, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_191 = mesh_9.normals.elementAt(191);
      expect(normal_9_191, vector3MoreOrLessEquals(Vector3(0.305963993, -0.903394997, -0.300439)));
      final normal_9_192 = mesh_9.normals.elementAt(192);
      expect(normal_9_192, vector3MoreOrLessEquals(Vector3(-0.804795027, -0.592927992, 0.0272359997)));
      final normal_9_193 = mesh_9.normals.elementAt(193);
      expect(normal_9_193, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_194 = mesh_9.normals.elementAt(194);
      expect(normal_9_194, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_195 = mesh_9.normals.elementAt(195);
      expect(normal_9_195, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_196 = mesh_9.normals.elementAt(196);
      expect(normal_9_196, vector3MoreOrLessEquals(Vector3(-0.379305005, -0.604700983, 0.700331986)));
      final normal_9_197 = mesh_9.normals.elementAt(197);
      expect(normal_9_197, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_198 = mesh_9.normals.elementAt(198);
      expect(normal_9_198, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_199 = mesh_9.normals.elementAt(199);
      expect(normal_9_199, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, -0.0173879992)));
      final normal_9_200 = mesh_9.normals.elementAt(200);
      expect(normal_9_200, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_201 = mesh_9.normals.elementAt(201);
      expect(normal_9_201, vector3MoreOrLessEquals(Vector3(-0.935688019, -0.349566013, 0.0478649996)));
      final normal_9_202 = mesh_9.normals.elementAt(202);
      expect(normal_9_202, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_203 = mesh_9.normals.elementAt(203);
      expect(normal_9_203, vector3MoreOrLessEquals(Vector3(-0.379305005, -0.604700983, 0.700331986)));
      final normal_9_204 = mesh_9.normals.elementAt(204);
      expect(normal_9_204, vector3MoreOrLessEquals(Vector3(-0.979825974, -0.199092999, -0.0173879992)));
      final normal_9_205 = mesh_9.normals.elementAt(205);
      expect(normal_9_205, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, -0.00499500008)));
      final normal_9_206 = mesh_9.normals.elementAt(206);
      expect(normal_9_206, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_207 = mesh_9.normals.elementAt(207);
      expect(normal_9_207, vector3MoreOrLessEquals(Vector3(-0.969659984, -0.244405001, -0.00499500008)));
      final normal_9_208 = mesh_9.normals.elementAt(208);
      expect(normal_9_208, vector3MoreOrLessEquals(Vector3(-0.396771014, -0.701294005, 0.592248976)));
      final normal_9_209 = mesh_9.normals.elementAt(209);
      expect(normal_9_209, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_210 = mesh_9.normals.elementAt(210);
      expect(normal_9_210, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_211 = mesh_9.normals.elementAt(211);
      expect(normal_9_211, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_212 = mesh_9.normals.elementAt(212);
      expect(normal_9_212, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_213 = mesh_9.normals.elementAt(213);
      expect(normal_9_213, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_214 = mesh_9.normals.elementAt(214);
      expect(normal_9_214, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_215 = mesh_9.normals.elementAt(215);
      expect(normal_9_215, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_216 = mesh_9.normals.elementAt(216);
      expect(normal_9_216, vector3MoreOrLessEquals(Vector3(0.150050998, -0.816597998, -0.557361007)));
      final normal_9_217 = mesh_9.normals.elementAt(217);
      expect(normal_9_217, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_218 = mesh_9.normals.elementAt(218);
      expect(normal_9_218, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, 0.00651799981)));
      final normal_9_219 = mesh_9.normals.elementAt(219);
      expect(normal_9_219, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_220 = mesh_9.normals.elementAt(220);
      expect(normal_9_220, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, -0.0339660011)));
      final normal_9_221 = mesh_9.normals.elementAt(221);
      expect(normal_9_221, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, 0.00651799981)));
      final normal_9_222 = mesh_9.normals.elementAt(222);
      expect(normal_9_222, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_223 = mesh_9.normals.elementAt(223);
      expect(normal_9_223, vector3MoreOrLessEquals(Vector3(0.305963993, -0.903394997, -0.300439)));
      final normal_9_224 = mesh_9.normals.elementAt(224);
      expect(normal_9_224, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_225 = mesh_9.normals.elementAt(225);
      expect(normal_9_225, vector3MoreOrLessEquals(Vector3(0.346029997, -0.645322025, -0.681044996)));
      final normal_9_226 = mesh_9.normals.elementAt(226);
      expect(normal_9_226, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_227 = mesh_9.normals.elementAt(227);
      expect(normal_9_227, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, -0.0339660011)));
      final normal_9_228 = mesh_9.normals.elementAt(228);
      expect(normal_9_228, vector3MoreOrLessEquals(Vector3(0.305963993, -0.903394997, -0.300439)));
      final normal_9_229 = mesh_9.normals.elementAt(229);
      expect(normal_9_229, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_230 = mesh_9.normals.elementAt(230);
      expect(normal_9_230, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_231 = mesh_9.normals.elementAt(231);
      expect(normal_9_231, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_232 = mesh_9.normals.elementAt(232);
      expect(normal_9_232, vector3MoreOrLessEquals(Vector3(0.605499983, -0.43167901, 0.668597996)));
      final normal_9_233 = mesh_9.normals.elementAt(233);
      expect(normal_9_233, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_234 = mesh_9.normals.elementAt(234);
      expect(normal_9_234, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_235 = mesh_9.normals.elementAt(235);
      expect(normal_9_235, vector3MoreOrLessEquals(Vector3(-0.379305005, -0.604700983, 0.700331986)));
      final normal_9_236 = mesh_9.normals.elementAt(236);
      expect(normal_9_236, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_237 = mesh_9.normals.elementAt(237);
      expect(normal_9_237, vector3MoreOrLessEquals(Vector3(-0.106895, -0.879100025, 0.464495987)));
      final normal_9_238 = mesh_9.normals.elementAt(238);
      expect(normal_9_238, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_239 = mesh_9.normals.elementAt(239);
      expect(normal_9_239, vector3MoreOrLessEquals(Vector3(0.605499983, -0.43167901, 0.668597996)));
      final normal_9_240 = mesh_9.normals.elementAt(240);
      expect(normal_9_240, vector3MoreOrLessEquals(Vector3(-0.379305005, -0.604700983, 0.700331986)));
      final normal_9_241 = mesh_9.normals.elementAt(241);
      expect(normal_9_241, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_242 = mesh_9.normals.elementAt(242);
      expect(normal_9_242, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_243 = mesh_9.normals.elementAt(243);
      expect(normal_9_243, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_244 = mesh_9.normals.elementAt(244);
      expect(normal_9_244, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, 0.702354014)));
      final normal_9_245 = mesh_9.normals.elementAt(245);
      expect(normal_9_245, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_246 = mesh_9.normals.elementAt(246);
      expect(normal_9_246, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_247 = mesh_9.normals.elementAt(247);
      expect(normal_9_247, vector3MoreOrLessEquals(Vector3(-0.396771014, -0.701294005, 0.592248976)));
      final normal_9_248 = mesh_9.normals.elementAt(248);
      expect(normal_9_248, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126029, 0.608586013)));
      final normal_9_249 = mesh_9.normals.elementAt(249);
      expect(normal_9_249, vector3MoreOrLessEquals(Vector3(-0.457450986, -0.550270975, 0.698526978)));
      final normal_9_250 = mesh_9.normals.elementAt(250);
      expect(normal_9_250, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126029, 0.608586013)));
      final normal_9_251 = mesh_9.normals.elementAt(251);
      expect(normal_9_251, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, 0.702354014)));
      final normal_9_252 = mesh_9.normals.elementAt(252);
      expect(normal_9_252, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_253 = mesh_9.normals.elementAt(253);
      expect(normal_9_253, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_254 = mesh_9.normals.elementAt(254);
      expect(normal_9_254, vector3MoreOrLessEquals(Vector3(-0.287104011, -0.930940986, 0.225655004)));
      final normal_9_255 = mesh_9.normals.elementAt(255);
      expect(normal_9_255, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_256 = mesh_9.normals.elementAt(256);
      expect(normal_9_256, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_257 = mesh_9.normals.elementAt(257);
      expect(normal_9_257, vector3MoreOrLessEquals(Vector3(0.184384003, -0.421750993, -0.887766004)));
      final normal_9_258 = mesh_9.normals.elementAt(258);
      expect(normal_9_258, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, 0.00651799981)));
      final normal_9_259 = mesh_9.normals.elementAt(259);
      expect(normal_9_259, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, -0.0339660011)));
      final normal_9_260 = mesh_9.normals.elementAt(260);
      expect(normal_9_260, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_261 = mesh_9.normals.elementAt(261);
      expect(normal_9_261, vector3MoreOrLessEquals(Vector3(0.835906029, -0.548834026, 0.00651799981)));
      final normal_9_262 = mesh_9.normals.elementAt(262);
      expect(normal_9_262, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_263 = mesh_9.normals.elementAt(263);
      expect(normal_9_263, vector3MoreOrLessEquals(Vector3(0.730772972, 0.322890013, 0.601426005)));
      final normal_9_264 = mesh_9.normals.elementAt(264);
      expect(normal_9_264, vector3MoreOrLessEquals(Vector3(0.923601985, -0.381844014, -0.0339660011)));
      final normal_9_265 = mesh_9.normals.elementAt(265);
      expect(normal_9_265, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_266 = mesh_9.normals.elementAt(266);
      expect(normal_9_266, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_267 = mesh_9.normals.elementAt(267);
      expect(normal_9_267, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_268 = mesh_9.normals.elementAt(268);
      expect(normal_9_268, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_269 = mesh_9.normals.elementAt(269);
      expect(normal_9_269, vector3MoreOrLessEquals(Vector3(0.855332971, 0.0606469996, 0.514517009)));
      final normal_9_270 = mesh_9.normals.elementAt(270);
      expect(normal_9_270, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_271 = mesh_9.normals.elementAt(271);
      expect(normal_9_271, vector3MoreOrLessEquals(Vector3(0.605499983, -0.43167901, 0.668597996)));
      final normal_9_272 = mesh_9.normals.elementAt(272);
      expect(normal_9_272, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_273 = mesh_9.normals.elementAt(273);
      expect(normal_9_273, vector3MoreOrLessEquals(Vector3(0.863214016, -0.393373013, 0.316417992)));
      final normal_9_274 = mesh_9.normals.elementAt(274);
      expect(normal_9_274, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_275 = mesh_9.normals.elementAt(275);
      expect(normal_9_275, vector3MoreOrLessEquals(Vector3(0.616222024, 0.371327013, 0.694540024)));
      final normal_9_276 = mesh_9.normals.elementAt(276);
      expect(normal_9_276, vector3MoreOrLessEquals(Vector3(0.605499983, -0.43167901, 0.668597996)));
      final normal_9_277 = mesh_9.normals.elementAt(277);
      expect(normal_9_277, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_278 = mesh_9.normals.elementAt(278);
      expect(normal_9_278, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_279 = mesh_9.normals.elementAt(279);
      expect(normal_9_279, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_280 = mesh_9.normals.elementAt(280);
      expect(normal_9_280, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_281 = mesh_9.normals.elementAt(281);
      expect(normal_9_281, vector3MoreOrLessEquals(Vector3(0.821335971, 0.180466995, 0.541145027)));
      final normal_9_282 = mesh_9.normals.elementAt(282);
      expect(normal_9_282, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_283 = mesh_9.normals.elementAt(283);
      expect(normal_9_283, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, 0.702354014)));
      final normal_9_284 = mesh_9.normals.elementAt(284);
      expect(normal_9_284, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      final normal_9_285 = mesh_9.normals.elementAt(285);
      expect(normal_9_285, vector3MoreOrLessEquals(Vector3(0.534229994, -0.375452012, 0.757386982)));
      final normal_9_286 = mesh_9.normals.elementAt(286);
      expect(normal_9_286, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      final normal_9_287 = mesh_9.normals.elementAt(287);
      expect(normal_9_287, vector3MoreOrLessEquals(Vector3(0.969681978, 0.166170001, 0.179175004)));
      final normal_9_288 = mesh_9.normals.elementAt(288);
      expect(normal_9_288, vector3MoreOrLessEquals(Vector3(0.609830976, -0.367157996, 0.702354014)));
      final normal_9_289 = mesh_9.normals.elementAt(289);
      expect(normal_9_289, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126029, 0.608586013)));
      final normal_9_290 = mesh_9.normals.elementAt(290);
      expect(normal_9_290, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      final normal_9_291 = mesh_9.normals.elementAt(291);
      expect(normal_9_291, vector3MoreOrLessEquals(Vector3(0.606094003, -0.512126029, 0.608586013)));
      final normal_9_292 = mesh_9.normals.elementAt(292);
      expect(normal_9_292, vector3MoreOrLessEquals(Vector3(0.996798992, 0.00922099967, 0.0794169977)));
      final normal_9_293 = mesh_9.normals.elementAt(293);
      expect(normal_9_293, vector3MoreOrLessEquals(Vector3(0.943283021, -0.0800940022, 0.322182)));
      expect(mesh_9.tangents.length, isZero);
      expect(mesh_9.bitangents.length, isZero);
      expect(mesh_9.colors.length, isZero);
      expect(mesh_9.textureCoords.length, equals(1));
      final textureCoords_9_0 = mesh_9.textureCoords.elementAt(0);
      expect(textureCoords_9_0.length, equals(294));
      final textureCoord_9_0_0 = textureCoords_9_0.elementAt(0);
      expect(textureCoord_9_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_1 = textureCoords_9_0.elementAt(1);
      expect(textureCoord_9_0_1, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_2 = textureCoords_9_0.elementAt(2);
      expect(textureCoord_9_0_2, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_3 = textureCoords_9_0.elementAt(3);
      expect(textureCoord_9_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_4 = textureCoords_9_0.elementAt(4);
      expect(textureCoord_9_0_4, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_5 = textureCoords_9_0.elementAt(5);
      expect(textureCoord_9_0_5, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_6 = textureCoords_9_0.elementAt(6);
      expect(textureCoord_9_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_7 = textureCoords_9_0.elementAt(7);
      expect(textureCoord_9_0_7, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_9_0_8 = textureCoords_9_0.elementAt(8);
      expect(textureCoord_9_0_8, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_9 = textureCoords_9_0.elementAt(9);
      expect(textureCoord_9_0_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_9_0_10 = textureCoords_9_0.elementAt(10);
      expect(textureCoord_9_0_10, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_11 = textureCoords_9_0.elementAt(11);
      expect(textureCoord_9_0_11, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_9_0_12 = textureCoords_9_0.elementAt(12);
      expect(textureCoord_9_0_12, vector3MoreOrLessEquals(Vector3(0, 0.166666999, 0)));
      final textureCoord_9_0_13 = textureCoords_9_0.elementAt(13);
      expect(textureCoord_9_0_13, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_9_0_14 = textureCoords_9_0.elementAt(14);
      expect(textureCoord_9_0_14, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_15 = textureCoords_9_0.elementAt(15);
      expect(textureCoord_9_0_15, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_9_0_16 = textureCoords_9_0.elementAt(16);
      expect(textureCoord_9_0_16, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_9_0_17 = textureCoords_9_0.elementAt(17);
      expect(textureCoord_9_0_17, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_18 = textureCoords_9_0.elementAt(18);
      expect(textureCoord_9_0_18, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_9_0_19 = textureCoords_9_0.elementAt(19);
      expect(textureCoord_9_0_19, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_9_0_20 = textureCoords_9_0.elementAt(20);
      expect(textureCoord_9_0_20, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_21 = textureCoords_9_0.elementAt(21);
      expect(textureCoord_9_0_21, vector3MoreOrLessEquals(Vector3(0, 0.333332986, 0)));
      final textureCoord_9_0_22 = textureCoords_9_0.elementAt(22);
      expect(textureCoord_9_0_22, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_23 = textureCoords_9_0.elementAt(23);
      expect(textureCoord_9_0_23, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_9_0_24 = textureCoords_9_0.elementAt(24);
      expect(textureCoord_9_0_24, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_9_0_25 = textureCoords_9_0.elementAt(25);
      expect(textureCoord_9_0_25, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_9_0_26 = textureCoords_9_0.elementAt(26);
      expect(textureCoord_9_0_26, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_27 = textureCoords_9_0.elementAt(27);
      expect(textureCoord_9_0_27, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_9_0_28 = textureCoords_9_0.elementAt(28);
      expect(textureCoord_9_0_28, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_9_0_29 = textureCoords_9_0.elementAt(29);
      expect(textureCoord_9_0_29, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_30 = textureCoords_9_0.elementAt(30);
      expect(textureCoord_9_0_30, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_9_0_31 = textureCoords_9_0.elementAt(31);
      expect(textureCoord_9_0_31, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_9_0_32 = textureCoords_9_0.elementAt(32);
      expect(textureCoord_9_0_32, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_33 = textureCoords_9_0.elementAt(33);
      expect(textureCoord_9_0_33, vector3MoreOrLessEquals(Vector3(0, 0.666666985, 0)));
      final textureCoord_9_0_34 = textureCoords_9_0.elementAt(34);
      expect(textureCoord_9_0_34, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_35 = textureCoords_9_0.elementAt(35);
      expect(textureCoord_9_0_35, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_9_0_36 = textureCoords_9_0.elementAt(36);
      expect(textureCoord_9_0_36, vector3MoreOrLessEquals(Vector3(0, 0.833333015, 0)));
      final textureCoord_9_0_37 = textureCoords_9_0.elementAt(37);
      expect(textureCoord_9_0_37, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_38 = textureCoords_9_0.elementAt(38);
      expect(textureCoord_9_0_38, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_39 = textureCoords_9_0.elementAt(39);
      expect(textureCoord_9_0_39, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_40 = textureCoords_9_0.elementAt(40);
      expect(textureCoord_9_0_40, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_9_0_41 = textureCoords_9_0.elementAt(41);
      expect(textureCoord_9_0_41, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_42 = textureCoords_9_0.elementAt(42);
      expect(textureCoord_9_0_42, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_43 = textureCoords_9_0.elementAt(43);
      expect(textureCoord_9_0_43, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_44 = textureCoords_9_0.elementAt(44);
      expect(textureCoord_9_0_44, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_45 = textureCoords_9_0.elementAt(45);
      expect(textureCoord_9_0_45, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_46 = textureCoords_9_0.elementAt(46);
      expect(textureCoord_9_0_46, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_47 = textureCoords_9_0.elementAt(47);
      expect(textureCoord_9_0_47, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_48 = textureCoords_9_0.elementAt(48);
      expect(textureCoord_9_0_48, vector3MoreOrLessEquals(Vector3(0.142857, 0, 0)));
      final textureCoord_9_0_49 = textureCoords_9_0.elementAt(49);
      expect(textureCoord_9_0_49, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_50 = textureCoords_9_0.elementAt(50);
      expect(textureCoord_9_0_50, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_9_0_51 = textureCoords_9_0.elementAt(51);
      expect(textureCoord_9_0_51, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_52 = textureCoords_9_0.elementAt(52);
      expect(textureCoord_9_0_52, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_9_0_53 = textureCoords_9_0.elementAt(53);
      expect(textureCoord_9_0_53, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_9_0_54 = textureCoords_9_0.elementAt(54);
      expect(textureCoord_9_0_54, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_55 = textureCoords_9_0.elementAt(55);
      expect(textureCoord_9_0_55, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_9_0_56 = textureCoords_9_0.elementAt(56);
      expect(textureCoord_9_0_56, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_57 = textureCoords_9_0.elementAt(57);
      expect(textureCoord_9_0_57, vector3MoreOrLessEquals(Vector3(0.142857, 0.166666999, 0)));
      final textureCoord_9_0_58 = textureCoords_9_0.elementAt(58);
      expect(textureCoord_9_0_58, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_59 = textureCoords_9_0.elementAt(59);
      expect(textureCoord_9_0_59, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_9_0_60 = textureCoords_9_0.elementAt(60);
      expect(textureCoord_9_0_60, vector3MoreOrLessEquals(Vector3(0.142857, 0.333332986, 0)));
      final textureCoord_9_0_61 = textureCoords_9_0.elementAt(61);
      expect(textureCoord_9_0_61, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_62 = textureCoords_9_0.elementAt(62);
      expect(textureCoord_9_0_62, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_63 = textureCoords_9_0.elementAt(63);
      expect(textureCoord_9_0_63, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_64 = textureCoords_9_0.elementAt(64);
      expect(textureCoord_9_0_64, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_9_0_65 = textureCoords_9_0.elementAt(65);
      expect(textureCoord_9_0_65, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_66 = textureCoords_9_0.elementAt(66);
      expect(textureCoord_9_0_66, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_67 = textureCoords_9_0.elementAt(67);
      expect(textureCoord_9_0_67, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_9_0_68 = textureCoords_9_0.elementAt(68);
      expect(textureCoord_9_0_68, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_69 = textureCoords_9_0.elementAt(69);
      expect(textureCoord_9_0_69, vector3MoreOrLessEquals(Vector3(0.142857, 0.5, 0)));
      final textureCoord_9_0_70 = textureCoords_9_0.elementAt(70);
      expect(textureCoord_9_0_70, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_71 = textureCoords_9_0.elementAt(71);
      expect(textureCoord_9_0_71, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_9_0_72 = textureCoords_9_0.elementAt(72);
      expect(textureCoord_9_0_72, vector3MoreOrLessEquals(Vector3(0.142857, 0.666666985, 0)));
      final textureCoord_9_0_73 = textureCoords_9_0.elementAt(73);
      expect(textureCoord_9_0_73, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_74 = textureCoords_9_0.elementAt(74);
      expect(textureCoord_9_0_74, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_75 = textureCoords_9_0.elementAt(75);
      expect(textureCoord_9_0_75, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_76 = textureCoords_9_0.elementAt(76);
      expect(textureCoord_9_0_76, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_9_0_77 = textureCoords_9_0.elementAt(77);
      expect(textureCoord_9_0_77, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_78 = textureCoords_9_0.elementAt(78);
      expect(textureCoord_9_0_78, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_79 = textureCoords_9_0.elementAt(79);
      expect(textureCoord_9_0_79, vector3MoreOrLessEquals(Vector3(0.142857, 1, 0)));
      final textureCoord_9_0_80 = textureCoords_9_0.elementAt(80);
      expect(textureCoord_9_0_80, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_9_0_81 = textureCoords_9_0.elementAt(81);
      expect(textureCoord_9_0_81, vector3MoreOrLessEquals(Vector3(0.142857, 0.833333015, 0)));
      final textureCoord_9_0_82 = textureCoords_9_0.elementAt(82);
      expect(textureCoord_9_0_82, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_9_0_83 = textureCoords_9_0.elementAt(83);
      expect(textureCoord_9_0_83, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_9_0_84 = textureCoords_9_0.elementAt(84);
      expect(textureCoord_9_0_84, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_85 = textureCoords_9_0.elementAt(85);
      expect(textureCoord_9_0_85, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_86 = textureCoords_9_0.elementAt(86);
      expect(textureCoord_9_0_86, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_87 = textureCoords_9_0.elementAt(87);
      expect(textureCoord_9_0_87, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_88 = textureCoords_9_0.elementAt(88);
      expect(textureCoord_9_0_88, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_89 = textureCoords_9_0.elementAt(89);
      expect(textureCoord_9_0_89, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_90 = textureCoords_9_0.elementAt(90);
      expect(textureCoord_9_0_90, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_9_0_91 = textureCoords_9_0.elementAt(91);
      expect(textureCoord_9_0_91, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_9_0_92 = textureCoords_9_0.elementAt(92);
      expect(textureCoord_9_0_92, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_93 = textureCoords_9_0.elementAt(93);
      expect(textureCoord_9_0_93, vector3MoreOrLessEquals(Vector3(0.285714, 0, 0)));
      final textureCoord_9_0_94 = textureCoords_9_0.elementAt(94);
      expect(textureCoord_9_0_94, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_95 = textureCoords_9_0.elementAt(95);
      expect(textureCoord_9_0_95, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_9_0_96 = textureCoords_9_0.elementAt(96);
      expect(textureCoord_9_0_96, vector3MoreOrLessEquals(Vector3(0.285714, 0.166666999, 0)));
      final textureCoord_9_0_97 = textureCoords_9_0.elementAt(97);
      expect(textureCoord_9_0_97, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_98 = textureCoords_9_0.elementAt(98);
      expect(textureCoord_9_0_98, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_99 = textureCoords_9_0.elementAt(99);
      expect(textureCoord_9_0_99, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_100 = textureCoords_9_0.elementAt(100);
      expect(textureCoord_9_0_100, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_9_0_101 = textureCoords_9_0.elementAt(101);
      expect(textureCoord_9_0_101, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_102 = textureCoords_9_0.elementAt(102);
      expect(textureCoord_9_0_102, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_103 = textureCoords_9_0.elementAt(103);
      expect(textureCoord_9_0_103, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_9_0_104 = textureCoords_9_0.elementAt(104);
      expect(textureCoord_9_0_104, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_105 = textureCoords_9_0.elementAt(105);
      expect(textureCoord_9_0_105, vector3MoreOrLessEquals(Vector3(0.285714, 0.333332986, 0)));
      final textureCoord_9_0_106 = textureCoords_9_0.elementAt(106);
      expect(textureCoord_9_0_106, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_107 = textureCoords_9_0.elementAt(107);
      expect(textureCoord_9_0_107, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_9_0_108 = textureCoords_9_0.elementAt(108);
      expect(textureCoord_9_0_108, vector3MoreOrLessEquals(Vector3(0.285714, 0.5, 0)));
      final textureCoord_9_0_109 = textureCoords_9_0.elementAt(109);
      expect(textureCoord_9_0_109, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_110 = textureCoords_9_0.elementAt(110);
      expect(textureCoord_9_0_110, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_111 = textureCoords_9_0.elementAt(111);
      expect(textureCoord_9_0_111, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_112 = textureCoords_9_0.elementAt(112);
      expect(textureCoord_9_0_112, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_9_0_113 = textureCoords_9_0.elementAt(113);
      expect(textureCoord_9_0_113, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_114 = textureCoords_9_0.elementAt(114);
      expect(textureCoord_9_0_114, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_115 = textureCoords_9_0.elementAt(115);
      expect(textureCoord_9_0_115, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_9_0_116 = textureCoords_9_0.elementAt(116);
      expect(textureCoord_9_0_116, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_117 = textureCoords_9_0.elementAt(117);
      expect(textureCoord_9_0_117, vector3MoreOrLessEquals(Vector3(0.285714, 0.666666985, 0)));
      final textureCoord_9_0_118 = textureCoords_9_0.elementAt(118);
      expect(textureCoord_9_0_118, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_119 = textureCoords_9_0.elementAt(119);
      expect(textureCoord_9_0_119, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_9_0_120 = textureCoords_9_0.elementAt(120);
      expect(textureCoord_9_0_120, vector3MoreOrLessEquals(Vector3(0.285714, 0.833333015, 0)));
      final textureCoord_9_0_121 = textureCoords_9_0.elementAt(121);
      expect(textureCoord_9_0_121, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_9_0_122 = textureCoords_9_0.elementAt(122);
      expect(textureCoord_9_0_122, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_123 = textureCoords_9_0.elementAt(123);
      expect(textureCoord_9_0_123, vector3MoreOrLessEquals(Vector3(0.285714, 1, 0)));
      final textureCoord_9_0_124 = textureCoords_9_0.elementAt(124);
      expect(textureCoord_9_0_124, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_9_0_125 = textureCoords_9_0.elementAt(125);
      expect(textureCoord_9_0_125, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_126 = textureCoords_9_0.elementAt(126);
      expect(textureCoord_9_0_126, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_127 = textureCoords_9_0.elementAt(127);
      expect(textureCoord_9_0_127, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_128 = textureCoords_9_0.elementAt(128);
      expect(textureCoord_9_0_128, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_129 = textureCoords_9_0.elementAt(129);
      expect(textureCoord_9_0_129, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_130 = textureCoords_9_0.elementAt(130);
      expect(textureCoord_9_0_130, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_131 = textureCoords_9_0.elementAt(131);
      expect(textureCoord_9_0_131, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_132 = textureCoords_9_0.elementAt(132);
      expect(textureCoord_9_0_132, vector3MoreOrLessEquals(Vector3(0.428570986, 0, 0)));
      final textureCoord_9_0_133 = textureCoords_9_0.elementAt(133);
      expect(textureCoord_9_0_133, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_134 = textureCoords_9_0.elementAt(134);
      expect(textureCoord_9_0_134, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_9_0_135 = textureCoords_9_0.elementAt(135);
      expect(textureCoord_9_0_135, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_136 = textureCoords_9_0.elementAt(136);
      expect(textureCoord_9_0_136, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_9_0_137 = textureCoords_9_0.elementAt(137);
      expect(textureCoord_9_0_137, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_9_0_138 = textureCoords_9_0.elementAt(138);
      expect(textureCoord_9_0_138, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_139 = textureCoords_9_0.elementAt(139);
      expect(textureCoord_9_0_139, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_9_0_140 = textureCoords_9_0.elementAt(140);
      expect(textureCoord_9_0_140, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_141 = textureCoords_9_0.elementAt(141);
      expect(textureCoord_9_0_141, vector3MoreOrLessEquals(Vector3(0.428570986, 0.166666999, 0)));
      final textureCoord_9_0_142 = textureCoords_9_0.elementAt(142);
      expect(textureCoord_9_0_142, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_143 = textureCoords_9_0.elementAt(143);
      expect(textureCoord_9_0_143, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_9_0_144 = textureCoords_9_0.elementAt(144);
      expect(textureCoord_9_0_144, vector3MoreOrLessEquals(Vector3(0.428570986, 0.333332986, 0)));
      final textureCoord_9_0_145 = textureCoords_9_0.elementAt(145);
      expect(textureCoord_9_0_145, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_146 = textureCoords_9_0.elementAt(146);
      expect(textureCoord_9_0_146, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_147 = textureCoords_9_0.elementAt(147);
      expect(textureCoord_9_0_147, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_148 = textureCoords_9_0.elementAt(148);
      expect(textureCoord_9_0_148, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_9_0_149 = textureCoords_9_0.elementAt(149);
      expect(textureCoord_9_0_149, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_150 = textureCoords_9_0.elementAt(150);
      expect(textureCoord_9_0_150, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_151 = textureCoords_9_0.elementAt(151);
      expect(textureCoord_9_0_151, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_9_0_152 = textureCoords_9_0.elementAt(152);
      expect(textureCoord_9_0_152, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_153 = textureCoords_9_0.elementAt(153);
      expect(textureCoord_9_0_153, vector3MoreOrLessEquals(Vector3(0.428570986, 0.5, 0)));
      final textureCoord_9_0_154 = textureCoords_9_0.elementAt(154);
      expect(textureCoord_9_0_154, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_155 = textureCoords_9_0.elementAt(155);
      expect(textureCoord_9_0_155, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_9_0_156 = textureCoords_9_0.elementAt(156);
      expect(textureCoord_9_0_156, vector3MoreOrLessEquals(Vector3(0.428570986, 0.666666985, 0)));
      final textureCoord_9_0_157 = textureCoords_9_0.elementAt(157);
      expect(textureCoord_9_0_157, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_158 = textureCoords_9_0.elementAt(158);
      expect(textureCoord_9_0_158, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_159 = textureCoords_9_0.elementAt(159);
      expect(textureCoord_9_0_159, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_160 = textureCoords_9_0.elementAt(160);
      expect(textureCoord_9_0_160, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_9_0_161 = textureCoords_9_0.elementAt(161);
      expect(textureCoord_9_0_161, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_162 = textureCoords_9_0.elementAt(162);
      expect(textureCoord_9_0_162, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_163 = textureCoords_9_0.elementAt(163);
      expect(textureCoord_9_0_163, vector3MoreOrLessEquals(Vector3(0.428570986, 1, 0)));
      final textureCoord_9_0_164 = textureCoords_9_0.elementAt(164);
      expect(textureCoord_9_0_164, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_9_0_165 = textureCoords_9_0.elementAt(165);
      expect(textureCoord_9_0_165, vector3MoreOrLessEquals(Vector3(0.428570986, 0.833333015, 0)));
      final textureCoord_9_0_166 = textureCoords_9_0.elementAt(166);
      expect(textureCoord_9_0_166, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_9_0_167 = textureCoords_9_0.elementAt(167);
      expect(textureCoord_9_0_167, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_9_0_168 = textureCoords_9_0.elementAt(168);
      expect(textureCoord_9_0_168, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_169 = textureCoords_9_0.elementAt(169);
      expect(textureCoord_9_0_169, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_170 = textureCoords_9_0.elementAt(170);
      expect(textureCoord_9_0_170, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_171 = textureCoords_9_0.elementAt(171);
      expect(textureCoord_9_0_171, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_172 = textureCoords_9_0.elementAt(172);
      expect(textureCoord_9_0_172, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_173 = textureCoords_9_0.elementAt(173);
      expect(textureCoord_9_0_173, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_174 = textureCoords_9_0.elementAt(174);
      expect(textureCoord_9_0_174, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_9_0_175 = textureCoords_9_0.elementAt(175);
      expect(textureCoord_9_0_175, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_9_0_176 = textureCoords_9_0.elementAt(176);
      expect(textureCoord_9_0_176, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_177 = textureCoords_9_0.elementAt(177);
      expect(textureCoord_9_0_177, vector3MoreOrLessEquals(Vector3(0.571429014, 0, 0)));
      final textureCoord_9_0_178 = textureCoords_9_0.elementAt(178);
      expect(textureCoord_9_0_178, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_179 = textureCoords_9_0.elementAt(179);
      expect(textureCoord_9_0_179, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_9_0_180 = textureCoords_9_0.elementAt(180);
      expect(textureCoord_9_0_180, vector3MoreOrLessEquals(Vector3(0.571429014, 0.166666999, 0)));
      final textureCoord_9_0_181 = textureCoords_9_0.elementAt(181);
      expect(textureCoord_9_0_181, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_182 = textureCoords_9_0.elementAt(182);
      expect(textureCoord_9_0_182, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_183 = textureCoords_9_0.elementAt(183);
      expect(textureCoord_9_0_183, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_184 = textureCoords_9_0.elementAt(184);
      expect(textureCoord_9_0_184, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_9_0_185 = textureCoords_9_0.elementAt(185);
      expect(textureCoord_9_0_185, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_186 = textureCoords_9_0.elementAt(186);
      expect(textureCoord_9_0_186, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_187 = textureCoords_9_0.elementAt(187);
      expect(textureCoord_9_0_187, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_9_0_188 = textureCoords_9_0.elementAt(188);
      expect(textureCoord_9_0_188, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_189 = textureCoords_9_0.elementAt(189);
      expect(textureCoord_9_0_189, vector3MoreOrLessEquals(Vector3(0.571429014, 0.333332986, 0)));
      final textureCoord_9_0_190 = textureCoords_9_0.elementAt(190);
      expect(textureCoord_9_0_190, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_191 = textureCoords_9_0.elementAt(191);
      expect(textureCoord_9_0_191, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_9_0_192 = textureCoords_9_0.elementAt(192);
      expect(textureCoord_9_0_192, vector3MoreOrLessEquals(Vector3(0.571429014, 0.5, 0)));
      final textureCoord_9_0_193 = textureCoords_9_0.elementAt(193);
      expect(textureCoord_9_0_193, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_194 = textureCoords_9_0.elementAt(194);
      expect(textureCoord_9_0_194, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_195 = textureCoords_9_0.elementAt(195);
      expect(textureCoord_9_0_195, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_196 = textureCoords_9_0.elementAt(196);
      expect(textureCoord_9_0_196, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_9_0_197 = textureCoords_9_0.elementAt(197);
      expect(textureCoord_9_0_197, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_198 = textureCoords_9_0.elementAt(198);
      expect(textureCoord_9_0_198, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_199 = textureCoords_9_0.elementAt(199);
      expect(textureCoord_9_0_199, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_9_0_200 = textureCoords_9_0.elementAt(200);
      expect(textureCoord_9_0_200, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_201 = textureCoords_9_0.elementAt(201);
      expect(textureCoord_9_0_201, vector3MoreOrLessEquals(Vector3(0.571429014, 0.666666985, 0)));
      final textureCoord_9_0_202 = textureCoords_9_0.elementAt(202);
      expect(textureCoord_9_0_202, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_203 = textureCoords_9_0.elementAt(203);
      expect(textureCoord_9_0_203, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_9_0_204 = textureCoords_9_0.elementAt(204);
      expect(textureCoord_9_0_204, vector3MoreOrLessEquals(Vector3(0.571429014, 0.833333015, 0)));
      final textureCoord_9_0_205 = textureCoords_9_0.elementAt(205);
      expect(textureCoord_9_0_205, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_9_0_206 = textureCoords_9_0.elementAt(206);
      expect(textureCoord_9_0_206, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_207 = textureCoords_9_0.elementAt(207);
      expect(textureCoord_9_0_207, vector3MoreOrLessEquals(Vector3(0.571429014, 1, 0)));
      final textureCoord_9_0_208 = textureCoords_9_0.elementAt(208);
      expect(textureCoord_9_0_208, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_9_0_209 = textureCoords_9_0.elementAt(209);
      expect(textureCoord_9_0_209, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_210 = textureCoords_9_0.elementAt(210);
      expect(textureCoord_9_0_210, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_211 = textureCoords_9_0.elementAt(211);
      expect(textureCoord_9_0_211, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_212 = textureCoords_9_0.elementAt(212);
      expect(textureCoord_9_0_212, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_213 = textureCoords_9_0.elementAt(213);
      expect(textureCoord_9_0_213, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_214 = textureCoords_9_0.elementAt(214);
      expect(textureCoord_9_0_214, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_215 = textureCoords_9_0.elementAt(215);
      expect(textureCoord_9_0_215, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_216 = textureCoords_9_0.elementAt(216);
      expect(textureCoord_9_0_216, vector3MoreOrLessEquals(Vector3(0.714286029, 0, 0)));
      final textureCoord_9_0_217 = textureCoords_9_0.elementAt(217);
      expect(textureCoord_9_0_217, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_218 = textureCoords_9_0.elementAt(218);
      expect(textureCoord_9_0_218, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_9_0_219 = textureCoords_9_0.elementAt(219);
      expect(textureCoord_9_0_219, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_220 = textureCoords_9_0.elementAt(220);
      expect(textureCoord_9_0_220, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_9_0_221 = textureCoords_9_0.elementAt(221);
      expect(textureCoord_9_0_221, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_9_0_222 = textureCoords_9_0.elementAt(222);
      expect(textureCoord_9_0_222, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_223 = textureCoords_9_0.elementAt(223);
      expect(textureCoord_9_0_223, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_9_0_224 = textureCoords_9_0.elementAt(224);
      expect(textureCoord_9_0_224, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_225 = textureCoords_9_0.elementAt(225);
      expect(textureCoord_9_0_225, vector3MoreOrLessEquals(Vector3(0.714286029, 0.166666999, 0)));
      final textureCoord_9_0_226 = textureCoords_9_0.elementAt(226);
      expect(textureCoord_9_0_226, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_227 = textureCoords_9_0.elementAt(227);
      expect(textureCoord_9_0_227, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_9_0_228 = textureCoords_9_0.elementAt(228);
      expect(textureCoord_9_0_228, vector3MoreOrLessEquals(Vector3(0.714286029, 0.333332986, 0)));
      final textureCoord_9_0_229 = textureCoords_9_0.elementAt(229);
      expect(textureCoord_9_0_229, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_230 = textureCoords_9_0.elementAt(230);
      expect(textureCoord_9_0_230, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_231 = textureCoords_9_0.elementAt(231);
      expect(textureCoord_9_0_231, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_232 = textureCoords_9_0.elementAt(232);
      expect(textureCoord_9_0_232, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_9_0_233 = textureCoords_9_0.elementAt(233);
      expect(textureCoord_9_0_233, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_234 = textureCoords_9_0.elementAt(234);
      expect(textureCoord_9_0_234, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_235 = textureCoords_9_0.elementAt(235);
      expect(textureCoord_9_0_235, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_9_0_236 = textureCoords_9_0.elementAt(236);
      expect(textureCoord_9_0_236, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_237 = textureCoords_9_0.elementAt(237);
      expect(textureCoord_9_0_237, vector3MoreOrLessEquals(Vector3(0.714286029, 0.5, 0)));
      final textureCoord_9_0_238 = textureCoords_9_0.elementAt(238);
      expect(textureCoord_9_0_238, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_239 = textureCoords_9_0.elementAt(239);
      expect(textureCoord_9_0_239, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_9_0_240 = textureCoords_9_0.elementAt(240);
      expect(textureCoord_9_0_240, vector3MoreOrLessEquals(Vector3(0.714286029, 0.666666985, 0)));
      final textureCoord_9_0_241 = textureCoords_9_0.elementAt(241);
      expect(textureCoord_9_0_241, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_242 = textureCoords_9_0.elementAt(242);
      expect(textureCoord_9_0_242, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_243 = textureCoords_9_0.elementAt(243);
      expect(textureCoord_9_0_243, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_244 = textureCoords_9_0.elementAt(244);
      expect(textureCoord_9_0_244, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_9_0_245 = textureCoords_9_0.elementAt(245);
      expect(textureCoord_9_0_245, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_246 = textureCoords_9_0.elementAt(246);
      expect(textureCoord_9_0_246, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_247 = textureCoords_9_0.elementAt(247);
      expect(textureCoord_9_0_247, vector3MoreOrLessEquals(Vector3(0.714286029, 1, 0)));
      final textureCoord_9_0_248 = textureCoords_9_0.elementAt(248);
      expect(textureCoord_9_0_248, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_9_0_249 = textureCoords_9_0.elementAt(249);
      expect(textureCoord_9_0_249, vector3MoreOrLessEquals(Vector3(0.714286029, 0.833333015, 0)));
      final textureCoord_9_0_250 = textureCoords_9_0.elementAt(250);
      expect(textureCoord_9_0_250, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_9_0_251 = textureCoords_9_0.elementAt(251);
      expect(textureCoord_9_0_251, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_9_0_252 = textureCoords_9_0.elementAt(252);
      expect(textureCoord_9_0_252, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_253 = textureCoords_9_0.elementAt(253);
      expect(textureCoord_9_0_253, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_254 = textureCoords_9_0.elementAt(254);
      expect(textureCoord_9_0_254, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_255 = textureCoords_9_0.elementAt(255);
      expect(textureCoord_9_0_255, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_256 = textureCoords_9_0.elementAt(256);
      expect(textureCoord_9_0_256, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_257 = textureCoords_9_0.elementAt(257);
      expect(textureCoord_9_0_257, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_9_0_258 = textureCoords_9_0.elementAt(258);
      expect(textureCoord_9_0_258, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_9_0_259 = textureCoords_9_0.elementAt(259);
      expect(textureCoord_9_0_259, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_9_0_260 = textureCoords_9_0.elementAt(260);
      expect(textureCoord_9_0_260, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_9_0_261 = textureCoords_9_0.elementAt(261);
      expect(textureCoord_9_0_261, vector3MoreOrLessEquals(Vector3(0.857142985, 0, 0)));
      final textureCoord_9_0_262 = textureCoords_9_0.elementAt(262);
      expect(textureCoord_9_0_262, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_9_0_263 = textureCoords_9_0.elementAt(263);
      expect(textureCoord_9_0_263, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_9_0_264 = textureCoords_9_0.elementAt(264);
      expect(textureCoord_9_0_264, vector3MoreOrLessEquals(Vector3(0.857142985, 0.166666999, 0)));
      final textureCoord_9_0_265 = textureCoords_9_0.elementAt(265);
      expect(textureCoord_9_0_265, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_266 = textureCoords_9_0.elementAt(266);
      expect(textureCoord_9_0_266, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_9_0_267 = textureCoords_9_0.elementAt(267);
      expect(textureCoord_9_0_267, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_268 = textureCoords_9_0.elementAt(268);
      expect(textureCoord_9_0_268, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_9_0_269 = textureCoords_9_0.elementAt(269);
      expect(textureCoord_9_0_269, vector3MoreOrLessEquals(Vector3(1, 0.166666999, 0)));
      final textureCoord_9_0_270 = textureCoords_9_0.elementAt(270);
      expect(textureCoord_9_0_270, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_271 = textureCoords_9_0.elementAt(271);
      expect(textureCoord_9_0_271, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_9_0_272 = textureCoords_9_0.elementAt(272);
      expect(textureCoord_9_0_272, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_9_0_273 = textureCoords_9_0.elementAt(273);
      expect(textureCoord_9_0_273, vector3MoreOrLessEquals(Vector3(0.857142985, 0.333332986, 0)));
      final textureCoord_9_0_274 = textureCoords_9_0.elementAt(274);
      expect(textureCoord_9_0_274, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_9_0_275 = textureCoords_9_0.elementAt(275);
      expect(textureCoord_9_0_275, vector3MoreOrLessEquals(Vector3(1, 0.333332986, 0)));
      final textureCoord_9_0_276 = textureCoords_9_0.elementAt(276);
      expect(textureCoord_9_0_276, vector3MoreOrLessEquals(Vector3(0.857142985, 0.5, 0)));
      final textureCoord_9_0_277 = textureCoords_9_0.elementAt(277);
      expect(textureCoord_9_0_277, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_278 = textureCoords_9_0.elementAt(278);
      expect(textureCoord_9_0_278, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_9_0_279 = textureCoords_9_0.elementAt(279);
      expect(textureCoord_9_0_279, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_280 = textureCoords_9_0.elementAt(280);
      expect(textureCoord_9_0_280, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_9_0_281 = textureCoords_9_0.elementAt(281);
      expect(textureCoord_9_0_281, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_9_0_282 = textureCoords_9_0.elementAt(282);
      expect(textureCoord_9_0_282, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_283 = textureCoords_9_0.elementAt(283);
      expect(textureCoord_9_0_283, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_9_0_284 = textureCoords_9_0.elementAt(284);
      expect(textureCoord_9_0_284, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_9_0_285 = textureCoords_9_0.elementAt(285);
      expect(textureCoord_9_0_285, vector3MoreOrLessEquals(Vector3(0.857142985, 0.666666985, 0)));
      final textureCoord_9_0_286 = textureCoords_9_0.elementAt(286);
      expect(textureCoord_9_0_286, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_9_0_287 = textureCoords_9_0.elementAt(287);
      expect(textureCoord_9_0_287, vector3MoreOrLessEquals(Vector3(1, 0.666666985, 0)));
      final textureCoord_9_0_288 = textureCoords_9_0.elementAt(288);
      expect(textureCoord_9_0_288, vector3MoreOrLessEquals(Vector3(0.857142985, 0.833333015, 0)));
      final textureCoord_9_0_289 = textureCoords_9_0.elementAt(289);
      expect(textureCoord_9_0_289, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_9_0_290 = textureCoords_9_0.elementAt(290);
      expect(textureCoord_9_0_290, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      final textureCoord_9_0_291 = textureCoords_9_0.elementAt(291);
      expect(textureCoord_9_0_291, vector3MoreOrLessEquals(Vector3(0.857142985, 1, 0)));
      final textureCoord_9_0_292 = textureCoords_9_0.elementAt(292);
      expect(textureCoord_9_0_292, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_9_0_293 = textureCoords_9_0.elementAt(293);
      expect(textureCoord_9_0_293, vector3MoreOrLessEquals(Vector3(1, 0.833333015, 0)));
      expect(mesh_9.uvComponents.length, equals(1));
      expect(mesh_9.uvComponents, equals([2]));
      expect(mesh_9.faces.length, equals(98));
      expect(mesh_9.bones.length, isZero);
      expect(mesh_9.materialIndex, equals(4));
      expect(mesh_9.name, equals('Bein4Li'));
      expect(mesh_9.animMeshes.length, isZero);
      expect(mesh_9.morphingMethod, isZero);
      expect(mesh_9.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_10 = meshes.elementAt(10);
      expect(mesh_10.primitiveTypes, equals(4));
      expect(mesh_10.vertices.length, equals(126));
      final vertex_10_0 = mesh_10.vertices.elementAt(0);
      expect(vertex_10_0, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_1 = mesh_10.vertices.elementAt(1);
      expect(vertex_10_1, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_2 = mesh_10.vertices.elementAt(2);
      expect(vertex_10_2, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_3 = mesh_10.vertices.elementAt(3);
      expect(vertex_10_3, vector3MoreOrLessEquals(Vector3(-61.4965134, 6.34015512, -5.81227589)));
      final vertex_10_4 = mesh_10.vertices.elementAt(4);
      expect(vertex_10_4, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_5 = mesh_10.vertices.elementAt(5);
      expect(vertex_10_5, vector3MoreOrLessEquals(Vector3(-61.4475784, 8.19009686, -3.64703608)));
      final vertex_10_6 = mesh_10.vertices.elementAt(6);
      expect(vertex_10_6, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_7 = mesh_10.vertices.elementAt(7);
      expect(vertex_10_7, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      final vertex_10_8 = mesh_10.vertices.elementAt(8);
      expect(vertex_10_8, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_9 = mesh_10.vertices.elementAt(9);
      expect(vertex_10_9, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_10 = mesh_10.vertices.elementAt(10);
      expect(vertex_10_10, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_11 = mesh_10.vertices.elementAt(11);
      expect(vertex_10_11, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_12 = mesh_10.vertices.elementAt(12);
      expect(vertex_10_12, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      final vertex_10_13 = mesh_10.vertices.elementAt(13);
      expect(vertex_10_13, vector3MoreOrLessEquals(Vector3(-61.4965134, 6.34015512, -5.81227589)));
      final vertex_10_14 = mesh_10.vertices.elementAt(14);
      expect(vertex_10_14, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_15 = mesh_10.vertices.elementAt(15);
      expect(vertex_10_15, vector3MoreOrLessEquals(Vector3(-61.4965134, 6.34015512, -5.81227589)));
      final vertex_10_16 = mesh_10.vertices.elementAt(16);
      expect(vertex_10_16, vector3MoreOrLessEquals(Vector3(-61.4475784, 8.19009686, -3.64703608)));
      final vertex_10_17 = mesh_10.vertices.elementAt(17);
      expect(vertex_10_17, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_18 = mesh_10.vertices.elementAt(18);
      expect(vertex_10_18, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_19 = mesh_10.vertices.elementAt(19);
      expect(vertex_10_19, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_20 = mesh_10.vertices.elementAt(20);
      expect(vertex_10_20, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_21 = mesh_10.vertices.elementAt(21);
      expect(vertex_10_21, vector3MoreOrLessEquals(Vector3(-61.4475784, 8.19009686, -3.64703608)));
      final vertex_10_22 = mesh_10.vertices.elementAt(22);
      expect(vertex_10_22, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_23 = mesh_10.vertices.elementAt(23);
      expect(vertex_10_23, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_24 = mesh_10.vertices.elementAt(24);
      expect(vertex_10_24, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_25 = mesh_10.vertices.elementAt(25);
      expect(vertex_10_25, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_26 = mesh_10.vertices.elementAt(26);
      expect(vertex_10_26, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_27 = mesh_10.vertices.elementAt(27);
      expect(vertex_10_27, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_28 = mesh_10.vertices.elementAt(28);
      expect(vertex_10_28, vector3MoreOrLessEquals(Vector3(-67.1371078, 4.62209082, -1.531196)));
      final vertex_10_29 = mesh_10.vertices.elementAt(29);
      expect(vertex_10_29, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_30 = mesh_10.vertices.elementAt(30);
      expect(vertex_10_30, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_31 = mesh_10.vertices.elementAt(31);
      expect(vertex_10_31, vector3MoreOrLessEquals(Vector3(-61.4475784, 8.19009686, -3.64703608)));
      final vertex_10_32 = mesh_10.vertices.elementAt(32);
      expect(vertex_10_32, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_33 = mesh_10.vertices.elementAt(33);
      expect(vertex_10_33, vector3MoreOrLessEquals(Vector3(-64.8459854, 4.36871099, -2.07565999)));
      final vertex_10_34 = mesh_10.vertices.elementAt(34);
      expect(vertex_10_34, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_35 = mesh_10.vertices.elementAt(35);
      expect(vertex_10_35, vector3MoreOrLessEquals(Vector3(-67.1371078, 4.62209082, -1.531196)));
      final vertex_10_36 = mesh_10.vertices.elementAt(36);
      expect(vertex_10_36, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_37 = mesh_10.vertices.elementAt(37);
      expect(vertex_10_37, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_38 = mesh_10.vertices.elementAt(38);
      expect(vertex_10_38, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_39 = mesh_10.vertices.elementAt(39);
      expect(vertex_10_39, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_40 = mesh_10.vertices.elementAt(40);
      expect(vertex_10_40, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_41 = mesh_10.vertices.elementAt(41);
      expect(vertex_10_41, vector3MoreOrLessEquals(Vector3(-63.9910965, 13.3407698, -5.45025301)));
      final vertex_10_42 = mesh_10.vertices.elementAt(42);
      expect(vertex_10_42, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_43 = mesh_10.vertices.elementAt(43);
      expect(vertex_10_43, vector3MoreOrLessEquals(Vector3(-67.1371078, 4.62209082, -1.531196)));
      final vertex_10_44 = mesh_10.vertices.elementAt(44);
      expect(vertex_10_44, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_45 = mesh_10.vertices.elementAt(45);
      expect(vertex_10_45, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_46 = mesh_10.vertices.elementAt(46);
      expect(vertex_10_46, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_47 = mesh_10.vertices.elementAt(47);
      expect(vertex_10_47, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_48 = mesh_10.vertices.elementAt(48);
      expect(vertex_10_48, vector3MoreOrLessEquals(Vector3(-67.1371078, 4.62209082, -1.531196)));
      final vertex_10_49 = mesh_10.vertices.elementAt(49);
      expect(vertex_10_49, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_50 = mesh_10.vertices.elementAt(50);
      expect(vertex_10_50, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_51 = mesh_10.vertices.elementAt(51);
      expect(vertex_10_51, vector3MoreOrLessEquals(Vector3(-62.5578041, 11.3056126, -3.48591399)));
      final vertex_10_52 = mesh_10.vertices.elementAt(52);
      expect(vertex_10_52, vector3MoreOrLessEquals(Vector3(-63.9910965, 13.3407698, -5.45025301)));
      final vertex_10_53 = mesh_10.vertices.elementAt(53);
      expect(vertex_10_53, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_54 = mesh_10.vertices.elementAt(54);
      expect(vertex_10_54, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_55 = mesh_10.vertices.elementAt(55);
      expect(vertex_10_55, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_56 = mesh_10.vertices.elementAt(56);
      expect(vertex_10_56, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_57 = mesh_10.vertices.elementAt(57);
      expect(vertex_10_57, vector3MoreOrLessEquals(Vector3(-63.9910965, 13.3407698, -5.45025301)));
      final vertex_10_58 = mesh_10.vertices.elementAt(58);
      expect(vertex_10_58, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_59 = mesh_10.vertices.elementAt(59);
      expect(vertex_10_59, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_60 = mesh_10.vertices.elementAt(60);
      expect(vertex_10_60, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_61 = mesh_10.vertices.elementAt(61);
      expect(vertex_10_61, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_62 = mesh_10.vertices.elementAt(62);
      expect(vertex_10_62, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_63 = mesh_10.vertices.elementAt(63);
      expect(vertex_10_63, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_64 = mesh_10.vertices.elementAt(64);
      expect(vertex_10_64, vector3MoreOrLessEquals(Vector3(-69.2998734, 3.49013305, -4.49317122)));
      final vertex_10_65 = mesh_10.vertices.elementAt(65);
      expect(vertex_10_65, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_66 = mesh_10.vertices.elementAt(66);
      expect(vertex_10_66, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_67 = mesh_10.vertices.elementAt(67);
      expect(vertex_10_67, vector3MoreOrLessEquals(Vector3(-63.9910965, 13.3407698, -5.45025301)));
      final vertex_10_68 = mesh_10.vertices.elementAt(68);
      expect(vertex_10_68, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_69 = mesh_10.vertices.elementAt(69);
      expect(vertex_10_69, vector3MoreOrLessEquals(Vector3(-69.119194, 4.23108482, -2.60709596)));
      final vertex_10_70 = mesh_10.vertices.elementAt(70);
      expect(vertex_10_70, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_71 = mesh_10.vertices.elementAt(71);
      expect(vertex_10_71, vector3MoreOrLessEquals(Vector3(-69.2998734, 3.49013305, -4.49317122)));
      final vertex_10_72 = mesh_10.vertices.elementAt(72);
      expect(vertex_10_72, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_73 = mesh_10.vertices.elementAt(73);
      expect(vertex_10_73, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_74 = mesh_10.vertices.elementAt(74);
      expect(vertex_10_74, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_75 = mesh_10.vertices.elementAt(75);
      expect(vertex_10_75, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_76 = mesh_10.vertices.elementAt(76);
      expect(vertex_10_76, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_77 = mesh_10.vertices.elementAt(77);
      expect(vertex_10_77, vector3MoreOrLessEquals(Vector3(-64.0792618, 10.0073957, -9.35189629)));
      final vertex_10_78 = mesh_10.vertices.elementAt(78);
      expect(vertex_10_78, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_79 = mesh_10.vertices.elementAt(79);
      expect(vertex_10_79, vector3MoreOrLessEquals(Vector3(-69.2998734, 3.49013305, -4.49317122)));
      final vertex_10_80 = mesh_10.vertices.elementAt(80);
      expect(vertex_10_80, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_81 = mesh_10.vertices.elementAt(81);
      expect(vertex_10_81, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_82 = mesh_10.vertices.elementAt(82);
      expect(vertex_10_82, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_83 = mesh_10.vertices.elementAt(83);
      expect(vertex_10_83, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_84 = mesh_10.vertices.elementAt(84);
      expect(vertex_10_84, vector3MoreOrLessEquals(Vector3(-69.2998734, 3.49013305, -4.49317122)));
      final vertex_10_85 = mesh_10.vertices.elementAt(85);
      expect(vertex_10_85, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_86 = mesh_10.vertices.elementAt(86);
      expect(vertex_10_86, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_87 = mesh_10.vertices.elementAt(87);
      expect(vertex_10_87, vector3MoreOrLessEquals(Vector3(-64.6682053, 12.7630253, -8.06086254)));
      final vertex_10_88 = mesh_10.vertices.elementAt(88);
      expect(vertex_10_88, vector3MoreOrLessEquals(Vector3(-64.0792618, 10.0073957, -9.35189629)));
      final vertex_10_89 = mesh_10.vertices.elementAt(89);
      expect(vertex_10_89, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_90 = mesh_10.vertices.elementAt(90);
      expect(vertex_10_90, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_91 = mesh_10.vertices.elementAt(91);
      expect(vertex_10_91, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_92 = mesh_10.vertices.elementAt(92);
      expect(vertex_10_92, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_93 = mesh_10.vertices.elementAt(93);
      expect(vertex_10_93, vector3MoreOrLessEquals(Vector3(-64.0792618, 10.0073957, -9.35189629)));
      final vertex_10_94 = mesh_10.vertices.elementAt(94);
      expect(vertex_10_94, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_95 = mesh_10.vertices.elementAt(95);
      expect(vertex_10_95, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_96 = mesh_10.vertices.elementAt(96);
      expect(vertex_10_96, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_97 = mesh_10.vertices.elementAt(97);
      expect(vertex_10_97, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_98 = mesh_10.vertices.elementAt(98);
      expect(vertex_10_98, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_99 = mesh_10.vertices.elementAt(99);
      expect(vertex_10_99, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_100 = mesh_10.vertices.elementAt(100);
      expect(vertex_10_100, vector3MoreOrLessEquals(Vector3(-65.1714706, 3.03350997, -5.47423983)));
      final vertex_10_101 = mesh_10.vertices.elementAt(101);
      expect(vertex_10_101, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_102 = mesh_10.vertices.elementAt(102);
      expect(vertex_10_102, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_103 = mesh_10.vertices.elementAt(103);
      expect(vertex_10_103, vector3MoreOrLessEquals(Vector3(-64.0792618, 10.0073957, -9.35189629)));
      final vertex_10_104 = mesh_10.vertices.elementAt(104);
      expect(vertex_10_104, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_105 = mesh_10.vertices.elementAt(105);
      expect(vertex_10_105, vector3MoreOrLessEquals(Vector3(-67.5429916, 2.9571209, -5.76916218)));
      final vertex_10_106 = mesh_10.vertices.elementAt(106);
      expect(vertex_10_106, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_107 = mesh_10.vertices.elementAt(107);
      expect(vertex_10_107, vector3MoreOrLessEquals(Vector3(-65.1714706, 3.03350997, -5.47423983)));
      final vertex_10_108 = mesh_10.vertices.elementAt(108);
      expect(vertex_10_108, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_109 = mesh_10.vertices.elementAt(109);
      expect(vertex_10_109, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_110 = mesh_10.vertices.elementAt(110);
      expect(vertex_10_110, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_111 = mesh_10.vertices.elementAt(111);
      expect(vertex_10_111, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_112 = mesh_10.vertices.elementAt(112);
      expect(vertex_10_112, vector3MoreOrLessEquals(Vector3(-62.9868507, 9.87084484, -6.30848598)));
      final vertex_10_113 = mesh_10.vertices.elementAt(113);
      expect(vertex_10_113, vector3MoreOrLessEquals(Vector3(-61.4965134, 6.34015512, -5.81227589)));
      final vertex_10_114 = mesh_10.vertices.elementAt(114);
      expect(vertex_10_114, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_115 = mesh_10.vertices.elementAt(115);
      expect(vertex_10_115, vector3MoreOrLessEquals(Vector3(-65.1714706, 3.03350997, -5.47423983)));
      final vertex_10_116 = mesh_10.vertices.elementAt(116);
      expect(vertex_10_116, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      final vertex_10_117 = mesh_10.vertices.elementAt(117);
      expect(vertex_10_117, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_118 = mesh_10.vertices.elementAt(118);
      expect(vertex_10_118, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      final vertex_10_119 = mesh_10.vertices.elementAt(119);
      expect(vertex_10_119, vector3MoreOrLessEquals(Vector3(-66.7729874, -11.8856182, -0.202998996)));
      final vertex_10_120 = mesh_10.vertices.elementAt(120);
      expect(vertex_10_120, vector3MoreOrLessEquals(Vector3(-65.1714706, 3.03350997, -5.47423983)));
      final vertex_10_121 = mesh_10.vertices.elementAt(121);
      expect(vertex_10_121, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_122 = mesh_10.vertices.elementAt(122);
      expect(vertex_10_122, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      final vertex_10_123 = mesh_10.vertices.elementAt(123);
      expect(vertex_10_123, vector3MoreOrLessEquals(Vector3(-62.6677589, 7.14897823, -8.35118484)));
      final vertex_10_124 = mesh_10.vertices.elementAt(124);
      expect(vertex_10_124, vector3MoreOrLessEquals(Vector3(-61.4965134, 6.34015512, -5.81227589)));
      final vertex_10_125 = mesh_10.vertices.elementAt(125);
      expect(vertex_10_125, vector3MoreOrLessEquals(Vector3(-63.9711838, 3.661695, -3.83046794)));
      expect(mesh_10.normals.length, equals(126));
      final normal_10_0 = mesh_10.normals.elementAt(0);
      expect(normal_10_0, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_1 = mesh_10.normals.elementAt(1);
      expect(normal_10_1, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_2 = mesh_10.normals.elementAt(2);
      expect(normal_10_2, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_3 = mesh_10.normals.elementAt(3);
      expect(normal_10_3, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_4 = mesh_10.normals.elementAt(4);
      expect(normal_10_4, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_5 = mesh_10.normals.elementAt(5);
      expect(normal_10_5, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_6 = mesh_10.normals.elementAt(6);
      expect(normal_10_6, vector3MoreOrLessEquals(Vector3(0.885285974, -0.0517080016, 0.462163001)));
      final normal_10_7 = mesh_10.normals.elementAt(7);
      expect(normal_10_7, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      final normal_10_8 = mesh_10.normals.elementAt(8);
      expect(normal_10_8, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_9 = mesh_10.normals.elementAt(9);
      expect(normal_10_9, vector3MoreOrLessEquals(Vector3(0.885285974, -0.0517080016, 0.462163001)));
      final normal_10_10 = mesh_10.normals.elementAt(10);
      expect(normal_10_10, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_11 = mesh_10.normals.elementAt(11);
      expect(normal_10_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_12 = mesh_10.normals.elementAt(12);
      expect(normal_10_12, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      final normal_10_13 = mesh_10.normals.elementAt(13);
      expect(normal_10_13, vector3MoreOrLessEquals(Vector3(0.767332017, -0.613878012, 0.185352996)));
      final normal_10_14 = mesh_10.normals.elementAt(14);
      expect(normal_10_14, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_15 = mesh_10.normals.elementAt(15);
      expect(normal_10_15, vector3MoreOrLessEquals(Vector3(0.767332017, -0.613878012, 0.185352996)));
      final normal_10_16 = mesh_10.normals.elementAt(16);
      expect(normal_10_16, vector3MoreOrLessEquals(Vector3(0.615704, -0.238766, 0.750931978)));
      final normal_10_17 = mesh_10.normals.elementAt(17);
      expect(normal_10_17, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_18 = mesh_10.normals.elementAt(18);
      expect(normal_10_18, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_19 = mesh_10.normals.elementAt(19);
      expect(normal_10_19, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_20 = mesh_10.normals.elementAt(20);
      expect(normal_10_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_21 = mesh_10.normals.elementAt(21);
      expect(normal_10_21, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_22 = mesh_10.normals.elementAt(22);
      expect(normal_10_22, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_23 = mesh_10.normals.elementAt(23);
      expect(normal_10_23, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_24 = mesh_10.normals.elementAt(24);
      expect(normal_10_24, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_25 = mesh_10.normals.elementAt(25);
      expect(normal_10_25, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_26 = mesh_10.normals.elementAt(26);
      expect(normal_10_26, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, 0.988255024)));
      final normal_10_27 = mesh_10.normals.elementAt(27);
      expect(normal_10_27, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_28 = mesh_10.normals.elementAt(28);
      expect(normal_10_28, vector3MoreOrLessEquals(Vector3(-0.134482995, 0.218923002, 0.966430008)));
      final normal_10_29 = mesh_10.normals.elementAt(29);
      expect(normal_10_29, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, 0.988255024)));
      final normal_10_30 = mesh_10.normals.elementAt(30);
      expect(normal_10_30, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_31 = mesh_10.normals.elementAt(31);
      expect(normal_10_31, vector3MoreOrLessEquals(Vector3(0.615704, -0.238766, 0.750931978)));
      final normal_10_32 = mesh_10.normals.elementAt(32);
      expect(normal_10_32, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, 0.93928498)));
      final normal_10_33 = mesh_10.normals.elementAt(33);
      expect(normal_10_33, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114023, 0.789906025)));
      final normal_10_34 = mesh_10.normals.elementAt(34);
      expect(normal_10_34, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, 0.93928498)));
      final normal_10_35 = mesh_10.normals.elementAt(35);
      expect(normal_10_35, vector3MoreOrLessEquals(Vector3(-0.134482995, 0.218923002, 0.966430008)));
      final normal_10_36 = mesh_10.normals.elementAt(36);
      expect(normal_10_36, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_37 = mesh_10.normals.elementAt(37);
      expect(normal_10_37, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_38 = mesh_10.normals.elementAt(38);
      expect(normal_10_38, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_39 = mesh_10.normals.elementAt(39);
      expect(normal_10_39, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_40 = mesh_10.normals.elementAt(40);
      expect(normal_10_40, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_41 = mesh_10.normals.elementAt(41);
      expect(normal_10_41, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_42 = mesh_10.normals.elementAt(42);
      expect(normal_10_42, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, 0.988255024)));
      final normal_10_43 = mesh_10.normals.elementAt(43);
      expect(normal_10_43, vector3MoreOrLessEquals(Vector3(-0.134482995, 0.218923002, 0.966430008)));
      final normal_10_44 = mesh_10.normals.elementAt(44);
      expect(normal_10_44, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_45 = mesh_10.normals.elementAt(45);
      expect(normal_10_45, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, 0.988255024)));
      final normal_10_46 = mesh_10.normals.elementAt(46);
      expect(normal_10_46, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_47 = mesh_10.normals.elementAt(47);
      expect(normal_10_47, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_48 = mesh_10.normals.elementAt(48);
      expect(normal_10_48, vector3MoreOrLessEquals(Vector3(-0.134482995, 0.218923002, 0.966430008)));
      final normal_10_49 = mesh_10.normals.elementAt(49);
      expect(normal_10_49, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, 0.93928498)));
      final normal_10_50 = mesh_10.normals.elementAt(50);
      expect(normal_10_50, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_51 = mesh_10.normals.elementAt(51);
      expect(normal_10_51, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, 0.93928498)));
      final normal_10_52 = mesh_10.normals.elementAt(52);
      expect(normal_10_52, vector3MoreOrLessEquals(Vector3(-0.686972976, 0.538874984, 0.487527013)));
      final normal_10_53 = mesh_10.normals.elementAt(53);
      expect(normal_10_53, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_54 = mesh_10.normals.elementAt(54);
      expect(normal_10_54, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_55 = mesh_10.normals.elementAt(55);
      expect(normal_10_55, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_56 = mesh_10.normals.elementAt(56);
      expect(normal_10_56, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_57 = mesh_10.normals.elementAt(57);
      expect(normal_10_57, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_58 = mesh_10.normals.elementAt(58);
      expect(normal_10_58, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_59 = mesh_10.normals.elementAt(59);
      expect(normal_10_59, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_60 = mesh_10.normals.elementAt(60);
      expect(normal_10_60, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_61 = mesh_10.normals.elementAt(61);
      expect(normal_10_61, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_62 = mesh_10.normals.elementAt(62);
      expect(normal_10_62, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, -0.331840008)));
      final normal_10_63 = mesh_10.normals.elementAt(63);
      expect(normal_10_63, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_64 = mesh_10.normals.elementAt(64);
      expect(normal_10_64, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, -0.42861101)));
      final normal_10_65 = mesh_10.normals.elementAt(65);
      expect(normal_10_65, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, -0.331840008)));
      final normal_10_66 = mesh_10.normals.elementAt(66);
      expect(normal_10_66, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_67 = mesh_10.normals.elementAt(67);
      expect(normal_10_67, vector3MoreOrLessEquals(Vector3(-0.686972976, 0.538874984, 0.487527013)));
      final normal_10_68 = mesh_10.normals.elementAt(68);
      expect(normal_10_68, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, -0.379868001)));
      final normal_10_69 = mesh_10.normals.elementAt(69);
      expect(normal_10_69, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, 0.487325013)));
      final normal_10_70 = mesh_10.normals.elementAt(70);
      expect(normal_10_70, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, -0.379868001)));
      final normal_10_71 = mesh_10.normals.elementAt(71);
      expect(normal_10_71, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, -0.42861101)));
      final normal_10_72 = mesh_10.normals.elementAt(72);
      expect(normal_10_72, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_73 = mesh_10.normals.elementAt(73);
      expect(normal_10_73, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_74 = mesh_10.normals.elementAt(74);
      expect(normal_10_74, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_75 = mesh_10.normals.elementAt(75);
      expect(normal_10_75, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_76 = mesh_10.normals.elementAt(76);
      expect(normal_10_76, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_77 = mesh_10.normals.elementAt(77);
      expect(normal_10_77, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_78 = mesh_10.normals.elementAt(78);
      expect(normal_10_78, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, -0.331840008)));
      final normal_10_79 = mesh_10.normals.elementAt(79);
      expect(normal_10_79, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, -0.42861101)));
      final normal_10_80 = mesh_10.normals.elementAt(80);
      expect(normal_10_80, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_81 = mesh_10.normals.elementAt(81);
      expect(normal_10_81, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, -0.331840008)));
      final normal_10_82 = mesh_10.normals.elementAt(82);
      expect(normal_10_82, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_83 = mesh_10.normals.elementAt(83);
      expect(normal_10_83, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_84 = mesh_10.normals.elementAt(84);
      expect(normal_10_84, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, -0.42861101)));
      final normal_10_85 = mesh_10.normals.elementAt(85);
      expect(normal_10_85, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, -0.379868001)));
      final normal_10_86 = mesh_10.normals.elementAt(86);
      expect(normal_10_86, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_87 = mesh_10.normals.elementAt(87);
      expect(normal_10_87, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, -0.379868001)));
      final normal_10_88 = mesh_10.normals.elementAt(88);
      expect(normal_10_88, vector3MoreOrLessEquals(Vector3(-0.531215012, -0.161650002, -0.831673026)));
      final normal_10_89 = mesh_10.normals.elementAt(89);
      expect(normal_10_89, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_90 = mesh_10.normals.elementAt(90);
      expect(normal_10_90, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_91 = mesh_10.normals.elementAt(91);
      expect(normal_10_91, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_92 = mesh_10.normals.elementAt(92);
      expect(normal_10_92, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_93 = mesh_10.normals.elementAt(93);
      expect(normal_10_93, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_94 = mesh_10.normals.elementAt(94);
      expect(normal_10_94, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_95 = mesh_10.normals.elementAt(95);
      expect(normal_10_95, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_96 = mesh_10.normals.elementAt(96);
      expect(normal_10_96, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_97 = mesh_10.normals.elementAt(97);
      expect(normal_10_97, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_98 = mesh_10.normals.elementAt(98);
      expect(normal_10_98, vector3MoreOrLessEquals(Vector3(0.521709979, -0.333451986, -0.785256982)));
      final normal_10_99 = mesh_10.normals.elementAt(99);
      expect(normal_10_99, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_100 = mesh_10.normals.elementAt(100);
      expect(normal_10_100, vector3MoreOrLessEquals(Vector3(0.498223007, -0.518212974, -0.695146978)));
      final normal_10_101 = mesh_10.normals.elementAt(101);
      expect(normal_10_101, vector3MoreOrLessEquals(Vector3(0.521709979, -0.333451986, -0.785256982)));
      final normal_10_102 = mesh_10.normals.elementAt(102);
      expect(normal_10_102, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_103 = mesh_10.normals.elementAt(103);
      expect(normal_10_103, vector3MoreOrLessEquals(Vector3(-0.531215012, -0.161650002, -0.831673026)));
      final normal_10_104 = mesh_10.normals.elementAt(104);
      expect(normal_10_104, vector3MoreOrLessEquals(Vector3(0.319252014, -0.66693002, -0.673263013)));
      final normal_10_105 = mesh_10.normals.elementAt(105);
      expect(normal_10_105, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, -0.885990977)));
      final normal_10_106 = mesh_10.normals.elementAt(106);
      expect(normal_10_106, vector3MoreOrLessEquals(Vector3(0.319252014, -0.66693002, -0.673263013)));
      final normal_10_107 = mesh_10.normals.elementAt(107);
      expect(normal_10_107, vector3MoreOrLessEquals(Vector3(0.498223007, -0.518212974, -0.695146978)));
      final normal_10_108 = mesh_10.normals.elementAt(108);
      expect(normal_10_108, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_109 = mesh_10.normals.elementAt(109);
      expect(normal_10_109, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_110 = mesh_10.normals.elementAt(110);
      expect(normal_10_110, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_10_111 = mesh_10.normals.elementAt(111);
      expect(normal_10_111, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_112 = mesh_10.normals.elementAt(112);
      expect(normal_10_112, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_113 = mesh_10.normals.elementAt(113);
      expect(normal_10_113, vector3MoreOrLessEquals(Vector3(0.891945004, 0.333606005, -0.305189997)));
      final normal_10_114 = mesh_10.normals.elementAt(114);
      expect(normal_10_114, vector3MoreOrLessEquals(Vector3(0.521709979, -0.333451986, -0.785256982)));
      final normal_10_115 = mesh_10.normals.elementAt(115);
      expect(normal_10_115, vector3MoreOrLessEquals(Vector3(0.498223007, -0.518212974, -0.695146978)));
      final normal_10_116 = mesh_10.normals.elementAt(116);
      expect(normal_10_116, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      final normal_10_117 = mesh_10.normals.elementAt(117);
      expect(normal_10_117, vector3MoreOrLessEquals(Vector3(0.521709979, -0.333451986, -0.785256982)));
      final normal_10_118 = mesh_10.normals.elementAt(118);
      expect(normal_10_118, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      final normal_10_119 = mesh_10.normals.elementAt(119);
      expect(normal_10_119, vector3MoreOrLessEquals(Vector3(0.885285974, -0.0517080016, 0.462163001)));
      final normal_10_120 = mesh_10.normals.elementAt(120);
      expect(normal_10_120, vector3MoreOrLessEquals(Vector3(0.498223007, -0.518212974, -0.695146978)));
      final normal_10_121 = mesh_10.normals.elementAt(121);
      expect(normal_10_121, vector3MoreOrLessEquals(Vector3(0.319252014, -0.66693002, -0.673263013)));
      final normal_10_122 = mesh_10.normals.elementAt(122);
      expect(normal_10_122, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      final normal_10_123 = mesh_10.normals.elementAt(123);
      expect(normal_10_123, vector3MoreOrLessEquals(Vector3(0.319252014, -0.66693002, -0.673263013)));
      final normal_10_124 = mesh_10.normals.elementAt(124);
      expect(normal_10_124, vector3MoreOrLessEquals(Vector3(0.767332017, -0.613878012, 0.185352996)));
      final normal_10_125 = mesh_10.normals.elementAt(125);
      expect(normal_10_125, vector3MoreOrLessEquals(Vector3(0.871701002, -0.486404002, -0.0595740005)));
      expect(mesh_10.tangents.length, isZero);
      expect(mesh_10.bitangents.length, isZero);
      expect(mesh_10.colors.length, isZero);
      expect(mesh_10.textureCoords.length, equals(1));
      final textureCoords_10_0 = mesh_10.textureCoords.elementAt(0);
      expect(textureCoords_10_0.length, equals(126));
      final textureCoord_10_0_0 = textureCoords_10_0.elementAt(0);
      expect(textureCoord_10_0_0, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_1 = textureCoords_10_0.elementAt(1);
      expect(textureCoord_10_0_1, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_2 = textureCoords_10_0.elementAt(2);
      expect(textureCoord_10_0_2, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_3 = textureCoords_10_0.elementAt(3);
      expect(textureCoord_10_0_3, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_10_0_4 = textureCoords_10_0.elementAt(4);
      expect(textureCoord_10_0_4, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_5 = textureCoords_10_0.elementAt(5);
      expect(textureCoord_10_0_5, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_10_0_6 = textureCoords_10_0.elementAt(6);
      expect(textureCoord_10_0_6, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_7 = textureCoords_10_0.elementAt(7);
      expect(textureCoord_10_0_7, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_10_0_8 = textureCoords_10_0.elementAt(8);
      expect(textureCoord_10_0_8, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_9 = textureCoords_10_0.elementAt(9);
      expect(textureCoord_10_0_9, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_10 = textureCoords_10_0.elementAt(10);
      expect(textureCoord_10_0_10, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_11 = textureCoords_10_0.elementAt(11);
      expect(textureCoord_10_0_11, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_12 = textureCoords_10_0.elementAt(12);
      expect(textureCoord_10_0_12, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_10_0_13 = textureCoords_10_0.elementAt(13);
      expect(textureCoord_10_0_13, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_10_0_14 = textureCoords_10_0.elementAt(14);
      expect(textureCoord_10_0_14, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_15 = textureCoords_10_0.elementAt(15);
      expect(textureCoord_10_0_15, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_10_0_16 = textureCoords_10_0.elementAt(16);
      expect(textureCoord_10_0_16, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_10_0_17 = textureCoords_10_0.elementAt(17);
      expect(textureCoord_10_0_17, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_18 = textureCoords_10_0.elementAt(18);
      expect(textureCoord_10_0_18, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_19 = textureCoords_10_0.elementAt(19);
      expect(textureCoord_10_0_19, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_20 = textureCoords_10_0.elementAt(20);
      expect(textureCoord_10_0_20, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_21 = textureCoords_10_0.elementAt(21);
      expect(textureCoord_10_0_21, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_10_0_22 = textureCoords_10_0.elementAt(22);
      expect(textureCoord_10_0_22, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_23 = textureCoords_10_0.elementAt(23);
      expect(textureCoord_10_0_23, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_24 = textureCoords_10_0.elementAt(24);
      expect(textureCoord_10_0_24, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_25 = textureCoords_10_0.elementAt(25);
      expect(textureCoord_10_0_25, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_26 = textureCoords_10_0.elementAt(26);
      expect(textureCoord_10_0_26, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_27 = textureCoords_10_0.elementAt(27);
      expect(textureCoord_10_0_27, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_28 = textureCoords_10_0.elementAt(28);
      expect(textureCoord_10_0_28, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_10_0_29 = textureCoords_10_0.elementAt(29);
      expect(textureCoord_10_0_29, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_30 = textureCoords_10_0.elementAt(30);
      expect(textureCoord_10_0_30, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_31 = textureCoords_10_0.elementAt(31);
      expect(textureCoord_10_0_31, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_10_0_32 = textureCoords_10_0.elementAt(32);
      expect(textureCoord_10_0_32, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_33 = textureCoords_10_0.elementAt(33);
      expect(textureCoord_10_0_33, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_10_0_34 = textureCoords_10_0.elementAt(34);
      expect(textureCoord_10_0_34, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_35 = textureCoords_10_0.elementAt(35);
      expect(textureCoord_10_0_35, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_10_0_36 = textureCoords_10_0.elementAt(36);
      expect(textureCoord_10_0_36, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_37 = textureCoords_10_0.elementAt(37);
      expect(textureCoord_10_0_37, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_38 = textureCoords_10_0.elementAt(38);
      expect(textureCoord_10_0_38, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_39 = textureCoords_10_0.elementAt(39);
      expect(textureCoord_10_0_39, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_40 = textureCoords_10_0.elementAt(40);
      expect(textureCoord_10_0_40, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_41 = textureCoords_10_0.elementAt(41);
      expect(textureCoord_10_0_41, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_10_0_42 = textureCoords_10_0.elementAt(42);
      expect(textureCoord_10_0_42, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_43 = textureCoords_10_0.elementAt(43);
      expect(textureCoord_10_0_43, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_10_0_44 = textureCoords_10_0.elementAt(44);
      expect(textureCoord_10_0_44, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_45 = textureCoords_10_0.elementAt(45);
      expect(textureCoord_10_0_45, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_46 = textureCoords_10_0.elementAt(46);
      expect(textureCoord_10_0_46, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_47 = textureCoords_10_0.elementAt(47);
      expect(textureCoord_10_0_47, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_48 = textureCoords_10_0.elementAt(48);
      expect(textureCoord_10_0_48, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_10_0_49 = textureCoords_10_0.elementAt(49);
      expect(textureCoord_10_0_49, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_50 = textureCoords_10_0.elementAt(50);
      expect(textureCoord_10_0_50, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_51 = textureCoords_10_0.elementAt(51);
      expect(textureCoord_10_0_51, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_10_0_52 = textureCoords_10_0.elementAt(52);
      expect(textureCoord_10_0_52, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_10_0_53 = textureCoords_10_0.elementAt(53);
      expect(textureCoord_10_0_53, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_54 = textureCoords_10_0.elementAt(54);
      expect(textureCoord_10_0_54, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_55 = textureCoords_10_0.elementAt(55);
      expect(textureCoord_10_0_55, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_56 = textureCoords_10_0.elementAt(56);
      expect(textureCoord_10_0_56, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_57 = textureCoords_10_0.elementAt(57);
      expect(textureCoord_10_0_57, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_10_0_58 = textureCoords_10_0.elementAt(58);
      expect(textureCoord_10_0_58, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_59 = textureCoords_10_0.elementAt(59);
      expect(textureCoord_10_0_59, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_60 = textureCoords_10_0.elementAt(60);
      expect(textureCoord_10_0_60, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_61 = textureCoords_10_0.elementAt(61);
      expect(textureCoord_10_0_61, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_62 = textureCoords_10_0.elementAt(62);
      expect(textureCoord_10_0_62, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_63 = textureCoords_10_0.elementAt(63);
      expect(textureCoord_10_0_63, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_64 = textureCoords_10_0.elementAt(64);
      expect(textureCoord_10_0_64, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_10_0_65 = textureCoords_10_0.elementAt(65);
      expect(textureCoord_10_0_65, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_66 = textureCoords_10_0.elementAt(66);
      expect(textureCoord_10_0_66, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_67 = textureCoords_10_0.elementAt(67);
      expect(textureCoord_10_0_67, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_10_0_68 = textureCoords_10_0.elementAt(68);
      expect(textureCoord_10_0_68, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_69 = textureCoords_10_0.elementAt(69);
      expect(textureCoord_10_0_69, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_10_0_70 = textureCoords_10_0.elementAt(70);
      expect(textureCoord_10_0_70, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_71 = textureCoords_10_0.elementAt(71);
      expect(textureCoord_10_0_71, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_10_0_72 = textureCoords_10_0.elementAt(72);
      expect(textureCoord_10_0_72, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_73 = textureCoords_10_0.elementAt(73);
      expect(textureCoord_10_0_73, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_74 = textureCoords_10_0.elementAt(74);
      expect(textureCoord_10_0_74, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_75 = textureCoords_10_0.elementAt(75);
      expect(textureCoord_10_0_75, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_76 = textureCoords_10_0.elementAt(76);
      expect(textureCoord_10_0_76, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_77 = textureCoords_10_0.elementAt(77);
      expect(textureCoord_10_0_77, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_10_0_78 = textureCoords_10_0.elementAt(78);
      expect(textureCoord_10_0_78, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_79 = textureCoords_10_0.elementAt(79);
      expect(textureCoord_10_0_79, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_10_0_80 = textureCoords_10_0.elementAt(80);
      expect(textureCoord_10_0_80, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_81 = textureCoords_10_0.elementAt(81);
      expect(textureCoord_10_0_81, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_82 = textureCoords_10_0.elementAt(82);
      expect(textureCoord_10_0_82, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_83 = textureCoords_10_0.elementAt(83);
      expect(textureCoord_10_0_83, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_84 = textureCoords_10_0.elementAt(84);
      expect(textureCoord_10_0_84, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_10_0_85 = textureCoords_10_0.elementAt(85);
      expect(textureCoord_10_0_85, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_86 = textureCoords_10_0.elementAt(86);
      expect(textureCoord_10_0_86, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_87 = textureCoords_10_0.elementAt(87);
      expect(textureCoord_10_0_87, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_10_0_88 = textureCoords_10_0.elementAt(88);
      expect(textureCoord_10_0_88, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_10_0_89 = textureCoords_10_0.elementAt(89);
      expect(textureCoord_10_0_89, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_90 = textureCoords_10_0.elementAt(90);
      expect(textureCoord_10_0_90, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_91 = textureCoords_10_0.elementAt(91);
      expect(textureCoord_10_0_91, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_92 = textureCoords_10_0.elementAt(92);
      expect(textureCoord_10_0_92, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_93 = textureCoords_10_0.elementAt(93);
      expect(textureCoord_10_0_93, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_10_0_94 = textureCoords_10_0.elementAt(94);
      expect(textureCoord_10_0_94, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_95 = textureCoords_10_0.elementAt(95);
      expect(textureCoord_10_0_95, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_96 = textureCoords_10_0.elementAt(96);
      expect(textureCoord_10_0_96, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_97 = textureCoords_10_0.elementAt(97);
      expect(textureCoord_10_0_97, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_98 = textureCoords_10_0.elementAt(98);
      expect(textureCoord_10_0_98, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_99 = textureCoords_10_0.elementAt(99);
      expect(textureCoord_10_0_99, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_100 = textureCoords_10_0.elementAt(100);
      expect(textureCoord_10_0_100, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_10_0_101 = textureCoords_10_0.elementAt(101);
      expect(textureCoord_10_0_101, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_102 = textureCoords_10_0.elementAt(102);
      expect(textureCoord_10_0_102, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_103 = textureCoords_10_0.elementAt(103);
      expect(textureCoord_10_0_103, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_10_0_104 = textureCoords_10_0.elementAt(104);
      expect(textureCoord_10_0_104, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_105 = textureCoords_10_0.elementAt(105);
      expect(textureCoord_10_0_105, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_10_0_106 = textureCoords_10_0.elementAt(106);
      expect(textureCoord_10_0_106, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_107 = textureCoords_10_0.elementAt(107);
      expect(textureCoord_10_0_107, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_10_0_108 = textureCoords_10_0.elementAt(108);
      expect(textureCoord_10_0_108, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_109 = textureCoords_10_0.elementAt(109);
      expect(textureCoord_10_0_109, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_110 = textureCoords_10_0.elementAt(110);
      expect(textureCoord_10_0_110, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_111 = textureCoords_10_0.elementAt(111);
      expect(textureCoord_10_0_111, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_112 = textureCoords_10_0.elementAt(112);
      expect(textureCoord_10_0_112, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_10_0_113 = textureCoords_10_0.elementAt(113);
      expect(textureCoord_10_0_113, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_10_0_114 = textureCoords_10_0.elementAt(114);
      expect(textureCoord_10_0_114, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_115 = textureCoords_10_0.elementAt(115);
      expect(textureCoord_10_0_115, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_10_0_116 = textureCoords_10_0.elementAt(116);
      expect(textureCoord_10_0_116, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_10_0_117 = textureCoords_10_0.elementAt(117);
      expect(textureCoord_10_0_117, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_118 = textureCoords_10_0.elementAt(118);
      expect(textureCoord_10_0_118, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_10_0_119 = textureCoords_10_0.elementAt(119);
      expect(textureCoord_10_0_119, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_10_0_120 = textureCoords_10_0.elementAt(120);
      expect(textureCoord_10_0_120, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_10_0_121 = textureCoords_10_0.elementAt(121);
      expect(textureCoord_10_0_121, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_122 = textureCoords_10_0.elementAt(122);
      expect(textureCoord_10_0_122, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_10_0_123 = textureCoords_10_0.elementAt(123);
      expect(textureCoord_10_0_123, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_10_0_124 = textureCoords_10_0.elementAt(124);
      expect(textureCoord_10_0_124, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_10_0_125 = textureCoords_10_0.elementAt(125);
      expect(textureCoord_10_0_125, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      expect(mesh_10.uvComponents.length, equals(1));
      expect(mesh_10.uvComponents, equals([2]));
      expect(mesh_10.faces.length, equals(42));
      expect(mesh_10.bones.length, isZero);
      expect(mesh_10.materialIndex, equals(4));
      expect(mesh_10.name, equals('Zahn'));
      expect(mesh_10.animMeshes.length, isZero);
      expect(mesh_10.morphingMethod, isZero);
      expect(mesh_10.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_11 = meshes.elementAt(11);
      expect(mesh_11.primitiveTypes, equals(4));
      expect(mesh_11.vertices.length, equals(126));
      final vertex_11_0 = mesh_11.vertices.elementAt(0);
      expect(vertex_11_0, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_1 = mesh_11.vertices.elementAt(1);
      expect(vertex_11_1, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_2 = mesh_11.vertices.elementAt(2);
      expect(vertex_11_2, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_3 = mesh_11.vertices.elementAt(3);
      expect(vertex_11_3, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.0868015, -3.03212404)));
      final vertex_11_4 = mesh_11.vertices.elementAt(4);
      expect(vertex_11_4, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_5 = mesh_11.vertices.elementAt(5);
      expect(vertex_11_5, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.2797194, -2.9761219)));
      final vertex_11_6 = mesh_11.vertices.elementAt(6);
      expect(vertex_11_6, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_7 = mesh_11.vertices.elementAt(7);
      expect(vertex_11_7, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      final vertex_11_8 = mesh_11.vertices.elementAt(8);
      expect(vertex_11_8, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_9 = mesh_11.vertices.elementAt(9);
      expect(vertex_11_9, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_10 = mesh_11.vertices.elementAt(10);
      expect(vertex_11_10, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_11 = mesh_11.vertices.elementAt(11);
      expect(vertex_11_11, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_12 = mesh_11.vertices.elementAt(12);
      expect(vertex_11_12, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      final vertex_11_13 = mesh_11.vertices.elementAt(13);
      expect(vertex_11_13, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.0868015, -3.03212404)));
      final vertex_11_14 = mesh_11.vertices.elementAt(14);
      expect(vertex_11_14, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_15 = mesh_11.vertices.elementAt(15);
      expect(vertex_11_15, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.0868015, -3.03212404)));
      final vertex_11_16 = mesh_11.vertices.elementAt(16);
      expect(vertex_11_16, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.2797194, -2.9761219)));
      final vertex_11_17 = mesh_11.vertices.elementAt(17);
      expect(vertex_11_17, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_18 = mesh_11.vertices.elementAt(18);
      expect(vertex_11_18, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_19 = mesh_11.vertices.elementAt(19);
      expect(vertex_11_19, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_20 = mesh_11.vertices.elementAt(20);
      expect(vertex_11_20, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_21 = mesh_11.vertices.elementAt(21);
      expect(vertex_11_21, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.2797194, -2.9761219)));
      final vertex_11_22 = mesh_11.vertices.elementAt(22);
      expect(vertex_11_22, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_23 = mesh_11.vertices.elementAt(23);
      expect(vertex_11_23, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_24 = mesh_11.vertices.elementAt(24);
      expect(vertex_11_24, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_25 = mesh_11.vertices.elementAt(25);
      expect(vertex_11_25, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_26 = mesh_11.vertices.elementAt(26);
      expect(vertex_11_26, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_27 = mesh_11.vertices.elementAt(27);
      expect(vertex_11_27, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_28 = mesh_11.vertices.elementAt(28);
      expect(vertex_11_28, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.18843317, 3.35650802)));
      final vertex_11_29 = mesh_11.vertices.elementAt(29);
      expect(vertex_11_29, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_30 = mesh_11.vertices.elementAt(30);
      expect(vertex_11_30, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_31 = mesh_11.vertices.elementAt(31);
      expect(vertex_11_31, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.2797194, -2.9761219)));
      final vertex_11_32 = mesh_11.vertices.elementAt(32);
      expect(vertex_11_32, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_33 = mesh_11.vertices.elementAt(33);
      expect(vertex_11_33, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.62837791, 1.95886898)));
      final vertex_11_34 = mesh_11.vertices.elementAt(34);
      expect(vertex_11_34, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_35 = mesh_11.vertices.elementAt(35);
      expect(vertex_11_35, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.18843317, 3.35650802)));
      final vertex_11_36 = mesh_11.vertices.elementAt(36);
      expect(vertex_11_36, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_37 = mesh_11.vertices.elementAt(37);
      expect(vertex_11_37, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_38 = mesh_11.vertices.elementAt(38);
      expect(vertex_11_38, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_39 = mesh_11.vertices.elementAt(39);
      expect(vertex_11_39, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_40 = mesh_11.vertices.elementAt(40);
      expect(vertex_11_40, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_41 = mesh_11.vertices.elementAt(41);
      expect(vertex_11_41, vector3MoreOrLessEquals(Vector3(-51.7578392, 11.9824009, 0.835560024)));
      final vertex_11_42 = mesh_11.vertices.elementAt(42);
      expect(vertex_11_42, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_43 = mesh_11.vertices.elementAt(43);
      expect(vertex_11_43, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.18843317, 3.35650802)));
      final vertex_11_44 = mesh_11.vertices.elementAt(44);
      expect(vertex_11_44, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_45 = mesh_11.vertices.elementAt(45);
      expect(vertex_11_45, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_46 = mesh_11.vertices.elementAt(46);
      expect(vertex_11_46, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_47 = mesh_11.vertices.elementAt(47);
      expect(vertex_11_47, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_48 = mesh_11.vertices.elementAt(48);
      expect(vertex_11_48, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.18843317, 3.35650802)));
      final vertex_11_49 = mesh_11.vertices.elementAt(49);
      expect(vertex_11_49, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_50 = mesh_11.vertices.elementAt(50);
      expect(vertex_11_50, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_51 = mesh_11.vertices.elementAt(51);
      expect(vertex_11_51, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.2332716, -1.25485098)));
      final vertex_11_52 = mesh_11.vertices.elementAt(52);
      expect(vertex_11_52, vector3MoreOrLessEquals(Vector3(-51.7578392, 11.9824009, 0.835560024)));
      final vertex_11_53 = mesh_11.vertices.elementAt(53);
      expect(vertex_11_53, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_54 = mesh_11.vertices.elementAt(54);
      expect(vertex_11_54, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_55 = mesh_11.vertices.elementAt(55);
      expect(vertex_11_55, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_56 = mesh_11.vertices.elementAt(56);
      expect(vertex_11_56, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_57 = mesh_11.vertices.elementAt(57);
      expect(vertex_11_57, vector3MoreOrLessEquals(Vector3(-51.7578392, 11.9824009, 0.835560024)));
      final vertex_11_58 = mesh_11.vertices.elementAt(58);
      expect(vertex_11_58, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_59 = mesh_11.vertices.elementAt(59);
      expect(vertex_11_59, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_60 = mesh_11.vertices.elementAt(60);
      expect(vertex_11_60, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_61 = mesh_11.vertices.elementAt(61);
      expect(vertex_11_61, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_62 = mesh_11.vertices.elementAt(62);
      expect(vertex_11_62, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_63 = mesh_11.vertices.elementAt(63);
      expect(vertex_11_63, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_64 = mesh_11.vertices.elementAt(64);
      expect(vertex_11_64, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.80348873, 5.65690088)));
      final vertex_11_65 = mesh_11.vertices.elementAt(65);
      expect(vertex_11_65, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_66 = mesh_11.vertices.elementAt(66);
      expect(vertex_11_66, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_67 = mesh_11.vertices.elementAt(67);
      expect(vertex_11_67, vector3MoreOrLessEquals(Vector3(-51.7578392, 11.9824009, 0.835560024)));
      final vertex_11_68 = mesh_11.vertices.elementAt(68);
      expect(vertex_11_68, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_69 = mesh_11.vertices.elementAt(69);
      expect(vertex_11_69, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.15646601, 5.00227785)));
      final vertex_11_70 = mesh_11.vertices.elementAt(70);
      expect(vertex_11_70, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_71 = mesh_11.vertices.elementAt(71);
      expect(vertex_11_71, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.80348873, 5.65690088)));
      final vertex_11_72 = mesh_11.vertices.elementAt(72);
      expect(vertex_11_72, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_73 = mesh_11.vertices.elementAt(73);
      expect(vertex_11_73, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_74 = mesh_11.vertices.elementAt(74);
      expect(vertex_11_74, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_75 = mesh_11.vertices.elementAt(75);
      expect(vertex_11_75, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_76 = mesh_11.vertices.elementAt(76);
      expect(vertex_11_76, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_77 = mesh_11.vertices.elementAt(77);
      expect(vertex_11_77, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2386951, 0.734676003)));
      final vertex_11_78 = mesh_11.vertices.elementAt(78);
      expect(vertex_11_78, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_79 = mesh_11.vertices.elementAt(79);
      expect(vertex_11_79, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.80348873, 5.65690088)));
      final vertex_11_80 = mesh_11.vertices.elementAt(80);
      expect(vertex_11_80, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_81 = mesh_11.vertices.elementAt(81);
      expect(vertex_11_81, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_82 = mesh_11.vertices.elementAt(82);
      expect(vertex_11_82, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_83 = mesh_11.vertices.elementAt(83);
      expect(vertex_11_83, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_84 = mesh_11.vertices.elementAt(84);
      expect(vertex_11_84, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.80348873, 5.65690088)));
      final vertex_11_85 = mesh_11.vertices.elementAt(85);
      expect(vertex_11_85, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_86 = mesh_11.vertices.elementAt(86);
      expect(vertex_11_86, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_87 = mesh_11.vertices.elementAt(87);
      expect(vertex_11_87, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2100468, 1.72101903)));
      final vertex_11_88 = mesh_11.vertices.elementAt(88);
      expect(vertex_11_88, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2386951, 0.734676003)));
      final vertex_11_89 = mesh_11.vertices.elementAt(89);
      expect(vertex_11_89, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_90 = mesh_11.vertices.elementAt(90);
      expect(vertex_11_90, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_91 = mesh_11.vertices.elementAt(91);
      expect(vertex_11_91, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_92 = mesh_11.vertices.elementAt(92);
      expect(vertex_11_92, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_93 = mesh_11.vertices.elementAt(93);
      expect(vertex_11_93, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2386951, 0.734676003)));
      final vertex_11_94 = mesh_11.vertices.elementAt(94);
      expect(vertex_11_94, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_95 = mesh_11.vertices.elementAt(95);
      expect(vertex_11_95, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_96 = mesh_11.vertices.elementAt(96);
      expect(vertex_11_96, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_97 = mesh_11.vertices.elementAt(97);
      expect(vertex_11_97, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_98 = mesh_11.vertices.elementAt(98);
      expect(vertex_11_98, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_99 = mesh_11.vertices.elementAt(99);
      expect(vertex_11_99, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_100 = mesh_11.vertices.elementAt(100);
      expect(vertex_11_100, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.59619427, 3.13845897)));
      final vertex_11_101 = mesh_11.vertices.elementAt(101);
      expect(vertex_11_101, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_102 = mesh_11.vertices.elementAt(102);
      expect(vertex_11_102, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_103 = mesh_11.vertices.elementAt(103);
      expect(vertex_11_103, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2386951, 0.734676003)));
      final vertex_11_104 = mesh_11.vertices.elementAt(104);
      expect(vertex_11_104, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_105 = mesh_11.vertices.elementAt(105);
      expect(vertex_11_105, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.88924694, 4.82747316)));
      final vertex_11_106 = mesh_11.vertices.elementAt(106);
      expect(vertex_11_106, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_107 = mesh_11.vertices.elementAt(107);
      expect(vertex_11_107, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.59619427, 3.13845897)));
      final vertex_11_108 = mesh_11.vertices.elementAt(108);
      expect(vertex_11_108, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_109 = mesh_11.vertices.elementAt(109);
      expect(vertex_11_109, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_110 = mesh_11.vertices.elementAt(110);
      expect(vertex_11_110, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_111 = mesh_11.vertices.elementAt(111);
      expect(vertex_11_111, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_112 = mesh_11.vertices.elementAt(112);
      expect(vertex_11_112, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6178007, -0.764661014)));
      final vertex_11_113 = mesh_11.vertices.elementAt(113);
      expect(vertex_11_113, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.0868015, -3.03212404)));
      final vertex_11_114 = mesh_11.vertices.elementAt(114);
      expect(vertex_11_114, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_115 = mesh_11.vertices.elementAt(115);
      expect(vertex_11_115, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.59619427, 3.13845897)));
      final vertex_11_116 = mesh_11.vertices.elementAt(116);
      expect(vertex_11_116, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      final vertex_11_117 = mesh_11.vertices.elementAt(117);
      expect(vertex_11_117, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_118 = mesh_11.vertices.elementAt(118);
      expect(vertex_11_118, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      final vertex_11_119 = mesh_11.vertices.elementAt(119);
      expect(vertex_11_119, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.17992604, 10.0294609)));
      final vertex_11_120 = mesh_11.vertices.elementAt(120);
      expect(vertex_11_120, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.59619427, 3.13845897)));
      final vertex_11_121 = mesh_11.vertices.elementAt(121);
      expect(vertex_11_121, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_122 = mesh_11.vertices.elementAt(122);
      expect(vertex_11_122, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      final vertex_11_123 = mesh_11.vertices.elementAt(123);
      expect(vertex_11_123, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.2937489, -1.38063896)));
      final vertex_11_124 = mesh_11.vertices.elementAt(124);
      expect(vertex_11_124, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.0868015, -3.03212404)));
      final vertex_11_125 = mesh_11.vertices.elementAt(125);
      expect(vertex_11_125, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.14494991, 1.86180997)));
      expect(mesh_11.normals.length, equals(126));
      final normal_11_0 = mesh_11.normals.elementAt(0);
      expect(normal_11_0, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_1 = mesh_11.normals.elementAt(1);
      expect(normal_11_1, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_2 = mesh_11.normals.elementAt(2);
      expect(normal_11_2, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_3 = mesh_11.normals.elementAt(3);
      expect(normal_11_3, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_4 = mesh_11.normals.elementAt(4);
      expect(normal_11_4, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_5 = mesh_11.normals.elementAt(5);
      expect(normal_11_5, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_6 = mesh_11.normals.elementAt(6);
      expect(normal_11_6, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506393015, -0.768585026)));
      final normal_11_7 = mesh_11.normals.elementAt(7);
      expect(normal_11_7, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      final normal_11_8 = mesh_11.normals.elementAt(8);
      expect(normal_11_8, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_9 = mesh_11.normals.elementAt(9);
      expect(normal_11_9, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506393015, -0.768585026)));
      final normal_11_10 = mesh_11.normals.elementAt(10);
      expect(normal_11_10, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_11 = mesh_11.normals.elementAt(11);
      expect(normal_11_11, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_12 = mesh_11.normals.elementAt(12);
      expect(normal_11_12, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      final normal_11_13 = mesh_11.normals.elementAt(13);
      expect(normal_11_13, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, -0.580947995)));
      final normal_11_14 = mesh_11.normals.elementAt(14);
      expect(normal_11_14, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_15 = mesh_11.normals.elementAt(15);
      expect(normal_11_15, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, -0.580947995)));
      final normal_11_16 = mesh_11.normals.elementAt(16);
      expect(normal_11_16, vector3MoreOrLessEquals(Vector3(-0.0706129968, -0.785108984, -0.615320027)));
      final normal_11_17 = mesh_11.normals.elementAt(17);
      expect(normal_11_17, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_18 = mesh_11.normals.elementAt(18);
      expect(normal_11_18, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_19 = mesh_11.normals.elementAt(19);
      expect(normal_11_19, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_20 = mesh_11.normals.elementAt(20);
      expect(normal_11_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_21 = mesh_11.normals.elementAt(21);
      expect(normal_11_21, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_22 = mesh_11.normals.elementAt(22);
      expect(normal_11_22, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_23 = mesh_11.normals.elementAt(23);
      expect(normal_11_23, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_24 = mesh_11.normals.elementAt(24);
      expect(normal_11_24, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_25 = mesh_11.normals.elementAt(25);
      expect(normal_11_25, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_26 = mesh_11.normals.elementAt(26);
      expect(normal_11_26, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, -0.0532060005)));
      final normal_11_27 = mesh_11.normals.elementAt(27);
      expect(normal_11_27, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_28 = mesh_11.normals.elementAt(28);
      expect(normal_11_28, vector3MoreOrLessEquals(Vector3(0.510040998, -0.851110995, -0.124371998)));
      final normal_11_29 = mesh_11.normals.elementAt(29);
      expect(normal_11_29, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, -0.0532060005)));
      final normal_11_30 = mesh_11.normals.elementAt(30);
      expect(normal_11_30, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_31 = mesh_11.normals.elementAt(31);
      expect(normal_11_31, vector3MoreOrLessEquals(Vector3(-0.0706129968, -0.785108984, -0.615320027)));
      final normal_11_32 = mesh_11.normals.elementAt(32);
      expect(normal_11_32, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, -0.188727006)));
      final normal_11_33 = mesh_11.normals.elementAt(33);
      expect(normal_11_33, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, -0.631574988)));
      final normal_11_34 = mesh_11.normals.elementAt(34);
      expect(normal_11_34, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, -0.188727006)));
      final normal_11_35 = mesh_11.normals.elementAt(35);
      expect(normal_11_35, vector3MoreOrLessEquals(Vector3(0.510040998, -0.851110995, -0.124371998)));
      final normal_11_36 = mesh_11.normals.elementAt(36);
      expect(normal_11_36, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_37 = mesh_11.normals.elementAt(37);
      expect(normal_11_37, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_38 = mesh_11.normals.elementAt(38);
      expect(normal_11_38, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_39 = mesh_11.normals.elementAt(39);
      expect(normal_11_39, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_40 = mesh_11.normals.elementAt(40);
      expect(normal_11_40, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_41 = mesh_11.normals.elementAt(41);
      expect(normal_11_41, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_42 = mesh_11.normals.elementAt(42);
      expect(normal_11_42, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, -0.0532060005)));
      final normal_11_43 = mesh_11.normals.elementAt(43);
      expect(normal_11_43, vector3MoreOrLessEquals(Vector3(0.510040998, -0.851110995, -0.124371998)));
      final normal_11_44 = mesh_11.normals.elementAt(44);
      expect(normal_11_44, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_45 = mesh_11.normals.elementAt(45);
      expect(normal_11_45, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, -0.0532060005)));
      final normal_11_46 = mesh_11.normals.elementAt(46);
      expect(normal_11_46, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_47 = mesh_11.normals.elementAt(47);
      expect(normal_11_47, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_48 = mesh_11.normals.elementAt(48);
      expect(normal_11_48, vector3MoreOrLessEquals(Vector3(0.510040998, -0.851110995, -0.124371998)));
      final normal_11_49 = mesh_11.normals.elementAt(49);
      expect(normal_11_49, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, -0.188727006)));
      final normal_11_50 = mesh_11.normals.elementAt(50);
      expect(normal_11_50, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_51 = mesh_11.normals.elementAt(51);
      expect(normal_11_51, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, -0.188727006)));
      final normal_11_52 = mesh_11.normals.elementAt(52);
      expect(normal_11_52, vector3MoreOrLessEquals(Vector3(0.802855015, -0.245127007, 0.543448985)));
      final normal_11_53 = mesh_11.normals.elementAt(53);
      expect(normal_11_53, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_54 = mesh_11.normals.elementAt(54);
      expect(normal_11_54, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_55 = mesh_11.normals.elementAt(55);
      expect(normal_11_55, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_56 = mesh_11.normals.elementAt(56);
      expect(normal_11_56, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_57 = mesh_11.normals.elementAt(57);
      expect(normal_11_57, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_58 = mesh_11.normals.elementAt(58);
      expect(normal_11_58, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_59 = mesh_11.normals.elementAt(59);
      expect(normal_11_59, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_60 = mesh_11.normals.elementAt(60);
      expect(normal_11_60, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_61 = mesh_11.normals.elementAt(61);
      expect(normal_11_61, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_62 = mesh_11.normals.elementAt(62);
      expect(normal_11_62, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, 0.936113)));
      final normal_11_63 = mesh_11.normals.elementAt(63);
      expect(normal_11_63, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_64 = mesh_11.normals.elementAt(64);
      expect(normal_11_64, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, 0.901407003)));
      final normal_11_65 = mesh_11.normals.elementAt(65);
      expect(normal_11_65, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, 0.936113)));
      final normal_11_66 = mesh_11.normals.elementAt(66);
      expect(normal_11_66, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_67 = mesh_11.normals.elementAt(67);
      expect(normal_11_67, vector3MoreOrLessEquals(Vector3(0.802855015, -0.245127007, 0.543448985)));
      final normal_11_68 = mesh_11.normals.elementAt(68);
      expect(normal_11_68, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, 0.857820988)));
      final normal_11_69 = mesh_11.normals.elementAt(69);
      expect(normal_11_69, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, 0.609964013)));
      final normal_11_70 = mesh_11.normals.elementAt(70);
      expect(normal_11_70, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, 0.857820988)));
      final normal_11_71 = mesh_11.normals.elementAt(71);
      expect(normal_11_71, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, 0.901407003)));
      final normal_11_72 = mesh_11.normals.elementAt(72);
      expect(normal_11_72, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_73 = mesh_11.normals.elementAt(73);
      expect(normal_11_73, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_74 = mesh_11.normals.elementAt(74);
      expect(normal_11_74, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_75 = mesh_11.normals.elementAt(75);
      expect(normal_11_75, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_76 = mesh_11.normals.elementAt(76);
      expect(normal_11_76, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_77 = mesh_11.normals.elementAt(77);
      expect(normal_11_77, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_78 = mesh_11.normals.elementAt(78);
      expect(normal_11_78, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, 0.936113)));
      final normal_11_79 = mesh_11.normals.elementAt(79);
      expect(normal_11_79, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, 0.901407003)));
      final normal_11_80 = mesh_11.normals.elementAt(80);
      expect(normal_11_80, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_81 = mesh_11.normals.elementAt(81);
      expect(normal_11_81, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, 0.936113)));
      final normal_11_82 = mesh_11.normals.elementAt(82);
      expect(normal_11_82, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_83 = mesh_11.normals.elementAt(83);
      expect(normal_11_83, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_84 = mesh_11.normals.elementAt(84);
      expect(normal_11_84, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, 0.901407003)));
      final normal_11_85 = mesh_11.normals.elementAt(85);
      expect(normal_11_85, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, 0.857820988)));
      final normal_11_86 = mesh_11.normals.elementAt(86);
      expect(normal_11_86, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_87 = mesh_11.normals.elementAt(87);
      expect(normal_11_87, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, 0.857820988)));
      final normal_11_88 = mesh_11.normals.elementAt(88);
      expect(normal_11_88, vector3MoreOrLessEquals(Vector3(-0.388204008, 0.672326982, 0.630297005)));
      final normal_11_89 = mesh_11.normals.elementAt(89);
      expect(normal_11_89, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_90 = mesh_11.normals.elementAt(90);
      expect(normal_11_90, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_91 = mesh_11.normals.elementAt(91);
      expect(normal_11_91, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_92 = mesh_11.normals.elementAt(92);
      expect(normal_11_92, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_93 = mesh_11.normals.elementAt(93);
      expect(normal_11_93, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_94 = mesh_11.normals.elementAt(94);
      expect(normal_11_94, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_95 = mesh_11.normals.elementAt(95);
      expect(normal_11_95, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_96 = mesh_11.normals.elementAt(96);
      expect(normal_11_96, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_97 = mesh_11.normals.elementAt(97);
      expect(normal_11_97, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_98 = mesh_11.normals.elementAt(98);
      expect(normal_11_98, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, -0.168344006)));
      final normal_11_99 = mesh_11.normals.elementAt(99);
      expect(normal_11_99, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_100 = mesh_11.normals.elementAt(100);
      expect(normal_11_100, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, -0.0916659981)));
      final normal_11_101 = mesh_11.normals.elementAt(101);
      expect(normal_11_101, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, -0.168344006)));
      final normal_11_102 = mesh_11.normals.elementAt(102);
      expect(normal_11_102, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_103 = mesh_11.normals.elementAt(103);
      expect(normal_11_103, vector3MoreOrLessEquals(Vector3(-0.388204008, 0.672326982, 0.630297005)));
      final normal_11_104 = mesh_11.normals.elementAt(104);
      expect(normal_11_104, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, 0.0208400004)));
      final normal_11_105 = mesh_11.normals.elementAt(105);
      expect(normal_11_105, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312975, 0.625986993)));
      final normal_11_106 = mesh_11.normals.elementAt(106);
      expect(normal_11_106, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, 0.0208400004)));
      final normal_11_107 = mesh_11.normals.elementAt(107);
      expect(normal_11_107, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, -0.0916659981)));
      final normal_11_108 = mesh_11.normals.elementAt(108);
      expect(normal_11_108, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_109 = mesh_11.normals.elementAt(109);
      expect(normal_11_109, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_110 = mesh_11.normals.elementAt(110);
      expect(normal_11_110, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_11_111 = mesh_11.normals.elementAt(111);
      expect(normal_11_111, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_112 = mesh_11.normals.elementAt(112);
      expect(normal_11_112, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_113 = mesh_11.normals.elementAt(113);
      expect(normal_11_113, vector3MoreOrLessEquals(Vector3(0.417208999, 0.602930009, -0.680009007)));
      final normal_11_114 = mesh_11.normals.elementAt(114);
      expect(normal_11_114, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, -0.168344006)));
      final normal_11_115 = mesh_11.normals.elementAt(115);
      expect(normal_11_115, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, -0.0916659981)));
      final normal_11_116 = mesh_11.normals.elementAt(116);
      expect(normal_11_116, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      final normal_11_117 = mesh_11.normals.elementAt(117);
      expect(normal_11_117, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, -0.168344006)));
      final normal_11_118 = mesh_11.normals.elementAt(118);
      expect(normal_11_118, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      final normal_11_119 = mesh_11.normals.elementAt(119);
      expect(normal_11_119, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506393015, -0.768585026)));
      final normal_11_120 = mesh_11.normals.elementAt(120);
      expect(normal_11_120, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, -0.0916659981)));
      final normal_11_121 = mesh_11.normals.elementAt(121);
      expect(normal_11_121, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, 0.0208400004)));
      final normal_11_122 = mesh_11.normals.elementAt(122);
      expect(normal_11_122, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      final normal_11_123 = mesh_11.normals.elementAt(123);
      expect(normal_11_123, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, 0.0208400004)));
      final normal_11_124 = mesh_11.normals.elementAt(124);
      expect(normal_11_124, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, -0.580947995)));
      final normal_11_125 = mesh_11.normals.elementAt(125);
      expect(normal_11_125, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, -0.577998996)));
      expect(mesh_11.tangents.length, isZero);
      expect(mesh_11.bitangents.length, isZero);
      expect(mesh_11.colors.length, isZero);
      expect(mesh_11.textureCoords.length, equals(1));
      final textureCoords_11_0 = mesh_11.textureCoords.elementAt(0);
      expect(textureCoords_11_0.length, equals(126));
      final textureCoord_11_0_0 = textureCoords_11_0.elementAt(0);
      expect(textureCoord_11_0_0, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_1 = textureCoords_11_0.elementAt(1);
      expect(textureCoord_11_0_1, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_2 = textureCoords_11_0.elementAt(2);
      expect(textureCoord_11_0_2, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_3 = textureCoords_11_0.elementAt(3);
      expect(textureCoord_11_0_3, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_11_0_4 = textureCoords_11_0.elementAt(4);
      expect(textureCoord_11_0_4, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_5 = textureCoords_11_0.elementAt(5);
      expect(textureCoord_11_0_5, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_11_0_6 = textureCoords_11_0.elementAt(6);
      expect(textureCoord_11_0_6, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_7 = textureCoords_11_0.elementAt(7);
      expect(textureCoord_11_0_7, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_11_0_8 = textureCoords_11_0.elementAt(8);
      expect(textureCoord_11_0_8, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_9 = textureCoords_11_0.elementAt(9);
      expect(textureCoord_11_0_9, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_10 = textureCoords_11_0.elementAt(10);
      expect(textureCoord_11_0_10, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_11 = textureCoords_11_0.elementAt(11);
      expect(textureCoord_11_0_11, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_12 = textureCoords_11_0.elementAt(12);
      expect(textureCoord_11_0_12, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_11_0_13 = textureCoords_11_0.elementAt(13);
      expect(textureCoord_11_0_13, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_11_0_14 = textureCoords_11_0.elementAt(14);
      expect(textureCoord_11_0_14, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_15 = textureCoords_11_0.elementAt(15);
      expect(textureCoord_11_0_15, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_11_0_16 = textureCoords_11_0.elementAt(16);
      expect(textureCoord_11_0_16, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_11_0_17 = textureCoords_11_0.elementAt(17);
      expect(textureCoord_11_0_17, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_18 = textureCoords_11_0.elementAt(18);
      expect(textureCoord_11_0_18, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_19 = textureCoords_11_0.elementAt(19);
      expect(textureCoord_11_0_19, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_20 = textureCoords_11_0.elementAt(20);
      expect(textureCoord_11_0_20, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_21 = textureCoords_11_0.elementAt(21);
      expect(textureCoord_11_0_21, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_11_0_22 = textureCoords_11_0.elementAt(22);
      expect(textureCoord_11_0_22, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_23 = textureCoords_11_0.elementAt(23);
      expect(textureCoord_11_0_23, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_24 = textureCoords_11_0.elementAt(24);
      expect(textureCoord_11_0_24, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_25 = textureCoords_11_0.elementAt(25);
      expect(textureCoord_11_0_25, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_26 = textureCoords_11_0.elementAt(26);
      expect(textureCoord_11_0_26, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_27 = textureCoords_11_0.elementAt(27);
      expect(textureCoord_11_0_27, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_28 = textureCoords_11_0.elementAt(28);
      expect(textureCoord_11_0_28, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_11_0_29 = textureCoords_11_0.elementAt(29);
      expect(textureCoord_11_0_29, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_30 = textureCoords_11_0.elementAt(30);
      expect(textureCoord_11_0_30, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_31 = textureCoords_11_0.elementAt(31);
      expect(textureCoord_11_0_31, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_11_0_32 = textureCoords_11_0.elementAt(32);
      expect(textureCoord_11_0_32, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_33 = textureCoords_11_0.elementAt(33);
      expect(textureCoord_11_0_33, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_11_0_34 = textureCoords_11_0.elementAt(34);
      expect(textureCoord_11_0_34, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_35 = textureCoords_11_0.elementAt(35);
      expect(textureCoord_11_0_35, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_11_0_36 = textureCoords_11_0.elementAt(36);
      expect(textureCoord_11_0_36, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_37 = textureCoords_11_0.elementAt(37);
      expect(textureCoord_11_0_37, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_38 = textureCoords_11_0.elementAt(38);
      expect(textureCoord_11_0_38, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_39 = textureCoords_11_0.elementAt(39);
      expect(textureCoord_11_0_39, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_40 = textureCoords_11_0.elementAt(40);
      expect(textureCoord_11_0_40, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_41 = textureCoords_11_0.elementAt(41);
      expect(textureCoord_11_0_41, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_11_0_42 = textureCoords_11_0.elementAt(42);
      expect(textureCoord_11_0_42, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_43 = textureCoords_11_0.elementAt(43);
      expect(textureCoord_11_0_43, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_11_0_44 = textureCoords_11_0.elementAt(44);
      expect(textureCoord_11_0_44, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_45 = textureCoords_11_0.elementAt(45);
      expect(textureCoord_11_0_45, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_46 = textureCoords_11_0.elementAt(46);
      expect(textureCoord_11_0_46, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_47 = textureCoords_11_0.elementAt(47);
      expect(textureCoord_11_0_47, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_48 = textureCoords_11_0.elementAt(48);
      expect(textureCoord_11_0_48, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_11_0_49 = textureCoords_11_0.elementAt(49);
      expect(textureCoord_11_0_49, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_50 = textureCoords_11_0.elementAt(50);
      expect(textureCoord_11_0_50, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_51 = textureCoords_11_0.elementAt(51);
      expect(textureCoord_11_0_51, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_11_0_52 = textureCoords_11_0.elementAt(52);
      expect(textureCoord_11_0_52, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_11_0_53 = textureCoords_11_0.elementAt(53);
      expect(textureCoord_11_0_53, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_54 = textureCoords_11_0.elementAt(54);
      expect(textureCoord_11_0_54, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_55 = textureCoords_11_0.elementAt(55);
      expect(textureCoord_11_0_55, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_56 = textureCoords_11_0.elementAt(56);
      expect(textureCoord_11_0_56, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_57 = textureCoords_11_0.elementAt(57);
      expect(textureCoord_11_0_57, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_11_0_58 = textureCoords_11_0.elementAt(58);
      expect(textureCoord_11_0_58, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_59 = textureCoords_11_0.elementAt(59);
      expect(textureCoord_11_0_59, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_60 = textureCoords_11_0.elementAt(60);
      expect(textureCoord_11_0_60, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_61 = textureCoords_11_0.elementAt(61);
      expect(textureCoord_11_0_61, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_62 = textureCoords_11_0.elementAt(62);
      expect(textureCoord_11_0_62, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_63 = textureCoords_11_0.elementAt(63);
      expect(textureCoord_11_0_63, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_64 = textureCoords_11_0.elementAt(64);
      expect(textureCoord_11_0_64, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_11_0_65 = textureCoords_11_0.elementAt(65);
      expect(textureCoord_11_0_65, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_66 = textureCoords_11_0.elementAt(66);
      expect(textureCoord_11_0_66, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_67 = textureCoords_11_0.elementAt(67);
      expect(textureCoord_11_0_67, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_11_0_68 = textureCoords_11_0.elementAt(68);
      expect(textureCoord_11_0_68, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_69 = textureCoords_11_0.elementAt(69);
      expect(textureCoord_11_0_69, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_11_0_70 = textureCoords_11_0.elementAt(70);
      expect(textureCoord_11_0_70, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_71 = textureCoords_11_0.elementAt(71);
      expect(textureCoord_11_0_71, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_11_0_72 = textureCoords_11_0.elementAt(72);
      expect(textureCoord_11_0_72, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_73 = textureCoords_11_0.elementAt(73);
      expect(textureCoord_11_0_73, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_74 = textureCoords_11_0.elementAt(74);
      expect(textureCoord_11_0_74, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_75 = textureCoords_11_0.elementAt(75);
      expect(textureCoord_11_0_75, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_76 = textureCoords_11_0.elementAt(76);
      expect(textureCoord_11_0_76, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_77 = textureCoords_11_0.elementAt(77);
      expect(textureCoord_11_0_77, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_11_0_78 = textureCoords_11_0.elementAt(78);
      expect(textureCoord_11_0_78, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_79 = textureCoords_11_0.elementAt(79);
      expect(textureCoord_11_0_79, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_11_0_80 = textureCoords_11_0.elementAt(80);
      expect(textureCoord_11_0_80, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_81 = textureCoords_11_0.elementAt(81);
      expect(textureCoord_11_0_81, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_82 = textureCoords_11_0.elementAt(82);
      expect(textureCoord_11_0_82, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_83 = textureCoords_11_0.elementAt(83);
      expect(textureCoord_11_0_83, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_84 = textureCoords_11_0.elementAt(84);
      expect(textureCoord_11_0_84, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_11_0_85 = textureCoords_11_0.elementAt(85);
      expect(textureCoord_11_0_85, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_86 = textureCoords_11_0.elementAt(86);
      expect(textureCoord_11_0_86, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_87 = textureCoords_11_0.elementAt(87);
      expect(textureCoord_11_0_87, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_11_0_88 = textureCoords_11_0.elementAt(88);
      expect(textureCoord_11_0_88, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_11_0_89 = textureCoords_11_0.elementAt(89);
      expect(textureCoord_11_0_89, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_90 = textureCoords_11_0.elementAt(90);
      expect(textureCoord_11_0_90, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_91 = textureCoords_11_0.elementAt(91);
      expect(textureCoord_11_0_91, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_92 = textureCoords_11_0.elementAt(92);
      expect(textureCoord_11_0_92, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_93 = textureCoords_11_0.elementAt(93);
      expect(textureCoord_11_0_93, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_11_0_94 = textureCoords_11_0.elementAt(94);
      expect(textureCoord_11_0_94, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_95 = textureCoords_11_0.elementAt(95);
      expect(textureCoord_11_0_95, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_96 = textureCoords_11_0.elementAt(96);
      expect(textureCoord_11_0_96, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_97 = textureCoords_11_0.elementAt(97);
      expect(textureCoord_11_0_97, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_98 = textureCoords_11_0.elementAt(98);
      expect(textureCoord_11_0_98, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_99 = textureCoords_11_0.elementAt(99);
      expect(textureCoord_11_0_99, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_100 = textureCoords_11_0.elementAt(100);
      expect(textureCoord_11_0_100, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_11_0_101 = textureCoords_11_0.elementAt(101);
      expect(textureCoord_11_0_101, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_102 = textureCoords_11_0.elementAt(102);
      expect(textureCoord_11_0_102, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_103 = textureCoords_11_0.elementAt(103);
      expect(textureCoord_11_0_103, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_11_0_104 = textureCoords_11_0.elementAt(104);
      expect(textureCoord_11_0_104, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_105 = textureCoords_11_0.elementAt(105);
      expect(textureCoord_11_0_105, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_11_0_106 = textureCoords_11_0.elementAt(106);
      expect(textureCoord_11_0_106, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_107 = textureCoords_11_0.elementAt(107);
      expect(textureCoord_11_0_107, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_11_0_108 = textureCoords_11_0.elementAt(108);
      expect(textureCoord_11_0_108, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_109 = textureCoords_11_0.elementAt(109);
      expect(textureCoord_11_0_109, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_110 = textureCoords_11_0.elementAt(110);
      expect(textureCoord_11_0_110, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_111 = textureCoords_11_0.elementAt(111);
      expect(textureCoord_11_0_111, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_112 = textureCoords_11_0.elementAt(112);
      expect(textureCoord_11_0_112, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_11_0_113 = textureCoords_11_0.elementAt(113);
      expect(textureCoord_11_0_113, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_11_0_114 = textureCoords_11_0.elementAt(114);
      expect(textureCoord_11_0_114, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_115 = textureCoords_11_0.elementAt(115);
      expect(textureCoord_11_0_115, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_11_0_116 = textureCoords_11_0.elementAt(116);
      expect(textureCoord_11_0_116, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_11_0_117 = textureCoords_11_0.elementAt(117);
      expect(textureCoord_11_0_117, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_118 = textureCoords_11_0.elementAt(118);
      expect(textureCoord_11_0_118, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_11_0_119 = textureCoords_11_0.elementAt(119);
      expect(textureCoord_11_0_119, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_11_0_120 = textureCoords_11_0.elementAt(120);
      expect(textureCoord_11_0_120, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_11_0_121 = textureCoords_11_0.elementAt(121);
      expect(textureCoord_11_0_121, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_122 = textureCoords_11_0.elementAt(122);
      expect(textureCoord_11_0_122, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_11_0_123 = textureCoords_11_0.elementAt(123);
      expect(textureCoord_11_0_123, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_11_0_124 = textureCoords_11_0.elementAt(124);
      expect(textureCoord_11_0_124, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_11_0_125 = textureCoords_11_0.elementAt(125);
      expect(textureCoord_11_0_125, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      expect(mesh_11.uvComponents.length, equals(1));
      expect(mesh_11.uvComponents, equals([2]));
      expect(mesh_11.faces.length, equals(42));
      expect(mesh_11.bones.length, isZero);
      expect(mesh_11.materialIndex, equals(4));
      expect(mesh_11.name, equals('klZahn'));
      expect(mesh_11.animMeshes.length, isZero);
      expect(mesh_11.morphingMethod, isZero);
      expect(mesh_11.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_12 = meshes.elementAt(12);
      expect(mesh_12.primitiveTypes, equals(4));
      expect(mesh_12.vertices.length, equals(270));
      final vertex_12_0 = mesh_12.vertices.elementAt(0);
      expect(vertex_12_0, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_1 = mesh_12.vertices.elementAt(1);
      expect(vertex_12_1, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -7.33651686)));
      final vertex_12_2 = mesh_12.vertices.elementAt(2);
      expect(vertex_12_2, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.94444656)));
      final vertex_12_3 = mesh_12.vertices.elementAt(3);
      expect(vertex_12_3, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_4 = mesh_12.vertices.elementAt(4);
      expect(vertex_12_4, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_5 = mesh_12.vertices.elementAt(5);
      expect(vertex_12_5, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -7.33651686)));
      final vertex_12_6 = mesh_12.vertices.elementAt(6);
      expect(vertex_12_6, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.94444656)));
      final vertex_12_7 = mesh_12.vertices.elementAt(7);
      expect(vertex_12_7, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -4.74829483)));
      final vertex_12_8 = mesh_12.vertices.elementAt(8);
      expect(vertex_12_8, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -3.94444704)));
      final vertex_12_9 = mesh_12.vertices.elementAt(9);
      expect(vertex_12_9, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_10 = mesh_12.vertices.elementAt(10);
      expect(vertex_12_10, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -3.94444609)));
      final vertex_12_11 = mesh_12.vertices.elementAt(11);
      expect(vertex_12_11, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_12 = mesh_12.vertices.elementAt(12);
      expect(vertex_12_12, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.94444656)));
      final vertex_12_13 = mesh_12.vertices.elementAt(13);
      expect(vertex_12_13, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -3.94444704)));
      final vertex_12_14 = mesh_12.vertices.elementAt(14);
      expect(vertex_12_14, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_15 = mesh_12.vertices.elementAt(15);
      expect(vertex_12_15, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_16 = mesh_12.vertices.elementAt(16);
      expect(vertex_12_16, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_17 = mesh_12.vertices.elementAt(17);
      expect(vertex_12_17, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -3.94444609)));
      final vertex_12_18 = mesh_12.vertices.elementAt(18);
      expect(vertex_12_18, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.94444656)));
      final vertex_12_19 = mesh_12.vertices.elementAt(19);
      expect(vertex_12_19, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_20 = mesh_12.vertices.elementAt(20);
      expect(vertex_12_20, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -6.94444704)));
      final vertex_12_21 = mesh_12.vertices.elementAt(21);
      expect(vertex_12_21, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_22 = mesh_12.vertices.elementAt(22);
      expect(vertex_12_22, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -6.94444704)));
      final vertex_12_23 = mesh_12.vertices.elementAt(23);
      expect(vertex_12_23, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_24 = mesh_12.vertices.elementAt(24);
      expect(vertex_12_24, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.94444656)));
      final vertex_12_25 = mesh_12.vertices.elementAt(25);
      expect(vertex_12_25, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -6.94444704)));
      final vertex_12_26 = mesh_12.vertices.elementAt(26);
      expect(vertex_12_26, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.94444656)));
      final vertex_12_27 = mesh_12.vertices.elementAt(27);
      expect(vertex_12_27, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.94444656)));
      final vertex_12_28 = mesh_12.vertices.elementAt(28);
      expect(vertex_12_28, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.94444656)));
      final vertex_12_29 = mesh_12.vertices.elementAt(29);
      expect(vertex_12_29, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -6.94444704)));
      final vertex_12_30 = mesh_12.vertices.elementAt(30);
      expect(vertex_12_30, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -0.0816269964)));
      final vertex_12_31 = mesh_12.vertices.elementAt(31);
      expect(vertex_12_31, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -0.944446981)));
      final vertex_12_32 = mesh_12.vertices.elementAt(32);
      expect(vertex_12_32, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -4.74829483)));
      final vertex_12_33 = mesh_12.vertices.elementAt(33);
      expect(vertex_12_33, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -4.74829483)));
      final vertex_12_34 = mesh_12.vertices.elementAt(34);
      expect(vertex_12_34, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -0.944446981)));
      final vertex_12_35 = mesh_12.vertices.elementAt(35);
      expect(vertex_12_35, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_36 = mesh_12.vertices.elementAt(36);
      expect(vertex_12_36, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -4.74829483)));
      final vertex_12_37 = mesh_12.vertices.elementAt(37);
      expect(vertex_12_37, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_38 = mesh_12.vertices.elementAt(38);
      expect(vertex_12_38, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -3.94444704)));
      final vertex_12_39 = mesh_12.vertices.elementAt(39);
      expect(vertex_12_39, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -3.94444704)));
      final vertex_12_40 = mesh_12.vertices.elementAt(40);
      expect(vertex_12_40, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_41 = mesh_12.vertices.elementAt(41);
      expect(vertex_12_41, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_42 = mesh_12.vertices.elementAt(42);
      expect(vertex_12_42, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_43 = mesh_12.vertices.elementAt(43);
      expect(vertex_12_43, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -0.944446981)));
      final vertex_12_44 = mesh_12.vertices.elementAt(44);
      expect(vertex_12_44, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_45 = mesh_12.vertices.elementAt(45);
      expect(vertex_12_45, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_46 = mesh_12.vertices.elementAt(46);
      expect(vertex_12_46, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -0.944446981)));
      final vertex_12_47 = mesh_12.vertices.elementAt(47);
      expect(vertex_12_47, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_48 = mesh_12.vertices.elementAt(48);
      expect(vertex_12_48, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -4.74829483)));
      final vertex_12_49 = mesh_12.vertices.elementAt(49);
      expect(vertex_12_49, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_50 = mesh_12.vertices.elementAt(50);
      expect(vertex_12_50, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -6.94444704)));
      final vertex_12_51 = mesh_12.vertices.elementAt(51);
      expect(vertex_12_51, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -6.94444704)));
      final vertex_12_52 = mesh_12.vertices.elementAt(52);
      expect(vertex_12_52, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_53 = mesh_12.vertices.elementAt(53);
      expect(vertex_12_53, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.94444656)));
      final vertex_12_54 = mesh_12.vertices.elementAt(54);
      expect(vertex_12_54, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_55 = mesh_12.vertices.elementAt(55);
      expect(vertex_12_55, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53335094, -9.94444656)));
      final vertex_12_56 = mesh_12.vertices.elementAt(56);
      expect(vertex_12_56, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.94444656)));
      final vertex_12_57 = mesh_12.vertices.elementAt(57);
      expect(vertex_12_57, vector3MoreOrLessEquals(Vector3(-43.6076851, 8.33333492, -9.94444656)));
      final vertex_12_58 = mesh_12.vertices.elementAt(58);
      expect(vertex_12_58, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.94444656)));
      final vertex_12_59 = mesh_12.vertices.elementAt(59);
      expect(vertex_12_59, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -0.0816269964)));
      final vertex_12_60 = mesh_12.vertices.elementAt(60);
      expect(vertex_12_60, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.94444656)));
      final vertex_12_61 = mesh_12.vertices.elementAt(61);
      expect(vertex_12_61, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -0.0619199984)));
      final vertex_12_62 = mesh_12.vertices.elementAt(62);
      expect(vertex_12_62, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -0.0816269964)));
      final vertex_12_63 = mesh_12.vertices.elementAt(63);
      expect(vertex_12_63, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -0.0816269964)));
      final vertex_12_64 = mesh_12.vertices.elementAt(64);
      expect(vertex_12_64, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -0.0619199984)));
      final vertex_12_65 = mesh_12.vertices.elementAt(65);
      expect(vertex_12_65, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_66 = mesh_12.vertices.elementAt(66);
      expect(vertex_12_66, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -0.0816269964)));
      final vertex_12_67 = mesh_12.vertices.elementAt(67);
      expect(vertex_12_67, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_68 = mesh_12.vertices.elementAt(68);
      expect(vertex_12_68, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -0.944446981)));
      final vertex_12_69 = mesh_12.vertices.elementAt(69);
      expect(vertex_12_69, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -0.944446981)));
      final vertex_12_70 = mesh_12.vertices.elementAt(70);
      expect(vertex_12_70, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_71 = mesh_12.vertices.elementAt(71);
      expect(vertex_12_71, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_72 = mesh_12.vertices.elementAt(72);
      expect(vertex_12_72, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_73 = mesh_12.vertices.elementAt(73);
      expect(vertex_12_73, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, 2.05555296)));
      final vertex_12_74 = mesh_12.vertices.elementAt(74);
      expect(vertex_12_74, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_75 = mesh_12.vertices.elementAt(75);
      expect(vertex_12_75, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_76 = mesh_12.vertices.elementAt(76);
      expect(vertex_12_76, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, 2.05555296)));
      final vertex_12_77 = mesh_12.vertices.elementAt(77);
      expect(vertex_12_77, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_78 = mesh_12.vertices.elementAt(78);
      expect(vertex_12_78, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, 1.82243705)));
      final vertex_12_79 = mesh_12.vertices.elementAt(79);
      expect(vertex_12_79, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_80 = mesh_12.vertices.elementAt(80);
      expect(vertex_12_80, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -0.944446981)));
      final vertex_12_81 = mesh_12.vertices.elementAt(81);
      expect(vertex_12_81, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -0.944446981)));
      final vertex_12_82 = mesh_12.vertices.elementAt(82);
      expect(vertex_12_82, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_83 = mesh_12.vertices.elementAt(83);
      expect(vertex_12_83, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_84 = mesh_12.vertices.elementAt(84);
      expect(vertex_12_84, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_85 = mesh_12.vertices.elementAt(85);
      expect(vertex_12_85, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_86 = mesh_12.vertices.elementAt(86);
      expect(vertex_12_86, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_87 = mesh_12.vertices.elementAt(87);
      expect(vertex_12_87, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_88 = mesh_12.vertices.elementAt(88);
      expect(vertex_12_88, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_89 = mesh_12.vertices.elementAt(89);
      expect(vertex_12_89, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.94444656)));
      final vertex_12_90 = mesh_12.vertices.elementAt(90);
      expect(vertex_12_90, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -4.74829388)));
      final vertex_12_91 = mesh_12.vertices.elementAt(91);
      expect(vertex_12_91, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.94444656)));
      final vertex_12_92 = mesh_12.vertices.elementAt(92);
      expect(vertex_12_92, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53335094, -9.94444656)));
      final vertex_12_93 = mesh_12.vertices.elementAt(93);
      expect(vertex_12_93, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.94444656)));
      final vertex_12_94 = mesh_12.vertices.elementAt(94);
      expect(vertex_12_94, vector3MoreOrLessEquals(Vector3(-38.807682, 21.8860416, -9.94444656)));
      final vertex_12_95 = mesh_12.vertices.elementAt(95);
      expect(vertex_12_95, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_96 = mesh_12.vertices.elementAt(96);
      expect(vertex_12_96, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.94444656)));
      final vertex_12_97 = mesh_12.vertices.elementAt(97);
      expect(vertex_12_97, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_98 = mesh_12.vertices.elementAt(98);
      expect(vertex_12_98, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -0.0619199984)));
      final vertex_12_99 = mesh_12.vertices.elementAt(99);
      expect(vertex_12_99, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -0.0619199984)));
      final vertex_12_100 = mesh_12.vertices.elementAt(100);
      expect(vertex_12_100, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_101 = mesh_12.vertices.elementAt(101);
      expect(vertex_12_101, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_102 = mesh_12.vertices.elementAt(102);
      expect(vertex_12_102, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_103 = mesh_12.vertices.elementAt(103);
      expect(vertex_12_103, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, 2.54600906)));
      final vertex_12_104 = mesh_12.vertices.elementAt(104);
      expect(vertex_12_104, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_105 = mesh_12.vertices.elementAt(105);
      expect(vertex_12_105, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_106 = mesh_12.vertices.elementAt(106);
      expect(vertex_12_106, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, 2.54600906)));
      final vertex_12_107 = mesh_12.vertices.elementAt(107);
      expect(vertex_12_107, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_108 = mesh_12.vertices.elementAt(108);
      expect(vertex_12_108, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, 3.75635386)));
      final vertex_12_109 = mesh_12.vertices.elementAt(109);
      expect(vertex_12_109, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_110 = mesh_12.vertices.elementAt(110);
      expect(vertex_12_110, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, 2.05555296)));
      final vertex_12_111 = mesh_12.vertices.elementAt(111);
      expect(vertex_12_111, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, 2.05555296)));
      final vertex_12_112 = mesh_12.vertices.elementAt(112);
      expect(vertex_12_112, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_113 = mesh_12.vertices.elementAt(113);
      expect(vertex_12_113, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_114 = mesh_12.vertices.elementAt(114);
      expect(vertex_12_114, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_115 = mesh_12.vertices.elementAt(115);
      expect(vertex_12_115, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_116 = mesh_12.vertices.elementAt(116);
      expect(vertex_12_116, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_117 = mesh_12.vertices.elementAt(117);
      expect(vertex_12_117, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_118 = mesh_12.vertices.elementAt(118);
      expect(vertex_12_118, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_119 = mesh_12.vertices.elementAt(119);
      expect(vertex_12_119, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.94444656)));
      final vertex_12_120 = mesh_12.vertices.elementAt(120);
      expect(vertex_12_120, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_121 = mesh_12.vertices.elementAt(121);
      expect(vertex_12_121, vector3MoreOrLessEquals(Vector3(-64.3922958, 20.3333378, -9.94444656)));
      final vertex_12_122 = mesh_12.vertices.elementAt(122);
      expect(vertex_12_122, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.94444656)));
      final vertex_12_123 = mesh_12.vertices.elementAt(123);
      expect(vertex_12_123, vector3MoreOrLessEquals(Vector3(-38.807682, 21.8860416, -9.94444656)));
      final vertex_12_124 = mesh_12.vertices.elementAt(124);
      expect(vertex_12_124, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.94444656)));
      final vertex_12_125 = mesh_12.vertices.elementAt(125);
      expect(vertex_12_125, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_126 = mesh_12.vertices.elementAt(126);
      expect(vertex_12_126, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.94444656)));
      final vertex_12_127 = mesh_12.vertices.elementAt(127);
      expect(vertex_12_127, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -7.33651686)));
      final vertex_12_128 = mesh_12.vertices.elementAt(128);
      expect(vertex_12_128, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_129 = mesh_12.vertices.elementAt(129);
      expect(vertex_12_129, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_130 = mesh_12.vertices.elementAt(130);
      expect(vertex_12_130, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -7.33651686)));
      final vertex_12_131 = mesh_12.vertices.elementAt(131);
      expect(vertex_12_131, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_132 = mesh_12.vertices.elementAt(132);
      expect(vertex_12_132, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -0.760712981)));
      final vertex_12_133 = mesh_12.vertices.elementAt(133);
      expect(vertex_12_133, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_134 = mesh_12.vertices.elementAt(134);
      expect(vertex_12_134, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, 2.54600906)));
      final vertex_12_135 = mesh_12.vertices.elementAt(135);
      expect(vertex_12_135, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, 2.54600906)));
      final vertex_12_136 = mesh_12.vertices.elementAt(136);
      expect(vertex_12_136, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_137 = mesh_12.vertices.elementAt(137);
      expect(vertex_12_137, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_138 = mesh_12.vertices.elementAt(138);
      expect(vertex_12_138, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -0.760711014)));
      final vertex_12_139 = mesh_12.vertices.elementAt(139);
      expect(vertex_12_139, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -3.94444609)));
      final vertex_12_140 = mesh_12.vertices.elementAt(140);
      expect(vertex_12_140, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_141 = mesh_12.vertices.elementAt(141);
      expect(vertex_12_141, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_142 = mesh_12.vertices.elementAt(142);
      expect(vertex_12_142, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -3.94444609)));
      final vertex_12_143 = mesh_12.vertices.elementAt(143);
      expect(vertex_12_143, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_144 = mesh_12.vertices.elementAt(144);
      expect(vertex_12_144, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, 0.447858006)));
      final vertex_12_145 = mesh_12.vertices.elementAt(145);
      expect(vertex_12_145, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_146 = mesh_12.vertices.elementAt(146);
      expect(vertex_12_146, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_147 = mesh_12.vertices.elementAt(147);
      expect(vertex_12_147, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_148 = mesh_12.vertices.elementAt(148);
      expect(vertex_12_148, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_149 = mesh_12.vertices.elementAt(149);
      expect(vertex_12_149, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_150 = mesh_12.vertices.elementAt(150);
      expect(vertex_12_150, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -4.74829292)));
      final vertex_12_151 = mesh_12.vertices.elementAt(151);
      expect(vertex_12_151, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -6.94444704)));
      final vertex_12_152 = mesh_12.vertices.elementAt(152);
      expect(vertex_12_152, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_153 = mesh_12.vertices.elementAt(153);
      expect(vertex_12_153, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_154 = mesh_12.vertices.elementAt(154);
      expect(vertex_12_154, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -6.94444704)));
      final vertex_12_155 = mesh_12.vertices.elementAt(155);
      expect(vertex_12_155, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.94444656)));
      final vertex_12_156 = mesh_12.vertices.elementAt(156);
      expect(vertex_12_156, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_157 = mesh_12.vertices.elementAt(157);
      expect(vertex_12_157, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.94444656)));
      final vertex_12_158 = mesh_12.vertices.elementAt(158);
      expect(vertex_12_158, vector3MoreOrLessEquals(Vector3(-64.3922958, 20.3333378, -9.94444656)));
      final vertex_12_159 = mesh_12.vertices.elementAt(159);
      expect(vertex_12_159, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -6.139256)));
      final vertex_12_160 = mesh_12.vertices.elementAt(160);
      expect(vertex_12_160, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -5.60484409)));
      final vertex_12_161 = mesh_12.vertices.elementAt(161);
      expect(vertex_12_161, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -5.48682308)));
      final vertex_12_162 = mesh_12.vertices.elementAt(162);
      expect(vertex_12_162, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_163 = mesh_12.vertices.elementAt(163);
      expect(vertex_12_163, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -5.39026117)));
      final vertex_12_164 = mesh_12.vertices.elementAt(164);
      expect(vertex_12_164, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -5.48682308)));
      final vertex_12_165 = mesh_12.vertices.elementAt(165);
      expect(vertex_12_165, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -5.48682308)));
      final vertex_12_166 = mesh_12.vertices.elementAt(166);
      expect(vertex_12_166, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -6.139256)));
      final vertex_12_167 = mesh_12.vertices.elementAt(167);
      expect(vertex_12_167, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_168 = mesh_12.vertices.elementAt(168);
      expect(vertex_12_168, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_169 = mesh_12.vertices.elementAt(169);
      expect(vertex_12_169, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -5.39026117)));
      final vertex_12_170 = mesh_12.vertices.elementAt(170);
      expect(vertex_12_170, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_171 = mesh_12.vertices.elementAt(171);
      expect(vertex_12_171, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -5.39026117)));
      final vertex_12_172 = mesh_12.vertices.elementAt(172);
      expect(vertex_12_172, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_173 = mesh_12.vertices.elementAt(173);
      expect(vertex_12_173, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -4.59817791)));
      final vertex_12_174 = mesh_12.vertices.elementAt(174);
      expect(vertex_12_174, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -4.59817791)));
      final vertex_12_175 = mesh_12.vertices.elementAt(175);
      expect(vertex_12_175, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -5.48682308)));
      final vertex_12_176 = mesh_12.vertices.elementAt(176);
      expect(vertex_12_176, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -5.39026117)));
      final vertex_12_177 = mesh_12.vertices.elementAt(177);
      expect(vertex_12_177, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -3.41491413)));
      final vertex_12_178 = mesh_12.vertices.elementAt(178);
      expect(vertex_12_178, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -4.59817791)));
      final vertex_12_179 = mesh_12.vertices.elementAt(179);
      expect(vertex_12_179, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_180 = mesh_12.vertices.elementAt(180);
      expect(vertex_12_180, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_181 = mesh_12.vertices.elementAt(181);
      expect(vertex_12_181, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -2.69387698)));
      final vertex_12_182 = mesh_12.vertices.elementAt(182);
      expect(vertex_12_182, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -3.41491413)));
      final vertex_12_183 = mesh_12.vertices.elementAt(183);
      expect(vertex_12_183, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -2.770823)));
      final vertex_12_184 = mesh_12.vertices.elementAt(184);
      expect(vertex_12_184, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -3.41491413)));
      final vertex_12_185 = mesh_12.vertices.elementAt(185);
      expect(vertex_12_185, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -2.24447703)));
      final vertex_12_186 = mesh_12.vertices.elementAt(186);
      expect(vertex_12_186, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -2.69387698)));
      final vertex_12_187 = mesh_12.vertices.elementAt(187);
      expect(vertex_12_187, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -2.24447703)));
      final vertex_12_188 = mesh_12.vertices.elementAt(188);
      expect(vertex_12_188, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -3.41491413)));
      final vertex_12_189 = mesh_12.vertices.elementAt(189);
      expect(vertex_12_189, vector3MoreOrLessEquals(Vector3(-61.5824509, 17.6344547, -2.87214994)));
      final vertex_12_190 = mesh_12.vertices.elementAt(190);
      expect(vertex_12_190, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -2.770823)));
      final vertex_12_191 = mesh_12.vertices.elementAt(191);
      expect(vertex_12_191, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_192 = mesh_12.vertices.elementAt(192);
      expect(vertex_12_192, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -2.770823)));
      final vertex_12_193 = mesh_12.vertices.elementAt(193);
      expect(vertex_12_193, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -2.24447703)));
      final vertex_12_194 = mesh_12.vertices.elementAt(194);
      expect(vertex_12_194, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_195 = mesh_12.vertices.elementAt(195);
      expect(vertex_12_195, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_196 = mesh_12.vertices.elementAt(196);
      expect(vertex_12_196, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -3.36926293)));
      final vertex_12_197 = mesh_12.vertices.elementAt(197);
      expect(vertex_12_197, vector3MoreOrLessEquals(Vector3(-61.5824509, 17.6344547, -2.87214994)));
      final vertex_12_198 = mesh_12.vertices.elementAt(198);
      expect(vertex_12_198, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_199 = mesh_12.vertices.elementAt(199);
      expect(vertex_12_199, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -3.14327288)));
      final vertex_12_200 = mesh_12.vertices.elementAt(200);
      expect(vertex_12_200, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -3.36926293)));
      final vertex_12_201 = mesh_12.vertices.elementAt(201);
      expect(vertex_12_201, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -3.14327288)));
      final vertex_12_202 = mesh_12.vertices.elementAt(202);
      expect(vertex_12_202, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_203 = mesh_12.vertices.elementAt(203);
      expect(vertex_12_203, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -3.36926293)));
      final vertex_12_204 = mesh_12.vertices.elementAt(204);
      expect(vertex_12_204, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -3.95885611)));
      final vertex_12_205 = mesh_12.vertices.elementAt(205);
      expect(vertex_12_205, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -3.36926293)));
      final vertex_12_206 = mesh_12.vertices.elementAt(206);
      expect(vertex_12_206, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_207 = mesh_12.vertices.elementAt(207);
      expect(vertex_12_207, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_208 = mesh_12.vertices.elementAt(208);
      expect(vertex_12_208, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_209 = mesh_12.vertices.elementAt(209);
      expect(vertex_12_209, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -3.95885611)));
      final vertex_12_210 = mesh_12.vertices.elementAt(210);
      expect(vertex_12_210, vector3MoreOrLessEquals(Vector3(-62.0703506, 17.6996632, -4.57365704)));
      final vertex_12_211 = mesh_12.vertices.elementAt(211);
      expect(vertex_12_211, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -3.95885611)));
      final vertex_12_212 = mesh_12.vertices.elementAt(212);
      expect(vertex_12_212, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_213 = mesh_12.vertices.elementAt(213);
      expect(vertex_12_213, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -4.74191809)));
      final vertex_12_214 = mesh_12.vertices.elementAt(214);
      expect(vertex_12_214, vector3MoreOrLessEquals(Vector3(-62.0703506, 17.6996632, -4.57365704)));
      final vertex_12_215 = mesh_12.vertices.elementAt(215);
      expect(vertex_12_215, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_216 = mesh_12.vertices.elementAt(216);
      expect(vertex_12_216, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_217 = mesh_12.vertices.elementAt(217);
      expect(vertex_12_217, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -5.39026117)));
      final vertex_12_218 = mesh_12.vertices.elementAt(218);
      expect(vertex_12_218, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -4.74191809)));
      final vertex_12_219 = mesh_12.vertices.elementAt(219);
      expect(vertex_12_219, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -5.03228188)));
      final vertex_12_220 = mesh_12.vertices.elementAt(220);
      expect(vertex_12_220, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -4.74191809)));
      final vertex_12_221 = mesh_12.vertices.elementAt(221);
      expect(vertex_12_221, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -5.39026117)));
      final vertex_12_222 = mesh_12.vertices.elementAt(222);
      expect(vertex_12_222, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -5.39026117)));
      final vertex_12_223 = mesh_12.vertices.elementAt(223);
      expect(vertex_12_223, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -5.98945808)));
      final vertex_12_224 = mesh_12.vertices.elementAt(224);
      expect(vertex_12_224, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -5.03228188)));
      final vertex_12_225 = mesh_12.vertices.elementAt(225);
      expect(vertex_12_225, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -5.60484409)));
      final vertex_12_226 = mesh_12.vertices.elementAt(226);
      expect(vertex_12_226, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -5.03228188)));
      final vertex_12_227 = mesh_12.vertices.elementAt(227);
      expect(vertex_12_227, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -5.98945808)));
      final vertex_12_228 = mesh_12.vertices.elementAt(228);
      expect(vertex_12_228, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -5.98945808)));
      final vertex_12_229 = mesh_12.vertices.elementAt(229);
      expect(vertex_12_229, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -6.139256)));
      final vertex_12_230 = mesh_12.vertices.elementAt(230);
      expect(vertex_12_230, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -5.60484409)));
      final vertex_12_231 = mesh_12.vertices.elementAt(231);
      expect(vertex_12_231, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -6.139256)));
      final vertex_12_232 = mesh_12.vertices.elementAt(232);
      expect(vertex_12_232, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_233 = mesh_12.vertices.elementAt(233);
      expect(vertex_12_233, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_234 = mesh_12.vertices.elementAt(234);
      expect(vertex_12_234, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -6.139256)));
      final vertex_12_235 = mesh_12.vertices.elementAt(235);
      expect(vertex_12_235, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -5.98945808)));
      final vertex_12_236 = mesh_12.vertices.elementAt(236);
      expect(vertex_12_236, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_237 = mesh_12.vertices.elementAt(237);
      expect(vertex_12_237, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -5.98945808)));
      final vertex_12_238 = mesh_12.vertices.elementAt(238);
      expect(vertex_12_238, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -5.39026117)));
      final vertex_12_239 = mesh_12.vertices.elementAt(239);
      expect(vertex_12_239, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_240 = mesh_12.vertices.elementAt(240);
      expect(vertex_12_240, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -5.39026117)));
      final vertex_12_241 = mesh_12.vertices.elementAt(241);
      expect(vertex_12_241, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_242 = mesh_12.vertices.elementAt(242);
      expect(vertex_12_242, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_243 = mesh_12.vertices.elementAt(243);
      expect(vertex_12_243, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -4.94085979)));
      final vertex_12_244 = mesh_12.vertices.elementAt(244);
      expect(vertex_12_244, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_245 = mesh_12.vertices.elementAt(245);
      expect(vertex_12_245, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_246 = mesh_12.vertices.elementAt(246);
      expect(vertex_12_246, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_247 = mesh_12.vertices.elementAt(247);
      expect(vertex_12_247, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -6.81023502)));
      final vertex_12_248 = mesh_12.vertices.elementAt(248);
      expect(vertex_12_248, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_249 = mesh_12.vertices.elementAt(249);
      expect(vertex_12_249, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -4.04207516)));
      final vertex_12_250 = mesh_12.vertices.elementAt(250);
      expect(vertex_12_250, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -3.14327288)));
      final vertex_12_251 = mesh_12.vertices.elementAt(251);
      expect(vertex_12_251, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_252 = mesh_12.vertices.elementAt(252);
      expect(vertex_12_252, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -3.14327288)));
      final vertex_12_253 = mesh_12.vertices.elementAt(253);
      expect(vertex_12_253, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_254 = mesh_12.vertices.elementAt(254);
      expect(vertex_12_254, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_255 = mesh_12.vertices.elementAt(255);
      expect(vertex_12_255, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_256 = mesh_12.vertices.elementAt(256);
      expect(vertex_12_256, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -6.36709404)));
      final vertex_12_257 = mesh_12.vertices.elementAt(257);
      expect(vertex_12_257, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_258 = mesh_12.vertices.elementAt(258);
      expect(vertex_12_258, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -2.69387698)));
      final vertex_12_259 = mesh_12.vertices.elementAt(259);
      expect(vertex_12_259, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -4.19186878)));
      final vertex_12_260 = mesh_12.vertices.elementAt(260);
      expect(vertex_12_260, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_261 = mesh_12.vertices.elementAt(261);
      expect(vertex_12_261, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -2.24447703)));
      final vertex_12_262 = mesh_12.vertices.elementAt(262);
      expect(vertex_12_262, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -2.69387698)));
      final vertex_12_263 = mesh_12.vertices.elementAt(263);
      expect(vertex_12_263, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_264 = mesh_12.vertices.elementAt(264);
      expect(vertex_12_264, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      final vertex_12_265 = mesh_12.vertices.elementAt(265);
      expect(vertex_12_265, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -2.19914293)));
      final vertex_12_266 = mesh_12.vertices.elementAt(266);
      expect(vertex_12_266, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_267 = mesh_12.vertices.elementAt(267);
      expect(vertex_12_267, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -2.24447703)));
      final vertex_12_268 = mesh_12.vertices.elementAt(268);
      expect(vertex_12_268, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -2.54408002)));
      final vertex_12_269 = mesh_12.vertices.elementAt(269);
      expect(vertex_12_269, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -1.04266596)));
      expect(mesh_12.normals.length, equals(270));
      final normal_12_0 = mesh_12.normals.elementAt(0);
      expect(normal_12_0, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_1 = mesh_12.normals.elementAt(1);
      expect(normal_12_1, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, 0.100890003)));
      final normal_12_2 = mesh_12.normals.elementAt(2);
      expect(normal_12_2, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, 0.092678003)));
      final normal_12_3 = mesh_12.normals.elementAt(3);
      expect(normal_12_3, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_4 = mesh_12.normals.elementAt(4);
      expect(normal_12_4, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_5 = mesh_12.normals.elementAt(5);
      expect(normal_12_5, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, 0.100890003)));
      final normal_12_6 = mesh_12.normals.elementAt(6);
      expect(normal_12_6, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, 0.320569992)));
      final normal_12_7 = mesh_12.normals.elementAt(7);
      expect(normal_12_7, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, 0.660937011)));
      final normal_12_8 = mesh_12.normals.elementAt(8);
      expect(normal_12_8, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, 0.483660012)));
      final normal_12_9 = mesh_12.normals.elementAt(9);
      expect(normal_12_9, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_10 = mesh_12.normals.elementAt(10);
      expect(normal_12_10, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, 0.492056996)));
      final normal_12_11 = mesh_12.normals.elementAt(11);
      expect(normal_12_11, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_12 = mesh_12.normals.elementAt(12);
      expect(normal_12_12, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, 0.320569992)));
      final normal_12_13 = mesh_12.normals.elementAt(13);
      expect(normal_12_13, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, 0.483660012)));
      final normal_12_14 = mesh_12.normals.elementAt(14);
      expect(normal_12_14, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_15 = mesh_12.normals.elementAt(15);
      expect(normal_12_15, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_16 = mesh_12.normals.elementAt(16);
      expect(normal_12_16, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_17 = mesh_12.normals.elementAt(17);
      expect(normal_12_17, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, 0.492056996)));
      final normal_12_18 = mesh_12.normals.elementAt(18);
      expect(normal_12_18, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, 0.320569992)));
      final normal_12_19 = mesh_12.normals.elementAt(19);
      expect(normal_12_19, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_20 = mesh_12.normals.elementAt(20);
      expect(normal_12_20, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, 0.380071014)));
      final normal_12_21 = mesh_12.normals.elementAt(21);
      expect(normal_12_21, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_22 = mesh_12.normals.elementAt(22);
      expect(normal_12_22, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, 0.296463013)));
      final normal_12_23 = mesh_12.normals.elementAt(23);
      expect(normal_12_23, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_24 = mesh_12.normals.elementAt(24);
      expect(normal_12_24, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, 0.320569992)));
      final normal_12_25 = mesh_12.normals.elementAt(25);
      expect(normal_12_25, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, 0.380071014)));
      final normal_12_26 = mesh_12.normals.elementAt(26);
      expect(normal_12_26, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, 0.160593003)));
      final normal_12_27 = mesh_12.normals.elementAt(27);
      expect(normal_12_27, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, 0.154060006)));
      final normal_12_28 = mesh_12.normals.elementAt(28);
      expect(normal_12_28, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, 0.253706992)));
      final normal_12_29 = mesh_12.normals.elementAt(29);
      expect(normal_12_29, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, 0.296463013)));
      final normal_12_30 = mesh_12.normals.elementAt(30);
      expect(normal_12_30, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, 0.682765007)));
      final normal_12_31 = mesh_12.normals.elementAt(31);
      expect(normal_12_31, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, 0.847189009)));
      final normal_12_32 = mesh_12.normals.elementAt(32);
      expect(normal_12_32, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, 0.660937011)));
      final normal_12_33 = mesh_12.normals.elementAt(33);
      expect(normal_12_33, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, 0.660937011)));
      final normal_12_34 = mesh_12.normals.elementAt(34);
      expect(normal_12_34, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, 0.847189009)));
      final normal_12_35 = mesh_12.normals.elementAt(35);
      expect(normal_12_35, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_36 = mesh_12.normals.elementAt(36);
      expect(normal_12_36, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, 0.660937011)));
      final normal_12_37 = mesh_12.normals.elementAt(37);
      expect(normal_12_37, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_38 = mesh_12.normals.elementAt(38);
      expect(normal_12_38, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, 0.483660012)));
      final normal_12_39 = mesh_12.normals.elementAt(39);
      expect(normal_12_39, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, 0.483660012)));
      final normal_12_40 = mesh_12.normals.elementAt(40);
      expect(normal_12_40, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_41 = mesh_12.normals.elementAt(41);
      expect(normal_12_41, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_42 = mesh_12.normals.elementAt(42);
      expect(normal_12_42, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_43 = mesh_12.normals.elementAt(43);
      expect(normal_12_43, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, 0.658111989)));
      final normal_12_44 = mesh_12.normals.elementAt(44);
      expect(normal_12_44, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_45 = mesh_12.normals.elementAt(45);
      expect(normal_12_45, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_46 = mesh_12.normals.elementAt(46);
      expect(normal_12_46, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, 0.658111989)));
      final normal_12_47 = mesh_12.normals.elementAt(47);
      expect(normal_12_47, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_48 = mesh_12.normals.elementAt(48);
      expect(normal_12_48, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, 0.451023012)));
      final normal_12_49 = mesh_12.normals.elementAt(49);
      expect(normal_12_49, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_50 = mesh_12.normals.elementAt(50);
      expect(normal_12_50, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, 0.380071014)));
      final normal_12_51 = mesh_12.normals.elementAt(51);
      expect(normal_12_51, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, 0.380071014)));
      final normal_12_52 = mesh_12.normals.elementAt(52);
      expect(normal_12_52, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_53 = mesh_12.normals.elementAt(53);
      expect(normal_12_53, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, 0.160593003)));
      final normal_12_54 = mesh_12.normals.elementAt(54);
      expect(normal_12_54, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_55 = mesh_12.normals.elementAt(55);
      expect(normal_12_55, vector3MoreOrLessEquals(Vector3(-0.640429974, -0.723275006, 0.25830701)));
      final normal_12_56 = mesh_12.normals.elementAt(56);
      expect(normal_12_56, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, 0.160593003)));
      final normal_12_57 = mesh_12.normals.elementAt(57);
      expect(normal_12_57, vector3MoreOrLessEquals(Vector3(0.839146018, -0.520972013, 0.156274006)));
      final normal_12_58 = mesh_12.normals.elementAt(58);
      expect(normal_12_58, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, 0.196358994)));
      final normal_12_59 = mesh_12.normals.elementAt(59);
      expect(normal_12_59, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, 0.682765007)));
      final normal_12_60 = mesh_12.normals.elementAt(60);
      expect(normal_12_60, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, 0.196358994)));
      final normal_12_61 = mesh_12.normals.elementAt(61);
      expect(normal_12_61, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130660003, 0.511478007)));
      final normal_12_62 = mesh_12.normals.elementAt(62);
      expect(normal_12_62, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, 0.682765007)));
      final normal_12_63 = mesh_12.normals.elementAt(63);
      expect(normal_12_63, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, 0.682765007)));
      final normal_12_64 = mesh_12.normals.elementAt(64);
      expect(normal_12_64, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130660003, 0.511478007)));
      final normal_12_65 = mesh_12.normals.elementAt(65);
      expect(normal_12_65, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_66 = mesh_12.normals.elementAt(66);
      expect(normal_12_66, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, 0.682765007)));
      final normal_12_67 = mesh_12.normals.elementAt(67);
      expect(normal_12_67, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_68 = mesh_12.normals.elementAt(68);
      expect(normal_12_68, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, 0.847189009)));
      final normal_12_69 = mesh_12.normals.elementAt(69);
      expect(normal_12_69, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, 0.847189009)));
      final normal_12_70 = mesh_12.normals.elementAt(70);
      expect(normal_12_70, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_71 = mesh_12.normals.elementAt(71);
      expect(normal_12_71, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_72 = mesh_12.normals.elementAt(72);
      expect(normal_12_72, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_73 = mesh_12.normals.elementAt(73);
      expect(normal_12_73, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, 0.949970007)));
      final normal_12_74 = mesh_12.normals.elementAt(74);
      expect(normal_12_74, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_75 = mesh_12.normals.elementAt(75);
      expect(normal_12_75, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_76 = mesh_12.normals.elementAt(76);
      expect(normal_12_76, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, 0.949970007)));
      final normal_12_77 = mesh_12.normals.elementAt(77);
      expect(normal_12_77, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_78 = mesh_12.normals.elementAt(78);
      expect(normal_12_78, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, 0.863794029)));
      final normal_12_79 = mesh_12.normals.elementAt(79);
      expect(normal_12_79, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_80 = mesh_12.normals.elementAt(80);
      expect(normal_12_80, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, 0.658111989)));
      final normal_12_81 = mesh_12.normals.elementAt(81);
      expect(normal_12_81, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, 0.658111989)));
      final normal_12_82 = mesh_12.normals.elementAt(82);
      expect(normal_12_82, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_83 = mesh_12.normals.elementAt(83);
      expect(normal_12_83, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_84 = mesh_12.normals.elementAt(84);
      expect(normal_12_84, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_85 = mesh_12.normals.elementAt(85);
      expect(normal_12_85, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_86 = mesh_12.normals.elementAt(86);
      expect(normal_12_86, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_87 = mesh_12.normals.elementAt(87);
      expect(normal_12_87, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_88 = mesh_12.normals.elementAt(88);
      expect(normal_12_88, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_89 = mesh_12.normals.elementAt(89);
      expect(normal_12_89, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, 0.399964005)));
      final normal_12_90 = mesh_12.normals.elementAt(90);
      expect(normal_12_90, vector3MoreOrLessEquals(Vector3(-0.624352992, -0.649034023, 0.434671015)));
      final normal_12_91 = mesh_12.normals.elementAt(91);
      expect(normal_12_91, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, 0.399964005)));
      final normal_12_92 = mesh_12.normals.elementAt(92);
      expect(normal_12_92, vector3MoreOrLessEquals(Vector3(-0.640429974, -0.723275006, 0.25830701)));
      final normal_12_93 = mesh_12.normals.elementAt(93);
      expect(normal_12_93, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, 0.196358994)));
      final normal_12_94 = mesh_12.normals.elementAt(94);
      expect(normal_12_94, vector3MoreOrLessEquals(Vector3(0.709958971, 0.689779997, 0.141992003)));
      final normal_12_95 = mesh_12.normals.elementAt(95);
      expect(normal_12_95, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_96 = mesh_12.normals.elementAt(96);
      expect(normal_12_96, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, 0.196358994)));
      final normal_12_97 = mesh_12.normals.elementAt(97);
      expect(normal_12_97, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_98 = mesh_12.normals.elementAt(98);
      expect(normal_12_98, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130660003, 0.511478007)));
      final normal_12_99 = mesh_12.normals.elementAt(99);
      expect(normal_12_99, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130660003, 0.511478007)));
      final normal_12_100 = mesh_12.normals.elementAt(100);
      expect(normal_12_100, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_101 = mesh_12.normals.elementAt(101);
      expect(normal_12_101, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_102 = mesh_12.normals.elementAt(102);
      expect(normal_12_102, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_103 = mesh_12.normals.elementAt(103);
      expect(normal_12_103, vector3MoreOrLessEquals(Vector3(0.121528, 0.638101995, 0.760299981)));
      final normal_12_104 = mesh_12.normals.elementAt(104);
      expect(normal_12_104, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_105 = mesh_12.normals.elementAt(105);
      expect(normal_12_105, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_106 = mesh_12.normals.elementAt(106);
      expect(normal_12_106, vector3MoreOrLessEquals(Vector3(0.121528, 0.638101995, 0.760299981)));
      final normal_12_107 = mesh_12.normals.elementAt(107);
      expect(normal_12_107, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_108 = mesh_12.normals.elementAt(108);
      expect(normal_12_108, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, 0.985318005)));
      final normal_12_109 = mesh_12.normals.elementAt(109);
      expect(normal_12_109, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_110 = mesh_12.normals.elementAt(110);
      expect(normal_12_110, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, 0.949970007)));
      final normal_12_111 = mesh_12.normals.elementAt(111);
      expect(normal_12_111, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, 0.949970007)));
      final normal_12_112 = mesh_12.normals.elementAt(112);
      expect(normal_12_112, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_113 = mesh_12.normals.elementAt(113);
      expect(normal_12_113, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_114 = mesh_12.normals.elementAt(114);
      expect(normal_12_114, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_115 = mesh_12.normals.elementAt(115);
      expect(normal_12_115, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_116 = mesh_12.normals.elementAt(116);
      expect(normal_12_116, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_117 = mesh_12.normals.elementAt(117);
      expect(normal_12_117, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_118 = mesh_12.normals.elementAt(118);
      expect(normal_12_118, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_119 = mesh_12.normals.elementAt(119);
      expect(normal_12_119, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, 0.399964005)));
      final normal_12_120 = mesh_12.normals.elementAt(120);
      expect(normal_12_120, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_121 = mesh_12.normals.elementAt(121);
      expect(normal_12_121, vector3MoreOrLessEquals(Vector3(-0.77738899, 0.439754993, 0.44975701)));
      final normal_12_122 = mesh_12.normals.elementAt(122);
      expect(normal_12_122, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, 0.399964005)));
      final normal_12_123 = mesh_12.normals.elementAt(123);
      expect(normal_12_123, vector3MoreOrLessEquals(Vector3(0.709958971, 0.689779997, 0.141992003)));
      final normal_12_124 = mesh_12.normals.elementAt(124);
      expect(normal_12_124, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, 0.092678003)));
      final normal_12_125 = mesh_12.normals.elementAt(125);
      expect(normal_12_125, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_126 = mesh_12.normals.elementAt(126);
      expect(normal_12_126, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, 0.092678003)));
      final normal_12_127 = mesh_12.normals.elementAt(127);
      expect(normal_12_127, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, 0.100890003)));
      final normal_12_128 = mesh_12.normals.elementAt(128);
      expect(normal_12_128, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_129 = mesh_12.normals.elementAt(129);
      expect(normal_12_129, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_130 = mesh_12.normals.elementAt(130);
      expect(normal_12_130, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, 0.100890003)));
      final normal_12_131 = mesh_12.normals.elementAt(131);
      expect(normal_12_131, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_132 = mesh_12.normals.elementAt(132);
      expect(normal_12_132, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, 0.338227004)));
      final normal_12_133 = mesh_12.normals.elementAt(133);
      expect(normal_12_133, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_134 = mesh_12.normals.elementAt(134);
      expect(normal_12_134, vector3MoreOrLessEquals(Vector3(0.121528, 0.638101995, 0.760299981)));
      final normal_12_135 = mesh_12.normals.elementAt(135);
      expect(normal_12_135, vector3MoreOrLessEquals(Vector3(0.121528, 0.638101995, 0.760299981)));
      final normal_12_136 = mesh_12.normals.elementAt(136);
      expect(normal_12_136, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_137 = mesh_12.normals.elementAt(137);
      expect(normal_12_137, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_138 = mesh_12.normals.elementAt(138);
      expect(normal_12_138, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, 0.398579001)));
      final normal_12_139 = mesh_12.normals.elementAt(139);
      expect(normal_12_139, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, 0.492056996)));
      final normal_12_140 = mesh_12.normals.elementAt(140);
      expect(normal_12_140, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_141 = mesh_12.normals.elementAt(141);
      expect(normal_12_141, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_142 = mesh_12.normals.elementAt(142);
      expect(normal_12_142, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, 0.492056996)));
      final normal_12_143 = mesh_12.normals.elementAt(143);
      expect(normal_12_143, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_144 = mesh_12.normals.elementAt(144);
      expect(normal_12_144, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, 0.824563026)));
      final normal_12_145 = mesh_12.normals.elementAt(145);
      expect(normal_12_145, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_146 = mesh_12.normals.elementAt(146);
      expect(normal_12_146, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_147 = mesh_12.normals.elementAt(147);
      expect(normal_12_147, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_148 = mesh_12.normals.elementAt(148);
      expect(normal_12_148, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_149 = mesh_12.normals.elementAt(149);
      expect(normal_12_149, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_150 = mesh_12.normals.elementAt(150);
      expect(normal_12_150, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, 0.515371025)));
      final normal_12_151 = mesh_12.normals.elementAt(151);
      expect(normal_12_151, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, 0.296463013)));
      final normal_12_152 = mesh_12.normals.elementAt(152);
      expect(normal_12_152, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_153 = mesh_12.normals.elementAt(153);
      expect(normal_12_153, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_154 = mesh_12.normals.elementAt(154);
      expect(normal_12_154, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, 0.296463013)));
      final normal_12_155 = mesh_12.normals.elementAt(155);
      expect(normal_12_155, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, 0.253706992)));
      final normal_12_156 = mesh_12.normals.elementAt(156);
      expect(normal_12_156, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_157 = mesh_12.normals.elementAt(157);
      expect(normal_12_157, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, 0.253706992)));
      final normal_12_158 = mesh_12.normals.elementAt(158);
      expect(normal_12_158, vector3MoreOrLessEquals(Vector3(-0.77738899, 0.439754993, 0.44975701)));
      final normal_12_159 = mesh_12.normals.elementAt(159);
      expect(normal_12_159, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743750036, 0.698130012)));
      final normal_12_160 = mesh_12.normals.elementAt(160);
      expect(normal_12_160, vector3MoreOrLessEquals(Vector3(-0.52216202, -0.582125008, 0.623278975)));
      final normal_12_161 = mesh_12.normals.elementAt(161);
      expect(normal_12_161, vector3MoreOrLessEquals(Vector3(-0.53629303, 0.842625022, 0.0487099998)));
      final normal_12_162 = mesh_12.normals.elementAt(162);
      expect(normal_12_162, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_163 = mesh_12.normals.elementAt(163);
      expect(normal_12_163, vector3MoreOrLessEquals(Vector3(-0.627855003, 0.740315974, 0.240273997)));
      final normal_12_164 = mesh_12.normals.elementAt(164);
      expect(normal_12_164, vector3MoreOrLessEquals(Vector3(-0.53629303, 0.842625022, 0.0487099998)));
      final normal_12_165 = mesh_12.normals.elementAt(165);
      expect(normal_12_165, vector3MoreOrLessEquals(Vector3(-0.53629303, 0.842625022, 0.0487099998)));
      final normal_12_166 = mesh_12.normals.elementAt(166);
      expect(normal_12_166, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743750036, 0.698130012)));
      final normal_12_167 = mesh_12.normals.elementAt(167);
      expect(normal_12_167, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_168 = mesh_12.normals.elementAt(168);
      expect(normal_12_168, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_169 = mesh_12.normals.elementAt(169);
      expect(normal_12_169, vector3MoreOrLessEquals(Vector3(-0.627855003, 0.740315974, 0.240273997)));
      final normal_12_170 = mesh_12.normals.elementAt(170);
      expect(normal_12_170, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_171 = mesh_12.normals.elementAt(171);
      expect(normal_12_171, vector3MoreOrLessEquals(Vector3(-0.627855003, 0.740315974, 0.240273997)));
      final normal_12_172 = mesh_12.normals.elementAt(172);
      expect(normal_12_172, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_173 = mesh_12.normals.elementAt(173);
      expect(normal_12_173, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655794978, 0.195555001)));
      final normal_12_174 = mesh_12.normals.elementAt(174);
      expect(normal_12_174, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655794978, 0.195555001)));
      final normal_12_175 = mesh_12.normals.elementAt(175);
      expect(normal_12_175, vector3MoreOrLessEquals(Vector3(-0.53629303, 0.842625022, 0.0487099998)));
      final normal_12_176 = mesh_12.normals.elementAt(176);
      expect(normal_12_176, vector3MoreOrLessEquals(Vector3(-0.627855003, 0.740315974, 0.240273997)));
      final normal_12_177 = mesh_12.normals.elementAt(177);
      expect(normal_12_177, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, 0.186875001)));
      final normal_12_178 = mesh_12.normals.elementAt(178);
      expect(normal_12_178, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655794978, 0.195555001)));
      final normal_12_179 = mesh_12.normals.elementAt(179);
      expect(normal_12_179, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_180 = mesh_12.normals.elementAt(180);
      expect(normal_12_180, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_181 = mesh_12.normals.elementAt(181);
      expect(normal_12_181, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, 0.263633996)));
      final normal_12_182 = mesh_12.normals.elementAt(182);
      expect(normal_12_182, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, 0.186875001)));
      final normal_12_183 = mesh_12.normals.elementAt(183);
      expect(normal_12_183, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, 0.180051997)));
      final normal_12_184 = mesh_12.normals.elementAt(184);
      expect(normal_12_184, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, 0.186875001)));
      final normal_12_185 = mesh_12.normals.elementAt(185);
      expect(normal_12_185, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753998, 0.438775986)));
      final normal_12_186 = mesh_12.normals.elementAt(186);
      expect(normal_12_186, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, 0.263633996)));
      final normal_12_187 = mesh_12.normals.elementAt(187);
      expect(normal_12_187, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753998, 0.438775986)));
      final normal_12_188 = mesh_12.normals.elementAt(188);
      expect(normal_12_188, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, 0.186875001)));
      final normal_12_189 = mesh_12.normals.elementAt(189);
      expect(normal_12_189, vector3MoreOrLessEquals(Vector3(-0.991858006, -0.0878299996, 0.0922179967)));
      final normal_12_190 = mesh_12.normals.elementAt(190);
      expect(normal_12_190, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, 0.180051997)));
      final normal_12_191 = mesh_12.normals.elementAt(191);
      expect(normal_12_191, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_192 = mesh_12.normals.elementAt(192);
      expect(normal_12_192, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, 0.180051997)));
      final normal_12_193 = mesh_12.normals.elementAt(193);
      expect(normal_12_193, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753998, 0.438775986)));
      final normal_12_194 = mesh_12.normals.elementAt(194);
      expect(normal_12_194, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_195 = mesh_12.normals.elementAt(195);
      expect(normal_12_195, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_196 = mesh_12.normals.elementAt(196);
      expect(normal_12_196, vector3MoreOrLessEquals(Vector3(-0.894951999, -0.402898997, 0.191658005)));
      final normal_12_197 = mesh_12.normals.elementAt(197);
      expect(normal_12_197, vector3MoreOrLessEquals(Vector3(-0.991858006, -0.0878299996, 0.0922179967)));
      final normal_12_198 = mesh_12.normals.elementAt(198);
      expect(normal_12_198, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_199 = mesh_12.normals.elementAt(199);
      expect(normal_12_199, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, 0.428256989)));
      final normal_12_200 = mesh_12.normals.elementAt(200);
      expect(normal_12_200, vector3MoreOrLessEquals(Vector3(-0.894951999, -0.402898997, 0.191658005)));
      final normal_12_201 = mesh_12.normals.elementAt(201);
      expect(normal_12_201, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, 0.428256989)));
      final normal_12_202 = mesh_12.normals.elementAt(202);
      expect(normal_12_202, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_203 = mesh_12.normals.elementAt(203);
      expect(normal_12_203, vector3MoreOrLessEquals(Vector3(-0.894951999, -0.402898997, 0.191658005)));
      final normal_12_204 = mesh_12.normals.elementAt(204);
      expect(normal_12_204, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492421001, 0.471561015)));
      final normal_12_205 = mesh_12.normals.elementAt(205);
      expect(normal_12_205, vector3MoreOrLessEquals(Vector3(-0.894951999, -0.402898997, 0.191658005)));
      final normal_12_206 = mesh_12.normals.elementAt(206);
      expect(normal_12_206, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_207 = mesh_12.normals.elementAt(207);
      expect(normal_12_207, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_208 = mesh_12.normals.elementAt(208);
      expect(normal_12_208, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_209 = mesh_12.normals.elementAt(209);
      expect(normal_12_209, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492421001, 0.471561015)));
      final normal_12_210 = mesh_12.normals.elementAt(210);
      expect(normal_12_210, vector3MoreOrLessEquals(Vector3(-0.625932992, -0.373553008, 0.684592009)));
      final normal_12_211 = mesh_12.normals.elementAt(211);
      expect(normal_12_211, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492421001, 0.471561015)));
      final normal_12_212 = mesh_12.normals.elementAt(212);
      expect(normal_12_212, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_213 = mesh_12.normals.elementAt(213);
      expect(normal_12_213, vector3MoreOrLessEquals(Vector3(-0.584508002, -0.184830993, 0.79005599)));
      final normal_12_214 = mesh_12.normals.elementAt(214);
      expect(normal_12_214, vector3MoreOrLessEquals(Vector3(-0.625932992, -0.373553008, 0.684592009)));
      final normal_12_215 = mesh_12.normals.elementAt(215);
      expect(normal_12_215, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_216 = mesh_12.normals.elementAt(216);
      expect(normal_12_216, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_217 = mesh_12.normals.elementAt(217);
      expect(normal_12_217, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, 0.588809013)));
      final normal_12_218 = mesh_12.normals.elementAt(218);
      expect(normal_12_218, vector3MoreOrLessEquals(Vector3(-0.584508002, -0.184830993, 0.79005599)));
      final normal_12_219 = mesh_12.normals.elementAt(219);
      expect(normal_12_219, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, 0.706929028)));
      final normal_12_220 = mesh_12.normals.elementAt(220);
      expect(normal_12_220, vector3MoreOrLessEquals(Vector3(-0.584508002, -0.184830993, 0.79005599)));
      final normal_12_221 = mesh_12.normals.elementAt(221);
      expect(normal_12_221, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, 0.588809013)));
      final normal_12_222 = mesh_12.normals.elementAt(222);
      expect(normal_12_222, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, 0.588809013)));
      final normal_12_223 = mesh_12.normals.elementAt(223);
      expect(normal_12_223, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, 0.558477998)));
      final normal_12_224 = mesh_12.normals.elementAt(224);
      expect(normal_12_224, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, 0.706929028)));
      final normal_12_225 = mesh_12.normals.elementAt(225);
      expect(normal_12_225, vector3MoreOrLessEquals(Vector3(-0.52216202, -0.582125008, 0.623278975)));
      final normal_12_226 = mesh_12.normals.elementAt(226);
      expect(normal_12_226, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, 0.706929028)));
      final normal_12_227 = mesh_12.normals.elementAt(227);
      expect(normal_12_227, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, 0.558477998)));
      final normal_12_228 = mesh_12.normals.elementAt(228);
      expect(normal_12_228, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, 0.558477998)));
      final normal_12_229 = mesh_12.normals.elementAt(229);
      expect(normal_12_229, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743750036, 0.698130012)));
      final normal_12_230 = mesh_12.normals.elementAt(230);
      expect(normal_12_230, vector3MoreOrLessEquals(Vector3(-0.52216202, -0.582125008, 0.623278975)));
      final normal_12_231 = mesh_12.normals.elementAt(231);
      expect(normal_12_231, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743750036, 0.698130012)));
      final normal_12_232 = mesh_12.normals.elementAt(232);
      expect(normal_12_232, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_233 = mesh_12.normals.elementAt(233);
      expect(normal_12_233, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_234 = mesh_12.normals.elementAt(234);
      expect(normal_12_234, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743750036, 0.698130012)));
      final normal_12_235 = mesh_12.normals.elementAt(235);
      expect(normal_12_235, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, 0.558477998)));
      final normal_12_236 = mesh_12.normals.elementAt(236);
      expect(normal_12_236, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_237 = mesh_12.normals.elementAt(237);
      expect(normal_12_237, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, 0.558477998)));
      final normal_12_238 = mesh_12.normals.elementAt(238);
      expect(normal_12_238, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, 0.588809013)));
      final normal_12_239 = mesh_12.normals.elementAt(239);
      expect(normal_12_239, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_240 = mesh_12.normals.elementAt(240);
      expect(normal_12_240, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, 0.588809013)));
      final normal_12_241 = mesh_12.normals.elementAt(241);
      expect(normal_12_241, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_242 = mesh_12.normals.elementAt(242);
      expect(normal_12_242, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_243 = mesh_12.normals.elementAt(243);
      expect(normal_12_243, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, 0.581017017)));
      final normal_12_244 = mesh_12.normals.elementAt(244);
      expect(normal_12_244, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_245 = mesh_12.normals.elementAt(245);
      expect(normal_12_245, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_246 = mesh_12.normals.elementAt(246);
      expect(normal_12_246, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_247 = mesh_12.normals.elementAt(247);
      expect(normal_12_247, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, 0.414698988)));
      final normal_12_248 = mesh_12.normals.elementAt(248);
      expect(normal_12_248, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_249 = mesh_12.normals.elementAt(249);
      expect(normal_12_249, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174570009, 0.456952006)));
      final normal_12_250 = mesh_12.normals.elementAt(250);
      expect(normal_12_250, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, 0.428256989)));
      final normal_12_251 = mesh_12.normals.elementAt(251);
      expect(normal_12_251, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_252 = mesh_12.normals.elementAt(252);
      expect(normal_12_252, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, 0.428256989)));
      final normal_12_253 = mesh_12.normals.elementAt(253);
      expect(normal_12_253, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_254 = mesh_12.normals.elementAt(254);
      expect(normal_12_254, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_255 = mesh_12.normals.elementAt(255);
      expect(normal_12_255, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_256 = mesh_12.normals.elementAt(256);
      expect(normal_12_256, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, 0.542299986)));
      final normal_12_257 = mesh_12.normals.elementAt(257);
      expect(normal_12_257, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_258 = mesh_12.normals.elementAt(258);
      expect(normal_12_258, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, 0.263633996)));
      final normal_12_259 = mesh_12.normals.elementAt(259);
      expect(normal_12_259, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476796001, 0.321792006)));
      final normal_12_260 = mesh_12.normals.elementAt(260);
      expect(normal_12_260, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_261 = mesh_12.normals.elementAt(261);
      expect(normal_12_261, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753998, 0.438775986)));
      final normal_12_262 = mesh_12.normals.elementAt(262);
      expect(normal_12_262, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, 0.263633996)));
      final normal_12_263 = mesh_12.normals.elementAt(263);
      expect(normal_12_263, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_264 = mesh_12.normals.elementAt(264);
      expect(normal_12_264, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      final normal_12_265 = mesh_12.normals.elementAt(265);
      expect(normal_12_265, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866005, 0.640284002)));
      final normal_12_266 = mesh_12.normals.elementAt(266);
      expect(normal_12_266, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_267 = mesh_12.normals.elementAt(267);
      expect(normal_12_267, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753998, 0.438775986)));
      final normal_12_268 = mesh_12.normals.elementAt(268);
      expect(normal_12_268, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, 0.509835005)));
      final normal_12_269 = mesh_12.normals.elementAt(269);
      expect(normal_12_269, vector3MoreOrLessEquals(Vector3(-0.602581024, 0.140795007, 0.785539985)));
      expect(mesh_12.tangents.length, isZero);
      expect(mesh_12.bitangents.length, isZero);
      expect(mesh_12.colors.length, isZero);
      expect(mesh_12.textureCoords.length, equals(1));
      final textureCoords_12_0 = mesh_12.textureCoords.elementAt(0);
      expect(textureCoords_12_0.length, equals(270));
      final textureCoord_12_0_0 = textureCoords_12_0.elementAt(0);
      expect(textureCoord_12_0_0, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_1 = textureCoords_12_0.elementAt(1);
      expect(textureCoord_12_0_1, vector3MoreOrLessEquals(Vector3(0.190348998, 0.913268983, 0)));
      final textureCoord_12_0_2 = textureCoords_12_0.elementAt(2);
      expect(textureCoord_12_0_2, vector3MoreOrLessEquals(Vector3(0, 0.913268983, 0)));
      final textureCoord_12_0_3 = textureCoords_12_0.elementAt(3);
      expect(textureCoord_12_0_3, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_4 = textureCoords_12_0.elementAt(4);
      expect(textureCoord_12_0_4, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_5 = textureCoords_12_0.elementAt(5);
      expect(textureCoord_12_0_5, vector3MoreOrLessEquals(Vector3(0.190348998, 0.913268983, 0)));
      final textureCoord_12_0_6 = textureCoords_12_0.elementAt(6);
      expect(textureCoord_12_0_6, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_7 = textureCoords_12_0.elementAt(7);
      expect(textureCoord_12_0_7, vector3MoreOrLessEquals(Vector3(0.37925899, 0.0669870004, 0)));
      final textureCoord_12_0_8 = textureCoords_12_0.elementAt(8);
      expect(textureCoord_12_0_8, vector3MoreOrLessEquals(Vector3(0.437931001, 0.0669870004, 0)));
      final textureCoord_12_0_9 = textureCoords_12_0.elementAt(9);
      expect(textureCoord_12_0_9, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_10 = textureCoords_12_0.elementAt(10);
      expect(textureCoord_12_0_10, vector3MoreOrLessEquals(Vector3(0.437931001, 0.933013022, 0)));
      final textureCoord_12_0_11 = textureCoords_12_0.elementAt(11);
      expect(textureCoord_12_0_11, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_12 = textureCoords_12_0.elementAt(12);
      expect(textureCoord_12_0_12, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_13 = textureCoords_12_0.elementAt(13);
      expect(textureCoord_12_0_13, vector3MoreOrLessEquals(Vector3(0.437931001, 0.0669870004, 0)));
      final textureCoord_12_0_14 = textureCoords_12_0.elementAt(14);
      expect(textureCoord_12_0_14, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_15 = textureCoords_12_0.elementAt(15);
      expect(textureCoord_12_0_15, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_16 = textureCoords_12_0.elementAt(16);
      expect(textureCoord_12_0_16, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_17 = textureCoords_12_0.elementAt(17);
      expect(textureCoord_12_0_17, vector3MoreOrLessEquals(Vector3(0.437931001, 0.933013022, 0)));
      final textureCoord_12_0_18 = textureCoords_12_0.elementAt(18);
      expect(textureCoord_12_0_18, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_19 = textureCoords_12_0.elementAt(19);
      expect(textureCoord_12_0_19, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_20 = textureCoords_12_0.elementAt(20);
      expect(textureCoord_12_0_20, vector3MoreOrLessEquals(Vector3(0.218964994, 0.143375993, 0)));
      final textureCoord_12_0_21 = textureCoords_12_0.elementAt(21);
      expect(textureCoord_12_0_21, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_22 = textureCoords_12_0.elementAt(22);
      expect(textureCoord_12_0_22, vector3MoreOrLessEquals(Vector3(0.218964994, 0.933013022, 0)));
      final textureCoord_12_0_23 = textureCoords_12_0.elementAt(23);
      expect(textureCoord_12_0_23, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_24 = textureCoords_12_0.elementAt(24);
      expect(textureCoord_12_0_24, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final textureCoord_12_0_25 = textureCoords_12_0.elementAt(25);
      expect(textureCoord_12_0_25, vector3MoreOrLessEquals(Vector3(0.218964994, 0.143375993, 0)));
      final textureCoord_12_0_26 = textureCoords_12_0.elementAt(26);
      expect(textureCoord_12_0_26, vector3MoreOrLessEquals(Vector3(0, 0.143375993, 0)));
      final textureCoord_12_0_27 = textureCoords_12_0.elementAt(27);
      expect(textureCoord_12_0_27, vector3MoreOrLessEquals(Vector3(0, 1, 0)));
      final textureCoord_12_0_28 = textureCoords_12_0.elementAt(28);
      expect(textureCoord_12_0_28, vector3MoreOrLessEquals(Vector3(0, 0.933013022, 0)));
      final textureCoord_12_0_29 = textureCoords_12_0.elementAt(29);
      expect(textureCoord_12_0_29, vector3MoreOrLessEquals(Vector3(0.218964994, 0.933013022, 0)));
      final textureCoord_12_0_30 = textureCoords_12_0.elementAt(30);
      expect(textureCoord_12_0_30, vector3MoreOrLessEquals(Vector3(0.719871998, 0.25, 0)));
      final textureCoord_12_0_31 = textureCoords_12_0.elementAt(31);
      expect(textureCoord_12_0_31, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_32 = textureCoords_12_0.elementAt(32);
      expect(textureCoord_12_0_32, vector3MoreOrLessEquals(Vector3(0.37925899, 0.0669870004, 0)));
      final textureCoord_12_0_33 = textureCoords_12_0.elementAt(33);
      expect(textureCoord_12_0_33, vector3MoreOrLessEquals(Vector3(0.37925899, 0.0669870004, 0)));
      final textureCoord_12_0_34 = textureCoords_12_0.elementAt(34);
      expect(textureCoord_12_0_34, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_35 = textureCoords_12_0.elementAt(35);
      expect(textureCoord_12_0_35, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_36 = textureCoords_12_0.elementAt(36);
      expect(textureCoord_12_0_36, vector3MoreOrLessEquals(Vector3(0.37925899, 0.0669870004, 0)));
      final textureCoord_12_0_37 = textureCoords_12_0.elementAt(37);
      expect(textureCoord_12_0_37, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_38 = textureCoords_12_0.elementAt(38);
      expect(textureCoord_12_0_38, vector3MoreOrLessEquals(Vector3(0.437931001, 0.0669870004, 0)));
      final textureCoord_12_0_39 = textureCoords_12_0.elementAt(39);
      expect(textureCoord_12_0_39, vector3MoreOrLessEquals(Vector3(0.437931001, 0.0669870004, 0)));
      final textureCoord_12_0_40 = textureCoords_12_0.elementAt(40);
      expect(textureCoord_12_0_40, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_41 = textureCoords_12_0.elementAt(41);
      expect(textureCoord_12_0_41, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_42 = textureCoords_12_0.elementAt(42);
      expect(textureCoord_12_0_42, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_43 = textureCoords_12_0.elementAt(43);
      expect(textureCoord_12_0_43, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_44 = textureCoords_12_0.elementAt(44);
      expect(textureCoord_12_0_44, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_45 = textureCoords_12_0.elementAt(45);
      expect(textureCoord_12_0_45, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_46 = textureCoords_12_0.elementAt(46);
      expect(textureCoord_12_0_46, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_47 = textureCoords_12_0.elementAt(47);
      expect(textureCoord_12_0_47, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_48 = textureCoords_12_0.elementAt(48);
      expect(textureCoord_12_0_48, vector3MoreOrLessEquals(Vector3(0.37925899, 0.191986993, 0)));
      final textureCoord_12_0_49 = textureCoords_12_0.elementAt(49);
      expect(textureCoord_12_0_49, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_50 = textureCoords_12_0.elementAt(50);
      expect(textureCoord_12_0_50, vector3MoreOrLessEquals(Vector3(0.218964994, 0.143375993, 0)));
      final textureCoord_12_0_51 = textureCoords_12_0.elementAt(51);
      expect(textureCoord_12_0_51, vector3MoreOrLessEquals(Vector3(0.218964994, 0.143375993, 0)));
      final textureCoord_12_0_52 = textureCoords_12_0.elementAt(52);
      expect(textureCoord_12_0_52, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_53 = textureCoords_12_0.elementAt(53);
      expect(textureCoord_12_0_53, vector3MoreOrLessEquals(Vector3(0, 0.143375993, 0)));
      final textureCoord_12_0_54 = textureCoords_12_0.elementAt(54);
      expect(textureCoord_12_0_54, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_55 = textureCoords_12_0.elementAt(55);
      expect(textureCoord_12_0_55, vector3MoreOrLessEquals(Vector3(0, 0.216666996, 0)));
      final textureCoord_12_0_56 = textureCoords_12_0.elementAt(56);
      expect(textureCoord_12_0_56, vector3MoreOrLessEquals(Vector3(0, 0.143375993, 0)));
      final textureCoord_12_0_57 = textureCoords_12_0.elementAt(57);
      expect(textureCoord_12_0_57, vector3MoreOrLessEquals(Vector3(0, 0.25, 0)));
      final textureCoord_12_0_58 = textureCoords_12_0.elementAt(58);
      expect(textureCoord_12_0_58, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_12_0_59 = textureCoords_12_0.elementAt(59);
      expect(textureCoord_12_0_59, vector3MoreOrLessEquals(Vector3(0.719871998, 0.25, 0)));
      final textureCoord_12_0_60 = textureCoords_12_0.elementAt(60);
      expect(textureCoord_12_0_60, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_12_0_61 = textureCoords_12_0.elementAt(61);
      expect(textureCoord_12_0_61, vector3MoreOrLessEquals(Vector3(0.721310019, 0.680045009, 0)));
      final textureCoord_12_0_62 = textureCoords_12_0.elementAt(62);
      expect(textureCoord_12_0_62, vector3MoreOrLessEquals(Vector3(0.719871998, 0.25, 0)));
      final textureCoord_12_0_63 = textureCoords_12_0.elementAt(63);
      expect(textureCoord_12_0_63, vector3MoreOrLessEquals(Vector3(0.719871998, 0.25, 0)));
      final textureCoord_12_0_64 = textureCoords_12_0.elementAt(64);
      expect(textureCoord_12_0_64, vector3MoreOrLessEquals(Vector3(0.721310019, 0.680045009, 0)));
      final textureCoord_12_0_65 = textureCoords_12_0.elementAt(65);
      expect(textureCoord_12_0_65, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_66 = textureCoords_12_0.elementAt(66);
      expect(textureCoord_12_0_66, vector3MoreOrLessEquals(Vector3(0.719871998, 0.25, 0)));
      final textureCoord_12_0_67 = textureCoords_12_0.elementAt(67);
      expect(textureCoord_12_0_67, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_68 = textureCoords_12_0.elementAt(68);
      expect(textureCoord_12_0_68, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_69 = textureCoords_12_0.elementAt(69);
      expect(textureCoord_12_0_69, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_70 = textureCoords_12_0.elementAt(70);
      expect(textureCoord_12_0_70, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_71 = textureCoords_12_0.elementAt(71);
      expect(textureCoord_12_0_71, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_72 = textureCoords_12_0.elementAt(72);
      expect(textureCoord_12_0_72, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_73 = textureCoords_12_0.elementAt(73);
      expect(textureCoord_12_0_73, vector3MoreOrLessEquals(Vector3(0.875860989, 0.5, 0)));
      final textureCoord_12_0_74 = textureCoords_12_0.elementAt(74);
      expect(textureCoord_12_0_74, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_75 = textureCoords_12_0.elementAt(75);
      expect(textureCoord_12_0_75, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_76 = textureCoords_12_0.elementAt(76);
      expect(textureCoord_12_0_76, vector3MoreOrLessEquals(Vector3(0.875860989, 0.5, 0)));
      final textureCoord_12_0_77 = textureCoords_12_0.elementAt(77);
      expect(textureCoord_12_0_77, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_78 = textureCoords_12_0.elementAt(78);
      expect(textureCoord_12_0_78, vector3MoreOrLessEquals(Vector3(0.858846009, 0.347222, 0)));
      final textureCoord_12_0_79 = textureCoords_12_0.elementAt(79);
      expect(textureCoord_12_0_79, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_80 = textureCoords_12_0.elementAt(80);
      expect(textureCoord_12_0_80, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_81 = textureCoords_12_0.elementAt(81);
      expect(textureCoord_12_0_81, vector3MoreOrLessEquals(Vector3(0.656895995, 0.25, 0)));
      final textureCoord_12_0_82 = textureCoords_12_0.elementAt(82);
      expect(textureCoord_12_0_82, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_83 = textureCoords_12_0.elementAt(83);
      expect(textureCoord_12_0_83, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_84 = textureCoords_12_0.elementAt(84);
      expect(textureCoord_12_0_84, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_85 = textureCoords_12_0.elementAt(85);
      expect(textureCoord_12_0_85, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_86 = textureCoords_12_0.elementAt(86);
      expect(textureCoord_12_0_86, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_87 = textureCoords_12_0.elementAt(87);
      expect(textureCoord_12_0_87, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_88 = textureCoords_12_0.elementAt(88);
      expect(textureCoord_12_0_88, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_89 = textureCoords_12_0.elementAt(89);
      expect(textureCoord_12_0_89, vector3MoreOrLessEquals(Vector3(0, 0.416667014, 0)));
      final textureCoord_12_0_90 = textureCoords_12_0.elementAt(90);
      expect(textureCoord_12_0_90, vector3MoreOrLessEquals(Vector3(0.37925899, 0.25, 0)));
      final textureCoord_12_0_91 = textureCoords_12_0.elementAt(91);
      expect(textureCoord_12_0_91, vector3MoreOrLessEquals(Vector3(0, 0.416667014, 0)));
      final textureCoord_12_0_92 = textureCoords_12_0.elementAt(92);
      expect(textureCoord_12_0_92, vector3MoreOrLessEquals(Vector3(0, 0.216666996, 0)));
      final textureCoord_12_0_93 = textureCoords_12_0.elementAt(93);
      expect(textureCoord_12_0_93, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_12_0_94 = textureCoords_12_0.elementAt(94);
      expect(textureCoord_12_0_94, vector3MoreOrLessEquals(Vector3(0, 0.814696014, 0)));
      final textureCoord_12_0_95 = textureCoords_12_0.elementAt(95);
      expect(textureCoord_12_0_95, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_96 = textureCoords_12_0.elementAt(96);
      expect(textureCoord_12_0_96, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_12_0_97 = textureCoords_12_0.elementAt(97);
      expect(textureCoord_12_0_97, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_98 = textureCoords_12_0.elementAt(98);
      expect(textureCoord_12_0_98, vector3MoreOrLessEquals(Vector3(0.721310019, 0.680045009, 0)));
      final textureCoord_12_0_99 = textureCoords_12_0.elementAt(99);
      expect(textureCoord_12_0_99, vector3MoreOrLessEquals(Vector3(0.721310019, 0.680045009, 0)));
      final textureCoord_12_0_100 = textureCoords_12_0.elementAt(100);
      expect(textureCoord_12_0_100, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_101 = textureCoords_12_0.elementAt(101);
      expect(textureCoord_12_0_101, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_102 = textureCoords_12_0.elementAt(102);
      expect(textureCoord_12_0_102, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_103 = textureCoords_12_0.elementAt(103);
      expect(textureCoord_12_0_103, vector3MoreOrLessEquals(Vector3(0.911659002, 0.814696014, 0)));
      final textureCoord_12_0_104 = textureCoords_12_0.elementAt(104);
      expect(textureCoord_12_0_104, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_105 = textureCoords_12_0.elementAt(105);
      expect(textureCoord_12_0_105, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_106 = textureCoords_12_0.elementAt(106);
      expect(textureCoord_12_0_106, vector3MoreOrLessEquals(Vector3(0.911659002, 0.814696014, 0)));
      final textureCoord_12_0_107 = textureCoords_12_0.elementAt(107);
      expect(textureCoord_12_0_107, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_108 = textureCoords_12_0.elementAt(108);
      expect(textureCoord_12_0_108, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_12_0_109 = textureCoords_12_0.elementAt(109);
      expect(textureCoord_12_0_109, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_110 = textureCoords_12_0.elementAt(110);
      expect(textureCoord_12_0_110, vector3MoreOrLessEquals(Vector3(0.875860989, 0.5, 0)));
      final textureCoord_12_0_111 = textureCoords_12_0.elementAt(111);
      expect(textureCoord_12_0_111, vector3MoreOrLessEquals(Vector3(0.875860989, 0.5, 0)));
      final textureCoord_12_0_112 = textureCoords_12_0.elementAt(112);
      expect(textureCoord_12_0_112, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_113 = textureCoords_12_0.elementAt(113);
      expect(textureCoord_12_0_113, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_114 = textureCoords_12_0.elementAt(114);
      expect(textureCoord_12_0_114, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_115 = textureCoords_12_0.elementAt(115);
      expect(textureCoord_12_0_115, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_116 = textureCoords_12_0.elementAt(116);
      expect(textureCoord_12_0_116, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_117 = textureCoords_12_0.elementAt(117);
      expect(textureCoord_12_0_117, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_118 = textureCoords_12_0.elementAt(118);
      expect(textureCoord_12_0_118, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_119 = textureCoords_12_0.elementAt(119);
      expect(textureCoord_12_0_119, vector3MoreOrLessEquals(Vector3(0, 0.416667014, 0)));
      final textureCoord_12_0_120 = textureCoords_12_0.elementAt(120);
      expect(textureCoord_12_0_120, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_121 = textureCoords_12_0.elementAt(121);
      expect(textureCoord_12_0_121, vector3MoreOrLessEquals(Vector3(0, 0.75, 0)));
      final textureCoord_12_0_122 = textureCoords_12_0.elementAt(122);
      expect(textureCoord_12_0_122, vector3MoreOrLessEquals(Vector3(0, 0.416667014, 0)));
      final textureCoord_12_0_123 = textureCoords_12_0.elementAt(123);
      expect(textureCoord_12_0_123, vector3MoreOrLessEquals(Vector3(0, 0.814696014, 0)));
      final textureCoord_12_0_124 = textureCoords_12_0.elementAt(124);
      expect(textureCoord_12_0_124, vector3MoreOrLessEquals(Vector3(0, 0.913268983, 0)));
      final textureCoord_12_0_125 = textureCoords_12_0.elementAt(125);
      expect(textureCoord_12_0_125, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_126 = textureCoords_12_0.elementAt(126);
      expect(textureCoord_12_0_126, vector3MoreOrLessEquals(Vector3(0, 0.913268983, 0)));
      final textureCoord_12_0_127 = textureCoords_12_0.elementAt(127);
      expect(textureCoord_12_0_127, vector3MoreOrLessEquals(Vector3(0.190348998, 0.913268983, 0)));
      final textureCoord_12_0_128 = textureCoords_12_0.elementAt(128);
      expect(textureCoord_12_0_128, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_129 = textureCoords_12_0.elementAt(129);
      expect(textureCoord_12_0_129, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_130 = textureCoords_12_0.elementAt(130);
      expect(textureCoord_12_0_130, vector3MoreOrLessEquals(Vector3(0.190348998, 0.913268983, 0)));
      final textureCoord_12_0_131 = textureCoords_12_0.elementAt(131);
      expect(textureCoord_12_0_131, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_132 = textureCoords_12_0.elementAt(132);
      expect(textureCoord_12_0_132, vector3MoreOrLessEquals(Vector3(0.670306027, 0.814696014, 0)));
      final textureCoord_12_0_133 = textureCoords_12_0.elementAt(133);
      expect(textureCoord_12_0_133, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_134 = textureCoords_12_0.elementAt(134);
      expect(textureCoord_12_0_134, vector3MoreOrLessEquals(Vector3(0.911659002, 0.814696014, 0)));
      final textureCoord_12_0_135 = textureCoords_12_0.elementAt(135);
      expect(textureCoord_12_0_135, vector3MoreOrLessEquals(Vector3(0.911659002, 0.814696014, 0)));
      final textureCoord_12_0_136 = textureCoords_12_0.elementAt(136);
      expect(textureCoord_12_0_136, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_137 = textureCoords_12_0.elementAt(137);
      expect(textureCoord_12_0_137, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_138 = textureCoords_12_0.elementAt(138);
      expect(textureCoord_12_0_138, vector3MoreOrLessEquals(Vector3(0.670306027, 0.913268983, 0)));
      final textureCoord_12_0_139 = textureCoords_12_0.elementAt(139);
      expect(textureCoord_12_0_139, vector3MoreOrLessEquals(Vector3(0.437931001, 0.933013022, 0)));
      final textureCoord_12_0_140 = textureCoords_12_0.elementAt(140);
      expect(textureCoord_12_0_140, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_141 = textureCoords_12_0.elementAt(141);
      expect(textureCoord_12_0_141, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_142 = textureCoords_12_0.elementAt(142);
      expect(textureCoord_12_0_142, vector3MoreOrLessEquals(Vector3(0.437931001, 0.933013022, 0)));
      final textureCoord_12_0_143 = textureCoords_12_0.elementAt(143);
      expect(textureCoord_12_0_143, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_144 = textureCoords_12_0.elementAt(144);
      expect(textureCoord_12_0_144, vector3MoreOrLessEquals(Vector3(0.758517981, 0.75, 0)));
      final textureCoord_12_0_145 = textureCoords_12_0.elementAt(145);
      expect(textureCoord_12_0_145, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_146 = textureCoords_12_0.elementAt(146);
      expect(textureCoord_12_0_146, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_147 = textureCoords_12_0.elementAt(147);
      expect(textureCoord_12_0_147, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_148 = textureCoords_12_0.elementAt(148);
      expect(textureCoord_12_0_148, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_149 = textureCoords_12_0.elementAt(149);
      expect(textureCoord_12_0_149, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_150 = textureCoords_12_0.elementAt(150);
      expect(textureCoord_12_0_150, vector3MoreOrLessEquals(Vector3(0.37925899, 0.933013022, 0)));
      final textureCoord_12_0_151 = textureCoords_12_0.elementAt(151);
      expect(textureCoord_12_0_151, vector3MoreOrLessEquals(Vector3(0.218964994, 0.933013022, 0)));
      final textureCoord_12_0_152 = textureCoords_12_0.elementAt(152);
      expect(textureCoord_12_0_152, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_153 = textureCoords_12_0.elementAt(153);
      expect(textureCoord_12_0_153, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_154 = textureCoords_12_0.elementAt(154);
      expect(textureCoord_12_0_154, vector3MoreOrLessEquals(Vector3(0.218964994, 0.933013022, 0)));
      final textureCoord_12_0_155 = textureCoords_12_0.elementAt(155);
      expect(textureCoord_12_0_155, vector3MoreOrLessEquals(Vector3(0, 0.933013022, 0)));
      final textureCoord_12_0_156 = textureCoords_12_0.elementAt(156);
      expect(textureCoord_12_0_156, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_157 = textureCoords_12_0.elementAt(157);
      expect(textureCoord_12_0_157, vector3MoreOrLessEquals(Vector3(0, 0.933013022, 0)));
      final textureCoord_12_0_158 = textureCoords_12_0.elementAt(158);
      expect(textureCoord_12_0_158, vector3MoreOrLessEquals(Vector3(0, 0.75, 0)));
      final textureCoord_12_0_159 = textureCoords_12_0.elementAt(159);
      expect(textureCoord_12_0_159, vector3MoreOrLessEquals(Vector3(0.277734995, 0.533730984, 0)));
      final textureCoord_12_0_160 = textureCoords_12_0.elementAt(160);
      expect(textureCoord_12_0_160, vector3MoreOrLessEquals(Vector3(0.31674099, 0.544408977, 0)));
      final textureCoord_12_0_161 = textureCoords_12_0.elementAt(161);
      expect(textureCoord_12_0_161, vector3MoreOrLessEquals(Vector3(0.325354993, 0.53035301, 0)));
      final textureCoord_12_0_162 = textureCoords_12_0.elementAt(162);
      expect(textureCoord_12_0_162, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_163 = textureCoords_12_0.elementAt(163);
      expect(textureCoord_12_0_163, vector3MoreOrLessEquals(Vector3(0.332403004, 0.512897015, 0)));
      final textureCoord_12_0_164 = textureCoords_12_0.elementAt(164);
      expect(textureCoord_12_0_164, vector3MoreOrLessEquals(Vector3(0.325354993, 0.53035301, 0)));
      final textureCoord_12_0_165 = textureCoords_12_0.elementAt(165);
      expect(textureCoord_12_0_165, vector3MoreOrLessEquals(Vector3(0.325354993, 0.53035301, 0)));
      final textureCoord_12_0_166 = textureCoords_12_0.elementAt(166);
      expect(textureCoord_12_0_166, vector3MoreOrLessEquals(Vector3(0.277734995, 0.533730984, 0)));
      final textureCoord_12_0_167 = textureCoords_12_0.elementAt(167);
      expect(textureCoord_12_0_167, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_168 = textureCoords_12_0.elementAt(168);
      expect(textureCoord_12_0_168, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_169 = textureCoords_12_0.elementAt(169);
      expect(textureCoord_12_0_169, vector3MoreOrLessEquals(Vector3(0.332403004, 0.512897015, 0)));
      final textureCoord_12_0_170 = textureCoords_12_0.elementAt(170);
      expect(textureCoord_12_0_170, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_171 = textureCoords_12_0.elementAt(171);
      expect(textureCoord_12_0_171, vector3MoreOrLessEquals(Vector3(0.332403004, 0.512897015, 0)));
      final textureCoord_12_0_172 = textureCoords_12_0.elementAt(172);
      expect(textureCoord_12_0_172, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_173 = textureCoords_12_0.elementAt(173);
      expect(textureCoord_12_0_173, vector3MoreOrLessEquals(Vector3(0.390215993, 0.530730009, 0)));
      final textureCoord_12_0_174 = textureCoords_12_0.elementAt(174);
      expect(textureCoord_12_0_174, vector3MoreOrLessEquals(Vector3(0.390215993, 0.530730009, 0)));
      final textureCoord_12_0_175 = textureCoords_12_0.elementAt(175);
      expect(textureCoord_12_0_175, vector3MoreOrLessEquals(Vector3(0.325354993, 0.53035301, 0)));
      final textureCoord_12_0_176 = textureCoords_12_0.elementAt(176);
      expect(textureCoord_12_0_176, vector3MoreOrLessEquals(Vector3(0.332403004, 0.512897015, 0)));
      final textureCoord_12_0_177 = textureCoords_12_0.elementAt(177);
      expect(textureCoord_12_0_177, vector3MoreOrLessEquals(Vector3(0.476579994, 0.558493972, 0)));
      final textureCoord_12_0_178 = textureCoords_12_0.elementAt(178);
      expect(textureCoord_12_0_178, vector3MoreOrLessEquals(Vector3(0.390215993, 0.530730009, 0)));
      final textureCoord_12_0_179 = textureCoords_12_0.elementAt(179);
      expect(textureCoord_12_0_179, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_180 = textureCoords_12_0.elementAt(180);
      expect(textureCoord_12_0_180, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_181 = textureCoords_12_0.elementAt(181);
      expect(textureCoord_12_0_181, vector3MoreOrLessEquals(Vector3(0.529208004, 0.540674984, 0)));
      final textureCoord_12_0_182 = textureCoords_12_0.elementAt(182);
      expect(textureCoord_12_0_182, vector3MoreOrLessEquals(Vector3(0.476579994, 0.558493972, 0)));
      final textureCoord_12_0_183 = textureCoords_12_0.elementAt(183);
      expect(textureCoord_12_0_183, vector3MoreOrLessEquals(Vector3(0.523591995, 0.60048902, 0)));
      final textureCoord_12_0_184 = textureCoords_12_0.elementAt(184);
      expect(textureCoord_12_0_184, vector3MoreOrLessEquals(Vector3(0.476579994, 0.558493972, 0)));
      final textureCoord_12_0_185 = textureCoords_12_0.elementAt(185);
      expect(textureCoord_12_0_185, vector3MoreOrLessEquals(Vector3(0.562008977, 0.596230984, 0)));
      final textureCoord_12_0_186 = textureCoords_12_0.elementAt(186);
      expect(textureCoord_12_0_186, vector3MoreOrLessEquals(Vector3(0.529208004, 0.540674984, 0)));
      final textureCoord_12_0_187 = textureCoords_12_0.elementAt(187);
      expect(textureCoord_12_0_187, vector3MoreOrLessEquals(Vector3(0.562008977, 0.596230984, 0)));
      final textureCoord_12_0_188 = textureCoords_12_0.elementAt(188);
      expect(textureCoord_12_0_188, vector3MoreOrLessEquals(Vector3(0.476579994, 0.558493972, 0)));
      final textureCoord_12_0_189 = textureCoords_12_0.elementAt(189);
      expect(textureCoord_12_0_189, vector3MoreOrLessEquals(Vector3(0.516196012, 0.637547016, 0)));
      final textureCoord_12_0_190 = textureCoords_12_0.elementAt(190);
      expect(textureCoord_12_0_190, vector3MoreOrLessEquals(Vector3(0.523591995, 0.60048902, 0)));
      final textureCoord_12_0_191 = textureCoords_12_0.elementAt(191);
      expect(textureCoord_12_0_191, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_192 = textureCoords_12_0.elementAt(192);
      expect(textureCoord_12_0_192, vector3MoreOrLessEquals(Vector3(0.523591995, 0.60048902, 0)));
      final textureCoord_12_0_193 = textureCoords_12_0.elementAt(193);
      expect(textureCoord_12_0_193, vector3MoreOrLessEquals(Vector3(0.562008977, 0.596230984, 0)));
      final textureCoord_12_0_194 = textureCoords_12_0.elementAt(194);
      expect(textureCoord_12_0_194, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_195 = textureCoords_12_0.elementAt(195);
      expect(textureCoord_12_0_195, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_196 = textureCoords_12_0.elementAt(196);
      expect(textureCoord_12_0_196, vector3MoreOrLessEquals(Vector3(0.479912013, 0.659264982, 0)));
      final textureCoord_12_0_197 = textureCoords_12_0.elementAt(197);
      expect(textureCoord_12_0_197, vector3MoreOrLessEquals(Vector3(0.516196012, 0.637547016, 0)));
      final textureCoord_12_0_198 = textureCoords_12_0.elementAt(198);
      expect(textureCoord_12_0_198, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_199 = textureCoords_12_0.elementAt(199);
      expect(textureCoord_12_0_199, vector3MoreOrLessEquals(Vector3(0.496407002, 0.672618985, 0)));
      final textureCoord_12_0_200 = textureCoords_12_0.elementAt(200);
      expect(textureCoord_12_0_200, vector3MoreOrLessEquals(Vector3(0.479912013, 0.659264982, 0)));
      final textureCoord_12_0_201 = textureCoords_12_0.elementAt(201);
      expect(textureCoord_12_0_201, vector3MoreOrLessEquals(Vector3(0.496407002, 0.672618985, 0)));
      final textureCoord_12_0_202 = textureCoords_12_0.elementAt(202);
      expect(textureCoord_12_0_202, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_203 = textureCoords_12_0.elementAt(203);
      expect(textureCoord_12_0_203, vector3MoreOrLessEquals(Vector3(0.479912013, 0.659264982, 0)));
      final textureCoord_12_0_204 = textureCoords_12_0.elementAt(204);
      expect(textureCoord_12_0_204, vector3MoreOrLessEquals(Vector3(0.436879009, 0.654510975, 0)));
      final textureCoord_12_0_205 = textureCoords_12_0.elementAt(205);
      expect(textureCoord_12_0_205, vector3MoreOrLessEquals(Vector3(0.479912013, 0.659264982, 0)));
      final textureCoord_12_0_206 = textureCoords_12_0.elementAt(206);
      expect(textureCoord_12_0_206, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_207 = textureCoords_12_0.elementAt(207);
      expect(textureCoord_12_0_207, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_208 = textureCoords_12_0.elementAt(208);
      expect(textureCoord_12_0_208, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_209 = textureCoords_12_0.elementAt(209);
      expect(textureCoord_12_0_209, vector3MoreOrLessEquals(Vector3(0.436879009, 0.654510975, 0)));
      final textureCoord_12_0_210 = textureCoords_12_0.elementAt(210);
      expect(textureCoord_12_0_210, vector3MoreOrLessEquals(Vector3(0.39200601, 0.640263975, 0)));
      final textureCoord_12_0_211 = textureCoords_12_0.elementAt(211);
      expect(textureCoord_12_0_211, vector3MoreOrLessEquals(Vector3(0.436879009, 0.654510975, 0)));
      final textureCoord_12_0_212 = textureCoords_12_0.elementAt(212);
      expect(textureCoord_12_0_212, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_213 = textureCoords_12_0.elementAt(213);
      expect(textureCoord_12_0_213, vector3MoreOrLessEquals(Vector3(0.379723996, 0.610321999, 0)));
      final textureCoord_12_0_214 = textureCoords_12_0.elementAt(214);
      expect(textureCoord_12_0_214, vector3MoreOrLessEquals(Vector3(0.39200601, 0.640263975, 0)));
      final textureCoord_12_0_215 = textureCoords_12_0.elementAt(215);
      expect(textureCoord_12_0_215, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_216 = textureCoords_12_0.elementAt(216);
      expect(textureCoord_12_0_216, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_217 = textureCoords_12_0.elementAt(217);
      expect(textureCoord_12_0_217, vector3MoreOrLessEquals(Vector3(0.332403004, 0.610118985, 0)));
      final textureCoord_12_0_218 = textureCoords_12_0.elementAt(218);
      expect(textureCoord_12_0_218, vector3MoreOrLessEquals(Vector3(0.379723996, 0.610321999, 0)));
      final textureCoord_12_0_219 = textureCoords_12_0.elementAt(219);
      expect(textureCoord_12_0_219, vector3MoreOrLessEquals(Vector3(0.358530998, 0.576180995, 0)));
      final textureCoord_12_0_220 = textureCoords_12_0.elementAt(220);
      expect(textureCoord_12_0_220, vector3MoreOrLessEquals(Vector3(0.379723996, 0.610321999, 0)));
      final textureCoord_12_0_221 = textureCoords_12_0.elementAt(221);
      expect(textureCoord_12_0_221, vector3MoreOrLessEquals(Vector3(0.332403004, 0.610118985, 0)));
      final textureCoord_12_0_222 = textureCoords_12_0.elementAt(222);
      expect(textureCoord_12_0_222, vector3MoreOrLessEquals(Vector3(0.332403004, 0.610118985, 0)));
      final textureCoord_12_0_223 = textureCoords_12_0.elementAt(223);
      expect(textureCoord_12_0_223, vector3MoreOrLessEquals(Vector3(0.288668007, 0.582341015, 0)));
      final textureCoord_12_0_224 = textureCoords_12_0.elementAt(224);
      expect(textureCoord_12_0_224, vector3MoreOrLessEquals(Vector3(0.358530998, 0.576180995, 0)));
      final textureCoord_12_0_225 = textureCoords_12_0.elementAt(225);
      expect(textureCoord_12_0_225, vector3MoreOrLessEquals(Vector3(0.31674099, 0.544408977, 0)));
      final textureCoord_12_0_226 = textureCoords_12_0.elementAt(226);
      expect(textureCoord_12_0_226, vector3MoreOrLessEquals(Vector3(0.358530998, 0.576180995, 0)));
      final textureCoord_12_0_227 = textureCoords_12_0.elementAt(227);
      expect(textureCoord_12_0_227, vector3MoreOrLessEquals(Vector3(0.288668007, 0.582341015, 0)));
      final textureCoord_12_0_228 = textureCoords_12_0.elementAt(228);
      expect(textureCoord_12_0_228, vector3MoreOrLessEquals(Vector3(0.288668007, 0.582341015, 0)));
      final textureCoord_12_0_229 = textureCoords_12_0.elementAt(229);
      expect(textureCoord_12_0_229, vector3MoreOrLessEquals(Vector3(0.277734995, 0.533730984, 0)));
      final textureCoord_12_0_230 = textureCoords_12_0.elementAt(230);
      expect(textureCoord_12_0_230, vector3MoreOrLessEquals(Vector3(0.31674099, 0.544408977, 0)));
      final textureCoord_12_0_231 = textureCoords_12_0.elementAt(231);
      expect(textureCoord_12_0_231, vector3MoreOrLessEquals(Vector3(0.277734995, 0.533730984, 0)));
      final textureCoord_12_0_232 = textureCoords_12_0.elementAt(232);
      expect(textureCoord_12_0_232, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_233 = textureCoords_12_0.elementAt(233);
      expect(textureCoord_12_0_233, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_234 = textureCoords_12_0.elementAt(234);
      expect(textureCoord_12_0_234, vector3MoreOrLessEquals(Vector3(0.277734995, 0.533730984, 0)));
      final textureCoord_12_0_235 = textureCoords_12_0.elementAt(235);
      expect(textureCoord_12_0_235, vector3MoreOrLessEquals(Vector3(0.288668007, 0.582341015, 0)));
      final textureCoord_12_0_236 = textureCoords_12_0.elementAt(236);
      expect(textureCoord_12_0_236, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_237 = textureCoords_12_0.elementAt(237);
      expect(textureCoord_12_0_237, vector3MoreOrLessEquals(Vector3(0.288668007, 0.582341015, 0)));
      final textureCoord_12_0_238 = textureCoords_12_0.elementAt(238);
      expect(textureCoord_12_0_238, vector3MoreOrLessEquals(Vector3(0.332403004, 0.610118985, 0)));
      final textureCoord_12_0_239 = textureCoords_12_0.elementAt(239);
      expect(textureCoord_12_0_239, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_240 = textureCoords_12_0.elementAt(240);
      expect(textureCoord_12_0_240, vector3MoreOrLessEquals(Vector3(0.332403004, 0.610118985, 0)));
      final textureCoord_12_0_241 = textureCoords_12_0.elementAt(241);
      expect(textureCoord_12_0_241, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_242 = textureCoords_12_0.elementAt(242);
      expect(textureCoord_12_0_242, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_243 = textureCoords_12_0.elementAt(243);
      expect(textureCoord_12_0_243, vector3MoreOrLessEquals(Vector3(0.365204006, 0.658730984, 0)));
      final textureCoord_12_0_244 = textureCoords_12_0.elementAt(244);
      expect(textureCoord_12_0_244, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_245 = textureCoords_12_0.elementAt(245);
      expect(textureCoord_12_0_245, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_246 = textureCoords_12_0.elementAt(246);
      expect(textureCoord_12_0_246, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_247 = textureCoords_12_0.elementAt(247);
      expect(textureCoord_12_0_247, vector3MoreOrLessEquals(Vector3(0.228761002, 0.714286029, 0)));
      final textureCoord_12_0_248 = textureCoords_12_0.elementAt(248);
      expect(textureCoord_12_0_248, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_249 = textureCoords_12_0.elementAt(249);
      expect(textureCoord_12_0_249, vector3MoreOrLessEquals(Vector3(0.430804998, 0.679563999, 0)));
      final textureCoord_12_0_250 = textureCoords_12_0.elementAt(250);
      expect(textureCoord_12_0_250, vector3MoreOrLessEquals(Vector3(0.496407002, 0.672618985, 0)));
      final textureCoord_12_0_251 = textureCoords_12_0.elementAt(251);
      expect(textureCoord_12_0_251, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_252 = textureCoords_12_0.elementAt(252);
      expect(textureCoord_12_0_252, vector3MoreOrLessEquals(Vector3(0.496407002, 0.672618985, 0)));
      final textureCoord_12_0_253 = textureCoords_12_0.elementAt(253);
      expect(textureCoord_12_0_253, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_254 = textureCoords_12_0.elementAt(254);
      expect(textureCoord_12_0_254, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_255 = textureCoords_12_0.elementAt(255);
      expect(textureCoord_12_0_255, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_256 = textureCoords_12_0.elementAt(256);
      expect(textureCoord_12_0_256, vector3MoreOrLessEquals(Vector3(0.261105001, 0.464286, 0)));
      final textureCoord_12_0_257 = textureCoords_12_0.elementAt(257);
      expect(textureCoord_12_0_257, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_258 = textureCoords_12_0.elementAt(258);
      expect(textureCoord_12_0_258, vector3MoreOrLessEquals(Vector3(0.529208004, 0.540674984, 0)));
      final textureCoord_12_0_259 = textureCoords_12_0.elementAt(259);
      expect(textureCoord_12_0_259, vector3MoreOrLessEquals(Vector3(0.419871986, 0.505953014, 0)));
      final textureCoord_12_0_260 = textureCoords_12_0.elementAt(260);
      expect(textureCoord_12_0_260, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_261 = textureCoords_12_0.elementAt(261);
      expect(textureCoord_12_0_261, vector3MoreOrLessEquals(Vector3(0.562008977, 0.596230984, 0)));
      final textureCoord_12_0_262 = textureCoords_12_0.elementAt(262);
      expect(textureCoord_12_0_262, vector3MoreOrLessEquals(Vector3(0.529208004, 0.540674984, 0)));
      final textureCoord_12_0_263 = textureCoords_12_0.elementAt(263);
      expect(textureCoord_12_0_263, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_264 = textureCoords_12_0.elementAt(264);
      expect(textureCoord_12_0_264, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      final textureCoord_12_0_265 = textureCoords_12_0.elementAt(265);
      expect(textureCoord_12_0_265, vector3MoreOrLessEquals(Vector3(0.565317988, 0.714286029, 0)));
      final textureCoord_12_0_266 = textureCoords_12_0.elementAt(266);
      expect(textureCoord_12_0_266, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_267 = textureCoords_12_0.elementAt(267);
      expect(textureCoord_12_0_267, vector3MoreOrLessEquals(Vector3(0.562008977, 0.596230984, 0)));
      final textureCoord_12_0_268 = textureCoords_12_0.elementAt(268);
      expect(textureCoord_12_0_268, vector3MoreOrLessEquals(Vector3(0.540140986, 0.644841015, 0)));
      final textureCoord_12_0_269 = textureCoords_12_0.elementAt(269);
      expect(textureCoord_12_0_269, vector3MoreOrLessEquals(Vector3(0.649726987, 0.464286, 0)));
      expect(mesh_12.uvComponents.length, equals(1));
      expect(mesh_12.uvComponents, equals([2]));
      expect(mesh_12.faces.length, equals(90));
      expect(mesh_12.bones.length, isZero);
      expect(mesh_12.materialIndex, equals(1));
      expect(mesh_12.name, equals('Kopf'));
      expect(mesh_12.animMeshes.length, isZero);
      expect(mesh_12.morphingMethod, isZero);
      expect(mesh_12.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_13 = meshes.elementAt(13);
      expect(mesh_13.primitiveTypes, equals(4));
      expect(mesh_13.vertices.length, equals(60));
      final vertex_13_0 = mesh_13.vertices.elementAt(0);
      expect(vertex_13_0, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -16.8773098)));
      final vertex_13_1 = mesh_13.vertices.elementAt(1);
      expect(vertex_13_1, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_13_2 = mesh_13.vertices.elementAt(2);
      expect(vertex_13_2, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_3 = mesh_13.vertices.elementAt(3);
      expect(vertex_13_3, vector3MoreOrLessEquals(Vector3(-6.30518198, -14.1820984, -10)));
      final vertex_13_4 = mesh_13.vertices.elementAt(4);
      expect(vertex_13_4, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_5 = mesh_13.vertices.elementAt(5);
      expect(vertex_13_5, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_13_6 = mesh_13.vertices.elementAt(6);
      expect(vertex_13_6, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_7 = mesh_13.vertices.elementAt(7);
      expect(vertex_13_7, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, -20.5830917)));
      final vertex_13_8 = mesh_13.vertices.elementAt(8);
      expect(vertex_13_8, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -19.4052963)));
      final vertex_13_9 = mesh_13.vertices.elementAt(9);
      expect(vertex_13_9, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -16.8773098)));
      final vertex_13_10 = mesh_13.vertices.elementAt(10);
      expect(vertex_13_10, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_11 = mesh_13.vertices.elementAt(11);
      expect(vertex_13_11, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_12 = mesh_13.vertices.elementAt(12);
      expect(vertex_13_12, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -3.12268996)));
      final vertex_13_13 = mesh_13.vertices.elementAt(13);
      expect(vertex_13_13, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_14 = mesh_13.vertices.elementAt(14);
      expect(vertex_13_14, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_15 = mesh_13.vertices.elementAt(15);
      expect(vertex_13_15, vector3MoreOrLessEquals(Vector3(-6.30518198, -14.1820984, -10)));
      final vertex_13_16 = mesh_13.vertices.elementAt(16);
      expect(vertex_13_16, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_17 = mesh_13.vertices.elementAt(17);
      expect(vertex_13_17, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_18 = mesh_13.vertices.elementAt(18);
      expect(vertex_13_18, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_19 = mesh_13.vertices.elementAt(19);
      expect(vertex_13_19, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -14.0423813)));
      final vertex_13_20 = mesh_13.vertices.elementAt(20);
      expect(vertex_13_20, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_21 = mesh_13.vertices.elementAt(21);
      expect(vertex_13_21, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -16.8773098)));
      final vertex_13_22 = mesh_13.vertices.elementAt(22);
      expect(vertex_13_22, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_23 = mesh_13.vertices.elementAt(23);
      expect(vertex_13_23, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_24 = mesh_13.vertices.elementAt(24);
      expect(vertex_13_24, vector3MoreOrLessEquals(Vector3(-51.6475906, -5.70869398, -10)));
      final vertex_13_25 = mesh_13.vertices.elementAt(25);
      expect(vertex_13_25, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_26 = mesh_13.vertices.elementAt(26);
      expect(vertex_13_26, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_27 = mesh_13.vertices.elementAt(27);
      expect(vertex_13_27, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -3.12268996)));
      final vertex_13_28 = mesh_13.vertices.elementAt(28);
      expect(vertex_13_28, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_29 = mesh_13.vertices.elementAt(29);
      expect(vertex_13_29, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_30 = mesh_13.vertices.elementAt(30);
      expect(vertex_13_30, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_31 = mesh_13.vertices.elementAt(31);
      expect(vertex_13_31, vector3MoreOrLessEquals(Vector3(-32.1219482, -11.5362492, -10)));
      final vertex_13_32 = mesh_13.vertices.elementAt(32);
      expect(vertex_13_32, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_33 = mesh_13.vertices.elementAt(33);
      expect(vertex_13_33, vector3MoreOrLessEquals(Vector3(-51.6475906, -5.70869398, -10)));
      final vertex_13_34 = mesh_13.vertices.elementAt(34);
      expect(vertex_13_34, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_35 = mesh_13.vertices.elementAt(35);
      expect(vertex_13_35, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_13_36 = mesh_13.vertices.elementAt(36);
      expect(vertex_13_36, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -3.12268996)));
      final vertex_13_37 = mesh_13.vertices.elementAt(37);
      expect(vertex_13_37, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_13_38 = mesh_13.vertices.elementAt(38);
      expect(vertex_13_38, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_39 = mesh_13.vertices.elementAt(39);
      expect(vertex_13_39, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, 1.421121)));
      final vertex_13_40 = mesh_13.vertices.elementAt(40);
      expect(vertex_13_40, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -2.94135904)));
      final vertex_13_41 = mesh_13.vertices.elementAt(41);
      expect(vertex_13_41, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, 8.47976017)));
      final vertex_13_42 = mesh_13.vertices.elementAt(42);
      expect(vertex_13_42, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -3.12268996)));
      final vertex_13_43 = mesh_13.vertices.elementAt(43);
      expect(vertex_13_43, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_44 = mesh_13.vertices.elementAt(44);
      expect(vertex_13_44, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_13_45 = mesh_13.vertices.elementAt(45);
      expect(vertex_13_45, vector3MoreOrLessEquals(Vector3(-6.30518198, -14.1820984, -10)));
      final vertex_13_46 = mesh_13.vertices.elementAt(46);
      expect(vertex_13_46, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_13_47 = mesh_13.vertices.elementAt(47);
      expect(vertex_13_47, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_48 = mesh_13.vertices.elementAt(48);
      expect(vertex_13_48, vector3MoreOrLessEquals(Vector3(-22.9981365, -7.40338278, 0.583091021)));
      final vertex_13_49 = mesh_13.vertices.elementAt(49);
      expect(vertex_13_49, vector3MoreOrLessEquals(Vector3(-15.1822987, -14.329319, -5.95761776)));
      final vertex_13_50 = mesh_13.vertices.elementAt(50);
      expect(vertex_13_50, vector3MoreOrLessEquals(Vector3(-6.22943878, -10.7225752, -0.594703019)));
      final vertex_13_51 = mesh_13.vertices.elementAt(51);
      expect(vertex_13_51, vector3MoreOrLessEquals(Vector3(-31.4988976, -9.61871624, -16.8773098)));
      final vertex_13_52 = mesh_13.vertices.elementAt(52);
      expect(vertex_13_52, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_53 = mesh_13.vertices.elementAt(53);
      expect(vertex_13_53, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_13_54 = mesh_13.vertices.elementAt(54);
      expect(vertex_13_54, vector3MoreOrLessEquals(Vector3(-51.6475906, -5.70869398, -10)));
      final vertex_13_55 = mesh_13.vertices.elementAt(55);
      expect(vertex_13_55, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      final vertex_13_56 = mesh_13.vertices.elementAt(56);
      expect(vertex_13_56, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_57 = mesh_13.vertices.elementAt(57);
      expect(vertex_13_57, vector3MoreOrLessEquals(Vector3(-39.1947327, -9.35671806, -28.4797592)));
      final vertex_13_58 = mesh_13.vertices.elementAt(58);
      expect(vertex_13_58, vector3MoreOrLessEquals(Vector3(-44.9497299, -12.2685213, -17.0586433)));
      final vertex_13_59 = mesh_13.vertices.elementAt(59);
      expect(vertex_13_59, vector3MoreOrLessEquals(Vector3(-49.7138367, -2.98359013, -21.4211159)));
      expect(mesh_13.normals.length, equals(60));
      final normal_13_0 = mesh_13.normals.elementAt(0);
      expect(normal_13_0, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, -0.350333005)));
      final normal_13_1 = mesh_13.normals.elementAt(1);
      expect(normal_13_1, vector3MoreOrLessEquals(Vector3(-0.0987949967, -0.739899993, -0.665422976)));
      final normal_13_2 = mesh_13.normals.elementAt(2);
      expect(normal_13_2, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_3 = mesh_13.normals.elementAt(3);
      expect(normal_13_3, vector3MoreOrLessEquals(Vector3(0.123930998, -0.992290974, 0)));
      final normal_13_4 = mesh_13.normals.elementAt(4);
      expect(normal_13_4, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_5 = mesh_13.normals.elementAt(5);
      expect(normal_13_5, vector3MoreOrLessEquals(Vector3(0.0358910002, -0.855980992, -0.515760005)));
      final normal_13_6 = mesh_13.normals.elementAt(6);
      expect(normal_13_6, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_7 = mesh_13.normals.elementAt(7);
      expect(normal_13_7, vector3MoreOrLessEquals(Vector3(-0.0987949967, -0.739899993, -0.665422976)));
      final normal_13_8 = mesh_13.normals.elementAt(8);
      expect(normal_13_8, vector3MoreOrLessEquals(Vector3(0.0358910002, -0.855980992, -0.515760005)));
      final normal_13_9 = mesh_13.normals.elementAt(9);
      expect(normal_13_9, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, -0.350333005)));
      final normal_13_10 = mesh_13.normals.elementAt(10);
      expect(normal_13_10, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_11 = mesh_13.normals.elementAt(11);
      expect(normal_13_11, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_12 = mesh_13.normals.elementAt(12);
      expect(normal_13_12, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, 0.350333005)));
      final normal_13_13 = mesh_13.normals.elementAt(13);
      expect(normal_13_13, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_14 = mesh_13.normals.elementAt(14);
      expect(normal_13_14, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_15 = mesh_13.normals.elementAt(15);
      expect(normal_13_15, vector3MoreOrLessEquals(Vector3(0.123930998, -0.992290974, 0)));
      final normal_13_16 = mesh_13.normals.elementAt(16);
      expect(normal_13_16, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_17 = mesh_13.normals.elementAt(17);
      expect(normal_13_17, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_18 = mesh_13.normals.elementAt(18);
      expect(normal_13_18, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_19 = mesh_13.normals.elementAt(19);
      expect(normal_13_19, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, -0.343039006)));
      final normal_13_20 = mesh_13.normals.elementAt(20);
      expect(normal_13_20, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_21 = mesh_13.normals.elementAt(21);
      expect(normal_13_21, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, -0.350333005)));
      final normal_13_22 = mesh_13.normals.elementAt(22);
      expect(normal_13_22, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_23 = mesh_13.normals.elementAt(23);
      expect(normal_13_23, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_24 = mesh_13.normals.elementAt(24);
      expect(normal_13_24, vector3MoreOrLessEquals(Vector3(-0.790476978, -0.612492025, 0)));
      final normal_13_25 = mesh_13.normals.elementAt(25);
      expect(normal_13_25, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_26 = mesh_13.normals.elementAt(26);
      expect(normal_13_26, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_27 = mesh_13.normals.elementAt(27);
      expect(normal_13_27, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, 0.350333005)));
      final normal_13_28 = mesh_13.normals.elementAt(28);
      expect(normal_13_28, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_29 = mesh_13.normals.elementAt(29);
      expect(normal_13_29, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_30 = mesh_13.normals.elementAt(30);
      expect(normal_13_30, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_31 = mesh_13.normals.elementAt(31);
      expect(normal_13_31, vector3MoreOrLessEquals(Vector3(-0.0289510004, -0.999580979, 0)));
      final normal_13_32 = mesh_13.normals.elementAt(32);
      expect(normal_13_32, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_33 = mesh_13.normals.elementAt(33);
      expect(normal_13_33, vector3MoreOrLessEquals(Vector3(-0.790476978, -0.612492025, 0)));
      final normal_13_34 = mesh_13.normals.elementAt(34);
      expect(normal_13_34, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_35 = mesh_13.normals.elementAt(35);
      expect(normal_13_35, vector3MoreOrLessEquals(Vector3(-0.74101001, -0.556659997, 0.375544012)));
      final normal_13_36 = mesh_13.normals.elementAt(36);
      expect(normal_13_36, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, 0.350333005)));
      final normal_13_37 = mesh_13.normals.elementAt(37);
      expect(normal_13_37, vector3MoreOrLessEquals(Vector3(-0.274313003, -0.889661014, 0.365042001)));
      final normal_13_38 = mesh_13.normals.elementAt(38);
      expect(normal_13_38, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_39 = mesh_13.normals.elementAt(39);
      expect(normal_13_39, vector3MoreOrLessEquals(Vector3(-0.74101001, -0.556659997, 0.375544012)));
      final normal_13_40 = mesh_13.normals.elementAt(40);
      expect(normal_13_40, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, 0.220964)));
      final normal_13_41 = mesh_13.normals.elementAt(41);
      expect(normal_13_41, vector3MoreOrLessEquals(Vector3(-0.274313003, -0.889661014, 0.365042001)));
      final normal_13_42 = mesh_13.normals.elementAt(42);
      expect(normal_13_42, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, 0.350333005)));
      final normal_13_43 = mesh_13.normals.elementAt(43);
      expect(normal_13_43, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_44 = mesh_13.normals.elementAt(44);
      expect(normal_13_44, vector3MoreOrLessEquals(Vector3(-0.0987949967, -0.739899993, 0.665422976)));
      final normal_13_45 = mesh_13.normals.elementAt(45);
      expect(normal_13_45, vector3MoreOrLessEquals(Vector3(0.123930998, -0.992290974, 0)));
      final normal_13_46 = mesh_13.normals.elementAt(46);
      expect(normal_13_46, vector3MoreOrLessEquals(Vector3(0.0358910002, -0.855980992, 0.515760005)));
      final normal_13_47 = mesh_13.normals.elementAt(47);
      expect(normal_13_47, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_48 = mesh_13.normals.elementAt(48);
      expect(normal_13_48, vector3MoreOrLessEquals(Vector3(-0.0987949967, -0.739899993, 0.665422976)));
      final normal_13_49 = mesh_13.normals.elementAt(49);
      expect(normal_13_49, vector3MoreOrLessEquals(Vector3(-0.0694620013, -0.936748981, 0.343039006)));
      final normal_13_50 = mesh_13.normals.elementAt(50);
      expect(normal_13_50, vector3MoreOrLessEquals(Vector3(0.0358910002, -0.855980992, 0.515760005)));
      final normal_13_51 = mesh_13.normals.elementAt(51);
      expect(normal_13_51, vector3MoreOrLessEquals(Vector3(0.0169050004, -0.936471999, -0.350333005)));
      final normal_13_52 = mesh_13.normals.elementAt(52);
      expect(normal_13_52, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_53 = mesh_13.normals.elementAt(53);
      expect(normal_13_53, vector3MoreOrLessEquals(Vector3(-0.274313003, -0.889661014, -0.365042001)));
      final normal_13_54 = mesh_13.normals.elementAt(54);
      expect(normal_13_54, vector3MoreOrLessEquals(Vector3(-0.790476978, -0.612492025, 0)));
      final normal_13_55 = mesh_13.normals.elementAt(55);
      expect(normal_13_55, vector3MoreOrLessEquals(Vector3(-0.74101001, -0.556659997, -0.375544012)));
      final normal_13_56 = mesh_13.normals.elementAt(56);
      expect(normal_13_56, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_57 = mesh_13.normals.elementAt(57);
      expect(normal_13_57, vector3MoreOrLessEquals(Vector3(-0.274313003, -0.889661014, -0.365042001)));
      final normal_13_58 = mesh_13.normals.elementAt(58);
      expect(normal_13_58, vector3MoreOrLessEquals(Vector3(-0.334401995, -0.916161001, -0.220964)));
      final normal_13_59 = mesh_13.normals.elementAt(59);
      expect(normal_13_59, vector3MoreOrLessEquals(Vector3(-0.74101001, -0.556659997, -0.375544012)));
      expect(mesh_13.tangents.length, isZero);
      expect(mesh_13.bitangents.length, isZero);
      expect(mesh_13.colors.length, isZero);
      expect(mesh_13.textureCoords.length, equals(1));
      final textureCoords_13_0 = mesh_13.textureCoords.elementAt(0);
      expect(textureCoords_13_0.length, equals(60));
      final textureCoord_13_0_0 = textureCoords_13_0.elementAt(0);
      expect(textureCoord_13_0_0, vector3MoreOrLessEquals(Vector3(0.445345014, 0.686076999, 0)));
      final textureCoord_13_0_1 = textureCoords_13_0.elementAt(1);
      expect(textureCoord_13_0_1, vector3MoreOrLessEquals(Vector3(0.607125998, 0.786342978, 0)));
      final textureCoord_13_0_2 = textureCoords_13_0.elementAt(2);
      expect(textureCoord_13_0_2, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_3 = textureCoords_13_0.elementAt(3);
      expect(textureCoord_13_0_3, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_13_0_4 = textureCoords_13_0.elementAt(4);
      expect(textureCoord_13_0_4, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_5 = textureCoords_13_0.elementAt(5);
      expect(textureCoord_13_0_5, vector3MoreOrLessEquals(Vector3(0.978202999, 0.754476011, 0)));
      final textureCoord_13_0_6 = textureCoords_13_0.elementAt(6);
      expect(textureCoord_13_0_6, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_7 = textureCoords_13_0.elementAt(7);
      expect(textureCoord_13_0_7, vector3MoreOrLessEquals(Vector3(0.607125998, 0.786342978, 0)));
      final textureCoord_13_0_8 = textureCoords_13_0.elementAt(8);
      expect(textureCoord_13_0_8, vector3MoreOrLessEquals(Vector3(0.978202999, 0.754476011, 0)));
      final textureCoord_13_0_9 = textureCoords_13_0.elementAt(9);
      expect(textureCoord_13_0_9, vector3MoreOrLessEquals(Vector3(0.445345014, 0.686076999, 0)));
      final textureCoord_13_0_10 = textureCoords_13_0.elementAt(10);
      expect(textureCoord_13_0_10, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_11 = textureCoords_13_0.elementAt(11);
      expect(textureCoord_13_0_11, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_12 = textureCoords_13_0.elementAt(12);
      expect(textureCoord_13_0_12, vector3MoreOrLessEquals(Vector3(0.445345014, 0.313923001, 0)));
      final textureCoord_13_0_13 = textureCoords_13_0.elementAt(13);
      expect(textureCoord_13_0_13, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_14 = textureCoords_13_0.elementAt(14);
      expect(textureCoord_13_0_14, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_15 = textureCoords_13_0.elementAt(15);
      expect(textureCoord_13_0_15, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_13_0_16 = textureCoords_13_0.elementAt(16);
      expect(textureCoord_13_0_16, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_17 = textureCoords_13_0.elementAt(17);
      expect(textureCoord_13_0_17, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_18 = textureCoords_13_0.elementAt(18);
      expect(textureCoord_13_0_18, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_19 = textureCoords_13_0.elementAt(19);
      expect(textureCoord_13_0_19, vector3MoreOrLessEquals(Vector3(0.816421986, 0.609372973, 0)));
      final textureCoord_13_0_20 = textureCoords_13_0.elementAt(20);
      expect(textureCoord_13_0_20, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_21 = textureCoords_13_0.elementAt(21);
      expect(textureCoord_13_0_21, vector3MoreOrLessEquals(Vector3(0.445345014, 0.686076999, 0)));
      final textureCoord_13_0_22 = textureCoords_13_0.elementAt(22);
      expect(textureCoord_13_0_22, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_23 = textureCoords_13_0.elementAt(23);
      expect(textureCoord_13_0_23, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_24 = textureCoords_13_0.elementAt(24);
      expect(textureCoord_13_0_24, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_13_0_25 = textureCoords_13_0.elementAt(25);
      expect(textureCoord_13_0_25, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_26 = textureCoords_13_0.elementAt(26);
      expect(textureCoord_13_0_26, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_27 = textureCoords_13_0.elementAt(27);
      expect(textureCoord_13_0_27, vector3MoreOrLessEquals(Vector3(0.445345014, 0.313923001, 0)));
      final textureCoord_13_0_28 = textureCoords_13_0.elementAt(28);
      expect(textureCoord_13_0_28, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_29 = textureCoords_13_0.elementAt(29);
      expect(textureCoord_13_0_29, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_30 = textureCoords_13_0.elementAt(30);
      expect(textureCoord_13_0_30, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_31 = textureCoords_13_0.elementAt(31);
      expect(textureCoord_13_0_31, vector3MoreOrLessEquals(Vector3(0.445345014, 0.5, 0)));
      final textureCoord_13_0_32 = textureCoords_13_0.elementAt(32);
      expect(textureCoord_13_0_32, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_33 = textureCoords_13_0.elementAt(33);
      expect(textureCoord_13_0_33, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_13_0_34 = textureCoords_13_0.elementAt(34);
      expect(textureCoord_13_0_34, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_35 = textureCoords_13_0.elementAt(35);
      expect(textureCoord_13_0_35, vector3MoreOrLessEquals(Vector3(0.0217969995, 0.190982997, 0)));
      final textureCoord_13_0_36 = textureCoords_13_0.elementAt(36);
      expect(textureCoord_13_0_36, vector3MoreOrLessEquals(Vector3(0.445345014, 0.313923001, 0)));
      final textureCoord_13_0_37 = textureCoords_13_0.elementAt(37);
      expect(textureCoord_13_0_37, vector3MoreOrLessEquals(Vector3(0.283564001, 0, 0)));
      final textureCoord_13_0_38 = textureCoords_13_0.elementAt(38);
      expect(textureCoord_13_0_38, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_39 = textureCoords_13_0.elementAt(39);
      expect(textureCoord_13_0_39, vector3MoreOrLessEquals(Vector3(0.0217969995, 0.190982997, 0)));
      final textureCoord_13_0_40 = textureCoords_13_0.elementAt(40);
      expect(textureCoord_13_0_40, vector3MoreOrLessEquals(Vector3(0.183577999, 0.309017003, 0)));
      final textureCoord_13_0_41 = textureCoords_13_0.elementAt(41);
      expect(textureCoord_13_0_41, vector3MoreOrLessEquals(Vector3(0.283564001, 0, 0)));
      final textureCoord_13_0_42 = textureCoords_13_0.elementAt(42);
      expect(textureCoord_13_0_42, vector3MoreOrLessEquals(Vector3(0.445345014, 0.313923001, 0)));
      final textureCoord_13_0_43 = textureCoords_13_0.elementAt(43);
      expect(textureCoord_13_0_43, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_44 = textureCoords_13_0.elementAt(44);
      expect(textureCoord_13_0_44, vector3MoreOrLessEquals(Vector3(0.607125998, 0.213657007, 0)));
      final textureCoord_13_0_45 = textureCoords_13_0.elementAt(45);
      expect(textureCoord_13_0_45, vector3MoreOrLessEquals(Vector3(1, 0.5, 0)));
      final textureCoord_13_0_46 = textureCoords_13_0.elementAt(46);
      expect(textureCoord_13_0_46, vector3MoreOrLessEquals(Vector3(0.978202999, 0.245524004, 0)));
      final textureCoord_13_0_47 = textureCoords_13_0.elementAt(47);
      expect(textureCoord_13_0_47, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_48 = textureCoords_13_0.elementAt(48);
      expect(textureCoord_13_0_48, vector3MoreOrLessEquals(Vector3(0.607125998, 0.213657007, 0)));
      final textureCoord_13_0_49 = textureCoords_13_0.elementAt(49);
      expect(textureCoord_13_0_49, vector3MoreOrLessEquals(Vector3(0.816421986, 0.390626997, 0)));
      final textureCoord_13_0_50 = textureCoords_13_0.elementAt(50);
      expect(textureCoord_13_0_50, vector3MoreOrLessEquals(Vector3(0.978202999, 0.245524004, 0)));
      final textureCoord_13_0_51 = textureCoords_13_0.elementAt(51);
      expect(textureCoord_13_0_51, vector3MoreOrLessEquals(Vector3(0.445345014, 0.686076999, 0)));
      final textureCoord_13_0_52 = textureCoords_13_0.elementAt(52);
      expect(textureCoord_13_0_52, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_53 = textureCoords_13_0.elementAt(53);
      expect(textureCoord_13_0_53, vector3MoreOrLessEquals(Vector3(0.283564001, 1, 0)));
      final textureCoord_13_0_54 = textureCoords_13_0.elementAt(54);
      expect(textureCoord_13_0_54, vector3MoreOrLessEquals(Vector3(0, 0.5, 0)));
      final textureCoord_13_0_55 = textureCoords_13_0.elementAt(55);
      expect(textureCoord_13_0_55, vector3MoreOrLessEquals(Vector3(0.0217969995, 0.809017003, 0)));
      final textureCoord_13_0_56 = textureCoords_13_0.elementAt(56);
      expect(textureCoord_13_0_56, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_57 = textureCoords_13_0.elementAt(57);
      expect(textureCoord_13_0_57, vector3MoreOrLessEquals(Vector3(0.283564001, 1, 0)));
      final textureCoord_13_0_58 = textureCoords_13_0.elementAt(58);
      expect(textureCoord_13_0_58, vector3MoreOrLessEquals(Vector3(0.183577999, 0.690982997, 0)));
      final textureCoord_13_0_59 = textureCoords_13_0.elementAt(59);
      expect(textureCoord_13_0_59, vector3MoreOrLessEquals(Vector3(0.0217969995, 0.809017003, 0)));
      expect(mesh_13.uvComponents.length, equals(1));
      expect(mesh_13.uvComponents, equals([2]));
      expect(mesh_13.faces.length, equals(20));
      expect(mesh_13.bones.length, isZero);
      expect(mesh_13.materialIndex, equals(1));
      expect(mesh_13.name, equals('Brust'));
      expect(mesh_13.animMeshes.length, isZero);
      expect(mesh_13.morphingMethod, isZero);
      expect(mesh_13.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_14 = meshes.elementAt(14);
      expect(mesh_14.primitiveTypes, equals(4));
      expect(mesh_14.vertices.length, equals(270));
      final vertex_14_0 = mesh_14.vertices.elementAt(0);
      expect(vertex_14_0, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.98888683)));
      final vertex_14_1 = mesh_14.vertices.elementAt(1);
      expect(vertex_14_1, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -12.5968161)));
      final vertex_14_2 = mesh_14.vertices.elementAt(2);
      expect(vertex_14_2, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_3 = mesh_14.vertices.elementAt(3);
      expect(vertex_14_3, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -12.5968161)));
      final vertex_14_4 = mesh_14.vertices.elementAt(4);
      expect(vertex_14_4, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_5 = mesh_14.vertices.elementAt(5);
      expect(vertex_14_5, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_6 = mesh_14.vertices.elementAt(6);
      expect(vertex_14_6, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -15.9888859)));
      final vertex_14_7 = mesh_14.vertices.elementAt(7);
      expect(vertex_14_7, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -15.1850386)));
      final vertex_14_8 = mesh_14.vertices.elementAt(8);
      expect(vertex_14_8, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.98888683)));
      final vertex_14_9 = mesh_14.vertices.elementAt(9);
      expect(vertex_14_9, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_10 = mesh_14.vertices.elementAt(10);
      expect(vertex_14_10, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -15.9888859)));
      final vertex_14_11 = mesh_14.vertices.elementAt(11);
      expect(vertex_14_11, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_12 = mesh_14.vertices.elementAt(12);
      expect(vertex_14_12, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_13 = mesh_14.vertices.elementAt(13);
      expect(vertex_14_13, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -15.9888859)));
      final vertex_14_14 = mesh_14.vertices.elementAt(14);
      expect(vertex_14_14, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.98888683)));
      final vertex_14_15 = mesh_14.vertices.elementAt(15);
      expect(vertex_14_15, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -15.9888859)));
      final vertex_14_16 = mesh_14.vertices.elementAt(16);
      expect(vertex_14_16, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_17 = mesh_14.vertices.elementAt(17);
      expect(vertex_14_17, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_18 = mesh_14.vertices.elementAt(18);
      expect(vertex_14_18, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -12.9888868)));
      final vertex_14_19 = mesh_14.vertices.elementAt(19);
      expect(vertex_14_19, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_20 = mesh_14.vertices.elementAt(20);
      expect(vertex_14_20, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.98888683)));
      final vertex_14_21 = mesh_14.vertices.elementAt(21);
      expect(vertex_14_21, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_22 = mesh_14.vertices.elementAt(22);
      expect(vertex_14_22, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -12.9888868)));
      final vertex_14_23 = mesh_14.vertices.elementAt(23);
      expect(vertex_14_23, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_24 = mesh_14.vertices.elementAt(24);
      expect(vertex_14_24, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.98888683)));
      final vertex_14_25 = mesh_14.vertices.elementAt(25);
      expect(vertex_14_25, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -12.9888868)));
      final vertex_14_26 = mesh_14.vertices.elementAt(26);
      expect(vertex_14_26, vector3MoreOrLessEquals(Vector3(-53.9999886, 2.33333397, -9.98888683)));
      final vertex_14_27 = mesh_14.vertices.elementAt(27);
      expect(vertex_14_27, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -12.9888868)));
      final vertex_14_28 = mesh_14.vertices.elementAt(28);
      expect(vertex_14_28, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.98888683)));
      final vertex_14_29 = mesh_14.vertices.elementAt(29);
      expect(vertex_14_29, vector3MoreOrLessEquals(Vector3(-53.9999886, 26.3333378, -9.98888683)));
      final vertex_14_30 = mesh_14.vertices.elementAt(30);
      expect(vertex_14_30, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -15.1850386)));
      final vertex_14_31 = mesh_14.vertices.elementAt(31);
      expect(vertex_14_31, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -18.9888859)));
      final vertex_14_32 = mesh_14.vertices.elementAt(32);
      expect(vertex_14_32, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -19.8517056)));
      final vertex_14_33 = mesh_14.vertices.elementAt(33);
      expect(vertex_14_33, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_34 = mesh_14.vertices.elementAt(34);
      expect(vertex_14_34, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -18.9888859)));
      final vertex_14_35 = mesh_14.vertices.elementAt(35);
      expect(vertex_14_35, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -15.1850386)));
      final vertex_14_36 = mesh_14.vertices.elementAt(36);
      expect(vertex_14_36, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -15.9888859)));
      final vertex_14_37 = mesh_14.vertices.elementAt(37);
      expect(vertex_14_37, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_38 = mesh_14.vertices.elementAt(38);
      expect(vertex_14_38, vector3MoreOrLessEquals(Vector3(-50.9999886, 3.94103098, -15.1850386)));
      final vertex_14_39 = mesh_14.vertices.elementAt(39);
      expect(vertex_14_39, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_40 = mesh_14.vertices.elementAt(40);
      expect(vertex_14_40, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_41 = mesh_14.vertices.elementAt(41);
      expect(vertex_14_41, vector3MoreOrLessEquals(Vector3(-53.9999886, 3.94103098, -15.9888859)));
      final vertex_14_42 = mesh_14.vertices.elementAt(42);
      expect(vertex_14_42, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_43 = mesh_14.vertices.elementAt(43);
      expect(vertex_14_43, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -18.9888859)));
      final vertex_14_44 = mesh_14.vertices.elementAt(44);
      expect(vertex_14_44, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_45 = mesh_14.vertices.elementAt(45);
      expect(vertex_14_45, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_46 = mesh_14.vertices.elementAt(46);
      expect(vertex_14_46, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -18.9888859)));
      final vertex_14_47 = mesh_14.vertices.elementAt(47);
      expect(vertex_14_47, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_48 = mesh_14.vertices.elementAt(48);
      expect(vertex_14_48, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -12.9888868)));
      final vertex_14_49 = mesh_14.vertices.elementAt(49);
      expect(vertex_14_49, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_50 = mesh_14.vertices.elementAt(50);
      expect(vertex_14_50, vector3MoreOrLessEquals(Vector3(-55.8000031, 6.94102716, -15.1850386)));
      final vertex_14_51 = mesh_14.vertices.elementAt(51);
      expect(vertex_14_51, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.98888683)));
      final vertex_14_52 = mesh_14.vertices.elementAt(52);
      expect(vertex_14_52, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_53 = mesh_14.vertices.elementAt(53);
      expect(vertex_14_53, vector3MoreOrLessEquals(Vector3(-57.9961586, 5.77436304, -12.9888868)));
      final vertex_14_54 = mesh_14.vertices.elementAt(54);
      expect(vertex_14_54, vector3MoreOrLessEquals(Vector3(-58.8000069, 5.77436304, -9.98888683)));
      final vertex_14_55 = mesh_14.vertices.elementAt(55);
      expect(vertex_14_55, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53335094, -9.98888683)));
      final vertex_14_56 = mesh_14.vertices.elementAt(56);
      expect(vertex_14_56, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_57 = mesh_14.vertices.elementAt(57);
      expect(vertex_14_57, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -19.8517056)));
      final vertex_14_58 = mesh_14.vertices.elementAt(58);
      expect(vertex_14_58, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.98888683)));
      final vertex_14_59 = mesh_14.vertices.elementAt(59);
      expect(vertex_14_59, vector3MoreOrLessEquals(Vector3(-43.6076851, 8.33333492, -9.98888683)));
      final vertex_14_60 = mesh_14.vertices.elementAt(60);
      expect(vertex_14_60, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -19.8517056)));
      final vertex_14_61 = mesh_14.vertices.elementAt(61);
      expect(vertex_14_61, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -19.8714123)));
      final vertex_14_62 = mesh_14.vertices.elementAt(62);
      expect(vertex_14_62, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.98888683)));
      final vertex_14_63 = mesh_14.vertices.elementAt(63);
      expect(vertex_14_63, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_64 = mesh_14.vertices.elementAt(64);
      expect(vertex_14_64, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -19.8714123)));
      final vertex_14_65 = mesh_14.vertices.elementAt(65);
      expect(vertex_14_65, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -19.8517056)));
      final vertex_14_66 = mesh_14.vertices.elementAt(66);
      expect(vertex_14_66, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -18.9888859)));
      final vertex_14_67 = mesh_14.vertices.elementAt(67);
      expect(vertex_14_67, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_68 = mesh_14.vertices.elementAt(68);
      expect(vertex_14_68, vector3MoreOrLessEquals(Vector3(-45.4444313, 8.33333492, -19.8517056)));
      final vertex_14_69 = mesh_14.vertices.elementAt(69);
      expect(vertex_14_69, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_70 = mesh_14.vertices.elementAt(70);
      expect(vertex_14_70, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_71 = mesh_14.vertices.elementAt(71);
      expect(vertex_14_71, vector3MoreOrLessEquals(Vector3(-48.8038368, 8.33333492, -18.9888859)));
      final vertex_14_72 = mesh_14.vertices.elementAt(72);
      expect(vertex_14_72, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_73 = mesh_14.vertices.elementAt(73);
      expect(vertex_14_73, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, -21.9888859)));
      final vertex_14_74 = mesh_14.vertices.elementAt(74);
      expect(vertex_14_74, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_75 = mesh_14.vertices.elementAt(75);
      expect(vertex_14_75, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_76 = mesh_14.vertices.elementAt(76);
      expect(vertex_14_76, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, -21.9888859)));
      final vertex_14_77 = mesh_14.vertices.elementAt(77);
      expect(vertex_14_77, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_78 = mesh_14.vertices.elementAt(78);
      expect(vertex_14_78, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -18.9888859)));
      final vertex_14_79 = mesh_14.vertices.elementAt(79);
      expect(vertex_14_79, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_80 = mesh_14.vertices.elementAt(80);
      expect(vertex_14_80, vector3MoreOrLessEquals(Vector3(-53.9999886, 10.6666737, -21.7557697)));
      final vertex_14_81 = mesh_14.vertices.elementAt(81);
      expect(vertex_14_81, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_82 = mesh_14.vertices.elementAt(82);
      expect(vertex_14_82, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_83 = mesh_14.vertices.elementAt(83);
      expect(vertex_14_83, vector3MoreOrLessEquals(Vector3(-59.1961403, 8.33333492, -18.9888859)));
      final vertex_14_84 = mesh_14.vertices.elementAt(84);
      expect(vertex_14_84, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_85 = mesh_14.vertices.elementAt(85);
      expect(vertex_14_85, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_86 = mesh_14.vertices.elementAt(86);
      expect(vertex_14_86, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_87 = mesh_14.vertices.elementAt(87);
      expect(vertex_14_87, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.98888683)));
      final vertex_14_88 = mesh_14.vertices.elementAt(88);
      expect(vertex_14_88, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_89 = mesh_14.vertices.elementAt(89);
      expect(vertex_14_89, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_90 = mesh_14.vertices.elementAt(90);
      expect(vertex_14_90, vector3MoreOrLessEquals(Vector3(-64.1922989, 7.53335094, -9.98888683)));
      final vertex_14_91 = mesh_14.vertices.elementAt(91);
      expect(vertex_14_91, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.98888683)));
      final vertex_14_92 = mesh_14.vertices.elementAt(92);
      expect(vertex_14_92, vector3MoreOrLessEquals(Vector3(-62.9999886, 8.33333492, -15.1850386)));
      final vertex_14_93 = mesh_14.vertices.elementAt(93);
      expect(vertex_14_93, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_94 = mesh_14.vertices.elementAt(94);
      expect(vertex_14_94, vector3MoreOrLessEquals(Vector3(-38.807682, 21.8860416, -9.98888683)));
      final vertex_14_95 = mesh_14.vertices.elementAt(95);
      expect(vertex_14_95, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.98888683)));
      final vertex_14_96 = mesh_14.vertices.elementAt(96);
      expect(vertex_14_96, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -19.8714123)));
      final vertex_14_97 = mesh_14.vertices.elementAt(97);
      expect(vertex_14_97, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_98 = mesh_14.vertices.elementAt(98);
      expect(vertex_14_98, vector3MoreOrLessEquals(Vector3(-37.1999855, 18.6544285, -9.98888683)));
      final vertex_14_99 = mesh_14.vertices.elementAt(99);
      expect(vertex_14_99, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_100 = mesh_14.vertices.elementAt(100);
      expect(vertex_14_100, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_101 = mesh_14.vertices.elementAt(101);
      expect(vertex_14_101, vector3MoreOrLessEquals(Vector3(-39.2521248, 18.6544285, -19.8714123)));
      final vertex_14_102 = mesh_14.vertices.elementAt(102);
      expect(vertex_14_102, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_103 = mesh_14.vertices.elementAt(103);
      expect(vertex_14_103, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, -22.4793415)));
      final vertex_14_104 = mesh_14.vertices.elementAt(104);
      expect(vertex_14_104, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_105 = mesh_14.vertices.elementAt(105);
      expect(vertex_14_105, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_106 = mesh_14.vertices.elementAt(106);
      expect(vertex_14_106, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, -22.4793415)));
      final vertex_14_107 = mesh_14.vertices.elementAt(107);
      expect(vertex_14_107, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_108 = mesh_14.vertices.elementAt(108);
      expect(vertex_14_108, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, -21.9888859)));
      final vertex_14_109 = mesh_14.vertices.elementAt(109);
      expect(vertex_14_109, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_110 = mesh_14.vertices.elementAt(110);
      expect(vertex_14_110, vector3MoreOrLessEquals(Vector3(-43.6444283, 18.6544285, -23.6896877)));
      final vertex_14_111 = mesh_14.vertices.elementAt(111);
      expect(vertex_14_111, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_112 = mesh_14.vertices.elementAt(112);
      expect(vertex_14_112, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_113 = mesh_14.vertices.elementAt(113);
      expect(vertex_14_113, vector3MoreOrLessEquals(Vector3(-53.9999886, 14.3333378, -21.9888859)));
      final vertex_14_114 = mesh_14.vertices.elementAt(114);
      expect(vertex_14_114, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_115 = mesh_14.vertices.elementAt(115);
      expect(vertex_14_115, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_116 = mesh_14.vertices.elementAt(116);
      expect(vertex_14_116, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_117 = mesh_14.vertices.elementAt(117);
      expect(vertex_14_117, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.98888683)));
      final vertex_14_118 = mesh_14.vertices.elementAt(118);
      expect(vertex_14_118, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_119 = mesh_14.vertices.elementAt(119);
      expect(vertex_14_119, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_120 = mesh_14.vertices.elementAt(120);
      expect(vertex_14_120, vector3MoreOrLessEquals(Vector3(-66.3999863, 12.3333464, -9.98888683)));
      final vertex_14_121 = mesh_14.vertices.elementAt(121);
      expect(vertex_14_121, vector3MoreOrLessEquals(Vector3(-64.3922958, 20.3333378, -9.98888683)));
      final vertex_14_122 = mesh_14.vertices.elementAt(122);
      expect(vertex_14_122, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_123 = mesh_14.vertices.elementAt(123);
      expect(vertex_14_123, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_124 = mesh_14.vertices.elementAt(124);
      expect(vertex_14_124, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.98888683)));
      final vertex_14_125 = mesh_14.vertices.elementAt(125);
      expect(vertex_14_125, vector3MoreOrLessEquals(Vector3(-38.807682, 21.8860416, -9.98888683)));
      final vertex_14_126 = mesh_14.vertices.elementAt(126);
      expect(vertex_14_126, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_127 = mesh_14.vertices.elementAt(127);
      expect(vertex_14_127, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -12.5968161)));
      final vertex_14_128 = mesh_14.vertices.elementAt(128);
      expect(vertex_14_128, vector3MoreOrLessEquals(Vector3(-43.1999855, 24.2517948, -9.98888683)));
      final vertex_14_129 = mesh_14.vertices.elementAt(129);
      expect(vertex_14_129, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_130 = mesh_14.vertices.elementAt(130);
      expect(vertex_14_130, vector3MoreOrLessEquals(Vector3(-44.0038338, 24.2517948, -12.5968161)));
      final vertex_14_131 = mesh_14.vertices.elementAt(131);
      expect(vertex_14_131, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_132 = mesh_14.vertices.elementAt(132);
      expect(vertex_14_132, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, -22.4793415)));
      final vertex_14_133 = mesh_14.vertices.elementAt(133);
      expect(vertex_14_133, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_134 = mesh_14.vertices.elementAt(134);
      expect(vertex_14_134, vector3MoreOrLessEquals(Vector3(-40.6444283, 21.8860416, -19.1726208)));
      final vertex_14_135 = mesh_14.vertices.elementAt(135);
      expect(vertex_14_135, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_136 = mesh_14.vertices.elementAt(136);
      expect(vertex_14_136, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_137 = mesh_14.vertices.elementAt(137);
      expect(vertex_14_137, vector3MoreOrLessEquals(Vector3(-44.4482765, 21.8860416, -22.4793415)));
      final vertex_14_138 = mesh_14.vertices.elementAt(138);
      expect(vertex_14_138, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_139 = mesh_14.vertices.elementAt(139);
      expect(vertex_14_139, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -15.9888859)));
      final vertex_14_140 = mesh_14.vertices.elementAt(140);
      expect(vertex_14_140, vector3MoreOrLessEquals(Vector3(-46.6444283, 24.2517948, -19.1726208)));
      final vertex_14_141 = mesh_14.vertices.elementAt(141);
      expect(vertex_14_141, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_142 = mesh_14.vertices.elementAt(142);
      expect(vertex_14_142, vector3MoreOrLessEquals(Vector3(-53.9999886, 24.7256413, -15.9888859)));
      final vertex_14_143 = mesh_14.vertices.elementAt(143);
      expect(vertex_14_143, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_144 = mesh_14.vertices.elementAt(144);
      expect(vertex_14_144, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_145 = mesh_14.vertices.elementAt(145);
      expect(vertex_14_145, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_146 = mesh_14.vertices.elementAt(146);
      expect(vertex_14_146, vector3MoreOrLessEquals(Vector3(-53.9999886, 20.3333378, -20.3811893)));
      final vertex_14_147 = mesh_14.vertices.elementAt(147);
      expect(vertex_14_147, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_148 = mesh_14.vertices.elementAt(148);
      expect(vertex_14_148, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_149 = mesh_14.vertices.elementAt(149);
      expect(vertex_14_149, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_150 = mesh_14.vertices.elementAt(150);
      expect(vertex_14_150, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_151 = mesh_14.vertices.elementAt(151);
      expect(vertex_14_151, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -12.9888868)));
      final vertex_14_152 = mesh_14.vertices.elementAt(152);
      expect(vertex_14_152, vector3MoreOrLessEquals(Vector3(-56.9999847, 24.7256413, -15.1850395)));
      final vertex_14_153 = mesh_14.vertices.elementAt(153);
      expect(vertex_14_153, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.98888683)));
      final vertex_14_154 = mesh_14.vertices.elementAt(154);
      expect(vertex_14_154, vector3MoreOrLessEquals(Vector3(-59.1961403, 24.7256413, -12.9888868)));
      final vertex_14_155 = mesh_14.vertices.elementAt(155);
      expect(vertex_14_155, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_156 = mesh_14.vertices.elementAt(156);
      expect(vertex_14_156, vector3MoreOrLessEquals(Vector3(-64.3922958, 20.3333378, -9.98888683)));
      final vertex_14_157 = mesh_14.vertices.elementAt(157);
      expect(vertex_14_157, vector3MoreOrLessEquals(Vector3(-59.9999924, 24.7256413, -9.98888683)));
      final vertex_14_158 = mesh_14.vertices.elementAt(158);
      expect(vertex_14_158, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_159 = mesh_14.vertices.elementAt(159);
      expect(vertex_14_159, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -14.4465094)));
      final vertex_14_160 = mesh_14.vertices.elementAt(160);
      expect(vertex_14_160, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -14.3284903)));
      final vertex_14_161 = mesh_14.vertices.elementAt(161);
      expect(vertex_14_161, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -13.7940779)));
      final vertex_14_162 = mesh_14.vertices.elementAt(162);
      expect(vertex_14_162, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -14.4465094)));
      final vertex_14_163 = mesh_14.vertices.elementAt(163);
      expect(vertex_14_163, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -14.5430727)));
      final vertex_14_164 = mesh_14.vertices.elementAt(164);
      expect(vertex_14_164, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_165 = mesh_14.vertices.elementAt(165);
      expect(vertex_14_165, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_166 = mesh_14.vertices.elementAt(166);
      expect(vertex_14_166, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -13.7940779)));
      final vertex_14_167 = mesh_14.vertices.elementAt(167);
      expect(vertex_14_167, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -14.4465094)));
      final vertex_14_168 = mesh_14.vertices.elementAt(168);
      expect(vertex_14_168, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_169 = mesh_14.vertices.elementAt(169);
      expect(vertex_14_169, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -14.5430727)));
      final vertex_14_170 = mesh_14.vertices.elementAt(170);
      expect(vertex_14_170, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_171 = mesh_14.vertices.elementAt(171);
      expect(vertex_14_171, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -15.3351536)));
      final vertex_14_172 = mesh_14.vertices.elementAt(172);
      expect(vertex_14_172, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_173 = mesh_14.vertices.elementAt(173);
      expect(vertex_14_173, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -14.5430727)));
      final vertex_14_174 = mesh_14.vertices.elementAt(174);
      expect(vertex_14_174, vector3MoreOrLessEquals(Vector3(-62.9556313, 14.6428699, -14.5430727)));
      final vertex_14_175 = mesh_14.vertices.elementAt(175);
      expect(vertex_14_175, vector3MoreOrLessEquals(Vector3(-62.3322067, 15.0618153, -14.4465094)));
      final vertex_14_176 = mesh_14.vertices.elementAt(176);
      expect(vertex_14_176, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -15.3351536)));
      final vertex_14_177 = mesh_14.vertices.elementAt(177);
      expect(vertex_14_177, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_178 = mesh_14.vertices.elementAt(178);
      expect(vertex_14_178, vector3MoreOrLessEquals(Vector3(-62.0773849, 15.0708561, -15.3351536)));
      final vertex_14_179 = mesh_14.vertices.elementAt(179);
      expect(vertex_14_179, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -16.5184193)));
      final vertex_14_180 = mesh_14.vertices.elementAt(180);
      expect(vertex_14_180, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -16.5184193)));
      final vertex_14_181 = mesh_14.vertices.elementAt(181);
      expect(vertex_14_181, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -17.2394543)));
      final vertex_14_182 = mesh_14.vertices.elementAt(182);
      expect(vertex_14_182, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_183 = mesh_14.vertices.elementAt(183);
      expect(vertex_14_183, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -17.6888561)));
      final vertex_14_184 = mesh_14.vertices.elementAt(184);
      expect(vertex_14_184, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -16.5184193)));
      final vertex_14_185 = mesh_14.vertices.elementAt(185);
      expect(vertex_14_185, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -17.1625118)));
      final vertex_14_186 = mesh_14.vertices.elementAt(186);
      expect(vertex_14_186, vector3MoreOrLessEquals(Vector3(-61.7381058, 15.7371845, -16.5184193)));
      final vertex_14_187 = mesh_14.vertices.elementAt(187);
      expect(vertex_14_187, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -17.6888561)));
      final vertex_14_188 = mesh_14.vertices.elementAt(188);
      expect(vertex_14_188, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -17.2394543)));
      final vertex_14_189 = mesh_14.vertices.elementAt(189);
      expect(vertex_14_189, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_190 = mesh_14.vertices.elementAt(190);
      expect(vertex_14_190, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -17.1625118)));
      final vertex_14_191 = mesh_14.vertices.elementAt(191);
      expect(vertex_14_191, vector3MoreOrLessEquals(Vector3(-61.5824509, 17.6344547, -17.061182)));
      final vertex_14_192 = mesh_14.vertices.elementAt(192);
      expect(vertex_14_192, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_193 = mesh_14.vertices.elementAt(193);
      expect(vertex_14_193, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -17.6888561)));
      final vertex_14_194 = mesh_14.vertices.elementAt(194);
      expect(vertex_14_194, vector3MoreOrLessEquals(Vector3(-61.5534134, 16.7450809, -17.1625118)));
      final vertex_14_195 = mesh_14.vertices.elementAt(195);
      expect(vertex_14_195, vector3MoreOrLessEquals(Vector3(-61.5824509, 17.6344547, -17.061182)));
      final vertex_14_196 = mesh_14.vertices.elementAt(196);
      expect(vertex_14_196, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -16.5640697)));
      final vertex_14_197 = mesh_14.vertices.elementAt(197);
      expect(vertex_14_197, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_198 = mesh_14.vertices.elementAt(198);
      expect(vertex_14_198, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -16.5640697)));
      final vertex_14_199 = mesh_14.vertices.elementAt(199);
      expect(vertex_14_199, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -16.79006)));
      final vertex_14_200 = mesh_14.vertices.elementAt(200);
      expect(vertex_14_200, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_201 = mesh_14.vertices.elementAt(201);
      expect(vertex_14_201, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -16.5640697)));
      final vertex_14_202 = mesh_14.vertices.elementAt(202);
      expect(vertex_14_202, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_203 = mesh_14.vertices.elementAt(203);
      expect(vertex_14_203, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -16.79006)));
      final vertex_14_204 = mesh_14.vertices.elementAt(204);
      expect(vertex_14_204, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_205 = mesh_14.vertices.elementAt(205);
      expect(vertex_14_205, vector3MoreOrLessEquals(Vector3(-61.7249832, 18.155695, -16.5640697)));
      final vertex_14_206 = mesh_14.vertices.elementAt(206);
      expect(vertex_14_206, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -15.9744778)));
      final vertex_14_207 = mesh_14.vertices.elementAt(207);
      expect(vertex_14_207, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -15.9744778)));
      final vertex_14_208 = mesh_14.vertices.elementAt(208);
      expect(vertex_14_208, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_209 = mesh_14.vertices.elementAt(209);
      expect(vertex_14_209, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_210 = mesh_14.vertices.elementAt(210);
      expect(vertex_14_210, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_211 = mesh_14.vertices.elementAt(211);
      expect(vertex_14_211, vector3MoreOrLessEquals(Vector3(-61.8940659, 18.0415897, -15.9744778)));
      final vertex_14_212 = mesh_14.vertices.elementAt(212);
      expect(vertex_14_212, vector3MoreOrLessEquals(Vector3(-62.0703506, 17.6996632, -15.3596745)));
      final vertex_14_213 = mesh_14.vertices.elementAt(213);
      expect(vertex_14_213, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_214 = mesh_14.vertices.elementAt(214);
      expect(vertex_14_214, vector3MoreOrLessEquals(Vector3(-62.0703506, 17.6996632, -15.3596745)));
      final vertex_14_215 = mesh_14.vertices.elementAt(215);
      expect(vertex_14_215, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -15.1914148)));
      final vertex_14_216 = mesh_14.vertices.elementAt(216);
      expect(vertex_14_216, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -15.1914148)));
      final vertex_14_217 = mesh_14.vertices.elementAt(217);
      expect(vertex_14_217, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -14.5430727)));
      final vertex_14_218 = mesh_14.vertices.elementAt(218);
      expect(vertex_14_218, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_219 = mesh_14.vertices.elementAt(219);
      expect(vertex_14_219, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -14.5430727)));
      final vertex_14_220 = mesh_14.vertices.elementAt(220);
      expect(vertex_14_220, vector3MoreOrLessEquals(Vector3(-62.1186295, 16.9810658, -15.1914148)));
      final vertex_14_221 = mesh_14.vertices.elementAt(221);
      expect(vertex_14_221, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -14.9010525)));
      final vertex_14_222 = mesh_14.vertices.elementAt(222);
      expect(vertex_14_222, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -14.9010525)));
      final vertex_14_223 = mesh_14.vertices.elementAt(223);
      expect(vertex_14_223, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -13.9438753)));
      final vertex_14_224 = mesh_14.vertices.elementAt(224);
      expect(vertex_14_224, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -14.5430727)));
      final vertex_14_225 = mesh_14.vertices.elementAt(225);
      expect(vertex_14_225, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -13.9438753)));
      final vertex_14_226 = mesh_14.vertices.elementAt(226);
      expect(vertex_14_226, vector3MoreOrLessEquals(Vector3(-62.2018814, 16.1616688, -14.9010525)));
      final vertex_14_227 = mesh_14.vertices.elementAt(227);
      expect(vertex_14_227, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -14.3284903)));
      final vertex_14_228 = mesh_14.vertices.elementAt(228);
      expect(vertex_14_228, vector3MoreOrLessEquals(Vector3(-62.3660316, 15.3991489, -14.3284903)));
      final vertex_14_229 = mesh_14.vertices.elementAt(229);
      expect(vertex_14_229, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -13.7940779)));
      final vertex_14_230 = mesh_14.vertices.elementAt(230);
      expect(vertex_14_230, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -13.9438753)));
      final vertex_14_231 = mesh_14.vertices.elementAt(231);
      expect(vertex_14_231, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_232 = mesh_14.vertices.elementAt(232);
      expect(vertex_14_232, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_233 = mesh_14.vertices.elementAt(233);
      expect(vertex_14_233, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -13.7940779)));
      final vertex_14_234 = mesh_14.vertices.elementAt(234);
      expect(vertex_14_234, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_235 = mesh_14.vertices.elementAt(235);
      expect(vertex_14_235, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -13.9438753)));
      final vertex_14_236 = mesh_14.vertices.elementAt(236);
      expect(vertex_14_236, vector3MoreOrLessEquals(Vector3(-63.3209076, 15.1428699, -13.7940779)));
      final vertex_14_237 = mesh_14.vertices.elementAt(237);
      expect(vertex_14_237, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_238 = mesh_14.vertices.elementAt(238);
      expect(vertex_14_238, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -14.5430727)));
      final vertex_14_239 = mesh_14.vertices.elementAt(239);
      expect(vertex_14_239, vector3MoreOrLessEquals(Vector3(-63.2478638, 16.3095264, -13.9438753)));
      final vertex_14_240 = mesh_14.vertices.elementAt(240);
      expect(vertex_14_240, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_241 = mesh_14.vertices.elementAt(241);
      expect(vertex_14_241, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_242 = mesh_14.vertices.elementAt(242);
      expect(vertex_14_242, vector3MoreOrLessEquals(Vector3(-62.9556313, 16.9761982, -14.5430727)));
      final vertex_14_243 = mesh_14.vertices.elementAt(243);
      expect(vertex_14_243, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_244 = mesh_14.vertices.elementAt(244);
      expect(vertex_14_244, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_245 = mesh_14.vertices.elementAt(245);
      expect(vertex_14_245, vector3MoreOrLessEquals(Vector3(-62.7364693, 18.1428699, -14.9924726)));
      final vertex_14_246 = mesh_14.vertices.elementAt(246);
      expect(vertex_14_246, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_247 = mesh_14.vertices.elementAt(247);
      expect(vertex_14_247, vector3MoreOrLessEquals(Vector3(-63.0638733, 19.4761982, -13.1230984)));
      final vertex_14_248 = mesh_14.vertices.elementAt(248);
      expect(vertex_14_248, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_249 = mesh_14.vertices.elementAt(249);
      expect(vertex_14_249, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_250 = mesh_14.vertices.elementAt(250);
      expect(vertex_14_250, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -16.79006)));
      final vertex_14_251 = mesh_14.vertices.elementAt(251);
      expect(vertex_14_251, vector3MoreOrLessEquals(Vector3(-62.2980881, 18.6428699, -15.8912563)));
      final vertex_14_252 = mesh_14.vertices.elementAt(252);
      expect(vertex_14_252, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_253 = mesh_14.vertices.elementAt(253);
      expect(vertex_14_253, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_254 = mesh_14.vertices.elementAt(254);
      expect(vertex_14_254, vector3MoreOrLessEquals(Vector3(-61.8597031, 18.4761982, -16.79006)));
      final vertex_14_255 = mesh_14.vertices.elementAt(255);
      expect(vertex_14_255, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_256 = mesh_14.vertices.elementAt(256);
      expect(vertex_14_256, vector3MoreOrLessEquals(Vector3(-64.6092987, 13.4761992, -13.5662394)));
      final vertex_14_257 = mesh_14.vertices.elementAt(257);
      expect(vertex_14_257, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_258 = mesh_14.vertices.elementAt(258);
      expect(vertex_14_258, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_259 = mesh_14.vertices.elementAt(259);
      expect(vertex_14_259, vector3MoreOrLessEquals(Vector3(-62.3711281, 14.4761982, -15.7414646)));
      final vertex_14_260 = mesh_14.vertices.elementAt(260);
      expect(vertex_14_260, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -17.2394543)));
      final vertex_14_261 = mesh_14.vertices.elementAt(261);
      expect(vertex_14_261, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_262 = mesh_14.vertices.elementAt(262);
      expect(vertex_14_262, vector3MoreOrLessEquals(Vector3(-61.6405258, 15.3095264, -17.2394543)));
      final vertex_14_263 = mesh_14.vertices.elementAt(263);
      expect(vertex_14_263, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -17.6888561)));
      final vertex_14_264 = mesh_14.vertices.elementAt(264);
      expect(vertex_14_264, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_265 = mesh_14.vertices.elementAt(265);
      expect(vertex_14_265, vector3MoreOrLessEquals(Vector3(-60.2932663, 19.4761982, -17.73419)));
      final vertex_14_266 = mesh_14.vertices.elementAt(266);
      expect(vertex_14_266, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_267 = mesh_14.vertices.elementAt(267);
      expect(vertex_14_267, vector3MoreOrLessEquals(Vector3(-61.4100723, 13.4761992, -18.8906689)));
      final vertex_14_268 = mesh_14.vertices.elementAt(268);
      expect(vertex_14_268, vector3MoreOrLessEquals(Vector3(-61.5674515, 17.8095264, -17.3892536)));
      final vertex_14_269 = mesh_14.vertices.elementAt(269);
      expect(vertex_14_269, vector3MoreOrLessEquals(Vector3(-61.4213486, 16.6428699, -17.6888561)));
      expect(mesh_14.normals.length, equals(270));
      final normal_14_0 = mesh_14.normals.elementAt(0);
      expect(normal_14_0, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, -0.092678003)));
      final normal_14_1 = mesh_14.normals.elementAt(1);
      expect(normal_14_1, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, -0.100890003)));
      final normal_14_2 = mesh_14.normals.elementAt(2);
      expect(normal_14_2, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_3 = mesh_14.normals.elementAt(3);
      expect(normal_14_3, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, -0.100890003)));
      final normal_14_4 = mesh_14.normals.elementAt(4);
      expect(normal_14_4, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_5 = mesh_14.normals.elementAt(5);
      expect(normal_14_5, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_6 = mesh_14.normals.elementAt(6);
      expect(normal_14_6, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, -0.483660012)));
      final normal_14_7 = mesh_14.normals.elementAt(7);
      expect(normal_14_7, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, -0.660937011)));
      final normal_14_8 = mesh_14.normals.elementAt(8);
      expect(normal_14_8, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, -0.320569992)));
      final normal_14_9 = mesh_14.normals.elementAt(9);
      expect(normal_14_9, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_10 = mesh_14.normals.elementAt(10);
      expect(normal_14_10, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, -0.492056996)));
      final normal_14_11 = mesh_14.normals.elementAt(11);
      expect(normal_14_11, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_12 = mesh_14.normals.elementAt(12);
      expect(normal_14_12, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_13 = mesh_14.normals.elementAt(13);
      expect(normal_14_13, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, -0.483660012)));
      final normal_14_14 = mesh_14.normals.elementAt(14);
      expect(normal_14_14, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, -0.320569992)));
      final normal_14_15 = mesh_14.normals.elementAt(15);
      expect(normal_14_15, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, -0.492056996)));
      final normal_14_16 = mesh_14.normals.elementAt(16);
      expect(normal_14_16, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_17 = mesh_14.normals.elementAt(17);
      expect(normal_14_17, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_18 = mesh_14.normals.elementAt(18);
      expect(normal_14_18, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, -0.380071014)));
      final normal_14_19 = mesh_14.normals.elementAt(19);
      expect(normal_14_19, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_20 = mesh_14.normals.elementAt(20);
      expect(normal_14_20, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, -0.320569992)));
      final normal_14_21 = mesh_14.normals.elementAt(21);
      expect(normal_14_21, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_22 = mesh_14.normals.elementAt(22);
      expect(normal_14_22, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, -0.296463013)));
      final normal_14_23 = mesh_14.normals.elementAt(23);
      expect(normal_14_23, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_24 = mesh_14.normals.elementAt(24);
      expect(normal_14_24, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, -0.160593003)));
      final normal_14_25 = mesh_14.normals.elementAt(25);
      expect(normal_14_25, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, -0.380071014)));
      final normal_14_26 = mesh_14.normals.elementAt(26);
      expect(normal_14_26, vector3MoreOrLessEquals(Vector3(-0.438098013, -0.839824975, -0.320569992)));
      final normal_14_27 = mesh_14.normals.elementAt(27);
      expect(normal_14_27, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, -0.296463013)));
      final normal_14_28 = mesh_14.normals.elementAt(28);
      expect(normal_14_28, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, -0.253706992)));
      final normal_14_29 = mesh_14.normals.elementAt(29);
      expect(normal_14_29, vector3MoreOrLessEquals(Vector3(-0.0326850004, 0.987520993, -0.154060006)));
      final normal_14_30 = mesh_14.normals.elementAt(30);
      expect(normal_14_30, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, -0.660937011)));
      final normal_14_31 = mesh_14.normals.elementAt(31);
      expect(normal_14_31, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, -0.847189009)));
      final normal_14_32 = mesh_14.normals.elementAt(32);
      expect(normal_14_32, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, -0.682765007)));
      final normal_14_33 = mesh_14.normals.elementAt(33);
      expect(normal_14_33, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_34 = mesh_14.normals.elementAt(34);
      expect(normal_14_34, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, -0.847189009)));
      final normal_14_35 = mesh_14.normals.elementAt(35);
      expect(normal_14_35, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, -0.660937011)));
      final normal_14_36 = mesh_14.normals.elementAt(36);
      expect(normal_14_36, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, -0.483660012)));
      final normal_14_37 = mesh_14.normals.elementAt(37);
      expect(normal_14_37, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_38 = mesh_14.normals.elementAt(38);
      expect(normal_14_38, vector3MoreOrLessEquals(Vector3(0.0398080014, -0.749384999, -0.660937011)));
      final normal_14_39 = mesh_14.normals.elementAt(39);
      expect(normal_14_39, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_40 = mesh_14.normals.elementAt(40);
      expect(normal_14_40, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_41 = mesh_14.normals.elementAt(41);
      expect(normal_14_41, vector3MoreOrLessEquals(Vector3(-0.43642199, -0.758688986, -0.483660012)));
      final normal_14_42 = mesh_14.normals.elementAt(42);
      expect(normal_14_42, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_43 = mesh_14.normals.elementAt(43);
      expect(normal_14_43, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, -0.658111989)));
      final normal_14_44 = mesh_14.normals.elementAt(44);
      expect(normal_14_44, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_45 = mesh_14.normals.elementAt(45);
      expect(normal_14_45, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_46 = mesh_14.normals.elementAt(46);
      expect(normal_14_46, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, -0.658111989)));
      final normal_14_47 = mesh_14.normals.elementAt(47);
      expect(normal_14_47, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_48 = mesh_14.normals.elementAt(48);
      expect(normal_14_48, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, -0.380071014)));
      final normal_14_49 = mesh_14.normals.elementAt(49);
      expect(normal_14_49, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_50 = mesh_14.normals.elementAt(50);
      expect(normal_14_50, vector3MoreOrLessEquals(Vector3(-0.390507996, -0.802546978, -0.451023012)));
      final normal_14_51 = mesh_14.normals.elementAt(51);
      expect(normal_14_51, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, -0.160593003)));
      final normal_14_52 = mesh_14.normals.elementAt(52);
      expect(normal_14_52, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_53 = mesh_14.normals.elementAt(53);
      expect(normal_14_53, vector3MoreOrLessEquals(Vector3(-0.351839989, -0.855427027, -0.380071014)));
      final normal_14_54 = mesh_14.normals.elementAt(54);
      expect(normal_14_54, vector3MoreOrLessEquals(Vector3(-0.434502989, -0.886237979, -0.160593003)));
      final normal_14_55 = mesh_14.normals.elementAt(55);
      expect(normal_14_55, vector3MoreOrLessEquals(Vector3(-0.640429974, -0.723275006, -0.25830701)));
      final normal_14_56 = mesh_14.normals.elementAt(56);
      expect(normal_14_56, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_57 = mesh_14.normals.elementAt(57);
      expect(normal_14_57, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, -0.682765007)));
      final normal_14_58 = mesh_14.normals.elementAt(58);
      expect(normal_14_58, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, -0.196358994)));
      final normal_14_59 = mesh_14.normals.elementAt(59);
      expect(normal_14_59, vector3MoreOrLessEquals(Vector3(0.839146972, -0.520972013, -0.156274006)));
      final normal_14_60 = mesh_14.normals.elementAt(60);
      expect(normal_14_60, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, -0.682765007)));
      final normal_14_61 = mesh_14.normals.elementAt(61);
      expect(normal_14_61, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130669996, -0.511478007)));
      final normal_14_62 = mesh_14.normals.elementAt(62);
      expect(normal_14_62, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, -0.196358994)));
      final normal_14_63 = mesh_14.normals.elementAt(63);
      expect(normal_14_63, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_64 = mesh_14.normals.elementAt(64);
      expect(normal_14_64, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130669996, -0.511478007)));
      final normal_14_65 = mesh_14.normals.elementAt(65);
      expect(normal_14_65, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, -0.682765007)));
      final normal_14_66 = mesh_14.normals.elementAt(66);
      expect(normal_14_66, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, -0.847189009)));
      final normal_14_67 = mesh_14.normals.elementAt(67);
      expect(normal_14_67, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_68 = mesh_14.normals.elementAt(68);
      expect(normal_14_68, vector3MoreOrLessEquals(Vector3(0.461124003, -0.566742003, -0.682765007)));
      final normal_14_69 = mesh_14.normals.elementAt(69);
      expect(normal_14_69, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_70 = mesh_14.normals.elementAt(70);
      expect(normal_14_70, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_71 = mesh_14.normals.elementAt(71);
      expect(normal_14_71, vector3MoreOrLessEquals(Vector3(-0.0332790017, -0.530249, -0.847189009)));
      final normal_14_72 = mesh_14.normals.elementAt(72);
      expect(normal_14_72, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_73 = mesh_14.normals.elementAt(73);
      expect(normal_14_73, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, -0.949970007)));
      final normal_14_74 = mesh_14.normals.elementAt(74);
      expect(normal_14_74, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_75 = mesh_14.normals.elementAt(75);
      expect(normal_14_75, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_76 = mesh_14.normals.elementAt(76);
      expect(normal_14_76, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, -0.949970007)));
      final normal_14_77 = mesh_14.normals.elementAt(77);
      expect(normal_14_77, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_78 = mesh_14.normals.elementAt(78);
      expect(normal_14_78, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, -0.658111989)));
      final normal_14_79 = mesh_14.normals.elementAt(79);
      expect(normal_14_79, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_80 = mesh_14.normals.elementAt(80);
      expect(normal_14_80, vector3MoreOrLessEquals(Vector3(-0.155075997, -0.479386002, -0.863794029)));
      final normal_14_81 = mesh_14.normals.elementAt(81);
      expect(normal_14_81, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_82 = mesh_14.normals.elementAt(82);
      expect(normal_14_82, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_83 = mesh_14.normals.elementAt(83);
      expect(normal_14_83, vector3MoreOrLessEquals(Vector3(-0.332554013, -0.675496995, -0.658111989)));
      final normal_14_84 = mesh_14.normals.elementAt(84);
      expect(normal_14_84, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_85 = mesh_14.normals.elementAt(85);
      expect(normal_14_85, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_86 = mesh_14.normals.elementAt(86);
      expect(normal_14_86, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_87 = mesh_14.normals.elementAt(87);
      expect(normal_14_87, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, -0.399964005)));
      final normal_14_88 = mesh_14.normals.elementAt(88);
      expect(normal_14_88, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_89 = mesh_14.normals.elementAt(89);
      expect(normal_14_89, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_90 = mesh_14.normals.elementAt(90);
      expect(normal_14_90, vector3MoreOrLessEquals(Vector3(-0.640429974, -0.723275006, -0.25830701)));
      final normal_14_91 = mesh_14.normals.elementAt(91);
      expect(normal_14_91, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, -0.399964005)));
      final normal_14_92 = mesh_14.normals.elementAt(92);
      expect(normal_14_92, vector3MoreOrLessEquals(Vector3(-0.624351978, -0.649034023, -0.434671015)));
      final normal_14_93 = mesh_14.normals.elementAt(93);
      expect(normal_14_93, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_94 = mesh_14.normals.elementAt(94);
      expect(normal_14_94, vector3MoreOrLessEquals(Vector3(0.709958971, 0.689779997, -0.141992003)));
      final normal_14_95 = mesh_14.normals.elementAt(95);
      expect(normal_14_95, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, -0.196358994)));
      final normal_14_96 = mesh_14.normals.elementAt(96);
      expect(normal_14_96, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130669996, -0.511478007)));
      final normal_14_97 = mesh_14.normals.elementAt(97);
      expect(normal_14_97, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_98 = mesh_14.normals.elementAt(98);
      expect(normal_14_98, vector3MoreOrLessEquals(Vector3(0.979385972, -0.0473919995, -0.196358994)));
      final normal_14_99 = mesh_14.normals.elementAt(99);
      expect(normal_14_99, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_100 = mesh_14.normals.elementAt(100);
      expect(normal_14_100, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_101 = mesh_14.normals.elementAt(101);
      expect(normal_14_101, vector3MoreOrLessEquals(Vector3(0.859197021, -0.0130669996, -0.511478007)));
      final normal_14_102 = mesh_14.normals.elementAt(102);
      expect(normal_14_102, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_103 = mesh_14.normals.elementAt(103);
      expect(normal_14_103, vector3MoreOrLessEquals(Vector3(0.121527001, 0.638101995, -0.760299981)));
      final normal_14_104 = mesh_14.normals.elementAt(104);
      expect(normal_14_104, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_105 = mesh_14.normals.elementAt(105);
      expect(normal_14_105, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_106 = mesh_14.normals.elementAt(106);
      expect(normal_14_106, vector3MoreOrLessEquals(Vector3(0.121527001, 0.638101995, -0.760299981)));
      final normal_14_107 = mesh_14.normals.elementAt(107);
      expect(normal_14_107, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_108 = mesh_14.normals.elementAt(108);
      expect(normal_14_108, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, -0.949970007)));
      final normal_14_109 = mesh_14.normals.elementAt(109);
      expect(normal_14_109, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_110 = mesh_14.normals.elementAt(110);
      expect(normal_14_110, vector3MoreOrLessEquals(Vector3(0.169780999, 0.0179779995, -0.985318005)));
      final normal_14_111 = mesh_14.normals.elementAt(111);
      expect(normal_14_111, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_112 = mesh_14.normals.elementAt(112);
      expect(normal_14_112, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_113 = mesh_14.normals.elementAt(113);
      expect(normal_14_113, vector3MoreOrLessEquals(Vector3(-0.298123986, 0.0931639969, -0.949970007)));
      final normal_14_114 = mesh_14.normals.elementAt(114);
      expect(normal_14_114, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_115 = mesh_14.normals.elementAt(115);
      expect(normal_14_115, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_116 = mesh_14.normals.elementAt(116);
      expect(normal_14_116, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_117 = mesh_14.normals.elementAt(117);
      expect(normal_14_117, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, -0.399964005)));
      final normal_14_118 = mesh_14.normals.elementAt(118);
      expect(normal_14_118, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_119 = mesh_14.normals.elementAt(119);
      expect(normal_14_119, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_120 = mesh_14.normals.elementAt(120);
      expect(normal_14_120, vector3MoreOrLessEquals(Vector3(-0.916441977, -0.0127839996, -0.399964005)));
      final normal_14_121 = mesh_14.normals.elementAt(121);
      expect(normal_14_121, vector3MoreOrLessEquals(Vector3(-0.77738899, 0.439754993, -0.44975701)));
      final normal_14_122 = mesh_14.normals.elementAt(122);
      expect(normal_14_122, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_123 = mesh_14.normals.elementAt(123);
      expect(normal_14_123, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_124 = mesh_14.normals.elementAt(124);
      expect(normal_14_124, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, -0.092678003)));
      final normal_14_125 = mesh_14.normals.elementAt(125);
      expect(normal_14_125, vector3MoreOrLessEquals(Vector3(0.709958971, 0.689779997, -0.141992003)));
      final normal_14_126 = mesh_14.normals.elementAt(126);
      expect(normal_14_126, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_127 = mesh_14.normals.elementAt(127);
      expect(normal_14_127, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, -0.100890003)));
      final normal_14_128 = mesh_14.normals.elementAt(128);
      expect(normal_14_128, vector3MoreOrLessEquals(Vector3(0.356408, 0.929723024, -0.092678003)));
      final normal_14_129 = mesh_14.normals.elementAt(129);
      expect(normal_14_129, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_130 = mesh_14.normals.elementAt(130);
      expect(normal_14_130, vector3MoreOrLessEquals(Vector3(0.285616994, 0.95301801, -0.100890003)));
      final normal_14_131 = mesh_14.normals.elementAt(131);
      expect(normal_14_131, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_132 = mesh_14.normals.elementAt(132);
      expect(normal_14_132, vector3MoreOrLessEquals(Vector3(0.121527001, 0.638101995, -0.760299981)));
      final normal_14_133 = mesh_14.normals.elementAt(133);
      expect(normal_14_133, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_134 = mesh_14.normals.elementAt(134);
      expect(normal_14_134, vector3MoreOrLessEquals(Vector3(0.616328001, 0.711154997, -0.338227004)));
      final normal_14_135 = mesh_14.normals.elementAt(135);
      expect(normal_14_135, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_136 = mesh_14.normals.elementAt(136);
      expect(normal_14_136, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_137 = mesh_14.normals.elementAt(137);
      expect(normal_14_137, vector3MoreOrLessEquals(Vector3(0.121527001, 0.638101995, -0.760299981)));
      final normal_14_138 = mesh_14.normals.elementAt(138);
      expect(normal_14_138, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_139 = mesh_14.normals.elementAt(139);
      expect(normal_14_139, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, -0.492056996)));
      final normal_14_140 = mesh_14.normals.elementAt(140);
      expect(normal_14_140, vector3MoreOrLessEquals(Vector3(0.0580449998, 0.915295005, -0.398579001)));
      final normal_14_141 = mesh_14.normals.elementAt(141);
      expect(normal_14_141, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_142 = mesh_14.normals.elementAt(142);
      expect(normal_14_142, vector3MoreOrLessEquals(Vector3(-0.144621998, 0.858466983, -0.492056996)));
      final normal_14_143 = mesh_14.normals.elementAt(143);
      expect(normal_14_143, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_144 = mesh_14.normals.elementAt(144);
      expect(normal_14_144, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_145 = mesh_14.normals.elementAt(145);
      expect(normal_14_145, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_146 = mesh_14.normals.elementAt(146);
      expect(normal_14_146, vector3MoreOrLessEquals(Vector3(-0.30815801, 0.474483997, -0.824563026)));
      final normal_14_147 = mesh_14.normals.elementAt(147);
      expect(normal_14_147, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_148 = mesh_14.normals.elementAt(148);
      expect(normal_14_148, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_149 = mesh_14.normals.elementAt(149);
      expect(normal_14_149, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_150 = mesh_14.normals.elementAt(150);
      expect(normal_14_150, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_151 = mesh_14.normals.elementAt(151);
      expect(normal_14_151, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, -0.296463013)));
      final normal_14_152 = mesh_14.normals.elementAt(152);
      expect(normal_14_152, vector3MoreOrLessEquals(Vector3(-0.378955007, 0.768625975, -0.515371025)));
      final normal_14_153 = mesh_14.normals.elementAt(153);
      expect(normal_14_153, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, -0.253706992)));
      final normal_14_154 = mesh_14.normals.elementAt(154);
      expect(normal_14_154, vector3MoreOrLessEquals(Vector3(-0.503912985, 0.811284006, -0.296463013)));
      final normal_14_155 = mesh_14.normals.elementAt(155);
      expect(normal_14_155, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_156 = mesh_14.normals.elementAt(156);
      expect(normal_14_156, vector3MoreOrLessEquals(Vector3(-0.77738899, 0.439754993, -0.44975701)));
      final normal_14_157 = mesh_14.normals.elementAt(157);
      expect(normal_14_157, vector3MoreOrLessEquals(Vector3(-0.589554012, 0.766849995, -0.253706992)));
      final normal_14_158 = mesh_14.normals.elementAt(158);
      expect(normal_14_158, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_159 = mesh_14.normals.elementAt(159);
      expect(normal_14_159, vector3MoreOrLessEquals(Vector3(-0.536292017, 0.842625976, -0.0487099998)));
      final normal_14_160 = mesh_14.normals.elementAt(160);
      expect(normal_14_160, vector3MoreOrLessEquals(Vector3(-0.522163987, -0.582122982, -0.623279989)));
      final normal_14_161 = mesh_14.normals.elementAt(161);
      expect(normal_14_161, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743770003, -0.698128998)));
      final normal_14_162 = mesh_14.normals.elementAt(162);
      expect(normal_14_162, vector3MoreOrLessEquals(Vector3(-0.536292017, 0.842625976, -0.0487099998)));
      final normal_14_163 = mesh_14.normals.elementAt(163);
      expect(normal_14_163, vector3MoreOrLessEquals(Vector3(-0.62785399, 0.740315974, -0.240273997)));
      final normal_14_164 = mesh_14.normals.elementAt(164);
      expect(normal_14_164, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_165 = mesh_14.normals.elementAt(165);
      expect(normal_14_165, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_166 = mesh_14.normals.elementAt(166);
      expect(normal_14_166, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743770003, -0.698128998)));
      final normal_14_167 = mesh_14.normals.elementAt(167);
      expect(normal_14_167, vector3MoreOrLessEquals(Vector3(-0.536292017, 0.842625976, -0.0487099998)));
      final normal_14_168 = mesh_14.normals.elementAt(168);
      expect(normal_14_168, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_169 = mesh_14.normals.elementAt(169);
      expect(normal_14_169, vector3MoreOrLessEquals(Vector3(-0.62785399, 0.740315974, -0.240273997)));
      final normal_14_170 = mesh_14.normals.elementAt(170);
      expect(normal_14_170, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_171 = mesh_14.normals.elementAt(171);
      expect(normal_14_171, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655795991, -0.195555001)));
      final normal_14_172 = mesh_14.normals.elementAt(172);
      expect(normal_14_172, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_173 = mesh_14.normals.elementAt(173);
      expect(normal_14_173, vector3MoreOrLessEquals(Vector3(-0.62785399, 0.740315974, -0.240273997)));
      final normal_14_174 = mesh_14.normals.elementAt(174);
      expect(normal_14_174, vector3MoreOrLessEquals(Vector3(-0.62785399, 0.740315974, -0.240273997)));
      final normal_14_175 = mesh_14.normals.elementAt(175);
      expect(normal_14_175, vector3MoreOrLessEquals(Vector3(-0.536292017, 0.842625976, -0.0487099998)));
      final normal_14_176 = mesh_14.normals.elementAt(176);
      expect(normal_14_176, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655795991, -0.195555001)));
      final normal_14_177 = mesh_14.normals.elementAt(177);
      expect(normal_14_177, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_178 = mesh_14.normals.elementAt(178);
      expect(normal_14_178, vector3MoreOrLessEquals(Vector3(-0.729170978, 0.655795991, -0.195555001)));
      final normal_14_179 = mesh_14.normals.elementAt(179);
      expect(normal_14_179, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, -0.186875001)));
      final normal_14_180 = mesh_14.normals.elementAt(180);
      expect(normal_14_180, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, -0.186875001)));
      final normal_14_181 = mesh_14.normals.elementAt(181);
      expect(normal_14_181, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, -0.263633996)));
      final normal_14_182 = mesh_14.normals.elementAt(182);
      expect(normal_14_182, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_183 = mesh_14.normals.elementAt(183);
      expect(normal_14_183, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753, -0.438775986)));
      final normal_14_184 = mesh_14.normals.elementAt(184);
      expect(normal_14_184, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, -0.186875001)));
      final normal_14_185 = mesh_14.normals.elementAt(185);
      expect(normal_14_185, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, -0.180052996)));
      final normal_14_186 = mesh_14.normals.elementAt(186);
      expect(normal_14_186, vector3MoreOrLessEquals(Vector3(-0.958544016, 0.215108007, -0.186875001)));
      final normal_14_187 = mesh_14.normals.elementAt(187);
      expect(normal_14_187, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753, -0.438775986)));
      final normal_14_188 = mesh_14.normals.elementAt(188);
      expect(normal_14_188, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, -0.263633996)));
      final normal_14_189 = mesh_14.normals.elementAt(189);
      expect(normal_14_189, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_190 = mesh_14.normals.elementAt(190);
      expect(normal_14_190, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, -0.180052996)));
      final normal_14_191 = mesh_14.normals.elementAt(191);
      expect(normal_14_191, vector3MoreOrLessEquals(Vector3(-0.991858006, -0.087830998, -0.0922169983)));
      final normal_14_192 = mesh_14.normals.elementAt(192);
      expect(normal_14_192, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_193 = mesh_14.normals.elementAt(193);
      expect(normal_14_193, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753, -0.438775986)));
      final normal_14_194 = mesh_14.normals.elementAt(194);
      expect(normal_14_194, vector3MoreOrLessEquals(Vector3(-0.983392, -0.0228300001, -0.180052996)));
      final normal_14_195 = mesh_14.normals.elementAt(195);
      expect(normal_14_195, vector3MoreOrLessEquals(Vector3(-0.991858006, -0.087830998, -0.0922169983)));
      final normal_14_196 = mesh_14.normals.elementAt(196);
      expect(normal_14_196, vector3MoreOrLessEquals(Vector3(-0.894953012, -0.402898997, -0.191657007)));
      final normal_14_197 = mesh_14.normals.elementAt(197);
      expect(normal_14_197, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_198 = mesh_14.normals.elementAt(198);
      expect(normal_14_198, vector3MoreOrLessEquals(Vector3(-0.894953012, -0.402898997, -0.191657007)));
      final normal_14_199 = mesh_14.normals.elementAt(199);
      expect(normal_14_199, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, -0.428256989)));
      final normal_14_200 = mesh_14.normals.elementAt(200);
      expect(normal_14_200, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_201 = mesh_14.normals.elementAt(201);
      expect(normal_14_201, vector3MoreOrLessEquals(Vector3(-0.894953012, -0.402898997, -0.191657007)));
      final normal_14_202 = mesh_14.normals.elementAt(202);
      expect(normal_14_202, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_203 = mesh_14.normals.elementAt(203);
      expect(normal_14_203, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, -0.428256989)));
      final normal_14_204 = mesh_14.normals.elementAt(204);
      expect(normal_14_204, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_205 = mesh_14.normals.elementAt(205);
      expect(normal_14_205, vector3MoreOrLessEquals(Vector3(-0.894953012, -0.402898997, -0.191657007)));
      final normal_14_206 = mesh_14.normals.elementAt(206);
      expect(normal_14_206, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492419988, -0.471561015)));
      final normal_14_207 = mesh_14.normals.elementAt(207);
      expect(normal_14_207, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492419988, -0.471561015)));
      final normal_14_208 = mesh_14.normals.elementAt(208);
      expect(normal_14_208, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_209 = mesh_14.normals.elementAt(209);
      expect(normal_14_209, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_210 = mesh_14.normals.elementAt(210);
      expect(normal_14_210, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_211 = mesh_14.normals.elementAt(211);
      expect(normal_14_211, vector3MoreOrLessEquals(Vector3(-0.731540978, -0.492419988, -0.471561015)));
      final normal_14_212 = mesh_14.normals.elementAt(212);
      expect(normal_14_212, vector3MoreOrLessEquals(Vector3(-0.625931978, -0.373553008, -0.684593022)));
      final normal_14_213 = mesh_14.normals.elementAt(213);
      expect(normal_14_213, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_214 = mesh_14.normals.elementAt(214);
      expect(normal_14_214, vector3MoreOrLessEquals(Vector3(-0.625931978, -0.373553008, -0.684593022)));
      final normal_14_215 = mesh_14.normals.elementAt(215);
      expect(normal_14_215, vector3MoreOrLessEquals(Vector3(-0.584506989, -0.184829995, -0.79005599)));
      final normal_14_216 = mesh_14.normals.elementAt(216);
      expect(normal_14_216, vector3MoreOrLessEquals(Vector3(-0.584506989, -0.184829995, -0.79005599)));
      final normal_14_217 = mesh_14.normals.elementAt(217);
      expect(normal_14_217, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, -0.588809013)));
      final normal_14_218 = mesh_14.normals.elementAt(218);
      expect(normal_14_218, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_219 = mesh_14.normals.elementAt(219);
      expect(normal_14_219, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, -0.588809013)));
      final normal_14_220 = mesh_14.normals.elementAt(220);
      expect(normal_14_220, vector3MoreOrLessEquals(Vector3(-0.584506989, -0.184829995, -0.79005599)));
      final normal_14_221 = mesh_14.normals.elementAt(221);
      expect(normal_14_221, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, -0.706929982)));
      final normal_14_222 = mesh_14.normals.elementAt(222);
      expect(normal_14_222, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, -0.706929982)));
      final normal_14_223 = mesh_14.normals.elementAt(223);
      expect(normal_14_223, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, -0.558477998)));
      final normal_14_224 = mesh_14.normals.elementAt(224);
      expect(normal_14_224, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, -0.588809013)));
      final normal_14_225 = mesh_14.normals.elementAt(225);
      expect(normal_14_225, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, -0.558477998)));
      final normal_14_226 = mesh_14.normals.elementAt(226);
      expect(normal_14_226, vector3MoreOrLessEquals(Vector3(-0.642031014, -0.296727002, -0.706929982)));
      final normal_14_227 = mesh_14.normals.elementAt(227);
      expect(normal_14_227, vector3MoreOrLessEquals(Vector3(-0.522163987, -0.582122982, -0.623279989)));
      final normal_14_228 = mesh_14.normals.elementAt(228);
      expect(normal_14_228, vector3MoreOrLessEquals(Vector3(-0.522163987, -0.582122982, -0.623279989)));
      final normal_14_229 = mesh_14.normals.elementAt(229);
      expect(normal_14_229, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743770003, -0.698128998)));
      final normal_14_230 = mesh_14.normals.elementAt(230);
      expect(normal_14_230, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, -0.558477998)));
      final normal_14_231 = mesh_14.normals.elementAt(231);
      expect(normal_14_231, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_232 = mesh_14.normals.elementAt(232);
      expect(normal_14_232, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_233 = mesh_14.normals.elementAt(233);
      expect(normal_14_233, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743770003, -0.698128998)));
      final normal_14_234 = mesh_14.normals.elementAt(234);
      expect(normal_14_234, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_235 = mesh_14.normals.elementAt(235);
      expect(normal_14_235, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, -0.558477998)));
      final normal_14_236 = mesh_14.normals.elementAt(236);
      expect(normal_14_236, vector3MoreOrLessEquals(Vector3(-0.712098002, 0.0743770003, -0.698128998)));
      final normal_14_237 = mesh_14.normals.elementAt(237);
      expect(normal_14_237, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_238 = mesh_14.normals.elementAt(238);
      expect(normal_14_238, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, -0.588809013)));
      final normal_14_239 = mesh_14.normals.elementAt(239);
      expect(normal_14_239, vector3MoreOrLessEquals(Vector3(-0.820281029, -0.123456001, -0.558477998)));
      final normal_14_240 = mesh_14.normals.elementAt(240);
      expect(normal_14_240, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_241 = mesh_14.normals.elementAt(241);
      expect(normal_14_241, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_242 = mesh_14.normals.elementAt(242);
      expect(normal_14_242, vector3MoreOrLessEquals(Vector3(-0.801518023, -0.104268998, -0.588809013)));
      final normal_14_243 = mesh_14.normals.elementAt(243);
      expect(normal_14_243, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_244 = mesh_14.normals.elementAt(244);
      expect(normal_14_244, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_245 = mesh_14.normals.elementAt(245);
      expect(normal_14_245, vector3MoreOrLessEquals(Vector3(-0.794103026, -0.178378001, -0.581017971)));
      final normal_14_246 = mesh_14.normals.elementAt(246);
      expect(normal_14_246, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_247 = mesh_14.normals.elementAt(247);
      expect(normal_14_247, vector3MoreOrLessEquals(Vector3(-0.83139497, 0.369875014, -0.414698988)));
      final normal_14_248 = mesh_14.normals.elementAt(248);
      expect(normal_14_248, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_249 = mesh_14.normals.elementAt(249);
      expect(normal_14_249, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_250 = mesh_14.normals.elementAt(250);
      expect(normal_14_250, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, -0.428256989)));
      final normal_14_251 = mesh_14.normals.elementAt(251);
      expect(normal_14_251, vector3MoreOrLessEquals(Vector3(-0.889320016, 0.0174579993, -0.456952006)));
      final normal_14_252 = mesh_14.normals.elementAt(252);
      expect(normal_14_252, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_253 = mesh_14.normals.elementAt(253);
      expect(normal_14_253, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_254 = mesh_14.normals.elementAt(254);
      expect(normal_14_254, vector3MoreOrLessEquals(Vector3(-0.903611004, 0.00909299962, -0.428256989)));
      final normal_14_255 = mesh_14.normals.elementAt(255);
      expect(normal_14_255, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_256 = mesh_14.normals.elementAt(256);
      expect(normal_14_256, vector3MoreOrLessEquals(Vector3(-0.760622978, 0.356880009, -0.542299986)));
      final normal_14_257 = mesh_14.normals.elementAt(257);
      expect(normal_14_257, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_258 = mesh_14.normals.elementAt(258);
      expect(normal_14_258, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_259 = mesh_14.normals.elementAt(259);
      expect(normal_14_259, vector3MoreOrLessEquals(Vector3(-0.817995012, 0.476797014, -0.321792006)));
      final normal_14_260 = mesh_14.normals.elementAt(260);
      expect(normal_14_260, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, -0.263633996)));
      final normal_14_261 = mesh_14.normals.elementAt(261);
      expect(normal_14_261, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_262 = mesh_14.normals.elementAt(262);
      expect(normal_14_262, vector3MoreOrLessEquals(Vector3(-0.950591981, 0.163928002, -0.263633996)));
      final normal_14_263 = mesh_14.normals.elementAt(263);
      expect(normal_14_263, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753, -0.438775986)));
      final normal_14_264 = mesh_14.normals.elementAt(264);
      expect(normal_14_264, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_265 = mesh_14.normals.elementAt(265);
      expect(normal_14_265, vector3MoreOrLessEquals(Vector3(-0.584949017, 0.497866988, -0.640284002)));
      final normal_14_266 = mesh_14.normals.elementAt(266);
      expect(normal_14_266, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_267 = mesh_14.normals.elementAt(267);
      expect(normal_14_267, vector3MoreOrLessEquals(Vector3(-0.602580011, 0.140795007, -0.785539985)));
      final normal_14_268 = mesh_14.normals.elementAt(268);
      expect(normal_14_268, vector3MoreOrLessEquals(Vector3(-0.859103978, 0.0448210016, -0.509833992)));
      final normal_14_269 = mesh_14.normals.elementAt(269);
      expect(normal_14_269, vector3MoreOrLessEquals(Vector3(-0.891744971, 0.110753, -0.438775986)));
      expect(mesh_14.tangents.length, isZero);
      expect(mesh_14.bitangents.length, isZero);
      expect(mesh_14.colors.length, isZero);
      expect(mesh_14.textureCoords.length, equals(1));
      final textureCoords_14_0 = mesh_14.textureCoords.elementAt(0);
      expect(textureCoords_14_0.length, equals(270));
      final textureCoord_14_0_0 = textureCoords_14_0.elementAt(0);
      expect(textureCoord_14_0_0, vector3MoreOrLessEquals(Vector3(1, 0.913268983, 0)));
      final textureCoord_14_0_1 = textureCoords_14_0.elementAt(1);
      expect(textureCoord_14_0_1, vector3MoreOrLessEquals(Vector3(0.809651017, 0.913268983, 0)));
      final textureCoord_14_0_2 = textureCoords_14_0.elementAt(2);
      expect(textureCoord_14_0_2, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_3 = textureCoords_14_0.elementAt(3);
      expect(textureCoord_14_0_3, vector3MoreOrLessEquals(Vector3(0.809651017, 0.913268983, 0)));
      final textureCoord_14_0_4 = textureCoords_14_0.elementAt(4);
      expect(textureCoord_14_0_4, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_5 = textureCoords_14_0.elementAt(5);
      expect(textureCoord_14_0_5, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_6 = textureCoords_14_0.elementAt(6);
      expect(textureCoord_14_0_6, vector3MoreOrLessEquals(Vector3(0.562068999, 0.0669870004, 0)));
      final textureCoord_14_0_7 = textureCoords_14_0.elementAt(7);
      expect(textureCoord_14_0_7, vector3MoreOrLessEquals(Vector3(0.62074101, 0.0669870004, 0)));
      final textureCoord_14_0_8 = textureCoords_14_0.elementAt(8);
      expect(textureCoord_14_0_8, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_9 = textureCoords_14_0.elementAt(9);
      expect(textureCoord_14_0_9, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_10 = textureCoords_14_0.elementAt(10);
      expect(textureCoord_14_0_10, vector3MoreOrLessEquals(Vector3(0.562068999, 0.933013022, 0)));
      final textureCoord_14_0_11 = textureCoords_14_0.elementAt(11);
      expect(textureCoord_14_0_11, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_12 = textureCoords_14_0.elementAt(12);
      expect(textureCoord_14_0_12, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_13 = textureCoords_14_0.elementAt(13);
      expect(textureCoord_14_0_13, vector3MoreOrLessEquals(Vector3(0.562068999, 0.0669870004, 0)));
      final textureCoord_14_0_14 = textureCoords_14_0.elementAt(14);
      expect(textureCoord_14_0_14, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_15 = textureCoords_14_0.elementAt(15);
      expect(textureCoord_14_0_15, vector3MoreOrLessEquals(Vector3(0.562068999, 0.933013022, 0)));
      final textureCoord_14_0_16 = textureCoords_14_0.elementAt(16);
      expect(textureCoord_14_0_16, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_17 = textureCoords_14_0.elementAt(17);
      expect(textureCoord_14_0_17, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_18 = textureCoords_14_0.elementAt(18);
      expect(textureCoord_14_0_18, vector3MoreOrLessEquals(Vector3(0.781035006, 0.143375993, 0)));
      final textureCoord_14_0_19 = textureCoords_14_0.elementAt(19);
      expect(textureCoord_14_0_19, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_20 = textureCoords_14_0.elementAt(20);
      expect(textureCoord_14_0_20, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_21 = textureCoords_14_0.elementAt(21);
      expect(textureCoord_14_0_21, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_22 = textureCoords_14_0.elementAt(22);
      expect(textureCoord_14_0_22, vector3MoreOrLessEquals(Vector3(0.781035006, 0.933013022, 0)));
      final textureCoord_14_0_23 = textureCoords_14_0.elementAt(23);
      expect(textureCoord_14_0_23, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_24 = textureCoords_14_0.elementAt(24);
      expect(textureCoord_14_0_24, vector3MoreOrLessEquals(Vector3(1, 0.143375993, 0)));
      final textureCoord_14_0_25 = textureCoords_14_0.elementAt(25);
      expect(textureCoord_14_0_25, vector3MoreOrLessEquals(Vector3(0.781035006, 0.143375993, 0)));
      final textureCoord_14_0_26 = textureCoords_14_0.elementAt(26);
      expect(textureCoord_14_0_26, vector3MoreOrLessEquals(Vector3(1, 0, 0)));
      final textureCoord_14_0_27 = textureCoords_14_0.elementAt(27);
      expect(textureCoord_14_0_27, vector3MoreOrLessEquals(Vector3(0.781035006, 0.933013022, 0)));
      final textureCoord_14_0_28 = textureCoords_14_0.elementAt(28);
      expect(textureCoord_14_0_28, vector3MoreOrLessEquals(Vector3(1, 0.933013022, 0)));
      final textureCoord_14_0_29 = textureCoords_14_0.elementAt(29);
      expect(textureCoord_14_0_29, vector3MoreOrLessEquals(Vector3(1, 1, 0)));
      final textureCoord_14_0_30 = textureCoords_14_0.elementAt(30);
      expect(textureCoord_14_0_30, vector3MoreOrLessEquals(Vector3(0.62074101, 0.0669870004, 0)));
      final textureCoord_14_0_31 = textureCoords_14_0.elementAt(31);
      expect(textureCoord_14_0_31, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_32 = textureCoords_14_0.elementAt(32);
      expect(textureCoord_14_0_32, vector3MoreOrLessEquals(Vector3(0.280128002, 0.25, 0)));
      final textureCoord_14_0_33 = textureCoords_14_0.elementAt(33);
      expect(textureCoord_14_0_33, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_34 = textureCoords_14_0.elementAt(34);
      expect(textureCoord_14_0_34, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_35 = textureCoords_14_0.elementAt(35);
      expect(textureCoord_14_0_35, vector3MoreOrLessEquals(Vector3(0.62074101, 0.0669870004, 0)));
      final textureCoord_14_0_36 = textureCoords_14_0.elementAt(36);
      expect(textureCoord_14_0_36, vector3MoreOrLessEquals(Vector3(0.562068999, 0.0669870004, 0)));
      final textureCoord_14_0_37 = textureCoords_14_0.elementAt(37);
      expect(textureCoord_14_0_37, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_38 = textureCoords_14_0.elementAt(38);
      expect(textureCoord_14_0_38, vector3MoreOrLessEquals(Vector3(0.62074101, 0.0669870004, 0)));
      final textureCoord_14_0_39 = textureCoords_14_0.elementAt(39);
      expect(textureCoord_14_0_39, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_40 = textureCoords_14_0.elementAt(40);
      expect(textureCoord_14_0_40, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_41 = textureCoords_14_0.elementAt(41);
      expect(textureCoord_14_0_41, vector3MoreOrLessEquals(Vector3(0.562068999, 0.0669870004, 0)));
      final textureCoord_14_0_42 = textureCoords_14_0.elementAt(42);
      expect(textureCoord_14_0_42, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_43 = textureCoords_14_0.elementAt(43);
      expect(textureCoord_14_0_43, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_44 = textureCoords_14_0.elementAt(44);
      expect(textureCoord_14_0_44, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_45 = textureCoords_14_0.elementAt(45);
      expect(textureCoord_14_0_45, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_46 = textureCoords_14_0.elementAt(46);
      expect(textureCoord_14_0_46, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_47 = textureCoords_14_0.elementAt(47);
      expect(textureCoord_14_0_47, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_48 = textureCoords_14_0.elementAt(48);
      expect(textureCoord_14_0_48, vector3MoreOrLessEquals(Vector3(0.781035006, 0.143375993, 0)));
      final textureCoord_14_0_49 = textureCoords_14_0.elementAt(49);
      expect(textureCoord_14_0_49, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_50 = textureCoords_14_0.elementAt(50);
      expect(textureCoord_14_0_50, vector3MoreOrLessEquals(Vector3(0.62074101, 0.191986993, 0)));
      final textureCoord_14_0_51 = textureCoords_14_0.elementAt(51);
      expect(textureCoord_14_0_51, vector3MoreOrLessEquals(Vector3(1, 0.143375993, 0)));
      final textureCoord_14_0_52 = textureCoords_14_0.elementAt(52);
      expect(textureCoord_14_0_52, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_53 = textureCoords_14_0.elementAt(53);
      expect(textureCoord_14_0_53, vector3MoreOrLessEquals(Vector3(0.781035006, 0.143375993, 0)));
      final textureCoord_14_0_54 = textureCoords_14_0.elementAt(54);
      expect(textureCoord_14_0_54, vector3MoreOrLessEquals(Vector3(1, 0.143375993, 0)));
      final textureCoord_14_0_55 = textureCoords_14_0.elementAt(55);
      expect(textureCoord_14_0_55, vector3MoreOrLessEquals(Vector3(1, 0.216666996, 0)));
      final textureCoord_14_0_56 = textureCoords_14_0.elementAt(56);
      expect(textureCoord_14_0_56, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_57 = textureCoords_14_0.elementAt(57);
      expect(textureCoord_14_0_57, vector3MoreOrLessEquals(Vector3(0.280128002, 0.25, 0)));
      final textureCoord_14_0_58 = textureCoords_14_0.elementAt(58);
      expect(textureCoord_14_0_58, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_14_0_59 = textureCoords_14_0.elementAt(59);
      expect(textureCoord_14_0_59, vector3MoreOrLessEquals(Vector3(1, 0.25, 0)));
      final textureCoord_14_0_60 = textureCoords_14_0.elementAt(60);
      expect(textureCoord_14_0_60, vector3MoreOrLessEquals(Vector3(0.280128002, 0.25, 0)));
      final textureCoord_14_0_61 = textureCoords_14_0.elementAt(61);
      expect(textureCoord_14_0_61, vector3MoreOrLessEquals(Vector3(0.27869001, 0.680045009, 0)));
      final textureCoord_14_0_62 = textureCoords_14_0.elementAt(62);
      expect(textureCoord_14_0_62, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_14_0_63 = textureCoords_14_0.elementAt(63);
      expect(textureCoord_14_0_63, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_64 = textureCoords_14_0.elementAt(64);
      expect(textureCoord_14_0_64, vector3MoreOrLessEquals(Vector3(0.27869001, 0.680045009, 0)));
      final textureCoord_14_0_65 = textureCoords_14_0.elementAt(65);
      expect(textureCoord_14_0_65, vector3MoreOrLessEquals(Vector3(0.280128002, 0.25, 0)));
      final textureCoord_14_0_66 = textureCoords_14_0.elementAt(66);
      expect(textureCoord_14_0_66, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_67 = textureCoords_14_0.elementAt(67);
      expect(textureCoord_14_0_67, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_68 = textureCoords_14_0.elementAt(68);
      expect(textureCoord_14_0_68, vector3MoreOrLessEquals(Vector3(0.280128002, 0.25, 0)));
      final textureCoord_14_0_69 = textureCoords_14_0.elementAt(69);
      expect(textureCoord_14_0_69, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_70 = textureCoords_14_0.elementAt(70);
      expect(textureCoord_14_0_70, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_71 = textureCoords_14_0.elementAt(71);
      expect(textureCoord_14_0_71, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_72 = textureCoords_14_0.elementAt(72);
      expect(textureCoord_14_0_72, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_73 = textureCoords_14_0.elementAt(73);
      expect(textureCoord_14_0_73, vector3MoreOrLessEquals(Vector3(0.124139003, 0.5, 0)));
      final textureCoord_14_0_74 = textureCoords_14_0.elementAt(74);
      expect(textureCoord_14_0_74, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_75 = textureCoords_14_0.elementAt(75);
      expect(textureCoord_14_0_75, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_76 = textureCoords_14_0.elementAt(76);
      expect(textureCoord_14_0_76, vector3MoreOrLessEquals(Vector3(0.124139003, 0.5, 0)));
      final textureCoord_14_0_77 = textureCoords_14_0.elementAt(77);
      expect(textureCoord_14_0_77, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_78 = textureCoords_14_0.elementAt(78);
      expect(textureCoord_14_0_78, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_79 = textureCoords_14_0.elementAt(79);
      expect(textureCoord_14_0_79, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_80 = textureCoords_14_0.elementAt(80);
      expect(textureCoord_14_0_80, vector3MoreOrLessEquals(Vector3(0.141154006, 0.347222, 0)));
      final textureCoord_14_0_81 = textureCoords_14_0.elementAt(81);
      expect(textureCoord_14_0_81, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_82 = textureCoords_14_0.elementAt(82);
      expect(textureCoord_14_0_82, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_83 = textureCoords_14_0.elementAt(83);
      expect(textureCoord_14_0_83, vector3MoreOrLessEquals(Vector3(0.343104005, 0.25, 0)));
      final textureCoord_14_0_84 = textureCoords_14_0.elementAt(84);
      expect(textureCoord_14_0_84, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_85 = textureCoords_14_0.elementAt(85);
      expect(textureCoord_14_0_85, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_86 = textureCoords_14_0.elementAt(86);
      expect(textureCoord_14_0_86, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_87 = textureCoords_14_0.elementAt(87);
      expect(textureCoord_14_0_87, vector3MoreOrLessEquals(Vector3(1, 0.416667014, 0)));
      final textureCoord_14_0_88 = textureCoords_14_0.elementAt(88);
      expect(textureCoord_14_0_88, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_89 = textureCoords_14_0.elementAt(89);
      expect(textureCoord_14_0_89, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_90 = textureCoords_14_0.elementAt(90);
      expect(textureCoord_14_0_90, vector3MoreOrLessEquals(Vector3(1, 0.216666996, 0)));
      final textureCoord_14_0_91 = textureCoords_14_0.elementAt(91);
      expect(textureCoord_14_0_91, vector3MoreOrLessEquals(Vector3(1, 0.416667014, 0)));
      final textureCoord_14_0_92 = textureCoords_14_0.elementAt(92);
      expect(textureCoord_14_0_92, vector3MoreOrLessEquals(Vector3(0.62074101, 0.25, 0)));
      final textureCoord_14_0_93 = textureCoords_14_0.elementAt(93);
      expect(textureCoord_14_0_93, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_94 = textureCoords_14_0.elementAt(94);
      expect(textureCoord_14_0_94, vector3MoreOrLessEquals(Vector3(1, 0.814696014, 0)));
      final textureCoord_14_0_95 = textureCoords_14_0.elementAt(95);
      expect(textureCoord_14_0_95, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_14_0_96 = textureCoords_14_0.elementAt(96);
      expect(textureCoord_14_0_96, vector3MoreOrLessEquals(Vector3(0.27869001, 0.680045009, 0)));
      final textureCoord_14_0_97 = textureCoords_14_0.elementAt(97);
      expect(textureCoord_14_0_97, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_98 = textureCoords_14_0.elementAt(98);
      expect(textureCoord_14_0_98, vector3MoreOrLessEquals(Vector3(1, 0.680045009, 0)));
      final textureCoord_14_0_99 = textureCoords_14_0.elementAt(99);
      expect(textureCoord_14_0_99, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_100 = textureCoords_14_0.elementAt(100);
      expect(textureCoord_14_0_100, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_101 = textureCoords_14_0.elementAt(101);
      expect(textureCoord_14_0_101, vector3MoreOrLessEquals(Vector3(0.27869001, 0.680045009, 0)));
      final textureCoord_14_0_102 = textureCoords_14_0.elementAt(102);
      expect(textureCoord_14_0_102, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_103 = textureCoords_14_0.elementAt(103);
      expect(textureCoord_14_0_103, vector3MoreOrLessEquals(Vector3(0.0883409977, 0.814696014, 0)));
      final textureCoord_14_0_104 = textureCoords_14_0.elementAt(104);
      expect(textureCoord_14_0_104, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_105 = textureCoords_14_0.elementAt(105);
      expect(textureCoord_14_0_105, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_106 = textureCoords_14_0.elementAt(106);
      expect(textureCoord_14_0_106, vector3MoreOrLessEquals(Vector3(0.0883409977, 0.814696014, 0)));
      final textureCoord_14_0_107 = textureCoords_14_0.elementAt(107);
      expect(textureCoord_14_0_107, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_108 = textureCoords_14_0.elementAt(108);
      expect(textureCoord_14_0_108, vector3MoreOrLessEquals(Vector3(0.124139003, 0.5, 0)));
      final textureCoord_14_0_109 = textureCoords_14_0.elementAt(109);
      expect(textureCoord_14_0_109, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_110 = textureCoords_14_0.elementAt(110);
      expect(textureCoord_14_0_110, vector3MoreOrLessEquals(Vector3(0, 0.680045009, 0)));
      final textureCoord_14_0_111 = textureCoords_14_0.elementAt(111);
      expect(textureCoord_14_0_111, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_112 = textureCoords_14_0.elementAt(112);
      expect(textureCoord_14_0_112, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_113 = textureCoords_14_0.elementAt(113);
      expect(textureCoord_14_0_113, vector3MoreOrLessEquals(Vector3(0.124139003, 0.5, 0)));
      final textureCoord_14_0_114 = textureCoords_14_0.elementAt(114);
      expect(textureCoord_14_0_114, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_115 = textureCoords_14_0.elementAt(115);
      expect(textureCoord_14_0_115, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_116 = textureCoords_14_0.elementAt(116);
      expect(textureCoord_14_0_116, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_117 = textureCoords_14_0.elementAt(117);
      expect(textureCoord_14_0_117, vector3MoreOrLessEquals(Vector3(1, 0.416667014, 0)));
      final textureCoord_14_0_118 = textureCoords_14_0.elementAt(118);
      expect(textureCoord_14_0_118, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_119 = textureCoords_14_0.elementAt(119);
      expect(textureCoord_14_0_119, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_120 = textureCoords_14_0.elementAt(120);
      expect(textureCoord_14_0_120, vector3MoreOrLessEquals(Vector3(1, 0.416667014, 0)));
      final textureCoord_14_0_121 = textureCoords_14_0.elementAt(121);
      expect(textureCoord_14_0_121, vector3MoreOrLessEquals(Vector3(1, 0.75, 0)));
      final textureCoord_14_0_122 = textureCoords_14_0.elementAt(122);
      expect(textureCoord_14_0_122, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_123 = textureCoords_14_0.elementAt(123);
      expect(textureCoord_14_0_123, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_124 = textureCoords_14_0.elementAt(124);
      expect(textureCoord_14_0_124, vector3MoreOrLessEquals(Vector3(1, 0.913268983, 0)));
      final textureCoord_14_0_125 = textureCoords_14_0.elementAt(125);
      expect(textureCoord_14_0_125, vector3MoreOrLessEquals(Vector3(1, 0.814696014, 0)));
      final textureCoord_14_0_126 = textureCoords_14_0.elementAt(126);
      expect(textureCoord_14_0_126, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_127 = textureCoords_14_0.elementAt(127);
      expect(textureCoord_14_0_127, vector3MoreOrLessEquals(Vector3(0.809651017, 0.913268983, 0)));
      final textureCoord_14_0_128 = textureCoords_14_0.elementAt(128);
      expect(textureCoord_14_0_128, vector3MoreOrLessEquals(Vector3(1, 0.913268983, 0)));
      final textureCoord_14_0_129 = textureCoords_14_0.elementAt(129);
      expect(textureCoord_14_0_129, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_130 = textureCoords_14_0.elementAt(130);
      expect(textureCoord_14_0_130, vector3MoreOrLessEquals(Vector3(0.809651017, 0.913268983, 0)));
      final textureCoord_14_0_131 = textureCoords_14_0.elementAt(131);
      expect(textureCoord_14_0_131, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_132 = textureCoords_14_0.elementAt(132);
      expect(textureCoord_14_0_132, vector3MoreOrLessEquals(Vector3(0.0883409977, 0.814696014, 0)));
      final textureCoord_14_0_133 = textureCoords_14_0.elementAt(133);
      expect(textureCoord_14_0_133, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_134 = textureCoords_14_0.elementAt(134);
      expect(textureCoord_14_0_134, vector3MoreOrLessEquals(Vector3(0.329694003, 0.814696014, 0)));
      final textureCoord_14_0_135 = textureCoords_14_0.elementAt(135);
      expect(textureCoord_14_0_135, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_136 = textureCoords_14_0.elementAt(136);
      expect(textureCoord_14_0_136, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_137 = textureCoords_14_0.elementAt(137);
      expect(textureCoord_14_0_137, vector3MoreOrLessEquals(Vector3(0.0883409977, 0.814696014, 0)));
      final textureCoord_14_0_138 = textureCoords_14_0.elementAt(138);
      expect(textureCoord_14_0_138, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_139 = textureCoords_14_0.elementAt(139);
      expect(textureCoord_14_0_139, vector3MoreOrLessEquals(Vector3(0.562068999, 0.933013022, 0)));
      final textureCoord_14_0_140 = textureCoords_14_0.elementAt(140);
      expect(textureCoord_14_0_140, vector3MoreOrLessEquals(Vector3(0.329694003, 0.913268983, 0)));
      final textureCoord_14_0_141 = textureCoords_14_0.elementAt(141);
      expect(textureCoord_14_0_141, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_142 = textureCoords_14_0.elementAt(142);
      expect(textureCoord_14_0_142, vector3MoreOrLessEquals(Vector3(0.562068999, 0.933013022, 0)));
      final textureCoord_14_0_143 = textureCoords_14_0.elementAt(143);
      expect(textureCoord_14_0_143, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_144 = textureCoords_14_0.elementAt(144);
      expect(textureCoord_14_0_144, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_145 = textureCoords_14_0.elementAt(145);
      expect(textureCoord_14_0_145, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_146 = textureCoords_14_0.elementAt(146);
      expect(textureCoord_14_0_146, vector3MoreOrLessEquals(Vector3(0.241482005, 0.75, 0)));
      final textureCoord_14_0_147 = textureCoords_14_0.elementAt(147);
      expect(textureCoord_14_0_147, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_148 = textureCoords_14_0.elementAt(148);
      expect(textureCoord_14_0_148, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_149 = textureCoords_14_0.elementAt(149);
      expect(textureCoord_14_0_149, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_150 = textureCoords_14_0.elementAt(150);
      expect(textureCoord_14_0_150, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_151 = textureCoords_14_0.elementAt(151);
      expect(textureCoord_14_0_151, vector3MoreOrLessEquals(Vector3(0.781035006, 0.933013022, 0)));
      final textureCoord_14_0_152 = textureCoords_14_0.elementAt(152);
      expect(textureCoord_14_0_152, vector3MoreOrLessEquals(Vector3(0.62074101, 0.933013022, 0)));
      final textureCoord_14_0_153 = textureCoords_14_0.elementAt(153);
      expect(textureCoord_14_0_153, vector3MoreOrLessEquals(Vector3(1, 0.933013022, 0)));
      final textureCoord_14_0_154 = textureCoords_14_0.elementAt(154);
      expect(textureCoord_14_0_154, vector3MoreOrLessEquals(Vector3(0.781035006, 0.933013022, 0)));
      final textureCoord_14_0_155 = textureCoords_14_0.elementAt(155);
      expect(textureCoord_14_0_155, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_156 = textureCoords_14_0.elementAt(156);
      expect(textureCoord_14_0_156, vector3MoreOrLessEquals(Vector3(1, 0.75, 0)));
      final textureCoord_14_0_157 = textureCoords_14_0.elementAt(157);
      expect(textureCoord_14_0_157, vector3MoreOrLessEquals(Vector3(1, 0.933013022, 0)));
      final textureCoord_14_0_158 = textureCoords_14_0.elementAt(158);
      expect(textureCoord_14_0_158, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_159 = textureCoords_14_0.elementAt(159);
      expect(textureCoord_14_0_159, vector3MoreOrLessEquals(Vector3(0.674645007, 0.53035301, 0)));
      final textureCoord_14_0_160 = textureCoords_14_0.elementAt(160);
      expect(textureCoord_14_0_160, vector3MoreOrLessEquals(Vector3(0.68325901, 0.544408977, 0)));
      final textureCoord_14_0_161 = textureCoords_14_0.elementAt(161);
      expect(textureCoord_14_0_161, vector3MoreOrLessEquals(Vector3(0.722265005, 0.533730984, 0)));
      final textureCoord_14_0_162 = textureCoords_14_0.elementAt(162);
      expect(textureCoord_14_0_162, vector3MoreOrLessEquals(Vector3(0.674645007, 0.53035301, 0)));
      final textureCoord_14_0_163 = textureCoords_14_0.elementAt(163);
      expect(textureCoord_14_0_163, vector3MoreOrLessEquals(Vector3(0.667596996, 0.512897015, 0)));
      final textureCoord_14_0_164 = textureCoords_14_0.elementAt(164);
      expect(textureCoord_14_0_164, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_165 = textureCoords_14_0.elementAt(165);
      expect(textureCoord_14_0_165, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_166 = textureCoords_14_0.elementAt(166);
      expect(textureCoord_14_0_166, vector3MoreOrLessEquals(Vector3(0.722265005, 0.533730984, 0)));
      final textureCoord_14_0_167 = textureCoords_14_0.elementAt(167);
      expect(textureCoord_14_0_167, vector3MoreOrLessEquals(Vector3(0.674645007, 0.53035301, 0)));
      final textureCoord_14_0_168 = textureCoords_14_0.elementAt(168);
      expect(textureCoord_14_0_168, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_169 = textureCoords_14_0.elementAt(169);
      expect(textureCoord_14_0_169, vector3MoreOrLessEquals(Vector3(0.667596996, 0.512897015, 0)));
      final textureCoord_14_0_170 = textureCoords_14_0.elementAt(170);
      expect(textureCoord_14_0_170, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_171 = textureCoords_14_0.elementAt(171);
      expect(textureCoord_14_0_171, vector3MoreOrLessEquals(Vector3(0.609784007, 0.530730009, 0)));
      final textureCoord_14_0_172 = textureCoords_14_0.elementAt(172);
      expect(textureCoord_14_0_172, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_173 = textureCoords_14_0.elementAt(173);
      expect(textureCoord_14_0_173, vector3MoreOrLessEquals(Vector3(0.667596996, 0.512897015, 0)));
      final textureCoord_14_0_174 = textureCoords_14_0.elementAt(174);
      expect(textureCoord_14_0_174, vector3MoreOrLessEquals(Vector3(0.667596996, 0.512897015, 0)));
      final textureCoord_14_0_175 = textureCoords_14_0.elementAt(175);
      expect(textureCoord_14_0_175, vector3MoreOrLessEquals(Vector3(0.674645007, 0.53035301, 0)));
      final textureCoord_14_0_176 = textureCoords_14_0.elementAt(176);
      expect(textureCoord_14_0_176, vector3MoreOrLessEquals(Vector3(0.609784007, 0.530730009, 0)));
      final textureCoord_14_0_177 = textureCoords_14_0.elementAt(177);
      expect(textureCoord_14_0_177, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_178 = textureCoords_14_0.elementAt(178);
      expect(textureCoord_14_0_178, vector3MoreOrLessEquals(Vector3(0.609784007, 0.530730009, 0)));
      final textureCoord_14_0_179 = textureCoords_14_0.elementAt(179);
      expect(textureCoord_14_0_179, vector3MoreOrLessEquals(Vector3(0.523419976, 0.558493972, 0)));
      final textureCoord_14_0_180 = textureCoords_14_0.elementAt(180);
      expect(textureCoord_14_0_180, vector3MoreOrLessEquals(Vector3(0.523419976, 0.558493972, 0)));
      final textureCoord_14_0_181 = textureCoords_14_0.elementAt(181);
      expect(textureCoord_14_0_181, vector3MoreOrLessEquals(Vector3(0.470791996, 0.540674984, 0)));
      final textureCoord_14_0_182 = textureCoords_14_0.elementAt(182);
      expect(textureCoord_14_0_182, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_183 = textureCoords_14_0.elementAt(183);
      expect(textureCoord_14_0_183, vector3MoreOrLessEquals(Vector3(0.437990993, 0.596230984, 0)));
      final textureCoord_14_0_184 = textureCoords_14_0.elementAt(184);
      expect(textureCoord_14_0_184, vector3MoreOrLessEquals(Vector3(0.523419976, 0.558493972, 0)));
      final textureCoord_14_0_185 = textureCoords_14_0.elementAt(185);
      expect(textureCoord_14_0_185, vector3MoreOrLessEquals(Vector3(0.476408005, 0.60048902, 0)));
      final textureCoord_14_0_186 = textureCoords_14_0.elementAt(186);
      expect(textureCoord_14_0_186, vector3MoreOrLessEquals(Vector3(0.523419976, 0.558493972, 0)));
      final textureCoord_14_0_187 = textureCoords_14_0.elementAt(187);
      expect(textureCoord_14_0_187, vector3MoreOrLessEquals(Vector3(0.437990993, 0.596230984, 0)));
      final textureCoord_14_0_188 = textureCoords_14_0.elementAt(188);
      expect(textureCoord_14_0_188, vector3MoreOrLessEquals(Vector3(0.470791996, 0.540674984, 0)));
      final textureCoord_14_0_189 = textureCoords_14_0.elementAt(189);
      expect(textureCoord_14_0_189, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_190 = textureCoords_14_0.elementAt(190);
      expect(textureCoord_14_0_190, vector3MoreOrLessEquals(Vector3(0.476408005, 0.60048902, 0)));
      final textureCoord_14_0_191 = textureCoords_14_0.elementAt(191);
      expect(textureCoord_14_0_191, vector3MoreOrLessEquals(Vector3(0.483803988, 0.637547016, 0)));
      final textureCoord_14_0_192 = textureCoords_14_0.elementAt(192);
      expect(textureCoord_14_0_192, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_193 = textureCoords_14_0.elementAt(193);
      expect(textureCoord_14_0_193, vector3MoreOrLessEquals(Vector3(0.437990993, 0.596230984, 0)));
      final textureCoord_14_0_194 = textureCoords_14_0.elementAt(194);
      expect(textureCoord_14_0_194, vector3MoreOrLessEquals(Vector3(0.476408005, 0.60048902, 0)));
      final textureCoord_14_0_195 = textureCoords_14_0.elementAt(195);
      expect(textureCoord_14_0_195, vector3MoreOrLessEquals(Vector3(0.483803988, 0.637547016, 0)));
      final textureCoord_14_0_196 = textureCoords_14_0.elementAt(196);
      expect(textureCoord_14_0_196, vector3MoreOrLessEquals(Vector3(0.520088017, 0.659264982, 0)));
      final textureCoord_14_0_197 = textureCoords_14_0.elementAt(197);
      expect(textureCoord_14_0_197, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_198 = textureCoords_14_0.elementAt(198);
      expect(textureCoord_14_0_198, vector3MoreOrLessEquals(Vector3(0.520088017, 0.659264982, 0)));
      final textureCoord_14_0_199 = textureCoords_14_0.elementAt(199);
      expect(textureCoord_14_0_199, vector3MoreOrLessEquals(Vector3(0.503593028, 0.672618985, 0)));
      final textureCoord_14_0_200 = textureCoords_14_0.elementAt(200);
      expect(textureCoord_14_0_200, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_201 = textureCoords_14_0.elementAt(201);
      expect(textureCoord_14_0_201, vector3MoreOrLessEquals(Vector3(0.520088017, 0.659264982, 0)));
      final textureCoord_14_0_202 = textureCoords_14_0.elementAt(202);
      expect(textureCoord_14_0_202, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_203 = textureCoords_14_0.elementAt(203);
      expect(textureCoord_14_0_203, vector3MoreOrLessEquals(Vector3(0.503593028, 0.672618985, 0)));
      final textureCoord_14_0_204 = textureCoords_14_0.elementAt(204);
      expect(textureCoord_14_0_204, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_205 = textureCoords_14_0.elementAt(205);
      expect(textureCoord_14_0_205, vector3MoreOrLessEquals(Vector3(0.520088017, 0.659264982, 0)));
      final textureCoord_14_0_206 = textureCoords_14_0.elementAt(206);
      expect(textureCoord_14_0_206, vector3MoreOrLessEquals(Vector3(0.563121021, 0.654510975, 0)));
      final textureCoord_14_0_207 = textureCoords_14_0.elementAt(207);
      expect(textureCoord_14_0_207, vector3MoreOrLessEquals(Vector3(0.563121021, 0.654510975, 0)));
      final textureCoord_14_0_208 = textureCoords_14_0.elementAt(208);
      expect(textureCoord_14_0_208, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_209 = textureCoords_14_0.elementAt(209);
      expect(textureCoord_14_0_209, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_210 = textureCoords_14_0.elementAt(210);
      expect(textureCoord_14_0_210, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_211 = textureCoords_14_0.elementAt(211);
      expect(textureCoord_14_0_211, vector3MoreOrLessEquals(Vector3(0.563121021, 0.654510975, 0)));
      final textureCoord_14_0_212 = textureCoords_14_0.elementAt(212);
      expect(textureCoord_14_0_212, vector3MoreOrLessEquals(Vector3(0.607994974, 0.640263975, 0)));
      final textureCoord_14_0_213 = textureCoords_14_0.elementAt(213);
      expect(textureCoord_14_0_213, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_214 = textureCoords_14_0.elementAt(214);
      expect(textureCoord_14_0_214, vector3MoreOrLessEquals(Vector3(0.607994974, 0.640263975, 0)));
      final textureCoord_14_0_215 = textureCoords_14_0.elementAt(215);
      expect(textureCoord_14_0_215, vector3MoreOrLessEquals(Vector3(0.620275974, 0.610321999, 0)));
      final textureCoord_14_0_216 = textureCoords_14_0.elementAt(216);
      expect(textureCoord_14_0_216, vector3MoreOrLessEquals(Vector3(0.620275974, 0.610321999, 0)));
      final textureCoord_14_0_217 = textureCoords_14_0.elementAt(217);
      expect(textureCoord_14_0_217, vector3MoreOrLessEquals(Vector3(0.667596996, 0.610118985, 0)));
      final textureCoord_14_0_218 = textureCoords_14_0.elementAt(218);
      expect(textureCoord_14_0_218, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_219 = textureCoords_14_0.elementAt(219);
      expect(textureCoord_14_0_219, vector3MoreOrLessEquals(Vector3(0.667596996, 0.610118985, 0)));
      final textureCoord_14_0_220 = textureCoords_14_0.elementAt(220);
      expect(textureCoord_14_0_220, vector3MoreOrLessEquals(Vector3(0.620275974, 0.610321999, 0)));
      final textureCoord_14_0_221 = textureCoords_14_0.elementAt(221);
      expect(textureCoord_14_0_221, vector3MoreOrLessEquals(Vector3(0.641469002, 0.576180995, 0)));
      final textureCoord_14_0_222 = textureCoords_14_0.elementAt(222);
      expect(textureCoord_14_0_222, vector3MoreOrLessEquals(Vector3(0.641469002, 0.576180995, 0)));
      final textureCoord_14_0_223 = textureCoords_14_0.elementAt(223);
      expect(textureCoord_14_0_223, vector3MoreOrLessEquals(Vector3(0.711332023, 0.582341015, 0)));
      final textureCoord_14_0_224 = textureCoords_14_0.elementAt(224);
      expect(textureCoord_14_0_224, vector3MoreOrLessEquals(Vector3(0.667596996, 0.610118985, 0)));
      final textureCoord_14_0_225 = textureCoords_14_0.elementAt(225);
      expect(textureCoord_14_0_225, vector3MoreOrLessEquals(Vector3(0.711332023, 0.582341015, 0)));
      final textureCoord_14_0_226 = textureCoords_14_0.elementAt(226);
      expect(textureCoord_14_0_226, vector3MoreOrLessEquals(Vector3(0.641469002, 0.576180995, 0)));
      final textureCoord_14_0_227 = textureCoords_14_0.elementAt(227);
      expect(textureCoord_14_0_227, vector3MoreOrLessEquals(Vector3(0.68325901, 0.544408977, 0)));
      final textureCoord_14_0_228 = textureCoords_14_0.elementAt(228);
      expect(textureCoord_14_0_228, vector3MoreOrLessEquals(Vector3(0.68325901, 0.544408977, 0)));
      final textureCoord_14_0_229 = textureCoords_14_0.elementAt(229);
      expect(textureCoord_14_0_229, vector3MoreOrLessEquals(Vector3(0.722265005, 0.533730984, 0)));
      final textureCoord_14_0_230 = textureCoords_14_0.elementAt(230);
      expect(textureCoord_14_0_230, vector3MoreOrLessEquals(Vector3(0.711332023, 0.582341015, 0)));
      final textureCoord_14_0_231 = textureCoords_14_0.elementAt(231);
      expect(textureCoord_14_0_231, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_232 = textureCoords_14_0.elementAt(232);
      expect(textureCoord_14_0_232, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_233 = textureCoords_14_0.elementAt(233);
      expect(textureCoord_14_0_233, vector3MoreOrLessEquals(Vector3(0.722265005, 0.533730984, 0)));
      final textureCoord_14_0_234 = textureCoords_14_0.elementAt(234);
      expect(textureCoord_14_0_234, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_235 = textureCoords_14_0.elementAt(235);
      expect(textureCoord_14_0_235, vector3MoreOrLessEquals(Vector3(0.711332023, 0.582341015, 0)));
      final textureCoord_14_0_236 = textureCoords_14_0.elementAt(236);
      expect(textureCoord_14_0_236, vector3MoreOrLessEquals(Vector3(0.722265005, 0.533730984, 0)));
      final textureCoord_14_0_237 = textureCoords_14_0.elementAt(237);
      expect(textureCoord_14_0_237, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_238 = textureCoords_14_0.elementAt(238);
      expect(textureCoord_14_0_238, vector3MoreOrLessEquals(Vector3(0.667596996, 0.610118985, 0)));
      final textureCoord_14_0_239 = textureCoords_14_0.elementAt(239);
      expect(textureCoord_14_0_239, vector3MoreOrLessEquals(Vector3(0.711332023, 0.582341015, 0)));
      final textureCoord_14_0_240 = textureCoords_14_0.elementAt(240);
      expect(textureCoord_14_0_240, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_241 = textureCoords_14_0.elementAt(241);
      expect(textureCoord_14_0_241, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_242 = textureCoords_14_0.elementAt(242);
      expect(textureCoord_14_0_242, vector3MoreOrLessEquals(Vector3(0.667596996, 0.610118985, 0)));
      final textureCoord_14_0_243 = textureCoords_14_0.elementAt(243);
      expect(textureCoord_14_0_243, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_244 = textureCoords_14_0.elementAt(244);
      expect(textureCoord_14_0_244, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_245 = textureCoords_14_0.elementAt(245);
      expect(textureCoord_14_0_245, vector3MoreOrLessEquals(Vector3(0.634796023, 0.658730984, 0)));
      final textureCoord_14_0_246 = textureCoords_14_0.elementAt(246);
      expect(textureCoord_14_0_246, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_247 = textureCoords_14_0.elementAt(247);
      expect(textureCoord_14_0_247, vector3MoreOrLessEquals(Vector3(0.771238983, 0.714286029, 0)));
      final textureCoord_14_0_248 = textureCoords_14_0.elementAt(248);
      expect(textureCoord_14_0_248, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_249 = textureCoords_14_0.elementAt(249);
      expect(textureCoord_14_0_249, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_250 = textureCoords_14_0.elementAt(250);
      expect(textureCoord_14_0_250, vector3MoreOrLessEquals(Vector3(0.503593028, 0.672618985, 0)));
      final textureCoord_14_0_251 = textureCoords_14_0.elementAt(251);
      expect(textureCoord_14_0_251, vector3MoreOrLessEquals(Vector3(0.569194973, 0.679563999, 0)));
      final textureCoord_14_0_252 = textureCoords_14_0.elementAt(252);
      expect(textureCoord_14_0_252, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_253 = textureCoords_14_0.elementAt(253);
      expect(textureCoord_14_0_253, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_254 = textureCoords_14_0.elementAt(254);
      expect(textureCoord_14_0_254, vector3MoreOrLessEquals(Vector3(0.503593028, 0.672618985, 0)));
      final textureCoord_14_0_255 = textureCoords_14_0.elementAt(255);
      expect(textureCoord_14_0_255, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_256 = textureCoords_14_0.elementAt(256);
      expect(textureCoord_14_0_256, vector3MoreOrLessEquals(Vector3(0.738894999, 0.464286, 0)));
      final textureCoord_14_0_257 = textureCoords_14_0.elementAt(257);
      expect(textureCoord_14_0_257, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_258 = textureCoords_14_0.elementAt(258);
      expect(textureCoord_14_0_258, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_259 = textureCoords_14_0.elementAt(259);
      expect(textureCoord_14_0_259, vector3MoreOrLessEquals(Vector3(0.580128014, 0.505953014, 0)));
      final textureCoord_14_0_260 = textureCoords_14_0.elementAt(260);
      expect(textureCoord_14_0_260, vector3MoreOrLessEquals(Vector3(0.470791996, 0.540674984, 0)));
      final textureCoord_14_0_261 = textureCoords_14_0.elementAt(261);
      expect(textureCoord_14_0_261, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_262 = textureCoords_14_0.elementAt(262);
      expect(textureCoord_14_0_262, vector3MoreOrLessEquals(Vector3(0.470791996, 0.540674984, 0)));
      final textureCoord_14_0_263 = textureCoords_14_0.elementAt(263);
      expect(textureCoord_14_0_263, vector3MoreOrLessEquals(Vector3(0.437990993, 0.596230984, 0)));
      final textureCoord_14_0_264 = textureCoords_14_0.elementAt(264);
      expect(textureCoord_14_0_264, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_265 = textureCoords_14_0.elementAt(265);
      expect(textureCoord_14_0_265, vector3MoreOrLessEquals(Vector3(0.434682012, 0.714286029, 0)));
      final textureCoord_14_0_266 = textureCoords_14_0.elementAt(266);
      expect(textureCoord_14_0_266, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_267 = textureCoords_14_0.elementAt(267);
      expect(textureCoord_14_0_267, vector3MoreOrLessEquals(Vector3(0.350273013, 0.464286, 0)));
      final textureCoord_14_0_268 = textureCoords_14_0.elementAt(268);
      expect(textureCoord_14_0_268, vector3MoreOrLessEquals(Vector3(0.459859014, 0.644841015, 0)));
      final textureCoord_14_0_269 = textureCoords_14_0.elementAt(269);
      expect(textureCoord_14_0_269, vector3MoreOrLessEquals(Vector3(0.437990993, 0.596230984, 0)));
      expect(mesh_14.uvComponents.length, equals(1));
      expect(mesh_14.uvComponents, equals([2]));
      expect(mesh_14.faces.length, equals(90));
      expect(mesh_14.bones.length, isZero);
      expect(mesh_14.materialIndex, equals(1));
      expect(mesh_14.name, equals('Kopf2'));
      expect(mesh_14.animMeshes.length, isZero);
      expect(mesh_14.morphingMethod, isZero);
      expect(mesh_14.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_15 = meshes.elementAt(15);
      expect(mesh_15.primitiveTypes, equals(4));
      expect(mesh_15.vertices.length, equals(126));
      final vertex_15_0 = mesh_15.vertices.elementAt(0);
      expect(vertex_15_0, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_1 = mesh_15.vertices.elementAt(1);
      expect(vertex_15_1, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_2 = mesh_15.vertices.elementAt(2);
      expect(vertex_15_2, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_3 = mesh_15.vertices.elementAt(3);
      expect(vertex_15_3, vector3MoreOrLessEquals(Vector3(-61.2657661, 8.09918785, -16.6681156)));
      final vertex_15_4 = mesh_15.vertices.elementAt(4);
      expect(vertex_15_4, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_5 = mesh_15.vertices.elementAt(5);
      expect(vertex_15_5, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924517, -14.5028763)));
      final vertex_15_6 = mesh_15.vertices.elementAt(6);
      expect(vertex_15_6, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_7 = mesh_15.vertices.elementAt(7);
      expect(vertex_15_7, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_8 = mesh_15.vertices.elementAt(8);
      expect(vertex_15_8, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_9 = mesh_15.vertices.elementAt(9);
      expect(vertex_15_9, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_10 = mesh_15.vertices.elementAt(10);
      expect(vertex_15_10, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_11 = mesh_15.vertices.elementAt(11);
      expect(vertex_15_11, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_12 = mesh_15.vertices.elementAt(12);
      expect(vertex_15_12, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_13 = mesh_15.vertices.elementAt(13);
      expect(vertex_15_13, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924517, -14.5028763)));
      final vertex_15_14 = mesh_15.vertices.elementAt(14);
      expect(vertex_15_14, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_15 = mesh_15.vertices.elementAt(15);
      expect(vertex_15_15, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_16 = mesh_15.vertices.elementAt(16);
      expect(vertex_15_16, vector3MoreOrLessEquals(Vector3(-61.2657661, 8.09918785, -16.6681156)));
      final vertex_15_17 = mesh_15.vertices.elementAt(17);
      expect(vertex_15_17, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924517, -14.5028763)));
      final vertex_15_18 = mesh_15.vertices.elementAt(18);
      expect(vertex_15_18, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_19 = mesh_15.vertices.elementAt(19);
      expect(vertex_15_19, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_20 = mesh_15.vertices.elementAt(20);
      expect(vertex_15_20, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_21 = mesh_15.vertices.elementAt(21);
      expect(vertex_15_21, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_22 = mesh_15.vertices.elementAt(22);
      expect(vertex_15_22, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_23 = mesh_15.vertices.elementAt(23);
      expect(vertex_15_23, vector3MoreOrLessEquals(Vector3(-61.2657661, 8.09918785, -16.6681156)));
      final vertex_15_24 = mesh_15.vertices.elementAt(24);
      expect(vertex_15_24, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_25 = mesh_15.vertices.elementAt(25);
      expect(vertex_15_25, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_26 = mesh_15.vertices.elementAt(26);
      expect(vertex_15_26, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_27 = mesh_15.vertices.elementAt(27);
      expect(vertex_15_27, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_28 = mesh_15.vertices.elementAt(28);
      expect(vertex_15_28, vector3MoreOrLessEquals(Vector3(-66.9552765, 4.53118181, -18.7839546)));
      final vertex_15_29 = mesh_15.vertices.elementAt(29);
      expect(vertex_15_29, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_30 = mesh_15.vertices.elementAt(30);
      expect(vertex_15_30, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_31 = mesh_15.vertices.elementAt(31);
      expect(vertex_15_31, vector3MoreOrLessEquals(Vector3(-61.2657661, 8.09918785, -16.6681156)));
      final vertex_15_32 = mesh_15.vertices.elementAt(32);
      expect(vertex_15_32, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_33 = mesh_15.vertices.elementAt(33);
      expect(vertex_15_33, vector3MoreOrLessEquals(Vector3(-66.9552765, 4.53118181, -18.7839546)));
      final vertex_15_34 = mesh_15.vertices.elementAt(34);
      expect(vertex_15_34, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_35 = mesh_15.vertices.elementAt(35);
      expect(vertex_15_35, vector3MoreOrLessEquals(Vector3(-64.6641541, 4.27780199, -18.2394905)));
      final vertex_15_36 = mesh_15.vertices.elementAt(36);
      expect(vertex_15_36, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_37 = mesh_15.vertices.elementAt(37);
      expect(vertex_15_37, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_38 = mesh_15.vertices.elementAt(38);
      expect(vertex_15_38, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_39 = mesh_15.vertices.elementAt(39);
      expect(vertex_15_39, vector3MoreOrLessEquals(Vector3(-63.8092613, 13.2498589, -14.8648987)));
      final vertex_15_40 = mesh_15.vertices.elementAt(40);
      expect(vertex_15_40, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_41 = mesh_15.vertices.elementAt(41);
      expect(vertex_15_41, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_42 = mesh_15.vertices.elementAt(42);
      expect(vertex_15_42, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_43 = mesh_15.vertices.elementAt(43);
      expect(vertex_15_43, vector3MoreOrLessEquals(Vector3(-66.9552765, 4.53118181, -18.7839546)));
      final vertex_15_44 = mesh_15.vertices.elementAt(44);
      expect(vertex_15_44, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_45 = mesh_15.vertices.elementAt(45);
      expect(vertex_15_45, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_46 = mesh_15.vertices.elementAt(46);
      expect(vertex_15_46, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_47 = mesh_15.vertices.elementAt(47);
      expect(vertex_15_47, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_48 = mesh_15.vertices.elementAt(48);
      expect(vertex_15_48, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_49 = mesh_15.vertices.elementAt(49);
      expect(vertex_15_49, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_50 = mesh_15.vertices.elementAt(50);
      expect(vertex_15_50, vector3MoreOrLessEquals(Vector3(-66.9552765, 4.53118181, -18.7839546)));
      final vertex_15_51 = mesh_15.vertices.elementAt(51);
      expect(vertex_15_51, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_52 = mesh_15.vertices.elementAt(52);
      expect(vertex_15_52, vector3MoreOrLessEquals(Vector3(-63.8092613, 13.2498589, -14.8648987)));
      final vertex_15_53 = mesh_15.vertices.elementAt(53);
      expect(vertex_15_53, vector3MoreOrLessEquals(Vector3(-62.3759918, 11.2147026, -16.829237)));
      final vertex_15_54 = mesh_15.vertices.elementAt(54);
      expect(vertex_15_54, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_55 = mesh_15.vertices.elementAt(55);
      expect(vertex_15_55, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_56 = mesh_15.vertices.elementAt(56);
      expect(vertex_15_56, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_57 = mesh_15.vertices.elementAt(57);
      expect(vertex_15_57, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_58 = mesh_15.vertices.elementAt(58);
      expect(vertex_15_58, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_59 = mesh_15.vertices.elementAt(59);
      expect(vertex_15_59, vector3MoreOrLessEquals(Vector3(-63.8092613, 13.2498589, -14.8648987)));
      final vertex_15_60 = mesh_15.vertices.elementAt(60);
      expect(vertex_15_60, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_61 = mesh_15.vertices.elementAt(61);
      expect(vertex_15_61, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_62 = mesh_15.vertices.elementAt(62);
      expect(vertex_15_62, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_63 = mesh_15.vertices.elementAt(63);
      expect(vertex_15_63, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_64 = mesh_15.vertices.elementAt(64);
      expect(vertex_15_64, vector3MoreOrLessEquals(Vector3(-69.118042, 3.39922404, -15.8219814)));
      final vertex_15_65 = mesh_15.vertices.elementAt(65);
      expect(vertex_15_65, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_66 = mesh_15.vertices.elementAt(66);
      expect(vertex_15_66, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_67 = mesh_15.vertices.elementAt(67);
      expect(vertex_15_67, vector3MoreOrLessEquals(Vector3(-63.8092613, 13.2498589, -14.8648987)));
      final vertex_15_68 = mesh_15.vertices.elementAt(68);
      expect(vertex_15_68, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_69 = mesh_15.vertices.elementAt(69);
      expect(vertex_15_69, vector3MoreOrLessEquals(Vector3(-69.118042, 3.39922404, -15.8219814)));
      final vertex_15_70 = mesh_15.vertices.elementAt(70);
      expect(vertex_15_70, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_71 = mesh_15.vertices.elementAt(71);
      expect(vertex_15_71, vector3MoreOrLessEquals(Vector3(-68.9373627, 4.14017487, -17.7080555)));
      final vertex_15_72 = mesh_15.vertices.elementAt(72);
      expect(vertex_15_72, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_73 = mesh_15.vertices.elementAt(73);
      expect(vertex_15_73, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_74 = mesh_15.vertices.elementAt(74);
      expect(vertex_15_74, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_75 = mesh_15.vertices.elementAt(75);
      expect(vertex_15_75, vector3MoreOrLessEquals(Vector3(-63.8974266, 9.91648483, -10.9632549)));
      final vertex_15_76 = mesh_15.vertices.elementAt(76);
      expect(vertex_15_76, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_77 = mesh_15.vertices.elementAt(77);
      expect(vertex_15_77, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_78 = mesh_15.vertices.elementAt(78);
      expect(vertex_15_78, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_79 = mesh_15.vertices.elementAt(79);
      expect(vertex_15_79, vector3MoreOrLessEquals(Vector3(-69.118042, 3.39922404, -15.8219814)));
      final vertex_15_80 = mesh_15.vertices.elementAt(80);
      expect(vertex_15_80, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_81 = mesh_15.vertices.elementAt(81);
      expect(vertex_15_81, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_82 = mesh_15.vertices.elementAt(82);
      expect(vertex_15_82, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_83 = mesh_15.vertices.elementAt(83);
      expect(vertex_15_83, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_84 = mesh_15.vertices.elementAt(84);
      expect(vertex_15_84, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_85 = mesh_15.vertices.elementAt(85);
      expect(vertex_15_85, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_86 = mesh_15.vertices.elementAt(86);
      expect(vertex_15_86, vector3MoreOrLessEquals(Vector3(-69.118042, 3.39922404, -15.8219814)));
      final vertex_15_87 = mesh_15.vertices.elementAt(87);
      expect(vertex_15_87, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_88 = mesh_15.vertices.elementAt(88);
      expect(vertex_15_88, vector3MoreOrLessEquals(Vector3(-63.8974266, 9.91648483, -10.9632549)));
      final vertex_15_89 = mesh_15.vertices.elementAt(89);
      expect(vertex_15_89, vector3MoreOrLessEquals(Vector3(-64.4863739, 12.6721153, -12.2542877)));
      final vertex_15_90 = mesh_15.vertices.elementAt(90);
      expect(vertex_15_90, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_91 = mesh_15.vertices.elementAt(91);
      expect(vertex_15_91, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_92 = mesh_15.vertices.elementAt(92);
      expect(vertex_15_92, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_93 = mesh_15.vertices.elementAt(93);
      expect(vertex_15_93, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      final vertex_15_94 = mesh_15.vertices.elementAt(94);
      expect(vertex_15_94, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_95 = mesh_15.vertices.elementAt(95);
      expect(vertex_15_95, vector3MoreOrLessEquals(Vector3(-63.8974266, 9.91648483, -10.9632549)));
      final vertex_15_96 = mesh_15.vertices.elementAt(96);
      expect(vertex_15_96, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_97 = mesh_15.vertices.elementAt(97);
      expect(vertex_15_97, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_98 = mesh_15.vertices.elementAt(98);
      expect(vertex_15_98, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_99 = mesh_15.vertices.elementAt(99);
      expect(vertex_15_99, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_100 = mesh_15.vertices.elementAt(100);
      expect(vertex_15_100, vector3MoreOrLessEquals(Vector3(-64.9896393, 2.94260097, -14.8409119)));
      final vertex_15_101 = mesh_15.vertices.elementAt(101);
      expect(vertex_15_101, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_102 = mesh_15.vertices.elementAt(102);
      expect(vertex_15_102, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      final vertex_15_103 = mesh_15.vertices.elementAt(103);
      expect(vertex_15_103, vector3MoreOrLessEquals(Vector3(-63.8974266, 9.91648483, -10.9632549)));
      final vertex_15_104 = mesh_15.vertices.elementAt(104);
      expect(vertex_15_104, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_105 = mesh_15.vertices.elementAt(105);
      expect(vertex_15_105, vector3MoreOrLessEquals(Vector3(-64.9896393, 2.94260097, -14.8409119)));
      final vertex_15_106 = mesh_15.vertices.elementAt(106);
      expect(vertex_15_106, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      final vertex_15_107 = mesh_15.vertices.elementAt(107);
      expect(vertex_15_107, vector3MoreOrLessEquals(Vector3(-67.3611603, 2.86621094, -14.54599)));
      final vertex_15_108 = mesh_15.vertices.elementAt(108);
      expect(vertex_15_108, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_109 = mesh_15.vertices.elementAt(109);
      expect(vertex_15_109, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_110 = mesh_15.vertices.elementAt(110);
      expect(vertex_15_110, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_111 = mesh_15.vertices.elementAt(111);
      expect(vertex_15_111, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924517, -14.5028763)));
      final vertex_15_112 = mesh_15.vertices.elementAt(112);
      expect(vertex_15_112, vector3MoreOrLessEquals(Vector3(-62.8050385, 9.77993393, -14.0066662)));
      final vertex_15_113 = mesh_15.vertices.elementAt(113);
      expect(vertex_15_113, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      final vertex_15_114 = mesh_15.vertices.elementAt(114);
      expect(vertex_15_114, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_115 = mesh_15.vertices.elementAt(115);
      expect(vertex_15_115, vector3MoreOrLessEquals(Vector3(-64.9896393, 2.94260097, -14.8409119)));
      final vertex_15_116 = mesh_15.vertices.elementAt(116);
      expect(vertex_15_116, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_117 = mesh_15.vertices.elementAt(117);
      expect(vertex_15_117, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_118 = mesh_15.vertices.elementAt(118);
      expect(vertex_15_118, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_119 = mesh_15.vertices.elementAt(119);
      expect(vertex_15_119, vector3MoreOrLessEquals(Vector3(-66.591156, -11.9765282, -20.1121521)));
      final vertex_15_120 = mesh_15.vertices.elementAt(120);
      expect(vertex_15_120, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_121 = mesh_15.vertices.elementAt(121);
      expect(vertex_15_121, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      final vertex_15_122 = mesh_15.vertices.elementAt(122);
      expect(vertex_15_122, vector3MoreOrLessEquals(Vector3(-64.9896393, 2.94260097, -14.8409119)));
      final vertex_15_123 = mesh_15.vertices.elementAt(123);
      expect(vertex_15_123, vector3MoreOrLessEquals(Vector3(-63.7893486, 3.570786, -16.484684)));
      final vertex_15_124 = mesh_15.vertices.elementAt(124);
      expect(vertex_15_124, vector3MoreOrLessEquals(Vector3(-61.3147011, 6.24924517, -14.5028763)));
      final vertex_15_125 = mesh_15.vertices.elementAt(125);
      expect(vertex_15_125, vector3MoreOrLessEquals(Vector3(-62.4859467, 7.05806923, -11.9639664)));
      expect(mesh_15.normals.length, equals(126));
      final normal_15_0 = mesh_15.normals.elementAt(0);
      expect(normal_15_0, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_1 = mesh_15.normals.elementAt(1);
      expect(normal_15_1, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_2 = mesh_15.normals.elementAt(2);
      expect(normal_15_2, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_3 = mesh_15.normals.elementAt(3);
      expect(normal_15_3, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_4 = mesh_15.normals.elementAt(4);
      expect(normal_15_4, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_5 = mesh_15.normals.elementAt(5);
      expect(normal_15_5, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_6 = mesh_15.normals.elementAt(6);
      expect(normal_15_6, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_7 = mesh_15.normals.elementAt(7);
      expect(normal_15_7, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_8 = mesh_15.normals.elementAt(8);
      expect(normal_15_8, vector3MoreOrLessEquals(Vector3(0.88528502, -0.0517069995, -0.462164998)));
      final normal_15_9 = mesh_15.normals.elementAt(9);
      expect(normal_15_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_10 = mesh_15.normals.elementAt(10);
      expect(normal_15_10, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_11 = mesh_15.normals.elementAt(11);
      expect(normal_15_11, vector3MoreOrLessEquals(Vector3(0.88528502, -0.0517069995, -0.462164998)));
      final normal_15_12 = mesh_15.normals.elementAt(12);
      expect(normal_15_12, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_13 = mesh_15.normals.elementAt(13);
      expect(normal_15_13, vector3MoreOrLessEquals(Vector3(0.767334998, -0.613874972, -0.185351998)));
      final normal_15_14 = mesh_15.normals.elementAt(14);
      expect(normal_15_14, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_15 = mesh_15.normals.elementAt(15);
      expect(normal_15_15, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_16 = mesh_15.normals.elementAt(16);
      expect(normal_15_16, vector3MoreOrLessEquals(Vector3(0.615706027, -0.238765001, -0.750931025)));
      final normal_15_17 = mesh_15.normals.elementAt(17);
      expect(normal_15_17, vector3MoreOrLessEquals(Vector3(0.767334998, -0.613874972, -0.185351998)));
      final normal_15_18 = mesh_15.normals.elementAt(18);
      expect(normal_15_18, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_19 = mesh_15.normals.elementAt(19);
      expect(normal_15_19, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_20 = mesh_15.normals.elementAt(20);
      expect(normal_15_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_21 = mesh_15.normals.elementAt(21);
      expect(normal_15_21, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_22 = mesh_15.normals.elementAt(22);
      expect(normal_15_22, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_23 = mesh_15.normals.elementAt(23);
      expect(normal_15_23, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_24 = mesh_15.normals.elementAt(24);
      expect(normal_15_24, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, -0.988255024)));
      final normal_15_25 = mesh_15.normals.elementAt(25);
      expect(normal_15_25, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_26 = mesh_15.normals.elementAt(26);
      expect(normal_15_26, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_27 = mesh_15.normals.elementAt(27);
      expect(normal_15_27, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, -0.988255024)));
      final normal_15_28 = mesh_15.normals.elementAt(28);
      expect(normal_15_28, vector3MoreOrLessEquals(Vector3(-0.134481996, 0.218923002, -0.966430008)));
      final normal_15_29 = mesh_15.normals.elementAt(29);
      expect(normal_15_29, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_30 = mesh_15.normals.elementAt(30);
      expect(normal_15_30, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, -0.939284027)));
      final normal_15_31 = mesh_15.normals.elementAt(31);
      expect(normal_15_31, vector3MoreOrLessEquals(Vector3(0.615706027, -0.238765001, -0.750931025)));
      final normal_15_32 = mesh_15.normals.elementAt(32);
      expect(normal_15_32, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_33 = mesh_15.normals.elementAt(33);
      expect(normal_15_33, vector3MoreOrLessEquals(Vector3(-0.134481996, 0.218923002, -0.966430008)));
      final normal_15_34 = mesh_15.normals.elementAt(34);
      expect(normal_15_34, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, -0.939284027)));
      final normal_15_35 = mesh_15.normals.elementAt(35);
      expect(normal_15_35, vector3MoreOrLessEquals(Vector3(0.602535009, -0.114021003, -0.789905012)));
      final normal_15_36 = mesh_15.normals.elementAt(36);
      expect(normal_15_36, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_37 = mesh_15.normals.elementAt(37);
      expect(normal_15_37, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_38 = mesh_15.normals.elementAt(38);
      expect(normal_15_38, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_39 = mesh_15.normals.elementAt(39);
      expect(normal_15_39, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_40 = mesh_15.normals.elementAt(40);
      expect(normal_15_40, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_41 = mesh_15.normals.elementAt(41);
      expect(normal_15_41, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_42 = mesh_15.normals.elementAt(42);
      expect(normal_15_42, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_43 = mesh_15.normals.elementAt(43);
      expect(normal_15_43, vector3MoreOrLessEquals(Vector3(-0.134481996, 0.218923002, -0.966430008)));
      final normal_15_44 = mesh_15.normals.elementAt(44);
      expect(normal_15_44, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, -0.988255024)));
      final normal_15_45 = mesh_15.normals.elementAt(45);
      expect(normal_15_45, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_46 = mesh_15.normals.elementAt(46);
      expect(normal_15_46, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_47 = mesh_15.normals.elementAt(47);
      expect(normal_15_47, vector3MoreOrLessEquals(Vector3(-0.132228002, 0.0765980035, -0.988255024)));
      final normal_15_48 = mesh_15.normals.elementAt(48);
      expect(normal_15_48, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_49 = mesh_15.normals.elementAt(49);
      expect(normal_15_49, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, -0.939284027)));
      final normal_15_50 = mesh_15.normals.elementAt(50);
      expect(normal_15_50, vector3MoreOrLessEquals(Vector3(-0.134481996, 0.218923002, -0.966430008)));
      final normal_15_51 = mesh_15.normals.elementAt(51);
      expect(normal_15_51, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_52 = mesh_15.normals.elementAt(52);
      expect(normal_15_52, vector3MoreOrLessEquals(Vector3(-0.686972976, 0.538874984, -0.487526)));
      final normal_15_53 = mesh_15.normals.elementAt(53);
      expect(normal_15_53, vector3MoreOrLessEquals(Vector3(-0.0826539993, 0.333036005, -0.939284027)));
      final normal_15_54 = mesh_15.normals.elementAt(54);
      expect(normal_15_54, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_55 = mesh_15.normals.elementAt(55);
      expect(normal_15_55, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_56 = mesh_15.normals.elementAt(56);
      expect(normal_15_56, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_57 = mesh_15.normals.elementAt(57);
      expect(normal_15_57, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_58 = mesh_15.normals.elementAt(58);
      expect(normal_15_58, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_59 = mesh_15.normals.elementAt(59);
      expect(normal_15_59, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_60 = mesh_15.normals.elementAt(60);
      expect(normal_15_60, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, 0.331840008)));
      final normal_15_61 = mesh_15.normals.elementAt(61);
      expect(normal_15_61, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_62 = mesh_15.normals.elementAt(62);
      expect(normal_15_62, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_63 = mesh_15.normals.elementAt(63);
      expect(normal_15_63, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, 0.331840008)));
      final normal_15_64 = mesh_15.normals.elementAt(64);
      expect(normal_15_64, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, 0.42861101)));
      final normal_15_65 = mesh_15.normals.elementAt(65);
      expect(normal_15_65, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_66 = mesh_15.normals.elementAt(66);
      expect(normal_15_66, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, 0.379868001)));
      final normal_15_67 = mesh_15.normals.elementAt(67);
      expect(normal_15_67, vector3MoreOrLessEquals(Vector3(-0.686972976, 0.538874984, -0.487526)));
      final normal_15_68 = mesh_15.normals.elementAt(68);
      expect(normal_15_68, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_69 = mesh_15.normals.elementAt(69);
      expect(normal_15_69, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, 0.42861101)));
      final normal_15_70 = mesh_15.normals.elementAt(70);
      expect(normal_15_70, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, 0.379868001)));
      final normal_15_71 = mesh_15.normals.elementAt(71);
      expect(normal_15_71, vector3MoreOrLessEquals(Vector3(-0.794263005, 0.362850994, -0.487325013)));
      final normal_15_72 = mesh_15.normals.elementAt(72);
      expect(normal_15_72, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_73 = mesh_15.normals.elementAt(73);
      expect(normal_15_73, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_74 = mesh_15.normals.elementAt(74);
      expect(normal_15_74, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_75 = mesh_15.normals.elementAt(75);
      expect(normal_15_75, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_76 = mesh_15.normals.elementAt(76);
      expect(normal_15_76, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_77 = mesh_15.normals.elementAt(77);
      expect(normal_15_77, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_78 = mesh_15.normals.elementAt(78);
      expect(normal_15_78, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_79 = mesh_15.normals.elementAt(79);
      expect(normal_15_79, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, 0.42861101)));
      final normal_15_80 = mesh_15.normals.elementAt(80);
      expect(normal_15_80, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, 0.331840008)));
      final normal_15_81 = mesh_15.normals.elementAt(81);
      expect(normal_15_81, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_82 = mesh_15.normals.elementAt(82);
      expect(normal_15_82, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_83 = mesh_15.normals.elementAt(83);
      expect(normal_15_83, vector3MoreOrLessEquals(Vector3(-0.911656022, -0.242413998, 0.331840008)));
      final normal_15_84 = mesh_15.normals.elementAt(84);
      expect(normal_15_84, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_85 = mesh_15.normals.elementAt(85);
      expect(normal_15_85, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, 0.379868001)));
      final normal_15_86 = mesh_15.normals.elementAt(86);
      expect(normal_15_86, vector3MoreOrLessEquals(Vector3(-0.90346998, -0.00585399987, 0.42861101)));
      final normal_15_87 = mesh_15.normals.elementAt(87);
      expect(normal_15_87, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_88 = mesh_15.normals.elementAt(88);
      expect(normal_15_88, vector3MoreOrLessEquals(Vector3(-0.531215012, -0.161650002, 0.831673026)));
      final normal_15_89 = mesh_15.normals.elementAt(89);
      expect(normal_15_89, vector3MoreOrLessEquals(Vector3(-0.880207002, 0.284492999, 0.379868001)));
      final normal_15_90 = mesh_15.normals.elementAt(90);
      expect(normal_15_90, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_91 = mesh_15.normals.elementAt(91);
      expect(normal_15_91, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_92 = mesh_15.normals.elementAt(92);
      expect(normal_15_92, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_93 = mesh_15.normals.elementAt(93);
      expect(normal_15_93, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_94 = mesh_15.normals.elementAt(94);
      expect(normal_15_94, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_95 = mesh_15.normals.elementAt(95);
      expect(normal_15_95, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_96 = mesh_15.normals.elementAt(96);
      expect(normal_15_96, vector3MoreOrLessEquals(Vector3(0.521709025, -0.333451986, 0.785257995)));
      final normal_15_97 = mesh_15.normals.elementAt(97);
      expect(normal_15_97, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_98 = mesh_15.normals.elementAt(98);
      expect(normal_15_98, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_99 = mesh_15.normals.elementAt(99);
      expect(normal_15_99, vector3MoreOrLessEquals(Vector3(0.521709025, -0.333451986, 0.785257995)));
      final normal_15_100 = mesh_15.normals.elementAt(100);
      expect(normal_15_100, vector3MoreOrLessEquals(Vector3(0.498223007, -0.51821202, 0.695147991)));
      final normal_15_101 = mesh_15.normals.elementAt(101);
      expect(normal_15_101, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_102 = mesh_15.normals.elementAt(102);
      expect(normal_15_102, vector3MoreOrLessEquals(Vector3(0.319252998, -0.666929007, 0.673264027)));
      final normal_15_103 = mesh_15.normals.elementAt(103);
      expect(normal_15_103, vector3MoreOrLessEquals(Vector3(-0.531215012, -0.161650002, 0.831673026)));
      final normal_15_104 = mesh_15.normals.elementAt(104);
      expect(normal_15_104, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_105 = mesh_15.normals.elementAt(105);
      expect(normal_15_105, vector3MoreOrLessEquals(Vector3(0.498223007, -0.51821202, 0.695147991)));
      final normal_15_106 = mesh_15.normals.elementAt(106);
      expect(normal_15_106, vector3MoreOrLessEquals(Vector3(0.319252998, -0.666929007, 0.673264027)));
      final normal_15_107 = mesh_15.normals.elementAt(107);
      expect(normal_15_107, vector3MoreOrLessEquals(Vector3(-0.359072, -0.293406993, 0.885990977)));
      final normal_15_108 = mesh_15.normals.elementAt(108);
      expect(normal_15_108, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_109 = mesh_15.normals.elementAt(109);
      expect(normal_15_109, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_110 = mesh_15.normals.elementAt(110);
      expect(normal_15_110, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_15_111 = mesh_15.normals.elementAt(111);
      expect(normal_15_111, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_112 = mesh_15.normals.elementAt(112);
      expect(normal_15_112, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_113 = mesh_15.normals.elementAt(113);
      expect(normal_15_113, vector3MoreOrLessEquals(Vector3(0.891943991, 0.333617985, 0.305179)));
      final normal_15_114 = mesh_15.normals.elementAt(114);
      expect(normal_15_114, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_115 = mesh_15.normals.elementAt(115);
      expect(normal_15_115, vector3MoreOrLessEquals(Vector3(0.498223007, -0.51821202, 0.695147991)));
      final normal_15_116 = mesh_15.normals.elementAt(116);
      expect(normal_15_116, vector3MoreOrLessEquals(Vector3(0.521709025, -0.333451986, 0.785257995)));
      final normal_15_117 = mesh_15.normals.elementAt(117);
      expect(normal_15_117, vector3MoreOrLessEquals(Vector3(0.88528502, -0.0517069995, -0.462164998)));
      final normal_15_118 = mesh_15.normals.elementAt(118);
      expect(normal_15_118, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_119 = mesh_15.normals.elementAt(119);
      expect(normal_15_119, vector3MoreOrLessEquals(Vector3(0.521709025, -0.333451986, 0.785257995)));
      final normal_15_120 = mesh_15.normals.elementAt(120);
      expect(normal_15_120, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_121 = mesh_15.normals.elementAt(121);
      expect(normal_15_121, vector3MoreOrLessEquals(Vector3(0.319252998, -0.666929007, 0.673264027)));
      final normal_15_122 = mesh_15.normals.elementAt(122);
      expect(normal_15_122, vector3MoreOrLessEquals(Vector3(0.498223007, -0.51821202, 0.695147991)));
      final normal_15_123 = mesh_15.normals.elementAt(123);
      expect(normal_15_123, vector3MoreOrLessEquals(Vector3(0.871702015, -0.486402005, 0.0595749989)));
      final normal_15_124 = mesh_15.normals.elementAt(124);
      expect(normal_15_124, vector3MoreOrLessEquals(Vector3(0.767334998, -0.613874972, -0.185351998)));
      final normal_15_125 = mesh_15.normals.elementAt(125);
      expect(normal_15_125, vector3MoreOrLessEquals(Vector3(0.319252998, -0.666929007, 0.673264027)));
      expect(mesh_15.tangents.length, isZero);
      expect(mesh_15.bitangents.length, isZero);
      expect(mesh_15.colors.length, isZero);
      expect(mesh_15.textureCoords.length, equals(1));
      final textureCoords_15_0 = mesh_15.textureCoords.elementAt(0);
      expect(textureCoords_15_0.length, equals(126));
      final textureCoord_15_0_0 = textureCoords_15_0.elementAt(0);
      expect(textureCoord_15_0_0, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_1 = textureCoords_15_0.elementAt(1);
      expect(textureCoord_15_0_1, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_2 = textureCoords_15_0.elementAt(2);
      expect(textureCoord_15_0_2, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_3 = textureCoords_15_0.elementAt(3);
      expect(textureCoord_15_0_3, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_15_0_4 = textureCoords_15_0.elementAt(4);
      expect(textureCoord_15_0_4, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_5 = textureCoords_15_0.elementAt(5);
      expect(textureCoord_15_0_5, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_15_0_6 = textureCoords_15_0.elementAt(6);
      expect(textureCoord_15_0_6, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_7 = textureCoords_15_0.elementAt(7);
      expect(textureCoord_15_0_7, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_8 = textureCoords_15_0.elementAt(8);
      expect(textureCoord_15_0_8, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_9 = textureCoords_15_0.elementAt(9);
      expect(textureCoord_15_0_9, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_10 = textureCoords_15_0.elementAt(10);
      expect(textureCoord_15_0_10, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_11 = textureCoords_15_0.elementAt(11);
      expect(textureCoord_15_0_11, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_12 = textureCoords_15_0.elementAt(12);
      expect(textureCoord_15_0_12, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_13 = textureCoords_15_0.elementAt(13);
      expect(textureCoord_15_0_13, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_15_0_14 = textureCoords_15_0.elementAt(14);
      expect(textureCoord_15_0_14, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_15 = textureCoords_15_0.elementAt(15);
      expect(textureCoord_15_0_15, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_16 = textureCoords_15_0.elementAt(16);
      expect(textureCoord_15_0_16, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_15_0_17 = textureCoords_15_0.elementAt(17);
      expect(textureCoord_15_0_17, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_15_0_18 = textureCoords_15_0.elementAt(18);
      expect(textureCoord_15_0_18, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_19 = textureCoords_15_0.elementAt(19);
      expect(textureCoord_15_0_19, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_20 = textureCoords_15_0.elementAt(20);
      expect(textureCoord_15_0_20, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_21 = textureCoords_15_0.elementAt(21);
      expect(textureCoord_15_0_21, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_22 = textureCoords_15_0.elementAt(22);
      expect(textureCoord_15_0_22, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_23 = textureCoords_15_0.elementAt(23);
      expect(textureCoord_15_0_23, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_15_0_24 = textureCoords_15_0.elementAt(24);
      expect(textureCoord_15_0_24, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_25 = textureCoords_15_0.elementAt(25);
      expect(textureCoord_15_0_25, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_26 = textureCoords_15_0.elementAt(26);
      expect(textureCoord_15_0_26, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_27 = textureCoords_15_0.elementAt(27);
      expect(textureCoord_15_0_27, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_28 = textureCoords_15_0.elementAt(28);
      expect(textureCoord_15_0_28, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_15_0_29 = textureCoords_15_0.elementAt(29);
      expect(textureCoord_15_0_29, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_30 = textureCoords_15_0.elementAt(30);
      expect(textureCoord_15_0_30, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_31 = textureCoords_15_0.elementAt(31);
      expect(textureCoord_15_0_31, vector3MoreOrLessEquals(Vector3(0.402898997, 0.410468996, 0)));
      final textureCoord_15_0_32 = textureCoords_15_0.elementAt(32);
      expect(textureCoord_15_0_32, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_33 = textureCoords_15_0.elementAt(33);
      expect(textureCoord_15_0_33, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_15_0_34 = textureCoords_15_0.elementAt(34);
      expect(textureCoord_15_0_34, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_35 = textureCoords_15_0.elementAt(35);
      expect(textureCoord_15_0_35, vector3MoreOrLessEquals(Vector3(0.370970011, 0.384243995, 0)));
      final textureCoord_15_0_36 = textureCoords_15_0.elementAt(36);
      expect(textureCoord_15_0_36, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_37 = textureCoords_15_0.elementAt(37);
      expect(textureCoord_15_0_37, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_38 = textureCoords_15_0.elementAt(38);
      expect(textureCoord_15_0_38, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_39 = textureCoords_15_0.elementAt(39);
      expect(textureCoord_15_0_39, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_15_0_40 = textureCoords_15_0.elementAt(40);
      expect(textureCoord_15_0_40, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_41 = textureCoords_15_0.elementAt(41);
      expect(textureCoord_15_0_41, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_42 = textureCoords_15_0.elementAt(42);
      expect(textureCoord_15_0_42, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_43 = textureCoords_15_0.elementAt(43);
      expect(textureCoord_15_0_43, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_15_0_44 = textureCoords_15_0.elementAt(44);
      expect(textureCoord_15_0_44, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_45 = textureCoords_15_0.elementAt(45);
      expect(textureCoord_15_0_45, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_46 = textureCoords_15_0.elementAt(46);
      expect(textureCoord_15_0_46, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_47 = textureCoords_15_0.elementAt(47);
      expect(textureCoord_15_0_47, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_48 = textureCoords_15_0.elementAt(48);
      expect(textureCoord_15_0_48, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_49 = textureCoords_15_0.elementAt(49);
      expect(textureCoord_15_0_49, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_50 = textureCoords_15_0.elementAt(50);
      expect(textureCoord_15_0_50, vector3MoreOrLessEquals(Vector3(0.359907001, 0.38598299, 0)));
      final textureCoord_15_0_51 = textureCoords_15_0.elementAt(51);
      expect(textureCoord_15_0_51, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_52 = textureCoords_15_0.elementAt(52);
      expect(textureCoord_15_0_52, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_15_0_53 = textureCoords_15_0.elementAt(53);
      expect(textureCoord_15_0_53, vector3MoreOrLessEquals(Vector3(0.399625003, 0.431849986, 0)));
      final textureCoord_15_0_54 = textureCoords_15_0.elementAt(54);
      expect(textureCoord_15_0_54, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_55 = textureCoords_15_0.elementAt(55);
      expect(textureCoord_15_0_55, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_56 = textureCoords_15_0.elementAt(56);
      expect(textureCoord_15_0_56, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_57 = textureCoords_15_0.elementAt(57);
      expect(textureCoord_15_0_57, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_58 = textureCoords_15_0.elementAt(58);
      expect(textureCoord_15_0_58, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_59 = textureCoords_15_0.elementAt(59);
      expect(textureCoord_15_0_59, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_15_0_60 = textureCoords_15_0.elementAt(60);
      expect(textureCoord_15_0_60, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_61 = textureCoords_15_0.elementAt(61);
      expect(textureCoord_15_0_61, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_62 = textureCoords_15_0.elementAt(62);
      expect(textureCoord_15_0_62, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_63 = textureCoords_15_0.elementAt(63);
      expect(textureCoord_15_0_63, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_64 = textureCoords_15_0.elementAt(64);
      expect(textureCoord_15_0_64, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_15_0_65 = textureCoords_15_0.elementAt(65);
      expect(textureCoord_15_0_65, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_66 = textureCoords_15_0.elementAt(66);
      expect(textureCoord_15_0_66, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_67 = textureCoords_15_0.elementAt(67);
      expect(textureCoord_15_0_67, vector3MoreOrLessEquals(Vector3(0.439538985, 0.445816994, 0)));
      final textureCoord_15_0_68 = textureCoords_15_0.elementAt(68);
      expect(textureCoord_15_0_68, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_69 = textureCoords_15_0.elementAt(69);
      expect(textureCoord_15_0_69, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_15_0_70 = textureCoords_15_0.elementAt(70);
      expect(textureCoord_15_0_70, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_71 = textureCoords_15_0.elementAt(71);
      expect(textureCoord_15_0_71, vector3MoreOrLessEquals(Vector3(0.381767988, 0.383298993, 0)));
      final textureCoord_15_0_72 = textureCoords_15_0.elementAt(72);
      expect(textureCoord_15_0_72, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_73 = textureCoords_15_0.elementAt(73);
      expect(textureCoord_15_0_73, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_74 = textureCoords_15_0.elementAt(74);
      expect(textureCoord_15_0_74, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_75 = textureCoords_15_0.elementAt(75);
      expect(textureCoord_15_0_75, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_15_0_76 = textureCoords_15_0.elementAt(76);
      expect(textureCoord_15_0_76, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_77 = textureCoords_15_0.elementAt(77);
      expect(textureCoord_15_0_77, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_78 = textureCoords_15_0.elementAt(78);
      expect(textureCoord_15_0_78, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_79 = textureCoords_15_0.elementAt(79);
      expect(textureCoord_15_0_79, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_15_0_80 = textureCoords_15_0.elementAt(80);
      expect(textureCoord_15_0_80, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_81 = textureCoords_15_0.elementAt(81);
      expect(textureCoord_15_0_81, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_82 = textureCoords_15_0.elementAt(82);
      expect(textureCoord_15_0_82, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_83 = textureCoords_15_0.elementAt(83);
      expect(textureCoord_15_0_83, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_84 = textureCoords_15_0.elementAt(84);
      expect(textureCoord_15_0_84, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_85 = textureCoords_15_0.elementAt(85);
      expect(textureCoord_15_0_85, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_86 = textureCoords_15_0.elementAt(86);
      expect(textureCoord_15_0_86, vector3MoreOrLessEquals(Vector3(0.420091987, 0.378214002, 0)));
      final textureCoord_15_0_87 = textureCoords_15_0.elementAt(87);
      expect(textureCoord_15_0_87, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_88 = textureCoords_15_0.elementAt(88);
      expect(textureCoord_15_0_88, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_15_0_89 = textureCoords_15_0.elementAt(89);
      expect(textureCoord_15_0_89, vector3MoreOrLessEquals(Vector3(0.49258399, 0.441852003, 0)));
      final textureCoord_15_0_90 = textureCoords_15_0.elementAt(90);
      expect(textureCoord_15_0_90, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_91 = textureCoords_15_0.elementAt(91);
      expect(textureCoord_15_0_91, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_92 = textureCoords_15_0.elementAt(92);
      expect(textureCoord_15_0_92, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_93 = textureCoords_15_0.elementAt(93);
      expect(textureCoord_15_0_93, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_15_0_94 = textureCoords_15_0.elementAt(94);
      expect(textureCoord_15_0_94, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_95 = textureCoords_15_0.elementAt(95);
      expect(textureCoord_15_0_95, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_15_0_96 = textureCoords_15_0.elementAt(96);
      expect(textureCoord_15_0_96, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_97 = textureCoords_15_0.elementAt(97);
      expect(textureCoord_15_0_97, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_98 = textureCoords_15_0.elementAt(98);
      expect(textureCoord_15_0_98, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_99 = textureCoords_15_0.elementAt(99);
      expect(textureCoord_15_0_99, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_100 = textureCoords_15_0.elementAt(100);
      expect(textureCoord_15_0_100, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_15_0_101 = textureCoords_15_0.elementAt(101);
      expect(textureCoord_15_0_101, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_102 = textureCoords_15_0.elementAt(102);
      expect(textureCoord_15_0_102, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_15_0_103 = textureCoords_15_0.elementAt(103);
      expect(textureCoord_15_0_103, vector3MoreOrLessEquals(Vector3(0.518815994, 0.422940999, 0)));
      final textureCoord_15_0_104 = textureCoords_15_0.elementAt(104);
      expect(textureCoord_15_0_104, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_105 = textureCoords_15_0.elementAt(105);
      expect(textureCoord_15_0_105, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_15_0_106 = textureCoords_15_0.elementAt(106);
      expect(textureCoord_15_0_106, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_15_0_107 = textureCoords_15_0.elementAt(107);
      expect(textureCoord_15_0_107, vector3MoreOrLessEquals(Vector3(0.446018994, 0.374556005, 0)));
      final textureCoord_15_0_108 = textureCoords_15_0.elementAt(108);
      expect(textureCoord_15_0_108, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_109 = textureCoords_15_0.elementAt(109);
      expect(textureCoord_15_0_109, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_110 = textureCoords_15_0.elementAt(110);
      expect(textureCoord_15_0_110, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_111 = textureCoords_15_0.elementAt(111);
      expect(textureCoord_15_0_111, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_15_0_112 = textureCoords_15_0.elementAt(112);
      expect(textureCoord_15_0_112, vector3MoreOrLessEquals(Vector3(0.45697701, 0.422004014, 0)));
      final textureCoord_15_0_113 = textureCoords_15_0.elementAt(113);
      expect(textureCoord_15_0_113, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_15_0_114 = textureCoords_15_0.elementAt(114);
      expect(textureCoord_15_0_114, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_115 = textureCoords_15_0.elementAt(115);
      expect(textureCoord_15_0_115, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_15_0_116 = textureCoords_15_0.elementAt(116);
      expect(textureCoord_15_0_116, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_117 = textureCoords_15_0.elementAt(117);
      expect(textureCoord_15_0_117, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_118 = textureCoords_15_0.elementAt(118);
      expect(textureCoord_15_0_118, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_119 = textureCoords_15_0.elementAt(119);
      expect(textureCoord_15_0_119, vector3MoreOrLessEquals(Vector3(0.332919002, 0.272693992, 0)));
      final textureCoord_15_0_120 = textureCoords_15_0.elementAt(120);
      expect(textureCoord_15_0_120, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_121 = textureCoords_15_0.elementAt(121);
      expect(textureCoord_15_0_121, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      final textureCoord_15_0_122 = textureCoords_15_0.elementAt(122);
      expect(textureCoord_15_0_122, vector3MoreOrLessEquals(Vector3(0.440025985, 0.375079989, 0)));
      final textureCoord_15_0_123 = textureCoords_15_0.elementAt(123);
      expect(textureCoord_15_0_123, vector3MoreOrLessEquals(Vector3(0.406625986, 0.379391998, 0)));
      final textureCoord_15_0_124 = textureCoords_15_0.elementAt(124);
      expect(textureCoord_15_0_124, vector3MoreOrLessEquals(Vector3(0.446895003, 0.397772998, 0)));
      final textureCoord_15_0_125 = textureCoords_15_0.elementAt(125);
      expect(textureCoord_15_0_125, vector3MoreOrLessEquals(Vector3(0.498483002, 0.403324008, 0)));
      expect(mesh_15.uvComponents.length, equals(1));
      expect(mesh_15.uvComponents, equals([2]));
      expect(mesh_15.faces.length, equals(42));
      expect(mesh_15.bones.length, isZero);
      expect(mesh_15.materialIndex, equals(4));
      expect(mesh_15.name, equals('Zahn2'));
      expect(mesh_15.animMeshes.length, isZero);
      expect(mesh_15.morphingMethod, isZero);
      expect(mesh_15.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_16 = meshes.elementAt(16);
      expect(mesh_16.primitiveTypes, equals(4));
      expect(mesh_16.vertices.length, equals(126));
      final vertex_16_0 = mesh_16.vertices.elementAt(0);
      expect(vertex_16_0, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_1 = mesh_16.vertices.elementAt(1);
      expect(vertex_16_1, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_2 = mesh_16.vertices.elementAt(2);
      expect(vertex_16_2, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_3 = mesh_16.vertices.elementAt(3);
      expect(vertex_16_3, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.3342648, -15.6905441)));
      final vertex_16_4 = mesh_16.vertices.elementAt(4);
      expect(vertex_16_4, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_5 = mesh_16.vertices.elementAt(5);
      expect(vertex_16_5, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.1413479, -15.6345425)));
      final vertex_16_6 = mesh_16.vertices.elementAt(6);
      expect(vertex_16_6, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_7 = mesh_16.vertices.elementAt(7);
      expect(vertex_16_7, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_8 = mesh_16.vertices.elementAt(8);
      expect(vertex_16_8, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_9 = mesh_16.vertices.elementAt(9);
      expect(vertex_16_9, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_10 = mesh_16.vertices.elementAt(10);
      expect(vertex_16_10, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_11 = mesh_16.vertices.elementAt(11);
      expect(vertex_16_11, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_12 = mesh_16.vertices.elementAt(12);
      expect(vertex_16_12, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_13 = mesh_16.vertices.elementAt(13);
      expect(vertex_16_13, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.1413479, -15.6345425)));
      final vertex_16_14 = mesh_16.vertices.elementAt(14);
      expect(vertex_16_14, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_15 = mesh_16.vertices.elementAt(15);
      expect(vertex_16_15, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_16 = mesh_16.vertices.elementAt(16);
      expect(vertex_16_16, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.3342648, -15.6905441)));
      final vertex_16_17 = mesh_16.vertices.elementAt(17);
      expect(vertex_16_17, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.1413479, -15.6345425)));
      final vertex_16_18 = mesh_16.vertices.elementAt(18);
      expect(vertex_16_18, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_19 = mesh_16.vertices.elementAt(19);
      expect(vertex_16_19, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_20 = mesh_16.vertices.elementAt(20);
      expect(vertex_16_20, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_21 = mesh_16.vertices.elementAt(21);
      expect(vertex_16_21, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_22 = mesh_16.vertices.elementAt(22);
      expect(vertex_16_22, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_23 = mesh_16.vertices.elementAt(23);
      expect(vertex_16_23, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.3342648, -15.6905441)));
      final vertex_16_24 = mesh_16.vertices.elementAt(24);
      expect(vertex_16_24, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_25 = mesh_16.vertices.elementAt(25);
      expect(vertex_16_25, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_26 = mesh_16.vertices.elementAt(26);
      expect(vertex_16_26, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_27 = mesh_16.vertices.elementAt(27);
      expect(vertex_16_27, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_28 = mesh_16.vertices.elementAt(28);
      expect(vertex_16_28, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.2429781, -22.0231724)));
      final vertex_16_29 = mesh_16.vertices.elementAt(29);
      expect(vertex_16_29, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_30 = mesh_16.vertices.elementAt(30);
      expect(vertex_16_30, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_31 = mesh_16.vertices.elementAt(31);
      expect(vertex_16_31, vector3MoreOrLessEquals(Vector3(-55.5098572, 10.3342648, -15.6905441)));
      final vertex_16_32 = mesh_16.vertices.elementAt(32);
      expect(vertex_16_32, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_33 = mesh_16.vertices.elementAt(33);
      expect(vertex_16_33, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.2429781, -22.0231724)));
      final vertex_16_34 = mesh_16.vertices.elementAt(34);
      expect(vertex_16_34, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_35 = mesh_16.vertices.elementAt(35);
      expect(vertex_16_35, vector3MoreOrLessEquals(Vector3(-57.9158821, 6.68292284, -20.6255322)));
      final vertex_16_36 = mesh_16.vertices.elementAt(36);
      expect(vertex_16_36, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_37 = mesh_16.vertices.elementAt(37);
      expect(vertex_16_37, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_38 = mesh_16.vertices.elementAt(38);
      expect(vertex_16_38, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_39 = mesh_16.vertices.elementAt(39);
      expect(vertex_16_39, vector3MoreOrLessEquals(Vector3(-51.7578392, 12.0369453, -19.5022259)));
      final vertex_16_40 = mesh_16.vertices.elementAt(40);
      expect(vertex_16_40, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_41 = mesh_16.vertices.elementAt(41);
      expect(vertex_16_41, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_42 = mesh_16.vertices.elementAt(42);
      expect(vertex_16_42, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_43 = mesh_16.vertices.elementAt(43);
      expect(vertex_16_43, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.2429781, -22.0231724)));
      final vertex_16_44 = mesh_16.vertices.elementAt(44);
      expect(vertex_16_44, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_45 = mesh_16.vertices.elementAt(45);
      expect(vertex_16_45, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_46 = mesh_16.vertices.elementAt(46);
      expect(vertex_16_46, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_47 = mesh_16.vertices.elementAt(47);
      expect(vertex_16_47, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_48 = mesh_16.vertices.elementAt(48);
      expect(vertex_16_48, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_49 = mesh_16.vertices.elementAt(49);
      expect(vertex_16_49, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_50 = mesh_16.vertices.elementAt(50);
      expect(vertex_16_50, vector3MoreOrLessEquals(Vector3(-56.2968597, 6.2429781, -22.0231724)));
      final vertex_16_51 = mesh_16.vertices.elementAt(51);
      expect(vertex_16_51, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_52 = mesh_16.vertices.elementAt(52);
      expect(vertex_16_52, vector3MoreOrLessEquals(Vector3(-51.7578392, 12.0369453, -19.5022259)));
      final vertex_16_53 = mesh_16.vertices.elementAt(53);
      expect(vertex_16_53, vector3MoreOrLessEquals(Vector3(-52.6372261, 10.287817, -17.4118156)));
      final vertex_16_54 = mesh_16.vertices.elementAt(54);
      expect(vertex_16_54, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_55 = mesh_16.vertices.elementAt(55);
      expect(vertex_16_55, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_56 = mesh_16.vertices.elementAt(56);
      expect(vertex_16_56, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_57 = mesh_16.vertices.elementAt(57);
      expect(vertex_16_57, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_58 = mesh_16.vertices.elementAt(58);
      expect(vertex_16_58, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_59 = mesh_16.vertices.elementAt(59);
      expect(vertex_16_59, vector3MoreOrLessEquals(Vector3(-51.7578392, 12.0369453, -19.5022259)));
      final vertex_16_60 = mesh_16.vertices.elementAt(60);
      expect(vertex_16_60, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_61 = mesh_16.vertices.elementAt(61);
      expect(vertex_16_61, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_62 = mesh_16.vertices.elementAt(62);
      expect(vertex_16_62, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_63 = mesh_16.vertices.elementAt(63);
      expect(vertex_16_63, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_64 = mesh_16.vertices.elementAt(64);
      expect(vertex_16_64, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.85803413, -24.3235645)));
      final vertex_16_65 = mesh_16.vertices.elementAt(65);
      expect(vertex_16_65, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_66 = mesh_16.vertices.elementAt(66);
      expect(vertex_16_66, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_67 = mesh_16.vertices.elementAt(67);
      expect(vertex_16_67, vector3MoreOrLessEquals(Vector3(-51.7578392, 12.0369453, -19.5022259)));
      final vertex_16_68 = mesh_16.vertices.elementAt(68);
      expect(vertex_16_68, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_69 = mesh_16.vertices.elementAt(69);
      expect(vertex_16_69, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.85803413, -24.3235645)));
      final vertex_16_70 = mesh_16.vertices.elementAt(70);
      expect(vertex_16_70, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_71 = mesh_16.vertices.elementAt(71);
      expect(vertex_16_71, vector3MoreOrLessEquals(Vector3(-56.0517273, 7.21101093, -23.6689434)));
      final vertex_16_72 = mesh_16.vertices.elementAt(72);
      expect(vertex_16_72, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_73 = mesh_16.vertices.elementAt(73);
      expect(vertex_16_73, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_74 = mesh_16.vertices.elementAt(74);
      expect(vertex_16_74, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_75 = mesh_16.vertices.elementAt(75);
      expect(vertex_16_75, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2932396, -19.4013424)));
      final vertex_16_76 = mesh_16.vertices.elementAt(76);
      expect(vertex_16_76, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_77 = mesh_16.vertices.elementAt(77);
      expect(vertex_16_77, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_78 = mesh_16.vertices.elementAt(78);
      expect(vertex_16_78, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_79 = mesh_16.vertices.elementAt(79);
      expect(vertex_16_79, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.85803413, -24.3235645)));
      final vertex_16_80 = mesh_16.vertices.elementAt(80);
      expect(vertex_16_80, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_81 = mesh_16.vertices.elementAt(81);
      expect(vertex_16_81, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_82 = mesh_16.vertices.elementAt(82);
      expect(vertex_16_82, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_83 = mesh_16.vertices.elementAt(83);
      expect(vertex_16_83, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_84 = mesh_16.vertices.elementAt(84);
      expect(vertex_16_84, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_85 = mesh_16.vertices.elementAt(85);
      expect(vertex_16_85, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_86 = mesh_16.vertices.elementAt(86);
      expect(vertex_16_86, vector3MoreOrLessEquals(Vector3(-57.3648415, 8.85803413, -24.3235645)));
      final vertex_16_87 = mesh_16.vertices.elementAt(87);
      expect(vertex_16_87, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_88 = mesh_16.vertices.elementAt(88);
      expect(vertex_16_88, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2932396, -19.4013424)));
      final vertex_16_89 = mesh_16.vertices.elementAt(89);
      expect(vertex_16_89, vector3MoreOrLessEquals(Vector3(-53.5339699, 14.2645912, -20.387682)));
      final vertex_16_90 = mesh_16.vertices.elementAt(90);
      expect(vertex_16_90, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_91 = mesh_16.vertices.elementAt(91);
      expect(vertex_16_91, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_92 = mesh_16.vertices.elementAt(92);
      expect(vertex_16_92, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_93 = mesh_16.vertices.elementAt(93);
      expect(vertex_16_93, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      final vertex_16_94 = mesh_16.vertices.elementAt(94);
      expect(vertex_16_94, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_95 = mesh_16.vertices.elementAt(95);
      expect(vertex_16_95, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2932396, -19.4013424)));
      final vertex_16_96 = mesh_16.vertices.elementAt(96);
      expect(vertex_16_96, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_97 = mesh_16.vertices.elementAt(97);
      expect(vertex_16_97, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_98 = mesh_16.vertices.elementAt(98);
      expect(vertex_16_98, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_99 = mesh_16.vertices.elementAt(99);
      expect(vertex_16_99, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_100 = mesh_16.vertices.elementAt(100);
      expect(vertex_16_100, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.65073967, -21.8051243)));
      final vertex_16_101 = mesh_16.vertices.elementAt(101);
      expect(vertex_16_101, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_102 = mesh_16.vertices.elementAt(102);
      expect(vertex_16_102, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      final vertex_16_103 = mesh_16.vertices.elementAt(103);
      expect(vertex_16_103, vector3MoreOrLessEquals(Vector3(-56.6280823, 15.2932396, -19.4013424)));
      final vertex_16_104 = mesh_16.vertices.elementAt(104);
      expect(vertex_16_104, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_105 = mesh_16.vertices.elementAt(105);
      expect(vertex_16_105, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.65073967, -21.8051243)));
      final vertex_16_106 = mesh_16.vertices.elementAt(106);
      expect(vertex_16_106, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      final vertex_16_107 = mesh_16.vertices.elementAt(107);
      expect(vertex_16_107, vector3MoreOrLessEquals(Vector3(-59.2475777, 9.94379234, -23.4941387)));
      final vertex_16_108 = mesh_16.vertices.elementAt(108);
      expect(vertex_16_108, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_109 = mesh_16.vertices.elementAt(109);
      expect(vertex_16_109, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_110 = mesh_16.vertices.elementAt(110);
      expect(vertex_16_110, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_111 = mesh_16.vertices.elementAt(111);
      expect(vertex_16_111, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.1413479, -15.6345425)));
      final vertex_16_112 = mesh_16.vertices.elementAt(112);
      expect(vertex_16_112, vector3MoreOrLessEquals(Vector3(-55.2842865, 12.6723461, -17.9020042)));
      final vertex_16_113 = mesh_16.vertices.elementAt(113);
      expect(vertex_16_113, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      final vertex_16_114 = mesh_16.vertices.elementAt(114);
      expect(vertex_16_114, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_115 = mesh_16.vertices.elementAt(115);
      expect(vertex_16_115, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.65073967, -21.8051243)));
      final vertex_16_116 = mesh_16.vertices.elementAt(116);
      expect(vertex_16_116, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_117 = mesh_16.vertices.elementAt(117);
      expect(vertex_16_117, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_118 = mesh_16.vertices.elementAt(118);
      expect(vertex_16_118, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_119 = mesh_16.vertices.elementAt(119);
      expect(vertex_16_119, vector3MoreOrLessEquals(Vector3(-66.7248459, 1.23447096, -28.6961231)));
      final vertex_16_120 = mesh_16.vertices.elementAt(120);
      expect(vertex_16_120, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_121 = mesh_16.vertices.elementAt(121);
      expect(vertex_16_121, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      final vertex_16_122 = mesh_16.vertices.elementAt(122);
      expect(vertex_16_122, vector3MoreOrLessEquals(Vector3(-60.2821426, 9.65073967, -21.8051243)));
      final vertex_16_123 = mesh_16.vertices.elementAt(123);
      expect(vertex_16_123, vector3MoreOrLessEquals(Vector3(-59.6894608, 8.19949532, -20.5284748)));
      final vertex_16_124 = mesh_16.vertices.elementAt(124);
      expect(vertex_16_124, vector3MoreOrLessEquals(Vector3(-58.2126503, 12.1413479, -15.6345425)));
      final vertex_16_125 = mesh_16.vertices.elementAt(125);
      expect(vertex_16_125, vector3MoreOrLessEquals(Vector3(-58.7102547, 14.3482933, -17.286026)));
      expect(mesh_16.normals.length, equals(126));
      final normal_16_0 = mesh_16.normals.elementAt(0);
      expect(normal_16_0, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_1 = mesh_16.normals.elementAt(1);
      expect(normal_16_1, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_2 = mesh_16.normals.elementAt(2);
      expect(normal_16_2, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_3 = mesh_16.normals.elementAt(3);
      expect(normal_16_3, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_4 = mesh_16.normals.elementAt(4);
      expect(normal_16_4, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_5 = mesh_16.normals.elementAt(5);
      expect(normal_16_5, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_6 = mesh_16.normals.elementAt(6);
      expect(normal_16_6, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_7 = mesh_16.normals.elementAt(7);
      expect(normal_16_7, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_8 = mesh_16.normals.elementAt(8);
      expect(normal_16_8, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506392002, 0.768585026)));
      final normal_16_9 = mesh_16.normals.elementAt(9);
      expect(normal_16_9, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_10 = mesh_16.normals.elementAt(10);
      expect(normal_16_10, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_11 = mesh_16.normals.elementAt(11);
      expect(normal_16_11, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506392002, 0.768585026)));
      final normal_16_12 = mesh_16.normals.elementAt(12);
      expect(normal_16_12, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_13 = mesh_16.normals.elementAt(13);
      expect(normal_16_13, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, 0.580947995)));
      final normal_16_14 = mesh_16.normals.elementAt(14);
      expect(normal_16_14, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_15 = mesh_16.normals.elementAt(15);
      expect(normal_16_15, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_16 = mesh_16.normals.elementAt(16);
      expect(normal_16_16, vector3MoreOrLessEquals(Vector3(-0.0706129968, -0.78510797, 0.615320027)));
      final normal_16_17 = mesh_16.normals.elementAt(17);
      expect(normal_16_17, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, 0.580947995)));
      final normal_16_18 = mesh_16.normals.elementAt(18);
      expect(normal_16_18, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_19 = mesh_16.normals.elementAt(19);
      expect(normal_16_19, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_20 = mesh_16.normals.elementAt(20);
      expect(normal_16_20, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_21 = mesh_16.normals.elementAt(21);
      expect(normal_16_21, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_22 = mesh_16.normals.elementAt(22);
      expect(normal_16_22, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_23 = mesh_16.normals.elementAt(23);
      expect(normal_16_23, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_24 = mesh_16.normals.elementAt(24);
      expect(normal_16_24, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, 0.0532060005)));
      final normal_16_25 = mesh_16.normals.elementAt(25);
      expect(normal_16_25, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_26 = mesh_16.normals.elementAt(26);
      expect(normal_16_26, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_27 = mesh_16.normals.elementAt(27);
      expect(normal_16_27, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, 0.0532060005)));
      final normal_16_28 = mesh_16.normals.elementAt(28);
      expect(normal_16_28, vector3MoreOrLessEquals(Vector3(0.510042012, -0.851110995, 0.124371998)));
      final normal_16_29 = mesh_16.normals.elementAt(29);
      expect(normal_16_29, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_30 = mesh_16.normals.elementAt(30);
      expect(normal_16_30, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, 0.188727006)));
      final normal_16_31 = mesh_16.normals.elementAt(31);
      expect(normal_16_31, vector3MoreOrLessEquals(Vector3(-0.0706129968, -0.78510797, 0.615320027)));
      final normal_16_32 = mesh_16.normals.elementAt(32);
      expect(normal_16_32, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_33 = mesh_16.normals.elementAt(33);
      expect(normal_16_33, vector3MoreOrLessEquals(Vector3(0.510042012, -0.851110995, 0.124371998)));
      final normal_16_34 = mesh_16.normals.elementAt(34);
      expect(normal_16_34, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, 0.188727006)));
      final normal_16_35 = mesh_16.normals.elementAt(35);
      expect(normal_16_35, vector3MoreOrLessEquals(Vector3(-0.112802997, -0.767064989, 0.631574988)));
      final normal_16_36 = mesh_16.normals.elementAt(36);
      expect(normal_16_36, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_37 = mesh_16.normals.elementAt(37);
      expect(normal_16_37, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_38 = mesh_16.normals.elementAt(38);
      expect(normal_16_38, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_39 = mesh_16.normals.elementAt(39);
      expect(normal_16_39, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_40 = mesh_16.normals.elementAt(40);
      expect(normal_16_40, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_41 = mesh_16.normals.elementAt(41);
      expect(normal_16_41, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_42 = mesh_16.normals.elementAt(42);
      expect(normal_16_42, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_43 = mesh_16.normals.elementAt(43);
      expect(normal_16_43, vector3MoreOrLessEquals(Vector3(0.510042012, -0.851110995, 0.124371998)));
      final normal_16_44 = mesh_16.normals.elementAt(44);
      expect(normal_16_44, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, 0.0532060005)));
      final normal_16_45 = mesh_16.normals.elementAt(45);
      expect(normal_16_45, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_46 = mesh_16.normals.elementAt(46);
      expect(normal_16_46, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_47 = mesh_16.normals.elementAt(47);
      expect(normal_16_47, vector3MoreOrLessEquals(Vector3(0.404464006, -0.913004994, 0.0532060005)));
      final normal_16_48 = mesh_16.normals.elementAt(48);
      expect(normal_16_48, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_49 = mesh_16.normals.elementAt(49);
      expect(normal_16_49, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, 0.188727006)));
      final normal_16_50 = mesh_16.normals.elementAt(50);
      expect(normal_16_50, vector3MoreOrLessEquals(Vector3(0.510042012, -0.851110995, 0.124371998)));
      final normal_16_51 = mesh_16.normals.elementAt(51);
      expect(normal_16_51, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_52 = mesh_16.normals.elementAt(52);
      expect(normal_16_52, vector3MoreOrLessEquals(Vector3(0.802854002, -0.245127007, -0.543449998)));
      final normal_16_53 = mesh_16.normals.elementAt(53);
      expect(normal_16_53, vector3MoreOrLessEquals(Vector3(0.60086298, -0.776753008, 0.188727006)));
      final normal_16_54 = mesh_16.normals.elementAt(54);
      expect(normal_16_54, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_55 = mesh_16.normals.elementAt(55);
      expect(normal_16_55, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_56 = mesh_16.normals.elementAt(56);
      expect(normal_16_56, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_57 = mesh_16.normals.elementAt(57);
      expect(normal_16_57, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_58 = mesh_16.normals.elementAt(58);
      expect(normal_16_58, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_59 = mesh_16.normals.elementAt(59);
      expect(normal_16_59, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_60 = mesh_16.normals.elementAt(60);
      expect(normal_16_60, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, -0.936113)));
      final normal_16_61 = mesh_16.normals.elementAt(61);
      expect(normal_16_61, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_62 = mesh_16.normals.elementAt(62);
      expect(normal_16_62, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_63 = mesh_16.normals.elementAt(63);
      expect(normal_16_63, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, -0.936113)));
      final normal_16_64 = mesh_16.normals.elementAt(64);
      expect(normal_16_64, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, -0.901407003)));
      final normal_16_65 = mesh_16.normals.elementAt(65);
      expect(normal_16_65, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_66 = mesh_16.normals.elementAt(66);
      expect(normal_16_66, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, -0.857820988)));
      final normal_16_67 = mesh_16.normals.elementAt(67);
      expect(normal_16_67, vector3MoreOrLessEquals(Vector3(0.802854002, -0.245127007, -0.543449998)));
      final normal_16_68 = mesh_16.normals.elementAt(68);
      expect(normal_16_68, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_69 = mesh_16.normals.elementAt(69);
      expect(normal_16_69, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, -0.901407003)));
      final normal_16_70 = mesh_16.normals.elementAt(70);
      expect(normal_16_70, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, -0.857820988)));
      final normal_16_71 = mesh_16.normals.elementAt(71);
      expect(normal_16_71, vector3MoreOrLessEquals(Vector3(0.734160006, -0.298249006, -0.609964013)));
      final normal_16_72 = mesh_16.normals.elementAt(72);
      expect(normal_16_72, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_73 = mesh_16.normals.elementAt(73);
      expect(normal_16_73, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_74 = mesh_16.normals.elementAt(74);
      expect(normal_16_74, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_75 = mesh_16.normals.elementAt(75);
      expect(normal_16_75, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_76 = mesh_16.normals.elementAt(76);
      expect(normal_16_76, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_77 = mesh_16.normals.elementAt(77);
      expect(normal_16_77, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_78 = mesh_16.normals.elementAt(78);
      expect(normal_16_78, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_79 = mesh_16.normals.elementAt(79);
      expect(normal_16_79, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, -0.901407003)));
      final normal_16_80 = mesh_16.normals.elementAt(80);
      expect(normal_16_80, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, -0.936113)));
      final normal_16_81 = mesh_16.normals.elementAt(81);
      expect(normal_16_81, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_82 = mesh_16.normals.elementAt(82);
      expect(normal_16_82, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_83 = mesh_16.normals.elementAt(83);
      expect(normal_16_83, vector3MoreOrLessEquals(Vector3(0.203920007, 0.286547989, -0.936113)));
      final normal_16_84 = mesh_16.normals.elementAt(84);
      expect(normal_16_84, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_85 = mesh_16.normals.elementAt(85);
      expect(normal_16_85, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, -0.857820988)));
      final normal_16_86 = mesh_16.normals.elementAt(86);
      expect(normal_16_86, vector3MoreOrLessEquals(Vector3(0.259057999, 0.346922994, -0.901407003)));
      final normal_16_87 = mesh_16.normals.elementAt(87);
      expect(normal_16_87, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_88 = mesh_16.normals.elementAt(88);
      expect(normal_16_88, vector3MoreOrLessEquals(Vector3(-0.388204008, 0.672326982, -0.630297005)));
      final normal_16_89 = mesh_16.normals.elementAt(89);
      expect(normal_16_89, vector3MoreOrLessEquals(Vector3(0.305076987, 0.413607001, -0.857820988)));
      final normal_16_90 = mesh_16.normals.elementAt(90);
      expect(normal_16_90, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_91 = mesh_16.normals.elementAt(91);
      expect(normal_16_91, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_92 = mesh_16.normals.elementAt(92);
      expect(normal_16_92, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_93 = mesh_16.normals.elementAt(93);
      expect(normal_16_93, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_94 = mesh_16.normals.elementAt(94);
      expect(normal_16_94, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_95 = mesh_16.normals.elementAt(95);
      expect(normal_16_95, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_96 = mesh_16.normals.elementAt(96);
      expect(normal_16_96, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, 0.168344006)));
      final normal_16_97 = mesh_16.normals.elementAt(97);
      expect(normal_16_97, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_98 = mesh_16.normals.elementAt(98);
      expect(normal_16_98, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_99 = mesh_16.normals.elementAt(99);
      expect(normal_16_99, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, 0.168344006)));
      final normal_16_100 = mesh_16.normals.elementAt(100);
      expect(normal_16_100, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, 0.0916659981)));
      final normal_16_101 = mesh_16.normals.elementAt(101);
      expect(normal_16_101, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_102 = mesh_16.normals.elementAt(102);
      expect(normal_16_102, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, -0.0208400004)));
      final normal_16_103 = mesh_16.normals.elementAt(103);
      expect(normal_16_103, vector3MoreOrLessEquals(Vector3(-0.388204008, 0.672326982, -0.630297005)));
      final normal_16_104 = mesh_16.normals.elementAt(104);
      expect(normal_16_104, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_105 = mesh_16.normals.elementAt(105);
      expect(normal_16_105, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, 0.0916659981)));
      final normal_16_106 = mesh_16.normals.elementAt(106);
      expect(normal_16_106, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, -0.0208400004)));
      final normal_16_107 = mesh_16.normals.elementAt(107);
      expect(normal_16_107, vector3MoreOrLessEquals(Vector3(-0.395139992, 0.672312021, -0.625988007)));
      final normal_16_108 = mesh_16.normals.elementAt(108);
      expect(normal_16_108, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_109 = mesh_16.normals.elementAt(109);
      expect(normal_16_109, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_110 = mesh_16.normals.elementAt(110);
      expect(normal_16_110, vector3MoreOrLessEquals(Vector3(0, 0, 0)));
      final normal_16_111 = mesh_16.normals.elementAt(111);
      expect(normal_16_111, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_112 = mesh_16.normals.elementAt(112);
      expect(normal_16_112, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_113 = mesh_16.normals.elementAt(113);
      expect(normal_16_113, vector3MoreOrLessEquals(Vector3(0.417207986, 0.602931023, 0.680009007)));
      final normal_16_114 = mesh_16.normals.elementAt(114);
      expect(normal_16_114, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_115 = mesh_16.normals.elementAt(115);
      expect(normal_16_115, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, 0.0916659981)));
      final normal_16_116 = mesh_16.normals.elementAt(116);
      expect(normal_16_116, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, 0.168344006)));
      final normal_16_117 = mesh_16.normals.elementAt(117);
      expect(normal_16_117, vector3MoreOrLessEquals(Vector3(-0.390951991, -0.506392002, 0.768585026)));
      final normal_16_118 = mesh_16.normals.elementAt(118);
      expect(normal_16_118, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_119 = mesh_16.normals.elementAt(119);
      expect(normal_16_119, vector3MoreOrLessEquals(Vector3(-0.844407022, 0.508562982, 0.168344006)));
      final normal_16_120 = mesh_16.normals.elementAt(120);
      expect(normal_16_120, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_121 = mesh_16.normals.elementAt(121);
      expect(normal_16_121, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, -0.0208400004)));
      final normal_16_122 = mesh_16.normals.elementAt(122);
      expect(normal_16_122, vector3MoreOrLessEquals(Vector3(-0.907377005, 0.410201013, 0.0916659981)));
      final normal_16_123 = mesh_16.normals.elementAt(123);
      expect(normal_16_123, vector3MoreOrLessEquals(Vector3(-0.785847008, -0.219916001, 0.577997983)));
      final normal_16_124 = mesh_16.normals.elementAt(124);
      expect(normal_16_124, vector3MoreOrLessEquals(Vector3(-0.676851988, -0.452073008, 0.580947995)));
      final normal_16_125 = mesh_16.normals.elementAt(125);
      expect(normal_16_125, vector3MoreOrLessEquals(Vector3(-0.94312799, 0.331775993, -0.0208400004)));
      expect(mesh_16.tangents.length, isZero);
      expect(mesh_16.bitangents.length, isZero);
      expect(mesh_16.colors.length, isZero);
      expect(mesh_16.textureCoords.length, equals(1));
      final textureCoords_16_0 = mesh_16.textureCoords.elementAt(0);
      expect(textureCoords_16_0.length, equals(126));
      final textureCoord_16_0_0 = textureCoords_16_0.elementAt(0);
      expect(textureCoord_16_0_0, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_1 = textureCoords_16_0.elementAt(1);
      expect(textureCoord_16_0_1, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_2 = textureCoords_16_0.elementAt(2);
      expect(textureCoord_16_0_2, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_3 = textureCoords_16_0.elementAt(3);
      expect(textureCoord_16_0_3, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_16_0_4 = textureCoords_16_0.elementAt(4);
      expect(textureCoord_16_0_4, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_5 = textureCoords_16_0.elementAt(5);
      expect(textureCoord_16_0_5, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_16_0_6 = textureCoords_16_0.elementAt(6);
      expect(textureCoord_16_0_6, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_7 = textureCoords_16_0.elementAt(7);
      expect(textureCoord_16_0_7, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_8 = textureCoords_16_0.elementAt(8);
      expect(textureCoord_16_0_8, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_9 = textureCoords_16_0.elementAt(9);
      expect(textureCoord_16_0_9, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_10 = textureCoords_16_0.elementAt(10);
      expect(textureCoord_16_0_10, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_11 = textureCoords_16_0.elementAt(11);
      expect(textureCoord_16_0_11, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_12 = textureCoords_16_0.elementAt(12);
      expect(textureCoord_16_0_12, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_13 = textureCoords_16_0.elementAt(13);
      expect(textureCoord_16_0_13, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_16_0_14 = textureCoords_16_0.elementAt(14);
      expect(textureCoord_16_0_14, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_15 = textureCoords_16_0.elementAt(15);
      expect(textureCoord_16_0_15, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_16 = textureCoords_16_0.elementAt(16);
      expect(textureCoord_16_0_16, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_16_0_17 = textureCoords_16_0.elementAt(17);
      expect(textureCoord_16_0_17, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_16_0_18 = textureCoords_16_0.elementAt(18);
      expect(textureCoord_16_0_18, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_19 = textureCoords_16_0.elementAt(19);
      expect(textureCoord_16_0_19, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_20 = textureCoords_16_0.elementAt(20);
      expect(textureCoord_16_0_20, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_21 = textureCoords_16_0.elementAt(21);
      expect(textureCoord_16_0_21, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_22 = textureCoords_16_0.elementAt(22);
      expect(textureCoord_16_0_22, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_23 = textureCoords_16_0.elementAt(23);
      expect(textureCoord_16_0_23, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_16_0_24 = textureCoords_16_0.elementAt(24);
      expect(textureCoord_16_0_24, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_25 = textureCoords_16_0.elementAt(25);
      expect(textureCoord_16_0_25, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_26 = textureCoords_16_0.elementAt(26);
      expect(textureCoord_16_0_26, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_27 = textureCoords_16_0.elementAt(27);
      expect(textureCoord_16_0_27, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_28 = textureCoords_16_0.elementAt(28);
      expect(textureCoord_16_0_28, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_16_0_29 = textureCoords_16_0.elementAt(29);
      expect(textureCoord_16_0_29, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_30 = textureCoords_16_0.elementAt(30);
      expect(textureCoord_16_0_30, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_31 = textureCoords_16_0.elementAt(31);
      expect(textureCoord_16_0_31, vector3MoreOrLessEquals(Vector3(0.487405002, 0.409841001, 0)));
      final textureCoord_16_0_32 = textureCoords_16_0.elementAt(32);
      expect(textureCoord_16_0_32, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_33 = textureCoords_16_0.elementAt(33);
      expect(textureCoord_16_0_33, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_16_0_34 = textureCoords_16_0.elementAt(34);
      expect(textureCoord_16_0_34, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_35 = textureCoords_16_0.elementAt(35);
      expect(textureCoord_16_0_35, vector3MoreOrLessEquals(Vector3(0.433297008, 0.381047994, 0)));
      final textureCoord_16_0_36 = textureCoords_16_0.elementAt(36);
      expect(textureCoord_16_0_36, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_37 = textureCoords_16_0.elementAt(37);
      expect(textureCoord_16_0_37, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_38 = textureCoords_16_0.elementAt(38);
      expect(textureCoord_16_0_38, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_39 = textureCoords_16_0.elementAt(39);
      expect(textureCoord_16_0_39, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_16_0_40 = textureCoords_16_0.elementAt(40);
      expect(textureCoord_16_0_40, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_41 = textureCoords_16_0.elementAt(41);
      expect(textureCoord_16_0_41, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_42 = textureCoords_16_0.elementAt(42);
      expect(textureCoord_16_0_42, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_43 = textureCoords_16_0.elementAt(43);
      expect(textureCoord_16_0_43, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_16_0_44 = textureCoords_16_0.elementAt(44);
      expect(textureCoord_16_0_44, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_45 = textureCoords_16_0.elementAt(45);
      expect(textureCoord_16_0_45, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_46 = textureCoords_16_0.elementAt(46);
      expect(textureCoord_16_0_46, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_47 = textureCoords_16_0.elementAt(47);
      expect(textureCoord_16_0_47, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_48 = textureCoords_16_0.elementAt(48);
      expect(textureCoord_16_0_48, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_49 = textureCoords_16_0.elementAt(49);
      expect(textureCoord_16_0_49, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_50 = textureCoords_16_0.elementAt(50);
      expect(textureCoord_16_0_50, vector3MoreOrLessEquals(Vector3(0.417973012, 0.377579004, 0)));
      final textureCoord_16_0_51 = textureCoords_16_0.elementAt(51);
      expect(textureCoord_16_0_51, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_52 = textureCoords_16_0.elementAt(52);
      expect(textureCoord_16_0_52, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_16_0_53 = textureCoords_16_0.elementAt(53);
      expect(textureCoord_16_0_53, vector3MoreOrLessEquals(Vector3(0.468531996, 0.409474999, 0)));
      final textureCoord_16_0_54 = textureCoords_16_0.elementAt(54);
      expect(textureCoord_16_0_54, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_55 = textureCoords_16_0.elementAt(55);
      expect(textureCoord_16_0_55, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_56 = textureCoords_16_0.elementAt(56);
      expect(textureCoord_16_0_56, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_57 = textureCoords_16_0.elementAt(57);
      expect(textureCoord_16_0_57, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_58 = textureCoords_16_0.elementAt(58);
      expect(textureCoord_16_0_58, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_59 = textureCoords_16_0.elementAt(59);
      expect(textureCoord_16_0_59, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_16_0_60 = textureCoords_16_0.elementAt(60);
      expect(textureCoord_16_0_60, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_61 = textureCoords_16_0.elementAt(61);
      expect(textureCoord_16_0_61, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_62 = textureCoords_16_0.elementAt(62);
      expect(textureCoord_16_0_62, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_63 = textureCoords_16_0.elementAt(63);
      expect(textureCoord_16_0_63, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_64 = textureCoords_16_0.elementAt(64);
      expect(textureCoord_16_0_64, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_16_0_65 = textureCoords_16_0.elementAt(65);
      expect(textureCoord_16_0_65, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_66 = textureCoords_16_0.elementAt(66);
      expect(textureCoord_16_0_66, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_67 = textureCoords_16_0.elementAt(67);
      expect(textureCoord_16_0_67, vector3MoreOrLessEquals(Vector3(0.445612997, 0.42326799, 0)));
      final textureCoord_16_0_68 = textureCoords_16_0.elementAt(68);
      expect(textureCoord_16_0_68, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_69 = textureCoords_16_0.elementAt(69);
      expect(textureCoord_16_0_69, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_16_0_70 = textureCoords_16_0.elementAt(70);
      expect(textureCoord_16_0_70, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_71 = textureCoords_16_0.elementAt(71);
      expect(textureCoord_16_0_71, vector3MoreOrLessEquals(Vector3(0.399928004, 0.385212988, 0)));
      final textureCoord_16_0_72 = textureCoords_16_0.elementAt(72);
      expect(textureCoord_16_0_72, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_73 = textureCoords_16_0.elementAt(73);
      expect(textureCoord_16_0_73, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_74 = textureCoords_16_0.elementAt(74);
      expect(textureCoord_16_0_74, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_75 = textureCoords_16_0.elementAt(75);
      expect(textureCoord_16_0_75, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_16_0_76 = textureCoords_16_0.elementAt(76);
      expect(textureCoord_16_0_76, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_77 = textureCoords_16_0.elementAt(77);
      expect(textureCoord_16_0_77, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_78 = textureCoords_16_0.elementAt(78);
      expect(textureCoord_16_0_78, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_79 = textureCoords_16_0.elementAt(79);
      expect(textureCoord_16_0_79, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_16_0_80 = textureCoords_16_0.elementAt(80);
      expect(textureCoord_16_0_80, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_81 = textureCoords_16_0.elementAt(81);
      expect(textureCoord_16_0_81, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_82 = textureCoords_16_0.elementAt(82);
      expect(textureCoord_16_0_82, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_83 = textureCoords_16_0.elementAt(83);
      expect(textureCoord_16_0_83, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_84 = textureCoords_16_0.elementAt(84);
      expect(textureCoord_16_0_84, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_85 = textureCoords_16_0.elementAt(85);
      expect(textureCoord_16_0_85, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_86 = textureCoords_16_0.elementAt(86);
      expect(textureCoord_16_0_86, vector3MoreOrLessEquals(Vector3(0.392751008, 0.398200005, 0)));
      final textureCoord_16_0_87 = textureCoords_16_0.elementAt(87);
      expect(textureCoord_16_0_87, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_88 = textureCoords_16_0.elementAt(88);
      expect(textureCoord_16_0_88, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_16_0_89 = textureCoords_16_0.elementAt(89);
      expect(textureCoord_16_0_89, vector3MoreOrLessEquals(Vector3(0.435903996, 0.440833986, 0)));
      final textureCoord_16_0_90 = textureCoords_16_0.elementAt(90);
      expect(textureCoord_16_0_90, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_91 = textureCoords_16_0.elementAt(91);
      expect(textureCoord_16_0_91, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_92 = textureCoords_16_0.elementAt(92);
      expect(textureCoord_16_0_92, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_93 = textureCoords_16_0.elementAt(93);
      expect(textureCoord_16_0_93, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_16_0_94 = textureCoords_16_0.elementAt(94);
      expect(textureCoord_16_0_94, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_95 = textureCoords_16_0.elementAt(95);
      expect(textureCoord_16_0_95, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_16_0_96 = textureCoords_16_0.elementAt(96);
      expect(textureCoord_16_0_96, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_97 = textureCoords_16_0.elementAt(97);
      expect(textureCoord_16_0_97, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_98 = textureCoords_16_0.elementAt(98);
      expect(textureCoord_16_0_98, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_99 = textureCoords_16_0.elementAt(99);
      expect(textureCoord_16_0_99, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_100 = textureCoords_16_0.elementAt(100);
      expect(textureCoord_16_0_100, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_16_0_101 = textureCoords_16_0.elementAt(101);
      expect(textureCoord_16_0_101, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_102 = textureCoords_16_0.elementAt(102);
      expect(textureCoord_16_0_102, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_16_0_103 = textureCoords_16_0.elementAt(103);
      expect(textureCoord_16_0_103, vector3MoreOrLessEquals(Vector3(0.446718991, 0.448944986, 0)));
      final textureCoord_16_0_104 = textureCoords_16_0.elementAt(104);
      expect(textureCoord_16_0_104, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_105 = textureCoords_16_0.elementAt(105);
      expect(textureCoord_16_0_105, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_16_0_106 = textureCoords_16_0.elementAt(106);
      expect(textureCoord_16_0_106, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_16_0_107 = textureCoords_16_0.elementAt(107);
      expect(textureCoord_16_0_107, vector3MoreOrLessEquals(Vector3(0.401845008, 0.406762004, 0)));
      final textureCoord_16_0_108 = textureCoords_16_0.elementAt(108);
      expect(textureCoord_16_0_108, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_109 = textureCoords_16_0.elementAt(109);
      expect(textureCoord_16_0_109, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_110 = textureCoords_16_0.elementAt(110);
      expect(textureCoord_16_0_110, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_111 = textureCoords_16_0.elementAt(111);
      expect(textureCoord_16_0_111, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_16_0_112 = textureCoords_16_0.elementAt(112);
      expect(textureCoord_16_0_112, vector3MoreOrLessEquals(Vector3(0.463158011, 0.428277999, 0)));
      final textureCoord_16_0_113 = textureCoords_16_0.elementAt(113);
      expect(textureCoord_16_0_113, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_16_0_114 = textureCoords_16_0.elementAt(114);
      expect(textureCoord_16_0_114, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_115 = textureCoords_16_0.elementAt(115);
      expect(textureCoord_16_0_115, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_16_0_116 = textureCoords_16_0.elementAt(116);
      expect(textureCoord_16_0_116, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_117 = textureCoords_16_0.elementAt(117);
      expect(textureCoord_16_0_117, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_118 = textureCoords_16_0.elementAt(118);
      expect(textureCoord_16_0_118, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_119 = textureCoords_16_0.elementAt(119);
      expect(textureCoord_16_0_119, vector3MoreOrLessEquals(Vector3(0.344810009, 0.338084012, 0)));
      final textureCoord_16_0_120 = textureCoords_16_0.elementAt(120);
      expect(textureCoord_16_0_120, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_121 = textureCoords_16_0.elementAt(121);
      expect(textureCoord_16_0_121, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      final textureCoord_16_0_122 = textureCoords_16_0.elementAt(122);
      expect(textureCoord_16_0_122, vector3MoreOrLessEquals(Vector3(0.420363009, 0.404451013, 0)));
      final textureCoord_16_0_123 = textureCoords_16_0.elementAt(123);
      expect(textureCoord_16_0_123, vector3MoreOrLessEquals(Vector3(0.434361011, 0.39300701, 0)));
      final textureCoord_16_0_124 = textureCoords_16_0.elementAt(124);
      expect(textureCoord_16_0_124, vector3MoreOrLessEquals(Vector3(0.488018006, 0.424091011, 0)));
      final textureCoord_16_0_125 = textureCoords_16_0.elementAt(125);
      expect(textureCoord_16_0_125, vector3MoreOrLessEquals(Vector3(0.469911009, 0.441493988, 0)));
      expect(mesh_16.uvComponents.length, equals(1));
      expect(mesh_16.uvComponents, equals([2]));
      expect(mesh_16.faces.length, equals(42));
      expect(mesh_16.bones.length, isZero);
      expect(mesh_16.materialIndex, equals(4));
      expect(mesh_16.name, equals('klZahn2'));
      expect(mesh_16.animMeshes.length, isZero);
      expect(mesh_16.morphingMethod, isZero);
      expect(mesh_16.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_17 = meshes.elementAt(17);
      expect(mesh_17.primitiveTypes, equals(4));
      expect(mesh_17.vertices.length, equals(114));
      final vertex_17_0 = mesh_17.vertices.elementAt(0);
      expect(vertex_17_0, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.6708565, -1.85303497)));
      final vertex_17_1 = mesh_17.vertices.elementAt(1);
      expect(vertex_17_1, vector3MoreOrLessEquals(Vector3(-58.7436142, 17.5184669, -2.27170396)));
      final vertex_17_2 = mesh_17.vertices.elementAt(2);
      expect(vertex_17_2, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.4067421, -2.538975)));
      final vertex_17_3 = mesh_17.vertices.elementAt(3);
      expect(vertex_17_3, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.6708565, -1.85303497)));
      final vertex_17_4 = mesh_17.vertices.elementAt(4);
      expect(vertex_17_4, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.4067421, -2.538975)));
      final vertex_17_5 = mesh_17.vertices.elementAt(5);
      expect(vertex_17_5, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_6 = mesh_17.vertices.elementAt(6);
      expect(vertex_17_6, vector3MoreOrLessEquals(Vector3(-61.5558853, 18.1542397, -3.37207294)));
      final vertex_17_7 = mesh_17.vertices.elementAt(7);
      expect(vertex_17_7, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_8 = mesh_17.vertices.elementAt(8);
      expect(vertex_17_8, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.6908607, -3.43184209)));
      final vertex_17_9 = mesh_17.vertices.elementAt(9);
      expect(vertex_17_9, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_10 = mesh_17.vertices.elementAt(10);
      expect(vertex_17_10, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.4067421, -2.538975)));
      final vertex_17_11 = mesh_17.vertices.elementAt(11);
      expect(vertex_17_11, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.6908607, -3.43184209)));
      final vertex_17_12 = mesh_17.vertices.elementAt(12);
      expect(vertex_17_12, vector3MoreOrLessEquals(Vector3(-61.5558853, 18.1542397, -3.37207294)));
      final vertex_17_13 = mesh_17.vertices.elementAt(13);
      expect(vertex_17_13, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.6908607, -3.43184209)));
      final vertex_17_14 = mesh_17.vertices.elementAt(14);
      expect(vertex_17_14, vector3MoreOrLessEquals(Vector3(-61.6448517, 18.2623329, -4.60926008)));
      final vertex_17_15 = mesh_17.vertices.elementAt(15);
      expect(vertex_17_15, vector3MoreOrLessEquals(Vector3(-61.3841782, 17.9411049, -5.71727419)));
      final vertex_17_16 = mesh_17.vertices.elementAt(16);
      expect(vertex_17_16, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.9839211, -6.44815588)));
      final vertex_17_17 = mesh_17.vertices.elementAt(17);
      expect(vertex_17_17, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_18 = mesh_17.vertices.elementAt(18);
      expect(vertex_17_18, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.491169, -5.094203)));
      final vertex_17_19 = mesh_17.vertices.elementAt(19);
      expect(vertex_17_19, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_20 = mesh_17.vertices.elementAt(20);
      expect(vertex_17_20, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_21 = mesh_17.vertices.elementAt(21);
      expect(vertex_17_21, vector3MoreOrLessEquals(Vector3(-61.2780609, 15.9792833, -6.50058508)));
      final vertex_17_22 = mesh_17.vertices.elementAt(22);
      expect(vertex_17_22, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_23 = mesh_17.vertices.elementAt(23);
      expect(vertex_17_23, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.9839211, -6.44815588)));
      final vertex_17_24 = mesh_17.vertices.elementAt(24);
      expect(vertex_17_24, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_25 = mesh_17.vertices.elementAt(25);
      expect(vertex_17_25, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.9839211, -6.44815588)));
      final vertex_17_26 = mesh_17.vertices.elementAt(26);
      expect(vertex_17_26, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_27 = mesh_17.vertices.elementAt(27);
      expect(vertex_17_27, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.491169, -5.094203)));
      final vertex_17_28 = mesh_17.vertices.elementAt(28);
      expect(vertex_17_28, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_29 = mesh_17.vertices.elementAt(29);
      expect(vertex_17_29, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_30 = mesh_17.vertices.elementAt(30);
      expect(vertex_17_30, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.9799356, -4.63949776)));
      final vertex_17_31 = mesh_17.vertices.elementAt(31);
      expect(vertex_17_31, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_32 = mesh_17.vertices.elementAt(32);
      expect(vertex_17_32, vector3MoreOrLessEquals(Vector3(-61.4815445, 15.2433863, -5.81465626)));
      final vertex_17_33 = mesh_17.vertices.elementAt(33);
      expect(vertex_17_33, vector3MoreOrLessEquals(Vector3(-61.2780609, 15.9792833, -6.50058508)));
      final vertex_17_34 = mesh_17.vertices.elementAt(34);
      expect(vertex_17_34, vector3MoreOrLessEquals(Vector3(-61.4815445, 15.2433863, -5.81465626)));
      final vertex_17_35 = mesh_17.vertices.elementAt(35);
      expect(vertex_17_35, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_36 = mesh_17.vertices.elementAt(36);
      expect(vertex_17_36, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_37 = mesh_17.vertices.elementAt(37);
      expect(vertex_17_37, vector3MoreOrLessEquals(Vector3(-62.2049866, 16.1316719, -6.08191776)));
      final vertex_17_38 = mesh_17.vertices.elementAt(38);
      expect(vertex_17_38, vector3MoreOrLessEquals(Vector3(-61.4815445, 15.2433863, -5.81465626)));
      final vertex_17_39 = mesh_17.vertices.elementAt(39);
      expect(vertex_17_39, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.9799356, -4.63949776)));
      final vertex_17_40 = mesh_17.vertices.elementAt(40);
      expect(vertex_17_40, vector3MoreOrLessEquals(Vector3(-60.4743042, 15.0845346, -3.54331112)));
      final vertex_17_41 = mesh_17.vertices.elementAt(41);
      expect(vertex_17_41, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_42 = mesh_17.vertices.elementAt(42);
      expect(vertex_17_42, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.3241463, -2.70597005)));
      final vertex_17_43 = mesh_17.vertices.elementAt(43);
      expect(vertex_17_43, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_44 = mesh_17.vertices.elementAt(44);
      expect(vertex_17_44, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_45 = mesh_17.vertices.elementAt(45);
      expect(vertex_17_45, vector3MoreOrLessEquals(Vector3(-59.5644226, 15.7090197, -2.63634801)));
      final vertex_17_46 = mesh_17.vertices.elementAt(46);
      expect(vertex_17_46, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_47 = mesh_17.vertices.elementAt(47);
      expect(vertex_17_47, vector3MoreOrLessEquals(Vector3(-60.4743042, 15.0845346, -3.54331112)));
      final vertex_17_48 = mesh_17.vertices.elementAt(48);
      expect(vertex_17_48, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_49 = mesh_17.vertices.elementAt(49);
      expect(vertex_17_49, vector3MoreOrLessEquals(Vector3(-60.4743042, 15.0845346, -3.54331112)));
      final vertex_17_50 = mesh_17.vertices.elementAt(50);
      expect(vertex_17_50, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_51 = mesh_17.vertices.elementAt(51);
      expect(vertex_17_51, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.3241463, -2.70597005)));
      final vertex_17_52 = mesh_17.vertices.elementAt(52);
      expect(vertex_17_52, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_53 = mesh_17.vertices.elementAt(53);
      expect(vertex_17_53, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_54 = mesh_17.vertices.elementAt(54);
      expect(vertex_17_54, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.6708565, -1.85303497)));
      final vertex_17_55 = mesh_17.vertices.elementAt(55);
      expect(vertex_17_55, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_56 = mesh_17.vertices.elementAt(56);
      expect(vertex_17_56, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.6662178, -1.90547395)));
      final vertex_17_57 = mesh_17.vertices.elementAt(57);
      expect(vertex_17_57, vector3MoreOrLessEquals(Vector3(-59.5644226, 15.7090197, -2.63634801)));
      final vertex_17_58 = mesh_17.vertices.elementAt(58);
      expect(vertex_17_58, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.6662178, -1.90547395)));
      final vertex_17_59 = mesh_17.vertices.elementAt(59);
      expect(vertex_17_59, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_60 = mesh_17.vertices.elementAt(60);
      expect(vertex_17_60, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_61 = mesh_17.vertices.elementAt(61);
      expect(vertex_17_61, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.8746386, -2.40681505)));
      final vertex_17_62 = mesh_17.vertices.elementAt(62);
      expect(vertex_17_62, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.6662178, -1.90547395)));
      final vertex_17_63 = mesh_17.vertices.elementAt(63);
      expect(vertex_17_63, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.6708565, -1.85303497)));
      final vertex_17_64 = mesh_17.vertices.elementAt(64);
      expect(vertex_17_64, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.6662178, -1.90547395)));
      final vertex_17_65 = mesh_17.vertices.elementAt(65);
      expect(vertex_17_65, vector3MoreOrLessEquals(Vector3(-58.7436142, 17.5184669, -2.27170396)));
      final vertex_17_66 = mesh_17.vertices.elementAt(66);
      expect(vertex_17_66, vector3MoreOrLessEquals(Vector3(-61.5558853, 18.1542397, -3.37207294)));
      final vertex_17_67 = mesh_17.vertices.elementAt(67);
      expect(vertex_17_67, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_68 = mesh_17.vertices.elementAt(68);
      expect(vertex_17_68, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_69 = mesh_17.vertices.elementAt(69);
      expect(vertex_17_69, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.6708565, -1.85303497)));
      final vertex_17_70 = mesh_17.vertices.elementAt(70);
      expect(vertex_17_70, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_71 = mesh_17.vertices.elementAt(71);
      expect(vertex_17_71, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_72 = mesh_17.vertices.elementAt(72);
      expect(vertex_17_72, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.3241463, -2.70597005)));
      final vertex_17_73 = mesh_17.vertices.elementAt(73);
      expect(vertex_17_73, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_74 = mesh_17.vertices.elementAt(74);
      expect(vertex_17_74, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_75 = mesh_17.vertices.elementAt(75);
      expect(vertex_17_75, vector3MoreOrLessEquals(Vector3(-60.6375961, 18.1034737, -2.3379209)));
      final vertex_17_76 = mesh_17.vertices.elementAt(76);
      expect(vertex_17_76, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_77 = mesh_17.vertices.elementAt(77);
      expect(vertex_17_77, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.0277748, -1.94639802)));
      final vertex_17_78 = mesh_17.vertices.elementAt(78);
      expect(vertex_17_78, vector3MoreOrLessEquals(Vector3(-61.5558853, 18.1542397, -3.37207294)));
      final vertex_17_79 = mesh_17.vertices.elementAt(79);
      expect(vertex_17_79, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_80 = mesh_17.vertices.elementAt(80);
      expect(vertex_17_80, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_81 = mesh_17.vertices.elementAt(81);
      expect(vertex_17_81, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.3241463, -2.70597005)));
      final vertex_17_82 = mesh_17.vertices.elementAt(82);
      expect(vertex_17_82, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_83 = mesh_17.vertices.elementAt(83);
      expect(vertex_17_83, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      final vertex_17_84 = mesh_17.vertices.elementAt(84);
      expect(vertex_17_84, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.491169, -5.094203)));
      final vertex_17_85 = mesh_17.vertices.elementAt(85);
      expect(vertex_17_85, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      final vertex_17_86 = mesh_17.vertices.elementAt(86);
      expect(vertex_17_86, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_87 = mesh_17.vertices.elementAt(87);
      expect(vertex_17_87, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.3118935, -2.83926487)));
      final vertex_17_88 = mesh_17.vertices.elementAt(88);
      expect(vertex_17_88, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_89 = mesh_17.vertices.elementAt(89);
      expect(vertex_17_89, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      final vertex_17_90 = mesh_17.vertices.elementAt(90);
      expect(vertex_17_90, vector3MoreOrLessEquals(Vector3(-61.5558853, 18.1542397, -3.37207294)));
      final vertex_17_91 = mesh_17.vertices.elementAt(91);
      expect(vertex_17_91, vector3MoreOrLessEquals(Vector3(-61.6448517, 18.2623329, -4.60926008)));
      final vertex_17_92 = mesh_17.vertices.elementAt(92);
      expect(vertex_17_92, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_93 = mesh_17.vertices.elementAt(93);
      expect(vertex_17_93, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.491169, -5.094203)));
      final vertex_17_94 = mesh_17.vertices.elementAt(94);
      expect(vertex_17_94, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_95 = mesh_17.vertices.elementAt(95);
      expect(vertex_17_95, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_96 = mesh_17.vertices.elementAt(96);
      expect(vertex_17_96, vector3MoreOrLessEquals(Vector3(-61.3841782, 17.9411049, -5.71727419)));
      final vertex_17_97 = mesh_17.vertices.elementAt(97);
      expect(vertex_17_97, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_98 = mesh_17.vertices.elementAt(98);
      expect(vertex_17_98, vector3MoreOrLessEquals(Vector3(-61.6448517, 18.2623329, -4.60926008)));
      final vertex_17_99 = mesh_17.vertices.elementAt(99);
      expect(vertex_17_99, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.4100685, -4.24303102)));
      final vertex_17_100 = mesh_17.vertices.elementAt(100);
      expect(vertex_17_100, vector3MoreOrLessEquals(Vector3(-61.6448517, 18.2623329, -4.60926008)));
      final vertex_17_101 = mesh_17.vertices.elementAt(101);
      expect(vertex_17_101, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.2847939, -5.62151098)));
      final vertex_17_102 = mesh_17.vertices.elementAt(102);
      expect(vertex_17_102, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.9799356, -4.63949776)));
      final vertex_17_103 = mesh_17.vertices.elementAt(103);
      expect(vertex_17_103, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_104 = mesh_17.vertices.elementAt(104);
      expect(vertex_17_104, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_105 = mesh_17.vertices.elementAt(105);
      expect(vertex_17_105, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.491169, -5.094203)));
      final vertex_17_106 = mesh_17.vertices.elementAt(106);
      expect(vertex_17_106, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_107 = mesh_17.vertices.elementAt(107);
      expect(vertex_17_107, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      final vertex_17_108 = mesh_17.vertices.elementAt(108);
      expect(vertex_17_108, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.3241463, -2.70597005)));
      final vertex_17_109 = mesh_17.vertices.elementAt(109);
      expect(vertex_17_109, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      final vertex_17_110 = mesh_17.vertices.elementAt(110);
      expect(vertex_17_110, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_111 = mesh_17.vertices.elementAt(111);
      expect(vertex_17_111, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.5442715, -4.98800993)));
      final vertex_17_112 = mesh_17.vertices.elementAt(112);
      expect(vertex_17_112, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.4460945, -3.584234)));
      final vertex_17_113 = mesh_17.vertices.elementAt(113);
      expect(vertex_17_113, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.3343697, -3.85150814)));
      expect(mesh_17.normals.length, equals(114));
      final normal_17_0 = mesh_17.normals.elementAt(0);
      expect(normal_17_0, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, 0.935634017)));
      final normal_17_1 = mesh_17.normals.elementAt(1);
      expect(normal_17_1, vector3MoreOrLessEquals(Vector3(0.433214992, 0.308259994, 0.846935987)));
      final normal_17_2 = mesh_17.normals.elementAt(2);
      expect(normal_17_2, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, 0.666388988)));
      final normal_17_3 = mesh_17.normals.elementAt(3);
      expect(normal_17_3, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, 0.935634017)));
      final normal_17_4 = mesh_17.normals.elementAt(4);
      expect(normal_17_4, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, 0.666388988)));
      final normal_17_5 = mesh_17.normals.elementAt(5);
      expect(normal_17_5, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_6 = mesh_17.normals.elementAt(6);
      expect(normal_17_6, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, 0.336288005)));
      final normal_17_7 = mesh_17.normals.elementAt(7);
      expect(normal_17_7, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_8 = mesh_17.normals.elementAt(8);
      expect(normal_17_8, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, 0.335258007)));
      final normal_17_9 = mesh_17.normals.elementAt(9);
      expect(normal_17_9, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_10 = mesh_17.normals.elementAt(10);
      expect(normal_17_10, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, 0.666388988)));
      final normal_17_11 = mesh_17.normals.elementAt(11);
      expect(normal_17_11, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, 0.335258007)));
      final normal_17_12 = mesh_17.normals.elementAt(12);
      expect(normal_17_12, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, 0.336288005)));
      final normal_17_13 = mesh_17.normals.elementAt(13);
      expect(normal_17_13, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, 0.335258007)));
      final normal_17_14 = mesh_17.normals.elementAt(14);
      expect(normal_17_14, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, -0.0621879995)));
      final normal_17_15 = mesh_17.normals.elementAt(15);
      expect(normal_17_15, vector3MoreOrLessEquals(Vector3(-0.545562983, 0.658509016, -0.518388987)));
      final normal_17_16 = mesh_17.normals.elementAt(16);
      expect(normal_17_16, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, -0.796105027)));
      final normal_17_17 = mesh_17.normals.elementAt(17);
      expect(normal_17_17, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_18 = mesh_17.normals.elementAt(18);
      expect(normal_17_18, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321969986, -0.088459)));
      final normal_17_19 = mesh_17.normals.elementAt(19);
      expect(normal_17_19, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_20 = mesh_17.normals.elementAt(20);
      expect(normal_17_20, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_21 = mesh_17.normals.elementAt(21);
      expect(normal_17_21, vector3MoreOrLessEquals(Vector3(-0.433216006, -0.308257997, -0.846935987)));
      final normal_17_22 = mesh_17.normals.elementAt(22);
      expect(normal_17_22, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_23 = mesh_17.normals.elementAt(23);
      expect(normal_17_23, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, -0.796105027)));
      final normal_17_24 = mesh_17.normals.elementAt(24);
      expect(normal_17_24, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_25 = mesh_17.normals.elementAt(25);
      expect(normal_17_25, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, -0.796105027)));
      final normal_17_26 = mesh_17.normals.elementAt(26);
      expect(normal_17_26, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_27 = mesh_17.normals.elementAt(27);
      expect(normal_17_27, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321969986, -0.088459)));
      final normal_17_28 = mesh_17.normals.elementAt(28);
      expect(normal_17_28, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_29 = mesh_17.normals.elementAt(29);
      expect(normal_17_29, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_30 = mesh_17.normals.elementAt(30);
      expect(normal_17_30, vector3MoreOrLessEquals(Vector3(-0.467563987, -0.87439698, 0.129667997)));
      final normal_17_31 = mesh_17.normals.elementAt(31);
      expect(normal_17_31, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_32 = mesh_17.normals.elementAt(32);
      expect(normal_17_32, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.71747601, -0.437204003)));
      final normal_17_33 = mesh_17.normals.elementAt(33);
      expect(normal_17_33, vector3MoreOrLessEquals(Vector3(-0.433216006, -0.308257997, -0.846935987)));
      final normal_17_34 = mesh_17.normals.elementAt(34);
      expect(normal_17_34, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.71747601, -0.437204003)));
      final normal_17_35 = mesh_17.normals.elementAt(35);
      expect(normal_17_35, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_36 = mesh_17.normals.elementAt(36);
      expect(normal_17_36, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_37 = mesh_17.normals.elementAt(37);
      expect(normal_17_37, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, -0.633948028)));
      final normal_17_38 = mesh_17.normals.elementAt(38);
      expect(normal_17_38, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.71747601, -0.437204003)));
      final normal_17_39 = mesh_17.normals.elementAt(39);
      expect(normal_17_39, vector3MoreOrLessEquals(Vector3(-0.467563987, -0.87439698, 0.129667997)));
      final normal_17_40 = mesh_17.normals.elementAt(40);
      expect(normal_17_40, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, 0.484223008)));
      final normal_17_41 = mesh_17.normals.elementAt(41);
      expect(normal_17_41, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_42 = mesh_17.normals.elementAt(42);
      expect(normal_17_42, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, 0.700868011)));
      final normal_17_43 = mesh_17.normals.elementAt(43);
      expect(normal_17_43, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_44 = mesh_17.normals.elementAt(44);
      expect(normal_17_44, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_45 = mesh_17.normals.elementAt(45);
      expect(normal_17_45, vector3MoreOrLessEquals(Vector3(0.0375009999, -0.724698007, 0.688045979)));
      final normal_17_46 = mesh_17.normals.elementAt(46);
      expect(normal_17_46, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_47 = mesh_17.normals.elementAt(47);
      expect(normal_17_47, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, 0.484223008)));
      final normal_17_48 = mesh_17.normals.elementAt(48);
      expect(normal_17_48, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_49 = mesh_17.normals.elementAt(49);
      expect(normal_17_49, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, 0.484223008)));
      final normal_17_50 = mesh_17.normals.elementAt(50);
      expect(normal_17_50, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_51 = mesh_17.normals.elementAt(51);
      expect(normal_17_51, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, 0.700868011)));
      final normal_17_52 = mesh_17.normals.elementAt(52);
      expect(normal_17_52, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_53 = mesh_17.normals.elementAt(53);
      expect(normal_17_53, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_54 = mesh_17.normals.elementAt(54);
      expect(normal_17_54, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, 0.935634017)));
      final normal_17_55 = mesh_17.normals.elementAt(55);
      expect(normal_17_55, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_56 = mesh_17.normals.elementAt(56);
      expect(normal_17_56, vector3MoreOrLessEquals(Vector3(0.0781370029, -0.268604994, 0.960075974)));
      final normal_17_57 = mesh_17.normals.elementAt(57);
      expect(normal_17_57, vector3MoreOrLessEquals(Vector3(0.0375009999, -0.724698007, 0.688045979)));
      final normal_17_58 = mesh_17.normals.elementAt(58);
      expect(normal_17_58, vector3MoreOrLessEquals(Vector3(0.0781370029, -0.268604994, 0.960075974)));
      final normal_17_59 = mesh_17.normals.elementAt(59);
      expect(normal_17_59, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_60 = mesh_17.normals.elementAt(60);
      expect(normal_17_60, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_61 = mesh_17.normals.elementAt(61);
      expect(normal_17_61, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623780012, 0.751345992)));
      final normal_17_62 = mesh_17.normals.elementAt(62);
      expect(normal_17_62, vector3MoreOrLessEquals(Vector3(0.0781370029, -0.268604994, 0.960075974)));
      final normal_17_63 = mesh_17.normals.elementAt(63);
      expect(normal_17_63, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, 0.935634017)));
      final normal_17_64 = mesh_17.normals.elementAt(64);
      expect(normal_17_64, vector3MoreOrLessEquals(Vector3(0.0781370029, -0.268604994, 0.960075974)));
      final normal_17_65 = mesh_17.normals.elementAt(65);
      expect(normal_17_65, vector3MoreOrLessEquals(Vector3(0.433214992, 0.308259994, 0.846935987)));
      final normal_17_66 = mesh_17.normals.elementAt(66);
      expect(normal_17_66, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, 0.336288005)));
      final normal_17_67 = mesh_17.normals.elementAt(67);
      expect(normal_17_67, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_68 = mesh_17.normals.elementAt(68);
      expect(normal_17_68, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_69 = mesh_17.normals.elementAt(69);
      expect(normal_17_69, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, 0.935634017)));
      final normal_17_70 = mesh_17.normals.elementAt(70);
      expect(normal_17_70, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_71 = mesh_17.normals.elementAt(71);
      expect(normal_17_71, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_72 = mesh_17.normals.elementAt(72);
      expect(normal_17_72, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, 0.700868011)));
      final normal_17_73 = mesh_17.normals.elementAt(73);
      expect(normal_17_73, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_74 = mesh_17.normals.elementAt(74);
      expect(normal_17_74, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_75 = mesh_17.normals.elementAt(75);
      expect(normal_17_75, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, 0.686653972)));
      final normal_17_76 = mesh_17.normals.elementAt(76);
      expect(normal_17_76, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_77 = mesh_17.normals.elementAt(77);
      expect(normal_17_77, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, 0.926106989)));
      final normal_17_78 = mesh_17.normals.elementAt(78);
      expect(normal_17_78, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, 0.336288005)));
      final normal_17_79 = mesh_17.normals.elementAt(79);
      expect(normal_17_79, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_80 = mesh_17.normals.elementAt(80);
      expect(normal_17_80, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_81 = mesh_17.normals.elementAt(81);
      expect(normal_17_81, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, 0.700868011)));
      final normal_17_82 = mesh_17.normals.elementAt(82);
      expect(normal_17_82, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_83 = mesh_17.normals.elementAt(83);
      expect(normal_17_83, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      final normal_17_84 = mesh_17.normals.elementAt(84);
      expect(normal_17_84, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321969986, -0.088459)));
      final normal_17_85 = mesh_17.normals.elementAt(85);
      expect(normal_17_85, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      final normal_17_86 = mesh_17.normals.elementAt(86);
      expect(normal_17_86, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_87 = mesh_17.normals.elementAt(87);
      expect(normal_17_87, vector3MoreOrLessEquals(Vector3(-0.757385015, 0.223327994, 0.613590002)));
      final normal_17_88 = mesh_17.normals.elementAt(88);
      expect(normal_17_88, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_89 = mesh_17.normals.elementAt(89);
      expect(normal_17_89, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      final normal_17_90 = mesh_17.normals.elementAt(90);
      expect(normal_17_90, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, 0.336288005)));
      final normal_17_91 = mesh_17.normals.elementAt(91);
      expect(normal_17_91, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, -0.0621879995)));
      final normal_17_92 = mesh_17.normals.elementAt(92);
      expect(normal_17_92, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_93 = mesh_17.normals.elementAt(93);
      expect(normal_17_93, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321969986, -0.088459)));
      final normal_17_94 = mesh_17.normals.elementAt(94);
      expect(normal_17_94, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_95 = mesh_17.normals.elementAt(95);
      expect(normal_17_95, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_96 = mesh_17.normals.elementAt(96);
      expect(normal_17_96, vector3MoreOrLessEquals(Vector3(-0.545562983, 0.658509016, -0.518388987)));
      final normal_17_97 = mesh_17.normals.elementAt(97);
      expect(normal_17_97, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_98 = mesh_17.normals.elementAt(98);
      expect(normal_17_98, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, -0.0621879995)));
      final normal_17_99 = mesh_17.normals.elementAt(99);
      expect(normal_17_99, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, 0.158467993)));
      final normal_17_100 = mesh_17.normals.elementAt(100);
      expect(normal_17_100, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, -0.0621879995)));
      final normal_17_101 = mesh_17.normals.elementAt(101);
      expect(normal_17_101, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, -0.422116011)));
      final normal_17_102 = mesh_17.normals.elementAt(102);
      expect(normal_17_102, vector3MoreOrLessEquals(Vector3(-0.467563987, -0.87439698, 0.129667997)));
      final normal_17_103 = mesh_17.normals.elementAt(103);
      expect(normal_17_103, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_104 = mesh_17.normals.elementAt(104);
      expect(normal_17_104, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_105 = mesh_17.normals.elementAt(105);
      expect(normal_17_105, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321969986, -0.088459)));
      final normal_17_106 = mesh_17.normals.elementAt(106);
      expect(normal_17_106, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_107 = mesh_17.normals.elementAt(107);
      expect(normal_17_107, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      final normal_17_108 = mesh_17.normals.elementAt(108);
      expect(normal_17_108, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, 0.700868011)));
      final normal_17_109 = mesh_17.normals.elementAt(109);
      expect(normal_17_109, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      final normal_17_110 = mesh_17.normals.elementAt(110);
      expect(normal_17_110, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_111 = mesh_17.normals.elementAt(111);
      expect(normal_17_111, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.629857004, -0.0225169994)));
      final normal_17_112 = mesh_17.normals.elementAt(112);
      expect(normal_17_112, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711395025, 0.442734987)));
      final normal_17_113 = mesh_17.normals.elementAt(113);
      expect(normal_17_113, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, 0.378933996)));
      expect(mesh_17.tangents.length, isZero);
      expect(mesh_17.bitangents.length, isZero);
      expect(mesh_17.colors.length, isZero);
      expect(mesh_17.textureCoords.length, equals(1));
      final textureCoords_17_0 = mesh_17.textureCoords.elementAt(0);
      expect(textureCoords_17_0.length, equals(114));
      final textureCoord_17_0_0 = textureCoords_17_0.elementAt(0);
      expect(textureCoord_17_0_0, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_17_0_1 = textureCoords_17_0.elementAt(1);
      expect(textureCoord_17_0_1, vector3MoreOrLessEquals(Vector3(0.956790984, 0.730944991, 0)));
      final textureCoord_17_0_2 = textureCoords_17_0.elementAt(2);
      expect(textureCoord_17_0_2, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_17_0_3 = textureCoords_17_0.elementAt(3);
      expect(textureCoord_17_0_3, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_17_0_4 = textureCoords_17_0.elementAt(4);
      expect(textureCoord_17_0_4, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_17_0_5 = textureCoords_17_0.elementAt(5);
      expect(textureCoord_17_0_5, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_6 = textureCoords_17_0.elementAt(6);
      expect(textureCoord_17_0_6, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_17_0_7 = textureCoords_17_0.elementAt(7);
      expect(textureCoord_17_0_7, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_8 = textureCoords_17_0.elementAt(8);
      expect(textureCoord_17_0_8, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_17_0_9 = textureCoords_17_0.elementAt(9);
      expect(textureCoord_17_0_9, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_10 = textureCoords_17_0.elementAt(10);
      expect(textureCoord_17_0_10, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_17_0_11 = textureCoords_17_0.elementAt(11);
      expect(textureCoord_17_0_11, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_17_0_12 = textureCoords_17_0.elementAt(12);
      expect(textureCoord_17_0_12, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_17_0_13 = textureCoords_17_0.elementAt(13);
      expect(textureCoord_17_0_13, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_17_0_14 = textureCoords_17_0.elementAt(14);
      expect(textureCoord_17_0_14, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_17_0_15 = textureCoords_17_0.elementAt(15);
      expect(textureCoord_17_0_15, vector3MoreOrLessEquals(Vector3(0.215417996, 0.844834983, 0)));
      final textureCoord_17_0_16 = textureCoords_17_0.elementAt(16);
      expect(textureCoord_17_0_16, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_17_0_17 = textureCoords_17_0.elementAt(17);
      expect(textureCoord_17_0_17, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_18 = textureCoords_17_0.elementAt(18);
      expect(textureCoord_17_0_18, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_17_0_19 = textureCoords_17_0.elementAt(19);
      expect(textureCoord_17_0_19, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_20 = textureCoords_17_0.elementAt(20);
      expect(textureCoord_17_0_20, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_21 = textureCoords_17_0.elementAt(21);
      expect(textureCoord_17_0_21, vector3MoreOrLessEquals(Vector3(0.046875, 0.316174001, 0)));
      final textureCoord_17_0_22 = textureCoords_17_0.elementAt(22);
      expect(textureCoord_17_0_22, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_23 = textureCoords_17_0.elementAt(23);
      expect(textureCoord_17_0_23, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_17_0_24 = textureCoords_17_0.elementAt(24);
      expect(textureCoord_17_0_24, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_25 = textureCoords_17_0.elementAt(25);
      expect(textureCoord_17_0_25, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_17_0_26 = textureCoords_17_0.elementAt(26);
      expect(textureCoord_17_0_26, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_27 = textureCoords_17_0.elementAt(27);
      expect(textureCoord_17_0_27, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_17_0_28 = textureCoords_17_0.elementAt(28);
      expect(textureCoord_17_0_28, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_29 = textureCoords_17_0.elementAt(29);
      expect(textureCoord_17_0_29, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_30 = textureCoords_17_0.elementAt(30);
      expect(textureCoord_17_0_30, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_17_0_31 = textureCoords_17_0.elementAt(31);
      expect(textureCoord_17_0_31, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_32 = textureCoords_17_0.elementAt(32);
      expect(textureCoord_17_0_32, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_17_0_33 = textureCoords_17_0.elementAt(33);
      expect(textureCoord_17_0_33, vector3MoreOrLessEquals(Vector3(0.046875, 0.316174001, 0)));
      final textureCoord_17_0_34 = textureCoords_17_0.elementAt(34);
      expect(textureCoord_17_0_34, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_17_0_35 = textureCoords_17_0.elementAt(35);
      expect(textureCoord_17_0_35, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_36 = textureCoords_17_0.elementAt(36);
      expect(textureCoord_17_0_36, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_37 = textureCoords_17_0.elementAt(37);
      expect(textureCoord_17_0_37, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_17_0_38 = textureCoords_17_0.elementAt(38);
      expect(textureCoord_17_0_38, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_17_0_39 = textureCoords_17_0.elementAt(39);
      expect(textureCoord_17_0_39, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_17_0_40 = textureCoords_17_0.elementAt(40);
      expect(textureCoord_17_0_40, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_17_0_41 = textureCoords_17_0.elementAt(41);
      expect(textureCoord_17_0_41, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_42 = textureCoords_17_0.elementAt(42);
      expect(textureCoord_17_0_42, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_17_0_43 = textureCoords_17_0.elementAt(43);
      expect(textureCoord_17_0_43, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_44 = textureCoords_17_0.elementAt(44);
      expect(textureCoord_17_0_44, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_45 = textureCoords_17_0.elementAt(45);
      expect(textureCoord_17_0_45, vector3MoreOrLessEquals(Vector3(0.878332019, 0.243345007, 0)));
      final textureCoord_17_0_46 = textureCoords_17_0.elementAt(46);
      expect(textureCoord_17_0_46, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_47 = textureCoords_17_0.elementAt(47);
      expect(textureCoord_17_0_47, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_17_0_48 = textureCoords_17_0.elementAt(48);
      expect(textureCoord_17_0_48, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_49 = textureCoords_17_0.elementAt(49);
      expect(textureCoord_17_0_49, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_17_0_50 = textureCoords_17_0.elementAt(50);
      expect(textureCoord_17_0_50, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_51 = textureCoords_17_0.elementAt(51);
      expect(textureCoord_17_0_51, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_17_0_52 = textureCoords_17_0.elementAt(52);
      expect(textureCoord_17_0_52, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_53 = textureCoords_17_0.elementAt(53);
      expect(textureCoord_17_0_53, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_54 = textureCoords_17_0.elementAt(54);
      expect(textureCoord_17_0_54, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_17_0_55 = textureCoords_17_0.elementAt(55);
      expect(textureCoord_17_0_55, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_56 = textureCoords_17_0.elementAt(56);
      expect(textureCoord_17_0_56, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_17_0_57 = textureCoords_17_0.elementAt(57);
      expect(textureCoord_17_0_57, vector3MoreOrLessEquals(Vector3(0.878332019, 0.243345007, 0)));
      final textureCoord_17_0_58 = textureCoords_17_0.elementAt(58);
      expect(textureCoord_17_0_58, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_17_0_59 = textureCoords_17_0.elementAt(59);
      expect(textureCoord_17_0_59, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_60 = textureCoords_17_0.elementAt(60);
      expect(textureCoord_17_0_60, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_61 = textureCoords_17_0.elementAt(61);
      expect(textureCoord_17_0_61, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_17_0_62 = textureCoords_17_0.elementAt(62);
      expect(textureCoord_17_0_62, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_17_0_63 = textureCoords_17_0.elementAt(63);
      expect(textureCoord_17_0_63, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_17_0_64 = textureCoords_17_0.elementAt(64);
      expect(textureCoord_17_0_64, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_17_0_65 = textureCoords_17_0.elementAt(65);
      expect(textureCoord_17_0_65, vector3MoreOrLessEquals(Vector3(0.956790984, 0.730944991, 0)));
      final textureCoord_17_0_66 = textureCoords_17_0.elementAt(66);
      expect(textureCoord_17_0_66, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_17_0_67 = textureCoords_17_0.elementAt(67);
      expect(textureCoord_17_0_67, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_68 = textureCoords_17_0.elementAt(68);
      expect(textureCoord_17_0_68, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_69 = textureCoords_17_0.elementAt(69);
      expect(textureCoord_17_0_69, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_17_0_70 = textureCoords_17_0.elementAt(70);
      expect(textureCoord_17_0_70, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_71 = textureCoords_17_0.elementAt(71);
      expect(textureCoord_17_0_71, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_72 = textureCoords_17_0.elementAt(72);
      expect(textureCoord_17_0_72, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_17_0_73 = textureCoords_17_0.elementAt(73);
      expect(textureCoord_17_0_73, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_74 = textureCoords_17_0.elementAt(74);
      expect(textureCoord_17_0_74, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_75 = textureCoords_17_0.elementAt(75);
      expect(textureCoord_17_0_75, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_17_0_76 = textureCoords_17_0.elementAt(76);
      expect(textureCoord_17_0_76, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_77 = textureCoords_17_0.elementAt(77);
      expect(textureCoord_17_0_77, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_17_0_78 = textureCoords_17_0.elementAt(78);
      expect(textureCoord_17_0_78, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_17_0_79 = textureCoords_17_0.elementAt(79);
      expect(textureCoord_17_0_79, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_80 = textureCoords_17_0.elementAt(80);
      expect(textureCoord_17_0_80, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_81 = textureCoords_17_0.elementAt(81);
      expect(textureCoord_17_0_81, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_17_0_82 = textureCoords_17_0.elementAt(82);
      expect(textureCoord_17_0_82, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_83 = textureCoords_17_0.elementAt(83);
      expect(textureCoord_17_0_83, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_17_0_84 = textureCoords_17_0.elementAt(84);
      expect(textureCoord_17_0_84, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_17_0_85 = textureCoords_17_0.elementAt(85);
      expect(textureCoord_17_0_85, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_17_0_86 = textureCoords_17_0.elementAt(86);
      expect(textureCoord_17_0_86, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_87 = textureCoords_17_0.elementAt(87);
      expect(textureCoord_17_0_87, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_17_0_88 = textureCoords_17_0.elementAt(88);
      expect(textureCoord_17_0_88, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_89 = textureCoords_17_0.elementAt(89);
      expect(textureCoord_17_0_89, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_17_0_90 = textureCoords_17_0.elementAt(90);
      expect(textureCoord_17_0_90, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_17_0_91 = textureCoords_17_0.elementAt(91);
      expect(textureCoord_17_0_91, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_17_0_92 = textureCoords_17_0.elementAt(92);
      expect(textureCoord_17_0_92, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_93 = textureCoords_17_0.elementAt(93);
      expect(textureCoord_17_0_93, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_17_0_94 = textureCoords_17_0.elementAt(94);
      expect(textureCoord_17_0_94, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_95 = textureCoords_17_0.elementAt(95);
      expect(textureCoord_17_0_95, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_96 = textureCoords_17_0.elementAt(96);
      expect(textureCoord_17_0_96, vector3MoreOrLessEquals(Vector3(0.215417996, 0.844834983, 0)));
      final textureCoord_17_0_97 = textureCoords_17_0.elementAt(97);
      expect(textureCoord_17_0_97, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_98 = textureCoords_17_0.elementAt(98);
      expect(textureCoord_17_0_98, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_17_0_99 = textureCoords_17_0.elementAt(99);
      expect(textureCoord_17_0_99, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_17_0_100 = textureCoords_17_0.elementAt(100);
      expect(textureCoord_17_0_100, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_17_0_101 = textureCoords_17_0.elementAt(101);
      expect(textureCoord_17_0_101, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_17_0_102 = textureCoords_17_0.elementAt(102);
      expect(textureCoord_17_0_102, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_17_0_103 = textureCoords_17_0.elementAt(103);
      expect(textureCoord_17_0_103, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_104 = textureCoords_17_0.elementAt(104);
      expect(textureCoord_17_0_104, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_105 = textureCoords_17_0.elementAt(105);
      expect(textureCoord_17_0_105, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_17_0_106 = textureCoords_17_0.elementAt(106);
      expect(textureCoord_17_0_106, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_107 = textureCoords_17_0.elementAt(107);
      expect(textureCoord_17_0_107, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_17_0_108 = textureCoords_17_0.elementAt(108);
      expect(textureCoord_17_0_108, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_17_0_109 = textureCoords_17_0.elementAt(109);
      expect(textureCoord_17_0_109, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_17_0_110 = textureCoords_17_0.elementAt(110);
      expect(textureCoord_17_0_110, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_111 = textureCoords_17_0.elementAt(111);
      expect(textureCoord_17_0_111, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_17_0_112 = textureCoords_17_0.elementAt(112);
      expect(textureCoord_17_0_112, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_17_0_113 = textureCoords_17_0.elementAt(113);
      expect(textureCoord_17_0_113, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      expect(mesh_17.uvComponents.length, equals(1));
      expect(mesh_17.uvComponents, equals([2]));
      expect(mesh_17.faces.length, equals(38));
      expect(mesh_17.bones.length, isZero);
      expect(mesh_17.materialIndex, equals(5));
      expect(mesh_17.name, equals('Auge'));
      expect(mesh_17.animMeshes.length, isZero);
      expect(mesh_17.morphingMethod, isZero);
      expect(mesh_17.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));

      final mesh_18 = meshes.elementAt(18);
      expect(mesh_18.primitiveTypes, equals(4));
      expect(mesh_18.vertices.length, equals(114));
      final vertex_18_0 = mesh_18.vertices.elementAt(0);
      expect(vertex_18_0, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.1400757, -17.1943588)));
      final vertex_18_1 = mesh_18.vertices.elementAt(1);
      expect(vertex_18_1, vector3MoreOrLessEquals(Vector3(-58.7436142, 17.2518005, -17.4616299)));
      final vertex_18_2 = mesh_18.vertices.elementAt(2);
      expect(vertex_18_2, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.4041901, -17.8802986)));
      final vertex_18_3 = mesh_18.vertices.elementAt(3);
      expect(vertex_18_3, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_4 = mesh_18.vertices.elementAt(4);
      expect(vertex_18_4, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.1400757, -17.1943588)));
      final vertex_18_5 = mesh_18.vertices.elementAt(5);
      expect(vertex_18_5, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.4041901, -17.8802986)));
      final vertex_18_6 = mesh_18.vertices.elementAt(6);
      expect(vertex_18_6, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.4241943, -16.3014908)));
      final vertex_18_7 = mesh_18.vertices.elementAt(7);
      expect(vertex_18_7, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_8 = mesh_18.vertices.elementAt(8);
      expect(vertex_18_8, vector3MoreOrLessEquals(Vector3(-61.5558853, 17.8875732, -16.3612595)));
      final vertex_18_9 = mesh_18.vertices.elementAt(9);
      expect(vertex_18_9, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.4241943, -16.3014908)));
      final vertex_18_10 = mesh_18.vertices.elementAt(10);
      expect(vertex_18_10, vector3MoreOrLessEquals(Vector3(-59.4670486, 18.1400757, -17.1943588)));
      final vertex_18_11 = mesh_18.vertices.elementAt(11);
      expect(vertex_18_11, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_12 = mesh_18.vertices.elementAt(12);
      expect(vertex_18_12, vector3MoreOrLessEquals(Vector3(-61.6448517, 17.9956665, -15.124073)));
      final vertex_18_13 = mesh_18.vertices.elementAt(13);
      expect(vertex_18_13, vector3MoreOrLessEquals(Vector3(-60.5752258, 18.4241943, -16.3014908)));
      final vertex_18_14 = mesh_18.vertices.elementAt(14);
      expect(vertex_18_14, vector3MoreOrLessEquals(Vector3(-61.5558853, 17.8875732, -16.3612595)));
      final vertex_18_15 = mesh_18.vertices.elementAt(15);
      expect(vertex_18_15, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_16 = mesh_18.vertices.elementAt(16);
      expect(vertex_18_16, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.7172546, -13.2851772)));
      final vertex_18_17 = mesh_18.vertices.elementAt(17);
      expect(vertex_18_17, vector3MoreOrLessEquals(Vector3(-61.3841782, 17.6744385, -14.0160599)));
      final vertex_18_18 = mesh_18.vertices.elementAt(18);
      expect(vertex_18_18, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_19 = mesh_18.vertices.elementAt(19);
      expect(vertex_18_19, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_20 = mesh_18.vertices.elementAt(20);
      expect(vertex_18_20, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.2245026, -14.6391296)));
      final vertex_18_21 = mesh_18.vertices.elementAt(21);
      expect(vertex_18_21, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.7172546, -13.2851772)));
      final vertex_18_22 = mesh_18.vertices.elementAt(22);
      expect(vertex_18_22, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_23 = mesh_18.vertices.elementAt(23);
      expect(vertex_18_23, vector3MoreOrLessEquals(Vector3(-61.2780609, 15.712616, -13.232748)));
      final vertex_18_24 = mesh_18.vertices.elementAt(24);
      expect(vertex_18_24, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_25 = mesh_18.vertices.elementAt(25);
      expect(vertex_18_25, vector3MoreOrLessEquals(Vector3(-61.4815445, 16.7172546, -13.2851772)));
      final vertex_18_26 = mesh_18.vertices.elementAt(26);
      expect(vertex_18_26, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_27 = mesh_18.vertices.elementAt(27);
      expect(vertex_18_27, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      final vertex_18_28 = mesh_18.vertices.elementAt(28);
      expect(vertex_18_28, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_29 = mesh_18.vertices.elementAt(29);
      expect(vertex_18_29, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.2245026, -14.6391296)));
      final vertex_18_30 = mesh_18.vertices.elementAt(30);
      expect(vertex_18_30, vector3MoreOrLessEquals(Vector3(-61.4815445, 14.9767189, -13.9186783)));
      final vertex_18_31 = mesh_18.vertices.elementAt(31);
      expect(vertex_18_31, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      final vertex_18_32 = mesh_18.vertices.elementAt(32);
      expect(vertex_18_32, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.7132683, -15.0938358)));
      final vertex_18_33 = mesh_18.vertices.elementAt(33);
      expect(vertex_18_33, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_34 = mesh_18.vertices.elementAt(34);
      expect(vertex_18_34, vector3MoreOrLessEquals(Vector3(-61.4815445, 14.9767189, -13.9186783)));
      final vertex_18_35 = mesh_18.vertices.elementAt(35);
      expect(vertex_18_35, vector3MoreOrLessEquals(Vector3(-61.2780609, 15.712616, -13.232748)));
      final vertex_18_36 = mesh_18.vertices.elementAt(36);
      expect(vertex_18_36, vector3MoreOrLessEquals(Vector3(-61.4815445, 14.9767189, -13.9186783)));
      final vertex_18_37 = mesh_18.vertices.elementAt(37);
      expect(vertex_18_37, vector3MoreOrLessEquals(Vector3(-62.2049866, 15.8650055, -13.6514149)));
      final vertex_18_38 = mesh_18.vertices.elementAt(38);
      expect(vertex_18_38, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      final vertex_18_39 = mesh_18.vertices.elementAt(39);
      expect(vertex_18_39, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_40 = mesh_18.vertices.elementAt(40);
      expect(vertex_18_40, vector3MoreOrLessEquals(Vector3(-60.4743042, 14.8178673, -16.1900234)));
      final vertex_18_41 = mesh_18.vertices.elementAt(41);
      expect(vertex_18_41, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.7132683, -15.0938358)));
      final vertex_18_42 = mesh_18.vertices.elementAt(42);
      expect(vertex_18_42, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_43 = mesh_18.vertices.elementAt(43);
      expect(vertex_18_43, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_44 = mesh_18.vertices.elementAt(44);
      expect(vertex_18_44, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.0574799, -17.0273628)));
      final vertex_18_45 = mesh_18.vertices.elementAt(45);
      expect(vertex_18_45, vector3MoreOrLessEquals(Vector3(-60.4743042, 14.8178673, -16.1900234)));
      final vertex_18_46 = mesh_18.vertices.elementAt(46);
      expect(vertex_18_46, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_47 = mesh_18.vertices.elementAt(47);
      expect(vertex_18_47, vector3MoreOrLessEquals(Vector3(-59.5644226, 15.4423523, -17.0969849)));
      final vertex_18_48 = mesh_18.vertices.elementAt(48);
      expect(vertex_18_48, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_49 = mesh_18.vertices.elementAt(49);
      expect(vertex_18_49, vector3MoreOrLessEquals(Vector3(-60.4743042, 14.8178673, -16.1900234)));
      final vertex_18_50 = mesh_18.vertices.elementAt(50);
      expect(vertex_18_50, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_51 = mesh_18.vertices.elementAt(51);
      expect(vertex_18_51, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_52 = mesh_18.vertices.elementAt(52);
      expect(vertex_18_52, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_53 = mesh_18.vertices.elementAt(53);
      expect(vertex_18_53, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.0574799, -17.0273628)));
      final vertex_18_54 = mesh_18.vertices.elementAt(54);
      expect(vertex_18_54, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.3995514, -17.8278599)));
      final vertex_18_55 = mesh_18.vertices.elementAt(55);
      expect(vertex_18_55, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_56 = mesh_18.vertices.elementAt(56);
      expect(vertex_18_56, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.4041901, -17.8802986)));
      final vertex_18_57 = mesh_18.vertices.elementAt(57);
      expect(vertex_18_57, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_58 = mesh_18.vertices.elementAt(58);
      expect(vertex_18_58, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.3995514, -17.8278599)));
      final vertex_18_59 = mesh_18.vertices.elementAt(59);
      expect(vertex_18_59, vector3MoreOrLessEquals(Vector3(-59.5644226, 15.4423523, -17.0969849)));
      final vertex_18_60 = mesh_18.vertices.elementAt(60);
      expect(vertex_18_60, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.3995514, -17.8278599)));
      final vertex_18_61 = mesh_18.vertices.elementAt(61);
      expect(vertex_18_61, vector3MoreOrLessEquals(Vector3(-60.5752258, 15.6079712, -17.326519)));
      final vertex_18_62 = mesh_18.vertices.elementAt(62);
      expect(vertex_18_62, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_63 = mesh_18.vertices.elementAt(63);
      expect(vertex_18_63, vector3MoreOrLessEquals(Vector3(-58.7436142, 17.2518005, -17.4616299)));
      final vertex_18_64 = mesh_18.vertices.elementAt(64);
      expect(vertex_18_64, vector3MoreOrLessEquals(Vector3(-59.4670486, 16.3995514, -17.8278599)));
      final vertex_18_65 = mesh_18.vertices.elementAt(65);
      expect(vertex_18_65, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.4041901, -17.8802986)));
      final vertex_18_66 = mesh_18.vertices.elementAt(66);
      expect(vertex_18_66, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_67 = mesh_18.vertices.elementAt(67);
      expect(vertex_18_67, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_68 = mesh_18.vertices.elementAt(68);
      expect(vertex_18_68, vector3MoreOrLessEquals(Vector3(-61.5558853, 17.8875732, -16.3612595)));
      final vertex_18_69 = mesh_18.vertices.elementAt(69);
      expect(vertex_18_69, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_70 = mesh_18.vertices.elementAt(70);
      expect(vertex_18_70, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_71 = mesh_18.vertices.elementAt(71);
      expect(vertex_18_71, vector3MoreOrLessEquals(Vector3(-59.6705475, 17.4041901, -17.8802986)));
      final vertex_18_72 = mesh_18.vertices.elementAt(72);
      expect(vertex_18_72, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_73 = mesh_18.vertices.elementAt(73);
      expect(vertex_18_73, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_74 = mesh_18.vertices.elementAt(74);
      expect(vertex_18_74, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.0574799, -17.0273628)));
      final vertex_18_75 = mesh_18.vertices.elementAt(75);
      expect(vertex_18_75, vector3MoreOrLessEquals(Vector3(-60.6375961, 16.7611084, -17.7869339)));
      final vertex_18_76 = mesh_18.vertices.elementAt(76);
      expect(vertex_18_76, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_77 = mesh_18.vertices.elementAt(77);
      expect(vertex_18_77, vector3MoreOrLessEquals(Vector3(-60.6375961, 17.8368073, -17.3954124)));
      final vertex_18_78 = mesh_18.vertices.elementAt(78);
      expect(vertex_18_78, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_79 = mesh_18.vertices.elementAt(79);
      expect(vertex_18_79, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_80 = mesh_18.vertices.elementAt(80);
      expect(vertex_18_80, vector3MoreOrLessEquals(Vector3(-61.5558853, 17.8875732, -16.3612595)));
      final vertex_18_81 = mesh_18.vertices.elementAt(81);
      expect(vertex_18_81, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_82 = mesh_18.vertices.elementAt(82);
      expect(vertex_18_82, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_83 = mesh_18.vertices.elementAt(83);
      expect(vertex_18_83, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.0574799, -17.0273628)));
      final vertex_18_84 = mesh_18.vertices.elementAt(84);
      expect(vertex_18_84, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_85 = mesh_18.vertices.elementAt(85);
      expect(vertex_18_85, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_86 = mesh_18.vertices.elementAt(86);
      expect(vertex_18_86, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.2245026, -14.6391296)));
      final vertex_18_87 = mesh_18.vertices.elementAt(87);
      expect(vertex_18_87, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_88 = mesh_18.vertices.elementAt(88);
      expect(vertex_18_88, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_89 = mesh_18.vertices.elementAt(89);
      expect(vertex_18_89, vector3MoreOrLessEquals(Vector3(-61.7457733, 17.0452271, -16.8940678)));
      final vertex_18_90 = mesh_18.vertices.elementAt(90);
      expect(vertex_18_90, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_91 = mesh_18.vertices.elementAt(91);
      expect(vertex_18_91, vector3MoreOrLessEquals(Vector3(-61.6448517, 17.9956665, -15.124073)));
      final vertex_18_92 = mesh_18.vertices.elementAt(92);
      expect(vertex_18_92, vector3MoreOrLessEquals(Vector3(-61.5558853, 17.8875732, -16.3612595)));
      final vertex_18_93 = mesh_18.vertices.elementAt(93);
      expect(vertex_18_93, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_94 = mesh_18.vertices.elementAt(94);
      expect(vertex_18_94, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_95 = mesh_18.vertices.elementAt(95);
      expect(vertex_18_95, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.2245026, -14.6391296)));
      final vertex_18_96 = mesh_18.vertices.elementAt(96);
      expect(vertex_18_96, vector3MoreOrLessEquals(Vector3(-61.6448517, 17.9956665, -15.124073)));
      final vertex_18_97 = mesh_18.vertices.elementAt(97);
      expect(vertex_18_97, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_98 = mesh_18.vertices.elementAt(98);
      expect(vertex_18_98, vector3MoreOrLessEquals(Vector3(-61.3841782, 17.6744385, -14.0160599)));
      final vertex_18_99 = mesh_18.vertices.elementAt(99);
      expect(vertex_18_99, vector3MoreOrLessEquals(Vector3(-62.2673569, 17.0181274, -14.1118221)));
      final vertex_18_100 = mesh_18.vertices.elementAt(100);
      expect(vertex_18_100, vector3MoreOrLessEquals(Vector3(-61.6448517, 17.9956665, -15.124073)));
      final vertex_18_101 = mesh_18.vertices.elementAt(101);
      expect(vertex_18_101, vector3MoreOrLessEquals(Vector3(-62.3682861, 17.1434021, -15.490303)));
      final vertex_18_102 = mesh_18.vertices.elementAt(102);
      expect(vertex_18_102, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      final vertex_18_103 = mesh_18.vertices.elementAt(103);
      expect(vertex_18_103, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_104 = mesh_18.vertices.elementAt(104);
      expect(vertex_18_104, vector3MoreOrLessEquals(Vector3(-61.3841782, 14.7132683, -15.0938358)));
      final vertex_18_105 = mesh_18.vertices.elementAt(105);
      expect(vertex_18_105, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_106 = mesh_18.vertices.elementAt(106);
      expect(vertex_18_106, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      final vertex_18_107 = mesh_18.vertices.elementAt(107);
      expect(vertex_18_107, vector3MoreOrLessEquals(Vector3(-62.6149597, 16.2245026, -14.6391296)));
      final vertex_18_108 = mesh_18.vertices.elementAt(108);
      expect(vertex_18_108, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_109 = mesh_18.vertices.elementAt(109);
      expect(vertex_18_109, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_110 = mesh_18.vertices.elementAt(110);
      expect(vertex_18_110, vector3MoreOrLessEquals(Vector3(-61.5558853, 16.0574799, -17.0273628)));
      final vertex_18_111 = mesh_18.vertices.elementAt(111);
      expect(vertex_18_111, vector3MoreOrLessEquals(Vector3(-62.3682861, 16.0677032, -15.8818245)));
      final vertex_18_112 = mesh_18.vertices.elementAt(112);
      expect(vertex_18_112, vector3MoreOrLessEquals(Vector3(-61.6448517, 15.1794281, -16.1490993)));
      final vertex_18_113 = mesh_18.vertices.elementAt(113);
      expect(vertex_18_113, vector3MoreOrLessEquals(Vector3(-62.2673569, 15.2776031, -14.7453232)));
      expect(mesh_18.normals.length, equals(114));
      final normal_18_0 = mesh_18.normals.elementAt(0);
      expect(normal_18_0, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, -0.666388988)));
      final normal_18_1 = mesh_18.normals.elementAt(1);
      expect(normal_18_1, vector3MoreOrLessEquals(Vector3(0.433214992, 0.308259994, -0.846935987)));
      final normal_18_2 = mesh_18.normals.elementAt(2);
      expect(normal_18_2, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, -0.935634971)));
      final normal_18_3 = mesh_18.normals.elementAt(3);
      expect(normal_18_3, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_4 = mesh_18.normals.elementAt(4);
      expect(normal_18_4, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, -0.666388988)));
      final normal_18_5 = mesh_18.normals.elementAt(5);
      expect(normal_18_5, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, -0.935634971)));
      final normal_18_6 = mesh_18.normals.elementAt(6);
      expect(normal_18_6, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, -0.335256994)));
      final normal_18_7 = mesh_18.normals.elementAt(7);
      expect(normal_18_7, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_8 = mesh_18.normals.elementAt(8);
      expect(normal_18_8, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, -0.336288005)));
      final normal_18_9 = mesh_18.normals.elementAt(9);
      expect(normal_18_9, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, -0.335256994)));
      final normal_18_10 = mesh_18.normals.elementAt(10);
      expect(normal_18_10, vector3MoreOrLessEquals(Vector3(0.0751359984, 0.741809011, -0.666388988)));
      final normal_18_11 = mesh_18.normals.elementAt(11);
      expect(normal_18_11, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_12 = mesh_18.normals.elementAt(12);
      expect(normal_18_12, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, 0.0621879995)));
      final normal_18_13 = mesh_18.normals.elementAt(13);
      expect(normal_18_13, vector3MoreOrLessEquals(Vector3(-0.353917986, 0.87312299, -0.335256994)));
      final normal_18_14 = mesh_18.normals.elementAt(14);
      expect(normal_18_14, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, -0.336288005)));
      final normal_18_15 = mesh_18.normals.elementAt(15);
      expect(normal_18_15, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_16 = mesh_18.normals.elementAt(16);
      expect(normal_18_16, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, 0.796105027)));
      final normal_18_17 = mesh_18.normals.elementAt(17);
      expect(normal_18_17, vector3MoreOrLessEquals(Vector3(-0.545562029, 0.658510029, 0.518388987)));
      final normal_18_18 = mesh_18.normals.elementAt(18);
      expect(normal_18_18, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_19 = mesh_18.normals.elementAt(19);
      expect(normal_18_19, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_20 = mesh_18.normals.elementAt(20);
      expect(normal_18_20, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321960002, 0.088459)));
      final normal_18_21 = mesh_18.normals.elementAt(21);
      expect(normal_18_21, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, 0.796105027)));
      final normal_18_22 = mesh_18.normals.elementAt(22);
      expect(normal_18_22, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_23 = mesh_18.normals.elementAt(23);
      expect(normal_18_23, vector3MoreOrLessEquals(Vector3(-0.433216006, -0.308257997, 0.846935987)));
      final normal_18_24 = mesh_18.normals.elementAt(24);
      expect(normal_18_24, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_25 = mesh_18.normals.elementAt(25);
      expect(normal_18_25, vector3MoreOrLessEquals(Vector3(-0.542285979, 0.268593997, 0.796105027)));
      final normal_18_26 = mesh_18.normals.elementAt(26);
      expect(normal_18_26, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_27 = mesh_18.normals.elementAt(27);
      expect(normal_18_27, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      final normal_18_28 = mesh_18.normals.elementAt(28);
      expect(normal_18_28, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_29 = mesh_18.normals.elementAt(29);
      expect(normal_18_29, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321960002, 0.088459)));
      final normal_18_30 = mesh_18.normals.elementAt(30);
      expect(normal_18_30, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.717477024, 0.437204003)));
      final normal_18_31 = mesh_18.normals.elementAt(31);
      expect(normal_18_31, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      final normal_18_32 = mesh_18.normals.elementAt(32);
      expect(normal_18_32, vector3MoreOrLessEquals(Vector3(-0.467565, -0.87439698, -0.129667997)));
      final normal_18_33 = mesh_18.normals.elementAt(33);
      expect(normal_18_33, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_34 = mesh_18.normals.elementAt(34);
      expect(normal_18_34, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.717477024, 0.437204003)));
      final normal_18_35 = mesh_18.normals.elementAt(35);
      expect(normal_18_35, vector3MoreOrLessEquals(Vector3(-0.433216006, -0.308257997, 0.846935987)));
      final normal_18_36 = mesh_18.normals.elementAt(36);
      expect(normal_18_36, vector3MoreOrLessEquals(Vector3(-0.542291999, -0.717477024, 0.437204003)));
      final normal_18_37 = mesh_18.normals.elementAt(37);
      expect(normal_18_37, vector3MoreOrLessEquals(Vector3(-0.738153994, -0.230737001, 0.633948028)));
      final normal_18_38 = mesh_18.normals.elementAt(38);
      expect(normal_18_38, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      final normal_18_39 = mesh_18.normals.elementAt(39);
      expect(normal_18_39, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_40 = mesh_18.normals.elementAt(40);
      expect(normal_18_40, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, -0.484223008)));
      final normal_18_41 = mesh_18.normals.elementAt(41);
      expect(normal_18_41, vector3MoreOrLessEquals(Vector3(-0.467565, -0.87439698, -0.129667997)));
      final normal_18_42 = mesh_18.normals.elementAt(42);
      expect(normal_18_42, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_43 = mesh_18.normals.elementAt(43);
      expect(normal_18_43, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_44 = mesh_18.normals.elementAt(44);
      expect(normal_18_44, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, -0.700869024)));
      final normal_18_45 = mesh_18.normals.elementAt(45);
      expect(normal_18_45, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, -0.484223008)));
      final normal_18_46 = mesh_18.normals.elementAt(46);
      expect(normal_18_46, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_47 = mesh_18.normals.elementAt(47);
      expect(normal_18_47, vector3MoreOrLessEquals(Vector3(0.0375009999, -0.724698007, -0.688045979)));
      final normal_18_48 = mesh_18.normals.elementAt(48);
      expect(normal_18_48, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_49 = mesh_18.normals.elementAt(49);
      expect(normal_18_49, vector3MoreOrLessEquals(Vector3(-0.189833999, -0.854102015, -0.484223008)));
      final normal_18_50 = mesh_18.normals.elementAt(50);
      expect(normal_18_50, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_51 = mesh_18.normals.elementAt(51);
      expect(normal_18_51, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_52 = mesh_18.normals.elementAt(52);
      expect(normal_18_52, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_53 = mesh_18.normals.elementAt(53);
      expect(normal_18_53, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, -0.700869024)));
      final normal_18_54 = mesh_18.normals.elementAt(54);
      expect(normal_18_54, vector3MoreOrLessEquals(Vector3(0.0781359971, -0.268604994, -0.960075974)));
      final normal_18_55 = mesh_18.normals.elementAt(55);
      expect(normal_18_55, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_56 = mesh_18.normals.elementAt(56);
      expect(normal_18_56, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, -0.935634971)));
      final normal_18_57 = mesh_18.normals.elementAt(57);
      expect(normal_18_57, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_58 = mesh_18.normals.elementAt(58);
      expect(normal_18_58, vector3MoreOrLessEquals(Vector3(0.0781359971, -0.268604994, -0.960075974)));
      final normal_18_59 = mesh_18.normals.elementAt(59);
      expect(normal_18_59, vector3MoreOrLessEquals(Vector3(0.0375009999, -0.724698007, -0.688045979)));
      final normal_18_60 = mesh_18.normals.elementAt(60);
      expect(normal_18_60, vector3MoreOrLessEquals(Vector3(0.0781359971, -0.268604994, -0.960075974)));
      final normal_18_61 = mesh_18.normals.elementAt(61);
      expect(normal_18_61, vector3MoreOrLessEquals(Vector3(-0.215356007, -0.623778999, -0.751345992)));
      final normal_18_62 = mesh_18.normals.elementAt(62);
      expect(normal_18_62, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_63 = mesh_18.normals.elementAt(63);
      expect(normal_18_63, vector3MoreOrLessEquals(Vector3(0.433214992, 0.308259994, -0.846935987)));
      final normal_18_64 = mesh_18.normals.elementAt(64);
      expect(normal_18_64, vector3MoreOrLessEquals(Vector3(0.0781359971, -0.268604994, -0.960075974)));
      final normal_18_65 = mesh_18.normals.elementAt(65);
      expect(normal_18_65, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, -0.935634971)));
      final normal_18_66 = mesh_18.normals.elementAt(66);
      expect(normal_18_66, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_67 = mesh_18.normals.elementAt(67);
      expect(normal_18_67, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_68 = mesh_18.normals.elementAt(68);
      expect(normal_18_68, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, -0.336288005)));
      final normal_18_69 = mesh_18.normals.elementAt(69);
      expect(normal_18_69, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_70 = mesh_18.normals.elementAt(70);
      expect(normal_18_70, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_71 = mesh_18.normals.elementAt(71);
      expect(normal_18_71, vector3MoreOrLessEquals(Vector3(0.0928319991, 0.340543985, -0.935634971)));
      final normal_18_72 = mesh_18.normals.elementAt(72);
      expect(normal_18_72, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_73 = mesh_18.normals.elementAt(73);
      expect(normal_18_73, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_74 = mesh_18.normals.elementAt(74);
      expect(normal_18_74, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, -0.700869024)));
      final normal_18_75 = mesh_18.normals.elementAt(75);
      expect(normal_18_75, vector3MoreOrLessEquals(Vector3(-0.37559399, -0.0354430005, -0.926105976)));
      final normal_18_76 = mesh_18.normals.elementAt(76);
      expect(normal_18_76, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_77 = mesh_18.normals.elementAt(77);
      expect(normal_18_77, vector3MoreOrLessEquals(Vector3(-0.375593007, 0.622443974, -0.686653972)));
      final normal_18_78 = mesh_18.normals.elementAt(78);
      expect(normal_18_78, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_79 = mesh_18.normals.elementAt(79);
      expect(normal_18_79, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_80 = mesh_18.normals.elementAt(80);
      expect(normal_18_80, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, -0.336288005)));
      final normal_18_81 = mesh_18.normals.elementAt(81);
      expect(normal_18_81, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_82 = mesh_18.normals.elementAt(82);
      expect(normal_18_82, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_83 = mesh_18.normals.elementAt(83);
      expect(normal_18_83, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, -0.700869024)));
      final normal_18_84 = mesh_18.normals.elementAt(84);
      expect(normal_18_84, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_85 = mesh_18.normals.elementAt(85);
      expect(normal_18_85, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_86 = mesh_18.normals.elementAt(86);
      expect(normal_18_86, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321960002, 0.088459)));
      final normal_18_87 = mesh_18.normals.elementAt(87);
      expect(normal_18_87, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_88 = mesh_18.normals.elementAt(88);
      expect(normal_18_88, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_89 = mesh_18.normals.elementAt(89);
      expect(normal_18_89, vector3MoreOrLessEquals(Vector3(-0.757384002, 0.223327994, -0.613590002)));
      final normal_18_90 = mesh_18.normals.elementAt(90);
      expect(normal_18_90, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_91 = mesh_18.normals.elementAt(91);
      expect(normal_18_91, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, 0.0621879995)));
      final normal_18_92 = mesh_18.normals.elementAt(92);
      expect(normal_18_92, vector3MoreOrLessEquals(Vector3(-0.641387999, 0.68958801, -0.336288005)));
      final normal_18_93 = mesh_18.normals.elementAt(93);
      expect(normal_18_93, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_94 = mesh_18.normals.elementAt(94);
      expect(normal_18_94, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_95 = mesh_18.normals.elementAt(95);
      expect(normal_18_95, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321960002, 0.088459)));
      final normal_18_96 = mesh_18.normals.elementAt(96);
      expect(normal_18_96, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, 0.0621879995)));
      final normal_18_97 = mesh_18.normals.elementAt(97);
      expect(normal_18_97, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_98 = mesh_18.normals.elementAt(98);
      expect(normal_18_98, vector3MoreOrLessEquals(Vector3(-0.545562029, 0.658510029, 0.518388987)));
      final normal_18_99 = mesh_18.normals.elementAt(99);
      expect(normal_18_99, vector3MoreOrLessEquals(Vector3(-0.776382029, 0.468026996, 0.422116011)));
      final normal_18_100 = mesh_18.normals.elementAt(100);
      expect(normal_18_100, vector3MoreOrLessEquals(Vector3(-0.662764013, 0.746240973, 0.0621879995)));
      final normal_18_101 = mesh_18.normals.elementAt(101);
      expect(normal_18_101, vector3MoreOrLessEquals(Vector3(-0.902417004, 0.400662988, -0.158467993)));
      final normal_18_102 = mesh_18.normals.elementAt(102);
      expect(normal_18_102, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      final normal_18_103 = mesh_18.normals.elementAt(103);
      expect(normal_18_103, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_104 = mesh_18.normals.elementAt(104);
      expect(normal_18_104, vector3MoreOrLessEquals(Vector3(-0.467565, -0.87439698, -0.129667997)));
      final normal_18_105 = mesh_18.normals.elementAt(105);
      expect(normal_18_105, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_106 = mesh_18.normals.elementAt(106);
      expect(normal_18_106, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      final normal_18_107 = mesh_18.normals.elementAt(107);
      expect(normal_18_107, vector3MoreOrLessEquals(Vector3(-0.995558977, -0.0321960002, 0.088459)));
      final normal_18_108 = mesh_18.normals.elementAt(108);
      expect(normal_18_108, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_109 = mesh_18.normals.elementAt(109);
      expect(normal_18_109, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_110 = mesh_18.normals.elementAt(110);
      expect(normal_18_110, vector3MoreOrLessEquals(Vector3(-0.641390979, -0.312090993, -0.700869024)));
      final normal_18_111 = mesh_18.normals.elementAt(111);
      expect(normal_18_111, vector3MoreOrLessEquals(Vector3(-0.902417004, -0.205065995, -0.378933996)));
      final normal_18_112 = mesh_18.normals.elementAt(112);
      expect(normal_18_112, vector3MoreOrLessEquals(Vector3(-0.545804977, -0.711394012, -0.442736)));
      final normal_18_113 = mesh_18.normals.elementAt(113);
      expect(normal_18_113, vector3MoreOrLessEquals(Vector3(-0.776385009, -0.62985599, 0.0225169994)));
      expect(mesh_18.tangents.length, isZero);
      expect(mesh_18.bitangents.length, isZero);
      expect(mesh_18.colors.length, isZero);
      expect(mesh_18.textureCoords.length, equals(1));
      final textureCoords_18_0 = mesh_18.textureCoords.elementAt(0);
      expect(textureCoords_18_0.length, equals(114));
      final textureCoord_18_0_0 = textureCoords_18_0.elementAt(0);
      expect(textureCoord_18_0_0, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_18_0_1 = textureCoords_18_0.elementAt(1);
      expect(textureCoord_18_0_1, vector3MoreOrLessEquals(Vector3(0.956790984, 0.730944991, 0)));
      final textureCoord_18_0_2 = textureCoords_18_0.elementAt(2);
      expect(textureCoord_18_0_2, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_18_0_3 = textureCoords_18_0.elementAt(3);
      expect(textureCoord_18_0_3, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_4 = textureCoords_18_0.elementAt(4);
      expect(textureCoord_18_0_4, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_18_0_5 = textureCoords_18_0.elementAt(5);
      expect(textureCoord_18_0_5, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_18_0_6 = textureCoords_18_0.elementAt(6);
      expect(textureCoord_18_0_6, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_18_0_7 = textureCoords_18_0.elementAt(7);
      expect(textureCoord_18_0_7, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_8 = textureCoords_18_0.elementAt(8);
      expect(textureCoord_18_0_8, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_18_0_9 = textureCoords_18_0.elementAt(9);
      expect(textureCoord_18_0_9, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_18_0_10 = textureCoords_18_0.elementAt(10);
      expect(textureCoord_18_0_10, vector3MoreOrLessEquals(Vector3(0.899282992, 0.970311999, 0)));
      final textureCoord_18_0_11 = textureCoords_18_0.elementAt(11);
      expect(textureCoord_18_0_11, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_12 = textureCoords_18_0.elementAt(12);
      expect(textureCoord_18_0_12, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_18_0_13 = textureCoords_18_0.elementAt(13);
      expect(textureCoord_18_0_13, vector3MoreOrLessEquals(Vector3(0.707167983, 1.046875, 0)));
      final textureCoord_18_0_14 = textureCoords_18_0.elementAt(14);
      expect(textureCoord_18_0_14, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_18_0_15 = textureCoords_18_0.elementAt(15);
      expect(textureCoord_18_0_15, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_16 = textureCoords_18_0.elementAt(16);
      expect(textureCoord_18_0_16, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_18_0_17 = textureCoords_18_0.elementAt(17);
      expect(textureCoord_18_0_17, vector3MoreOrLessEquals(Vector3(0.215417996, 0.844834983, 0)));
      final textureCoord_18_0_18 = textureCoords_18_0.elementAt(18);
      expect(textureCoord_18_0_18, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_19 = textureCoords_18_0.elementAt(19);
      expect(textureCoord_18_0_19, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_20 = textureCoords_18_0.elementAt(20);
      expect(textureCoord_18_0_20, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_18_0_21 = textureCoords_18_0.elementAt(21);
      expect(textureCoord_18_0_21, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_18_0_22 = textureCoords_18_0.elementAt(22);
      expect(textureCoord_18_0_22, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_23 = textureCoords_18_0.elementAt(23);
      expect(textureCoord_18_0_23, vector3MoreOrLessEquals(Vector3(0.046875, 0.316174001, 0)));
      final textureCoord_18_0_24 = textureCoords_18_0.elementAt(24);
      expect(textureCoord_18_0_24, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_25 = textureCoords_18_0.elementAt(25);
      expect(textureCoord_18_0_25, vector3MoreOrLessEquals(Vector3(0.0581559986, 0.586898029, 0)));
      final textureCoord_18_0_26 = textureCoords_18_0.elementAt(26);
      expect(textureCoord_18_0_26, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_27 = textureCoords_18_0.elementAt(27);
      expect(textureCoord_18_0_27, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_18_0_28 = textureCoords_18_0.elementAt(28);
      expect(textureCoord_18_0_28, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_29 = textureCoords_18_0.elementAt(29);
      expect(textureCoord_18_0_29, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_18_0_30 = textureCoords_18_0.elementAt(30);
      expect(textureCoord_18_0_30, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_18_0_31 = textureCoords_18_0.elementAt(31);
      expect(textureCoord_18_0_31, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_18_0_32 = textureCoords_18_0.elementAt(32);
      expect(textureCoord_18_0_32, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_18_0_33 = textureCoords_18_0.elementAt(33);
      expect(textureCoord_18_0_33, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_34 = textureCoords_18_0.elementAt(34);
      expect(textureCoord_18_0_34, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_18_0_35 = textureCoords_18_0.elementAt(35);
      expect(textureCoord_18_0_35, vector3MoreOrLessEquals(Vector3(0.046875, 0.316174001, 0)));
      final textureCoord_18_0_36 = textureCoords_18_0.elementAt(36);
      expect(textureCoord_18_0_36, vector3MoreOrLessEquals(Vector3(0.194463998, 0.117867999, 0)));
      final textureCoord_18_0_37 = textureCoords_18_0.elementAt(37);
      expect(textureCoord_18_0_37, vector3MoreOrLessEquals(Vector3(0.136958003, 0.357239008, 0)));
      final textureCoord_18_0_38 = textureCoords_18_0.elementAt(38);
      expect(textureCoord_18_0_38, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_18_0_39 = textureCoords_18_0.elementAt(39);
      expect(textureCoord_18_0_39, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_40 = textureCoords_18_0.elementAt(40);
      expect(textureCoord_18_0_40, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_18_0_41 = textureCoords_18_0.elementAt(41);
      expect(textureCoord_18_0_41, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_18_0_42 = textureCoords_18_0.elementAt(42);
      expect(textureCoord_18_0_42, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_43 = textureCoords_18_0.elementAt(43);
      expect(textureCoord_18_0_43, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_44 = textureCoords_18_0.elementAt(44);
      expect(textureCoord_18_0_44, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_18_0_45 = textureCoords_18_0.elementAt(45);
      expect(textureCoord_18_0_45, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_18_0_46 = textureCoords_18_0.elementAt(46);
      expect(textureCoord_18_0_46, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_47 = textureCoords_18_0.elementAt(47);
      expect(textureCoord_18_0_47, vector3MoreOrLessEquals(Vector3(0.878332019, 0.243345007, 0)));
      final textureCoord_18_0_48 = textureCoords_18_0.elementAt(48);
      expect(textureCoord_18_0_48, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_49 = textureCoords_18_0.elementAt(49);
      expect(textureCoord_18_0_49, vector3MoreOrLessEquals(Vector3(0.683183014, 0.0750619993, 0)));
      final textureCoord_18_0_50 = textureCoords_18_0.elementAt(50);
      expect(textureCoord_18_0_50, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_51 = textureCoords_18_0.elementAt(51);
      expect(textureCoord_18_0_51, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_52 = textureCoords_18_0.elementAt(52);
      expect(textureCoord_18_0_52, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_53 = textureCoords_18_0.elementAt(53);
      expect(textureCoord_18_0_53, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_18_0_54 = textureCoords_18_0.elementAt(54);
      expect(textureCoord_18_0_54, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_18_0_55 = textureCoords_18_0.elementAt(55);
      expect(textureCoord_18_0_55, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_56 = textureCoords_18_0.elementAt(56);
      expect(textureCoord_18_0_56, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_18_0_57 = textureCoords_18_0.elementAt(57);
      expect(textureCoord_18_0_57, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_58 = textureCoords_18_0.elementAt(58);
      expect(textureCoord_18_0_58, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_18_0_59 = textureCoords_18_0.elementAt(59);
      expect(textureCoord_18_0_59, vector3MoreOrLessEquals(Vector3(0.878332019, 0.243345007, 0)));
      final textureCoord_18_0_60 = textureCoords_18_0.elementAt(60);
      expect(textureCoord_18_0_60, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_18_0_61 = textureCoords_18_0.elementAt(61);
      expect(textureCoord_18_0_61, vector3MoreOrLessEquals(Vector3(0.92772001, 0.287975013, 0)));
      final textureCoord_18_0_62 = textureCoords_18_0.elementAt(62);
      expect(textureCoord_18_0_62, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_63 = textureCoords_18_0.elementAt(63);
      expect(textureCoord_18_0_63, vector3MoreOrLessEquals(Vector3(0.956790984, 0.730944991, 0)));
      final textureCoord_18_0_64 = textureCoords_18_0.elementAt(64);
      expect(textureCoord_18_0_64, vector3MoreOrLessEquals(Vector3(1.03559196, 0.501285017, 0)));
      final textureCoord_18_0_65 = textureCoords_18_0.elementAt(65);
      expect(textureCoord_18_0_65, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_18_0_66 = textureCoords_18_0.elementAt(66);
      expect(textureCoord_18_0_66, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_67 = textureCoords_18_0.elementAt(67);
      expect(textureCoord_18_0_67, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_68 = textureCoords_18_0.elementAt(68);
      expect(textureCoord_18_0_68, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_18_0_69 = textureCoords_18_0.elementAt(69);
      expect(textureCoord_18_0_69, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_70 = textureCoords_18_0.elementAt(70);
      expect(textureCoord_18_0_70, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_71 = textureCoords_18_0.elementAt(71);
      expect(textureCoord_18_0_71, vector3MoreOrLessEquals(Vector3(1.046875, 0.772010028, 0)));
      final textureCoord_18_0_72 = textureCoords_18_0.elementAt(72);
      expect(textureCoord_18_0_72, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_73 = textureCoords_18_0.elementAt(73);
      expect(textureCoord_18_0_73, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_74 = textureCoords_18_0.elementAt(74);
      expect(textureCoord_18_0_74, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_18_0_75 = textureCoords_18_0.elementAt(75);
      expect(textureCoord_18_0_75, vector3MoreOrLessEquals(Vector3(1.02678597, 0.598716021, 0)));
      final textureCoord_18_0_76 = textureCoords_18_0.elementAt(76);
      expect(textureCoord_18_0_76, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_77 = textureCoords_18_0.elementAt(77);
      expect(textureCoord_18_0_77, vector3MoreOrLessEquals(Vector3(0.942543983, 0.888589025, 0)));
      final textureCoord_18_0_78 = textureCoords_18_0.elementAt(78);
      expect(textureCoord_18_0_78, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_79 = textureCoords_18_0.elementAt(79);
      expect(textureCoord_18_0_79, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_80 = textureCoords_18_0.elementAt(80);
      expect(textureCoord_18_0_80, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_18_0_81 = textureCoords_18_0.elementAt(81);
      expect(textureCoord_18_0_81, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_82 = textureCoords_18_0.elementAt(82);
      expect(textureCoord_18_0_82, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_83 = textureCoords_18_0.elementAt(83);
      expect(textureCoord_18_0_83, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_18_0_84 = textureCoords_18_0.elementAt(84);
      expect(textureCoord_18_0_84, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_85 = textureCoords_18_0.elementAt(85);
      expect(textureCoord_18_0_85, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_86 = textureCoords_18_0.elementAt(86);
      expect(textureCoord_18_0_86, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_18_0_87 = textureCoords_18_0.elementAt(87);
      expect(textureCoord_18_0_87, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_88 = textureCoords_18_0.elementAt(88);
      expect(textureCoord_18_0_88, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_89 = textureCoords_18_0.elementAt(89);
      expect(textureCoord_18_0_89, vector3MoreOrLessEquals(Vector3(0.834671021, 0.675278008, 0)));
      final textureCoord_18_0_90 = textureCoords_18_0.elementAt(90);
      expect(textureCoord_18_0_90, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_91 = textureCoords_18_0.elementAt(91);
      expect(textureCoord_18_0_91, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_18_0_92 = textureCoords_18_0.elementAt(92);
      expect(textureCoord_18_0_92, vector3MoreOrLessEquals(Vector3(0.720027983, 0.902269006, 0)));
      final textureCoord_18_0_93 = textureCoords_18_0.elementAt(93);
      expect(textureCoord_18_0_93, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_94 = textureCoords_18_0.elementAt(94);
      expect(textureCoord_18_0_94, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_95 = textureCoords_18_0.elementAt(95);
      expect(textureCoord_18_0_95, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_18_0_96 = textureCoords_18_0.elementAt(96);
      expect(textureCoord_18_0_96, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_18_0_97 = textureCoords_18_0.elementAt(97);
      expect(textureCoord_18_0_97, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_98 = textureCoords_18_0.elementAt(98);
      expect(textureCoord_18_0_98, vector3MoreOrLessEquals(Vector3(0.215417996, 0.844834983, 0)));
      final textureCoord_18_0_99 = textureCoords_18_0.elementAt(99);
      expect(textureCoord_18_0_99, vector3MoreOrLessEquals(Vector3(0.236022994, 0.667976022, 0)));
      final textureCoord_18_0_100 = textureCoords_18_0.elementAt(100);
      expect(textureCoord_18_0_100, vector3MoreOrLessEquals(Vector3(0.45382601, 0.931397974, 0)));
      final textureCoord_18_0_101 = textureCoords_18_0.elementAt(101);
      expect(textureCoord_18_0_101, vector3MoreOrLessEquals(Vector3(0.532625973, 0.701734006, 0)));
      final textureCoord_18_0_102 = textureCoords_18_0.elementAt(102);
      expect(textureCoord_18_0_102, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_18_0_103 = textureCoords_18_0.elementAt(103);
      expect(textureCoord_18_0_103, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_104 = textureCoords_18_0.elementAt(104);
      expect(textureCoord_18_0_104, vector3MoreOrLessEquals(Vector3(0.447320014, 0.046875, 0)));
      final textureCoord_18_0_105 = textureCoords_18_0.elementAt(105);
      expect(textureCoord_18_0_105, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_106 = textureCoords_18_0.elementAt(106);
      expect(textureCoord_18_0_106, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      final textureCoord_18_0_107 = textureCoords_18_0.elementAt(107);
      expect(textureCoord_18_0_107, vector3MoreOrLessEquals(Vector3(0.349482, 0.45411399, 0)));
      final textureCoord_18_0_108 = textureCoords_18_0.elementAt(108);
      expect(textureCoord_18_0_108, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_109 = textureCoords_18_0.elementAt(109);
      expect(textureCoord_18_0_109, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_110 = textureCoords_18_0.elementAt(110);
      expect(textureCoord_18_0_110, vector3MoreOrLessEquals(Vector3(0.863350987, 0.409105986, 0)));
      final textureCoord_18_0_111 = textureCoords_18_0.elementAt(111);
      expect(textureCoord_18_0_111, vector3MoreOrLessEquals(Vector3(0.616868973, 0.411861002, 0)));
      final textureCoord_18_0_112 = textureCoords_18_0.elementAt(112);
      expect(textureCoord_18_0_112, vector3MoreOrLessEquals(Vector3(0.674377978, 0.172492996, 0)));
      final textureCoord_18_0_113 = textureCoords_18_0.elementAt(113);
      expect(textureCoord_18_0_113, vector3MoreOrLessEquals(Vector3(0.372330993, 0.198948994, 0)));
      expect(mesh_18.uvComponents.length, equals(1));
      expect(mesh_18.uvComponents, equals([2]));
      expect(mesh_18.faces.length, equals(38));
      expect(mesh_18.bones.length, isZero);
      expect(mesh_18.materialIndex, equals(5));
      expect(mesh_18.name, equals('Duplicate05'));
      expect(mesh_18.animMeshes.length, isZero);
      expect(mesh_18.morphingMethod, isZero);
      expect(mesh_18.aabb, aabb3MoreOrLessEquals(Aabb3.minMax(Vector3(0, 0, 0), Vector3(0, 0, 0))));
    });
  });

}
